#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_h0gf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|gf) integrals */

void d12hrr_order_h0gf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][7][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][10] = int_stack + 756;
 Libderiv->deriv_classes[5][7][9] = int_stack + 1512;
 Libderiv->deriv_classes[5][7][8] = int_stack + 2268;
 Libderiv->deriv_classes[5][7][7] = int_stack + 3024;
 Libderiv->dvrr_classes[5][6] = int_stack + 3780;
 Libderiv->deriv_classes[5][7][6] = int_stack + 4368;
 Libderiv->deriv_classes[5][7][2] = int_stack + 5124;
 Libderiv->deriv_classes[5][7][1] = int_stack + 5880;
 Libderiv->deriv_classes[5][7][0] = int_stack + 6636;
 Libderiv->deriv2_classes[5][4][143] = int_stack + 7392;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 7707;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 8148;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 8736;
 Libderiv->deriv2_classes[5][4][131] = int_stack + 9492;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 9807;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 10248;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 10836;
 Libderiv->deriv2_classes[5][4][130] = int_stack + 11592;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 11907;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 12348;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 12936;
 Libderiv->deriv2_classes[5][4][119] = int_stack + 13692;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 14007;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 14448;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 15036;
 Libderiv->deriv2_classes[5][4][118] = int_stack + 15792;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 16107;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 16548;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 17136;
 Libderiv->deriv2_classes[5][4][117] = int_stack + 17892;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 18207;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 18648;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 19236;
 Libderiv->deriv2_classes[5][4][107] = int_stack + 19992;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 20307;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 20748;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 21336;
 Libderiv->deriv2_classes[5][4][106] = int_stack + 22092;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 22407;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 22848;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 23436;
 Libderiv->deriv2_classes[5][4][105] = int_stack + 24192;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 24507;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 24948;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 25536;
 Libderiv->deriv2_classes[5][4][104] = int_stack + 26292;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 26607;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 27048;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 27636;
 Libderiv->deriv2_classes[5][4][95] = int_stack + 28392;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 28707;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 29148;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 29736;
 Libderiv->deriv2_classes[5][4][94] = int_stack + 30492;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 30807;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 31248;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 31836;
 Libderiv->deriv2_classes[5][4][93] = int_stack + 32592;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 32907;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 33348;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 33936;
 Libderiv->deriv2_classes[5][4][92] = int_stack + 34692;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 35007;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 35448;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 36036;
 Libderiv->deriv2_classes[5][4][91] = int_stack + 36792;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 37107;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 37548;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 38136;
 Libderiv->deriv_classes[5][4][11] = int_stack + 38892;
 Libderiv->deriv2_classes[5][4][83] = int_stack + 39207;
 Libderiv->deriv_classes[5][5][11] = int_stack + 39522;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 39963;
 Libderiv->deriv_classes[5][6][11] = int_stack + 40404;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 40992;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 41580;
 Libderiv->deriv_classes[5][4][10] = int_stack + 42336;
 Libderiv->deriv2_classes[5][4][82] = int_stack + 42651;
 Libderiv->deriv_classes[5][5][10] = int_stack + 42966;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 43407;
 Libderiv->deriv_classes[5][6][10] = int_stack + 43848;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 44436;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 45024;
 Libderiv->deriv_classes[5][4][9] = int_stack + 45780;
 Libderiv->deriv2_classes[5][4][81] = int_stack + 46095;
 Libderiv->deriv_classes[5][5][9] = int_stack + 46410;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 46851;
 Libderiv->deriv_classes[5][6][9] = int_stack + 47292;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 47880;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 48468;
 Libderiv->deriv_classes[5][4][8] = int_stack + 49224;
 Libderiv->deriv2_classes[5][4][80] = int_stack + 49539;
 Libderiv->deriv_classes[5][5][8] = int_stack + 49854;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 50295;
 Libderiv->deriv_classes[5][6][8] = int_stack + 50736;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 51324;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 51912;
 Libderiv->deriv_classes[5][4][7] = int_stack + 52668;
 Libderiv->deriv2_classes[5][4][79] = int_stack + 52983;
 Libderiv->deriv_classes[5][5][7] = int_stack + 53298;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 53739;
 Libderiv->deriv_classes[5][6][7] = int_stack + 54180;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 54768;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 55356;
 Libderiv->dvrr_classes[5][4] = int_stack + 56112;
 Libderiv->deriv_classes[5][4][6] = int_stack + 56427;
 Libderiv->deriv2_classes[5][4][78] = int_stack + 56742;
 Libderiv->dvrr_classes[5][5] = int_stack + 57057;
 Libderiv->deriv_classes[5][5][6] = int_stack + 57498;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 57939;
 Libderiv->deriv_classes[5][6][6] = int_stack + 58380;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 58968;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 59556;
 Libderiv->deriv2_classes[5][4][35] = int_stack + 60312;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 60627;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 61068;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 61656;
 Libderiv->deriv2_classes[5][4][34] = int_stack + 62412;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 62727;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 63168;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 63756;
 Libderiv->deriv2_classes[5][4][33] = int_stack + 64512;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 64827;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 65268;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 65856;
 Libderiv->deriv2_classes[5][4][32] = int_stack + 66612;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 66927;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 67368;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 67956;
 Libderiv->deriv2_classes[5][4][31] = int_stack + 68712;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 69027;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 69468;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 70056;
 Libderiv->deriv_classes[5][4][2] = int_stack + 70812;
 Libderiv->deriv2_classes[5][4][30] = int_stack + 71127;
 Libderiv->deriv_classes[5][5][2] = int_stack + 71442;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 71883;
 Libderiv->deriv_classes[5][6][2] = int_stack + 72324;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 72912;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 73500;
 Libderiv->deriv2_classes[5][4][26] = int_stack + 74256;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 74571;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 75012;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 75600;
 Libderiv->deriv2_classes[5][4][23] = int_stack + 76356;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 76671;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 77112;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 77700;
 Libderiv->deriv2_classes[5][4][22] = int_stack + 78456;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 78771;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 79212;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 79800;
 Libderiv->deriv2_classes[5][4][21] = int_stack + 80556;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 80871;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 81312;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 81900;
 Libderiv->deriv2_classes[5][4][20] = int_stack + 82656;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 82971;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 83412;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 84000;
 Libderiv->deriv2_classes[5][4][19] = int_stack + 84756;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 85071;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 85512;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 86100;
 Libderiv->deriv_classes[5][4][1] = int_stack + 86856;
 Libderiv->deriv2_classes[5][4][18] = int_stack + 87171;
 Libderiv->deriv_classes[5][5][1] = int_stack + 87486;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 87927;
 Libderiv->deriv_classes[5][6][1] = int_stack + 88368;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 88956;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 89544;
 Libderiv->deriv2_classes[5][4][14] = int_stack + 90300;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 90615;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 91056;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 91644;
 Libderiv->deriv2_classes[5][4][13] = int_stack + 92400;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 92715;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 93156;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 93744;
 Libderiv->deriv2_classes[5][4][11] = int_stack + 94500;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 94815;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 95256;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 95844;
 Libderiv->deriv2_classes[5][4][10] = int_stack + 96600;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 96915;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 97356;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 97944;
 Libderiv->deriv2_classes[5][4][9] = int_stack + 98700;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 99015;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 99456;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 100044;
 Libderiv->deriv2_classes[5][4][8] = int_stack + 100800;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 101115;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 101556;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 102144;
 Libderiv->deriv2_classes[5][4][7] = int_stack + 102900;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 103215;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 103656;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 104244;
 Libderiv->deriv_classes[5][4][0] = int_stack + 105000;
 Libderiv->deriv2_classes[5][4][6] = int_stack + 105315;
 Libderiv->deriv_classes[5][5][0] = int_stack + 105630;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 106071;
 Libderiv->deriv_classes[5][6][0] = int_stack + 106512;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 107100;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 107688;
 Libderiv->deriv2_classes[5][4][2] = int_stack + 108444;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 108759;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 109200;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 109788;
 Libderiv->deriv2_classes[5][4][1] = int_stack + 110544;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 110859;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 111300;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 111888;
 Libderiv->deriv2_classes[5][4][0] = int_stack + 112644;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 112959;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 113400;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 113988;
 memset(int_stack,0,917952);

 Libderiv->dvrr_stack = int_stack + 277473;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_h0gf(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+114744,int_stack+57057,int_stack+56112,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115689,int_stack+3780,int_stack+57057,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+117012,int_stack+115689,int_stack+114744,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+118902,int_stack+39522,int_stack+38892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56112,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119847,int_stack+40404,int_stack+39522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+121170,int_stack+119847,int_stack+118902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123060,int_stack+0,int_stack+40404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+124824,int_stack+123060,int_stack+119847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115689,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+123060,int_stack+42966,int_stack+42336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56112, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+127470,int_stack+43848,int_stack+42966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+128793,int_stack+127470,int_stack+123060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+130683,int_stack+756,int_stack+43848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+132447,int_stack+130683,int_stack+127470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115689, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+130683,int_stack+46410,int_stack+45780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56112, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+47292,int_stack+46410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135093,int_stack+0,int_stack+130683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+136983,int_stack+1512,int_stack+47292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+138747,int_stack+136983,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115689, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1323,int_stack+49854,int_stack+49224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+136983,int_stack+50736,int_stack+49854, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+141393,int_stack+136983,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143283,int_stack+2268,int_stack+50736, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+145047,int_stack+143283,int_stack+136983, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+143283,int_stack+53298,int_stack+52668, 0.0, zero_stack, 1.0, int_stack+56112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+54180,int_stack+53298, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+149016,int_stack+147693,int_stack+143283, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+3024,int_stack+54180, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+152670,int_stack+150906,int_stack+147693, 0.0, zero_stack, 1.0, int_stack+115689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+150906,int_stack+57498,int_stack+56427, 1.0, int_stack+56112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+58380,int_stack+57498, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+155316,int_stack+2268,int_stack+150906, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+4368,int_stack+58380, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+158970,int_stack+157206,int_stack+2268, 1.0, int_stack+115689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+157206,int_stack+71442,int_stack+70812,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+114744,int_stack+72324,int_stack+71442,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+161616,int_stack+114744,int_stack+157206,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+5124,int_stack+72324,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+165270,int_stack+163506,int_stack+114744,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+116067,int_stack+87486,int_stack+86856,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+163506,int_stack+88368,int_stack+87486,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+3591,int_stack+163506,int_stack+116067,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167916,int_stack+5880,int_stack+88368,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+169680,int_stack+167916,int_stack+163506,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+167916,int_stack+105630,int_stack+105000,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+172326,int_stack+106512,int_stack+105630,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+173649,int_stack+172326,int_stack+167916,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+6636,int_stack+106512,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+177303,int_stack+175539,int_stack+172326,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+7707,int_stack+7392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+38892,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+8148,int_stack+7707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+39522,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+179949,int_stack+5481,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+118902,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+8736,int_stack+8148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+40404,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6804,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+119847,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+9807,int_stack+9492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38892, 1.0, int_stack+42336,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+10248,int_stack+9807, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39522, 1.0, int_stack+42966,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+181839,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118902, 1.0, int_stack+123060,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+10836,int_stack+10248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40404, 1.0, int_stack+43848,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+185493,int_stack+183729,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119847, 1.0, int_stack+127470,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+11907,int_stack+11592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42336, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+12348,int_stack+11907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42966, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+9450,int_stack+5481,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+123060, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+12936,int_stack+12348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+43848, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+188139,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+127470, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+14007,int_stack+13692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38892, 0.0, zero_stack, 1.0, int_stack+45780,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+14448,int_stack+14007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39522, 0.0, zero_stack, 1.0, int_stack+46410,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+11340,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118902, 0.0, zero_stack, 1.0, int_stack+130683,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+15036,int_stack+14448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40404, 0.0, zero_stack, 1.0, int_stack+47292,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+190785,int_stack+183729,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119847, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+16107,int_stack+15792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42336, 1.0, int_stack+45780, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+16548,int_stack+16107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42966, 1.0, int_stack+46410, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+13230,int_stack+5481,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123060, 1.0, int_stack+130683, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+17136,int_stack+16548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43848, 1.0, int_stack+47292, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15120,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127470, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+18207,int_stack+17892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+45780, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+18648,int_stack+18207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+46410, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+193431,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+130683, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+19236,int_stack+18648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+47292, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+195321,int_stack+183729,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+20307,int_stack+19992, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38892, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49224,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+20748,int_stack+20307, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39522, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49854,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+17766,int_stack+5481,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118902, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1323,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+21336,int_stack+20748, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50736,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197967,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119847, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136983,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+22407,int_stack+22092, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42336, 0.0, zero_stack, 1.0, int_stack+49224, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+22848,int_stack+22407, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42966, 0.0, zero_stack, 1.0, int_stack+49854, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+19656,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123060, 0.0, zero_stack, 1.0, int_stack+1323, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+23436,int_stack+22848, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43848, 0.0, zero_stack, 1.0, int_stack+50736, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21546,int_stack+183729,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127470, 0.0, zero_stack, 1.0, int_stack+136983, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+24507,int_stack+24192, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45780, 1.0, int_stack+49224, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+24948,int_stack+24507, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46410, 1.0, int_stack+49854, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+200613,int_stack+5481,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130683, 1.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+25536,int_stack+24948, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47292, 1.0, int_stack+50736, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+202503,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+136983, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+26607,int_stack+26292, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+49224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+27048,int_stack+26607, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+49854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+24192,int_stack+175539,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+27636,int_stack+27048, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+50736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+205149,int_stack+183729,int_stack+175539, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+136983, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+28707,int_stack+28392, 0.0, zero_stack, 1.0, int_stack+38892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52668,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+29148,int_stack+28707, 0.0, zero_stack, 1.0, int_stack+39522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53298,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+26082,int_stack+5481,int_stack+175539, 0.0, zero_stack, 1.0, int_stack+118902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143283,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+29736,int_stack+29148, 0.0, zero_stack, 1.0, int_stack+40404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54180,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+207795,int_stack+175539,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+119847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147693,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+30807,int_stack+30492, 0.0, zero_stack, 1.0, int_stack+42336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52668, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+31248,int_stack+30807, 0.0, zero_stack, 1.0, int_stack+42966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53298, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+27972,int_stack+175539,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+123060, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143283, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+31836,int_stack+31248, 0.0, zero_stack, 1.0, int_stack+43848, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54180, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+29862,int_stack+183729,int_stack+175539, 0.0, zero_stack, 1.0, int_stack+127470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147693, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+32907,int_stack+32592, 0.0, zero_stack, 1.0, int_stack+45780, 0.0, zero_stack, 1.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+33348,int_stack+32907, 0.0, zero_stack, 1.0, int_stack+46410, 0.0, zero_stack, 1.0, int_stack+53298, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+210441,int_stack+5481,int_stack+175539, 0.0, zero_stack, 1.0, int_stack+130683, 0.0, zero_stack, 1.0, int_stack+143283, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+33936,int_stack+33348, 0.0, zero_stack, 1.0, int_stack+47292, 0.0, zero_stack, 1.0, int_stack+54180, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+212331,int_stack+175539,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+147693, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+35007,int_stack+34692, 0.0, zero_stack, 1.0, int_stack+49224, 1.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+35448,int_stack+35007, 0.0, zero_stack, 1.0, int_stack+49854, 1.0, int_stack+53298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+32508,int_stack+175539,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+1323, 1.0, int_stack+143283, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+36036,int_stack+35448, 0.0, zero_stack, 1.0, int_stack+50736, 1.0, int_stack+54180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+214977,int_stack+183729,int_stack+175539, 0.0, zero_stack, 1.0, int_stack+136983, 1.0, int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+37107,int_stack+36792, 0.0, zero_stack, 2.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+37548,int_stack+37107, 0.0, zero_stack, 2.0, int_stack+53298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+34398,int_stack+5481,int_stack+175539, 0.0, zero_stack, 2.0, int_stack+143283, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175539,int_stack+38136,int_stack+37548, 0.0, zero_stack, 2.0, int_stack+54180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+217623,int_stack+175539,int_stack+5481, 0.0, zero_stack, 2.0, int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+39963,int_stack+39207, 1.0, int_stack+38892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56427,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175539,int_stack+40992,int_stack+39963, 1.0, int_stack+39522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+36288,int_stack+175539,int_stack+5481, 1.0, int_stack+118902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150906,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+183729,int_stack+41580,int_stack+40992, 1.0, int_stack+40404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58380,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38178,int_stack+183729,int_stack+175539, 1.0, int_stack+119847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+175539,int_stack+43407,int_stack+42651, 1.0, int_stack+42336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56427, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+44436,int_stack+43407, 1.0, int_stack+42966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+118902,int_stack+5481,int_stack+175539, 1.0, int_stack+123060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150906, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123060,int_stack+45024,int_stack+44436, 1.0, int_stack+43848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58380, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+40824,int_stack+123060,int_stack+5481, 1.0, int_stack+127470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+127470,int_stack+46851,int_stack+46095, 1.0, int_stack+45780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56427, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+47880,int_stack+46851, 1.0, int_stack+46410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+43470,int_stack+5481,int_stack+127470, 1.0, int_stack+130683, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150906, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+130683,int_stack+48468,int_stack+47880, 1.0, int_stack+47292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58380, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+45360,int_stack+130683,int_stack+5481, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+50295,int_stack+49539, 1.0, int_stack+49224, 0.0, zero_stack, 1.0, int_stack+56427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+51324,int_stack+50295, 1.0, int_stack+49854, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+48006,int_stack+5481,int_stack+0, 1.0, int_stack+1323, 0.0, zero_stack, 1.0, int_stack+150906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+130683,int_stack+51912,int_stack+51324, 1.0, int_stack+50736, 0.0, zero_stack, 1.0, int_stack+58380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+49896,int_stack+130683,int_stack+5481, 1.0, int_stack+136983, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+136983,int_stack+53739,int_stack+52983, 1.0, int_stack+52668, 1.0, int_stack+56427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+54768,int_stack+53739, 1.0, int_stack+53298, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+5481,int_stack+136983, 1.0, int_stack+143283, 1.0, int_stack+150906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143283,int_stack+55356,int_stack+54768, 1.0, int_stack+54180, 1.0, int_stack+58380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+52542,int_stack+143283,int_stack+5481, 1.0, int_stack+147693, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+57939,int_stack+56742, 2.0, int_stack+56427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+58968,int_stack+57939, 2.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+55188,int_stack+5481,int_stack+147693, 2.0, int_stack+150906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+59556,int_stack+58968, 2.0, int_stack+58380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57078,int_stack+150906,int_stack+5481, 2.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+60627,int_stack+60312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70812,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+61068,int_stack+60627, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71442,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+220269,int_stack+147693,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157206,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+61656,int_stack+61068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72324,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+59724,int_stack+150906,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+62727,int_stack+62412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70812, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+63168,int_stack+62727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71442, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+222159,int_stack+5481,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157206, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+63756,int_stack+63168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72324, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+224049,int_stack+150906,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+64827,int_stack+64512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70812, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+65268,int_stack+64827, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71442, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+62370,int_stack+147693,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157206, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+65856,int_stack+65268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72324, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+226695,int_stack+150906,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+66927,int_stack+66612, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+67368,int_stack+66927, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+64260,int_stack+5481,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+67956,int_stack+67368, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+229341,int_stack+150906,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+69027,int_stack+68712, 0.0, zero_stack, 1.0, int_stack+70812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+69468,int_stack+69027, 0.0, zero_stack, 1.0, int_stack+71442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+66150,int_stack+147693,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+157206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150906,int_stack+70056,int_stack+69468, 0.0, zero_stack, 1.0, int_stack+72324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+68040,int_stack+150906,int_stack+147693, 0.0, zero_stack, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+71883,int_stack+71127, 1.0, int_stack+70812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+72912,int_stack+71883, 1.0, int_stack+71442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+231987,int_stack+5481,int_stack+147693, 1.0, int_stack+157206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+73500,int_stack+72912, 1.0, int_stack+72324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+70686,int_stack+157206,int_stack+5481, 1.0, int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+114744,int_stack+74571,int_stack+74256,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+75012,int_stack+74571,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+233877,int_stack+5481,int_stack+114744,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+75600,int_stack+75012,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+73332,int_stack+157206,int_stack+5481,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+76671,int_stack+76356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86856,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+114744,int_stack+77112,int_stack+76671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87486,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+235767,int_stack+114744,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116067,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+77700,int_stack+77112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88368,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+237657,int_stack+157206,int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163506,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+114744,int_stack+78771,int_stack+78456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86856, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+79212,int_stack+78771, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87486, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+75978,int_stack+5481,int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116067, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+79800,int_stack+79212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88368, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+77868,int_stack+157206,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163506, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+80871,int_stack+80556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86856, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+114744,int_stack+81312,int_stack+80871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87486, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+240303,int_stack+114744,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116067, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+81900,int_stack+81312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88368, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+242193,int_stack+157206,int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163506, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+114744,int_stack+82971,int_stack+82656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+83412,int_stack+82971, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+80514,int_stack+5481,int_stack+114744, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+84000,int_stack+83412, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+244839,int_stack+157206,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+85071,int_stack+84756, 0.0, zero_stack, 1.0, int_stack+86856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+114744,int_stack+85512,int_stack+85071, 0.0, zero_stack, 1.0, int_stack+87486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+82404,int_stack+114744,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+116067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+86100,int_stack+85512, 0.0, zero_stack, 1.0, int_stack+88368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+247485,int_stack+157206,int_stack+114744, 0.0, zero_stack, 1.0, int_stack+163506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+114744,int_stack+87927,int_stack+87171, 1.0, int_stack+86856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+88956,int_stack+87927, 1.0, int_stack+87486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+84294,int_stack+5481,int_stack+114744, 1.0, int_stack+116067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157206,int_stack+89544,int_stack+88956, 1.0, int_stack+88368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+86184,int_stack+157206,int_stack+5481, 1.0, int_stack+163506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+163506,int_stack+90615,int_stack+90300,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+91056,int_stack+90615,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+114744,int_stack+5481,int_stack+163506,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+91644,int_stack+91056,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+88830,int_stack+163506,int_stack+5481,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+92715,int_stack+92400,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+93156,int_stack+92715,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+250131,int_stack+147693,int_stack+5481,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+93744,int_stack+93156,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+91476,int_stack+163506,int_stack+147693,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+94815,int_stack+94500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105000,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+95256,int_stack+94815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105630,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+252021,int_stack+5481,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167916,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+95844,int_stack+95256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106512,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+253911,int_stack+163506,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172326,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+96915,int_stack+96600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105000, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+97356,int_stack+96915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105630, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+94122,int_stack+147693,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167916, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+97944,int_stack+97356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106512, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+96012,int_stack+163506,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172326, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+99015,int_stack+98700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105000, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+99456,int_stack+99015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105630, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+256557,int_stack+5481,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167916, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+100044,int_stack+99456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106512, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+258447,int_stack+163506,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172326, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+101115,int_stack+100800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+101556,int_stack+101115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+98658,int_stack+147693,int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+102144,int_stack+101556, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261093,int_stack+163506,int_stack+147693, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+103215,int_stack+102900, 0.0, zero_stack, 1.0, int_stack+105000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+103656,int_stack+103215, 0.0, zero_stack, 1.0, int_stack+105630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+100548,int_stack+5481,int_stack+147693, 0.0, zero_stack, 1.0, int_stack+167916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+163506,int_stack+104244,int_stack+103656, 0.0, zero_stack, 1.0, int_stack+106512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+263739,int_stack+163506,int_stack+5481, 0.0, zero_stack, 1.0, int_stack+172326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5481,int_stack+106071,int_stack+105315, 1.0, int_stack+105000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+107100,int_stack+106071, 1.0, int_stack+105630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+102438,int_stack+147693,int_stack+5481, 1.0, int_stack+167916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167916,int_stack+107688,int_stack+107100, 1.0, int_stack+106512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+104328,int_stack+167916,int_stack+147693, 1.0, int_stack+172326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+172326,int_stack+108759,int_stack+108444,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+109200,int_stack+108759,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+106974,int_stack+147693,int_stack+172326,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167916,int_stack+109788,int_stack+109200,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+266385,int_stack+167916,int_stack+147693,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+147693,int_stack+110859,int_stack+110544,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+172326,int_stack+111300,int_stack+110859,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+108864,int_stack+172326,int_stack+147693,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167916,int_stack+111888,int_stack+111300,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+269031,int_stack+167916,int_stack+172326,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+172326,int_stack+112959,int_stack+112644,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+147693,int_stack+113400,int_stack+112959,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+110754,int_stack+147693,int_stack+172326,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167916,int_stack+113988,int_stack+113400,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+271677,int_stack+167916,int_stack+147693,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+274323,int_stack+124824,int_stack+121170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012,21);
     Libderiv->ABCD[11] = int_stack + 274323;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+123060,int_stack+132447,int_stack+128793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 123060;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+130683,int_stack+138747,int_stack+135093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 130683;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+136983,int_stack+145047,int_stack+141393, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 136983;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+143283,int_stack+152670,int_stack+149016, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 143283;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+150906,int_stack+158970,int_stack+155316, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 150906;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+157206,int_stack+165270,int_stack+161616,21);
     Libderiv->ABCD[2] = int_stack + 157206;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+163506,int_stack+169680,int_stack+3591,21);
     Libderiv->ABCD[1] = int_stack + 163506;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+166656,int_stack+177303,int_stack+173649,21);
     Libderiv->ABCD[0] = int_stack + 166656;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+169806,int_stack+6804,int_stack+179949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+121170,21);
     Libderiv->ABCD[155] = int_stack + 169806;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+5481,int_stack+185493,int_stack+181839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121170, 1.0, int_stack+128793,21);
     Libderiv->ABCD[143] = int_stack + 5481;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+175539,int_stack+188139,int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+128793, 0.0, zero_stack,21);
     Libderiv->ABCD[142] = int_stack + 175539;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+178689,int_stack+190785,int_stack+11340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121170, 0.0, zero_stack, 1.0, int_stack+135093,21);
     Libderiv->ABCD[131] = int_stack + 178689;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+8631,int_stack+15120,int_stack+13230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128793, 1.0, int_stack+135093, 0.0, zero_stack,21);
     Libderiv->ABCD[130] = int_stack + 8631;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+11781,int_stack+195321,int_stack+193431, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+135093, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[129] = int_stack + 11781;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+181839,int_stack+197967,int_stack+17766, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121170, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141393,21);
     Libderiv->ABCD[119] = int_stack + 181839;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+14931,int_stack+21546,int_stack+19656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128793, 0.0, zero_stack, 1.0, int_stack+141393, 0.0, zero_stack,21);
     Libderiv->ABCD[118] = int_stack + 14931;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+18081,int_stack+202503,int_stack+200613, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135093, 1.0, int_stack+141393, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[117] = int_stack + 18081;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+184989,int_stack+205149,int_stack+24192, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+141393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[116] = int_stack + 184989;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+21231,int_stack+207795,int_stack+26082, 0.0, zero_stack, 1.0, int_stack+121170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149016,21);
     Libderiv->ABCD[107] = int_stack + 21231;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+24381,int_stack+29862,int_stack+27972, 0.0, zero_stack, 1.0, int_stack+128793, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149016, 0.0, zero_stack,21);
     Libderiv->ABCD[106] = int_stack + 24381;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+27531,int_stack+212331,int_stack+210441, 0.0, zero_stack, 1.0, int_stack+135093, 0.0, zero_stack, 1.0, int_stack+149016, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[105] = int_stack + 27531;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+188139,int_stack+214977,int_stack+32508, 0.0, zero_stack, 1.0, int_stack+141393, 1.0, int_stack+149016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[104] = int_stack + 188139;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+30681,int_stack+217623,int_stack+34398, 0.0, zero_stack, 2.0, int_stack+149016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[103] = int_stack + 30681;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+191289,int_stack+38178,int_stack+36288, 1.0, int_stack+121170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155316,21);
     Libderiv->ABCD[95] = int_stack + 191289;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+33831,int_stack+40824,int_stack+118902, 1.0, int_stack+128793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155316, 0.0, zero_stack,21);
     Libderiv->ABCD[94] = int_stack + 33831;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+36981,int_stack+45360,int_stack+43470, 1.0, int_stack+135093, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155316, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[93] = int_stack + 36981;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+133833,int_stack+49896,int_stack+48006, 1.0, int_stack+141393, 0.0, zero_stack, 1.0, int_stack+155316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[92] = int_stack + 133833;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+140133,int_stack+52542,int_stack+0, 1.0, int_stack+149016, 1.0, int_stack+155316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[91] = int_stack + 140133;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+0,int_stack+57078,int_stack+55188, 2.0, int_stack+155316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+154056,int_stack+59724,int_stack+220269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161616,21);
     Libderiv->ABCD[47] = int_stack + 154056;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+40131,int_stack+224049,int_stack+222159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161616, 0.0, zero_stack,21);
     Libderiv->ABCD[46] = int_stack + 40131;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+43281,int_stack+226695,int_stack+62370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161616, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[45] = int_stack + 43281;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+46431,int_stack+229341,int_stack+64260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[44] = int_stack + 46431;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+49581,int_stack+68040,int_stack+66150, 0.0, zero_stack, 1.0, int_stack+161616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[43] = int_stack + 49581;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+52731,int_stack+70686,int_stack+231987, 1.0, int_stack+161616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[42] = int_stack + 52731;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+160356,int_stack+73332,int_stack+233877,21);
     Libderiv->ABCD[38] = int_stack + 160356;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+55881,int_stack+237657,int_stack+235767, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3591,21);
     Libderiv->ABCD[35] = int_stack + 55881;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+59031,int_stack+77868,int_stack+75978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3591, 0.0, zero_stack,21);
     Libderiv->ABCD[34] = int_stack + 59031;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+62181,int_stack+242193,int_stack+240303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3591, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[33] = int_stack + 62181;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+65331,int_stack+244839,int_stack+80514, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[32] = int_stack + 65331;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+68481,int_stack+247485,int_stack+82404, 0.0, zero_stack, 1.0, int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[31] = int_stack + 68481;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+71631,int_stack+86184,int_stack+84294, 1.0, int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[30] = int_stack + 71631;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+74781,int_stack+88830,int_stack+114744,21);
     Libderiv->ABCD[26] = int_stack + 74781;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+77931,int_stack+91476,int_stack+250131,21);
     Libderiv->ABCD[25] = int_stack + 77931;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+81081,int_stack+253911,int_stack+252021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173649,21);
     Libderiv->ABCD[23] = int_stack + 81081;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+84231,int_stack+96012,int_stack+94122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173649, 0.0, zero_stack,21);
     Libderiv->ABCD[22] = int_stack + 84231;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+87381,int_stack+258447,int_stack+256557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173649, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[21] = int_stack + 87381;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+90531,int_stack+261093,int_stack+98658, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[20] = int_stack + 90531;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+93681,int_stack+263739,int_stack+100548, 0.0, zero_stack, 1.0, int_stack+173649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[19] = int_stack + 93681;
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+96831,int_stack+104328,int_stack+102438, 1.0, int_stack+173649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[18] = int_stack + 96831;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+99981,int_stack+266385,int_stack+106974,21);
     Libderiv->ABCD[14] = int_stack + 99981;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+103131,int_stack+269031,int_stack+108864,21);
     Libderiv->ABCD[13] = int_stack + 103131;
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+106281,int_stack+271677,int_stack+110754,21);
     Libderiv->ABCD[12] = int_stack + 106281;

}
