#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ddih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dd|ih) integrals */

void d1hrr_order_ddih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[2][8][11] = int_stack + 384;
 Libderiv->deriv_classes[2][9][11] = int_stack + 654;
 Libderiv->deriv_classes[2][10][11] = int_stack + 984;
 Libderiv->deriv_classes[2][11][11] = int_stack + 1380;
 Libderiv->deriv_classes[3][6][11] = int_stack + 1848;
 Libderiv->deriv_classes[3][7][11] = int_stack + 2128;
 Libderiv->deriv_classes[3][8][11] = int_stack + 2488;
 Libderiv->deriv_classes[3][9][11] = int_stack + 2938;
 Libderiv->deriv_classes[3][10][11] = int_stack + 3488;
 Libderiv->deriv_classes[3][11][11] = int_stack + 4148;
 Libderiv->deriv_classes[4][6][11] = int_stack + 4928;
 Libderiv->deriv_classes[4][7][11] = int_stack + 5348;
 Libderiv->deriv_classes[4][8][11] = int_stack + 5888;
 Libderiv->deriv_classes[4][9][11] = int_stack + 6563;
 Libderiv->deriv_classes[4][10][11] = int_stack + 7388;
 Libderiv->deriv_classes[4][11][11] = int_stack + 8378;
 Libderiv->deriv_classes[2][6][10] = int_stack + 9548;
 Libderiv->deriv_classes[2][7][10] = int_stack + 9716;
 Libderiv->deriv_classes[2][8][10] = int_stack + 9932;
 Libderiv->deriv_classes[2][9][10] = int_stack + 10202;
 Libderiv->deriv_classes[2][10][10] = int_stack + 10532;
 Libderiv->deriv_classes[2][11][10] = int_stack + 10928;
 Libderiv->deriv_classes[3][6][10] = int_stack + 11396;
 Libderiv->deriv_classes[3][7][10] = int_stack + 11676;
 Libderiv->deriv_classes[3][8][10] = int_stack + 12036;
 Libderiv->deriv_classes[3][9][10] = int_stack + 12486;
 Libderiv->deriv_classes[3][10][10] = int_stack + 13036;
 Libderiv->deriv_classes[3][11][10] = int_stack + 13696;
 Libderiv->deriv_classes[4][6][10] = int_stack + 14476;
 Libderiv->deriv_classes[4][7][10] = int_stack + 14896;
 Libderiv->deriv_classes[4][8][10] = int_stack + 15436;
 Libderiv->deriv_classes[4][9][10] = int_stack + 16111;
 Libderiv->deriv_classes[4][10][10] = int_stack + 16936;
 Libderiv->deriv_classes[4][11][10] = int_stack + 17926;
 Libderiv->deriv_classes[2][6][9] = int_stack + 19096;
 Libderiv->deriv_classes[2][7][9] = int_stack + 19264;
 Libderiv->deriv_classes[2][8][9] = int_stack + 19480;
 Libderiv->deriv_classes[2][9][9] = int_stack + 19750;
 Libderiv->deriv_classes[2][10][9] = int_stack + 20080;
 Libderiv->deriv_classes[2][11][9] = int_stack + 20476;
 Libderiv->deriv_classes[3][6][9] = int_stack + 20944;
 Libderiv->deriv_classes[3][7][9] = int_stack + 21224;
 Libderiv->deriv_classes[3][8][9] = int_stack + 21584;
 Libderiv->deriv_classes[3][9][9] = int_stack + 22034;
 Libderiv->deriv_classes[3][10][9] = int_stack + 22584;
 Libderiv->deriv_classes[3][11][9] = int_stack + 23244;
 Libderiv->deriv_classes[4][6][9] = int_stack + 24024;
 Libderiv->deriv_classes[4][7][9] = int_stack + 24444;
 Libderiv->deriv_classes[4][8][9] = int_stack + 24984;
 Libderiv->deriv_classes[4][9][9] = int_stack + 25659;
 Libderiv->deriv_classes[4][10][9] = int_stack + 26484;
 Libderiv->deriv_classes[4][11][9] = int_stack + 27474;
 Libderiv->deriv_classes[2][6][8] = int_stack + 28644;
 Libderiv->deriv_classes[2][7][8] = int_stack + 28812;
 Libderiv->deriv_classes[2][8][8] = int_stack + 29028;
 Libderiv->deriv_classes[2][9][8] = int_stack + 29298;
 Libderiv->deriv_classes[2][10][8] = int_stack + 29628;
 Libderiv->deriv_classes[2][11][8] = int_stack + 30024;
 Libderiv->deriv_classes[3][6][8] = int_stack + 30492;
 Libderiv->deriv_classes[3][7][8] = int_stack + 30772;
 Libderiv->deriv_classes[3][8][8] = int_stack + 31132;
 Libderiv->deriv_classes[3][9][8] = int_stack + 31582;
 Libderiv->deriv_classes[3][10][8] = int_stack + 32132;
 Libderiv->deriv_classes[3][11][8] = int_stack + 32792;
 Libderiv->deriv_classes[4][6][8] = int_stack + 33572;
 Libderiv->deriv_classes[4][7][8] = int_stack + 33992;
 Libderiv->deriv_classes[4][8][8] = int_stack + 34532;
 Libderiv->deriv_classes[4][9][8] = int_stack + 35207;
 Libderiv->deriv_classes[4][10][8] = int_stack + 36032;
 Libderiv->deriv_classes[4][11][8] = int_stack + 37022;
 Libderiv->deriv_classes[2][6][7] = int_stack + 38192;
 Libderiv->deriv_classes[2][7][7] = int_stack + 38360;
 Libderiv->deriv_classes[2][8][7] = int_stack + 38576;
 Libderiv->deriv_classes[2][9][7] = int_stack + 38846;
 Libderiv->deriv_classes[2][10][7] = int_stack + 39176;
 Libderiv->deriv_classes[2][11][7] = int_stack + 39572;
 Libderiv->deriv_classes[3][6][7] = int_stack + 40040;
 Libderiv->deriv_classes[3][7][7] = int_stack + 40320;
 Libderiv->deriv_classes[3][8][7] = int_stack + 40680;
 Libderiv->deriv_classes[3][9][7] = int_stack + 41130;
 Libderiv->deriv_classes[3][10][7] = int_stack + 41680;
 Libderiv->deriv_classes[3][11][7] = int_stack + 42340;
 Libderiv->deriv_classes[4][6][7] = int_stack + 43120;
 Libderiv->deriv_classes[4][7][7] = int_stack + 43540;
 Libderiv->deriv_classes[4][8][7] = int_stack + 44080;
 Libderiv->deriv_classes[4][9][7] = int_stack + 44755;
 Libderiv->deriv_classes[4][10][7] = int_stack + 45580;
 Libderiv->deriv_classes[4][11][7] = int_stack + 46570;
 Libderiv->deriv_classes[2][6][6] = int_stack + 47740;
 Libderiv->deriv_classes[2][7][6] = int_stack + 47908;
 Libderiv->deriv_classes[2][8][6] = int_stack + 48124;
 Libderiv->deriv_classes[2][9][6] = int_stack + 48394;
 Libderiv->deriv_classes[2][10][6] = int_stack + 48724;
 Libderiv->deriv_classes[2][11][6] = int_stack + 49120;
 Libderiv->deriv_classes[3][6][6] = int_stack + 49588;
 Libderiv->deriv_classes[3][7][6] = int_stack + 49868;
 Libderiv->deriv_classes[3][8][6] = int_stack + 50228;
 Libderiv->deriv_classes[3][9][6] = int_stack + 50678;
 Libderiv->deriv_classes[3][10][6] = int_stack + 51228;
 Libderiv->deriv_classes[3][11][6] = int_stack + 51888;
 Libderiv->dvrr_classes[4][6] = int_stack + 52668;
 Libderiv->deriv_classes[4][6][6] = int_stack + 53088;
 Libderiv->dvrr_classes[4][7] = int_stack + 53508;
 Libderiv->deriv_classes[4][7][6] = int_stack + 54048;
 Libderiv->dvrr_classes[4][8] = int_stack + 54588;
 Libderiv->deriv_classes[4][8][6] = int_stack + 55263;
 Libderiv->dvrr_classes[4][9] = int_stack + 55938;
 Libderiv->deriv_classes[4][9][6] = int_stack + 56763;
 Libderiv->dvrr_classes[4][10] = int_stack + 57588;
 Libderiv->deriv_classes[4][10][6] = int_stack + 58578;
 Libderiv->deriv_classes[4][11][6] = int_stack + 59568;
 Libderiv->deriv_classes[2][6][2] = int_stack + 60738;
 Libderiv->deriv_classes[2][7][2] = int_stack + 60906;
 Libderiv->deriv_classes[2][8][2] = int_stack + 61122;
 Libderiv->deriv_classes[2][9][2] = int_stack + 61392;
 Libderiv->deriv_classes[2][10][2] = int_stack + 61722;
 Libderiv->deriv_classes[2][11][2] = int_stack + 62118;
 Libderiv->deriv_classes[3][6][2] = int_stack + 62586;
 Libderiv->deriv_classes[3][7][2] = int_stack + 62866;
 Libderiv->deriv_classes[3][8][2] = int_stack + 63226;
 Libderiv->deriv_classes[3][9][2] = int_stack + 63676;
 Libderiv->deriv_classes[3][10][2] = int_stack + 64226;
 Libderiv->deriv_classes[3][11][2] = int_stack + 64886;
 Libderiv->deriv_classes[4][6][2] = int_stack + 65666;
 Libderiv->deriv_classes[4][7][2] = int_stack + 66086;
 Libderiv->deriv_classes[4][8][2] = int_stack + 66626;
 Libderiv->deriv_classes[4][9][2] = int_stack + 67301;
 Libderiv->deriv_classes[4][10][2] = int_stack + 68126;
 Libderiv->deriv_classes[4][11][2] = int_stack + 69116;
 Libderiv->deriv_classes[2][6][1] = int_stack + 70286;
 Libderiv->deriv_classes[2][7][1] = int_stack + 70454;
 Libderiv->deriv_classes[2][8][1] = int_stack + 70670;
 Libderiv->deriv_classes[2][9][1] = int_stack + 70940;
 Libderiv->deriv_classes[2][10][1] = int_stack + 71270;
 Libderiv->deriv_classes[2][11][1] = int_stack + 71666;
 Libderiv->deriv_classes[3][6][1] = int_stack + 72134;
 Libderiv->deriv_classes[3][7][1] = int_stack + 72414;
 Libderiv->deriv_classes[3][8][1] = int_stack + 72774;
 Libderiv->deriv_classes[3][9][1] = int_stack + 73224;
 Libderiv->deriv_classes[3][10][1] = int_stack + 73774;
 Libderiv->deriv_classes[3][11][1] = int_stack + 74434;
 Libderiv->deriv_classes[4][6][1] = int_stack + 75214;
 Libderiv->deriv_classes[4][7][1] = int_stack + 75634;
 Libderiv->deriv_classes[4][8][1] = int_stack + 76174;
 Libderiv->deriv_classes[4][9][1] = int_stack + 76849;
 Libderiv->deriv_classes[4][10][1] = int_stack + 77674;
 Libderiv->deriv_classes[4][11][1] = int_stack + 78664;
 Libderiv->dvrr_classes[2][6] = int_stack + 79834;
 Libderiv->dvrr_classes[2][7] = int_stack + 80002;
 Libderiv->dvrr_classes[2][8] = int_stack + 80218;
 Libderiv->dvrr_classes[2][9] = int_stack + 80488;
 Libderiv->dvrr_classes[2][10] = int_stack + 80818;
 Libderiv->dvrr_classes[2][11] = int_stack + 81214;
 Libderiv->deriv_classes[2][6][0] = int_stack + 81682;
 Libderiv->deriv_classes[2][7][0] = int_stack + 81850;
 Libderiv->deriv_classes[2][8][0] = int_stack + 82066;
 Libderiv->deriv_classes[2][9][0] = int_stack + 82336;
 Libderiv->deriv_classes[2][10][0] = int_stack + 82666;
 Libderiv->deriv_classes[2][11][0] = int_stack + 83062;
 Libderiv->dvrr_classes[3][6] = int_stack + 83530;
 Libderiv->dvrr_classes[3][7] = int_stack + 83810;
 Libderiv->dvrr_classes[3][8] = int_stack + 84170;
 Libderiv->dvrr_classes[3][9] = int_stack + 84620;
 Libderiv->dvrr_classes[3][10] = int_stack + 85170;
 Libderiv->dvrr_classes[3][11] = int_stack + 85830;
 Libderiv->deriv_classes[3][6][0] = int_stack + 86610;
 Libderiv->deriv_classes[3][7][0] = int_stack + 86890;
 Libderiv->deriv_classes[3][8][0] = int_stack + 87250;
 Libderiv->deriv_classes[3][9][0] = int_stack + 87700;
 Libderiv->deriv_classes[3][10][0] = int_stack + 88250;
 Libderiv->deriv_classes[3][11][0] = int_stack + 88910;
 Libderiv->deriv_classes[4][6][0] = int_stack + 89690;
 Libderiv->deriv_classes[4][7][0] = int_stack + 90110;
 Libderiv->deriv_classes[4][8][0] = int_stack + 90650;
 Libderiv->deriv_classes[4][9][0] = int_stack + 91325;
 Libderiv->deriv_classes[4][10][0] = int_stack + 92150;
 Libderiv->deriv_classes[4][11][0] = int_stack + 93140;
 memset(int_stack,0,754480);

 Libderiv->dvrr_stack = int_stack + 354261;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ddih(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+94310,int_stack+80002,int_stack+79834,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+94814,int_stack+80218,int_stack+80002,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95462,int_stack+94814,int_stack+94310,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+96470,int_stack+80488,int_stack+80218,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+97280,int_stack+96470,int_stack+94814,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+98576,int_stack+97280,int_stack+95462,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+100256,int_stack+80818,int_stack+80488,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+101246,int_stack+100256,int_stack+96470,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+102866,int_stack+101246,int_stack+97280,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+105026,int_stack+102866,int_stack+98576,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107546,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79834,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+108050,int_stack+384,int_stack+168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80002,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+108698,int_stack+108050,int_stack+107546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94310,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+109706,int_stack+654,int_stack+384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80218,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+110516,int_stack+109706,int_stack+108050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94814,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+111812,int_stack+110516,int_stack+108698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95462,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+107546,int_stack+984,int_stack+654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80488,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+113492,int_stack+107546,int_stack+109706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96470,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+115112,int_stack+113492,int_stack+110516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97280,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+108536,int_stack+115112,int_stack+111812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98576,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+111056,int_stack+1380,int_stack+984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80818,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+117272,int_stack+111056,int_stack+107546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100256,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+119252,int_stack+117272,int_stack+113492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101246,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+111056,int_stack+119252,int_stack+115112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102866,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+114296,int_stack+111056,int_stack+108536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105026,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+107546,int_stack+83810,int_stack+83530,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+108386,int_stack+84170,int_stack+83810,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+109466,int_stack+108386,int_stack+107546,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+111146,int_stack+84620,int_stack+84170,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+117824,int_stack+111146,int_stack+108386,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+119984,int_stack+117824,int_stack+109466,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+112496,int_stack+85170,int_stack+84620,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+122784,int_stack+112496,int_stack+111146,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+125484,int_stack+122784,int_stack+117824,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+129084,int_stack+125484,int_stack+119984,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+2128,int_stack+1848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83530,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+840,int_stack+2488,int_stack+2128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83810,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+133284,int_stack+840,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107546,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+134964,int_stack+2938,int_stack+2488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84170,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+136314,int_stack+134964,int_stack+840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108386,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+136314,int_stack+133284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109466,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+133284,int_stack+3488,int_stack+2938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84620,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+138474,int_stack+133284,int_stack+134964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111146,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+141174,int_stack+138474,int_stack+136314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117824,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+144774,int_stack+141174,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119984,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+4148,int_stack+3488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85170,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+134934,int_stack+0,int_stack+133284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112496,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+0,int_stack+134934,int_stack+138474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122784,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+133284,int_stack+0,int_stack+141174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125484,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+138684,int_stack+133284,int_stack+144774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129084,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+144564,int_stack+138684,int_stack+114296,588);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+133284,int_stack+53508,int_stack+52668,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+134544,int_stack+54588,int_stack+53508,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+136164,int_stack+134544,int_stack+133284,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+55938,int_stack+54588,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+114146,int_stack+0,int_stack+134544,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+155148,int_stack+114146,int_stack+136164,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+2025,int_stack+57588,int_stack+55938,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+159348,int_stack+2025,int_stack+0,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+163398,int_stack+159348,int_stack+114146,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+168798,int_stack+163398,int_stack+155148,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175098,int_stack+5348,int_stack+4928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52668,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+176358,int_stack+5888,int_stack+5348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53508,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+177978,int_stack+176358,int_stack+175098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133284,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+180498,int_stack+6563,int_stack+5888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54588,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+182523,int_stack+180498,int_stack+176358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134544,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+185763,int_stack+182523,int_stack+177978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136164,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+175098,int_stack+7388,int_stack+6563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55938,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+189963,int_stack+175098,int_stack+180498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+194013,int_stack+189963,int_stack+182523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114146,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+177573,int_stack+194013,int_stack+185763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155148,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+183873,int_stack+8378,int_stack+7388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57588,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4500,int_stack+183873,int_stack+175098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+199413,int_stack+4500,int_stack+189963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159348,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+183873,int_stack+199413,int_stack+194013, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163398,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+191973,int_stack+183873,int_stack+177573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168798,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+200793,int_stack+191973,int_stack+138684,588);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138684,int_stack+9716,int_stack+9548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79834, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+139188,int_stack+9932,int_stack+9716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80002, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139836,int_stack+139188,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94310, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140844,int_stack+10202,int_stack+9932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80218, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+141654,int_stack+140844,int_stack+139188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94814, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4500,int_stack+141654,int_stack+139836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95462, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+138684,int_stack+10532,int_stack+10202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80488, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+6180,int_stack+138684,int_stack+140844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96470, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+7800,int_stack+6180,int_stack+141654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97280, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139674,int_stack+7800,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98576, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4500,int_stack+10928,int_stack+10532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80818, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+142194,int_stack+4500,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100256, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+175098,int_stack+142194,int_stack+6180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101246, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4500,int_stack+175098,int_stack+7800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102866, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+175098,int_stack+4500,int_stack+139674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105026, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4500,int_stack+11676,int_stack+11396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83530, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5340,int_stack+12036,int_stack+11676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83810, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6420,int_stack+5340,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107546, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8100,int_stack+12486,int_stack+12036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84170, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+9450,int_stack+8100,int_stack+5340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108386, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+178626,int_stack+9450,int_stack+6420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109466, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4500,int_stack+13036,int_stack+12486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84620, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+181426,int_stack+4500,int_stack+8100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111146, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+184126,int_stack+181426,int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117824, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+6150,int_stack+184126,int_stack+178626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119984, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+178626,int_stack+13696,int_stack+13036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85170, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+10350,int_stack+178626,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112496, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+187726,int_stack+10350,int_stack+181426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122784, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+178626,int_stack+187726,int_stack+184126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125484, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+138684,int_stack+178626,int_stack+6150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129084, 0.0, zero_stack,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+178626,int_stack+138684,int_stack+175098,588);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175098,int_stack+14896,int_stack+14476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52668, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+176358,int_stack+15436,int_stack+14896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53508, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+189210,int_stack+176358,int_stack+175098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133284, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+191730,int_stack+16111,int_stack+15436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54588, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+193755,int_stack+191730,int_stack+176358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134544, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4500,int_stack+193755,int_stack+189210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136164, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+189210,int_stack+16936,int_stack+16111, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55938, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+8700,int_stack+189210,int_stack+191730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+218433,int_stack+8700,int_stack+193755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114146, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+191685,int_stack+218433,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155148, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4500,int_stack+17926,int_stack+16936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57588, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+12750,int_stack+4500,int_stack+189210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+223833,int_stack+12750,int_stack+8700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159348, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4500,int_stack+223833,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163398, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+218433,int_stack+4500,int_stack+191685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168798, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+227253,int_stack+218433,int_stack+138684,588);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138684,int_stack+19264,int_stack+19096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79834, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+139188,int_stack+19480,int_stack+19264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80002, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139836,int_stack+139188,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94310, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140844,int_stack+19750,int_stack+19480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80218, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+141654,int_stack+140844,int_stack+139188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94814, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+218433,int_stack+141654,int_stack+139836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95462, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+138684,int_stack+20080,int_stack+19750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80488, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+220113,int_stack+138684,int_stack+140844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96470, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+221733,int_stack+220113,int_stack+141654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97280, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139674,int_stack+221733,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98576, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+218433,int_stack+20476,int_stack+20080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80818, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+142194,int_stack+218433,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100256, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+223893,int_stack+142194,int_stack+220113, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101246, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+218433,int_stack+223893,int_stack+221733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102866, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+175098,int_stack+218433,int_stack+139674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105026, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+218433,int_stack+21224,int_stack+20944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83530, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+219273,int_stack+21584,int_stack+21224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83810, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+220353,int_stack+219273,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107546, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+222033,int_stack+22034,int_stack+21584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84170, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+223383,int_stack+222033,int_stack+219273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108386, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+138684,int_stack+223383,int_stack+220353, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109466, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+218433,int_stack+22584,int_stack+22034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84620, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+141484,int_stack+218433,int_stack+222033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111146, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4500,int_stack+141484,int_stack+223383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117824, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+220083,int_stack+4500,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119984, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+138684,int_stack+23244,int_stack+22584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85170, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+8100,int_stack+138684,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112496, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+11400,int_stack+8100,int_stack+141484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122784, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+138684,int_stack+11400,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125484, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4500,int_stack+138684,int_stack+220083, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129084, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10380,int_stack+4500,int_stack+175098,588);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175098,int_stack+24444,int_stack+24024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+176358,int_stack+24984,int_stack+24444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53508, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+138684,int_stack+176358,int_stack+175098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133284, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141204,int_stack+25659,int_stack+24984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54588, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+20964,int_stack+141204,int_stack+176358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134544, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+218433,int_stack+20964,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136164, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+138684,int_stack+26484,int_stack+25659, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55938, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+222633,int_stack+138684,int_stack+141204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+189210,int_stack+222633,int_stack+20964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114146, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+244893,int_stack+189210,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+218433,int_stack+27474,int_stack+26484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57588, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+20964,int_stack+218433,int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+251193,int_stack+20964,int_stack+222633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159348, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+218433,int_stack+251193,int_stack+189210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163398, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+189210,int_stack+218433,int_stack+244893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168798, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+244893,int_stack+189210,int_stack+4500,588);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4500,int_stack+28812,int_stack+28644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5004,int_stack+29028,int_stack+28812, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5652,int_stack+5004,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6660,int_stack+29298,int_stack+29028, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7470,int_stack+6660,int_stack+5004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+189210,int_stack+7470,int_stack+5652, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4500,int_stack+29628,int_stack+29298, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+190890,int_stack+4500,int_stack+6660, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+192510,int_stack+190890,int_stack+7470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+5490,int_stack+192510,int_stack+189210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+189210,int_stack+30024,int_stack+29628, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+8010,int_stack+189210,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+194670,int_stack+8010,int_stack+190890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+189210,int_stack+194670,int_stack+192510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+175098,int_stack+189210,int_stack+5490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+189210,int_stack+30772,int_stack+30492, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+190050,int_stack+31132,int_stack+30772, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+191130,int_stack+190050,int_stack+189210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+192810,int_stack+31582,int_stack+31132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+194160,int_stack+192810,int_stack+190050, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+196320,int_stack+194160,int_stack+191130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+189210,int_stack+32132,int_stack+31582, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4500,int_stack+189210,int_stack+192810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+218433,int_stack+4500,int_stack+194160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+190860,int_stack+218433,int_stack+196320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+195060,int_stack+32792,int_stack+32132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+197040,int_stack+195060,int_stack+189210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+222033,int_stack+197040,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4500,int_stack+222033,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+138684,int_stack+4500,int_stack+190860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+189210,int_stack+138684,int_stack+175098,588);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175098,int_stack+33992,int_stack+33572, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+176358,int_stack+34532,int_stack+33992, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4500,int_stack+176358,int_stack+175098, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+7020,int_stack+35207,int_stack+34532, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+218433,int_stack+7020,int_stack+176358, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+221673,int_stack+218433,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4500,int_stack+36032,int_stack+35207, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+20964,int_stack+4500,int_stack+7020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+25014,int_stack+20964,int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+262533,int_stack+25014,int_stack+221673, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+218433,int_stack+37022,int_stack+36032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+221403,int_stack+218433,int_stack+4500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+30414,int_stack+221403,int_stack+20964, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+218433,int_stack+30414,int_stack+25014, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+20964,int_stack+218433,int_stack+262533, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+262533,int_stack+20964,int_stack+138684,588);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138684,int_stack+38360,int_stack+38192, 0.0, zero_stack, 1.0, int_stack+79834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+139188,int_stack+38576,int_stack+38360, 0.0, zero_stack, 1.0, int_stack+80002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139836,int_stack+139188,int_stack+138684, 0.0, zero_stack, 1.0, int_stack+94310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140844,int_stack+38846,int_stack+38576, 0.0, zero_stack, 1.0, int_stack+80218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+141654,int_stack+140844,int_stack+139188, 0.0, zero_stack, 1.0, int_stack+94814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+20964,int_stack+141654,int_stack+139836, 0.0, zero_stack, 1.0, int_stack+95462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+138684,int_stack+39176,int_stack+38846, 0.0, zero_stack, 1.0, int_stack+80488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+22644,int_stack+138684,int_stack+140844, 0.0, zero_stack, 1.0, int_stack+96470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+24264,int_stack+22644,int_stack+141654, 0.0, zero_stack, 1.0, int_stack+97280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139674,int_stack+24264,int_stack+20964, 0.0, zero_stack, 1.0, int_stack+98576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+20964,int_stack+39572,int_stack+39176, 0.0, zero_stack, 1.0, int_stack+80818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+142194,int_stack+20964,int_stack+138684, 0.0, zero_stack, 1.0, int_stack+100256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+26424,int_stack+142194,int_stack+22644, 0.0, zero_stack, 1.0, int_stack+101246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+20964,int_stack+26424,int_stack+24264, 0.0, zero_stack, 1.0, int_stack+102866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+175098,int_stack+20964,int_stack+139674, 0.0, zero_stack, 1.0, int_stack+105026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20964,int_stack+40320,int_stack+40040, 0.0, zero_stack, 1.0, int_stack+83530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21804,int_stack+40680,int_stack+40320, 0.0, zero_stack, 1.0, int_stack+83810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+22884,int_stack+21804,int_stack+20964, 0.0, zero_stack, 1.0, int_stack+107546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+24564,int_stack+41130,int_stack+40680, 0.0, zero_stack, 1.0, int_stack+84170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+25914,int_stack+24564,int_stack+21804, 0.0, zero_stack, 1.0, int_stack+108386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+28074,int_stack+25914,int_stack+22884, 0.0, zero_stack, 1.0, int_stack+109466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+20964,int_stack+41680,int_stack+41130, 0.0, zero_stack, 1.0, int_stack+84620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+30874,int_stack+20964,int_stack+24564, 0.0, zero_stack, 1.0, int_stack+111146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+33574,int_stack+30874,int_stack+25914, 0.0, zero_stack, 1.0, int_stack+117824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+22614,int_stack+33574,int_stack+28074, 0.0, zero_stack, 1.0, int_stack+119984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+26814,int_stack+42340,int_stack+41680, 0.0, zero_stack, 1.0, int_stack+85170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+37174,int_stack+26814,int_stack+20964, 0.0, zero_stack, 1.0, int_stack+112496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+138684,int_stack+37174,int_stack+30874, 0.0, zero_stack, 1.0, int_stack+122784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+37174,int_stack+138684,int_stack+33574, 0.0, zero_stack, 1.0, int_stack+125484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+138684,int_stack+37174,int_stack+22614, 0.0, zero_stack, 1.0, int_stack+129084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+20964,int_stack+138684,int_stack+175098,588);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175098,int_stack+43540,int_stack+43120, 0.0, zero_stack, 1.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+176358,int_stack+44080,int_stack+43540, 0.0, zero_stack, 1.0, int_stack+53508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+31548,int_stack+176358,int_stack+175098, 0.0, zero_stack, 1.0, int_stack+133284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+34068,int_stack+44755,int_stack+44080, 0.0, zero_stack, 1.0, int_stack+54588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+36093,int_stack+34068,int_stack+176358, 0.0, zero_stack, 1.0, int_stack+134544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+39333,int_stack+36093,int_stack+31548, 0.0, zero_stack, 1.0, int_stack+136164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+31548,int_stack+45580,int_stack+44755, 0.0, zero_stack, 1.0, int_stack+55938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+218433,int_stack+31548,int_stack+34068, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4500,int_stack+218433,int_stack+36093, 0.0, zero_stack, 1.0, int_stack+114146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+280173,int_stack+4500,int_stack+39333, 0.0, zero_stack, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+34023,int_stack+46570,int_stack+45580, 0.0, zero_stack, 1.0, int_stack+57588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+36993,int_stack+34023,int_stack+31548, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+286473,int_stack+36993,int_stack+218433, 0.0, zero_stack, 1.0, int_stack+159348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+218433,int_stack+286473,int_stack+4500, 0.0, zero_stack, 1.0, int_stack+163398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+31548,int_stack+218433,int_stack+280173, 0.0, zero_stack, 1.0, int_stack+168798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+280173,int_stack+31548,int_stack+138684,588);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138684,int_stack+47908,int_stack+47740, 1.0, int_stack+79834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+139188,int_stack+48124,int_stack+47908, 1.0, int_stack+80002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139836,int_stack+139188,int_stack+138684, 1.0, int_stack+94310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140844,int_stack+48394,int_stack+48124, 1.0, int_stack+80218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+141654,int_stack+140844,int_stack+139188, 1.0, int_stack+94814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+31548,int_stack+141654,int_stack+139836, 1.0, int_stack+95462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+94310,int_stack+48724,int_stack+48394, 1.0, int_stack+80488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+138684,int_stack+94310,int_stack+140844, 1.0, int_stack+96470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+33228,int_stack+138684,int_stack+141654, 1.0, int_stack+97280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+95300,int_stack+33228,int_stack+31548, 1.0, int_stack+98576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+31548,int_stack+49120,int_stack+48724, 1.0, int_stack+80818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+97820,int_stack+31548,int_stack+94310, 1.0, int_stack+100256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+140304,int_stack+97820,int_stack+138684, 1.0, int_stack+101246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+35388,int_stack+140304,int_stack+33228, 1.0, int_stack+102866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+175098,int_stack+35388,int_stack+95300, 1.0, int_stack+105026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138684,int_stack+49868,int_stack+49588, 1.0, int_stack+83530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+139524,int_stack+50228,int_stack+49868, 1.0, int_stack+83810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+140604,int_stack+139524,int_stack+138684, 1.0, int_stack+107546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+142284,int_stack+50678,int_stack+50228, 1.0, int_stack+84170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+94310,int_stack+142284,int_stack+139524, 1.0, int_stack+108386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+96470,int_stack+94310,int_stack+140604, 1.0, int_stack+109466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+107546,int_stack+51228,int_stack+50678, 1.0, int_stack+84620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+138684,int_stack+107546,int_stack+142284, 1.0, int_stack+111146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+31548,int_stack+138684,int_stack+94310, 1.0, int_stack+117824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+35148,int_stack+31548,int_stack+96470, 1.0, int_stack+119984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+94310,int_stack+51888,int_stack+51228, 1.0, int_stack+85170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+109196,int_stack+94310,int_stack+107546, 1.0, int_stack+112496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+94310,int_stack+109196,int_stack+138684, 1.0, int_stack+122784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+138684,int_stack+94310,int_stack+31548, 1.0, int_stack+125484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4500,int_stack+138684,int_stack+35148, 1.0, int_stack+129084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+31548,int_stack+4500,int_stack+175098,588);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175098,int_stack+54048,int_stack+53088, 1.0, int_stack+52668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+176358,int_stack+55263,int_stack+54048, 1.0, int_stack+53508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+138684,int_stack+176358,int_stack+175098, 1.0, int_stack+133284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141204,int_stack+56763,int_stack+55263, 1.0, int_stack+54588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+42132,int_stack+141204,int_stack+176358, 1.0, int_stack+134544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+45372,int_stack+42132,int_stack+138684, 1.0, int_stack+136164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+133284,int_stack+58578,int_stack+56763, 1.0, int_stack+55938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+135759,int_stack+133284,int_stack+141204, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+49572,int_stack+135759,int_stack+42132, 1.0, int_stack+114146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+114146,int_stack+49572,int_stack+45372, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+155148,int_stack+59568,int_stack+58578, 1.0, int_stack+57588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+107546,int_stack+155148,int_stack+133284, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+42132,int_stack+107546,int_stack+135759, 1.0, int_stack+159348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+133284,int_stack+42132,int_stack+49572, 1.0, int_stack+163398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+218433,int_stack+133284,int_stack+114146, 1.0, int_stack+168798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+42132,int_stack+218433,int_stack+4500,588);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+218433,int_stack+81214,int_stack+80818,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+219621,int_stack+218433,int_stack+100256,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+221601,int_stack+219621,int_stack+101246,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+114146,int_stack+221601,int_stack+102866,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+218433,int_stack+114146,int_stack+105026,6);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+114146,int_stack+85830,int_stack+85170,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+116126,int_stack+114146,int_stack+112496,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+221961,int_stack+116126,int_stack+122784,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+133284,int_stack+221961,int_stack+125484,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+138684,int_stack+133284,int_stack+129084,10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+155148,int_stack+138684,int_stack+218433,588);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+221961,int_stack+60906,int_stack+60738,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+222465,int_stack+61122,int_stack+60906,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+223113,int_stack+222465,int_stack+221961,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+224121,int_stack+61392,int_stack+61122,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+224931,int_stack+224121,int_stack+222465,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+165732,int_stack+224931,int_stack+223113,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+221961,int_stack+61722,int_stack+61392,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+59772,int_stack+221961,int_stack+224121,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+167412,int_stack+59772,int_stack+224931,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+222951,int_stack+167412,int_stack+165732,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+165732,int_stack+62118,int_stack+61722,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+169572,int_stack+165732,int_stack+221961,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+171552,int_stack+169572,int_stack+59772,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+174252,int_stack+171552,int_stack+167412,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+165732,int_stack+174252,int_stack+222951,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+59772,int_stack+62866,int_stack+62586,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+60612,int_stack+63226,int_stack+62866,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+221961,int_stack+60612,int_stack+59772,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+61692,int_stack+63676,int_stack+63226,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+223641,int_stack+61692,int_stack+60612,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+169260,int_stack+223641,int_stack+221961,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+221961,int_stack+64226,int_stack+63676,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+172060,int_stack+221961,int_stack+61692,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+59772,int_stack+172060,int_stack+223641,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+59772,int_stack+169260,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+169260,int_stack+64886,int_stack+64226,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+223611,int_stack+169260,int_stack+221961,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4200,int_stack+223611,int_stack+172060,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+169260,int_stack+4200,int_stack+59772,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+59772,int_stack+169260,int_stack+0,10);
 /*--- compute (dp|ih) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+94310,int_stack+59772,int_stack+165732, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+165732,int_stack+66086,int_stack+65666,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+166992,int_stack+66626,int_stack+66086,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+168612,int_stack+166992,int_stack+165732,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+171132,int_stack+67301,int_stack+66626,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+173157,int_stack+171132,int_stack+166992,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+173157,int_stack+168612,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+165732,int_stack+68126,int_stack+67301,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+4200,int_stack+165732,int_stack+171132,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+104894,int_stack+4200,int_stack+173157,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+168207,int_stack+104894,int_stack+0,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+69116,int_stack+68126,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+221961,int_stack+0,int_stack+165732,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+110294,int_stack+221961,int_stack+4200,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+110294,int_stack+104894,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+104894,int_stack+0,int_stack+168207,15);
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+113714,int_stack+104894,int_stack+59772, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+59772,int_stack+70454,int_stack+70286,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+60276,int_stack+70670,int_stack+70454,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60924,int_stack+60276,int_stack+59772,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+61932,int_stack+70940,int_stack+70670,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+62742,int_stack+61932,int_stack+60276,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+64038,int_stack+62742,int_stack+60924,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+59772,int_stack+71270,int_stack+70940,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+65718,int_stack+59772,int_stack+61932,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+67338,int_stack+65718,int_stack+62742,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+60762,int_stack+67338,int_stack+64038,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+63282,int_stack+71666,int_stack+71270,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+69498,int_stack+63282,int_stack+59772,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+104894,int_stack+69498,int_stack+65718,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+63282,int_stack+104894,int_stack+67338,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+104894,int_stack+63282,int_stack+60762,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+108422,int_stack+72414,int_stack+72134,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+109262,int_stack+72774,int_stack+72414,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+110342,int_stack+109262,int_stack+108422,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+112022,int_stack+73224,int_stack+72774,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+59772,int_stack+112022,int_stack+109262,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+61932,int_stack+59772,int_stack+110342,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+108422,int_stack+73774,int_stack+73224,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+64732,int_stack+108422,int_stack+112022,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+110072,int_stack+64732,int_stack+59772,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+67432,int_stack+110072,int_stack+61932,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+59772,int_stack+74434,int_stack+73774,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+71632,int_stack+59772,int_stack+108422,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+59772,int_stack+71632,int_stack+64732,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+59772,int_stack+110072,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+59772,int_stack+0,int_stack+67432,10);
 /*--- compute (dp|ih) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+165732,int_stack+59772,int_stack+104894, 0.0, zero_stack, 1.0, int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+104894,int_stack+75634,int_stack+75214,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+106154,int_stack+76174,int_stack+75634,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+107774,int_stack+106154,int_stack+104894,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+110294,int_stack+76849,int_stack+76174,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+110294,int_stack+106154,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+3240,int_stack+0,int_stack+107774,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+104894,int_stack+77674,int_stack+76849,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+65652,int_stack+104894,int_stack+110294,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+107369,int_stack+65652,int_stack+0,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+69702,int_stack+107369,int_stack+3240,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+78664,int_stack+77674,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+2970,int_stack+0,int_stack+104894,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+131354,int_stack+2970,int_stack+65652,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+131354,int_stack+107369,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+104894,int_stack+0,int_stack+69702,15);
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+297813,int_stack+104894,int_stack+59772, 0.0, zero_stack, 1.0, int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+59772,int_stack+81850,int_stack+81682,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+60276,int_stack+82066,int_stack+81850,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60924,int_stack+60276,int_stack+59772,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+61932,int_stack+82336,int_stack+82066,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+62742,int_stack+61932,int_stack+60276,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+64038,int_stack+62742,int_stack+60924,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+59772,int_stack+82666,int_stack+82336,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+65718,int_stack+59772,int_stack+61932,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+67338,int_stack+65718,int_stack+62742,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+60762,int_stack+67338,int_stack+64038,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+63282,int_stack+83062,int_stack+82666,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+69498,int_stack+63282,int_stack+59772,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+71478,int_stack+69498,int_stack+65718,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+63282,int_stack+71478,int_stack+67338,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+66522,int_stack+63282,int_stack+60762,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+59772,int_stack+86890,int_stack+86610,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+60612,int_stack+87250,int_stack+86890,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+61692,int_stack+60612,int_stack+59772,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+63372,int_stack+87700,int_stack+87250,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+70050,int_stack+63372,int_stack+60612,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+72210,int_stack+70050,int_stack+61692,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+59772,int_stack+88250,int_stack+87700,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+75010,int_stack+59772,int_stack+63372,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+61422,int_stack+75010,int_stack+70050,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+77710,int_stack+61422,int_stack+72210,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+70050,int_stack+88910,int_stack+88250,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+81910,int_stack+70050,int_stack+59772,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+70050,int_stack+81910,int_stack+75010,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+81910,int_stack+70050,int_stack+61422,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+70050,int_stack+81910,int_stack+77710,10);
 /*--- compute (dp|ih) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+75930,int_stack+70050,int_stack+66522, 1.0, int_stack+218433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+218433,int_stack+90110,int_stack+89690,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+219693,int_stack+90650,int_stack+90110,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+221313,int_stack+219693,int_stack+218433,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+223833,int_stack+91325,int_stack+90650,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+86514,int_stack+223833,int_stack+219693,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+59772,int_stack+86514,int_stack+221313,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+218433,int_stack+92150,int_stack+91325,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+63972,int_stack+218433,int_stack+223833,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+220908,int_stack+63972,int_stack+86514,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+104894,int_stack+220908,int_stack+59772,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+59772,int_stack+93140,int_stack+92150,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+86514,int_stack+59772,int_stack+218433,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+0,int_stack+86514,int_stack+63972,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+59772,int_stack+0,int_stack+220908,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+218433,int_stack+59772,int_stack+104894,15);
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+315453,int_stack+218433,int_stack+70050, 1.0, int_stack+138684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+333093,int_stack+200793,int_stack+144564,588);
     Libderiv->ABCD[11] = int_stack + 333093;
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+131354,int_stack+227253,int_stack+178626,588);
     Libderiv->ABCD[10] = int_stack + 131354;
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+199794,int_stack+244893,int_stack+10380,588);
     Libderiv->ABCD[9] = int_stack + 199794;
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+220962,int_stack+262533,int_stack+189210,588);
     Libderiv->ABCD[8] = int_stack + 220962;
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+176316,int_stack+280173,int_stack+20964,588);
     Libderiv->ABCD[7] = int_stack + 176316;
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+0,int_stack+42132,int_stack+31548,588);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (dd|ih) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+21168,int_stack+113714,int_stack+94310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[2] = int_stack + 21168;
 /*--- compute (dd|ih) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+42336,int_stack+297813,int_stack+165732, 0.0, zero_stack, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[1] = int_stack + 42336;
 /*--- compute (dd|ih) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+86514,int_stack+315453,int_stack+75930, 1.0, int_stack+155148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[0] = int_stack + 86514;

}
