#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdhp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|hp) integrals */

void d1hrr_order_fdhp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[4][5][11] = int_stack + 490;
 Libderiv->deriv_classes[4][6][11] = int_stack + 805;
 Libderiv->deriv_classes[5][5][11] = int_stack + 1225;
 Libderiv->deriv_classes[5][6][11] = int_stack + 1666;
 Libderiv->deriv_classes[3][5][10] = int_stack + 2254;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2464;
 Libderiv->deriv_classes[4][5][10] = int_stack + 2744;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3059;
 Libderiv->deriv_classes[5][5][10] = int_stack + 3479;
 Libderiv->deriv_classes[5][6][10] = int_stack + 3920;
 Libderiv->deriv_classes[3][5][9] = int_stack + 4508;
 Libderiv->deriv_classes[3][6][9] = int_stack + 4718;
 Libderiv->deriv_classes[4][5][9] = int_stack + 4998;
 Libderiv->deriv_classes[4][6][9] = int_stack + 5313;
 Libderiv->deriv_classes[5][5][9] = int_stack + 5733;
 Libderiv->deriv_classes[5][6][9] = int_stack + 6174;
 Libderiv->deriv_classes[3][5][8] = int_stack + 6762;
 Libderiv->deriv_classes[3][6][8] = int_stack + 6972;
 Libderiv->deriv_classes[4][5][8] = int_stack + 7252;
 Libderiv->deriv_classes[4][6][8] = int_stack + 7567;
 Libderiv->deriv_classes[5][5][8] = int_stack + 7987;
 Libderiv->deriv_classes[5][6][8] = int_stack + 8428;
 Libderiv->deriv_classes[3][5][7] = int_stack + 9016;
 Libderiv->deriv_classes[3][6][7] = int_stack + 9226;
 Libderiv->deriv_classes[4][5][7] = int_stack + 9506;
 Libderiv->deriv_classes[4][6][7] = int_stack + 9821;
 Libderiv->deriv_classes[5][5][7] = int_stack + 10241;
 Libderiv->deriv_classes[5][6][7] = int_stack + 10682;
 Libderiv->deriv_classes[3][5][6] = int_stack + 11270;
 Libderiv->deriv_classes[3][6][6] = int_stack + 11480;
 Libderiv->deriv_classes[4][5][6] = int_stack + 11760;
 Libderiv->deriv_classes[4][6][6] = int_stack + 12075;
 Libderiv->dvrr_classes[5][5] = int_stack + 12495;
 Libderiv->deriv_classes[5][5][6] = int_stack + 12936;
 Libderiv->deriv_classes[5][6][6] = int_stack + 13377;
 Libderiv->deriv_classes[3][5][2] = int_stack + 13965;
 Libderiv->deriv_classes[3][6][2] = int_stack + 14175;
 Libderiv->deriv_classes[4][5][2] = int_stack + 14455;
 Libderiv->deriv_classes[4][6][2] = int_stack + 14770;
 Libderiv->deriv_classes[5][5][2] = int_stack + 15190;
 Libderiv->deriv_classes[5][6][2] = int_stack + 15631;
 Libderiv->deriv_classes[3][5][1] = int_stack + 16219;
 Libderiv->deriv_classes[3][6][1] = int_stack + 16429;
 Libderiv->deriv_classes[4][5][1] = int_stack + 16709;
 Libderiv->deriv_classes[4][6][1] = int_stack + 17024;
 Libderiv->deriv_classes[5][5][1] = int_stack + 17444;
 Libderiv->deriv_classes[5][6][1] = int_stack + 17885;
 Libderiv->dvrr_classes[3][5] = int_stack + 18473;
 Libderiv->dvrr_classes[3][6] = int_stack + 18683;
 Libderiv->deriv_classes[3][5][0] = int_stack + 18963;
 Libderiv->deriv_classes[3][6][0] = int_stack + 19173;
 Libderiv->dvrr_classes[4][5] = int_stack + 19453;
 Libderiv->dvrr_classes[4][6] = int_stack + 19768;
 Libderiv->deriv_classes[4][5][0] = int_stack + 20188;
 Libderiv->deriv_classes[4][6][0] = int_stack + 20503;
 Libderiv->deriv_classes[5][5][0] = int_stack + 20923;
 Libderiv->deriv_classes[5][6][0] = int_stack + 21364;
 memset(int_stack,0,175616);

 Libderiv->dvrr_stack = int_stack + 52633;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdhp(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18473,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22582,int_stack+805,int_stack+490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19453,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+23527,int_stack+22582,int_stack+21952,63);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+1666,int_stack+1225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12495,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+26740,int_stack+25417,int_stack+22582,63);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+2464,int_stack+2254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18473, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+3059,int_stack+2744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19453, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+21952,int_stack+25417,63);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+3920,int_stack+3479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12495, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+29575,int_stack+25417,int_stack+21952,63);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+4718,int_stack+4508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18473, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22582,int_stack+5313,int_stack+4998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19453, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+1890,int_stack+22582,int_stack+21952,63);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+6174,int_stack+5733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12495, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+3780,int_stack+25417,int_stack+22582,63);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+6972,int_stack+6762, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+7567,int_stack+7252, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19453, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+32410,int_stack+21952,int_stack+25417,63);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+8428,int_stack+7987, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+34300,int_stack+25417,int_stack+21952,63);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+9226,int_stack+9016, 0.0, zero_stack, 1.0, int_stack+18473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22582,int_stack+9821,int_stack+9506, 0.0, zero_stack, 1.0, int_stack+19453, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+6615,int_stack+22582,int_stack+21952,63);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+10682,int_stack+10241, 0.0, zero_stack, 1.0, int_stack+12495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+37135,int_stack+25417,int_stack+22582,63);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+11480,int_stack+11270, 1.0, int_stack+18473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+12075,int_stack+11760, 1.0, int_stack+19453, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8505,int_stack+21952,int_stack+25417,63);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+13377,int_stack+12936, 1.0, int_stack+12495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10395,int_stack+25417,int_stack+21952,63);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21952,int_stack+18683,int_stack+18473,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+22582,int_stack+19768,int_stack+19453,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+39970,int_stack+22582,int_stack+21952,63);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+19453,int_stack+14175,int_stack+13965,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+14770,int_stack+14455,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+13230,int_stack+25417,int_stack+19453, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+41860,int_stack+15631,int_stack+15190,21);
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+43183,int_stack+41860,int_stack+25417, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+16429,int_stack+16219,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+41860,int_stack+17024,int_stack+16709,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+15120,int_stack+41860,int_stack+25417, 0.0, zero_stack, 1.0, int_stack+21952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+17885,int_stack+17444,21);
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+46018,int_stack+25417,int_stack+41860, 0.0, zero_stack, 1.0, int_stack+22582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+41860,int_stack+19173,int_stack+18963,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25417,int_stack+20503,int_stack+20188,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+17010,int_stack+25417,int_stack+41860, 1.0, int_stack+21952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+41860,int_stack+21364,int_stack+20923,21);
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+18900,int_stack+41860,int_stack+25417, 1.0, int_stack+22582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+48853,int_stack+26740,int_stack+23527,63);
     Libderiv->ABCD[11] = int_stack + 48853;
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+21735,int_stack+29575,int_stack+0,63);
     Libderiv->ABCD[10] = int_stack + 21735;
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+25515,int_stack+3780,int_stack+1890,63);
     Libderiv->ABCD[9] = int_stack + 25515;
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+34300,int_stack+32410,63);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+29295,int_stack+37135,int_stack+6615,63);
     Libderiv->ABCD[7] = int_stack + 29295;
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+3780,int_stack+10395,int_stack+8505,63);
     Libderiv->ABCD[6] = int_stack + 3780;
 /*--- compute (fd|hp) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+7560,int_stack+43183,int_stack+13230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 7560;
 /*--- compute (fd|hp) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+11340,int_stack+46018,int_stack+15120, 0.0, zero_stack, 1.0, int_stack+39970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 11340;
 /*--- compute (fd|hp) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+41860,int_stack+18900,int_stack+17010, 1.0, int_stack+39970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 41860;

}
