#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gfhd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gf|hd) integrals */

void d1hrr_order_gfhd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 315;
 Libderiv->deriv_classes[4][7][11] = int_stack + 735;
 Libderiv->deriv_classes[5][5][11] = int_stack + 1275;
 Libderiv->deriv_classes[5][6][11] = int_stack + 1716;
 Libderiv->deriv_classes[5][7][11] = int_stack + 2304;
 Libderiv->deriv_classes[6][5][11] = int_stack + 3060;
 Libderiv->deriv_classes[6][6][11] = int_stack + 3648;
 Libderiv->deriv_classes[6][7][11] = int_stack + 4432;
 Libderiv->deriv_classes[7][5][11] = int_stack + 5440;
 Libderiv->deriv_classes[7][6][11] = int_stack + 6196;
 Libderiv->deriv_classes[7][7][11] = int_stack + 7204;
 Libderiv->deriv_classes[4][5][10] = int_stack + 8500;
 Libderiv->deriv_classes[4][6][10] = int_stack + 8815;
 Libderiv->deriv_classes[4][7][10] = int_stack + 9235;
 Libderiv->deriv_classes[5][5][10] = int_stack + 9775;
 Libderiv->deriv_classes[5][6][10] = int_stack + 10216;
 Libderiv->deriv_classes[5][7][10] = int_stack + 10804;
 Libderiv->deriv_classes[6][5][10] = int_stack + 11560;
 Libderiv->deriv_classes[6][6][10] = int_stack + 12148;
 Libderiv->deriv_classes[6][7][10] = int_stack + 12932;
 Libderiv->deriv_classes[7][5][10] = int_stack + 13940;
 Libderiv->deriv_classes[7][6][10] = int_stack + 14696;
 Libderiv->deriv_classes[7][7][10] = int_stack + 15704;
 Libderiv->deriv_classes[4][5][9] = int_stack + 17000;
 Libderiv->deriv_classes[4][6][9] = int_stack + 17315;
 Libderiv->deriv_classes[4][7][9] = int_stack + 17735;
 Libderiv->deriv_classes[5][5][9] = int_stack + 18275;
 Libderiv->deriv_classes[5][6][9] = int_stack + 18716;
 Libderiv->deriv_classes[5][7][9] = int_stack + 19304;
 Libderiv->deriv_classes[6][5][9] = int_stack + 20060;
 Libderiv->deriv_classes[6][6][9] = int_stack + 20648;
 Libderiv->deriv_classes[6][7][9] = int_stack + 21432;
 Libderiv->deriv_classes[7][5][9] = int_stack + 22440;
 Libderiv->deriv_classes[7][6][9] = int_stack + 23196;
 Libderiv->deriv_classes[7][7][9] = int_stack + 24204;
 Libderiv->deriv_classes[4][5][8] = int_stack + 25500;
 Libderiv->deriv_classes[4][6][8] = int_stack + 25815;
 Libderiv->deriv_classes[4][7][8] = int_stack + 26235;
 Libderiv->deriv_classes[5][5][8] = int_stack + 26775;
 Libderiv->deriv_classes[5][6][8] = int_stack + 27216;
 Libderiv->deriv_classes[5][7][8] = int_stack + 27804;
 Libderiv->deriv_classes[6][5][8] = int_stack + 28560;
 Libderiv->deriv_classes[6][6][8] = int_stack + 29148;
 Libderiv->deriv_classes[6][7][8] = int_stack + 29932;
 Libderiv->deriv_classes[7][5][8] = int_stack + 30940;
 Libderiv->deriv_classes[7][6][8] = int_stack + 31696;
 Libderiv->deriv_classes[7][7][8] = int_stack + 32704;
 Libderiv->deriv_classes[4][5][7] = int_stack + 34000;
 Libderiv->deriv_classes[4][6][7] = int_stack + 34315;
 Libderiv->deriv_classes[4][7][7] = int_stack + 34735;
 Libderiv->deriv_classes[5][5][7] = int_stack + 35275;
 Libderiv->deriv_classes[5][6][7] = int_stack + 35716;
 Libderiv->deriv_classes[5][7][7] = int_stack + 36304;
 Libderiv->deriv_classes[6][5][7] = int_stack + 37060;
 Libderiv->deriv_classes[6][6][7] = int_stack + 37648;
 Libderiv->deriv_classes[6][7][7] = int_stack + 38432;
 Libderiv->deriv_classes[7][5][7] = int_stack + 39440;
 Libderiv->deriv_classes[7][6][7] = int_stack + 40196;
 Libderiv->deriv_classes[7][7][7] = int_stack + 41204;
 Libderiv->deriv_classes[4][5][6] = int_stack + 42500;
 Libderiv->deriv_classes[4][6][6] = int_stack + 42815;
 Libderiv->deriv_classes[4][7][6] = int_stack + 43235;
 Libderiv->deriv_classes[5][5][6] = int_stack + 43775;
 Libderiv->deriv_classes[5][6][6] = int_stack + 44216;
 Libderiv->deriv_classes[5][7][6] = int_stack + 44804;
 Libderiv->deriv_classes[6][5][6] = int_stack + 45560;
 Libderiv->deriv_classes[6][6][6] = int_stack + 46148;
 Libderiv->deriv_classes[6][7][6] = int_stack + 46932;
 Libderiv->dvrr_classes[7][5] = int_stack + 47940;
 Libderiv->deriv_classes[7][5][6] = int_stack + 48696;
 Libderiv->dvrr_classes[7][6] = int_stack + 49452;
 Libderiv->deriv_classes[7][6][6] = int_stack + 50460;
 Libderiv->deriv_classes[7][7][6] = int_stack + 51468;
 Libderiv->deriv_classes[4][5][2] = int_stack + 52764;
 Libderiv->deriv_classes[4][6][2] = int_stack + 53079;
 Libderiv->deriv_classes[4][7][2] = int_stack + 53499;
 Libderiv->deriv_classes[5][5][2] = int_stack + 54039;
 Libderiv->deriv_classes[5][6][2] = int_stack + 54480;
 Libderiv->deriv_classes[5][7][2] = int_stack + 55068;
 Libderiv->deriv_classes[6][5][2] = int_stack + 55824;
 Libderiv->deriv_classes[6][6][2] = int_stack + 56412;
 Libderiv->deriv_classes[6][7][2] = int_stack + 57196;
 Libderiv->deriv_classes[7][5][2] = int_stack + 58204;
 Libderiv->deriv_classes[7][6][2] = int_stack + 58960;
 Libderiv->deriv_classes[7][7][2] = int_stack + 59968;
 Libderiv->deriv_classes[4][5][1] = int_stack + 61264;
 Libderiv->deriv_classes[4][6][1] = int_stack + 61579;
 Libderiv->deriv_classes[4][7][1] = int_stack + 61999;
 Libderiv->deriv_classes[5][5][1] = int_stack + 62539;
 Libderiv->deriv_classes[5][6][1] = int_stack + 62980;
 Libderiv->deriv_classes[5][7][1] = int_stack + 63568;
 Libderiv->deriv_classes[6][5][1] = int_stack + 64324;
 Libderiv->deriv_classes[6][6][1] = int_stack + 64912;
 Libderiv->deriv_classes[6][7][1] = int_stack + 65696;
 Libderiv->deriv_classes[7][5][1] = int_stack + 66704;
 Libderiv->deriv_classes[7][6][1] = int_stack + 67460;
 Libderiv->deriv_classes[7][7][1] = int_stack + 68468;
 Libderiv->dvrr_classes[4][5] = int_stack + 69764;
 Libderiv->dvrr_classes[4][6] = int_stack + 70079;
 Libderiv->dvrr_classes[4][7] = int_stack + 70499;
 Libderiv->deriv_classes[4][5][0] = int_stack + 71039;
 Libderiv->deriv_classes[4][6][0] = int_stack + 71354;
 Libderiv->deriv_classes[4][7][0] = int_stack + 71774;
 Libderiv->dvrr_classes[5][5] = int_stack + 72314;
 Libderiv->dvrr_classes[5][6] = int_stack + 72755;
 Libderiv->dvrr_classes[5][7] = int_stack + 73343;
 Libderiv->deriv_classes[5][5][0] = int_stack + 74099;
 Libderiv->deriv_classes[5][6][0] = int_stack + 74540;
 Libderiv->deriv_classes[5][7][0] = int_stack + 75128;
 Libderiv->dvrr_classes[6][5] = int_stack + 75884;
 Libderiv->dvrr_classes[6][6] = int_stack + 76472;
 Libderiv->dvrr_classes[6][7] = int_stack + 77256;
 Libderiv->deriv_classes[6][5][0] = int_stack + 78264;
 Libderiv->deriv_classes[6][6][0] = int_stack + 78852;
 Libderiv->deriv_classes[6][7][0] = int_stack + 79636;
 Libderiv->deriv_classes[7][5][0] = int_stack + 80644;
 Libderiv->deriv_classes[7][6][0] = int_stack + 81400;
 Libderiv->deriv_classes[7][7][0] = int_stack + 82408;
 memset(int_stack,0,669632);

 Libderiv->dvrr_stack = int_stack + 343222;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gfhd(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+83704,int_stack+70079,int_stack+69764,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84649,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69764,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85594,int_stack+735,int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70079,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+86854,int_stack+85594,int_stack+84649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83704,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+84649,int_stack+72755,int_stack+72314,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+88744,int_stack+1716,int_stack+1275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72314,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+90067,int_stack+2304,int_stack+1716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72755,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+90067,int_stack+88744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84649,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+88744,int_stack+0,int_stack+86854,126);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+85972,int_stack+76472,int_stack+75884,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+94414,int_stack+3648,int_stack+3060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75884,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+96178,int_stack+4432,int_stack+3648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76472,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+98530,int_stack+96178,int_stack+94414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85972,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+102058,int_stack+98530,int_stack+0,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+109996,int_stack+102058,int_stack+88744,126);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+49452,int_stack+47940,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+6196,int_stack+5440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47940,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+87736,int_stack+7204,int_stack+6196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90760,int_stack+87736,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+121336,int_stack+90760,int_stack+98530,126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+131920,int_stack+121336,int_stack+102058,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+8815,int_stack+8500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69764, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+122281,int_stack+9235,int_stack+8815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70079, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+123541,int_stack+122281,int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83704, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+10216,int_stack+9775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72314, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125431,int_stack+10804,int_stack+10216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72755, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127195,int_stack+125431,int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84649, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+2268,int_stack+127195,int_stack+123541,126);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+12148,int_stack+11560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75884, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123100,int_stack+12932,int_stack+12148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76472, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7938,int_stack+123100,int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85972, 0.0, zero_stack,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+87736,int_stack+7938,int_stack+127195,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+95674,int_stack+87736,int_stack+2268,126);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+14696,int_stack+13940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47940, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4536,int_stack+15704,int_stack+14696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+121336,int_stack+4536,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+147796,int_stack+121336,int_stack+7938,126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+158380,int_stack+147796,int_stack+87736,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87736,int_stack+17315,int_stack+17000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69764, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88681,int_stack+17735,int_stack+17315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70079, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+89941,int_stack+88681,int_stack+87736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83704, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87736,int_stack+18716,int_stack+18275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72314, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+91831,int_stack+19304,int_stack+18716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72755, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+147796,int_stack+91831,int_stack+87736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84649, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+150442,int_stack+147796,int_stack+89941,126);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87736,int_stack+20648,int_stack+20060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75884, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+89500,int_stack+21432,int_stack+20648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76472, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+91852,int_stack+89500,int_stack+87736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85972, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+121336,int_stack+91852,int_stack+147796,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2268,int_stack+121336,int_stack+150442,126);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147796,int_stack+23196,int_stack+22440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47940, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150064,int_stack+24204,int_stack+23196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+153088,int_stack+150064,int_stack+147796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+13608,int_stack+153088,int_stack+91852,126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+174256,int_stack+13608,int_stack+121336,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+25815,int_stack+25500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+122281,int_stack+26235,int_stack+25815, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+123541,int_stack+122281,int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+27216,int_stack+26775, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125431,int_stack+27804,int_stack+27216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127195,int_stack+125431,int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13608,int_stack+127195,int_stack+123541,126);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+29148,int_stack+28560, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123100,int_stack+29932,int_stack+29148, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19278,int_stack+123100,int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+87736,int_stack+19278,int_stack+127195,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+190132,int_stack+87736,int_stack+13608,126);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13608,int_stack+31696,int_stack+30940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15876,int_stack+32704,int_stack+31696, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+121336,int_stack+15876,int_stack+13608, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+147796,int_stack+121336,int_stack+19278,126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+13608,int_stack+147796,int_stack+87736,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87736,int_stack+34315,int_stack+34000, 0.0, zero_stack, 1.0, int_stack+69764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88681,int_stack+34735,int_stack+34315, 0.0, zero_stack, 1.0, int_stack+70079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+89941,int_stack+88681,int_stack+87736, 0.0, zero_stack, 1.0, int_stack+83704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87736,int_stack+35716,int_stack+35275, 0.0, zero_stack, 1.0, int_stack+72314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+91831,int_stack+36304,int_stack+35716, 0.0, zero_stack, 1.0, int_stack+72755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+147796,int_stack+91831,int_stack+87736, 0.0, zero_stack, 1.0, int_stack+84649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+150442,int_stack+147796,int_stack+89941,126);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87736,int_stack+37648,int_stack+37060, 0.0, zero_stack, 1.0, int_stack+75884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+89500,int_stack+38432,int_stack+37648, 0.0, zero_stack, 1.0, int_stack+76472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+91852,int_stack+89500,int_stack+87736, 0.0, zero_stack, 1.0, int_stack+85972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+121336,int_stack+91852,int_stack+147796,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+201472,int_stack+121336,int_stack+150442,126);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147796,int_stack+40196,int_stack+39440, 0.0, zero_stack, 1.0, int_stack+47940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150064,int_stack+41204,int_stack+40196, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+153088,int_stack+150064,int_stack+147796, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+29484,int_stack+153088,int_stack+91852,126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+212812,int_stack+29484,int_stack+121336,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+42815,int_stack+42500, 1.0, int_stack+69764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+122281,int_stack+43235,int_stack+42815, 1.0, int_stack+70079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+123541,int_stack+122281,int_stack+121336, 1.0, int_stack+83704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+44216,int_stack+43775, 1.0, int_stack+72314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125431,int_stack+44804,int_stack+44216, 1.0, int_stack+72755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127195,int_stack+125431,int_stack+121336, 1.0, int_stack+84649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+29484,int_stack+127195,int_stack+123541,126);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121336,int_stack+46148,int_stack+45560, 1.0, int_stack+75884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123100,int_stack+46932,int_stack+46148, 1.0, int_stack+76472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+35154,int_stack+123100,int_stack+121336, 1.0, int_stack+85972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+87736,int_stack+35154,int_stack+127195,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+228688,int_stack+87736,int_stack+29484,126);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29484,int_stack+50460,int_stack+48696, 1.0, int_stack+47940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31752,int_stack+51468,int_stack+50460, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+121336,int_stack+31752,int_stack+29484, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+147796,int_stack+121336,int_stack+35154,126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+29484,int_stack+147796,int_stack+87736,126);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+87736,int_stack+70499,int_stack+70079,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+88996,int_stack+87736,int_stack+83704,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+90886,int_stack+73343,int_stack+72755,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+92650,int_stack+90886,int_stack+84649,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+147796,int_stack+92650,int_stack+88996,126);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+153466,int_stack+77256,int_stack+76472,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+121336,int_stack+153466,int_stack+85972,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+240028,int_stack+121336,int_stack+92650,126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+247966,int_stack+240028,int_stack+147796,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+153466,int_stack+53079,int_stack+52764,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+154411,int_stack+53499,int_stack+53079,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+155671,int_stack+154411,int_stack+153466,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+153466,int_stack+54480,int_stack+54039,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+90886,int_stack+55068,int_stack+54480,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+83704,int_stack+90886,int_stack+153466,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+124864,int_stack+83704,int_stack+155671, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+90886,int_stack+56412,int_stack+55824,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+153466,int_stack+57196,int_stack+56412,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+45360,int_stack+153466,int_stack+90886,28);
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+48888,int_stack+45360,int_stack+83704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (gd|hd) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+259306,int_stack+48888,int_stack+124864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+58960,int_stack+58204,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+124864,int_stack+59968,int_stack+58960,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+83704,int_stack+124864,int_stack+0,36);
 /*--- compute (ip|hd) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+270646,int_stack+83704,int_stack+45360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (hd|hd) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+281230,int_stack+270646,int_stack+48888, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270646,int_stack+61579,int_stack+61264,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+271591,int_stack+61999,int_stack+61579,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+272851,int_stack+271591,int_stack+270646,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270646,int_stack+62980,int_stack+62539,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+90886,int_stack+63568,int_stack+62980,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+274741,int_stack+90886,int_stack+270646,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+45360,int_stack+274741,int_stack+272851, 0.0, zero_stack, 1.0, int_stack+88996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+90886,int_stack+64912,int_stack+64324,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+270646,int_stack+65696,int_stack+64912,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+277387,int_stack+270646,int_stack+90886,28);
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+51030,int_stack+277387,int_stack+274741, 0.0, zero_stack, 1.0, int_stack+92650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (gd|hd) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+297106,int_stack+51030,int_stack+45360, 0.0, zero_stack, 1.0, int_stack+147796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+67460,int_stack+66704,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+45360,int_stack+68468,int_stack+67460,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+270646,int_stack+45360,int_stack+0,36);
 /*--- compute (ip|hd) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+58968,int_stack+270646,int_stack+277387, 0.0, zero_stack, 1.0, int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (hd|hd) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+308446,int_stack+58968,int_stack+51030, 0.0, zero_stack, 1.0, int_stack+240028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270646,int_stack+71354,int_stack+71039,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+271591,int_stack+71774,int_stack+71354,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+272851,int_stack+271591,int_stack+270646,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270646,int_stack+74540,int_stack+74099,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+90886,int_stack+75128,int_stack+74540,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+274741,int_stack+90886,int_stack+270646,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+45360,int_stack+274741,int_stack+272851, 1.0, int_stack+88996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270646,int_stack+78852,int_stack+78264,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+277387,int_stack+79636,int_stack+78852,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+51030,int_stack+277387,int_stack+270646,28);
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+54558,int_stack+51030,int_stack+274741, 1.0, int_stack+92650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (gd|hd) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+62496,int_stack+54558,int_stack+45360, 1.0, int_stack+147796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+81400,int_stack+80644,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+147796,int_stack+82408,int_stack+81400,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+150820,int_stack+147796,int_stack+0,36);
 /*--- compute (ip|hd) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+270646,int_stack+150820,int_stack+51030, 1.0, int_stack+121336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (hd|hd) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+73836,int_stack+270646,int_stack+54558, 1.0, int_stack+240028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+324322,int_stack+131920,int_stack+109996,126);
     Libderiv->ABCD[11] = int_stack + 324322;
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+107014,int_stack+158380,int_stack+95674,126);
     Libderiv->ABCD[10] = int_stack + 107014;
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+125914,int_stack+174256,int_stack+2268,126);
     Libderiv->ABCD[9] = int_stack + 125914;
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+144814,int_stack+13608,int_stack+190132,126);
     Libderiv->ABCD[8] = int_stack + 144814;
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+0,int_stack+212812,int_stack+201472,126);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+163714,int_stack+29484,int_stack+228688,126);
     Libderiv->ABCD[6] = int_stack + 163714;
 /*--- compute (gf|hd) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+18900,int_stack+281230,int_stack+259306, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 18900;
 /*--- compute (gf|hd) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+259306,int_stack+308446,int_stack+297106, 0.0, zero_stack, 1.0, int_stack+247966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 259306;
 /*--- compute (gf|hd) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+278206,int_stack+73836,int_stack+62496, 1.0, int_stack+247966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 278206;

}
