#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0hp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|hp) integrals */

void d1hrr_order_h0hp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][5][10] = int_stack + 1029;
 Libderiv->deriv_classes[5][6][10] = int_stack + 1470;
 Libderiv->deriv_classes[5][5][9] = int_stack + 2058;
 Libderiv->deriv_classes[5][6][9] = int_stack + 2499;
 Libderiv->deriv_classes[5][5][8] = int_stack + 3087;
 Libderiv->deriv_classes[5][6][8] = int_stack + 3528;
 Libderiv->deriv_classes[5][5][7] = int_stack + 4116;
 Libderiv->deriv_classes[5][6][7] = int_stack + 4557;
 Libderiv->dvrr_classes[5][5] = int_stack + 5145;
 Libderiv->deriv_classes[5][5][6] = int_stack + 5586;
 Libderiv->deriv_classes[5][6][6] = int_stack + 6027;
 Libderiv->deriv_classes[5][5][2] = int_stack + 6615;
 Libderiv->deriv_classes[5][6][2] = int_stack + 7056;
 Libderiv->deriv_classes[5][5][1] = int_stack + 7644;
 Libderiv->deriv_classes[5][6][1] = int_stack + 8085;
 Libderiv->deriv_classes[5][5][0] = int_stack + 8673;
 Libderiv->deriv_classes[5][6][0] = int_stack + 9114;
 memset(int_stack,0,77616);

 Libderiv->dvrr_stack = int_stack + 13671;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0hp(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9702,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5145,21);
     Libderiv->ABCD[11] = int_stack + 9702;
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11025,int_stack+1470,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5145, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 11025;
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+2499,int_stack+2058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5145, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1323,int_stack+3528,int_stack+3087, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 1323;
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+4557,int_stack+4116, 0.0, zero_stack, 1.0, int_stack+5145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 2646;
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12348,int_stack+6027,int_stack+5586, 1.0, int_stack+5145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 12348;
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3969,int_stack+7056,int_stack+6615,21);
     Libderiv->ABCD[2] = int_stack + 3969;
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5292,int_stack+8085,int_stack+7644,21);
     Libderiv->ABCD[1] = int_stack + 5292;
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6615,int_stack+9114,int_stack+8673,21);
     Libderiv->ABCD[0] = int_stack + 6615;

}
