#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hfid(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hf|id) integrals */

void d1hrr_order_hfid(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][11] = int_stack + 588;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1344;
 Libderiv->deriv_classes[6][6][11] = int_stack + 2289;
 Libderiv->deriv_classes[6][7][11] = int_stack + 3073;
 Libderiv->deriv_classes[6][8][11] = int_stack + 4081;
 Libderiv->deriv_classes[7][6][11] = int_stack + 5341;
 Libderiv->deriv_classes[7][7][11] = int_stack + 6349;
 Libderiv->deriv_classes[7][8][11] = int_stack + 7645;
 Libderiv->deriv_classes[8][6][11] = int_stack + 9265;
 Libderiv->deriv_classes[8][7][11] = int_stack + 10525;
 Libderiv->deriv_classes[8][8][11] = int_stack + 12145;
 Libderiv->deriv_classes[5][6][10] = int_stack + 14170;
 Libderiv->deriv_classes[5][7][10] = int_stack + 14758;
 Libderiv->deriv_classes[5][8][10] = int_stack + 15514;
 Libderiv->deriv_classes[6][6][10] = int_stack + 16459;
 Libderiv->deriv_classes[6][7][10] = int_stack + 17243;
 Libderiv->deriv_classes[6][8][10] = int_stack + 18251;
 Libderiv->deriv_classes[7][6][10] = int_stack + 19511;
 Libderiv->deriv_classes[7][7][10] = int_stack + 20519;
 Libderiv->deriv_classes[7][8][10] = int_stack + 21815;
 Libderiv->deriv_classes[8][6][10] = int_stack + 23435;
 Libderiv->deriv_classes[8][7][10] = int_stack + 24695;
 Libderiv->deriv_classes[8][8][10] = int_stack + 26315;
 Libderiv->deriv_classes[5][6][9] = int_stack + 28340;
 Libderiv->deriv_classes[5][7][9] = int_stack + 28928;
 Libderiv->deriv_classes[5][8][9] = int_stack + 29684;
 Libderiv->deriv_classes[6][6][9] = int_stack + 30629;
 Libderiv->deriv_classes[6][7][9] = int_stack + 31413;
 Libderiv->deriv_classes[6][8][9] = int_stack + 32421;
 Libderiv->deriv_classes[7][6][9] = int_stack + 33681;
 Libderiv->deriv_classes[7][7][9] = int_stack + 34689;
 Libderiv->deriv_classes[7][8][9] = int_stack + 35985;
 Libderiv->deriv_classes[8][6][9] = int_stack + 37605;
 Libderiv->deriv_classes[8][7][9] = int_stack + 38865;
 Libderiv->deriv_classes[8][8][9] = int_stack + 40485;
 Libderiv->deriv_classes[5][6][8] = int_stack + 42510;
 Libderiv->deriv_classes[5][7][8] = int_stack + 43098;
 Libderiv->deriv_classes[5][8][8] = int_stack + 43854;
 Libderiv->deriv_classes[6][6][8] = int_stack + 44799;
 Libderiv->deriv_classes[6][7][8] = int_stack + 45583;
 Libderiv->deriv_classes[6][8][8] = int_stack + 46591;
 Libderiv->deriv_classes[7][6][8] = int_stack + 47851;
 Libderiv->deriv_classes[7][7][8] = int_stack + 48859;
 Libderiv->deriv_classes[7][8][8] = int_stack + 50155;
 Libderiv->deriv_classes[8][6][8] = int_stack + 51775;
 Libderiv->deriv_classes[8][7][8] = int_stack + 53035;
 Libderiv->deriv_classes[8][8][8] = int_stack + 54655;
 Libderiv->deriv_classes[5][6][7] = int_stack + 56680;
 Libderiv->deriv_classes[5][7][7] = int_stack + 57268;
 Libderiv->deriv_classes[5][8][7] = int_stack + 58024;
 Libderiv->deriv_classes[6][6][7] = int_stack + 58969;
 Libderiv->deriv_classes[6][7][7] = int_stack + 59753;
 Libderiv->deriv_classes[6][8][7] = int_stack + 60761;
 Libderiv->deriv_classes[7][6][7] = int_stack + 62021;
 Libderiv->deriv_classes[7][7][7] = int_stack + 63029;
 Libderiv->deriv_classes[7][8][7] = int_stack + 64325;
 Libderiv->deriv_classes[8][6][7] = int_stack + 65945;
 Libderiv->deriv_classes[8][7][7] = int_stack + 67205;
 Libderiv->deriv_classes[8][8][7] = int_stack + 68825;
 Libderiv->deriv_classes[5][6][6] = int_stack + 70850;
 Libderiv->deriv_classes[5][7][6] = int_stack + 71438;
 Libderiv->deriv_classes[5][8][6] = int_stack + 72194;
 Libderiv->deriv_classes[6][6][6] = int_stack + 73139;
 Libderiv->deriv_classes[6][7][6] = int_stack + 73923;
 Libderiv->deriv_classes[6][8][6] = int_stack + 74931;
 Libderiv->deriv_classes[7][6][6] = int_stack + 76191;
 Libderiv->deriv_classes[7][7][6] = int_stack + 77199;
 Libderiv->deriv_classes[7][8][6] = int_stack + 78495;
 Libderiv->dvrr_classes[8][6] = int_stack + 80115;
 Libderiv->deriv_classes[8][6][6] = int_stack + 81375;
 Libderiv->dvrr_classes[8][7] = int_stack + 82635;
 Libderiv->deriv_classes[8][7][6] = int_stack + 84255;
 Libderiv->deriv_classes[8][8][6] = int_stack + 85875;
 Libderiv->deriv_classes[5][6][2] = int_stack + 87900;
 Libderiv->deriv_classes[5][7][2] = int_stack + 88488;
 Libderiv->deriv_classes[5][8][2] = int_stack + 89244;
 Libderiv->deriv_classes[6][6][2] = int_stack + 90189;
 Libderiv->deriv_classes[6][7][2] = int_stack + 90973;
 Libderiv->deriv_classes[6][8][2] = int_stack + 91981;
 Libderiv->deriv_classes[7][6][2] = int_stack + 93241;
 Libderiv->deriv_classes[7][7][2] = int_stack + 94249;
 Libderiv->deriv_classes[7][8][2] = int_stack + 95545;
 Libderiv->deriv_classes[8][6][2] = int_stack + 97165;
 Libderiv->deriv_classes[8][7][2] = int_stack + 98425;
 Libderiv->deriv_classes[8][8][2] = int_stack + 100045;
 Libderiv->deriv_classes[5][6][1] = int_stack + 102070;
 Libderiv->deriv_classes[5][7][1] = int_stack + 102658;
 Libderiv->deriv_classes[5][8][1] = int_stack + 103414;
 Libderiv->deriv_classes[6][6][1] = int_stack + 104359;
 Libderiv->deriv_classes[6][7][1] = int_stack + 105143;
 Libderiv->deriv_classes[6][8][1] = int_stack + 106151;
 Libderiv->deriv_classes[7][6][1] = int_stack + 107411;
 Libderiv->deriv_classes[7][7][1] = int_stack + 108419;
 Libderiv->deriv_classes[7][8][1] = int_stack + 109715;
 Libderiv->deriv_classes[8][6][1] = int_stack + 111335;
 Libderiv->deriv_classes[8][7][1] = int_stack + 112595;
 Libderiv->deriv_classes[8][8][1] = int_stack + 114215;
 Libderiv->dvrr_classes[5][6] = int_stack + 116240;
 Libderiv->dvrr_classes[5][7] = int_stack + 116828;
 Libderiv->dvrr_classes[5][8] = int_stack + 117584;
 Libderiv->deriv_classes[5][6][0] = int_stack + 118529;
 Libderiv->deriv_classes[5][7][0] = int_stack + 119117;
 Libderiv->deriv_classes[5][8][0] = int_stack + 119873;
 Libderiv->dvrr_classes[6][6] = int_stack + 120818;
 Libderiv->dvrr_classes[6][7] = int_stack + 121602;
 Libderiv->dvrr_classes[6][8] = int_stack + 122610;
 Libderiv->deriv_classes[6][6][0] = int_stack + 123870;
 Libderiv->deriv_classes[6][7][0] = int_stack + 124654;
 Libderiv->deriv_classes[6][8][0] = int_stack + 125662;
 Libderiv->dvrr_classes[7][6] = int_stack + 126922;
 Libderiv->dvrr_classes[7][7] = int_stack + 127930;
 Libderiv->dvrr_classes[7][8] = int_stack + 129226;
 Libderiv->deriv_classes[7][6][0] = int_stack + 130846;
 Libderiv->deriv_classes[7][7][0] = int_stack + 131854;
 Libderiv->deriv_classes[7][8][0] = int_stack + 133150;
 Libderiv->deriv_classes[8][6][0] = int_stack + 134770;
 Libderiv->deriv_classes[8][7][0] = int_stack + 136030;
 Libderiv->deriv_classes[8][8][0] = int_stack + 137650;
 memset(int_stack,0,1117400);

 Libderiv->dvrr_stack = int_stack + 635527;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hfid(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+139675,int_stack+116828,int_stack+116240,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+141439,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116240,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+143203,int_stack+1344,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116828,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+145471,int_stack+143203,int_stack+141439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139675,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+141439,int_stack+121602,int_stack+120818,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+148999,int_stack+3073,int_stack+2289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120818,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+4081,int_stack+3073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121602,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+151351,int_stack+0,int_stack+148999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141439,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+156055,int_stack+151351,int_stack+145471,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+127930,int_stack+126922,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143791,int_stack+6349,int_stack+5341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126922,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+146815,int_stack+7645,int_stack+6349, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127930,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3024,int_stack+146815,int_stack+143791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+166639,int_stack+3024,int_stack+151351,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+180751,int_stack+166639,int_stack+156055,168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+143791,int_stack+82635,int_stack+80115,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147571,int_stack+10525,int_stack+9265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80115,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+151351,int_stack+12145,int_stack+10525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+156211,int_stack+151351,int_stack+147571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143791,45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+201919,int_stack+156211,int_stack+3024,168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+220063,int_stack+201919,int_stack+166639,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+14758,int_stack+14170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116240, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+203683,int_stack+15514,int_stack+14758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116828, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+205951,int_stack+203683,int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139675, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+17243,int_stack+16459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120818, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+209479,int_stack+18251,int_stack+17243, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121602, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+212503,int_stack+209479,int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141439, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+3024,int_stack+212503,int_stack+205951,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+20519,int_stack+19511, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126922, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+204943,int_stack+21815,int_stack+20519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127930, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13608,int_stack+204943,int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+147571,int_stack+13608,int_stack+212503,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+248287,int_stack+147571,int_stack+3024,168);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+24695,int_stack+23435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80115, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6804,int_stack+26315,int_stack+24695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201919,int_stack+6804,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143791, 0.0, zero_stack,45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+161683,int_stack+201919,int_stack+13608,168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+269455,int_stack+161683,int_stack+147571,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147571,int_stack+28928,int_stack+28340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116240, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+149335,int_stack+29684,int_stack+28928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116828, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+151603,int_stack+149335,int_stack+147571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139675, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147571,int_stack+31413,int_stack+30629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120818, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155131,int_stack+32421,int_stack+31413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121602, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+158155,int_stack+155131,int_stack+147571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141439, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+162859,int_stack+158155,int_stack+151603,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147571,int_stack+34689,int_stack+33681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126922, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+150595,int_stack+35985,int_stack+34689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127930, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+173443,int_stack+150595,int_stack+147571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+201919,int_stack+173443,int_stack+158155,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+3024,int_stack+201919,int_stack+162859,168);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147571,int_stack+38865,int_stack+37605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80115, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+151351,int_stack+40485,int_stack+38865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+156211,int_stack+151351,int_stack+147571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143791, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+24192,int_stack+156211,int_stack+173443,168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+147571,int_stack+24192,int_stack+201919,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+43098,int_stack+42510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+203683,int_stack+43854,int_stack+43098, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+205951,int_stack+203683,int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+45583,int_stack+44799, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+209479,int_stack+46591,int_stack+45583, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+212503,int_stack+209479,int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+24192,int_stack+212503,int_stack+205951,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+48859,int_stack+47851, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+204943,int_stack+50155,int_stack+48859, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34776,int_stack+204943,int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+297679,int_stack+34776,int_stack+212503,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+311791,int_stack+297679,int_stack+24192,168);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24192,int_stack+53035,int_stack+51775, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27972,int_stack+54655,int_stack+53035, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201919,int_stack+27972,int_stack+24192, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+332959,int_stack+201919,int_stack+34776,168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+24192,int_stack+332959,int_stack+297679,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+297679,int_stack+57268,int_stack+56680, 0.0, zero_stack, 1.0, int_stack+116240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+299443,int_stack+58024,int_stack+57268, 0.0, zero_stack, 1.0, int_stack+116828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+301711,int_stack+299443,int_stack+297679, 0.0, zero_stack, 1.0, int_stack+139675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+297679,int_stack+59753,int_stack+58969, 0.0, zero_stack, 1.0, int_stack+120818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+305239,int_stack+60761,int_stack+59753, 0.0, zero_stack, 1.0, int_stack+121602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+332959,int_stack+305239,int_stack+297679, 0.0, zero_stack, 1.0, int_stack+141439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+337663,int_stack+332959,int_stack+301711,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+297679,int_stack+63029,int_stack+62021, 0.0, zero_stack, 1.0, int_stack+126922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+300703,int_stack+64325,int_stack+63029, 0.0, zero_stack, 1.0, int_stack+127930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+304591,int_stack+300703,int_stack+297679, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+201919,int_stack+304591,int_stack+332959,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+348247,int_stack+201919,int_stack+337663,168);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+332959,int_stack+67205,int_stack+65945, 0.0, zero_stack, 1.0, int_stack+80115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+336739,int_stack+68825,int_stack+67205, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+52416,int_stack+336739,int_stack+332959, 0.0, zero_stack, 1.0, int_stack+143791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+369415,int_stack+52416,int_stack+304591,168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+387559,int_stack+369415,int_stack+201919,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+71438,int_stack+70850, 1.0, int_stack+116240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+203683,int_stack+72194,int_stack+71438, 1.0, int_stack+116828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+205951,int_stack+203683,int_stack+201919, 1.0, int_stack+139675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+73923,int_stack+73139, 1.0, int_stack+120818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+209479,int_stack+74931,int_stack+73923, 1.0, int_stack+121602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+212503,int_stack+209479,int_stack+201919, 1.0, int_stack+141439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+369415,int_stack+212503,int_stack+205951,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201919,int_stack+77199,int_stack+76191, 1.0, int_stack+126922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+204943,int_stack+78495,int_stack+77199, 1.0, int_stack+127930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+379999,int_stack+204943,int_stack+201919, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+297679,int_stack+379999,int_stack+212503,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+52416,int_stack+297679,int_stack+369415,168);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+369415,int_stack+84255,int_stack+81375, 1.0, int_stack+80115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+373195,int_stack+85875,int_stack+84255, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201919,int_stack+373195,int_stack+369415, 1.0, int_stack+143791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+415783,int_stack+201919,int_stack+379999,168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+433927,int_stack+415783,int_stack+297679,168);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+297679,int_stack+117584,int_stack+116828,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+299947,int_stack+297679,int_stack+139675,21);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+303475,int_stack+122610,int_stack+121602,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+306499,int_stack+303475,int_stack+141439,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+415783,int_stack+306499,int_stack+299947,168);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+139675,int_stack+129226,int_stack+127930,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+426367,int_stack+139675,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+201919,int_stack+426367,int_stack+306499,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+462151,int_stack+201919,int_stack+415783,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+88488,int_stack+87900,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+297679,int_stack+89244,int_stack+88488,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+139675,int_stack+297679,int_stack+0,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+90973,int_stack+90189,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+303475,int_stack+91981,int_stack+90973,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+369415,int_stack+303475,int_stack+0,28);
 /*--- compute (hp|id) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+374119,int_stack+369415,int_stack+139675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+94249,int_stack+93241,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+139675,int_stack+95545,int_stack+94249,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+73584,int_stack+139675,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+79632,int_stack+73584,int_stack+369415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+306499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hd|id) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+483319,int_stack+79632,int_stack+374119, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415783, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+369415,int_stack+98425,int_stack+97165,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+373195,int_stack+100045,int_stack+98425,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+378055,int_stack+373195,int_stack+369415,45);
 /*--- compute (kp|id) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+504487,int_stack+378055,int_stack+73584, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+426367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (id|id) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+522631,int_stack+504487,int_stack+79632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+504487,int_stack+102658,int_stack+102070,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+297679,int_stack+103414,int_stack+102658,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+506251,int_stack+297679,int_stack+504487,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+509779,int_stack+105143,int_stack+104359,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+106151,int_stack+105143,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+512131,int_stack+0,int_stack+509779,28);
 /*--- compute (hp|id) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+73584,int_stack+512131,int_stack+506251, 0.0, zero_stack, 1.0, int_stack+299947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+108419,int_stack+107411,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+504487,int_stack+109715,int_stack+108419,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+84168,int_stack+504487,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+90216,int_stack+84168,int_stack+512131, 0.0, zero_stack, 1.0, int_stack+306499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hd|id) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+550855,int_stack+90216,int_stack+73584, 0.0, zero_stack, 1.0, int_stack+415783, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+73584,int_stack+112595,int_stack+111335,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+77364,int_stack+114215,int_stack+112595,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+504487,int_stack+77364,int_stack+73584,45);
 /*--- compute (kp|id) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+369415,int_stack+504487,int_stack+84168, 0.0, zero_stack, 1.0, int_stack+426367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (id|id) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+572023,int_stack+369415,int_stack+90216, 0.0, zero_stack, 1.0, int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+369415,int_stack+119117,int_stack+118529,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+297679,int_stack+119873,int_stack+119117,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+371179,int_stack+297679,int_stack+369415,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+374707,int_stack+124654,int_stack+123870,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+125662,int_stack+124654,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+377059,int_stack+0,int_stack+374707,28);
 /*--- compute (hp|id) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+504487,int_stack+377059,int_stack+371179, 1.0, int_stack+299947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+131854,int_stack+130846,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+369415,int_stack+133150,int_stack+131854,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+297679,int_stack+369415,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+73584,int_stack+297679,int_stack+377059, 1.0, int_stack+306499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hd|id) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+87696,int_stack+73584,int_stack+504487, 1.0, int_stack+415783, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+415783,int_stack+136030,int_stack+134770,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+419563,int_stack+137650,int_stack+136030,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+504487,int_stack+419563,int_stack+415783,45);
 /*--- compute (kp|id) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+369415,int_stack+504487,int_stack+297679, 1.0, int_stack+426367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (id|id) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+108864,int_stack+369415,int_stack+73584, 1.0, int_stack+201919, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+600247,int_stack+220063,int_stack+180751,168);
     Libderiv->ABCD[11] = int_stack + 600247;
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+175795,int_stack+269455,int_stack+248287,168);
     Libderiv->ABCD[10] = int_stack + 175795;
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+211075,int_stack+147571,int_stack+3024,168);
     Libderiv->ABCD[9] = int_stack + 211075;
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+137088,int_stack+24192,int_stack+311791,168);
     Libderiv->ABCD[8] = int_stack + 137088;
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+0,int_stack+387559,int_stack+348247,168);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+246355,int_stack+433927,int_stack+52416,168);
     Libderiv->ABCD[6] = int_stack + 246355;
 /*--- compute (hf|id) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+35280,int_stack+522631,int_stack+483319, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+462151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[2] = int_stack + 35280;
 /*--- compute (hf|id) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+483319,int_stack+572023,int_stack+550855, 0.0, zero_stack, 1.0, int_stack+462151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[1] = int_stack + 483319;
 /*--- compute (hf|id) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+518599,int_stack+108864,int_stack+87696, 1.0, int_stack+462151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[0] = int_stack + 518599;

}
