#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hphd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hp|hd) integrals */

void d1hrr_order_hphd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[6][5][11] = int_stack + 1785;
 Libderiv->deriv_classes[6][6][11] = int_stack + 2373;
 Libderiv->deriv_classes[6][7][11] = int_stack + 3157;
 Libderiv->deriv_classes[5][5][10] = int_stack + 4165;
 Libderiv->deriv_classes[5][6][10] = int_stack + 4606;
 Libderiv->deriv_classes[5][7][10] = int_stack + 5194;
 Libderiv->deriv_classes[6][5][10] = int_stack + 5950;
 Libderiv->deriv_classes[6][6][10] = int_stack + 6538;
 Libderiv->deriv_classes[6][7][10] = int_stack + 7322;
 Libderiv->deriv_classes[5][5][9] = int_stack + 8330;
 Libderiv->deriv_classes[5][6][9] = int_stack + 8771;
 Libderiv->deriv_classes[5][7][9] = int_stack + 9359;
 Libderiv->deriv_classes[6][5][9] = int_stack + 10115;
 Libderiv->deriv_classes[6][6][9] = int_stack + 10703;
 Libderiv->deriv_classes[6][7][9] = int_stack + 11487;
 Libderiv->deriv_classes[5][5][8] = int_stack + 12495;
 Libderiv->deriv_classes[5][6][8] = int_stack + 12936;
 Libderiv->deriv_classes[5][7][8] = int_stack + 13524;
 Libderiv->deriv_classes[6][5][8] = int_stack + 14280;
 Libderiv->deriv_classes[6][6][8] = int_stack + 14868;
 Libderiv->deriv_classes[6][7][8] = int_stack + 15652;
 Libderiv->deriv_classes[5][5][7] = int_stack + 16660;
 Libderiv->deriv_classes[5][6][7] = int_stack + 17101;
 Libderiv->deriv_classes[5][7][7] = int_stack + 17689;
 Libderiv->deriv_classes[6][5][7] = int_stack + 18445;
 Libderiv->deriv_classes[6][6][7] = int_stack + 19033;
 Libderiv->deriv_classes[6][7][7] = int_stack + 19817;
 Libderiv->deriv_classes[5][5][6] = int_stack + 20825;
 Libderiv->deriv_classes[5][6][6] = int_stack + 21266;
 Libderiv->deriv_classes[5][7][6] = int_stack + 21854;
 Libderiv->dvrr_classes[6][5] = int_stack + 22610;
 Libderiv->deriv_classes[6][5][6] = int_stack + 23198;
 Libderiv->dvrr_classes[6][6] = int_stack + 23786;
 Libderiv->deriv_classes[6][6][6] = int_stack + 24570;
 Libderiv->deriv_classes[6][7][6] = int_stack + 25354;
 Libderiv->deriv_classes[5][5][2] = int_stack + 26362;
 Libderiv->deriv_classes[5][6][2] = int_stack + 26803;
 Libderiv->deriv_classes[5][7][2] = int_stack + 27391;
 Libderiv->deriv_classes[6][5][2] = int_stack + 28147;
 Libderiv->deriv_classes[6][6][2] = int_stack + 28735;
 Libderiv->deriv_classes[6][7][2] = int_stack + 29519;
 Libderiv->deriv_classes[5][5][1] = int_stack + 30527;
 Libderiv->deriv_classes[5][6][1] = int_stack + 30968;
 Libderiv->deriv_classes[5][7][1] = int_stack + 31556;
 Libderiv->deriv_classes[6][5][1] = int_stack + 32312;
 Libderiv->deriv_classes[6][6][1] = int_stack + 32900;
 Libderiv->deriv_classes[6][7][1] = int_stack + 33684;
 Libderiv->dvrr_classes[5][5] = int_stack + 34692;
 Libderiv->dvrr_classes[5][6] = int_stack + 35133;
 Libderiv->dvrr_classes[5][7] = int_stack + 35721;
 Libderiv->deriv_classes[5][5][0] = int_stack + 36477;
 Libderiv->deriv_classes[5][6][0] = int_stack + 36918;
 Libderiv->deriv_classes[5][7][0] = int_stack + 37506;
 Libderiv->deriv_classes[6][5][0] = int_stack + 38262;
 Libderiv->deriv_classes[6][6][0] = int_stack + 38850;
 Libderiv->deriv_classes[6][7][0] = int_stack + 39634;
 memset(int_stack,0,325136);

 Libderiv->dvrr_stack = int_stack + 88858;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hphd(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40642,int_stack+35133,int_stack+34692,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+41965,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34692,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+43288,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35133,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+45052,int_stack+43288,int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40642,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+41965,int_stack+23786,int_stack+22610,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+2373,int_stack+1785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22610,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+3157,int_stack+2373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23786,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50050,int_stack+47698,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41965,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43729,int_stack+4606,int_stack+4165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34692, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+5194,int_stack+4606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35133, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1764,int_stack+0,int_stack+43729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40642, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+6538,int_stack+5950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22610, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+7322,int_stack+6538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23786, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4410,int_stack+47698,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41965, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43729,int_stack+8771,int_stack+8330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34692, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+9359,int_stack+8771, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35133, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+53578,int_stack+0,int_stack+43729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40642, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+10703,int_stack+10115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22610, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+11487,int_stack+10703, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23786, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7938,int_stack+47698,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43729,int_stack+12936,int_stack+12495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+13524,int_stack+12936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11466,int_stack+0,int_stack+43729, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+14868,int_stack+14280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+15652,int_stack+14868, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+56224,int_stack+47698,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43729,int_stack+17101,int_stack+16660, 0.0, zero_stack, 1.0, int_stack+34692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+17689,int_stack+17101, 0.0, zero_stack, 1.0, int_stack+35133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14112,int_stack+0,int_stack+43729, 0.0, zero_stack, 1.0, int_stack+40642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+19033,int_stack+18445, 0.0, zero_stack, 1.0, int_stack+22610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+19817,int_stack+19033, 0.0, zero_stack, 1.0, int_stack+23786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16758,int_stack+47698,int_stack+0, 0.0, zero_stack, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43729,int_stack+21266,int_stack+20825, 1.0, int_stack+34692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+21854,int_stack+21266, 1.0, int_stack+35133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+59752,int_stack+0,int_stack+43729, 1.0, int_stack+40642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+24570,int_stack+23198, 1.0, int_stack+22610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+25354,int_stack+24570, 1.0, int_stack+23786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20286,int_stack+47698,int_stack+0, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+35721,int_stack+35133,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+41965,int_stack+0,int_stack+40642,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40642,int_stack+26803,int_stack+26362,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+27391,int_stack+26803,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+23814,int_stack+0,int_stack+40642,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+28735,int_stack+28147,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+29519,int_stack+28735,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+26460,int_stack+47698,int_stack+0,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40642,int_stack+30968,int_stack+30527,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+31556,int_stack+30968,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+62398,int_stack+0,int_stack+40642,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+32900,int_stack+32312,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+33684,int_stack+32900,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+29988,int_stack+47698,int_stack+0,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40642,int_stack+36918,int_stack+36477,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+37506,int_stack+36918,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+33516,int_stack+0,int_stack+40642,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+38850,int_stack+38262,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+47698,int_stack+39634,int_stack+38850,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+36162,int_stack+47698,int_stack+0,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+65044,int_stack+50050,int_stack+45052,126);
     Libderiv->ABCD[11] = int_stack + 65044;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+44611,int_stack+4410,int_stack+1764,126);
     Libderiv->ABCD[10] = int_stack + 44611;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+0,int_stack+7938,int_stack+53578,126);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+72982,int_stack+56224,int_stack+11466,126);
     Libderiv->ABCD[8] = int_stack + 72982;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+80920,int_stack+16758,int_stack+14112,126);
     Libderiv->ABCD[7] = int_stack + 80920;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+7938,int_stack+20286,int_stack+59752,126);
     Libderiv->ABCD[6] = int_stack + 7938;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+15876,int_stack+26460,int_stack+23814, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 15876;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+52549,int_stack+29988,int_stack+62398, 0.0, zero_stack, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 52549;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+23814,int_stack+36162,int_stack+33516, 1.0, int_stack+41965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 23814;

}
