#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hphf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hp|hf) integrals */

void d1hrr_order_hphf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1785;
 Libderiv->deriv_classes[6][5][11] = int_stack + 2730;
 Libderiv->deriv_classes[6][6][11] = int_stack + 3318;
 Libderiv->deriv_classes[6][7][11] = int_stack + 4102;
 Libderiv->deriv_classes[6][8][11] = int_stack + 5110;
 Libderiv->deriv_classes[5][5][10] = int_stack + 6370;
 Libderiv->deriv_classes[5][6][10] = int_stack + 6811;
 Libderiv->deriv_classes[5][7][10] = int_stack + 7399;
 Libderiv->deriv_classes[5][8][10] = int_stack + 8155;
 Libderiv->deriv_classes[6][5][10] = int_stack + 9100;
 Libderiv->deriv_classes[6][6][10] = int_stack + 9688;
 Libderiv->deriv_classes[6][7][10] = int_stack + 10472;
 Libderiv->deriv_classes[6][8][10] = int_stack + 11480;
 Libderiv->deriv_classes[5][5][9] = int_stack + 12740;
 Libderiv->deriv_classes[5][6][9] = int_stack + 13181;
 Libderiv->deriv_classes[5][7][9] = int_stack + 13769;
 Libderiv->deriv_classes[5][8][9] = int_stack + 14525;
 Libderiv->deriv_classes[6][5][9] = int_stack + 15470;
 Libderiv->deriv_classes[6][6][9] = int_stack + 16058;
 Libderiv->deriv_classes[6][7][9] = int_stack + 16842;
 Libderiv->deriv_classes[6][8][9] = int_stack + 17850;
 Libderiv->deriv_classes[5][5][8] = int_stack + 19110;
 Libderiv->deriv_classes[5][6][8] = int_stack + 19551;
 Libderiv->deriv_classes[5][7][8] = int_stack + 20139;
 Libderiv->deriv_classes[5][8][8] = int_stack + 20895;
 Libderiv->deriv_classes[6][5][8] = int_stack + 21840;
 Libderiv->deriv_classes[6][6][8] = int_stack + 22428;
 Libderiv->deriv_classes[6][7][8] = int_stack + 23212;
 Libderiv->deriv_classes[6][8][8] = int_stack + 24220;
 Libderiv->deriv_classes[5][5][7] = int_stack + 25480;
 Libderiv->deriv_classes[5][6][7] = int_stack + 25921;
 Libderiv->deriv_classes[5][7][7] = int_stack + 26509;
 Libderiv->deriv_classes[5][8][7] = int_stack + 27265;
 Libderiv->deriv_classes[6][5][7] = int_stack + 28210;
 Libderiv->deriv_classes[6][6][7] = int_stack + 28798;
 Libderiv->deriv_classes[6][7][7] = int_stack + 29582;
 Libderiv->deriv_classes[6][8][7] = int_stack + 30590;
 Libderiv->deriv_classes[5][5][6] = int_stack + 31850;
 Libderiv->deriv_classes[5][6][6] = int_stack + 32291;
 Libderiv->deriv_classes[5][7][6] = int_stack + 32879;
 Libderiv->deriv_classes[5][8][6] = int_stack + 33635;
 Libderiv->dvrr_classes[6][5] = int_stack + 34580;
 Libderiv->deriv_classes[6][5][6] = int_stack + 35168;
 Libderiv->dvrr_classes[6][6] = int_stack + 35756;
 Libderiv->deriv_classes[6][6][6] = int_stack + 36540;
 Libderiv->dvrr_classes[6][7] = int_stack + 37324;
 Libderiv->deriv_classes[6][7][6] = int_stack + 38332;
 Libderiv->deriv_classes[6][8][6] = int_stack + 39340;
 Libderiv->deriv_classes[5][5][2] = int_stack + 40600;
 Libderiv->deriv_classes[5][6][2] = int_stack + 41041;
 Libderiv->deriv_classes[5][7][2] = int_stack + 41629;
 Libderiv->deriv_classes[5][8][2] = int_stack + 42385;
 Libderiv->deriv_classes[6][5][2] = int_stack + 43330;
 Libderiv->deriv_classes[6][6][2] = int_stack + 43918;
 Libderiv->deriv_classes[6][7][2] = int_stack + 44702;
 Libderiv->deriv_classes[6][8][2] = int_stack + 45710;
 Libderiv->deriv_classes[5][5][1] = int_stack + 46970;
 Libderiv->deriv_classes[5][6][1] = int_stack + 47411;
 Libderiv->deriv_classes[5][7][1] = int_stack + 47999;
 Libderiv->deriv_classes[5][8][1] = int_stack + 48755;
 Libderiv->deriv_classes[6][5][1] = int_stack + 49700;
 Libderiv->deriv_classes[6][6][1] = int_stack + 50288;
 Libderiv->deriv_classes[6][7][1] = int_stack + 51072;
 Libderiv->deriv_classes[6][8][1] = int_stack + 52080;
 Libderiv->dvrr_classes[5][5] = int_stack + 53340;
 Libderiv->dvrr_classes[5][6] = int_stack + 53781;
 Libderiv->dvrr_classes[5][7] = int_stack + 54369;
 Libderiv->dvrr_classes[5][8] = int_stack + 55125;
 Libderiv->deriv_classes[5][5][0] = int_stack + 56070;
 Libderiv->deriv_classes[5][6][0] = int_stack + 56511;
 Libderiv->deriv_classes[5][7][0] = int_stack + 57099;
 Libderiv->deriv_classes[5][8][0] = int_stack + 57855;
 Libderiv->deriv_classes[6][5][0] = int_stack + 58800;
 Libderiv->deriv_classes[6][6][0] = int_stack + 59388;
 Libderiv->deriv_classes[6][7][0] = int_stack + 60172;
 Libderiv->deriv_classes[6][8][0] = int_stack + 61180;
 memset(int_stack,0,499520);

 Libderiv->dvrr_stack = int_stack + 173929;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hphf(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+62440,int_stack+53781,int_stack+53340,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63763,int_stack+54369,int_stack+53781,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+65527,int_stack+63763,int_stack+62440,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+68173,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53340,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+69496,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53781,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+71260,int_stack+69496,int_stack+68173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62440,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+73906,int_stack+1785,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54369,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76174,int_stack+73906,int_stack+69496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63763,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+79702,int_stack+76174,int_stack+71260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65527,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+68173,int_stack+35756,int_stack+34580,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+69937,int_stack+37324,int_stack+35756,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+72289,int_stack+69937,int_stack+68173,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+75817,int_stack+3318,int_stack+2730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34580,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+4102,int_stack+3318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35756,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+84112,int_stack+0,int_stack+75817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68173,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75817,int_stack+5110,int_stack+4102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37324,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+87640,int_stack+75817,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69937,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+87640,int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72289,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84112,int_stack+6811,int_stack+6370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53340, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85435,int_stack+7399,int_stack+6811, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53781, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+87199,int_stack+85435,int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62440, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+89845,int_stack+8155,int_stack+7399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54369, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+75817,int_stack+89845,int_stack+85435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63763, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89845,int_stack+75817,int_stack+87199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65527, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+75817,int_stack+9688,int_stack+9100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34580, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+84112,int_stack+10472,int_stack+9688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35756, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5880,int_stack+84112,int_stack+75817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68173, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75817,int_stack+11480,int_stack+10472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37324, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+94255,int_stack+75817,int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69937, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+98959,int_stack+94255,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72289, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5880,int_stack+13181,int_stack+12740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53340, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7203,int_stack+13769,int_stack+13181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53781, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8967,int_stack+7203,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62440, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+94255,int_stack+14525,int_stack+13769, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54369, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11613,int_stack+94255,int_stack+7203, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63763, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+94255,int_stack+11613,int_stack+8967, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65527, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5880,int_stack+16058,int_stack+15470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34580, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7644,int_stack+16842,int_stack+16058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35756, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9996,int_stack+7644,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68173, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+13524,int_stack+17850,int_stack+16842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37324, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+84112,int_stack+13524,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69937, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+104839,int_stack+84112,int_stack+9996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72289, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84112,int_stack+19551,int_stack+19110, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85435,int_stack+20139,int_stack+19551, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+87199,int_stack+85435,int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+20895,int_stack+20139, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8148,int_stack+5880,int_stack+85435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+11676,int_stack+8148,int_stack+87199, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5880,int_stack+22428,int_stack+21840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7644,int_stack+23212,int_stack+22428, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+84112,int_stack+7644,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16086,int_stack+24220,int_stack+23212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19110,int_stack+16086,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+110719,int_stack+19110,int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84112,int_stack+25921,int_stack+25480, 0.0, zero_stack, 1.0, int_stack+53340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85435,int_stack+26509,int_stack+25921, 0.0, zero_stack, 1.0, int_stack+53781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+87199,int_stack+85435,int_stack+84112, 0.0, zero_stack, 1.0, int_stack+62440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16086,int_stack+27265,int_stack+26509, 0.0, zero_stack, 1.0, int_stack+54369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18354,int_stack+16086,int_stack+85435, 0.0, zero_stack, 1.0, int_stack+63763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+21882,int_stack+18354,int_stack+87199, 0.0, zero_stack, 1.0, int_stack+65527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16086,int_stack+28798,int_stack+28210, 0.0, zero_stack, 1.0, int_stack+34580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17850,int_stack+29582,int_stack+28798, 0.0, zero_stack, 1.0, int_stack+35756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+84112,int_stack+17850,int_stack+16086, 0.0, zero_stack, 1.0, int_stack+68173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+26292,int_stack+30590,int_stack+29582, 0.0, zero_stack, 1.0, int_stack+37324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5880,int_stack+26292,int_stack+17850, 0.0, zero_stack, 1.0, int_stack+69937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+116599,int_stack+5880,int_stack+84112, 0.0, zero_stack, 1.0, int_stack+72289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84112,int_stack+32291,int_stack+31850, 1.0, int_stack+53340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85435,int_stack+32879,int_stack+32291, 1.0, int_stack+53781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+87199,int_stack+85435,int_stack+84112, 1.0, int_stack+62440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+33635,int_stack+32879, 1.0, int_stack+54369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8148,int_stack+5880,int_stack+85435, 1.0, int_stack+63763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+26292,int_stack+8148,int_stack+87199, 1.0, int_stack+65527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5880,int_stack+36540,int_stack+35168, 1.0, int_stack+34580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7644,int_stack+38332,int_stack+36540, 1.0, int_stack+35756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+84112,int_stack+7644,int_stack+5880, 1.0, int_stack+68173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30702,int_stack+39340,int_stack+38332, 1.0, int_stack+37324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33726,int_stack+30702,int_stack+7644, 1.0, int_stack+69937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+122479,int_stack+33726,int_stack+84112, 1.0, int_stack+72289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+84112,int_stack+55125,int_stack+54369,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+30702,int_stack+84112,int_stack+63763,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+84112,int_stack+30702,int_stack+65527,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+88522,int_stack+41041,int_stack+40600,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30702,int_stack+41629,int_stack+41041,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32466,int_stack+30702,int_stack+88522,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+35112,int_stack+42385,int_stack+41629,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+37380,int_stack+35112,int_stack+30702,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+5880,int_stack+37380,int_stack+32466,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+30702,int_stack+43918,int_stack+43330,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32466,int_stack+44702,int_stack+43918,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+34818,int_stack+32466,int_stack+30702,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+38346,int_stack+45710,int_stack+44702,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+41370,int_stack+38346,int_stack+32466,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+62440,int_stack+41370,int_stack+34818,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+88522,int_stack+47411,int_stack+46970,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30702,int_stack+47999,int_stack+47411,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32466,int_stack+30702,int_stack+88522,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+35112,int_stack+48755,int_stack+47999,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+37380,int_stack+35112,int_stack+30702,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+40908,int_stack+37380,int_stack+32466,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+30702,int_stack+50288,int_stack+49700,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32466,int_stack+51072,int_stack+50288,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+34818,int_stack+32466,int_stack+30702,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45318,int_stack+52080,int_stack+51072,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+48342,int_stack+45318,int_stack+32466,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+68320,int_stack+48342,int_stack+34818,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+88522,int_stack+56511,int_stack+56070,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+45318,int_stack+57099,int_stack+56511,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+47082,int_stack+45318,int_stack+88522,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+49728,int_stack+57855,int_stack+57099,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+51996,int_stack+49728,int_stack+45318,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+30702,int_stack+51996,int_stack+47082,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+45318,int_stack+59388,int_stack+58800,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+47082,int_stack+60172,int_stack+59388,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+49434,int_stack+47082,int_stack+45318,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+52962,int_stack+61180,int_stack+60172,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+55986,int_stack+52962,int_stack+47082,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+128359,int_stack+55986,int_stack+49434,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+45318,int_stack+0,int_stack+79702,210);
     Libderiv->ABCD[11] = int_stack + 45318;
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+134239,int_stack+98959,int_stack+89845,210);
     Libderiv->ABCD[10] = int_stack + 134239;
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+147469,int_stack+104839,int_stack+94255,210);
     Libderiv->ABCD[9] = int_stack + 147469;
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+88522,int_stack+110719,int_stack+11676,210);
     Libderiv->ABCD[8] = int_stack + 88522;
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+101752,int_stack+116599,int_stack+21882,210);
     Libderiv->ABCD[7] = int_stack + 101752;
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+10290,int_stack+122479,int_stack+26292,210);
     Libderiv->ABCD[6] = int_stack + 10290;
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+114982,int_stack+62440,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 114982;
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+160699,int_stack+68320,int_stack+40908, 0.0, zero_stack, 1.0, int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 160699;
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+58548,int_stack+128359,int_stack+30702, 1.0, int_stack+84112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 58548;

}
