#include <libint/libint.h>
#include "libderiv.h"

void deriv_build_DX_q(prim_data *Data, const int abc_num, double *vp, const double *I0, const double *I1)
{
  const double twotzeta = Data->twozeta_d;
  const double *i0, *i1;
  int abc;

  for(abc=0;abc<abc_num;abc++) {
    *(vp++) = twotzeta*I0[0] - 12.000000*I1[0];
    *(vp++) = twotzeta*I0[1] - 11.000000*I1[1];
    *(vp++) = twotzeta*I0[2] - 11.000000*I1[2];
    *(vp++) = twotzeta*I0[3] - 10.000000*I1[3];
    *(vp++) = twotzeta*I0[4] - 10.000000*I1[4];
    *(vp++) = twotzeta*I0[5] - 10.000000*I1[5];
    *(vp++) = twotzeta*I0[6] - 9.000000*I1[6];
    *(vp++) = twotzeta*I0[7] - 9.000000*I1[7];
    *(vp++) = twotzeta*I0[8] - 9.000000*I1[8];
    *(vp++) = twotzeta*I0[9] - 9.000000*I1[9];
    *(vp++) = twotzeta*I0[10] - 8.000000*I1[10];
    *(vp++) = twotzeta*I0[11] - 8.000000*I1[11];
    *(vp++) = twotzeta*I0[12] - 8.000000*I1[12];
    *(vp++) = twotzeta*I0[13] - 8.000000*I1[13];
    *(vp++) = twotzeta*I0[14] - 8.000000*I1[14];
    *(vp++) = twotzeta*I0[15] - 7.000000*I1[15];
    *(vp++) = twotzeta*I0[16] - 7.000000*I1[16];
    *(vp++) = twotzeta*I0[17] - 7.000000*I1[17];
    *(vp++) = twotzeta*I0[18] - 7.000000*I1[18];
    *(vp++) = twotzeta*I0[19] - 7.000000*I1[19];
    *(vp++) = twotzeta*I0[20] - 7.000000*I1[20];
    *(vp++) = twotzeta*I0[21] - 6.000000*I1[21];
    *(vp++) = twotzeta*I0[22] - 6.000000*I1[22];
    *(vp++) = twotzeta*I0[23] - 6.000000*I1[23];
    *(vp++) = twotzeta*I0[24] - 6.000000*I1[24];
    *(vp++) = twotzeta*I0[25] - 6.000000*I1[25];
    *(vp++) = twotzeta*I0[26] - 6.000000*I1[26];
    *(vp++) = twotzeta*I0[27] - 6.000000*I1[27];
    *(vp++) = twotzeta*I0[28] - 5.000000*I1[28];
    *(vp++) = twotzeta*I0[29] - 5.000000*I1[29];
    *(vp++) = twotzeta*I0[30] - 5.000000*I1[30];
    *(vp++) = twotzeta*I0[31] - 5.000000*I1[31];
    *(vp++) = twotzeta*I0[32] - 5.000000*I1[32];
    *(vp++) = twotzeta*I0[33] - 5.000000*I1[33];
    *(vp++) = twotzeta*I0[34] - 5.000000*I1[34];
    *(vp++) = twotzeta*I0[35] - 5.000000*I1[35];
    *(vp++) = twotzeta*I0[36] - 4.000000*I1[36];
    *(vp++) = twotzeta*I0[37] - 4.000000*I1[37];
    *(vp++) = twotzeta*I0[38] - 4.000000*I1[38];
    *(vp++) = twotzeta*I0[39] - 4.000000*I1[39];
    *(vp++) = twotzeta*I0[40] - 4.000000*I1[40];
    *(vp++) = twotzeta*I0[41] - 4.000000*I1[41];
    *(vp++) = twotzeta*I0[42] - 4.000000*I1[42];
    *(vp++) = twotzeta*I0[43] - 4.000000*I1[43];
    *(vp++) = twotzeta*I0[44] - 4.000000*I1[44];
    *(vp++) = twotzeta*I0[45] - 3.000000*I1[45];
    *(vp++) = twotzeta*I0[46] - 3.000000*I1[46];
    *(vp++) = twotzeta*I0[47] - 3.000000*I1[47];
    *(vp++) = twotzeta*I0[48] - 3.000000*I1[48];
    *(vp++) = twotzeta*I0[49] - 3.000000*I1[49];
    *(vp++) = twotzeta*I0[50] - 3.000000*I1[50];
    *(vp++) = twotzeta*I0[51] - 3.000000*I1[51];
    *(vp++) = twotzeta*I0[52] - 3.000000*I1[52];
    *(vp++) = twotzeta*I0[53] - 3.000000*I1[53];
    *(vp++) = twotzeta*I0[54] - 3.000000*I1[54];
    *(vp++) = twotzeta*I0[55] - 2.000000*I1[55];
    *(vp++) = twotzeta*I0[56] - 2.000000*I1[56];
    *(vp++) = twotzeta*I0[57] - 2.000000*I1[57];
    *(vp++) = twotzeta*I0[58] - 2.000000*I1[58];
    *(vp++) = twotzeta*I0[59] - 2.000000*I1[59];
    *(vp++) = twotzeta*I0[60] - 2.000000*I1[60];
    *(vp++) = twotzeta*I0[61] - 2.000000*I1[61];
    *(vp++) = twotzeta*I0[62] - 2.000000*I1[62];
    *(vp++) = twotzeta*I0[63] - 2.000000*I1[63];
    *(vp++) = twotzeta*I0[64] - 2.000000*I1[64];
    *(vp++) = twotzeta*I0[65] - 2.000000*I1[65];
    *(vp++) = twotzeta*I0[66] - 1.000000*I1[66];
    *(vp++) = twotzeta*I0[67] - 1.000000*I1[67];
    *(vp++) = twotzeta*I0[68] - 1.000000*I1[68];
    *(vp++) = twotzeta*I0[69] - 1.000000*I1[69];
    *(vp++) = twotzeta*I0[70] - 1.000000*I1[70];
    *(vp++) = twotzeta*I0[71] - 1.000000*I1[71];
    *(vp++) = twotzeta*I0[72] - 1.000000*I1[72];
    *(vp++) = twotzeta*I0[73] - 1.000000*I1[73];
    *(vp++) = twotzeta*I0[74] - 1.000000*I1[74];
    *(vp++) = twotzeta*I0[75] - 1.000000*I1[75];
    *(vp++) = twotzeta*I0[76] - 1.000000*I1[76];
    *(vp++) = twotzeta*I0[77] - 1.000000*I1[77];
    *(vp++) = twotzeta*I0[78] ;
    *(vp++) = twotzeta*I0[79] ;
    *(vp++) = twotzeta*I0[80] ;
    *(vp++) = twotzeta*I0[81] ;
    *(vp++) = twotzeta*I0[82] ;
    *(vp++) = twotzeta*I0[83] ;
    *(vp++) = twotzeta*I0[84] ;
    *(vp++) = twotzeta*I0[85] ;
    *(vp++) = twotzeta*I0[86] ;
    *(vp++) = twotzeta*I0[87] ;
    *(vp++) = twotzeta*I0[88] ;
    *(vp++) = twotzeta*I0[89] ;
    *(vp++) = twotzeta*I0[90] ;
  I0 += 105;  I1 += 78;
  }
}
