#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00mf(Libint_t*, prim_data*);

  /* Computes quartets of (00|mf) integrals */

REALTYPE *hrr_order_00mf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][9] = int_stack + 0;
 Libint->vrr_classes[0][10] = int_stack + 55;
 Libint->vrr_classes[0][11] = int_stack + 121;
 Libint->vrr_classes[0][12] = int_stack + 199;
 memset(int_stack,0,290*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 290;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00mf(Libint, Data);
   Data++;
 }
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+290,int_stack+55,int_stack+0,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+455,int_stack+121,int_stack+55,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+653,int_stack+455,int_stack+290,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+983,int_stack+199,int_stack+121,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+983,int_stack+455,1);
 /*--- compute (00|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+983,int_stack+0,int_stack+653,1);
 return int_stack+983;}
