#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_d0lh(Libint_t*, prim_data*);

  /* Computes quartets of (d0|lh) integrals */

REALTYPE *hrr_order_d0lh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 Libint->vrr_classes[2][10] = int_stack + 600;
 Libint->vrr_classes[2][11] = int_stack + 996;
 Libint->vrr_classes[2][12] = int_stack + 1464;
 Libint->vrr_classes[2][13] = int_stack + 2010;
 memset(int_stack,0,2640*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2640;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_d0lh(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2640,int_stack+270,int_stack+0,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3450,int_stack+600,int_stack+270,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+4440,int_stack+3450,int_stack+2640,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+6060,int_stack+996,int_stack+600,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+7248,int_stack+6060,int_stack+3450,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+9228,int_stack+7248,int_stack+4440,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2640,int_stack+1464,int_stack+996,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+11928,int_stack+2640,int_stack+6060,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+14304,int_stack+11928,int_stack+7248,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+4044,int_stack+14304,int_stack+9228,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+8094,int_stack+2010,int_stack+1464,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+17604,int_stack+8094,int_stack+2640,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+17604,int_stack+11928,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+8094,int_stack+0,int_stack+14304,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+13044,int_stack+8094,int_stack+4044,6);
 return int_stack+13044;}
