#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpng(Libint_t*, prim_data*);

  /* Computes quartets of (dp|ng) integrals */

REALTYPE *hrr_order_dpng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[3][10] = int_stack + 2760;
 Libint->vrr_classes[3][11] = int_stack + 3420;
 Libint->vrr_classes[3][12] = int_stack + 4200;
 Libint->vrr_classes[3][13] = int_stack + 5110;
 Libint->vrr_classes[3][14] = int_stack + 6160;
 memset(int_stack,0,7360*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7360;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpng(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7360,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8548,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9952,int_stack+8548,int_stack+7360,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+12328,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+13966,int_stack+12328,int_stack+8548,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+16774,int_stack+13966,int_stack+9952,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7360,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20734,int_stack+7360,int_stack+12328,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+7360,int_stack+20734,int_stack+13966,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+20734,int_stack+7360,int_stack+16774,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7360,int_stack+3420,int_stack+2760,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+9340,int_stack+4200,int_stack+3420,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+11680,int_stack+9340,int_stack+7360,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+15640,int_stack+5110,int_stack+4200,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+15640,int_stack+9340,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+26674,int_stack+0,int_stack+11680,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7360,int_stack+6160,int_stack+5110,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+33274,int_stack+7360,int_stack+15640,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+4680,int_stack+33274,int_stack+0,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+33274,int_stack+4680,int_stack+26674,10);
 /*--- compute (dp|ng) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+33274,int_stack+20734,990);
 return int_stack+0;}
