#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdkd(Libint_t*, prim_data*);

  /* Computes quartets of (fd|kd) integrals */

REALTYPE *hrr_order_fdkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[3][9] = int_stack + 810;
 Libint->vrr_classes[4][7] = int_stack + 1360;
 Libint->vrr_classes[4][8] = int_stack + 1900;
 Libint->vrr_classes[4][9] = int_stack + 2575;
 Libint->vrr_classes[5][7] = int_stack + 3400;
 Libint->vrr_classes[5][8] = int_stack + 4156;
 Libint->vrr_classes[5][9] = int_stack + 5101;
 memset(int_stack,0,6256*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6256;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdkd(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6256,int_stack+360,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7336,int_stack+810,int_stack+360,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8686,int_stack+7336,int_stack+6256,10);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6256,int_stack+1900,int_stack+1360,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10846,int_stack+2575,int_stack+1900,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+10846,int_stack+6256,15);
 /*--- compute (fp|kd) ---*/
 hrr1_build_fp(Libint->AB,int_stack+10846,int_stack+0,int_stack+8686,216);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6256,int_stack+4156,int_stack+3400,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+17326,int_stack+5101,int_stack+4156,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+20161,int_stack+17326,int_stack+6256,21);
 /*--- compute (gp|kd) ---*/
 hrr1_build_gp(Libint->AB,int_stack+24697,int_stack+20161,int_stack+0,216);
 /*--- compute (fd|kd) ---*/
 hrr1_build_fd(Libint->AB,int_stack+34417,int_stack+24697,int_stack+10846,216);
 return int_stack+34417;}
