#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpmp(Libint_t*, prim_data*);

  /* Computes quartets of (fp|mp) integrals */

REALTYPE *hrr_order_fpmp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[4][9] = int_stack + 1210;
 Libint->vrr_classes[4][10] = int_stack + 2035;
 memset(int_stack,0,3025*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3025;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpmp(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3025,int_stack+550,int_stack+0,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4675,int_stack+2035,int_stack+1210,15);
 /*--- compute (fp|mp) ---*/
 hrr1_build_fp(Libint->AB,int_stack+7150,int_stack+4675,int_stack+3025,165);
 return int_stack+7150;}
