#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdi0(Libint_t*, prim_data*);

  /* Computes quartets of (gd|i0) integrals */

REALTYPE *hrr_order_gdi0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[5][6] = int_stack + 420;
 Libint->vrr_classes[6][6] = int_stack + 1008;
 memset(int_stack,0,1792*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1792;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdi0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|i0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+1792,int_stack+420,int_stack+0,28);
 /*--- compute (hp|i0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+3052,int_stack+1008,int_stack+420,28);
 /*--- compute (gd|i0) ---*/
 hrr1_build_gd(Libint->AB,int_stack+4816,int_stack+3052,int_stack+1792,28);
 return int_stack+4816;}
