#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gglg(Libint_t*, prim_data*);

  /* Computes quartets of (gg|lg) integrals */

REALTYPE *hrr_order_gglg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[4][12] = int_stack + 3660;
 Libint->vrr_classes[5][8] = int_stack + 5025;
 Libint->vrr_classes[5][9] = int_stack + 5970;
 Libint->vrr_classes[5][10] = int_stack + 7125;
 Libint->vrr_classes[5][11] = int_stack + 8511;
 Libint->vrr_classes[5][12] = int_stack + 10149;
 Libint->vrr_classes[6][8] = int_stack + 12060;
 Libint->vrr_classes[6][9] = int_stack + 13320;
 Libint->vrr_classes[6][10] = int_stack + 14860;
 Libint->vrr_classes[6][11] = int_stack + 16708;
 Libint->vrr_classes[6][12] = int_stack + 18892;
 Libint->vrr_classes[7][8] = int_stack + 21440;
 Libint->vrr_classes[7][9] = int_stack + 23060;
 Libint->vrr_classes[7][10] = int_stack + 25040;
 Libint->vrr_classes[7][11] = int_stack + 27416;
 Libint->vrr_classes[7][12] = int_stack + 30224;
 Libint->vrr_classes[8][8] = int_stack + 33500;
 Libint->vrr_classes[8][9] = int_stack + 35525;
 Libint->vrr_classes[8][10] = int_stack + 38000;
 Libint->vrr_classes[8][11] = int_stack + 40970;
 Libint->vrr_classes[8][12] = int_stack + 44480;
 memset(int_stack,0,48575*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 48575;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gglg(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+48575,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+50600,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+53075,int_stack+50600,int_stack+48575,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57125,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+60095,int_stack+57125,int_stack+50600,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+65045,int_stack+60095,int_stack+53075,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48575,int_stack+3660,int_stack+2490,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+71795,int_stack+48575,int_stack+57125,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+48575,int_stack+71795,int_stack+60095,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+71795,int_stack+48575,int_stack+65045,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+48575,int_stack+5970,int_stack+5025,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51410,int_stack+7125,int_stack+5970,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+54875,int_stack+51410,int_stack+48575,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+60545,int_stack+8511,int_stack+7125,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+64703,int_stack+60545,int_stack+51410,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+81920,int_stack+64703,int_stack+54875,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48575,int_stack+10149,int_stack+8511,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+48575,int_stack+60545,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+48575,int_stack+0,int_stack+64703,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+91370,int_stack+48575,int_stack+81920,21);
 /*--- compute (gp|lg) ---*/
 hrr1_build_gp(Libint->AB,int_stack+105545,int_stack+91370,int_stack+71795,675);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+48575,int_stack+13320,int_stack+12060,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+52355,int_stack+14860,int_stack+13320,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+56975,int_stack+52355,int_stack+48575,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64535,int_stack+16708,int_stack+14860,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+70079,int_stack+64535,int_stack+52355,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+70079,int_stack+56975,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48575,int_stack+18892,int_stack+16708,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+79319,int_stack+48575,int_stack+64535,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+48575,int_stack+79319,int_stack+70079,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+63975,int_stack+48575,int_stack+0,28);
 /*--- compute (hp|lg) ---*/
 hrr1_build_hp(Libint->AB,int_stack+135920,int_stack+63975,int_stack+91370,675);
 /*--- compute (gd|lg) ---*/
 hrr1_build_gd(Libint->AB,int_stack+178445,int_stack+135920,int_stack+105545,675);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+23060,int_stack+21440,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4860,int_stack+25040,int_stack+23060,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+10800,int_stack+4860,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+48575,int_stack+27416,int_stack+25040,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+82875,int_stack+48575,int_stack+4860,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+94755,int_stack+82875,int_stack+10800,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+30224,int_stack+27416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+8424,int_stack+0,int_stack+48575,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+110955,int_stack+8424,int_stack+82875,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+110955,int_stack+94755,36);
 /*--- compute (ip|lg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+239195,int_stack+0,int_stack+63975,675);
 /*--- compute (hd|lg) ---*/
 hrr1_build_hd(Libint->AB,int_stack+48575,int_stack+239195,int_stack+135920,675);
 /*--- compute (gf|lg) ---*/
 hrr1_build_gf(Libint->AB,int_stack+295895,int_stack+48575,int_stack+178445,675);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+133625,int_stack+35525,int_stack+33500,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+139700,int_stack+38000,int_stack+35525,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+147125,int_stack+139700,int_stack+133625,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159275,int_stack+40970,int_stack+38000,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+168185,int_stack+159275,int_stack+139700,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+183035,int_stack+168185,int_stack+147125,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+133625,int_stack+44480,int_stack+40970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+203285,int_stack+133625,int_stack+159275,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+133625,int_stack+203285,int_stack+168185,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+203285,int_stack+133625,int_stack+183035,45);
 /*--- compute (kp|lg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+397145,int_stack+203285,int_stack+0,675);
 /*--- compute (id|lg) ---*/
 hrr1_build_id(Libint->AB,int_stack+470045,int_stack+397145,int_stack+239195,675);
 /*--- compute (hf|lg) ---*/
 hrr1_build_hf(Libint->AB,int_stack+133625,int_stack+470045,int_stack+48575,675);
 /*--- compute (gg|lg) ---*/
 hrr1_build_gg(Libint->AB,int_stack+397145,int_stack+133625,int_stack+295895,675);
 return int_stack+397145;}
