#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpid(Libint_t*, prim_data*);

  /* Computes quartets of (gp|id) integrals */

REALTYPE *hrr_order_gpid(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[5][6] = int_stack + 1635;
 Libint->vrr_classes[5][7] = int_stack + 2223;
 Libint->vrr_classes[5][8] = int_stack + 2979;
 memset(int_stack,0,3924*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3924;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpid(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+3924,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5184,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6804,int_stack+5184,int_stack+3924,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+3924,int_stack+2223,int_stack+1635,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+9324,int_stack+2979,int_stack+2223,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+0,int_stack+9324,int_stack+3924,21);
 /*--- compute (gp|id) ---*/
 hrr1_build_gp(Libint->AB,int_stack+9324,int_stack+0,int_stack+6804,168);
 return int_stack+9324;}
