#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpkf(Libint_t*, prim_data*);

  /* Computes quartets of (gp|kf) integrals */

REALTYPE *hrr_order_gpkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[5][7] = int_stack + 3030;
 Libint->vrr_classes[5][8] = int_stack + 3786;
 Libint->vrr_classes[5][9] = int_stack + 4731;
 Libint->vrr_classes[5][10] = int_stack + 5886;
 memset(int_stack,0,7272*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7272;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpkf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7272,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8892,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10917,int_stack+8892,int_stack+7272,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14157,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16632,int_stack+14157,int_stack+8892,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+20682,int_stack+16632,int_stack+10917,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7272,int_stack+3786,int_stack+3030,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9540,int_stack+4731,int_stack+3786,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+12375,int_stack+9540,int_stack+7272,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16911,int_stack+5886,int_stack+4731,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+16911,int_stack+9540,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+26082,int_stack+0,int_stack+12375,21);
 /*--- compute (gp|kf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+0,int_stack+26082,int_stack+20682,360);
 return int_stack+0;}
