#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgnn(Libint_t*, prim_data*);

  /* Computes quartets of (hg|nn) integrals */

REALTYPE *hrr_order_hgnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[5][18] = int_stack + 19320;
 Libint->vrr_classes[5][19] = int_stack + 23310;
 Libint->vrr_classes[5][20] = int_stack + 27720;
 Libint->vrr_classes[6][10] = int_stack + 32571;
 Libint->vrr_classes[6][11] = int_stack + 34419;
 Libint->vrr_classes[6][12] = int_stack + 36603;
 Libint->vrr_classes[6][13] = int_stack + 39151;
 Libint->vrr_classes[6][14] = int_stack + 42091;
 Libint->vrr_classes[6][15] = int_stack + 45451;
 Libint->vrr_classes[6][16] = int_stack + 49259;
 Libint->vrr_classes[6][17] = int_stack + 53543;
 Libint->vrr_classes[6][18] = int_stack + 58331;
 Libint->vrr_classes[6][19] = int_stack + 63651;
 Libint->vrr_classes[6][20] = int_stack + 69531;
 Libint->vrr_classes[7][10] = int_stack + 75999;
 Libint->vrr_classes[7][11] = int_stack + 78375;
 Libint->vrr_classes[7][12] = int_stack + 81183;
 Libint->vrr_classes[7][13] = int_stack + 84459;
 Libint->vrr_classes[7][14] = int_stack + 88239;
 Libint->vrr_classes[7][15] = int_stack + 92559;
 Libint->vrr_classes[7][16] = int_stack + 97455;
 Libint->vrr_classes[7][17] = int_stack + 102963;
 Libint->vrr_classes[7][18] = int_stack + 109119;
 Libint->vrr_classes[7][19] = int_stack + 115959;
 Libint->vrr_classes[7][20] = int_stack + 123519;
 Libint->vrr_classes[8][10] = int_stack + 131835;
 Libint->vrr_classes[8][11] = int_stack + 134805;
 Libint->vrr_classes[8][12] = int_stack + 138315;
 Libint->vrr_classes[8][13] = int_stack + 142410;
 Libint->vrr_classes[8][14] = int_stack + 147135;
 Libint->vrr_classes[8][15] = int_stack + 152535;
 Libint->vrr_classes[8][16] = int_stack + 158655;
 Libint->vrr_classes[8][17] = int_stack + 165540;
 Libint->vrr_classes[8][18] = int_stack + 173235;
 Libint->vrr_classes[8][19] = int_stack + 181785;
 Libint->vrr_classes[8][20] = int_stack + 191235;
 Libint->vrr_classes[9][10] = int_stack + 201630;
 Libint->vrr_classes[9][11] = int_stack + 205260;
 Libint->vrr_classes[9][12] = int_stack + 209550;
 Libint->vrr_classes[9][13] = int_stack + 214555;
 Libint->vrr_classes[9][14] = int_stack + 220330;
 Libint->vrr_classes[9][15] = int_stack + 226930;
 Libint->vrr_classes[9][16] = int_stack + 234410;
 Libint->vrr_classes[9][17] = int_stack + 242825;
 Libint->vrr_classes[9][18] = int_stack + 252230;
 Libint->vrr_classes[9][19] = int_stack + 262680;
 Libint->vrr_classes[9][20] = int_stack + 274230;
 memset(int_stack,0,286935*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 286935;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgnn(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+286935,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+291093,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+296007,int_stack+291093,int_stack+286935,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+304323,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+310056,int_stack+304323,int_stack+291093,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+319884,int_stack+310056,int_stack+296007,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+286935,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+333744,int_stack+286935,int_stack+304323,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+293550,int_stack+333744,int_stack+310056,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+345210,int_stack+293550,int_stack+319884,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+309930,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+317490,int_stack+309930,int_stack+286935,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+366000,int_stack+317490,int_stack+333744,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+385110,int_stack+366000,int_stack+293550,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+409680,int_stack+385110,int_stack+345210,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+286935,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+330720,int_stack+286935,int_stack+309930,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+438786,int_stack+330720,int_stack+317490,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+295503,int_stack+438786,int_stack+366000,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+345840,int_stack+295503,int_stack+385110,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+460836,int_stack+345840,int_stack+409680,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+380238,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+389877,int_stack+380238,int_stack+286935,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+407013,int_stack+389877,int_stack+330720,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+499644,int_stack+407013,int_stack+438786,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+532719,int_stack+499644,int_stack+295503,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+286935,int_stack+532719,int_stack+345840,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+572850,int_stack+286935,int_stack+460836,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+332799,int_stack+19320,int_stack+15729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+343572,int_stack+332799,int_stack+380238,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+432213,int_stack+343572,int_stack+389877,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+362850,int_stack+432213,int_stack+407013,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+622746,int_stack+362850,int_stack+499644,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+460773,int_stack+622746,int_stack+532719,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+669051,int_stack+460773,int_stack+286935,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+728019,int_stack+669051,int_stack+572850,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+286935,int_stack+23310,int_stack+19320,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+298905,int_stack+286935,int_stack+332799,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+514281,int_stack+298905,int_stack+343572,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+546411,int_stack+514281,int_stack+432213,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+400650,int_stack+546411,int_stack+362850,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+320451,int_stack+400650,int_stack+622746,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+589251,int_stack+320451,int_stack+460773,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+790389,int_stack+589251,int_stack+669051,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+864099,int_stack+790389,int_stack+728019,21);
 /*--- compute (h0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+382191,int_stack+27720,int_stack+23310,21);
 /*--- compute (h0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+453570,int_stack+382191,int_stack+286935,21);
 /*--- compute (h0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+477510,int_stack+453570,int_stack+298905,21);
 /*--- compute (h0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+658047,int_stack+477510,int_stack+514281,21);
 /*--- compute (h0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+453570,int_stack+658047,int_stack+546411,21);
 /*--- compute (h0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+658047,int_stack+453570,int_stack+400650,21);
 /*--- compute (h0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+382191,int_stack+658047,int_stack+320451,21);
 /*--- compute (h0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+658047,int_stack+382191,int_stack+589251,21);
 /*--- compute (h0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+286935,int_stack+658047,int_stack+790389,21);
 /*--- compute (h0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+377025,int_stack+286935,int_stack+864099,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+286935,int_stack+34419,int_stack+32571,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+292479,int_stack+36603,int_stack+34419,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+299031,int_stack+292479,int_stack+286935,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+310119,int_stack+39151,int_stack+36603,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+317763,int_stack+310119,int_stack+292479,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+330867,int_stack+317763,int_stack+299031,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+286935,int_stack+42091,int_stack+39151,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+349347,int_stack+286935,int_stack+310119,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+295755,int_stack+349347,int_stack+317763,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+468501,int_stack+295755,int_stack+330867,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+317595,int_stack+45451,int_stack+42091,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+327675,int_stack+317595,int_stack+286935,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+496221,int_stack+327675,int_stack+349347,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+521701,int_stack+496221,int_stack+295755,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+554461,int_stack+521701,int_stack+468501,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+468501,int_stack+49259,int_stack+45451,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+286935,int_stack+468501,int_stack+317595,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+345315,int_stack+286935,int_stack+327675,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+307095,int_stack+345315,int_stack+496221,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+593269,int_stack+307095,int_stack+521701,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+479925,int_stack+593269,int_stack+554461,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+531669,int_stack+53543,int_stack+49259,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+544521,int_stack+531669,int_stack+468501,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+639133,int_stack+544521,int_stack+286935,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+672733,int_stack+639133,int_stack+345315,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+716833,int_stack+672733,int_stack+307095,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+286935,int_stack+716833,int_stack+593269,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+567369,int_stack+286935,int_stack+479925,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+348087,int_stack+58331,int_stack+53543,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+468501,int_stack+348087,int_stack+531669,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+494205,int_stack+468501,int_stack+544521,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+770341,int_stack+494205,int_stack+639133,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+820741,int_stack+770341,int_stack+672733,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+633897,int_stack+820741,int_stack+716833,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+882481,int_stack+633897,int_stack+286935,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+961105,int_stack+882481,int_stack+567369,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+286935,int_stack+63651,int_stack+58331,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+302895,int_stack+286935,int_stack+348087,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+331623,int_stack+302895,int_stack+468501,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+532285,int_stack+331623,int_stack+494205,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1044265,int_stack+532285,int_stack+770341,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+705241,int_stack+1044265,int_stack+820741,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+787561,int_stack+705241,int_stack+633897,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+589405,int_stack+787561,int_stack+882481,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1114825,int_stack+589405,int_stack+961105,28);
 /*--- compute (i0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+468501,int_stack+69531,int_stack+63651,28);
 /*--- compute (i0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+486141,int_stack+468501,int_stack+286935,28);
 /*--- compute (i0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+879289,int_stack+486141,int_stack+302895,28);
 /*--- compute (i0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+927169,int_stack+879289,int_stack+331623,28);
 /*--- compute (i0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+286935,int_stack+927169,int_stack+532285,28);
 /*--- compute (i0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+879289,int_stack+286935,int_stack+1044265,28);
 /*--- compute (i0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+973369,int_stack+879289,int_stack+705241,28);
 /*--- compute (i0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+468501,int_stack+973369,int_stack+787561,28);
 /*--- compute (i0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+687685,int_stack+468501,int_stack+589405,28);
 /*--- compute (i0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+468501,int_stack+687685,int_stack+1114825,28);
 /*--- compute (hp|nn) ---*/
 hrr1_build_hp(Libint->AB,int_stack+590469,int_stack+468501,int_stack+377025,4356);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+864897,int_stack+78375,int_stack+75999,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+872025,int_stack+81183,int_stack+78375,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+880449,int_stack+872025,int_stack+864897,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+894705,int_stack+84459,int_stack+81183,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+904533,int_stack+894705,int_stack+872025,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+921381,int_stack+904533,int_stack+880449,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+864897,int_stack+88239,int_stack+84459,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+945141,int_stack+864897,int_stack+894705,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+876237,int_stack+945141,int_stack+904533,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+964797,int_stack+876237,int_stack+921381,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+904317,int_stack+92559,int_stack+88239,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+917277,int_stack+904317,int_stack+864897,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1000437,int_stack+917277,int_stack+945141,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1033197,int_stack+1000437,int_stack+876237,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1075317,int_stack+1033197,int_stack+964797,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+864897,int_stack+97455,int_stack+92559,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+939957,int_stack+864897,int_stack+904317,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1125213,int_stack+939957,int_stack+917277,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+879585,int_stack+1125213,int_stack+1000437,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+965877,int_stack+879585,int_stack+1033197,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+286935,int_stack+965877,int_stack+1075317,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1024845,int_stack+102963,int_stack+97455,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1041369,int_stack+1024845,int_stack+864897,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1070745,int_stack+1041369,int_stack+939957,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+353463,int_stack+1070745,int_stack+1125213,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1113945,int_stack+353463,int_stack+879585,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+864897,int_stack+1113945,int_stack+965877,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+864897,int_stack+286935,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+286935,int_stack+109119,int_stack+102963,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+305403,int_stack+286935,int_stack+1024845,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+943521,int_stack+305403,int_stack+1041369,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+992481,int_stack+943521,int_stack+1070745,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1182741,int_stack+992481,int_stack+353463,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+338451,int_stack+1182741,int_stack+1113945,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1057281,int_stack+338451,int_stack+864897,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1262121,int_stack+1057281,int_stack+0,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+115959,int_stack+109119,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+20520,int_stack+0,int_stack+286935,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+57456,int_stack+20520,int_stack+305403,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+864897,int_stack+57456,int_stack+943521,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1369041,int_stack+864897,int_stack+992481,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+938337,int_stack+1369041,int_stack+1182741,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1459761,int_stack+938337,int_stack+338451,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+286935,int_stack+1459761,int_stack+1057281,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1044177,int_stack+286935,int_stack+1262121,36);
 /*--- compute (k0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+413295,int_stack+123519,int_stack+115959,36);
 /*--- compute (k0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1174857,int_stack+413295,int_stack+0,36);
 /*--- compute (k0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1215897,int_stack+1174857,int_stack+20520,36);
 /*--- compute (k0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1277457,int_stack+1215897,int_stack+57456,36);
 /*--- compute (k0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1277457,int_stack+864897,36);
 /*--- compute (k0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1174857,int_stack+0,int_stack+1369041,36);
 /*--- compute (k0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1295817,int_stack+1174857,int_stack+938337,36);
 /*--- compute (k0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+864897,int_stack+1295817,int_stack+1459761,36);
 /*--- compute (k0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1174857,int_stack+864897,int_stack+286935,36);
 /*--- compute (k0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+286935,int_stack+1174857,int_stack+1044177,36);
 /*--- compute (ip|nn) ---*/
 hrr1_build_ip(Libint->AB,int_stack+864897,int_stack+286935,int_stack+468501,4356);
 /*--- compute (hd|nn) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1230801,int_stack+864897,int_stack+590469,4356);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+443751,int_stack+134805,int_stack+131835,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+452661,int_stack+138315,int_stack+134805,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+463191,int_stack+452661,int_stack+443751,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+481011,int_stack+142410,int_stack+138315,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+493296,int_stack+481011,int_stack+452661,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+514356,int_stack+493296,int_stack+463191,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+443751,int_stack+147135,int_stack+142410,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+544056,int_stack+443751,int_stack+481011,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+457926,int_stack+544056,int_stack+493296,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+568626,int_stack+457926,int_stack+514356,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+493026,int_stack+152535,int_stack+147135,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+509226,int_stack+493026,int_stack+443751,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+613176,int_stack+509226,int_stack+544056,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+654126,int_stack+613176,int_stack+457926,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+706776,int_stack+654126,int_stack+568626,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+443751,int_stack+158655,int_stack+152535,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+537576,int_stack+443751,int_stack+493026,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+769146,int_stack+537576,int_stack+509226,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+462111,int_stack+769146,int_stack+613176,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+569976,int_stack+462111,int_stack+654126,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+569976,int_stack+706776,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+643686,int_stack+165540,int_stack+158655,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+664341,int_stack+643686,int_stack+443751,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+701061,int_stack+664341,int_stack+537576,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+83160,int_stack+701061,int_stack+769146,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+755061,int_stack+83160,int_stack+462111,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+443751,int_stack+755061,int_stack+569976,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1779657,int_stack+443751,int_stack+0,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+173235,int_stack+165540,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+23085,int_stack+0,int_stack+643686,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+542031,int_stack+23085,int_stack+664341,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+603231,int_stack+542031,int_stack+701061,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1886577,int_stack+603231,int_stack+83160,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1985802,int_stack+1886577,int_stack+755061,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+684231,int_stack+1985802,int_stack+443751,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2100462,int_stack+684231,int_stack+1779657,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1779657,int_stack+181785,int_stack+173235,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1805307,int_stack+1779657,int_stack+0,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+443751,int_stack+1805307,int_stack+23085,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+443751,int_stack+542031,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2234112,int_stack+0,int_stack+603231,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+512601,int_stack+2234112,int_stack+1886577,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2347512,int_stack+512601,int_stack+1985802,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1851477,int_stack+2347512,int_stack+684231,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+644901,int_stack+1851477,int_stack+2100462,45);
 /*--- compute (l0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+91800,int_stack+191235,int_stack+181785,45);
 /*--- compute (l0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+120150,int_stack+91800,int_stack+1779657,45);
 /*--- compute (l0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2009427,int_stack+120150,int_stack+1805307,45);
 /*--- compute (l0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+91800,int_stack+2009427,int_stack+443751,45);
 /*--- compute (l0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2009427,int_stack+91800,int_stack+0,45);
 /*--- compute (l0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+0,int_stack+2009427,int_stack+2234112,45);
 /*--- compute (l0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+2009427,int_stack+0,int_stack+512601,45);
 /*--- compute (l0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+0,int_stack+2009427,int_stack+2347512,45);
 /*--- compute (l0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2009427,int_stack+0,int_stack+1851477,45);
 /*--- compute (l0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+0,int_stack+2009427,int_stack+644901,45);
 /*--- compute (kp|nn) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1779657,int_stack+0,int_stack+286935,4356);
 /*--- compute (id|nn) ---*/
 hrr1_build_id(Libint->AB,int_stack+2250105,int_stack+1779657,int_stack+864897,4356);
 /*--- compute (hf|nn) ---*/
 hrr1_build_hf(Libint->AB,int_stack+286935,int_stack+2250105,int_stack+1230801,4356);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1201695,int_stack+205260,int_stack+201630,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1212585,int_stack+209550,int_stack+205260,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1225455,int_stack+1212585,int_stack+1201695,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1247235,int_stack+214555,int_stack+209550,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1262250,int_stack+1247235,int_stack+1212585,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1287990,int_stack+1262250,int_stack+1225455,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1201695,int_stack+220330,int_stack+214555,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1324290,int_stack+1201695,int_stack+1247235,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1219020,int_stack+1324290,int_stack+1262250,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1354320,int_stack+1219020,int_stack+1287990,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1261920,int_stack+226930,int_stack+220330,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1281720,int_stack+1261920,int_stack+1201695,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1408770,int_stack+1281720,int_stack+1324290,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1458820,int_stack+1408770,int_stack+1219020,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1523170,int_stack+1458820,int_stack+1354320,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1201695,int_stack+234410,int_stack+226930,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1316370,int_stack+1201695,int_stack+1261920,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1599400,int_stack+1316370,int_stack+1281720,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1224135,int_stack+1599400,int_stack+1408770,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1355970,int_stack+1224135,int_stack+1458820,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1657150,int_stack+1355970,int_stack+1523170,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1446060,int_stack+242825,int_stack+234410,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1471305,int_stack+1446060,int_stack+1201695,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1516185,int_stack+1471305,int_stack+1316370,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2981913,int_stack+1516185,int_stack+1599400,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3068538,int_stack+2981913,int_stack+1224135,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1201695,int_stack+3068538,int_stack+1355970,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3173643,int_stack+1201695,int_stack+1657150,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1321815,int_stack+252230,int_stack+242825,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1350030,int_stack+1321815,int_stack+1446060,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1582185,int_stack+1350030,int_stack+1471305,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1400520,int_stack+1582185,int_stack+1516185,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1656985,int_stack+1400520,int_stack+2981913,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3304323,int_stack+1656985,int_stack+3068538,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2981913,int_stack+3304323,int_stack+1201695,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3444463,int_stack+2981913,int_stack+3173643,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1201695,int_stack+262680,int_stack+252230,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1233045,int_stack+1201695,int_stack+1321815,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+3136353,int_stack+1233045,int_stack+1350030,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3607813,int_stack+3136353,int_stack+1582185,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1499520,int_stack+3607813,int_stack+1400520,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1289475,int_stack+1499520,int_stack+1656985,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3720013,int_stack+1289475,int_stack+3304323,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3220503,int_stack+3720013,int_stack+2981913,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+3900193,int_stack+3220503,int_stack+3444463,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+2981913,int_stack+274230,int_stack+262680,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+3016563,int_stack+2981913,int_stack+1201695,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+3413553,int_stack+3016563,int_stack+1233045,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+2981913,int_stack+3413553,int_stack+3136353,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+3413553,int_stack+2981913,int_stack+3607813,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+2981913,int_stack+3413553,int_stack+1499520,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+3413553,int_stack+2981913,int_stack+1289475,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2981913,int_stack+3413553,int_stack+3720013,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+3413553,int_stack+2981913,int_stack+3220503,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2981913,int_stack+3413553,int_stack+3900193,55);
 /*--- compute (lp|nn) ---*/
 hrr1_build_lp(Libint->AB,int_stack+3221493,int_stack+2981913,int_stack+0,4356);
 /*--- compute (kd|nn) ---*/
 hrr1_build_kd(Libint->AB,int_stack+3809553,int_stack+3221493,int_stack+1779657,4356);
 /*--- compute (if|nn) ---*/
 hrr1_build_if(Libint->AB,int_stack+4750449,int_stack+3809553,int_stack+2250105,4356);
 /*--- compute (hg|nn) ---*/
 hrr1_build_hg(Libint->AB,int_stack+1201695,int_stack+4750449,int_stack+286935,4356);
 return int_stack+1201695;}
