#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhmp(Libint_t*, prim_data*);

  /* Computes quartets of (hh|mp) integrals */

REALTYPE *hrr_order_hhmp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[6][9] = int_stack + 2541;
 Libint->vrr_classes[6][10] = int_stack + 4081;
 Libint->vrr_classes[7][9] = int_stack + 5929;
 Libint->vrr_classes[7][10] = int_stack + 7909;
 Libint->vrr_classes[8][9] = int_stack + 10285;
 Libint->vrr_classes[8][10] = int_stack + 12760;
 Libint->vrr_classes[9][9] = int_stack + 15730;
 Libint->vrr_classes[9][10] = int_stack + 18755;
 Libint->vrr_classes[10][9] = int_stack + 22385;
 Libint->vrr_classes[10][10] = int_stack + 26015;
 memset(int_stack,0,30371*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 30371;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhmp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30371,int_stack+1155,int_stack+0,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+33836,int_stack+4081,int_stack+2541,28);
 /*--- compute (hp|mp) ---*/
 hrr1_build_hp(Libint->AB,int_stack+38456,int_stack+33836,int_stack+30371,165);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+48851,int_stack+7909,int_stack+5929,36);
 /*--- compute (ip|mp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+54791,int_stack+48851,int_stack+33836,165);
 /*--- compute (hd|mp) ---*/
 hrr1_build_hd(Libint->AB,int_stack+68651,int_stack+54791,int_stack+38456,165);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30371,int_stack+12760,int_stack+10285,45);
 /*--- compute (kp|mp) ---*/
 hrr1_build_kp(Libint->AB,int_stack+89441,int_stack+30371,int_stack+48851,165);
 /*--- compute (id|mp) ---*/
 hrr1_build_id(Libint->AB,int_stack+107261,int_stack+89441,int_stack+54791,165);
 /*--- compute (hf|mp) ---*/
 hrr1_build_hf(Libint->AB,int_stack+134981,int_stack+107261,int_stack+68651,165);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+37796,int_stack+18755,int_stack+15730,55);
 /*--- compute (lp|mp) ---*/
 hrr1_build_lp(Libint->AB,int_stack+46871,int_stack+37796,int_stack+30371,165);
 /*--- compute (kd|mp) ---*/
 hrr1_build_kd(Libint->AB,int_stack+169631,int_stack+46871,int_stack+89441,165);
 /*--- compute (if|mp) ---*/
 hrr1_build_if(Libint->AB,int_stack+205271,int_stack+169631,int_stack+107261,165);
 /*--- compute (hg|mp) ---*/
 hrr1_build_hg(Libint->AB,int_stack+69146,int_stack+205271,int_stack+134981,165);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121121,int_stack+26015,int_stack+22385,66);
 /*--- compute (mp|mp) ---*/
 hrr1_build_mp(Libint->AB,int_stack+132011,int_stack+121121,int_stack+37796,165);
 /*--- compute (ld|mp) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+132011,int_stack+46871,165);
 /*--- compute (kf|mp) ---*/
 hrr1_build_kf(Libint->AB,int_stack+251471,int_stack+0,int_stack+169631,165);
 /*--- compute (ig|mp) ---*/
 hrr1_build_ig(Libint->AB,int_stack+121121,int_stack+251471,int_stack+205271,165);
 /*--- compute (hh|mp) ---*/
 hrr1_build_hh(Libint->AB,int_stack+190421,int_stack+121121,int_stack+69146,165);
 return int_stack+190421;}
