#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhnp(Libint_t*, prim_data*);

  /* Computes quartets of (hh|np) integrals */

REALTYPE *hrr_order_hhnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[6][10] = int_stack + 3024;
 Libint->vrr_classes[6][11] = int_stack + 4872;
 Libint->vrr_classes[7][10] = int_stack + 7056;
 Libint->vrr_classes[7][11] = int_stack + 9432;
 Libint->vrr_classes[8][10] = int_stack + 12240;
 Libint->vrr_classes[8][11] = int_stack + 15210;
 Libint->vrr_classes[9][10] = int_stack + 18720;
 Libint->vrr_classes[9][11] = int_stack + 22350;
 Libint->vrr_classes[10][10] = int_stack + 26640;
 Libint->vrr_classes[10][11] = int_stack + 30996;
 memset(int_stack,0,36144*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 36144;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhnp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36144,int_stack+1386,int_stack+0,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40302,int_stack+4872,int_stack+3024,28);
 /*--- compute (hp|np) ---*/
 hrr1_build_hp(Libint->AB,int_stack+45846,int_stack+40302,int_stack+36144,198);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+58320,int_stack+9432,int_stack+7056,36);
 /*--- compute (ip|np) ---*/
 hrr1_build_ip(Libint->AB,int_stack+65448,int_stack+58320,int_stack+40302,198);
 /*--- compute (hd|np) ---*/
 hrr1_build_hd(Libint->AB,int_stack+82080,int_stack+65448,int_stack+45846,198);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36144,int_stack+15210,int_stack+12240,45);
 /*--- compute (kp|np) ---*/
 hrr1_build_kp(Libint->AB,int_stack+107028,int_stack+36144,int_stack+58320,198);
 /*--- compute (id|np) ---*/
 hrr1_build_id(Libint->AB,int_stack+128412,int_stack+107028,int_stack+65448,198);
 /*--- compute (hf|np) ---*/
 hrr1_build_hf(Libint->AB,int_stack+161676,int_stack+128412,int_stack+82080,198);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+45054,int_stack+22350,int_stack+18720,55);
 /*--- compute (lp|np) ---*/
 hrr1_build_lp(Libint->AB,int_stack+55944,int_stack+45054,int_stack+36144,198);
 /*--- compute (kd|np) ---*/
 hrr1_build_kd(Libint->AB,int_stack+203256,int_stack+55944,int_stack+107028,198);
 /*--- compute (if|np) ---*/
 hrr1_build_if(Libint->AB,int_stack+246024,int_stack+203256,int_stack+128412,198);
 /*--- compute (hg|np) ---*/
 hrr1_build_hg(Libint->AB,int_stack+82674,int_stack+246024,int_stack+161676,198);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+145044,int_stack+30996,int_stack+26640,66);
 /*--- compute (mp|np) ---*/
 hrr1_build_mp(Libint->AB,int_stack+158112,int_stack+145044,int_stack+45054,198);
 /*--- compute (ld|np) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+158112,int_stack+55944,198);
 /*--- compute (kf|np) ---*/
 hrr1_build_kf(Libint->AB,int_stack+301464,int_stack+0,int_stack+203256,198);
 /*--- compute (ig|np) ---*/
 hrr1_build_ig(Libint->AB,int_stack+145044,int_stack+301464,int_stack+246024,198);
 /*--- compute (hh|np) ---*/
 hrr1_build_hh(Libint->AB,int_stack+228204,int_stack+145044,int_stack+82674,198);
 return int_stack+228204;}
