#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpki(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ki) integrals */

REALTYPE *hrr_order_hpki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 Libint->vrr_classes[5][10] = int_stack + 2856;
 Libint->vrr_classes[5][11] = int_stack + 4242;
 Libint->vrr_classes[5][12] = int_stack + 5880;
 Libint->vrr_classes[5][13] = int_stack + 7791;
 Libint->vrr_classes[6][7] = int_stack + 9996;
 Libint->vrr_classes[6][8] = int_stack + 11004;
 Libint->vrr_classes[6][9] = int_stack + 12264;
 Libint->vrr_classes[6][10] = int_stack + 13804;
 Libint->vrr_classes[6][11] = int_stack + 15652;
 Libint->vrr_classes[6][12] = int_stack + 17836;
 Libint->vrr_classes[6][13] = int_stack + 20384;
 memset(int_stack,0,23324*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23324;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpki(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23324,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25592,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+28427,int_stack+25592,int_stack+23324,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+32963,int_stack+2856,int_stack+1701,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+36428,int_stack+32963,int_stack+25592,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+42098,int_stack+36428,int_stack+28427,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23324,int_stack+4242,int_stack+2856,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49658,int_stack+23324,int_stack+32963,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+56588,int_stack+49658,int_stack+36428,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+27482,int_stack+56588,int_stack+42098,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38822,int_stack+5880,int_stack+4242,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+66038,int_stack+38822,int_stack+23324,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+74354,int_stack+66038,int_stack+49658,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+85904,int_stack+74354,int_stack+56588,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+43736,int_stack+85904,int_stack+27482,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23324,int_stack+7791,int_stack+5880,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+23324,int_stack+38822,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+23324,int_stack+0,int_stack+66038,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+100079,int_stack+23324,int_stack+74354,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+23324,int_stack+100079,int_stack+85904,21);
 /*--- compute (h0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+59612,int_stack+23324,int_stack+43736,21);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23324,int_stack+11004,int_stack+9996,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26348,int_stack+12264,int_stack+11004,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+30128,int_stack+26348,int_stack+23324,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+36176,int_stack+13804,int_stack+12264,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40796,int_stack+36176,int_stack+26348,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+48356,int_stack+40796,int_stack+30128,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23324,int_stack+15652,int_stack+13804,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+23324,int_stack+36176,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+80780,int_stack+0,int_stack+40796,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+28868,int_stack+80780,int_stack+48356,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+43988,int_stack+17836,int_stack+15652,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+93380,int_stack+43988,int_stack+23324,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+104468,int_stack+93380,int_stack+0,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+119868,int_stack+104468,int_stack+80780,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+138768,int_stack+119868,int_stack+28868,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+80780,int_stack+20384,int_stack+17836,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+80780,int_stack+43988,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+13104,int_stack+0,int_stack+93380,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+80780,int_stack+13104,int_stack+104468,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+80780,int_stack+119868,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+80780,int_stack+0,int_stack+138768,28);
 /*--- compute (hp|ki) ---*/
 hrr1_build_hp(Libint->AB,int_stack+109004,int_stack+80780,int_stack+59612,1008);
 return int_stack+109004;}
