#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0kg(Libint_t*, prim_data*);

  /* Computes quartets of (i0|kg) integrals */

REALTYPE *hrr_order_i0kg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 memset(int_stack,0,7840*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7840;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0kg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7840,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10864,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+14644,int_stack+10864,int_stack+7840,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20692,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+25312,int_stack+20692,int_stack+10864,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+32872,int_stack+25312,int_stack+14644,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7840,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42952,int_stack+7840,int_stack+20692,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+42952,int_stack+25312,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+12600,int_stack+0,int_stack+32872,28);
 return int_stack+12600;}
