#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0lg(Libint_t*, prim_data*);

  /* Computes quartets of (i0|lg) integrals */

REALTYPE *hrr_order_i0lg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 memset(int_stack,0,9380*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9380;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0lg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9380,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+13160,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+17780,int_stack+13160,int_stack+9380,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25340,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+30884,int_stack+25340,int_stack+13160,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+40124,int_stack+30884,int_stack+17780,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+9380,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+52724,int_stack+9380,int_stack+25340,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+52724,int_stack+30884,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+15400,int_stack+0,int_stack+40124,28);
 return int_stack+15400;}
