#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0ng(Libint_t*, prim_data*);

  /* Computes quartets of (i0|ng) integrals */

REALTYPE *hrr_order_i0ng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 memset(int_stack,0,12880*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0ng(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12880,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18424,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+24976,int_stack+18424,int_stack+12880,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+36064,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+43708,int_stack+36064,int_stack+18424,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+56812,int_stack+43708,int_stack+24976,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+12880,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+75292,int_stack+12880,int_stack+36064,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+75292,int_stack+43708,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+21840,int_stack+0,int_stack+56812,28);
 return int_stack+21840;}
