#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idmi(Libint_t*, prim_data*);

  /* Computes quartets of (id|mi) integrals */

REALTYPE *hrr_order_idmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[7][9] = int_stack + 18228;
 Libint->vrr_classes[7][10] = int_stack + 20208;
 Libint->vrr_classes[7][11] = int_stack + 22584;
 Libint->vrr_classes[7][12] = int_stack + 25392;
 Libint->vrr_classes[7][13] = int_stack + 28668;
 Libint->vrr_classes[7][14] = int_stack + 32448;
 Libint->vrr_classes[7][15] = int_stack + 36768;
 Libint->vrr_classes[8][9] = int_stack + 41664;
 Libint->vrr_classes[8][10] = int_stack + 44139;
 Libint->vrr_classes[8][11] = int_stack + 47109;
 Libint->vrr_classes[8][12] = int_stack + 50619;
 Libint->vrr_classes[8][13] = int_stack + 54714;
 Libint->vrr_classes[8][14] = int_stack + 59439;
 Libint->vrr_classes[8][15] = int_stack + 64839;
 memset(int_stack,0,70959*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 70959;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idmi(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70959,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75579,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+81123,int_stack+75579,int_stack+70959,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+90363,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+96915,int_stack+90363,int_stack+75579,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+108003,int_stack+96915,int_stack+81123,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70959,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+123403,int_stack+70959,int_stack+90363,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+136507,int_stack+123403,int_stack+96915,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+78603,int_stack+136507,int_stack+108003,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+101703,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+154987,int_stack+101703,int_stack+70959,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+170275,int_stack+154987,int_stack+123403,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+192115,int_stack+170275,int_stack+136507,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+110523,int_stack+192115,int_stack+78603,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+70959,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+81039,int_stack+70959,int_stack+101703,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+219835,int_stack+81039,int_stack+154987,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+70959,int_stack+219835,int_stack+170275,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+142863,int_stack+70959,int_stack+192115,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+181671,int_stack+142863,int_stack+110523,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70959,int_stack+20208,int_stack+18228,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+76899,int_stack+22584,int_stack+20208,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+84027,int_stack+76899,int_stack+70959,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+95907,int_stack+25392,int_stack+22584,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+104331,int_stack+95907,int_stack+76899,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+118587,int_stack+104331,int_stack+84027,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70959,int_stack+28668,int_stack+25392,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+138387,int_stack+70959,int_stack+95907,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+155235,int_stack+138387,int_stack+104331,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+80787,int_stack+155235,int_stack+118587,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+110487,int_stack+32448,int_stack+28668,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+224791,int_stack+110487,int_stack+70959,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+224791,int_stack+138387,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+244447,int_stack+0,int_stack+155235,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+121827,int_stack+244447,int_stack+80787,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+70959,int_stack+36768,int_stack+32448,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+83919,int_stack+70959,int_stack+110487,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+280087,int_stack+83919,int_stack+224791,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+70959,int_stack+280087,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+280087,int_stack+70959,int_stack+244447,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+329983,int_stack+280087,int_stack+121827,36);
 /*--- compute (ip|mi) ---*/
 hrr1_build_ip(Libint->AB,int_stack+385423,int_stack+329983,int_stack+181671,1540);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70959,int_stack+44139,int_stack+41664,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+78384,int_stack+47109,int_stack+44139,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+87294,int_stack+78384,int_stack+70959,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+102144,int_stack+50619,int_stack+47109,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+112674,int_stack+102144,int_stack+78384,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+130494,int_stack+112674,int_stack+87294,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70959,int_stack+54714,int_stack+50619,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+155244,int_stack+70959,int_stack+102144,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+176304,int_stack+155244,int_stack+112674,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+83244,int_stack+176304,int_stack+130494,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+120369,int_stack+59439,int_stack+54714,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+206004,int_stack+120369,int_stack+70959,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+230574,int_stack+206004,int_stack+155244,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+265674,int_stack+230574,int_stack+176304,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+134544,int_stack+265674,int_stack+83244,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+70959,int_stack+64839,int_stack+59439,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+87159,int_stack+70959,int_stack+120369,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+87159,int_stack+206004,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+40950,int_stack+0,int_stack+230574,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+186519,int_stack+40950,int_stack+265674,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+186519,int_stack+134544,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+69300,int_stack+0,int_stack+329983,1540);
 /*--- compute (id|mi) ---*/
 hrr1_build_id(Libint->AB,int_stack+514783,int_stack+69300,int_stack+385423,1540);
 return int_stack+514783;}
