#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idml(Libint_t*, prim_data*);

  /* Computes quartets of (id|ml) integrals */

REALTYPE *hrr_order_idml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 Libint->vrr_classes[7][9] = int_stack + 27300;
 Libint->vrr_classes[7][10] = int_stack + 29280;
 Libint->vrr_classes[7][11] = int_stack + 31656;
 Libint->vrr_classes[7][12] = int_stack + 34464;
 Libint->vrr_classes[7][13] = int_stack + 37740;
 Libint->vrr_classes[7][14] = int_stack + 41520;
 Libint->vrr_classes[7][15] = int_stack + 45840;
 Libint->vrr_classes[7][16] = int_stack + 50736;
 Libint->vrr_classes[7][17] = int_stack + 56244;
 Libint->vrr_classes[8][9] = int_stack + 62400;
 Libint->vrr_classes[8][10] = int_stack + 64875;
 Libint->vrr_classes[8][11] = int_stack + 67845;
 Libint->vrr_classes[8][12] = int_stack + 71355;
 Libint->vrr_classes[8][13] = int_stack + 75450;
 Libint->vrr_classes[8][14] = int_stack + 80175;
 Libint->vrr_classes[8][15] = int_stack + 85575;
 Libint->vrr_classes[8][16] = int_stack + 91695;
 Libint->vrr_classes[8][17] = int_stack + 98580;
 memset(int_stack,0,106275*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 106275;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idml(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+106275,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+110895,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+116439,int_stack+110895,int_stack+106275,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+125679,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+132231,int_stack+125679,int_stack+110895,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+143319,int_stack+132231,int_stack+116439,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+106275,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+158719,int_stack+106275,int_stack+125679,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+171823,int_stack+158719,int_stack+132231,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+113919,int_stack+171823,int_stack+143319,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+137019,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+190303,int_stack+137019,int_stack+106275,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+205591,int_stack+190303,int_stack+158719,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+227431,int_stack+205591,int_stack+171823,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+145839,int_stack+227431,int_stack+113919,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+106275,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+116355,int_stack+106275,int_stack+137019,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+255151,int_stack+116355,int_stack+190303,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+280631,int_stack+255151,int_stack+205591,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+178179,int_stack+280631,int_stack+227431,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+313391,int_stack+178179,int_stack+145839,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+133995,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+145419,int_stack+133995,int_stack+106275,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+216987,int_stack+145419,int_stack+116355,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+356511,int_stack+216987,int_stack+255151,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+394731,int_stack+356511,int_stack+280631,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+246387,int_stack+394731,int_stack+178179,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+440595,int_stack+246387,int_stack+313391,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+106275,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+165579,int_stack+106275,int_stack+133995,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+106275,int_stack+165579,int_stack+145419,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+139875,int_stack+106275,int_stack+216987,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+183975,int_stack+139875,int_stack+356511,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+106275,int_stack+183975,int_stack+394731,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+167427,int_stack+106275,int_stack+246387,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+233955,int_stack+167427,int_stack+440595,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+106275,int_stack+29280,int_stack+27300,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+112215,int_stack+31656,int_stack+29280,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+119343,int_stack+112215,int_stack+106275,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+131223,int_stack+34464,int_stack+31656,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139647,int_stack+131223,int_stack+112215,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+153903,int_stack+139647,int_stack+119343,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+106275,int_stack+37740,int_stack+34464,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+173703,int_stack+106275,int_stack+131223,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+190551,int_stack+173703,int_stack+139647,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+116103,int_stack+190551,int_stack+153903,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+145803,int_stack+41520,int_stack+37740,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+303255,int_stack+145803,int_stack+106275,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+322911,int_stack+303255,int_stack+173703,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+350991,int_stack+322911,int_stack+190551,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+157143,int_stack+350991,int_stack+116103,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+106275,int_stack+45840,int_stack+41520,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+119235,int_stack+106275,int_stack+145803,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+198723,int_stack+119235,int_stack+303255,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+386631,int_stack+198723,int_stack+322911,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+428751,int_stack+386631,int_stack+350991,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+303255,int_stack+428751,int_stack+157143,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+358695,int_stack+50736,int_stack+45840,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+141915,int_stack+358695,int_stack+106275,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+141915,int_stack+119235,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+478647,int_stack+0,int_stack+198723,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+167835,int_stack+478647,int_stack+386631,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+527787,int_stack+167835,int_stack+428751,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+373383,int_stack+527787,int_stack+303255,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+303255,int_stack+56244,int_stack+50736,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+319779,int_stack+303255,int_stack+358695,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+594315,int_stack+319779,int_stack+141915,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+303255,int_stack+594315,int_stack+0,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+594315,int_stack+303255,int_stack+478647,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+444663,int_stack+594315,int_stack+167835,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+106275,int_stack+444663,int_stack+527787,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+444663,int_stack+106275,int_stack+373383,36);
 /*--- compute (ip|ml) ---*/
 hrr1_build_ip(Libint->AB,int_stack+533763,int_stack+444663,int_stack+233955,2475);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+106275,int_stack+64875,int_stack+62400,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+113700,int_stack+67845,int_stack+64875,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+122610,int_stack+113700,int_stack+106275,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+137460,int_stack+71355,int_stack+67845,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+147990,int_stack+137460,int_stack+113700,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+165810,int_stack+147990,int_stack+122610,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+106275,int_stack+75450,int_stack+71355,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+190560,int_stack+106275,int_stack+137460,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+211620,int_stack+190560,int_stack+147990,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+118560,int_stack+211620,int_stack+165810,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+155685,int_stack+80175,int_stack+75450,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+241320,int_stack+155685,int_stack+106275,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+265890,int_stack+241320,int_stack+190560,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+300990,int_stack+265890,int_stack+211620,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+169860,int_stack+300990,int_stack+118560,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+106275,int_stack+85575,int_stack+80175,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+122475,int_stack+106275,int_stack+155685,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+345540,int_stack+122475,int_stack+241320,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+386490,int_stack+345540,int_stack+265890,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+221835,int_stack+386490,int_stack+300990,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+221835,int_stack+169860,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+150825,int_stack+91695,int_stack+85575,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+169185,int_stack+150825,int_stack+106275,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+284205,int_stack+169185,int_stack+122475,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+741663,int_stack+284205,int_stack+345540,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+803088,int_stack+741663,int_stack+386490,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+331455,int_stack+803088,int_stack+221835,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+876798,int_stack+331455,int_stack+0,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+98580,int_stack+91695,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+20655,int_stack+0,int_stack+150825,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+57375,int_stack+20655,int_stack+169185,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+111375,int_stack+57375,int_stack+284205,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+111375,int_stack+741663,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+85995,int_stack+0,int_stack+803088,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+741663,int_stack+85995,int_stack+331455,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+741663,int_stack+876798,45);
 /*--- compute (kp|ml) ---*/
 hrr1_build_kp(Libint->AB,int_stack+111375,int_stack+0,int_stack+444663,2475);
 /*--- compute (id|ml) ---*/
 hrr1_build_id(Libint->AB,int_stack+741663,int_stack+111375,int_stack+533763,2475);
 return int_stack+741663;}
