#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idni(Libint_t*, prim_data*);

  /* Computes quartets of (id|ni) integrals */

REALTYPE *hrr_order_idni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[7][10] = int_stack + 20972;
 Libint->vrr_classes[7][11] = int_stack + 23348;
 Libint->vrr_classes[7][12] = int_stack + 26156;
 Libint->vrr_classes[7][13] = int_stack + 29432;
 Libint->vrr_classes[7][14] = int_stack + 33212;
 Libint->vrr_classes[7][15] = int_stack + 37532;
 Libint->vrr_classes[7][16] = int_stack + 42428;
 Libint->vrr_classes[8][10] = int_stack + 47936;
 Libint->vrr_classes[8][11] = int_stack + 50906;
 Libint->vrr_classes[8][12] = int_stack + 54416;
 Libint->vrr_classes[8][13] = int_stack + 58511;
 Libint->vrr_classes[8][14] = int_stack + 63236;
 Libint->vrr_classes[8][15] = int_stack + 68636;
 Libint->vrr_classes[8][16] = int_stack + 74756;
 memset(int_stack,0,81641*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 81641;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idni(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+81641,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+87185,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+93737,int_stack+87185,int_stack+81641,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+104825,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+112469,int_stack+104825,int_stack+87185,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+125573,int_stack+112469,int_stack+93737,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81641,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+144053,int_stack+81641,int_stack+104825,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+90461,int_stack+144053,int_stack+112469,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+159341,int_stack+90461,int_stack+125573,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+112301,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+122381,int_stack+112301,int_stack+81641,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+187061,int_stack+122381,int_stack+144053,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+212541,int_stack+187061,int_stack+90461,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+245301,int_stack+212541,int_stack+159341,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+81641,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+140021,int_stack+81641,int_stack+112301,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+81641,int_stack+140021,int_stack+122381,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+111041,int_stack+81641,int_stack+187061,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+149261,int_stack+111041,int_stack+212541,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+81641,int_stack+149261,int_stack+245301,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+133385,int_stack+23348,int_stack+20972,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+140513,int_stack+26156,int_stack+23348,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+148937,int_stack+140513,int_stack+133385,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163193,int_stack+29432,int_stack+26156,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+173021,int_stack+163193,int_stack+140513,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+189869,int_stack+173021,int_stack+148937,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+133385,int_stack+33212,int_stack+29432,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+213629,int_stack+133385,int_stack+163193,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+144725,int_stack+213629,int_stack+173021,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+233285,int_stack+144725,int_stack+189869,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+172805,int_stack+37532,int_stack+33212,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+185765,int_stack+172805,int_stack+133385,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+185765,int_stack+213629,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+268925,int_stack+0,int_stack+144725,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+311045,int_stack+268925,int_stack+233285,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+133385,int_stack+42428,int_stack+37532,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+208445,int_stack+133385,int_stack+172805,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+133385,int_stack+208445,int_stack+185765,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+171185,int_stack+133385,int_stack+0,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+360941,int_stack+171185,int_stack+268925,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+133385,int_stack+360941,int_stack+311045,36);
 /*--- compute (ip|ni) ---*/
 hrr1_build_ip(Libint->AB,int_stack+199913,int_stack+133385,int_stack+81641,1848);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+81641,int_stack+50906,int_stack+47936,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+90551,int_stack+54416,int_stack+50906,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+101081,int_stack+90551,int_stack+81641,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118901,int_stack+58511,int_stack+54416,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+118901,int_stack+90551,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21060,int_stack+0,int_stack+101081,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81641,int_stack+63236,int_stack+58511,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+355145,int_stack+81641,int_stack+118901,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+95816,int_stack+355145,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+379715,int_stack+95816,int_stack+21060,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+68636,int_stack+63236,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+16200,int_stack+0,int_stack+81641,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+424265,int_stack+16200,int_stack+355145,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+465215,int_stack+424265,int_stack+95816,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+517865,int_stack+465215,int_stack+379715,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+355145,int_stack+74756,int_stack+68636,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+373505,int_stack+355145,int_stack+0,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+44550,int_stack+373505,int_stack+16200,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+355145,int_stack+44550,int_stack+424265,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+355145,int_stack+465215,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+355145,int_stack+0,int_stack+517865,45);
 /*--- compute (kp|ni) ---*/
 hrr1_build_kp(Libint->AB,int_stack+438305,int_stack+355145,int_stack+133385,1848);
 /*--- compute (id|ni) ---*/
 hrr1_build_id(Libint->AB,int_stack+637889,int_stack+438305,int_stack+199913,1848);
 return int_stack+637889;}
