#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ifmm(Libint_t*, prim_data*);

  /* Computes quartets of (if|mm) integrals */

REALTYPE *hrr_order_ifmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 Libint->vrr_classes[6][18] = int_stack + 27300;
 Libint->vrr_classes[7][9] = int_stack + 32620;
 Libint->vrr_classes[7][10] = int_stack + 34600;
 Libint->vrr_classes[7][11] = int_stack + 36976;
 Libint->vrr_classes[7][12] = int_stack + 39784;
 Libint->vrr_classes[7][13] = int_stack + 43060;
 Libint->vrr_classes[7][14] = int_stack + 46840;
 Libint->vrr_classes[7][15] = int_stack + 51160;
 Libint->vrr_classes[7][16] = int_stack + 56056;
 Libint->vrr_classes[7][17] = int_stack + 61564;
 Libint->vrr_classes[7][18] = int_stack + 67720;
 Libint->vrr_classes[8][9] = int_stack + 74560;
 Libint->vrr_classes[8][10] = int_stack + 77035;
 Libint->vrr_classes[8][11] = int_stack + 80005;
 Libint->vrr_classes[8][12] = int_stack + 83515;
 Libint->vrr_classes[8][13] = int_stack + 87610;
 Libint->vrr_classes[8][14] = int_stack + 92335;
 Libint->vrr_classes[8][15] = int_stack + 97735;
 Libint->vrr_classes[8][16] = int_stack + 103855;
 Libint->vrr_classes[8][17] = int_stack + 110740;
 Libint->vrr_classes[8][18] = int_stack + 118435;
 Libint->vrr_classes[9][9] = int_stack + 126985;
 Libint->vrr_classes[9][10] = int_stack + 130010;
 Libint->vrr_classes[9][11] = int_stack + 133640;
 Libint->vrr_classes[9][12] = int_stack + 137930;
 Libint->vrr_classes[9][13] = int_stack + 142935;
 Libint->vrr_classes[9][14] = int_stack + 148710;
 Libint->vrr_classes[9][15] = int_stack + 155310;
 Libint->vrr_classes[9][16] = int_stack + 162790;
 Libint->vrr_classes[9][17] = int_stack + 171205;
 Libint->vrr_classes[9][18] = int_stack + 180610;
 memset(int_stack,0,191060*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 191060;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ifmm(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+191060,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+195680,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+201224,int_stack+195680,int_stack+191060,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+210464,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+217016,int_stack+210464,int_stack+195680,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+228104,int_stack+217016,int_stack+201224,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+191060,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+243504,int_stack+191060,int_stack+210464,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+256608,int_stack+243504,int_stack+217016,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+198704,int_stack+256608,int_stack+228104,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+221804,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+275088,int_stack+221804,int_stack+191060,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+290376,int_stack+275088,int_stack+243504,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+312216,int_stack+290376,int_stack+256608,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+230624,int_stack+312216,int_stack+198704,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+191060,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+201140,int_stack+191060,int_stack+221804,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+339936,int_stack+201140,int_stack+275088,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+365416,int_stack+339936,int_stack+290376,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+262964,int_stack+365416,int_stack+312216,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+398176,int_stack+262964,int_stack+230624,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+218780,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+230204,int_stack+218780,int_stack+191060,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+301772,int_stack+230204,int_stack+201140,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+441296,int_stack+301772,int_stack+339936,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+479516,int_stack+441296,int_stack+365416,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+331172,int_stack+479516,int_stack+262964,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+525380,int_stack+331172,int_stack+398176,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+191060,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+250364,int_stack+191060,int_stack+218780,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+382916,int_stack+250364,int_stack+230204,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+203912,int_stack+382916,int_stack+301772,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+273212,int_stack+203912,int_stack+441296,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+416516,int_stack+273212,int_stack+479516,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+580820,int_stack+416516,int_stack+331172,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+647348,int_stack+580820,int_stack+525380,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+326720,int_stack+27300,int_stack+22512,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+341084,int_stack+326720,int_stack+191060,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+477668,int_stack+341084,int_stack+250364,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+326720,int_stack+477668,int_stack+382916,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+477668,int_stack+326720,int_stack+203912,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+326720,int_stack+477668,int_stack+273212,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+477668,int_stack+326720,int_stack+416516,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+191060,int_stack+477668,int_stack+580820,28);
 /*--- compute (i0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+274220,int_stack+191060,int_stack+647348,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+191060,int_stack+34600,int_stack+32620,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+197000,int_stack+36976,int_stack+34600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+204128,int_stack+197000,int_stack+191060,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+216008,int_stack+39784,int_stack+36976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+224432,int_stack+216008,int_stack+197000,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+238688,int_stack+224432,int_stack+204128,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+191060,int_stack+43060,int_stack+39784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+358920,int_stack+191060,int_stack+216008,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+375768,int_stack+358920,int_stack+224432,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+200888,int_stack+375768,int_stack+238688,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+230588,int_stack+46840,int_stack+43060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+241928,int_stack+230588,int_stack+191060,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+399528,int_stack+241928,int_stack+358920,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+427608,int_stack+399528,int_stack+375768,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+463248,int_stack+427608,int_stack+200888,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+358920,int_stack+51160,int_stack+46840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+371880,int_stack+358920,int_stack+230588,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+191060,int_stack+371880,int_stack+241928,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+223820,int_stack+191060,int_stack+399528,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+504828,int_stack+223820,int_stack+427608,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+394560,int_stack+504828,int_stack+463248,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+450000,int_stack+56056,int_stack+51160,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+464688,int_stack+450000,int_stack+358920,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+554724,int_stack+464688,int_stack+371880,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+592524,int_stack+554724,int_stack+191060,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+641664,int_stack+592524,int_stack+223820,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+191060,int_stack+641664,int_stack+504828,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+700632,int_stack+191060,int_stack+394560,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+257588,int_stack+61564,int_stack+56056,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+358920,int_stack+257588,int_stack+450000,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+388296,int_stack+358920,int_stack+464688,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+431496,int_stack+388296,int_stack+554724,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+488196,int_stack+431496,int_stack+592524,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+556992,int_stack+488196,int_stack+641664,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+771912,int_stack+556992,int_stack+191060,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+857448,int_stack+771912,int_stack+700632,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+191060,int_stack+67720,int_stack+61564,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+209528,int_stack+191060,int_stack+257588,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+635616,int_stack+209528,int_stack+358920,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+191060,int_stack+635616,int_stack+388296,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+635616,int_stack+191060,int_stack+431496,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+358920,int_stack+635616,int_stack+488196,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+635616,int_stack+358920,int_stack+556992,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+358920,int_stack+635616,int_stack+771912,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+465840,int_stack+358920,int_stack+857448,36);
 /*--- compute (ip|mm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+574740,int_stack+465840,int_stack+274220,3025);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+828840,int_stack+77035,int_stack+74560,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+836265,int_stack+80005,int_stack+77035,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+845175,int_stack+836265,int_stack+828840,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+860025,int_stack+83515,int_stack+80005,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+870555,int_stack+860025,int_stack+836265,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+888375,int_stack+870555,int_stack+845175,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+828840,int_stack+87610,int_stack+83515,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+913125,int_stack+828840,int_stack+860025,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+191060,int_stack+913125,int_stack+870555,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+841125,int_stack+191060,int_stack+888375,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+878250,int_stack+92335,int_stack+87610,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+220760,int_stack+878250,int_stack+828840,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+245330,int_stack+220760,int_stack+913125,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+892425,int_stack+245330,int_stack+191060,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+280430,int_stack+892425,int_stack+841125,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+191060,int_stack+97735,int_stack+92335,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+828840,int_stack+191060,int_stack+878250,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+332405,int_stack+828840,int_stack+220760,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+373355,int_stack+332405,int_stack+245330,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+207260,int_stack+373355,int_stack+892425,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+857190,int_stack+207260,int_stack+280430,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+269630,int_stack+103855,int_stack+97735,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+287990,int_stack+269630,int_stack+191060,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+287990,int_stack+828840,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+926490,int_stack+0,int_stack+332405,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+987915,int_stack+926490,int_stack+373355,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+320390,int_stack+987915,int_stack+207260,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1061625,int_stack+320390,int_stack+857190,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+828840,int_stack+110740,int_stack+103855,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+849495,int_stack+828840,int_stack+269630,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+191060,int_stack+849495,int_stack+287990,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+245060,int_stack+191060,int_stack+0,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+245060,int_stack+926490,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+886215,int_stack+0,int_stack+987915,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1150725,int_stack+886215,int_stack+320390,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+315935,int_stack+1150725,int_stack+1061625,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+85995,int_stack+118435,int_stack+110740,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+984495,int_stack+85995,int_stack+828840,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1025805,int_stack+984495,int_stack+849495,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1257645,int_stack+1025805,int_stack+191060,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+984495,int_stack+1257645,int_stack+245060,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+191060,int_stack+984495,int_stack+0,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+191060,int_stack+886215,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+828840,int_stack+0,int_stack+1150725,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+962490,int_stack+828840,int_stack+315935,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1098615,int_stack+962490,int_stack+465840,3025);
 /*--- compute (id|mm) ---*/
 hrr1_build_id(Libint->AB,int_stack+1425315,int_stack+1098615,int_stack+574740,3025);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+130010,int_stack+126985,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+133640,int_stack+130010,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38115,int_stack+137930,int_stack+133640,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50985,int_stack+38115,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+72765,int_stack+50985,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+142935,int_stack+137930,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+103015,int_stack+0,int_stack+38115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+191060,int_stack+103015,int_stack+50985,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+15015,int_stack+191060,int_stack+72765,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+60390,int_stack+148710,int_stack+142935,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+227360,int_stack+60390,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+257390,int_stack+227360,int_stack+103015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+77715,int_stack+257390,int_stack+191060,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+300290,int_stack+77715,int_stack+15015,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+191060,int_stack+155310,int_stack+148710,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+191060,int_stack+60390,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+363815,int_stack+0,int_stack+227360,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+413865,int_stack+363815,int_stack+257390,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+210860,int_stack+413865,int_stack+77715,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+34650,int_stack+210860,int_stack+300290,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+287090,int_stack+162790,int_stack+155310,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+309530,int_stack+287090,int_stack+191060,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+478215,int_stack+309530,int_stack+0,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+535965,int_stack+478215,int_stack+363815,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+611040,int_stack+535965,int_stack+413865,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+349130,int_stack+611040,int_stack+210860,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+701130,int_stack+349130,int_stack+34650,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+171205,int_stack+162790,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+25245,int_stack+0,int_stack+287090,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+70125,int_stack+25245,int_stack+309530,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+191060,int_stack+70125,int_stack+478215,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+810030,int_stack+191060,int_stack+535965,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+450770,int_stack+810030,int_stack+611040,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1933515,int_stack+450770,int_stack+349130,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+277685,int_stack+1933515,int_stack+701130,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+136125,int_stack+180610,int_stack+171205,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+570890,int_stack+136125,int_stack+0,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+621380,int_stack+570890,int_stack+25245,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+696180,int_stack+621380,int_stack+70125,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+570890,int_stack+696180,int_stack+191060,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+570890,int_stack+810030,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+570890,int_stack+0,int_stack+450770,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+570890,int_stack+1933515,55);
 /*--- compute (m0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+413810,int_stack+0,int_stack+277685,55);
 /*--- compute (lp|mm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+0,int_stack+413810,int_stack+962490,3025);
 /*--- compute (kd|mm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+408375,int_stack+0,int_stack+1098615,3025);
 /*--- compute (if|mm) ---*/
 hrr1_build_if(Libint->AB,int_stack+1933515,int_stack+408375,int_stack+1425315,3025);
 return int_stack+1933515;}
