#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihkg(Libint_t*, prim_data*);

  /* Computes quartets of (ih|kg) integrals */

REALTYPE *hrr_order_ihkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[7][7] = int_stack + 7840;
 Libint->vrr_classes[7][8] = int_stack + 9136;
 Libint->vrr_classes[7][9] = int_stack + 10756;
 Libint->vrr_classes[7][10] = int_stack + 12736;
 Libint->vrr_classes[7][11] = int_stack + 15112;
 Libint->vrr_classes[8][7] = int_stack + 17920;
 Libint->vrr_classes[8][8] = int_stack + 19540;
 Libint->vrr_classes[8][9] = int_stack + 21565;
 Libint->vrr_classes[8][10] = int_stack + 24040;
 Libint->vrr_classes[8][11] = int_stack + 27010;
 Libint->vrr_classes[9][7] = int_stack + 30520;
 Libint->vrr_classes[9][8] = int_stack + 32500;
 Libint->vrr_classes[9][9] = int_stack + 34975;
 Libint->vrr_classes[9][10] = int_stack + 38000;
 Libint->vrr_classes[9][11] = int_stack + 41630;
 Libint->vrr_classes[10][7] = int_stack + 45920;
 Libint->vrr_classes[10][8] = int_stack + 48296;
 Libint->vrr_classes[10][9] = int_stack + 51266;
 Libint->vrr_classes[10][10] = int_stack + 54896;
 Libint->vrr_classes[10][11] = int_stack + 59252;
 Libint->vrr_classes[11][7] = int_stack + 64400;
 Libint->vrr_classes[11][8] = int_stack + 67208;
 Libint->vrr_classes[11][9] = int_stack + 70718;
 Libint->vrr_classes[11][10] = int_stack + 75008;
 Libint->vrr_classes[11][11] = int_stack + 80156;
 memset(int_stack,0,86240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 86240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihkg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86240,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+89264,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+93044,int_stack+89264,int_stack+86240,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99092,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+103712,int_stack+99092,int_stack+89264,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+111272,int_stack+103712,int_stack+93044,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86240,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+121352,int_stack+86240,int_stack+99092,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+86240,int_stack+121352,int_stack+103712,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+121352,int_stack+86240,int_stack+111272,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86240,int_stack+9136,int_stack+7840,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+90128,int_stack+10756,int_stack+9136,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+94988,int_stack+90128,int_stack+86240,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+102764,int_stack+12736,int_stack+10756,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+108704,int_stack+102764,int_stack+90128,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+136472,int_stack+108704,int_stack+94988,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86240,int_stack+15112,int_stack+12736,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+86240,int_stack+102764,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+86240,int_stack+0,int_stack+108704,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+149432,int_stack+86240,int_stack+136472,36);
 /*--- compute (ip|kg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+168872,int_stack+149432,int_stack+121352,540);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86240,int_stack+19540,int_stack+17920,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+91100,int_stack+21565,int_stack+19540,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+97175,int_stack+91100,int_stack+86240,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+106895,int_stack+24040,int_stack+21565,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+114320,int_stack+106895,int_stack+91100,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+126470,int_stack+114320,int_stack+97175,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86240,int_stack+27010,int_stack+24040,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+86240,int_stack+106895,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+86240,int_stack+0,int_stack+114320,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+86240,int_stack+126470,45);
 /*--- compute (kp|kg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+86240,int_stack+0,int_stack+149432,540);
 /*--- compute (id|kg) ---*/
 hrr1_build_id(Libint->AB,int_stack+214232,int_stack+86240,int_stack+168872,540);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+144560,int_stack+32500,int_stack+30520,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+150500,int_stack+34975,int_stack+32500,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+157925,int_stack+150500,int_stack+144560,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+169805,int_stack+38000,int_stack+34975,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+178880,int_stack+169805,int_stack+150500,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+193730,int_stack+178880,int_stack+157925,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+144560,int_stack+41630,int_stack+38000,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+24300,int_stack+144560,int_stack+169805,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+144560,int_stack+24300,int_stack+178880,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+304952,int_stack+144560,int_stack+193730,55);
 /*--- compute (lp|kg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+334652,int_stack+304952,int_stack+0,540);
 /*--- compute (kd|kg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+407552,int_stack+334652,int_stack+86240,540);
 /*--- compute (if|kg) ---*/
 hrr1_build_if(Libint->AB,int_stack+524192,int_stack+407552,int_stack+214232,540);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86240,int_stack+48296,int_stack+45920,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+93368,int_stack+51266,int_stack+48296,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+102278,int_stack+93368,int_stack+86240,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+116534,int_stack+54896,int_stack+51266,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+127424,int_stack+116534,int_stack+93368,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+145244,int_stack+127424,int_stack+102278,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86240,int_stack+59252,int_stack+54896,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+169004,int_stack+86240,int_stack+116534,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+86240,int_stack+169004,int_stack+127424,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+169004,int_stack+86240,int_stack+145244,66);
 /*--- compute (mp|kg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+204644,int_stack+169004,int_stack+304952,540);
 /*--- compute (ld|kg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+675392,int_stack+204644,int_stack+334652,540);
 /*--- compute (kf|kg) ---*/
 hrr1_build_kf(Libint->AB,int_stack+821192,int_stack+675392,int_stack+407552,540);
 /*--- compute (ig|kg) ---*/
 hrr1_build_ig(Libint->AB,int_stack+293744,int_stack+821192,int_stack+524192,540);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86240,int_stack+67208,int_stack+64400,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+94664,int_stack+70718,int_stack+67208,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+105194,int_stack+94664,int_stack+86240,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+122042,int_stack+75008,int_stack+70718,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+134912,int_stack+122042,int_stack+94664,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+520544,int_stack+134912,int_stack+105194,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86240,int_stack+80156,int_stack+75008,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+548624,int_stack+86240,int_stack+122042,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+574364,int_stack+548624,int_stack+134912,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+609464,int_stack+574364,int_stack+520544,78);
 /*--- compute (np|kg) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+609464,int_stack+169004,540);
 /*--- compute (md|kg) ---*/
 hrr1_build_md(Libint->AB,int_stack+1015592,int_stack+0,int_stack+204644,540);
 /*--- compute (lf|kg) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+1015592,int_stack+675392,540);
 /*--- compute (kg|kg) ---*/
 hrr1_build_kg(Libint->AB,int_stack+520544,int_stack+0,int_stack+821192,540);
 /*--- compute (ih|kg) ---*/
 hrr1_build_ih(Libint->AB,int_stack+812144,int_stack+520544,int_stack+293744,540);
 return int_stack+812144;}
