#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iiml(Libint_t*, prim_data*);

  /* Computes quartets of (ii|ml) integrals */

REALTYPE *hrr_order_iiml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 Libint->vrr_classes[7][9] = int_stack + 27300;
 Libint->vrr_classes[7][10] = int_stack + 29280;
 Libint->vrr_classes[7][11] = int_stack + 31656;
 Libint->vrr_classes[7][12] = int_stack + 34464;
 Libint->vrr_classes[7][13] = int_stack + 37740;
 Libint->vrr_classes[7][14] = int_stack + 41520;
 Libint->vrr_classes[7][15] = int_stack + 45840;
 Libint->vrr_classes[7][16] = int_stack + 50736;
 Libint->vrr_classes[7][17] = int_stack + 56244;
 Libint->vrr_classes[8][9] = int_stack + 62400;
 Libint->vrr_classes[8][10] = int_stack + 64875;
 Libint->vrr_classes[8][11] = int_stack + 67845;
 Libint->vrr_classes[8][12] = int_stack + 71355;
 Libint->vrr_classes[8][13] = int_stack + 75450;
 Libint->vrr_classes[8][14] = int_stack + 80175;
 Libint->vrr_classes[8][15] = int_stack + 85575;
 Libint->vrr_classes[8][16] = int_stack + 91695;
 Libint->vrr_classes[8][17] = int_stack + 98580;
 Libint->vrr_classes[9][9] = int_stack + 106275;
 Libint->vrr_classes[9][10] = int_stack + 109300;
 Libint->vrr_classes[9][11] = int_stack + 112930;
 Libint->vrr_classes[9][12] = int_stack + 117220;
 Libint->vrr_classes[9][13] = int_stack + 122225;
 Libint->vrr_classes[9][14] = int_stack + 128000;
 Libint->vrr_classes[9][15] = int_stack + 134600;
 Libint->vrr_classes[9][16] = int_stack + 142080;
 Libint->vrr_classes[9][17] = int_stack + 150495;
 Libint->vrr_classes[10][9] = int_stack + 159900;
 Libint->vrr_classes[10][10] = int_stack + 163530;
 Libint->vrr_classes[10][11] = int_stack + 167886;
 Libint->vrr_classes[10][12] = int_stack + 173034;
 Libint->vrr_classes[10][13] = int_stack + 179040;
 Libint->vrr_classes[10][14] = int_stack + 185970;
 Libint->vrr_classes[10][15] = int_stack + 193890;
 Libint->vrr_classes[10][16] = int_stack + 202866;
 Libint->vrr_classes[10][17] = int_stack + 212964;
 Libint->vrr_classes[11][9] = int_stack + 224250;
 Libint->vrr_classes[11][10] = int_stack + 228540;
 Libint->vrr_classes[11][11] = int_stack + 233688;
 Libint->vrr_classes[11][12] = int_stack + 239772;
 Libint->vrr_classes[11][13] = int_stack + 246870;
 Libint->vrr_classes[11][14] = int_stack + 255060;
 Libint->vrr_classes[11][15] = int_stack + 264420;
 Libint->vrr_classes[11][16] = int_stack + 275028;
 Libint->vrr_classes[11][17] = int_stack + 286962;
 Libint->vrr_classes[12][9] = int_stack + 300300;
 Libint->vrr_classes[12][10] = int_stack + 305305;
 Libint->vrr_classes[12][11] = int_stack + 311311;
 Libint->vrr_classes[12][12] = int_stack + 318409;
 Libint->vrr_classes[12][13] = int_stack + 326690;
 Libint->vrr_classes[12][14] = int_stack + 336245;
 Libint->vrr_classes[12][15] = int_stack + 347165;
 Libint->vrr_classes[12][16] = int_stack + 359541;
 Libint->vrr_classes[12][17] = int_stack + 373464;
 memset(int_stack,0,389025*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 389025;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iiml(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+389025,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+393645,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+399189,int_stack+393645,int_stack+389025,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+408429,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+414981,int_stack+408429,int_stack+393645,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+426069,int_stack+414981,int_stack+399189,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+389025,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+441469,int_stack+389025,int_stack+408429,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+454573,int_stack+441469,int_stack+414981,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+396669,int_stack+454573,int_stack+426069,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+419769,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+473053,int_stack+419769,int_stack+389025,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+488341,int_stack+473053,int_stack+441469,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+510181,int_stack+488341,int_stack+454573,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+428589,int_stack+510181,int_stack+396669,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+389025,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+399105,int_stack+389025,int_stack+419769,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+537901,int_stack+399105,int_stack+473053,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+563381,int_stack+537901,int_stack+488341,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+460929,int_stack+563381,int_stack+510181,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+596141,int_stack+460929,int_stack+428589,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+416745,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+428169,int_stack+416745,int_stack+389025,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+499737,int_stack+428169,int_stack+399105,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+639261,int_stack+499737,int_stack+537901,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+677481,int_stack+639261,int_stack+563381,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+529137,int_stack+677481,int_stack+460929,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+723345,int_stack+529137,int_stack+596141,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+389025,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+448329,int_stack+389025,int_stack+416745,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+389025,int_stack+448329,int_stack+428169,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+422625,int_stack+389025,int_stack+499737,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+466725,int_stack+422625,int_stack+639261,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+389025,int_stack+466725,int_stack+677481,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+450177,int_stack+389025,int_stack+529137,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+516705,int_stack+450177,int_stack+723345,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+389025,int_stack+29280,int_stack+27300,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+394965,int_stack+31656,int_stack+29280,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+402093,int_stack+394965,int_stack+389025,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+413973,int_stack+34464,int_stack+31656,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+422397,int_stack+413973,int_stack+394965,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+436653,int_stack+422397,int_stack+402093,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+389025,int_stack+37740,int_stack+34464,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+456453,int_stack+389025,int_stack+413973,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+473301,int_stack+456453,int_stack+422397,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+398853,int_stack+473301,int_stack+436653,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+428553,int_stack+41520,int_stack+37740,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+586005,int_stack+428553,int_stack+389025,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+605661,int_stack+586005,int_stack+456453,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+633741,int_stack+605661,int_stack+473301,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+439893,int_stack+633741,int_stack+398853,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+389025,int_stack+45840,int_stack+41520,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+401985,int_stack+389025,int_stack+428553,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+481473,int_stack+401985,int_stack+586005,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+669381,int_stack+481473,int_stack+605661,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+711501,int_stack+669381,int_stack+633741,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+586005,int_stack+711501,int_stack+439893,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+641445,int_stack+50736,int_stack+45840,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+424665,int_stack+641445,int_stack+389025,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+424665,int_stack+401985,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+761397,int_stack+0,int_stack+481473,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+450585,int_stack+761397,int_stack+669381,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+810537,int_stack+450585,int_stack+711501,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+656133,int_stack+810537,int_stack+586005,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+586005,int_stack+56244,int_stack+50736,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+602529,int_stack+586005,int_stack+641445,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+877065,int_stack+602529,int_stack+424665,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+586005,int_stack+877065,int_stack+0,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+877065,int_stack+586005,int_stack+761397,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+727413,int_stack+877065,int_stack+450585,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+389025,int_stack+727413,int_stack+810537,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+727413,int_stack+389025,int_stack+656133,36);
 /*--- compute (ip|ml) ---*/
 hrr1_build_ip(Libint->AB,int_stack+816513,int_stack+727413,int_stack+516705,2475);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+389025,int_stack+64875,int_stack+62400,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+396450,int_stack+67845,int_stack+64875,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+405360,int_stack+396450,int_stack+389025,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+420210,int_stack+71355,int_stack+67845,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+430740,int_stack+420210,int_stack+396450,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+448560,int_stack+430740,int_stack+405360,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+389025,int_stack+75450,int_stack+71355,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+473310,int_stack+389025,int_stack+420210,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+494370,int_stack+473310,int_stack+430740,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+401310,int_stack+494370,int_stack+448560,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+438435,int_stack+80175,int_stack+75450,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+524070,int_stack+438435,int_stack+389025,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+548640,int_stack+524070,int_stack+473310,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+583740,int_stack+548640,int_stack+494370,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+452610,int_stack+583740,int_stack+401310,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+389025,int_stack+85575,int_stack+80175,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+405225,int_stack+389025,int_stack+438435,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+628290,int_stack+405225,int_stack+524070,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+669240,int_stack+628290,int_stack+548640,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+504585,int_stack+669240,int_stack+583740,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+504585,int_stack+452610,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+433575,int_stack+91695,int_stack+85575,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+451935,int_stack+433575,int_stack+389025,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+566955,int_stack+451935,int_stack+405225,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1024413,int_stack+566955,int_stack+628290,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1085838,int_stack+1024413,int_stack+669240,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+614205,int_stack+1085838,int_stack+504585,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1159548,int_stack+614205,int_stack+0,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+98580,int_stack+91695,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+20655,int_stack+0,int_stack+433575,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+389025,int_stack+20655,int_stack+451935,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+389025,int_stack+566955,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+389025,int_stack+0,int_stack+1024413,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+389025,int_stack+1085838,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+389025,int_stack+0,int_stack+614205,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+495945,int_stack+389025,int_stack+1159548,45);
 /*--- compute (kp|ml) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1024413,int_stack+495945,int_stack+727413,2475);
 /*--- compute (id|ml) ---*/
 hrr1_build_id(Libint->AB,int_stack+1291713,int_stack+1024413,int_stack+816513,2475);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+389025,int_stack+109300,int_stack+106275,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+398100,int_stack+112930,int_stack+109300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+408990,int_stack+398100,int_stack+389025,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+427140,int_stack+117220,int_stack+112930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+440010,int_stack+427140,int_stack+398100,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+461790,int_stack+440010,int_stack+408990,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+389025,int_stack+122225,int_stack+117220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+389025,int_stack+427140,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25740,int_stack+0,int_stack+440010,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+404040,int_stack+25740,int_stack+461790,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+449415,int_stack+128000,int_stack+122225,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+62040,int_stack+449415,int_stack+389025,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+607320,int_stack+62040,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+650220,int_stack+607320,int_stack+25740,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+704670,int_stack+650220,int_stack+404040,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+134600,int_stack+128000,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+19800,int_stack+0,int_stack+449415,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+389025,int_stack+19800,int_stack+62040,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+54450,int_stack+389025,int_stack+607320,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+768195,int_stack+54450,int_stack+650220,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+607320,int_stack+768195,int_stack+704670,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+692020,int_stack+142080,int_stack+134600,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+714460,int_stack+692020,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+844425,int_stack+714460,int_stack+19800,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+902175,int_stack+844425,int_stack+389025,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+389025,int_stack+902175,int_stack+54450,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+389025,int_stack+768195,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1707513,int_stack+0,int_stack+607320,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+607320,int_stack+150495,int_stack+142080,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+632565,int_stack+607320,int_stack+692020,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+754060,int_stack+632565,int_stack+714460,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+607320,int_stack+754060,int_stack+844425,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+693945,int_stack+607320,int_stack+902175,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+799050,int_stack+693945,int_stack+389025,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+607320,int_stack+799050,int_stack+0,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+607320,int_stack+1707513,55);
 /*--- compute (lp|ml) ---*/
 hrr1_build_lp(Libint->AB,int_stack+607320,int_stack+0,int_stack+495945,2475);
 /*--- compute (kd|ml) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1707513,int_stack+607320,int_stack+1024413,2475);
 /*--- compute (if|ml) ---*/
 hrr1_build_if(Libint->AB,int_stack+2242113,int_stack+1707513,int_stack+1291713,2475);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+941445,int_stack+163530,int_stack+159900,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+952335,int_stack+167886,int_stack+163530,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+965403,int_stack+952335,int_stack+941445,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+987183,int_stack+173034,int_stack+167886,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1002627,int_stack+987183,int_stack+952335,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1028763,int_stack+1002627,int_stack+965403,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+941445,int_stack+179040,int_stack+173034,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1065063,int_stack+941445,int_stack+987183,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1095951,int_stack+1065063,int_stack+1002627,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+959463,int_stack+1095951,int_stack+1028763,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1013913,int_stack+185970,int_stack+179040,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1139511,int_stack+1013913,int_stack+941445,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1175547,int_stack+1139511,int_stack+1065063,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1227027,int_stack+1175547,int_stack+1095951,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1034703,int_stack+1227027,int_stack+959463,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+941445,int_stack+193890,int_stack+185970,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+965205,int_stack+941445,int_stack+1013913,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1292367,int_stack+965205,int_stack+1139511,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1352427,int_stack+1292367,int_stack+1175547,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1110933,int_stack+1352427,int_stack+1227027,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1429647,int_stack+1110933,int_stack+1034703,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1006785,int_stack+202866,int_stack+193890,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1033713,int_stack+1006785,int_stack+941445,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1202409,int_stack+1033713,int_stack+965205,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1531287,int_stack+1202409,int_stack+1292367,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+389025,int_stack+1531287,int_stack+1352427,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1271709,int_stack+389025,int_stack+1110933,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2935113,int_stack+1271709,int_stack+1429647,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+941445,int_stack+212964,int_stack+202866,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1081233,int_stack+941445,int_stack+1006785,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+941445,int_stack+1081233,int_stack+1033713,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1020645,int_stack+941445,int_stack+1202409,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1124595,int_stack+1020645,int_stack+1531287,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+941445,int_stack+1124595,int_stack+389025,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+389025,int_stack+941445,int_stack+1271709,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+941445,int_stack+389025,int_stack+2935113,66);
 /*--- compute (mp|ml) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1104795,int_stack+941445,int_stack+0,2475);
 /*--- compute (ld|ml) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2935113,int_stack+1104795,int_stack+607320,2475);
 /*--- compute (kf|ml) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3603363,int_stack+2935113,int_stack+1707513,2475);
 /*--- compute (ig|ml) ---*/
 hrr1_build_ig(Libint->AB,int_stack+4494363,int_stack+3603363,int_stack+2242113,2475);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+228540,int_stack+224250,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+233688,int_stack+228540,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+239772,int_stack+233688,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103194,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+246870,int_stack+239772,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+146094,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+182598,int_stack+146094,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+182598,int_stack+103194,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85644,int_stack+255060,int_stack+246870,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+389025,int_stack+85644,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+431613,int_stack+389025,int_stack+146094,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+492453,int_stack+431613,int_stack+182598,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+110214,int_stack+492453,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+264420,int_stack+255060,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28080,int_stack+0,int_stack+85644,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+569673,int_stack+28080,int_stack+389025,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+640653,int_stack+569673,int_stack+431613,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+731913,int_stack+640653,int_stack+492453,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+389025,int_stack+731913,int_stack+110214,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+509145,int_stack+275028,int_stack+264420,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+77220,int_stack+509145,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+133380,int_stack+77220,int_stack+28080,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1513170,int_stack+133380,int_stack+569673,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1619640,int_stack+1513170,int_stack+640653,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+540969,int_stack+1619640,int_stack+731913,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+685113,int_stack+540969,int_stack+389025,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+389025,int_stack+286962,int_stack+275028,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+424827,int_stack+389025,int_stack+509145,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+839553,int_stack+424827,int_stack+77220,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+389025,int_stack+839553,int_stack+133380,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+389025,int_stack+1513170,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1747404,int_stack+0,int_stack+1619640,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1747404,int_stack+540969,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1513170,int_stack+0,int_stack+685113,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+1706220,int_stack+1513170,int_stack+941445,2475);
 /*--- compute (md|ml) ---*/
 hrr1_build_md(Libint->AB,int_stack+5533863,int_stack+1706220,int_stack+1104795,2475);
 /*--- compute (lf|ml) ---*/
 hrr1_build_lf(Libint->AB,int_stack+389025,int_stack+5533863,int_stack+2935113,2475);
 /*--- compute (kg|ml) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2196270,int_stack+389025,int_stack+3603363,2475);
 /*--- compute (ih|ml) ---*/
 hrr1_build_ih(Libint->AB,int_stack+6350613,int_stack+2196270,int_stack+4494363,2475);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+305305,int_stack+300300,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15015,int_stack+311311,int_stack+305305,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33033,int_stack+15015,int_stack+0,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+63063,int_stack+318409,int_stack+311311,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84357,int_stack+63063,int_stack+15015,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120393,int_stack+84357,int_stack+33033,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+326690,int_stack+318409,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+170443,int_stack+0,int_stack+63063,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+213031,int_stack+170443,int_stack+84357,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+213031,int_stack+120393,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+99918,int_stack+336245,int_stack+326690,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+273091,int_stack+99918,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3532770,int_stack+273091,int_stack+170443,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3603750,int_stack+3532770,int_stack+213031,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+128583,int_stack+3603750,int_stack+24843,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+347165,int_stack+336245,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+32760,int_stack+0,int_stack+99918,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3693840,int_stack+32760,int_stack+273091,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+233688,int_stack+3693840,int_stack+3532770,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3776650,int_stack+233688,int_stack+3603750,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+3532770,int_stack+3776650,int_stack+128583,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+90090,int_stack+359541,int_stack+347165,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+127218,int_stack+90090,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+3902776,int_stack+127218,int_stack+32760,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3998326,int_stack+3902776,int_stack+3693840,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+4122541,int_stack+3998326,int_stack+233688,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4271599,int_stack+4122541,int_stack+3776650,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+3672910,int_stack+4271599,int_stack+3532770,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+3532770,int_stack+373464,int_stack+359541,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3574539,int_stack+3532770,int_stack+90090,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+3574539,int_stack+127218,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+109200,int_stack+0,int_stack+3902776,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+4439767,int_stack+109200,int_stack+3998326,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+4439767,int_stack+4122541,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4439767,int_stack+0,int_stack+4271599,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+4439767,int_stack+3672910,91);
 /*--- compute (op|ml) ---*/
 hrr1_build_op(Libint->AB,int_stack+3532770,int_stack+0,int_stack+1513170,2475);
 /*--- compute (nd|ml) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4111920,int_stack+3532770,int_stack+1706220,2475);
 /*--- compute (mf|ml) ---*/
 hrr1_build_mf(Libint->AB,int_stack+7805913,int_stack+4111920,int_stack+5533863,2475);
 /*--- compute (lg|ml) ---*/
 hrr1_build_lg(Libint->AB,int_stack+3532770,int_stack+7805913,int_stack+389025,2475);
 /*--- compute (kh|ml) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+3532770,int_stack+2196270,2475);
 /*--- compute (ii|ml) ---*/
 hrr1_build_ii(Libint->AB,int_stack+1871100,int_stack+0,int_stack+6350613,2475);
 return int_stack+1871100;}
