#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iing(Libint_t*, prim_data*);

  /* Computes quartets of (ii|ng) integrals */

REALTYPE *hrr_order_iing(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[7][10] = int_stack + 12880;
 Libint->vrr_classes[7][11] = int_stack + 15256;
 Libint->vrr_classes[7][12] = int_stack + 18064;
 Libint->vrr_classes[7][13] = int_stack + 21340;
 Libint->vrr_classes[7][14] = int_stack + 25120;
 Libint->vrr_classes[8][10] = int_stack + 29440;
 Libint->vrr_classes[8][11] = int_stack + 32410;
 Libint->vrr_classes[8][12] = int_stack + 35920;
 Libint->vrr_classes[8][13] = int_stack + 40015;
 Libint->vrr_classes[8][14] = int_stack + 44740;
 Libint->vrr_classes[9][10] = int_stack + 50140;
 Libint->vrr_classes[9][11] = int_stack + 53770;
 Libint->vrr_classes[9][12] = int_stack + 58060;
 Libint->vrr_classes[9][13] = int_stack + 63065;
 Libint->vrr_classes[9][14] = int_stack + 68840;
 Libint->vrr_classes[10][10] = int_stack + 75440;
 Libint->vrr_classes[10][11] = int_stack + 79796;
 Libint->vrr_classes[10][12] = int_stack + 84944;
 Libint->vrr_classes[10][13] = int_stack + 90950;
 Libint->vrr_classes[10][14] = int_stack + 97880;
 Libint->vrr_classes[11][10] = int_stack + 105800;
 Libint->vrr_classes[11][11] = int_stack + 110948;
 Libint->vrr_classes[11][12] = int_stack + 117032;
 Libint->vrr_classes[11][13] = int_stack + 124130;
 Libint->vrr_classes[11][14] = int_stack + 132320;
 Libint->vrr_classes[12][10] = int_stack + 141680;
 Libint->vrr_classes[12][11] = int_stack + 147686;
 Libint->vrr_classes[12][12] = int_stack + 154784;
 Libint->vrr_classes[12][13] = int_stack + 163065;
 Libint->vrr_classes[12][14] = int_stack + 172620;
 memset(int_stack,0,183540*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 183540;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iing(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183540,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+189084,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+195636,int_stack+189084,int_stack+183540,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+206724,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+214368,int_stack+206724,int_stack+189084,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+227472,int_stack+214368,int_stack+195636,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183540,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+245952,int_stack+183540,int_stack+206724,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+183540,int_stack+245952,int_stack+214368,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+245952,int_stack+183540,int_stack+227472,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183540,int_stack+15256,int_stack+12880,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+190668,int_stack+18064,int_stack+15256,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+199092,int_stack+190668,int_stack+183540,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+213348,int_stack+21340,int_stack+18064,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+223176,int_stack+213348,int_stack+190668,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+273672,int_stack+223176,int_stack+199092,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183540,int_stack+25120,int_stack+21340,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+183540,int_stack+213348,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+183540,int_stack+0,int_stack+223176,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+297432,int_stack+183540,int_stack+273672,36);
 /*--- compute (ip|ng) ---*/
 hrr1_build_ip(Libint->AB,int_stack+333072,int_stack+297432,int_stack+245952,990);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183540,int_stack+32410,int_stack+29440,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+192450,int_stack+35920,int_stack+32410,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+202980,int_stack+192450,int_stack+183540,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+220800,int_stack+40015,int_stack+35920,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+233085,int_stack+220800,int_stack+192450,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+254145,int_stack+233085,int_stack+202980,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183540,int_stack+44740,int_stack+40015,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+183540,int_stack+220800,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+183540,int_stack+0,int_stack+233085,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+183540,int_stack+254145,45);
 /*--- compute (kp|ng) ---*/
 hrr1_build_kp(Libint->AB,int_stack+183540,int_stack+0,int_stack+297432,990);
 /*--- compute (id|ng) ---*/
 hrr1_build_id(Libint->AB,int_stack+416232,int_stack+183540,int_stack+333072,990);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+290460,int_stack+53770,int_stack+50140,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+301350,int_stack+58060,int_stack+53770,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+314220,int_stack+301350,int_stack+290460,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+336000,int_stack+63065,int_stack+58060,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+351015,int_stack+336000,int_stack+301350,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+376755,int_stack+351015,int_stack+314220,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+290460,int_stack+68840,int_stack+63065,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+44550,int_stack+290460,int_stack+336000,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+290460,int_stack+44550,int_stack+351015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+582552,int_stack+290460,int_stack+376755,55);
 /*--- compute (lp|ng) ---*/
 hrr1_build_lp(Libint->AB,int_stack+637002,int_stack+582552,int_stack+0,990);
 /*--- compute (kd|ng) ---*/
 hrr1_build_kd(Libint->AB,int_stack+770652,int_stack+637002,int_stack+183540,990);
 /*--- compute (if|ng) ---*/
 hrr1_build_if(Libint->AB,int_stack+984492,int_stack+770652,int_stack+416232,990);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183540,int_stack+79796,int_stack+75440,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+196608,int_stack+84944,int_stack+79796,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+212052,int_stack+196608,int_stack+183540,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+238188,int_stack+90950,int_stack+84944,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+256206,int_stack+238188,int_stack+196608,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+287094,int_stack+256206,int_stack+212052,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183540,int_stack+97880,int_stack+90950,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+330654,int_stack+183540,int_stack+238188,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+183540,int_stack+330654,int_stack+256206,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+330654,int_stack+183540,int_stack+287094,66);
 /*--- compute (mp|ng) ---*/
 hrr1_build_mp(Libint->AB,int_stack+395994,int_stack+330654,int_stack+582552,990);
 /*--- compute (ld|ng) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1261692,int_stack+395994,int_stack+637002,990);
 /*--- compute (kf|ng) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1528992,int_stack+1261692,int_stack+770652,990);
 /*--- compute (ig|ng) ---*/
 hrr1_build_ig(Libint->AB,int_stack+559344,int_stack+1528992,int_stack+984492,990);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183540,int_stack+110948,int_stack+105800,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+198984,int_stack+117032,int_stack+110948,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+217236,int_stack+198984,int_stack+183540,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+248124,int_stack+124130,int_stack+117032,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+269418,int_stack+248124,int_stack+198984,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+975144,int_stack+269418,int_stack+217236,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183540,int_stack+132320,int_stack+124130,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1026624,int_stack+183540,int_stack+248124,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+183540,int_stack+1026624,int_stack+269418,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1026624,int_stack+183540,int_stack+975144,78);
 /*--- compute (np|ng) ---*/
 hrr1_build_np(Libint->AB,int_stack+1885392,int_stack+1026624,int_stack+330654,990);
 /*--- compute (md|ng) ---*/
 hrr1_build_md(Libint->AB,int_stack+2081412,int_stack+1885392,int_stack+395994,990);
 /*--- compute (lf|ng) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2408112,int_stack+2081412,int_stack+1261692,990);
 /*--- compute (kg|ng) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2853612,int_stack+2408112,int_stack+1528992,990);
 /*--- compute (ih|ng) ---*/
 hrr1_build_ih(Libint->AB,int_stack+1103844,int_stack+2853612,int_stack+559344,990);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183540,int_stack+147686,int_stack+141680,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+201558,int_stack+154784,int_stack+147686,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+222852,int_stack+201558,int_stack+183540,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+258888,int_stack+163065,int_stack+154784,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+283731,int_stack+258888,int_stack+201558,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+326319,int_stack+283731,int_stack+222852,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183540,int_stack+172620,int_stack+163065,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+386379,int_stack+183540,int_stack+258888,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+436065,int_stack+386379,int_stack+283731,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+507045,int_stack+436065,int_stack+326319,91);
 /*--- compute (op|ng) ---*/
 hrr1_build_op(Libint->AB,int_stack+597135,int_stack+507045,int_stack+1026624,990);
 /*--- compute (nd|ng) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+597135,int_stack+1885392,990);
 /*--- compute (mf|ng) ---*/
 hrr1_build_mf(Libint->AB,int_stack+392040,int_stack+0,int_stack+2081412,990);
 /*--- compute (lg|ng) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1685964,int_stack+392040,int_stack+2408112,990);
 /*--- compute (kh|ng) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+1685964,int_stack+2853612,990);
 /*--- compute (ii|ng) ---*/
 hrr1_build_ii(Libint->AB,int_stack+1685964,int_stack+0,int_stack+1103844,990);
 return int_stack+1685964;}
