#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iinn(Libint_t*, prim_data*);

  /* Computes quartets of (ii|nn) integrals */

REALTYPE *hrr_order_iinn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[6][17] = int_stack + 20972;
 Libint->vrr_classes[6][18] = int_stack + 25760;
 Libint->vrr_classes[6][19] = int_stack + 31080;
 Libint->vrr_classes[6][20] = int_stack + 36960;
 Libint->vrr_classes[7][10] = int_stack + 43428;
 Libint->vrr_classes[7][11] = int_stack + 45804;
 Libint->vrr_classes[7][12] = int_stack + 48612;
 Libint->vrr_classes[7][13] = int_stack + 51888;
 Libint->vrr_classes[7][14] = int_stack + 55668;
 Libint->vrr_classes[7][15] = int_stack + 59988;
 Libint->vrr_classes[7][16] = int_stack + 64884;
 Libint->vrr_classes[7][17] = int_stack + 70392;
 Libint->vrr_classes[7][18] = int_stack + 76548;
 Libint->vrr_classes[7][19] = int_stack + 83388;
 Libint->vrr_classes[7][20] = int_stack + 90948;
 Libint->vrr_classes[8][10] = int_stack + 99264;
 Libint->vrr_classes[8][11] = int_stack + 102234;
 Libint->vrr_classes[8][12] = int_stack + 105744;
 Libint->vrr_classes[8][13] = int_stack + 109839;
 Libint->vrr_classes[8][14] = int_stack + 114564;
 Libint->vrr_classes[8][15] = int_stack + 119964;
 Libint->vrr_classes[8][16] = int_stack + 126084;
 Libint->vrr_classes[8][17] = int_stack + 132969;
 Libint->vrr_classes[8][18] = int_stack + 140664;
 Libint->vrr_classes[8][19] = int_stack + 149214;
 Libint->vrr_classes[8][20] = int_stack + 158664;
 Libint->vrr_classes[9][10] = int_stack + 169059;
 Libint->vrr_classes[9][11] = int_stack + 172689;
 Libint->vrr_classes[9][12] = int_stack + 176979;
 Libint->vrr_classes[9][13] = int_stack + 181984;
 Libint->vrr_classes[9][14] = int_stack + 187759;
 Libint->vrr_classes[9][15] = int_stack + 194359;
 Libint->vrr_classes[9][16] = int_stack + 201839;
 Libint->vrr_classes[9][17] = int_stack + 210254;
 Libint->vrr_classes[9][18] = int_stack + 219659;
 Libint->vrr_classes[9][19] = int_stack + 230109;
 Libint->vrr_classes[9][20] = int_stack + 241659;
 Libint->vrr_classes[10][10] = int_stack + 254364;
 Libint->vrr_classes[10][11] = int_stack + 258720;
 Libint->vrr_classes[10][12] = int_stack + 263868;
 Libint->vrr_classes[10][13] = int_stack + 269874;
 Libint->vrr_classes[10][14] = int_stack + 276804;
 Libint->vrr_classes[10][15] = int_stack + 284724;
 Libint->vrr_classes[10][16] = int_stack + 293700;
 Libint->vrr_classes[10][17] = int_stack + 303798;
 Libint->vrr_classes[10][18] = int_stack + 315084;
 Libint->vrr_classes[10][19] = int_stack + 327624;
 Libint->vrr_classes[10][20] = int_stack + 341484;
 Libint->vrr_classes[11][10] = int_stack + 356730;
 Libint->vrr_classes[11][11] = int_stack + 361878;
 Libint->vrr_classes[11][12] = int_stack + 367962;
 Libint->vrr_classes[11][13] = int_stack + 375060;
 Libint->vrr_classes[11][14] = int_stack + 383250;
 Libint->vrr_classes[11][15] = int_stack + 392610;
 Libint->vrr_classes[11][16] = int_stack + 403218;
 Libint->vrr_classes[11][17] = int_stack + 415152;
 Libint->vrr_classes[11][18] = int_stack + 428490;
 Libint->vrr_classes[11][19] = int_stack + 443310;
 Libint->vrr_classes[11][20] = int_stack + 459690;
 Libint->vrr_classes[12][10] = int_stack + 477708;
 Libint->vrr_classes[12][11] = int_stack + 483714;
 Libint->vrr_classes[12][12] = int_stack + 490812;
 Libint->vrr_classes[12][13] = int_stack + 499093;
 Libint->vrr_classes[12][14] = int_stack + 508648;
 Libint->vrr_classes[12][15] = int_stack + 519568;
 Libint->vrr_classes[12][16] = int_stack + 531944;
 Libint->vrr_classes[12][17] = int_stack + 545867;
 Libint->vrr_classes[12][18] = int_stack + 561428;
 Libint->vrr_classes[12][19] = int_stack + 578718;
 Libint->vrr_classes[12][20] = int_stack + 597828;
 memset(int_stack,0,618849*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 618849;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iinn(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+618849,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+624393,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+630945,int_stack+624393,int_stack+618849,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+642033,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+649677,int_stack+642033,int_stack+624393,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+662781,int_stack+649677,int_stack+630945,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+618849,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+681261,int_stack+618849,int_stack+642033,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+627669,int_stack+681261,int_stack+649677,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+696549,int_stack+627669,int_stack+662781,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+649509,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+659589,int_stack+649509,int_stack+618849,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+724269,int_stack+659589,int_stack+681261,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+749749,int_stack+724269,int_stack+627669,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+782509,int_stack+749749,int_stack+696549,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+618849,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+677229,int_stack+618849,int_stack+649509,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+821317,int_stack+677229,int_stack+659589,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+630273,int_stack+821317,int_stack+724269,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+697389,int_stack+630273,int_stack+749749,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+850717,int_stack+697389,int_stack+782509,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+743253,int_stack+20972,int_stack+16688,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+756105,int_stack+743253,int_stack+618849,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+778953,int_stack+756105,int_stack+677229,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+902461,int_stack+778953,int_stack+821317,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+946561,int_stack+902461,int_stack+630273,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+618849,int_stack+946561,int_stack+697389,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1000069,int_stack+618849,int_stack+850717,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+680001,int_stack+25760,int_stack+20972,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+694365,int_stack+680001,int_stack+743253,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+812553,int_stack+694365,int_stack+756105,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+720069,int_stack+812553,int_stack+778953,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1066597,int_stack+720069,int_stack+902461,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+850633,int_stack+1066597,int_stack+946561,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1128337,int_stack+850633,int_stack+618849,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1206961,int_stack+1128337,int_stack+1000069,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+618849,int_stack+31080,int_stack+25760,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+634809,int_stack+618849,int_stack+680001,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+921977,int_stack+634809,int_stack+694365,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+964817,int_stack+921977,int_stack+812553,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+770469,int_stack+964817,int_stack+720069,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+663537,int_stack+770469,int_stack+1066597,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1021937,int_stack+663537,int_stack+850633,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1290121,int_stack+1021937,int_stack+1128337,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1388401,int_stack+1290121,int_stack+1206961,28);
 /*--- compute (i0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+745857,int_stack+36960,int_stack+31080,28);
 /*--- compute (i0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+841029,int_stack+745857,int_stack+618849,28);
 /*--- compute (i0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+872949,int_stack+841029,int_stack+634809,28);
 /*--- compute (i0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1113665,int_stack+872949,int_stack+921977,28);
 /*--- compute (i0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+841029,int_stack+1113665,int_stack+964817,28);
 /*--- compute (i0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1113665,int_stack+841029,int_stack+770469,28);
 /*--- compute (i0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+745857,int_stack+1113665,int_stack+663537,28);
 /*--- compute (i0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1113665,int_stack+745857,int_stack+1021937,28);
 /*--- compute (i0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+618849,int_stack+1113665,int_stack+1290121,28);
 /*--- compute (i0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+738969,int_stack+618849,int_stack+1388401,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+618849,int_stack+45804,int_stack+43428,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+625977,int_stack+48612,int_stack+45804,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+634401,int_stack+625977,int_stack+618849,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+648657,int_stack+51888,int_stack+48612,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+658485,int_stack+648657,int_stack+625977,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+675333,int_stack+658485,int_stack+634401,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+618849,int_stack+55668,int_stack+51888,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+699093,int_stack+618849,int_stack+648657,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+630189,int_stack+699093,int_stack+658485,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+860937,int_stack+630189,int_stack+675333,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+658269,int_stack+59988,int_stack+55668,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+671229,int_stack+658269,int_stack+618849,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+896577,int_stack+671229,int_stack+699093,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+693909,int_stack+896577,int_stack+630189,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+929337,int_stack+693909,int_stack+860937,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+860937,int_stack+64884,int_stack+59988,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+618849,int_stack+860937,int_stack+658269,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+979233,int_stack+618849,int_stack+671229,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+644769,int_stack+979233,int_stack+896577,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1017033,int_stack+644769,int_stack+693909,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1076001,int_stack+1017033,int_stack+929337,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+693909,int_stack+70392,int_stack+64884,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+875625,int_stack+693909,int_stack+860937,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+905001,int_stack+875625,int_stack+618849,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1142529,int_stack+905001,int_stack+979233,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+948201,int_stack+1142529,int_stack+644769,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1199229,int_stack+948201,int_stack+1017033,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1277853,int_stack+1199229,int_stack+1076001,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+618849,int_stack+76548,int_stack+70392,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+637317,int_stack+618849,int_stack+693909,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+670365,int_stack+637317,int_stack+875625,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1016997,int_stack+670365,int_stack+905001,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+860937,int_stack+1016997,int_stack+1142529,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1081797,int_stack+860937,int_stack+948201,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1363389,int_stack+1081797,int_stack+1199229,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1464477,int_stack+1363389,int_stack+1277853,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+940317,int_stack+83388,int_stack+76548,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+960837,int_stack+940317,int_stack+618849,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1173525,int_stack+960837,int_stack+637317,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1228605,int_stack+1173525,int_stack+670365,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+618849,int_stack+1228605,int_stack+1016997,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1571397,int_stack+618849,int_stack+860937,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1677237,int_stack+1571397,int_stack+1081797,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+997773,int_stack+1677237,int_stack+1363389,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1302045,int_stack+997773,int_stack+1464477,36);
 /*--- compute (k0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+860937,int_stack+90948,int_stack+83388,36);
 /*--- compute (k0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+883617,int_stack+860937,int_stack+940317,36);
 /*--- compute (k0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1432725,int_stack+883617,int_stack+960837,36);
 /*--- compute (k0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+860937,int_stack+1432725,int_stack+1173525,36);
 /*--- compute (k0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1432725,int_stack+860937,int_stack+1228605,36);
 /*--- compute (k0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+860937,int_stack+1432725,int_stack+618849,36);
 /*--- compute (k0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1432725,int_stack+860937,int_stack+1571397,36);
 /*--- compute (k0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1124133,int_stack+1432725,int_stack+1677237,36);
 /*--- compute (k0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1432725,int_stack+1124133,int_stack+997773,36);
 /*--- compute (k0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1587165,int_stack+1432725,int_stack+1302045,36);
 /*--- compute (ip|nn) ---*/
 hrr1_build_ip(Libint->AB,int_stack+860937,int_stack+1587165,int_stack+738969,4356);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1743981,int_stack+102234,int_stack+99264,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1752891,int_stack+105744,int_stack+102234,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1763421,int_stack+1752891,int_stack+1743981,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1781241,int_stack+109839,int_stack+105744,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1226841,int_stack+1781241,int_stack+1752891,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1247901,int_stack+1226841,int_stack+1763421,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1743981,int_stack+114564,int_stack+109839,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1277601,int_stack+1743981,int_stack+1781241,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1758156,int_stack+1277601,int_stack+1226841,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1302171,int_stack+1758156,int_stack+1247901,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1226841,int_stack+119964,int_stack+114564,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1243041,int_stack+1226841,int_stack+1743981,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1346721,int_stack+1243041,int_stack+1277601,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1387671,int_stack+1346721,int_stack+1758156,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1440321,int_stack+1387671,int_stack+1302171,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1743981,int_stack+126084,int_stack+119964,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1762341,int_stack+1743981,int_stack+1226841,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1271391,int_stack+1762341,int_stack+1243041,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1502691,int_stack+1271391,int_stack+1346721,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+618849,int_stack+1502691,int_stack+1387671,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1318641,int_stack+618849,int_stack+1440321,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1226841,int_stack+132969,int_stack+126084,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1401801,int_stack+1226841,int_stack+1743981,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1438521,int_stack+1401801,int_stack+1762341,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+692559,int_stack+1438521,int_stack+1271391,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+763434,int_stack+692559,int_stack+1502691,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+763434,int_stack+618849,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1743981,int_stack+0,int_stack+1318641,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+618849,int_stack+140664,int_stack+132969,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+641934,int_stack+618849,int_stack+1226841,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1226841,int_stack+641934,int_stack+1401801,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1288041,int_stack+1226841,int_stack+1438521,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1369041,int_stack+1288041,int_stack+692559,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1468266,int_stack+1369041,int_stack+763434,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+683244,int_stack+1468266,int_stack+0,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+683244,int_stack+1743981,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1743981,int_stack+149214,int_stack+140664,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1769631,int_stack+1743981,int_stack+618849,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1815801,int_stack+1769631,int_stack+641934,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1884651,int_stack+1815801,int_stack+1226841,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1976451,int_stack+1884651,int_stack+1288041,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1226841,int_stack+1976451,int_stack+1369041,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2089851,int_stack+1226841,int_stack+1468266,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1359141,int_stack+2089851,int_stack+683244,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+618849,int_stack+1359141,int_stack+0,45);
 /*--- compute (l0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+0,int_stack+158664,int_stack+149214,45);
 /*--- compute (l0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+28350,int_stack+0,int_stack+1743981,45);
 /*--- compute (l0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+79650,int_stack+28350,int_stack+1769631,45);
 /*--- compute (l0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+2237271,int_stack+79650,int_stack+1815801,45);
 /*--- compute (l0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1743981,int_stack+2237271,int_stack+1884651,45);
 /*--- compute (l0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+0,int_stack+1743981,int_stack+1976451,45);
 /*--- compute (l0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1743981,int_stack+0,int_stack+1226841,45);
 /*--- compute (l0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2237271,int_stack+1743981,int_stack+2089851,45);
 /*--- compute (l0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1743981,int_stack+2237271,int_stack+1359141,45);
 /*--- compute (l0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1937031,int_stack+1743981,int_stack+618849,45);
 /*--- compute (kp|nn) ---*/
 hrr1_build_kp(Libint->AB,int_stack+2133051,int_stack+1937031,int_stack+1587165,4356);
 /*--- compute (id|nn) ---*/
 hrr1_build_id(Libint->AB,int_stack+2603499,int_stack+2133051,int_stack+860937,4356);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+618849,int_stack+172689,int_stack+169059,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+629739,int_stack+176979,int_stack+172689,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+642609,int_stack+629739,int_stack+618849,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+664389,int_stack+181984,int_stack+176979,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+679404,int_stack+664389,int_stack+629739,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+705144,int_stack+679404,int_stack+642609,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+618849,int_stack+187759,int_stack+181984,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+741444,int_stack+618849,int_stack+664389,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+636174,int_stack+741444,int_stack+679404,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+771474,int_stack+636174,int_stack+705144,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+679074,int_stack+194359,int_stack+187759,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+698874,int_stack+679074,int_stack+618849,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+825924,int_stack+698874,int_stack+741444,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+875974,int_stack+825924,int_stack+636174,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+940324,int_stack+875974,int_stack+771474,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+618849,int_stack+201839,int_stack+194359,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+733524,int_stack+618849,int_stack+679074,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1016554,int_stack+733524,int_stack+698874,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+641289,int_stack+1016554,int_stack+825924,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+773124,int_stack+641289,int_stack+875974,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1074304,int_stack+773124,int_stack+940324,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+863214,int_stack+210254,int_stack+201839,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+888459,int_stack+863214,int_stack+618849,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+933339,int_stack+888459,int_stack+733524,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1175944,int_stack+933339,int_stack+1016554,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1262569,int_stack+1175944,int_stack+641289,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+618849,int_stack+1262569,int_stack+773124,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1367674,int_stack+618849,int_stack+1074304,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+738969,int_stack+219659,int_stack+210254,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+767184,int_stack+738969,int_stack+863214,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+999339,int_stack+767184,int_stack+888459,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+817674,int_stack+999339,int_stack+933339,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1498354,int_stack+817674,int_stack+1175944,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1074139,int_stack+1498354,int_stack+1262569,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1619629,int_stack+1074139,int_stack+618849,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+1619629,int_stack+1367674,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+618849,int_stack+230109,int_stack+219659,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+650199,int_stack+618849,int_stack+738969,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1214279,int_stack+650199,int_stack+767184,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1298429,int_stack+1214279,int_stack+999339,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+916674,int_stack+1298429,int_stack+817674,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+706629,int_stack+916674,int_stack+1498354,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1410629,int_stack+706629,int_stack+1074139,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3335307,int_stack+1410629,int_stack+1619629,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1590809,int_stack+3335307,int_stack+0,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+0,int_stack+241659,int_stack+230109,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+34650,int_stack+0,int_stack+618849,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+97350,int_stack+34650,int_stack+650199,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1055274,int_stack+97350,int_stack+1214279,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1055274,int_stack+1298429,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1055274,int_stack+0,int_stack+916674,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+1055274,int_stack+706629,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+618849,int_stack+0,int_stack+1410629,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+618849,int_stack+3335307,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+618849,int_stack+0,int_stack+1590809,55);
 /*--- compute (lp|nn) ---*/
 hrr1_build_lp(Libint->AB,int_stack+858429,int_stack+618849,int_stack+1937031,4356);
 /*--- compute (kd|nn) ---*/
 hrr1_build_kd(Libint->AB,int_stack+3335307,int_stack+858429,int_stack+2133051,4356);
 /*--- compute (if|nn) ---*/
 hrr1_build_if(Libint->AB,int_stack+4276203,int_stack+3335307,int_stack+2603499,4356);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+258720,int_stack+254364,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+263868,int_stack+258720,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+269874,int_stack+263868,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+103554,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+276804,int_stack+269874,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+147114,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+147114,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+183150,int_stack+20790,int_stack+103554,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72270,int_stack+284724,int_stack+276804,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+96030,int_stack+72270,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1446489,int_stack+96030,int_stack+147114,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1506549,int_stack+1446489,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1583769,int_stack+1506549,int_stack+183150,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+293700,int_stack+284724,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+137610,int_stack+0,int_stack+72270,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+185130,int_stack+137610,int_stack+96030,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+26928,int_stack+185130,int_stack+1446489,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1675245,int_stack+26928,int_stack+1506549,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1446489,int_stack+1675245,int_stack+1583769,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1568457,int_stack+303798,int_stack+293700,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1598751,int_stack+1568457,int_stack+0,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1783353,int_stack+1598751,int_stack+137610,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1862553,int_stack+1783353,int_stack+185130,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+117018,int_stack+1862553,int_stack+26928,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1966503,int_stack+117018,int_stack+1675245,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2110647,int_stack+1966503,int_stack+1446489,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1446489,int_stack+315084,int_stack+303798,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1480347,int_stack+1446489,int_stack+1568457,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+1480347,int_stack+1598751,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1540935,int_stack+0,int_stack+1783353,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1659735,int_stack+1540935,int_stack+1862553,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2267463,int_stack+1659735,int_stack+117018,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+89760,int_stack+2267463,int_stack+1966503,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1805265,int_stack+89760,int_stack+2110647,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2001285,int_stack+327624,int_stack+315084,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2038905,int_stack+2001285,int_stack+1446489,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2106621,int_stack+2038905,int_stack+1480347,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2435631,int_stack+2106621,int_stack+0,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2570271,int_stack+2435631,int_stack+1540935,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1446489,int_stack+2570271,int_stack+1659735,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2736591,int_stack+1446489,int_stack+2267463,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2952807,int_stack+2736591,int_stack+89760,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+2952807,int_stack+1805265,66);
 /*--- compute (n0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+239580,int_stack+341484,int_stack+327624,66);
 /*--- compute (n0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+281160,int_stack+239580,int_stack+2001285,66);
 /*--- compute (n0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1640529,int_stack+281160,int_stack+2038905,66);
 /*--- compute (n0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1753389,int_stack+1640529,int_stack+2106621,66);
 /*--- compute (n0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1904859,int_stack+1753389,int_stack+2435631,66);
 /*--- compute (n0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1640529,int_stack+1904859,int_stack+2570271,66);
 /*--- compute (n0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1862289,int_stack+1640529,int_stack+1446489,66);
 /*--- compute (n0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1446489,int_stack+1862289,int_stack+2736591,66);
 /*--- compute (n0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1716759,int_stack+1446489,int_stack+2952807,66);
 /*--- compute (n0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1999899,int_stack+1716759,int_stack+0,66);
 /*--- compute (mp|nn) ---*/
 hrr1_build_mp(Libint->AB,int_stack+2287395,int_stack+1999899,int_stack+618849,4356);
 /*--- compute (ld|nn) ---*/
 hrr1_build_ld(Libint->AB,int_stack+5495883,int_stack+2287395,int_stack+858429,4356);
 /*--- compute (kf|nn) ---*/
 hrr1_build_kf(Libint->AB,int_stack+6672003,int_stack+5495883,int_stack+3335307,4356);
 /*--- compute (ig|nn) ---*/
 hrr1_build_ig(Libint->AB,int_stack+8240163,int_stack+6672003,int_stack+4276203,4356);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+618849,int_stack+361878,int_stack+356730,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+634293,int_stack+367962,int_stack+361878,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+652545,int_stack+634293,int_stack+618849,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+683433,int_stack+375060,int_stack+367962,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+704727,int_stack+683433,int_stack+634293,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+741231,int_stack+704727,int_stack+652545,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+618849,int_stack+383250,int_stack+375060,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+792711,int_stack+618849,int_stack+683433,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+643419,int_stack+792711,int_stack+704727,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+835299,int_stack+643419,int_stack+741231,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+704259,int_stack+392610,int_stack+383250,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+732339,int_stack+704259,int_stack+618849,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+912519,int_stack+732339,int_stack+792711,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+983499,int_stack+912519,int_stack+643419,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1074759,int_stack+983499,int_stack+835299,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+618849,int_stack+403218,int_stack+392610,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+781479,int_stack+618849,int_stack+704259,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1182867,int_stack+781479,int_stack+732339,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+650673,int_stack+1182867,int_stack+912519,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+837639,int_stack+650673,int_stack+983499,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1264767,int_stack+837639,int_stack+1074759,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+965403,int_stack+415152,int_stack+403218,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1001205,int_stack+965403,int_stack+618849,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1064853,int_stack+1001205,int_stack+781479,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1408911,int_stack+1064853,int_stack+1182867,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1531761,int_stack+1408911,int_stack+650673,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+618849,int_stack+1531761,int_stack+837639,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1680819,int_stack+618849,int_stack+1264767,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+789201,int_stack+428490,int_stack+415152,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+829215,int_stack+789201,int_stack+965403,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1158453,int_stack+829215,int_stack+1001205,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+900819,int_stack+1158453,int_stack+1064853,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+900819,int_stack+1408911,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1264533,int_stack+0,int_stack+1531761,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+171990,int_stack+1264533,int_stack+618849,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3006135,int_stack+171990,int_stack+1680819,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+618849,int_stack+443310,int_stack+428490,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+663309,int_stack+618849,int_stack+789201,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1463277,int_stack+663309,int_stack+829215,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1582617,int_stack+1463277,int_stack+1158453,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1041219,int_stack+1582617,int_stack+900819,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+743337,int_stack+1041219,int_stack+0,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1741737,int_stack+743337,int_stack+1264533,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3237795,int_stack+1741737,int_stack+171990,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+3237795,int_stack+3006135,78);
 /*--- compute (o0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+3006135,int_stack+459690,int_stack+443310,78);
 /*--- compute (o0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+3055275,int_stack+3006135,int_stack+618849,78);
 /*--- compute (o0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+283140,int_stack+3055275,int_stack+663309,78);
 /*--- compute (o0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+3006135,int_stack+283140,int_stack+1463277,78);
 /*--- compute (o0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1237779,int_stack+3006135,int_stack+1582617,78);
 /*--- compute (o0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1460547,int_stack+1237779,int_stack+1041219,78);
 /*--- compute (o0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+972657,int_stack+1460547,int_stack+743337,78);
 /*--- compute (o0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+618849,int_stack+972657,int_stack+1741737,78);
 /*--- compute (o0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+938259,int_stack+618849,int_stack+3237795,78);
 /*--- compute (o0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+3006135,int_stack+938259,int_stack+0,78);
 /*--- compute (np|nn) ---*/
 hrr1_build_np(Libint->AB,int_stack+618849,int_stack+3006135,int_stack+1999899,4356);
 /*--- compute (md|nn) ---*/
 hrr1_build_md(Libint->AB,int_stack+3345903,int_stack+618849,int_stack+2287395,4356);
 /*--- compute (lf|nn) ---*/
 hrr1_build_lf(Libint->AB,int_stack+10069683,int_stack+3345903,int_stack+5495883,4356);
 /*--- compute (kg|nn) ---*/
 hrr1_build_kg(Libint->AB,int_stack+12029883,int_stack+10069683,int_stack+6672003,4356);
 /*--- compute (ih|nn) ---*/
 hrr1_build_ih(Libint->AB,int_stack+4783383,int_stack+12029883,int_stack+8240163,4356);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+483714,int_stack+477708,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+490812,int_stack+483714,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+499093,int_stack+490812,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+508648,int_stack+499093,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+202839,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+202839,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+252525,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+519568,int_stack+508648,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+342615,int_stack+132405,int_stack+202839,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1481337,int_stack+342615,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1587807,int_stack+1481337,int_stack+252525,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+531944,int_stack+519568,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+189735,int_stack+0,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+425425,int_stack+189735,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+37128,int_stack+425425,int_stack+342615,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+255255,int_stack+37128,int_stack+1481337,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1713933,int_stack+255255,int_stack+1587807,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1481337,int_stack+545867,int_stack+531944,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1523106,int_stack+1481337,int_stack+0,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1597362,int_stack+1523106,int_stack+189735,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1882101,int_stack+1597362,int_stack+425425,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2025426,int_stack+1882101,int_stack+37128,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+2025426,int_stack+255255,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+198744,int_stack+0,int_stack+1713933,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+414960,int_stack+561428,int_stack+545867,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+461643,int_stack+414960,int_stack+1481337,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1706562,int_stack+461643,int_stack+1523106,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2199327,int_stack+1706562,int_stack+1597362,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1481337,int_stack+2199327,int_stack+1882101,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2363127,int_stack+1481337,int_stack+2025426,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1830322,int_stack+2363127,int_stack+0,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2594995,int_stack+1830322,int_stack+198744,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+578718,int_stack+561428,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+51870,int_stack+0,int_stack+414960,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+145236,int_stack+51870,int_stack+461643,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+284466,int_stack+145236,int_stack+1706562,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+7344711,int_stack+284466,int_stack+2199327,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2085850,int_stack+7344711,int_stack+1481337,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1481337,int_stack+2085850,int_stack+2363127,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+7574031,int_stack+1481337,int_stack+1830322,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+7893441,int_stack+7574031,int_stack+2594995,91);
 /*--- compute (q0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1779453,int_stack+597828,int_stack+578718,91);
 /*--- compute (q0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1836783,int_stack+1779453,int_stack+0,91);
 /*--- compute (q0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2353390,int_stack+1836783,int_stack+51870,91);
 /*--- compute (q0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1779453,int_stack+2353390,int_stack+145236,91);
 /*--- compute (q0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2353390,int_stack+1779453,int_stack+284466,91);
 /*--- compute (q0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1779453,int_stack+2353390,int_stack+7344711,91);
 /*--- compute (q0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+2353390,int_stack+1779453,int_stack+2085850,91);
 /*--- compute (q0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1779453,int_stack+2353390,int_stack+1481337,91);
 /*--- compute (q0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2152098,int_stack+1779453,int_stack+7574031,91);
 /*--- compute (q0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1481337,int_stack+2152098,int_stack+7893441,91);
 /*--- compute (op|nn) ---*/
 hrr1_build_op(Libint->AB,int_stack+1877733,int_stack+1481337,int_stack+3006135,4356);
 /*--- compute (nd|nn) ---*/
 hrr1_build_nd(Libint->AB,int_stack+7344711,int_stack+1877733,int_stack+618849,4356);
 /*--- compute (mf|nn) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+7344711,int_stack+3345903,4356);
 /*--- compute (lg|nn) ---*/
 hrr1_build_lg(Libint->AB,int_stack+14382123,int_stack+0,int_stack+10069683,4356);
 /*--- compute (kh|nn) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+14382123,int_stack+12029883,4356);
 /*--- compute (ii|nn) ---*/
 hrr1_build_ii(Libint->AB,int_stack+7344711,int_stack+0,int_stack+4783383,4356);
 return int_stack+7344711;}
