#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipmi(Libint_t*, prim_data*);

  /* Computes quartets of (ip|mi) integrals */

REALTYPE *hrr_order_ipmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[7][9] = int_stack + 18228;
 Libint->vrr_classes[7][10] = int_stack + 20208;
 Libint->vrr_classes[7][11] = int_stack + 22584;
 Libint->vrr_classes[7][12] = int_stack + 25392;
 Libint->vrr_classes[7][13] = int_stack + 28668;
 Libint->vrr_classes[7][14] = int_stack + 32448;
 Libint->vrr_classes[7][15] = int_stack + 36768;
 memset(int_stack,0,41664*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 41664;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipmi(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41664,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+46284,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+51828,int_stack+46284,int_stack+41664,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61068,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67620,int_stack+61068,int_stack+46284,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+78708,int_stack+67620,int_stack+51828,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41664,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+94108,int_stack+41664,int_stack+61068,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+107212,int_stack+94108,int_stack+67620,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+49308,int_stack+107212,int_stack+78708,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72408,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+125692,int_stack+72408,int_stack+41664,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+140980,int_stack+125692,int_stack+94108,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162820,int_stack+140980,int_stack+107212,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+81228,int_stack+162820,int_stack+49308,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+41664,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+51744,int_stack+41664,int_stack+72408,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+190540,int_stack+51744,int_stack+125692,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+41664,int_stack+190540,int_stack+140980,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+113568,int_stack+41664,int_stack+162820,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+152376,int_stack+113568,int_stack+81228,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41664,int_stack+20208,int_stack+18228,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47604,int_stack+22584,int_stack+20208,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+54732,int_stack+47604,int_stack+41664,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66612,int_stack+25392,int_stack+22584,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+75036,int_stack+66612,int_stack+47604,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+89292,int_stack+75036,int_stack+54732,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41664,int_stack+28668,int_stack+25392,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+109092,int_stack+41664,int_stack+66612,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+125940,int_stack+109092,int_stack+75036,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+51492,int_stack+125940,int_stack+89292,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81192,int_stack+32448,int_stack+28668,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+195496,int_stack+81192,int_stack+41664,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+195496,int_stack+109092,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+215152,int_stack+0,int_stack+125940,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+92532,int_stack+215152,int_stack+51492,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+41664,int_stack+36768,int_stack+32448,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+54624,int_stack+41664,int_stack+81192,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+250792,int_stack+54624,int_stack+195496,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+28080,int_stack+250792,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+250792,int_stack+28080,int_stack+215152,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+250792,int_stack+92532,36);
 /*--- compute (ip|mi) ---*/
 hrr1_build_ip(Libint->AB,int_stack+195496,int_stack+0,int_stack+152376,1540);
 return int_stack+195496;}
