#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipnk(Libint_t*, prim_data*);

  /* Computes quartets of (ip|nk) integrals */

REALTYPE *hrr_order_ipnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[6][17] = int_stack + 20972;
 Libint->vrr_classes[7][10] = int_stack + 25760;
 Libint->vrr_classes[7][11] = int_stack + 28136;
 Libint->vrr_classes[7][12] = int_stack + 30944;
 Libint->vrr_classes[7][13] = int_stack + 34220;
 Libint->vrr_classes[7][14] = int_stack + 38000;
 Libint->vrr_classes[7][15] = int_stack + 42320;
 Libint->vrr_classes[7][16] = int_stack + 47216;
 Libint->vrr_classes[7][17] = int_stack + 52724;
 memset(int_stack,0,58880*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 58880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipnk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+58880,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+64424,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+70976,int_stack+64424,int_stack+58880,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+82064,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+89708,int_stack+82064,int_stack+64424,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+102812,int_stack+89708,int_stack+70976,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+58880,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+121292,int_stack+58880,int_stack+82064,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+67700,int_stack+121292,int_stack+89708,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+136580,int_stack+67700,int_stack+102812,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+89540,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+99620,int_stack+89540,int_stack+58880,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+164300,int_stack+99620,int_stack+121292,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+189780,int_stack+164300,int_stack+67700,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+222540,int_stack+189780,int_stack+136580,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+58880,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+117260,int_stack+58880,int_stack+89540,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+261348,int_stack+117260,int_stack+99620,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+70304,int_stack+261348,int_stack+164300,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+137420,int_stack+70304,int_stack+189780,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+290748,int_stack+137420,int_stack+222540,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+183284,int_stack+20972,int_stack+16688,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+196136,int_stack+183284,int_stack+58880,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+218984,int_stack+196136,int_stack+117260,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+342492,int_stack+218984,int_stack+261348,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+183284,int_stack+342492,int_stack+70304,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+58880,int_stack+183284,int_stack+137420,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+120032,int_stack+58880,int_stack+290748,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+58880,int_stack+28136,int_stack+25760,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66008,int_stack+30944,int_stack+28136,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+74432,int_stack+66008,int_stack+58880,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+88688,int_stack+34220,int_stack+30944,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+98516,int_stack+88688,int_stack+66008,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+186560,int_stack+98516,int_stack+74432,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+58880,int_stack+38000,int_stack+34220,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+210320,int_stack+58880,int_stack+88688,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+70220,int_stack+210320,int_stack+98516,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+229976,int_stack+70220,int_stack+186560,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+186560,int_stack+42320,int_stack+38000,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+265616,int_stack+186560,int_stack+58880,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+288296,int_stack+265616,int_stack+210320,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+321056,int_stack+288296,int_stack+70220,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+58880,int_stack+321056,int_stack+229976,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+199520,int_stack+47216,int_stack+42320,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+214208,int_stack+199520,int_stack+186560,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+214208,int_stack+265616,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+363176,int_stack+0,int_stack+288296,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+240128,int_stack+363176,int_stack+321056,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+412316,int_stack+240128,int_stack+58880,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+58880,int_stack+52724,int_stack+47216,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+75404,int_stack+58880,int_stack+199520,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+299096,int_stack+75404,int_stack+214208,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+37800,int_stack+299096,int_stack+0,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+478844,int_stack+37800,int_stack+363176,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+478844,int_stack+240128,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+186560,int_stack+0,int_stack+412316,36);
 /*--- compute (ip|nk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+272096,int_stack+186560,int_stack+120032,2376);
 return int_stack+272096;}
