#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0lp(Libint_t*, prim_data*);

  /* Computes quartets of (k0|lp) integrals */

REALTYPE *hrr_order_k0lp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 memset(int_stack,0,3600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0lp(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3600,int_stack+1620,int_stack+0,36);
 return int_stack+3600;}
