#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0mi(Libint_t*, prim_data*);

  /* Computes quartets of (k0|mi) integrals */

REALTYPE *hrr_order_k0mi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 memset(int_stack,0,23436*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23436;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0mi(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23436,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29376,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+36504,int_stack+29376,int_stack+23436,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48384,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+56808,int_stack+48384,int_stack+29376,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+71064,int_stack+56808,int_stack+36504,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23436,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+90864,int_stack+23436,int_stack+48384,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+107712,int_stack+90864,int_stack+56808,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+33264,int_stack+107712,int_stack+71064,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62964,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+131472,int_stack+62964,int_stack+23436,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+151128,int_stack+131472,int_stack+90864,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+179208,int_stack+151128,int_stack+107712,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+74304,int_stack+179208,int_stack+33264,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+23436,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+36396,int_stack+23436,int_stack+62964,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+36396,int_stack+131472,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+214848,int_stack+0,int_stack+151128,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+214848,int_stack+179208,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+115884,int_stack+0,int_stack+74304,36);
 return int_stack+115884;}
