#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0np(Libint_t*, prim_data*);

  /* Computes quartets of (k0|np) integrals */

REALTYPE *hrr_order_k0np(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 memset(int_stack,0,5184*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5184;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0np(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5184,int_stack+2376,int_stack+0,36);
 return int_stack+5184;}
