#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdll(Libint_t*, prim_data*);

  /* Computes quartets of (kd|ll) integrals */

REALTYPE *hrr_order_kdll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 Libint->vrr_classes[7][16] = int_stack + 25056;
 Libint->vrr_classes[8][8] = int_stack + 30564;
 Libint->vrr_classes[8][9] = int_stack + 32589;
 Libint->vrr_classes[8][10] = int_stack + 35064;
 Libint->vrr_classes[8][11] = int_stack + 38034;
 Libint->vrr_classes[8][12] = int_stack + 41544;
 Libint->vrr_classes[8][13] = int_stack + 45639;
 Libint->vrr_classes[8][14] = int_stack + 50364;
 Libint->vrr_classes[8][15] = int_stack + 55764;
 Libint->vrr_classes[8][16] = int_stack + 61884;
 Libint->vrr_classes[9][8] = int_stack + 68769;
 Libint->vrr_classes[9][9] = int_stack + 71244;
 Libint->vrr_classes[9][10] = int_stack + 74269;
 Libint->vrr_classes[9][11] = int_stack + 77899;
 Libint->vrr_classes[9][12] = int_stack + 82189;
 Libint->vrr_classes[9][13] = int_stack + 87194;
 Libint->vrr_classes[9][14] = int_stack + 92969;
 Libint->vrr_classes[9][15] = int_stack + 99569;
 Libint->vrr_classes[9][16] = int_stack + 107049;
 memset(int_stack,0,115464*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 115464;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdll(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+115464,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120324,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+126264,int_stack+120324,int_stack+115464,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+135984,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+143112,int_stack+135984,int_stack+120324,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+154992,int_stack+143112,int_stack+126264,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115464,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+171192,int_stack+115464,int_stack+135984,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+185448,int_stack+171192,int_stack+143112,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+123888,int_stack+185448,int_stack+154992,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+148188,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+205248,int_stack+148188,int_stack+115464,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+222096,int_stack+205248,int_stack+171192,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+245856,int_stack+222096,int_stack+185448,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+158016,int_stack+245856,int_stack+123888,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115464,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+126804,int_stack+115464,int_stack+148188,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+275556,int_stack+126804,int_stack+205248,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+303636,int_stack+275556,int_stack+222096,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+192036,int_stack+303636,int_stack+245856,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+339276,int_stack+192036,int_stack+158016,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+146460,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+159420,int_stack+146460,int_stack+115464,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+233616,int_stack+159420,int_stack+126804,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+384636,int_stack+233616,int_stack+275556,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+426756,int_stack+384636,int_stack+303636,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+266376,int_stack+426756,int_stack+192036,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+476652,int_stack+266376,int_stack+339276,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+115464,int_stack+25056,int_stack+20160,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+182100,int_stack+115464,int_stack+146460,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+115464,int_stack+182100,int_stack+159420,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+153264,int_stack+115464,int_stack+233616,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+202404,int_stack+153264,int_stack+384636,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+115464,int_stack+202404,int_stack+426756,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+181992,int_stack+115464,int_stack+266376,36);
 /*--- compute (k0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+253272,int_stack+181992,int_stack+476652,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+115464,int_stack+32589,int_stack+30564,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121539,int_stack+35064,int_stack+32589,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+128964,int_stack+121539,int_stack+115464,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+141114,int_stack+38034,int_stack+35064,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+150024,int_stack+141114,int_stack+121539,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+164874,int_stack+150024,int_stack+128964,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115464,int_stack+41544,int_stack+38034,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+185124,int_stack+115464,int_stack+141114,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+202944,int_stack+185124,int_stack+150024,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+125994,int_stack+202944,int_stack+164874,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+156369,int_stack+45639,int_stack+41544,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+227694,int_stack+156369,int_stack+115464,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+326172,int_stack+227694,int_stack+185124,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+355872,int_stack+326172,int_stack+202944,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+168654,int_stack+355872,int_stack+125994,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115464,int_stack+50364,int_stack+45639,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+129639,int_stack+115464,int_stack+156369,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+392997,int_stack+129639,int_stack+227694,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+428097,int_stack+392997,int_stack+326172,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+472647,int_stack+428097,int_stack+355872,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+326172,int_stack+472647,int_stack+168654,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+154209,int_stack+55764,int_stack+50364,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+170409,int_stack+154209,int_stack+115464,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+198759,int_stack+170409,int_stack+129639,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+198759,int_stack+392997,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+524622,int_stack+0,int_stack+428097,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+382872,int_stack+524622,int_stack+472647,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+586992,int_stack+382872,int_stack+326172,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+326172,int_stack+61884,int_stack+55764,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+344532,int_stack+326172,int_stack+154209,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+115464,int_stack+344532,int_stack+170409,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+452172,int_stack+115464,int_stack+198759,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+115464,int_stack+452172,int_stack+0,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+659892,int_stack+115464,int_stack+524622,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+115464,int_stack+659892,int_stack+382872,45);
 /*--- compute (l0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+326172,int_stack+115464,int_stack+586992,45);
 /*--- compute (kp|ll) ---*/
 hrr1_build_kp(Libint->AB,int_stack+417297,int_stack+326172,int_stack+253272,2025);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+115464,int_stack+71244,int_stack+68769,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+122889,int_stack+74269,int_stack+71244,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+131964,int_stack+122889,int_stack+115464,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+146814,int_stack+77899,int_stack+74269,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+157704,int_stack+146814,int_stack+122889,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+175854,int_stack+157704,int_stack+131964,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115464,int_stack+82189,int_stack+77899,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+200604,int_stack+115464,int_stack+146814,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+222384,int_stack+200604,int_stack+157704,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+128334,int_stack+222384,int_stack+175854,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+165459,int_stack+87194,int_stack+82189,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+252634,int_stack+165459,int_stack+115464,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+278374,int_stack+252634,int_stack+200604,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+278374,int_stack+222384,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+180474,int_stack+0,int_stack+128334,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115464,int_stack+92969,int_stack+87194,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+132789,int_stack+115464,int_stack+165459,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+45375,int_stack+132789,int_stack+252634,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+635997,int_stack+45375,int_stack+278374,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+232449,int_stack+635997,int_stack+0,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+690447,int_stack+232449,int_stack+180474,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+99569,int_stack+92969,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+162819,int_stack+0,int_stack+115464,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+759747,int_stack+162819,int_stack+132789,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+809797,int_stack+759747,int_stack+45375,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+19800,int_stack+809797,int_stack+635997,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+874147,int_stack+19800,int_stack+232449,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+197469,int_stack+874147,int_stack+690447,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+635997,int_stack+107049,int_stack+99569,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+658437,int_stack+635997,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+698037,int_stack+658437,int_stack+162819,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+96030,int_stack+698037,int_stack+759747,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+635997,int_stack+96030,int_stack+809797,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+726087,int_stack+635997,int_stack+19800,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+726087,int_stack+874147,55);
 /*--- compute (m0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+635997,int_stack+0,int_stack+197469,55);
 /*--- compute (lp|ll) ---*/
 hrr1_build_lp(Libint->AB,int_stack+0,int_stack+635997,int_stack+326172,2025);
 /*--- compute (kd|ll) ---*/
 hrr1_build_kd(Libint->AB,int_stack+635997,int_stack+0,int_stack+417297,2025);
 return int_stack+635997;}
