#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfii(Libint_t*, prim_data*);

  /* Computes quartets of (kf|ii) integrals */

REALTYPE *hrr_order_kfii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][6] = int_stack + 0;
 Libint->vrr_classes[7][7] = int_stack + 1008;
 Libint->vrr_classes[7][8] = int_stack + 2304;
 Libint->vrr_classes[7][9] = int_stack + 3924;
 Libint->vrr_classes[7][10] = int_stack + 5904;
 Libint->vrr_classes[7][11] = int_stack + 8280;
 Libint->vrr_classes[7][12] = int_stack + 11088;
 Libint->vrr_classes[8][6] = int_stack + 14364;
 Libint->vrr_classes[8][7] = int_stack + 15624;
 Libint->vrr_classes[8][8] = int_stack + 17244;
 Libint->vrr_classes[8][9] = int_stack + 19269;
 Libint->vrr_classes[8][10] = int_stack + 21744;
 Libint->vrr_classes[8][11] = int_stack + 24714;
 Libint->vrr_classes[8][12] = int_stack + 28224;
 Libint->vrr_classes[9][6] = int_stack + 32319;
 Libint->vrr_classes[9][7] = int_stack + 33859;
 Libint->vrr_classes[9][8] = int_stack + 35839;
 Libint->vrr_classes[9][9] = int_stack + 38314;
 Libint->vrr_classes[9][10] = int_stack + 41339;
 Libint->vrr_classes[9][11] = int_stack + 44969;
 Libint->vrr_classes[9][12] = int_stack + 49259;
 Libint->vrr_classes[10][6] = int_stack + 54264;
 Libint->vrr_classes[10][7] = int_stack + 56112;
 Libint->vrr_classes[10][8] = int_stack + 58488;
 Libint->vrr_classes[10][9] = int_stack + 61458;
 Libint->vrr_classes[10][10] = int_stack + 65088;
 Libint->vrr_classes[10][11] = int_stack + 69444;
 Libint->vrr_classes[10][12] = int_stack + 74592;
 memset(int_stack,0,80598*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 80598;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfii(Libint, Data);
   Data++;
 }
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+80598,int_stack+1008,int_stack+0,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+83622,int_stack+2304,int_stack+1008,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+87510,int_stack+83622,int_stack+80598,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+93558,int_stack+3924,int_stack+2304,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+98418,int_stack+93558,int_stack+83622,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+106194,int_stack+98418,int_stack+87510,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80598,int_stack+5904,int_stack+3924,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+116274,int_stack+80598,int_stack+93558,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+125994,int_stack+116274,int_stack+98418,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+86538,int_stack+125994,int_stack+106194,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+101658,int_stack+8280,int_stack+5904,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+138954,int_stack+101658,int_stack+80598,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+150834,int_stack+138954,int_stack+116274,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+167034,int_stack+150834,int_stack+125994,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+108786,int_stack+167034,int_stack+86538,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+80598,int_stack+11088,int_stack+8280,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+80598,int_stack+101658,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+80598,int_stack+0,int_stack+138954,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+186474,int_stack+80598,int_stack+150834,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+80598,int_stack+186474,int_stack+167034,36);
 /*--- compute (k0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+129954,int_stack+80598,int_stack+108786,36);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+80598,int_stack+15624,int_stack+14364,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+84378,int_stack+17244,int_stack+15624,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+89238,int_stack+84378,int_stack+80598,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+96798,int_stack+19269,int_stack+17244,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+102873,int_stack+96798,int_stack+84378,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+112593,int_stack+102873,int_stack+89238,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80598,int_stack+21744,int_stack+19269,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+80598,int_stack+96798,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+158178,int_stack+0,int_stack+102873,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+88023,int_stack+158178,int_stack+112593,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+106923,int_stack+24714,int_stack+21744,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+174378,int_stack+106923,int_stack+80598,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+189228,int_stack+174378,int_stack+0,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+189228,int_stack+158178,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+209478,int_stack+0,int_stack+88023,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+158178,int_stack+28224,int_stack+24714,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+80598,int_stack+158178,int_stack+106923,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+98418,int_stack+80598,int_stack+174378,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+158178,int_stack+98418,int_stack+189228,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+80598,int_stack+158178,int_stack+0,45);
 /*--- compute (l0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+158178,int_stack+80598,int_stack+209478,45);
 /*--- compute (kp|ii) ---*/
 hrr1_build_kp(Libint->AB,int_stack+193458,int_stack+158178,int_stack+129954,784);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+80598,int_stack+33859,int_stack+32319,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+85218,int_stack+35839,int_stack+33859,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+91158,int_stack+85218,int_stack+80598,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+100398,int_stack+38314,int_stack+35839,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+107823,int_stack+100398,int_stack+85218,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+119703,int_stack+107823,int_stack+91158,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80598,int_stack+41339,int_stack+38314,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+135103,int_stack+80598,int_stack+100398,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+135103,int_stack+107823,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+89673,int_stack+0,int_stack+119703,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+112773,int_stack+44969,int_stack+41339,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19800,int_stack+112773,int_stack+80598,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+278130,int_stack+19800,int_stack+135103,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+123663,int_stack+278130,int_stack+0,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+302880,int_stack+123663,int_stack+89673,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+49259,int_stack+44969,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+80598,int_stack+0,int_stack+112773,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+335220,int_stack+80598,int_stack+19800,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+80598,int_stack+335220,int_stack+278130,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+80598,int_stack+123663,55);
 /*--- compute (m0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+80598,int_stack+0,int_stack+302880,55);
 /*--- compute (lp|ii) ---*/
 hrr1_build_lp(Libint->AB,int_stack+278130,int_stack+80598,int_stack+158178,784);
 /*--- compute (kd|ii) ---*/
 hrr1_build_kd(Libint->AB,int_stack+383970,int_stack+278130,int_stack+193458,784);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+56112,int_stack+54264,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5544,int_stack+58488,int_stack+56112,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12672,int_stack+5544,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23760,int_stack+61458,int_stack+58488,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32670,int_stack+23760,int_stack+5544,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+123718,int_stack+32670,int_stack+12672,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+65088,int_stack+61458,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+46926,int_stack+0,int_stack+23760,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+142198,int_stack+46926,int_stack+32670,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+10890,int_stack+142198,int_stack+123718,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+123718,int_stack+69444,int_stack+65088,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+165958,int_stack+123718,int_stack+0,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+187738,int_stack+165958,int_stack+46926,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+217438,int_stack+187738,int_stack+142198,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+553314,int_stack+217438,int_stack+10890,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+74592,int_stack+69444,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15444,int_stack+0,int_stack+123718,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+123718,int_stack+15444,int_stack+165958,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+123718,int_stack+187738,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+123718,int_stack+0,int_stack+217438,66);
 /*--- compute (n0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+123718,int_stack+553314,66);
 /*--- compute (mp|ii) ---*/
 hrr1_build_mp(Libint->AB,int_stack+123718,int_stack+0,int_stack+80598,784);
 /*--- compute (ld|ii) ---*/
 hrr1_build_ld(Libint->AB,int_stack+553314,int_stack+123718,int_stack+278130,784);
 /*--- compute (kf|ii) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+553314,int_stack+383970,784);
 return int_stack+0;}
