#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kgml(Libint_t*, prim_data*);

  /* Computes quartets of (kg|ml) integrals */

REALTYPE *hrr_order_kgml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[7][17] = int_stack + 28944;
 Libint->vrr_classes[8][9] = int_stack + 35100;
 Libint->vrr_classes[8][10] = int_stack + 37575;
 Libint->vrr_classes[8][11] = int_stack + 40545;
 Libint->vrr_classes[8][12] = int_stack + 44055;
 Libint->vrr_classes[8][13] = int_stack + 48150;
 Libint->vrr_classes[8][14] = int_stack + 52875;
 Libint->vrr_classes[8][15] = int_stack + 58275;
 Libint->vrr_classes[8][16] = int_stack + 64395;
 Libint->vrr_classes[8][17] = int_stack + 71280;
 Libint->vrr_classes[9][9] = int_stack + 78975;
 Libint->vrr_classes[9][10] = int_stack + 82000;
 Libint->vrr_classes[9][11] = int_stack + 85630;
 Libint->vrr_classes[9][12] = int_stack + 89920;
 Libint->vrr_classes[9][13] = int_stack + 94925;
 Libint->vrr_classes[9][14] = int_stack + 100700;
 Libint->vrr_classes[9][15] = int_stack + 107300;
 Libint->vrr_classes[9][16] = int_stack + 114780;
 Libint->vrr_classes[9][17] = int_stack + 123195;
 Libint->vrr_classes[10][9] = int_stack + 132600;
 Libint->vrr_classes[10][10] = int_stack + 136230;
 Libint->vrr_classes[10][11] = int_stack + 140586;
 Libint->vrr_classes[10][12] = int_stack + 145734;
 Libint->vrr_classes[10][13] = int_stack + 151740;
 Libint->vrr_classes[10][14] = int_stack + 158670;
 Libint->vrr_classes[10][15] = int_stack + 166590;
 Libint->vrr_classes[10][16] = int_stack + 175566;
 Libint->vrr_classes[10][17] = int_stack + 185664;
 Libint->vrr_classes[11][9] = int_stack + 196950;
 Libint->vrr_classes[11][10] = int_stack + 201240;
 Libint->vrr_classes[11][11] = int_stack + 206388;
 Libint->vrr_classes[11][12] = int_stack + 212472;
 Libint->vrr_classes[11][13] = int_stack + 219570;
 Libint->vrr_classes[11][14] = int_stack + 227760;
 Libint->vrr_classes[11][15] = int_stack + 237120;
 Libint->vrr_classes[11][16] = int_stack + 247728;
 Libint->vrr_classes[11][17] = int_stack + 259662;
 memset(int_stack,0,273000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 273000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kgml(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273000,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+278940,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+286068,int_stack+278940,int_stack+273000,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+297948,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+306372,int_stack+297948,int_stack+278940,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+320628,int_stack+306372,int_stack+286068,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273000,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+340428,int_stack+273000,int_stack+297948,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+357276,int_stack+340428,int_stack+306372,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+282828,int_stack+357276,int_stack+320628,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+312528,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+381036,int_stack+312528,int_stack+273000,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+400692,int_stack+381036,int_stack+340428,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+428772,int_stack+400692,int_stack+357276,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+323868,int_stack+428772,int_stack+282828,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273000,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+285960,int_stack+273000,int_stack+312528,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+464412,int_stack+285960,int_stack+381036,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+497172,int_stack+464412,int_stack+400692,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+365448,int_stack+497172,int_stack+428772,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+539292,int_stack+365448,int_stack+323868,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+308640,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+323328,int_stack+308640,int_stack+273000,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+415344,int_stack+323328,int_stack+285960,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+594732,int_stack+415344,int_stack+464412,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+643872,int_stack+594732,int_stack+497172,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+453144,int_stack+643872,int_stack+365448,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+702840,int_stack+453144,int_stack+539292,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+273000,int_stack+28944,int_stack+23436,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+349248,int_stack+273000,int_stack+308640,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+273000,int_stack+349248,int_stack+323328,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+316200,int_stack+273000,int_stack+415344,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+372900,int_stack+316200,int_stack+594732,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+273000,int_stack+372900,int_stack+643872,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+351624,int_stack+273000,int_stack+453144,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+437160,int_stack+351624,int_stack+702840,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273000,int_stack+37575,int_stack+35100,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+280425,int_stack+40545,int_stack+37575,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+289335,int_stack+280425,int_stack+273000,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+304185,int_stack+44055,int_stack+40545,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+314715,int_stack+304185,int_stack+280425,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+332535,int_stack+314715,int_stack+289335,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273000,int_stack+48150,int_stack+44055,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+357285,int_stack+273000,int_stack+304185,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+378345,int_stack+357285,int_stack+314715,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+285285,int_stack+378345,int_stack+332535,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+322410,int_stack+52875,int_stack+48150,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+408045,int_stack+322410,int_stack+273000,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+526260,int_stack+408045,int_stack+357285,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+561360,int_stack+526260,int_stack+378345,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+336585,int_stack+561360,int_stack+285285,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273000,int_stack+58275,int_stack+52875,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+289200,int_stack+273000,int_stack+322410,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+605910,int_stack+289200,int_stack+408045,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+646860,int_stack+605910,int_stack+526260,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+699510,int_stack+646860,int_stack+561360,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+526260,int_stack+699510,int_stack+336585,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+317550,int_stack+64395,int_stack+58275,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+335910,int_stack+317550,int_stack+273000,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+368310,int_stack+335910,int_stack+289200,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+368310,int_stack+605910,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+761880,int_stack+0,int_stack+646860,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+595560,int_stack+761880,int_stack+699510,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+835590,int_stack+595560,int_stack+526260,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+526260,int_stack+71280,int_stack+64395,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+546915,int_stack+526260,int_stack+317550,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+273000,int_stack+546915,int_stack+335910,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+678720,int_stack+273000,int_stack+368310,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+273000,int_stack+678720,int_stack+0,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+924690,int_stack+273000,int_stack+761880,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+273000,int_stack+924690,int_stack+595560,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+526260,int_stack+273000,int_stack+835590,45);
 /*--- compute (kp|ml) ---*/
 hrr1_build_kp(Libint->AB,int_stack+637635,int_stack+526260,int_stack+437160,2475);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273000,int_stack+82000,int_stack+78975,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+282075,int_stack+85630,int_stack+82000,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+292965,int_stack+282075,int_stack+273000,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+311115,int_stack+89920,int_stack+85630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+323985,int_stack+311115,int_stack+282075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+345765,int_stack+323985,int_stack+292965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273000,int_stack+94925,int_stack+89920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+376015,int_stack+273000,int_stack+311115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+401755,int_stack+376015,int_stack+323985,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+288015,int_stack+401755,int_stack+345765,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+333390,int_stack+100700,int_stack+94925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+438055,int_stack+333390,int_stack+273000,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+468085,int_stack+438055,int_stack+376015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+468085,int_stack+401755,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+350715,int_stack+0,int_stack+288015,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273000,int_stack+107300,int_stack+100700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+292800,int_stack+273000,int_stack+333390,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+54450,int_stack+292800,int_stack+438055,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+904935,int_stack+54450,int_stack+468085,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+414240,int_stack+904935,int_stack+0,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+969285,int_stack+414240,int_stack+350715,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+114780,int_stack+107300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+327450,int_stack+0,int_stack+273000,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1053985,int_stack+327450,int_stack+292800,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1111735,int_stack+1053985,int_stack+54450,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+22440,int_stack+1111735,int_stack+904935,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1186810,int_stack+22440,int_stack+414240,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+367050,int_stack+1186810,int_stack+969285,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+904935,int_stack+123195,int_stack+114780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+930180,int_stack+904935,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+975060,int_stack+930180,int_stack+327450,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+273000,int_stack+975060,int_stack+1053985,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+904935,int_stack+273000,int_stack+1111735,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1010040,int_stack+904935,int_stack+22440,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1010040,int_stack+1186810,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+904935,int_stack+0,int_stack+367050,55);
 /*--- compute (lp|ml) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1041060,int_stack+904935,int_stack+526260,2475);
 /*--- compute (kd|ml) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1375185,int_stack+1041060,int_stack+637635,2475);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+136230,int_stack+132600,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+140586,int_stack+136230,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45738,int_stack+145734,int_stack+140586,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+61182,int_stack+45738,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+87318,int_stack+61182,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+151740,int_stack+145734,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+273000,int_stack+0,int_stack+45738,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+303888,int_stack+273000,int_stack+61182,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+18018,int_stack+303888,int_stack+87318,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72468,int_stack+158670,int_stack+151740,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+93258,int_stack+72468,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+347448,int_stack+93258,int_stack+273000,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+398928,int_stack+347448,int_stack+303888,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+464268,int_stack+398928,int_stack+18018,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273000,int_stack+166590,int_stack+158670,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+296760,int_stack+273000,int_stack+72468,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+296760,int_stack+93258,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60060,int_stack+0,int_stack+347448,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+540498,int_stack+60060,int_stack+398928,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+338340,int_stack+540498,int_stack+464268,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+439980,int_stack+175566,int_stack+166590,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+466908,int_stack+439980,int_stack+273000,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+631974,int_stack+466908,int_stack+296760,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+701274,int_stack+631974,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+791364,int_stack+701274,int_stack+60060,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+791364,int_stack+540498,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1909785,int_stack+0,int_stack+338340,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+121968,int_stack+185664,int_stack+175566,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+273000,int_stack+121968,int_stack+439980,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+326856,int_stack+273000,int_stack+466908,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+406056,int_stack+326856,int_stack+631974,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+273000,int_stack+406056,int_stack+701274,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+399126,int_stack+273000,int_stack+791364,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+543270,int_stack+399126,int_stack+0,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+543270,int_stack+1909785,66);
 /*--- compute (mp|ml) ---*/
 hrr1_build_mp(Libint->AB,int_stack+273000,int_stack+0,int_stack+904935,2475);
 /*--- compute (ld|ml) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1909785,int_stack+273000,int_stack+1041060,2475);
 /*--- compute (kf|ml) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2578035,int_stack+1909785,int_stack+1375185,2475);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163350,int_stack+201240,int_stack+196950,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176220,int_stack+206388,int_stack+201240,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+681375,int_stack+176220,int_stack+163350,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+707115,int_stack+212472,int_stack+206388,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+725367,int_stack+707115,int_stack+176220,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+163350,int_stack+725367,int_stack+681375,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+681375,int_stack+219570,int_stack+212472,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+756255,int_stack+681375,int_stack+707115,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+792759,int_stack+756255,int_stack+725367,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+844239,int_stack+792759,int_stack+163350,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+163350,int_stack+227760,int_stack+219570,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+702669,int_stack+163350,int_stack+681375,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+908589,int_stack+702669,int_stack+756255,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+969429,int_stack+908589,int_stack+792759,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+745257,int_stack+969429,int_stack+844239,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+187920,int_stack+237120,int_stack+227760,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+835347,int_stack+187920,int_stack+163350,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1046649,int_stack+835347,int_stack+702669,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1117629,int_stack+1046649,int_stack+908589,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1208889,int_stack+1117629,int_stack+969429,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+884487,int_stack+1208889,int_stack+745257,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+681375,int_stack+247728,int_stack+237120,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+713199,int_stack+681375,int_stack+187920,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+163350,int_stack+713199,int_stack+835347,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+769359,int_stack+163350,int_stack+1046649,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1316997,int_stack+769359,int_stack+1117629,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1004607,int_stack+1316997,int_stack+1208889,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1148751,int_stack+1004607,int_stack+884487,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+875829,int_stack+259662,int_stack+247728,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+911631,int_stack+875829,int_stack+681375,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1444761,int_stack+911631,int_stack+713199,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+875829,int_stack+1444761,int_stack+163350,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1444761,int_stack+875829,int_stack+769359,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1593819,int_stack+1444761,int_stack+1316997,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+681375,int_stack+1593819,int_stack+1004607,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+866703,int_stack+681375,int_stack+1148751,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+1059753,int_stack+866703,int_stack+0,2475);
 /*--- compute (md|ml) ---*/
 hrr1_build_md(Libint->AB,int_stack+3469035,int_stack+1059753,int_stack+273000,2475);
 /*--- compute (lf|ml) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+3469035,int_stack+1909785,2475);
 /*--- compute (kg|ml) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1113750,int_stack+0,int_stack+2578035,2475);
 return int_stack+1113750;}
