#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khmh(Libint_t*, prim_data*);

  /* Computes quartets of (kh|mh) integrals */

REALTYPE *hrr_order_khmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[8][9] = int_stack + 18540;
 Libint->vrr_classes[8][10] = int_stack + 21015;
 Libint->vrr_classes[8][11] = int_stack + 23985;
 Libint->vrr_classes[8][12] = int_stack + 27495;
 Libint->vrr_classes[8][13] = int_stack + 31590;
 Libint->vrr_classes[8][14] = int_stack + 36315;
 Libint->vrr_classes[9][9] = int_stack + 41715;
 Libint->vrr_classes[9][10] = int_stack + 44740;
 Libint->vrr_classes[9][11] = int_stack + 48370;
 Libint->vrr_classes[9][12] = int_stack + 52660;
 Libint->vrr_classes[9][13] = int_stack + 57665;
 Libint->vrr_classes[9][14] = int_stack + 63440;
 Libint->vrr_classes[10][9] = int_stack + 70040;
 Libint->vrr_classes[10][10] = int_stack + 73670;
 Libint->vrr_classes[10][11] = int_stack + 78026;
 Libint->vrr_classes[10][12] = int_stack + 83174;
 Libint->vrr_classes[10][13] = int_stack + 89180;
 Libint->vrr_classes[10][14] = int_stack + 96110;
 Libint->vrr_classes[11][9] = int_stack + 104030;
 Libint->vrr_classes[11][10] = int_stack + 108320;
 Libint->vrr_classes[11][11] = int_stack + 113468;
 Libint->vrr_classes[11][12] = int_stack + 119552;
 Libint->vrr_classes[11][13] = int_stack + 126650;
 Libint->vrr_classes[11][14] = int_stack + 134840;
 Libint->vrr_classes[12][9] = int_stack + 144200;
 Libint->vrr_classes[12][10] = int_stack + 149205;
 Libint->vrr_classes[12][11] = int_stack + 155211;
 Libint->vrr_classes[12][12] = int_stack + 162309;
 Libint->vrr_classes[12][13] = int_stack + 170590;
 Libint->vrr_classes[12][14] = int_stack + 180145;
 memset(int_stack,0,191065*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 191065;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khmh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+191065,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+197005,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+204133,int_stack+197005,int_stack+191065,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+216013,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+224437,int_stack+216013,int_stack+197005,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+238693,int_stack+224437,int_stack+204133,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+191065,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+258493,int_stack+191065,int_stack+216013,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+275341,int_stack+258493,int_stack+224437,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+200893,int_stack+275341,int_stack+238693,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+230593,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+299101,int_stack+230593,int_stack+191065,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+318757,int_stack+299101,int_stack+258493,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+230593,int_stack+318757,int_stack+275341,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+266233,int_stack+230593,int_stack+200893,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+191065,int_stack+21015,int_stack+18540,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+198490,int_stack+23985,int_stack+21015,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+207400,int_stack+198490,int_stack+191065,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+222250,int_stack+27495,int_stack+23985,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+232780,int_stack+222250,int_stack+198490,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+307813,int_stack+232780,int_stack+207400,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+191065,int_stack+31590,int_stack+27495,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+191065,int_stack+222250,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+332563,int_stack+0,int_stack+232780,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+203350,int_stack+332563,int_stack+307813,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+307813,int_stack+36315,int_stack+31590,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+240475,int_stack+307813,int_stack+191065,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+362263,int_stack+240475,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+397363,int_stack+362263,int_stack+332563,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+307813,int_stack+397363,int_stack+203350,45);
 /*--- compute (kp|mh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+359788,int_stack+307813,int_stack+266233,1155);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+44740,int_stack+41715,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+48370,int_stack+44740,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+191065,int_stack+52660,int_stack+48370,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+203935,int_stack+191065,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+225715,int_stack+203935,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+57665,int_stack+52660,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+15015,int_stack+0,int_stack+191065,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+255965,int_stack+15015,int_stack+203935,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+484528,int_stack+255965,int_stack+225715,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191065,int_stack+63440,int_stack+57665,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+208390,int_stack+191065,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+529903,int_stack+208390,int_stack+15015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+529903,int_stack+255965,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+191065,int_stack+0,int_stack+484528,55);
 /*--- compute (lp|mh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+484528,int_stack+191065,int_stack+307813,1155);
 /*--- compute (kd|mh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+640453,int_stack+484528,int_stack+359788,1155);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+73670,int_stack+70040,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+78026,int_stack+73670,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45738,int_stack+83174,int_stack+78026,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+254590,int_stack+45738,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+280726,int_stack+254590,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+89180,int_stack+83174,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+317026,int_stack+0,int_stack+45738,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+18018,int_stack+317026,int_stack+254590,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+347914,int_stack+18018,int_stack+280726,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+254590,int_stack+96110,int_stack+89180,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+275380,int_stack+254590,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+402364,int_stack+275380,int_stack+317026,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+254590,int_stack+402364,int_stack+18018,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+402364,int_stack+254590,int_stack+347914,66);
 /*--- compute (mp|mh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+889933,int_stack+402364,int_stack+191065,1155);
 /*--- compute (ld|mh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1080508,int_stack+889933,int_stack+484528,1155);
 /*--- compute (kf|mh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1392358,int_stack+1080508,int_stack+640453,1155);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+191065,int_stack+108320,int_stack+104030,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+203935,int_stack+113468,int_stack+108320,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+219379,int_stack+203935,int_stack+191065,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+245119,int_stack+119552,int_stack+113468,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+263371,int_stack+245119,int_stack+203935,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+294259,int_stack+263371,int_stack+219379,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+191065,int_stack+126650,int_stack+119552,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+337159,int_stack+191065,int_stack+245119,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+478594,int_stack+337159,int_stack+263371,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+212359,int_stack+478594,int_stack+294259,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+276709,int_stack+134840,int_stack+126650,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+530074,int_stack+276709,int_stack+191065,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+572662,int_stack+530074,int_stack+337159,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+276709,int_stack+572662,int_stack+478594,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+478594,int_stack+276709,int_stack+212359,78);
 /*--- compute (np|mh) ---*/
 hrr1_build_np(Libint->AB,int_stack+568684,int_stack+478594,int_stack+402364,1155);
 /*--- compute (md|mh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1808158,int_stack+568684,int_stack+889933,1155);
 /*--- compute (lf|mh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2189308,int_stack+1808158,int_stack+1080508,1155);
 /*--- compute (kg|mh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2709058,int_stack+2189308,int_stack+1392358,1155);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+797374,int_stack+149205,int_stack+144200,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+812389,int_stack+155211,int_stack+149205,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+830407,int_stack+812389,int_stack+797374,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+860437,int_stack+162309,int_stack+155211,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+881731,int_stack+860437,int_stack+812389,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+917767,int_stack+881731,int_stack+830407,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+797374,int_stack+170590,int_stack+162309,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+967817,int_stack+797374,int_stack+860437,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1010405,int_stack+967817,int_stack+881731,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+822217,int_stack+1010405,int_stack+917767,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+897292,int_stack+180145,int_stack+170590,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1070465,int_stack+897292,int_stack+797374,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1120151,int_stack+1070465,int_stack+967817,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+897292,int_stack+1120151,int_stack+1010405,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+987382,int_stack+897292,int_stack+822217,91);
 /*--- compute (op|mh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1092487,int_stack+987382,int_stack+478594,1155);
 /*--- compute (nd|mh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+1092487,int_stack+568684,1155);
 /*--- compute (mf|mh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+457380,int_stack+0,int_stack+1808158,1155);
 /*--- compute (lg|mh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1092630,int_stack+457380,int_stack+2189308,1155);
 /*--- compute (kh|mh) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+1092630,int_stack+2709058,1155);
 return int_stack+0;}
