#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kilh(Libint_t*, prim_data*);

  /* Computes quartets of (ki|lh) integrals */

REALTYPE *hrr_order_kilh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[8][8] = int_stack + 15840;
 Libint->vrr_classes[8][9] = int_stack + 17865;
 Libint->vrr_classes[8][10] = int_stack + 20340;
 Libint->vrr_classes[8][11] = int_stack + 23310;
 Libint->vrr_classes[8][12] = int_stack + 26820;
 Libint->vrr_classes[8][13] = int_stack + 30915;
 Libint->vrr_classes[9][8] = int_stack + 35640;
 Libint->vrr_classes[9][9] = int_stack + 38115;
 Libint->vrr_classes[9][10] = int_stack + 41140;
 Libint->vrr_classes[9][11] = int_stack + 44770;
 Libint->vrr_classes[9][12] = int_stack + 49060;
 Libint->vrr_classes[9][13] = int_stack + 54065;
 Libint->vrr_classes[10][8] = int_stack + 59840;
 Libint->vrr_classes[10][9] = int_stack + 62810;
 Libint->vrr_classes[10][10] = int_stack + 66440;
 Libint->vrr_classes[10][11] = int_stack + 70796;
 Libint->vrr_classes[10][12] = int_stack + 75944;
 Libint->vrr_classes[10][13] = int_stack + 81950;
 Libint->vrr_classes[11][8] = int_stack + 88880;
 Libint->vrr_classes[11][9] = int_stack + 92390;
 Libint->vrr_classes[11][10] = int_stack + 96680;
 Libint->vrr_classes[11][11] = int_stack + 101828;
 Libint->vrr_classes[11][12] = int_stack + 107912;
 Libint->vrr_classes[11][13] = int_stack + 115010;
 Libint->vrr_classes[12][8] = int_stack + 123200;
 Libint->vrr_classes[12][9] = int_stack + 127295;
 Libint->vrr_classes[12][10] = int_stack + 132300;
 Libint->vrr_classes[12][11] = int_stack + 138306;
 Libint->vrr_classes[12][12] = int_stack + 145404;
 Libint->vrr_classes[12][13] = int_stack + 153685;
 Libint->vrr_classes[13][8] = int_stack + 163240;
 Libint->vrr_classes[13][9] = int_stack + 167965;
 Libint->vrr_classes[13][10] = int_stack + 173740;
 Libint->vrr_classes[13][11] = int_stack + 180670;
 Libint->vrr_classes[13][12] = int_stack + 188860;
 Libint->vrr_classes[13][13] = int_stack + 198415;
 memset(int_stack,0,209440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 209440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kilh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+209440,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+214300,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+220240,int_stack+214300,int_stack+209440,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+229960,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+237088,int_stack+229960,int_stack+214300,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+248968,int_stack+237088,int_stack+220240,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+209440,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+265168,int_stack+209440,int_stack+229960,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+279424,int_stack+265168,int_stack+237088,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+217864,int_stack+279424,int_stack+248968,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+242164,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+299224,int_stack+242164,int_stack+209440,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+316072,int_stack+299224,int_stack+265168,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+242164,int_stack+316072,int_stack+279424,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+271864,int_stack+242164,int_stack+217864,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+209440,int_stack+17865,int_stack+15840,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+215515,int_stack+20340,int_stack+17865,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+222940,int_stack+215515,int_stack+209440,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+235090,int_stack+23310,int_stack+20340,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+244000,int_stack+235090,int_stack+215515,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+305884,int_stack+244000,int_stack+222940,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+209440,int_stack+26820,int_stack+23310,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+209440,int_stack+235090,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+326134,int_stack+0,int_stack+244000,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+219970,int_stack+326134,int_stack+305884,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+305884,int_stack+30915,int_stack+26820,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+250345,int_stack+305884,int_stack+209440,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+350884,int_stack+250345,int_stack+0,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+380584,int_stack+350884,int_stack+326134,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+305884,int_stack+380584,int_stack+219970,45);
 /*--- compute (kp|lh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+348409,int_stack+305884,int_stack+271864,945);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+38115,int_stack+35640,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+41140,int_stack+38115,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+209440,int_stack+44770,int_stack+41140,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+220330,int_stack+209440,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+238480,int_stack+220330,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+49060,int_stack+44770,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+12870,int_stack+0,int_stack+209440,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+263230,int_stack+12870,int_stack+220330,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+450469,int_stack+263230,int_stack+238480,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+209440,int_stack+54065,int_stack+49060,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+224455,int_stack+209440,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+487594,int_stack+224455,int_stack+12870,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+487594,int_stack+263230,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+209440,int_stack+0,int_stack+450469,55);
 /*--- compute (lp|lh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+450469,int_stack+209440,int_stack+305884,945);
 /*--- compute (kd|lh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+578044,int_stack+450469,int_stack+348409,945);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+62810,int_stack+59840,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+66440,int_stack+62810,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37620,int_stack+70796,int_stack+66440,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+261415,int_stack+37620,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+283195,int_stack+261415,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+75944,int_stack+70796,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+312895,int_stack+0,int_stack+37620,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+15444,int_stack+312895,int_stack+261415,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+339031,int_stack+15444,int_stack+283195,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+261415,int_stack+81950,int_stack+75944,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+279433,int_stack+261415,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+383581,int_stack+279433,int_stack+312895,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+261415,int_stack+383581,int_stack+15444,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+383581,int_stack+261415,int_stack+339031,66);
 /*--- compute (mp|lh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+782164,int_stack+383581,int_stack+209440,945);
 /*--- compute (ld|lh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+938089,int_stack+782164,int_stack+450469,945);
 /*--- compute (kf|lh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1193239,int_stack+938089,int_stack+578044,945);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+209440,int_stack+92390,int_stack+88880,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+219970,int_stack+96680,int_stack+92390,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+232840,int_stack+219970,int_stack+209440,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+253900,int_stack+101828,int_stack+96680,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+269344,int_stack+253900,int_stack+219970,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+295084,int_stack+269344,int_stack+232840,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+209440,int_stack+107912,int_stack+101828,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+330184,int_stack+209440,int_stack+253900,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+445951,int_stack+330184,int_stack+269344,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+227692,int_stack+445951,int_stack+295084,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+280342,int_stack+115010,int_stack+107912,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+488851,int_stack+280342,int_stack+209440,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+525355,int_stack+488851,int_stack+330184,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+280342,int_stack+525355,int_stack+445951,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+445951,int_stack+280342,int_stack+227692,78);
 /*--- compute (np|lh) ---*/
 hrr1_build_np(Libint->AB,int_stack+519661,int_stack+445951,int_stack+383581,945);
 /*--- compute (md|lh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1533439,int_stack+519661,int_stack+782164,945);
 /*--- compute (lf|lh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1845289,int_stack+1533439,int_stack+938089,945);
 /*--- compute (kg|lh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2270539,int_stack+1845289,int_stack+1193239,945);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+706771,int_stack+127295,int_stack+123200,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+719056,int_stack+132300,int_stack+127295,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+734071,int_stack+719056,int_stack+706771,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+758641,int_stack+138306,int_stack+132300,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+776659,int_stack+758641,int_stack+719056,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+806689,int_stack+776659,int_stack+734071,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+706771,int_stack+145404,int_stack+138306,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+847639,int_stack+706771,int_stack+758641,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+883675,int_stack+847639,int_stack+776659,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+728065,int_stack+883675,int_stack+806689,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+789490,int_stack+153685,int_stack+145404,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+933725,int_stack+789490,int_stack+706771,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+976313,int_stack+933725,int_stack+847639,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+789490,int_stack+976313,int_stack+883675,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+864565,int_stack+789490,int_stack+728065,91);
 /*--- compute (op|lh) ---*/
 hrr1_build_op(Libint->AB,int_stack+950560,int_stack+864565,int_stack+445951,945);
 /*--- compute (nd|lh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2780839,int_stack+950560,int_stack+519661,945);
 /*--- compute (mf|lh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+209440,int_stack+2780839,int_stack+1533439,945);
 /*--- compute (lg|lh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1171690,int_stack+209440,int_stack+1845289,945);
 /*--- compute (kh|lh) ---*/
 hrr1_build_kh(Libint->AB,int_stack+3155059,int_stack+1171690,int_stack+2270539,945);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1809565,int_stack+167965,int_stack+163240,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1823740,int_stack+173740,int_stack+167965,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1841065,int_stack+1823740,int_stack+1809565,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1869415,int_stack+180670,int_stack+173740,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1890205,int_stack+1869415,int_stack+1823740,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+1924855,int_stack+1890205,int_stack+1841065,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1809565,int_stack+188860,int_stack+180670,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1972105,int_stack+1809565,int_stack+1869415,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2013685,int_stack+1972105,int_stack+1890205,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+1834135,int_stack+2013685,int_stack+1924855,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1905010,int_stack+198415,int_stack+188860,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2071435,int_stack+1905010,int_stack+1809565,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2120575,int_stack+2071435,int_stack+1972105,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1905010,int_stack+2120575,int_stack+2013685,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1991635,int_stack+1905010,int_stack+1834135,105);
 /*--- compute (qp|lh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2090860,int_stack+1991635,int_stack+864565,945);
 /*--- compute (od|lh) ---*/
 hrr1_build_od(Libint->AB,int_stack+3869479,int_stack+2090860,int_stack+950560,945);
 /*--- compute (nf|lh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+1809565,int_stack+3869479,int_stack+2780839,945);
 /*--- compute (mg|lh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+3869479,int_stack+1809565,int_stack+209440,945);
 /*--- compute (lh|lh) ---*/
 hrr1_build_lh(Libint->AB,int_stack+1809565,int_stack+3869479,int_stack+1171690,945);
 /*--- compute (ki|lh) ---*/
 hrr1_build_ki(Libint->AB,int_stack+0,int_stack+1809565,int_stack+3155059,945);
 return int_stack+0;}
