#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpmi(Libint_t*, prim_data*);

  /* Computes quartets of (kp|mi) integrals */

REALTYPE *hrr_order_kpmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[8][9] = int_stack + 23436;
 Libint->vrr_classes[8][10] = int_stack + 25911;
 Libint->vrr_classes[8][11] = int_stack + 28881;
 Libint->vrr_classes[8][12] = int_stack + 32391;
 Libint->vrr_classes[8][13] = int_stack + 36486;
 Libint->vrr_classes[8][14] = int_stack + 41211;
 Libint->vrr_classes[8][15] = int_stack + 46611;
 memset(int_stack,0,52731*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 52731;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpmi(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+52731,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+58671,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+65799,int_stack+58671,int_stack+52731,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+77679,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+86103,int_stack+77679,int_stack+58671,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+100359,int_stack+86103,int_stack+65799,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+52731,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+120159,int_stack+52731,int_stack+77679,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+137007,int_stack+120159,int_stack+86103,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+62559,int_stack+137007,int_stack+100359,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+92259,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+160767,int_stack+92259,int_stack+52731,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+180423,int_stack+160767,int_stack+120159,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+208503,int_stack+180423,int_stack+137007,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+103599,int_stack+208503,int_stack+62559,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+52731,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+65691,int_stack+52731,int_stack+92259,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+244143,int_stack+65691,int_stack+160767,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+52731,int_stack+244143,int_stack+180423,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+145179,int_stack+52731,int_stack+208503,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+195075,int_stack+145179,int_stack+103599,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+52731,int_stack+25911,int_stack+23436,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+60156,int_stack+28881,int_stack+25911,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+69066,int_stack+60156,int_stack+52731,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+83916,int_stack+32391,int_stack+28881,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+94446,int_stack+83916,int_stack+60156,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+112266,int_stack+94446,int_stack+69066,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+52731,int_stack+36486,int_stack+32391,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+137016,int_stack+52731,int_stack+83916,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+158076,int_stack+137016,int_stack+94446,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+65016,int_stack+158076,int_stack+112266,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+102141,int_stack+41211,int_stack+36486,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+250515,int_stack+102141,int_stack+52731,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+250515,int_stack+137016,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+275085,int_stack+0,int_stack+158076,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+116316,int_stack+275085,int_stack+65016,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+52731,int_stack+46611,int_stack+41211,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+68931,int_stack+52731,int_stack+102141,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+319635,int_stack+68931,int_stack+250515,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+35100,int_stack+319635,int_stack+0,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+319635,int_stack+35100,int_stack+275085,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+319635,int_stack+116316,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+250515,int_stack+0,int_stack+195075,1540);
 return int_stack+250515;}
