#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpnd(Libint_t*, prim_data*);

  /* Computes quartets of (kp|nd) integrals */

REALTYPE *hrr_order_kpnd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[8][10] = int_stack + 8460;
 Libint->vrr_classes[8][11] = int_stack + 11430;
 Libint->vrr_classes[8][12] = int_stack + 14940;
 memset(int_stack,0,19035*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 19035;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpnd(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19035,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+26163,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+34587,int_stack+26163,int_stack+19035,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19035,int_stack+11430,int_stack+8460,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+14940,int_stack+11430,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48843,int_stack+0,int_stack+19035,45);
 /*--- compute (kp|nd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+66663,int_stack+48843,int_stack+34587,396);
 return int_stack+66663;}
