#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0lf(Libint_t*, prim_data*);

  /* Computes quartets of (l0|lf) integrals */

REALTYPE *hrr_order_l0lf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 memset(int_stack,0,10980*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10980;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0lf(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10980,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+17055,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24480,int_stack+17055,int_stack+10980,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36630,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+36630,int_stack+17055,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+36630,int_stack+0,int_stack+24480,45);
 return int_stack+36630;}
