#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0mk(Libint_t*, prim_data*);

  /* Computes quartets of (l0|mk) integrals */

REALTYPE *hrr_order_l0mk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[8][16] = int_stack + 29295;
 memset(int_stack,0,36180*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 36180;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0mk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+36180,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+43605,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+52515,int_stack+43605,int_stack+36180,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67365,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+77895,int_stack+67365,int_stack+43605,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+95715,int_stack+77895,int_stack+52515,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+36180,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+120465,int_stack+36180,int_stack+67365,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+141525,int_stack+120465,int_stack+77895,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+48465,int_stack+141525,int_stack+95715,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85590,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+171225,int_stack+85590,int_stack+36180,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+195795,int_stack+171225,int_stack+120465,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+230895,int_stack+195795,int_stack+141525,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+99765,int_stack+230895,int_stack+48465,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+36180,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+52380,int_stack+36180,int_stack+85590,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+275445,int_stack+52380,int_stack+171225,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+316395,int_stack+275445,int_stack+195795,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+151740,int_stack+316395,int_stack+230895,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+369045,int_stack+151740,int_stack+99765,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+80730,int_stack+29295,int_stack+23175,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+99090,int_stack+80730,int_stack+36180,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+214110,int_stack+99090,int_stack+52380,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+214110,int_stack+275445,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+214110,int_stack+0,int_stack+316395,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+214110,int_stack+151740,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+83160,int_stack+0,int_stack+369045,45);
 return int_stack+83160;}
