#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lflh(Libint_t*, prim_data*);

  /* Computes quartets of (lf|lh) integrals */

REALTYPE *hrr_order_lflh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[9][8] = int_stack + 19800;
 Libint->vrr_classes[9][9] = int_stack + 22275;
 Libint->vrr_classes[9][10] = int_stack + 25300;
 Libint->vrr_classes[9][11] = int_stack + 28930;
 Libint->vrr_classes[9][12] = int_stack + 33220;
 Libint->vrr_classes[9][13] = int_stack + 38225;
 Libint->vrr_classes[10][8] = int_stack + 44000;
 Libint->vrr_classes[10][9] = int_stack + 46970;
 Libint->vrr_classes[10][10] = int_stack + 50600;
 Libint->vrr_classes[10][11] = int_stack + 54956;
 Libint->vrr_classes[10][12] = int_stack + 60104;
 Libint->vrr_classes[10][13] = int_stack + 66110;
 Libint->vrr_classes[11][8] = int_stack + 73040;
 Libint->vrr_classes[11][9] = int_stack + 76550;
 Libint->vrr_classes[11][10] = int_stack + 80840;
 Libint->vrr_classes[11][11] = int_stack + 85988;
 Libint->vrr_classes[11][12] = int_stack + 92072;
 Libint->vrr_classes[11][13] = int_stack + 99170;
 memset(int_stack,0,107360*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 107360;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lflh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+107360,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+113435,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+120860,int_stack+113435,int_stack+107360,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+133010,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+141920,int_stack+133010,int_stack+113435,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+156770,int_stack+141920,int_stack+120860,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+107360,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+177020,int_stack+107360,int_stack+133010,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+194840,int_stack+177020,int_stack+141920,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+117890,int_stack+194840,int_stack+156770,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+148265,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+219590,int_stack+148265,int_stack+107360,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+240650,int_stack+219590,int_stack+177020,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+148265,int_stack+240650,int_stack+194840,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+185390,int_stack+148265,int_stack+117890,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+107360,int_stack+22275,int_stack+19800,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+114785,int_stack+25300,int_stack+22275,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+123860,int_stack+114785,int_stack+107360,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+138710,int_stack+28930,int_stack+25300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+149600,int_stack+138710,int_stack+114785,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+227915,int_stack+149600,int_stack+123860,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+107360,int_stack+33220,int_stack+28930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+107360,int_stack+138710,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+252665,int_stack+0,int_stack+149600,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+120230,int_stack+252665,int_stack+227915,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+227915,int_stack+38225,int_stack+33220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+157355,int_stack+227915,int_stack+107360,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+282915,int_stack+157355,int_stack+0,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+319215,int_stack+282915,int_stack+252665,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+227915,int_stack+319215,int_stack+120230,55);
 /*--- compute (lp|lh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+279890,int_stack+227915,int_stack+185390,945);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+46970,int_stack+44000,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+50600,int_stack+46970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+107360,int_stack+54956,int_stack+50600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+120428,int_stack+107360,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+142208,int_stack+120428,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+60104,int_stack+54956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15444,int_stack+0,int_stack+107360,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+171908,int_stack+15444,int_stack+120428,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+407465,int_stack+171908,int_stack+142208,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+107360,int_stack+66110,int_stack+60104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+125378,int_stack+107360,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+452015,int_stack+125378,int_stack+15444,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+452015,int_stack+171908,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+107360,int_stack+0,int_stack+407465,66);
 /*--- compute (mp|lh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+407465,int_stack+107360,int_stack+227915,945);
 /*--- compute (ld|lh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+563390,int_stack+407465,int_stack+279890,945);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+76550,int_stack+73040,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+80840,int_stack+76550,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44460,int_stack+85988,int_stack+80840,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59904,int_stack+44460,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+169730,int_stack+59904,int_stack+23400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+92072,int_stack+85988,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+204830,int_stack+0,int_stack+44460,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+235718,int_stack+204830,int_stack+59904,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18252,int_stack+235718,int_stack+169730,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+169730,int_stack+99170,int_stack+92072,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+278618,int_stack+169730,int_stack+0,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+315122,int_stack+278618,int_stack+204830,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+169730,int_stack+315122,int_stack+235718,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+234080,int_stack+169730,int_stack+18252,78);
 /*--- compute (np|lh) ---*/
 hrr1_build_np(Libint->AB,int_stack+818540,int_stack+234080,int_stack+107360,945);
 /*--- compute (md|lh) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+818540,int_stack+407465,945);
 /*--- compute (lf|lh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+818540,int_stack+0,int_stack+563390,945);
 return int_stack+818540;}
