#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfni(Libint_t*, prim_data*);

  /* Computes quartets of (lf|ni) integrals */

REALTYPE *hrr_order_lfni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[9][10] = int_stack + 33705;
 Libint->vrr_classes[9][11] = int_stack + 37335;
 Libint->vrr_classes[9][12] = int_stack + 41625;
 Libint->vrr_classes[9][13] = int_stack + 46630;
 Libint->vrr_classes[9][14] = int_stack + 52405;
 Libint->vrr_classes[9][15] = int_stack + 59005;
 Libint->vrr_classes[9][16] = int_stack + 66485;
 Libint->vrr_classes[10][10] = int_stack + 74900;
 Libint->vrr_classes[10][11] = int_stack + 79256;
 Libint->vrr_classes[10][12] = int_stack + 84404;
 Libint->vrr_classes[10][13] = int_stack + 90410;
 Libint->vrr_classes[10][14] = int_stack + 97340;
 Libint->vrr_classes[10][15] = int_stack + 105260;
 Libint->vrr_classes[10][16] = int_stack + 114236;
 Libint->vrr_classes[11][10] = int_stack + 124334;
 Libint->vrr_classes[11][11] = int_stack + 129482;
 Libint->vrr_classes[11][12] = int_stack + 135566;
 Libint->vrr_classes[11][13] = int_stack + 142664;
 Libint->vrr_classes[11][14] = int_stack + 150854;
 Libint->vrr_classes[11][15] = int_stack + 160214;
 Libint->vrr_classes[11][16] = int_stack + 170822;
 memset(int_stack,0,182756*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 182756;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfni(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+182756,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+191666,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+202196,int_stack+191666,int_stack+182756,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+220016,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+232301,int_stack+220016,int_stack+191666,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+253361,int_stack+232301,int_stack+202196,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+182756,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+283061,int_stack+182756,int_stack+220016,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+196931,int_stack+283061,int_stack+232301,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+307631,int_stack+196931,int_stack+253361,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+232031,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+248231,int_stack+232031,int_stack+182756,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+352181,int_stack+248231,int_stack+283061,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+393131,int_stack+352181,int_stack+196931,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+445781,int_stack+393131,int_stack+307631,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+182756,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+276581,int_stack+182756,int_stack+232031,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+182756,int_stack+276581,int_stack+248231,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+230006,int_stack+182756,int_stack+352181,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+291431,int_stack+230006,int_stack+393131,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+182756,int_stack+291431,int_stack+445781,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+265916,int_stack+37335,int_stack+33705,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+276806,int_stack+41625,int_stack+37335,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+289676,int_stack+276806,int_stack+265916,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+311456,int_stack+46630,int_stack+41625,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+326471,int_stack+311456,int_stack+276806,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+352211,int_stack+326471,int_stack+289676,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+265916,int_stack+52405,int_stack+46630,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+388511,int_stack+265916,int_stack+311456,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+283241,int_stack+388511,int_stack+326471,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+418541,int_stack+283241,int_stack+352211,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+326141,int_stack+59005,int_stack+52405,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+345941,int_stack+326141,int_stack+265916,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+345941,int_stack+388511,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+472991,int_stack+0,int_stack+283241,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+537341,int_stack+472991,int_stack+418541,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+265916,int_stack+66485,int_stack+59005,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+380591,int_stack+265916,int_stack+326141,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+265916,int_stack+380591,int_stack+345941,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+323666,int_stack+265916,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+613571,int_stack+323666,int_stack+472991,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+265916,int_stack+613571,int_stack+537341,55);
 /*--- compute (lp|ni) ---*/
 hrr1_build_lp(Libint->AB,int_stack+367556,int_stack+265916,int_stack+182756,1848);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+182756,int_stack+79256,int_stack+74900,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+195824,int_stack+84404,int_stack+79256,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+211268,int_stack+195824,int_stack+182756,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+237404,int_stack+90410,int_stack+84404,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+237404,int_stack+195824,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+30888,int_stack+0,int_stack+211268,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+182756,int_stack+97340,int_stack+90410,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+617036,int_stack+182756,int_stack+237404,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+203546,int_stack+617036,int_stack+0,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+653072,int_stack+203546,int_stack+30888,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+105260,int_stack+97340,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23760,int_stack+0,int_stack+182756,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+718412,int_stack+23760,int_stack+617036,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+778472,int_stack+718412,int_stack+203546,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+855692,int_stack+778472,int_stack+653072,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+617036,int_stack+114236,int_stack+105260,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+643964,int_stack+617036,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+182756,int_stack+643964,int_stack+23760,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+182756,int_stack+718412,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+617036,int_stack+0,int_stack+778472,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+617036,int_stack+855692,66);
 /*--- compute (mp|ni) ---*/
 hrr1_build_mp(Libint->AB,int_stack+617036,int_stack+0,int_stack+265916,1848);
 /*--- compute (ld|ni) ---*/
 hrr1_build_ld(Libint->AB,int_stack+921956,int_stack+617036,int_stack+367556,1848);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+182756,int_stack+129482,int_stack+124334,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+198200,int_stack+135566,int_stack+129482,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+216452,int_stack+198200,int_stack+182756,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+247340,int_stack+142664,int_stack+135566,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+268634,int_stack+247340,int_stack+198200,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+305138,int_stack+268634,int_stack+216452,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+182756,int_stack+150854,int_stack+142664,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+356618,int_stack+182756,int_stack+247340,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+207326,int_stack+356618,int_stack+268634,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+399206,int_stack+207326,int_stack+305138,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+268166,int_stack+160214,int_stack+150854,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+296246,int_stack+268166,int_stack+182756,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+476426,int_stack+296246,int_stack+356618,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1420916,int_stack+476426,int_stack+207326,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1512176,int_stack+1420916,int_stack+399206,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+182756,int_stack+170822,int_stack+160214,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+345386,int_stack+182756,int_stack+268166,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+121968,int_stack+345386,int_stack+296246,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+203868,int_stack+121968,int_stack+476426,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+310338,int_stack+203868,int_stack+1420916,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+121968,int_stack+310338,int_stack+1512176,78);
 /*--- compute (np|ni) ---*/
 hrr1_build_np(Libint->AB,int_stack+1420916,int_stack+121968,int_stack+0,1848);
 /*--- compute (md|ni) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+1420916,int_stack+617036,1848);
 /*--- compute (lf|ni) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1420916,int_stack+0,int_stack+921956,1848);
 return int_stack+1420916;}
