#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lhnk(Libint_t*, prim_data*);

  /* Computes quartets of (lh|nk) integrals */

REALTYPE *hrr_order_lhnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[9][10] = int_stack + 41400;
 Libint->vrr_classes[9][11] = int_stack + 45030;
 Libint->vrr_classes[9][12] = int_stack + 49320;
 Libint->vrr_classes[9][13] = int_stack + 54325;
 Libint->vrr_classes[9][14] = int_stack + 60100;
 Libint->vrr_classes[9][15] = int_stack + 66700;
 Libint->vrr_classes[9][16] = int_stack + 74180;
 Libint->vrr_classes[9][17] = int_stack + 82595;
 Libint->vrr_classes[10][10] = int_stack + 92000;
 Libint->vrr_classes[10][11] = int_stack + 96356;
 Libint->vrr_classes[10][12] = int_stack + 101504;
 Libint->vrr_classes[10][13] = int_stack + 107510;
 Libint->vrr_classes[10][14] = int_stack + 114440;
 Libint->vrr_classes[10][15] = int_stack + 122360;
 Libint->vrr_classes[10][16] = int_stack + 131336;
 Libint->vrr_classes[10][17] = int_stack + 141434;
 Libint->vrr_classes[11][10] = int_stack + 152720;
 Libint->vrr_classes[11][11] = int_stack + 157868;
 Libint->vrr_classes[11][12] = int_stack + 163952;
 Libint->vrr_classes[11][13] = int_stack + 171050;
 Libint->vrr_classes[11][14] = int_stack + 179240;
 Libint->vrr_classes[11][15] = int_stack + 188600;
 Libint->vrr_classes[11][16] = int_stack + 199208;
 Libint->vrr_classes[11][17] = int_stack + 211142;
 Libint->vrr_classes[12][10] = int_stack + 224480;
 Libint->vrr_classes[12][11] = int_stack + 230486;
 Libint->vrr_classes[12][12] = int_stack + 237584;
 Libint->vrr_classes[12][13] = int_stack + 245865;
 Libint->vrr_classes[12][14] = int_stack + 255420;
 Libint->vrr_classes[12][15] = int_stack + 266340;
 Libint->vrr_classes[12][16] = int_stack + 278716;
 Libint->vrr_classes[12][17] = int_stack + 292639;
 Libint->vrr_classes[13][10] = int_stack + 308200;
 Libint->vrr_classes[13][11] = int_stack + 315130;
 Libint->vrr_classes[13][12] = int_stack + 323320;
 Libint->vrr_classes[13][13] = int_stack + 332875;
 Libint->vrr_classes[13][14] = int_stack + 343900;
 Libint->vrr_classes[13][15] = int_stack + 356500;
 Libint->vrr_classes[13][16] = int_stack + 370780;
 Libint->vrr_classes[13][17] = int_stack + 386845;
 memset(int_stack,0,404800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 404800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lhnk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+404800,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+413710,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+424240,int_stack+413710,int_stack+404800,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+442060,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+454345,int_stack+442060,int_stack+413710,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+475405,int_stack+454345,int_stack+424240,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404800,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+505105,int_stack+404800,int_stack+442060,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+418975,int_stack+505105,int_stack+454345,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+529675,int_stack+418975,int_stack+475405,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+454075,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+470275,int_stack+454075,int_stack+404800,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+574225,int_stack+470275,int_stack+505105,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+615175,int_stack+574225,int_stack+418975,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+667825,int_stack+615175,int_stack+529675,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+404800,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+498625,int_stack+404800,int_stack+454075,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+730195,int_stack+498625,int_stack+470275,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+423160,int_stack+730195,int_stack+574225,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+531025,int_stack+423160,int_stack+615175,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+777445,int_stack+531025,int_stack+667825,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+604735,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+625390,int_stack+604735,int_stack+404800,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+662110,int_stack+625390,int_stack+498625,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+860605,int_stack+662110,int_stack+730195,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+604735,int_stack+860605,int_stack+423160,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+404800,int_stack+604735,int_stack+531025,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+503080,int_stack+404800,int_stack+777445,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+404800,int_stack+45030,int_stack+41400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+415690,int_stack+49320,int_stack+45030,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+428560,int_stack+415690,int_stack+404800,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+450340,int_stack+54325,int_stack+49320,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+465355,int_stack+450340,int_stack+415690,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+610000,int_stack+465355,int_stack+428560,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404800,int_stack+60100,int_stack+54325,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+646300,int_stack+404800,int_stack+450340,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+422125,int_stack+646300,int_stack+465355,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+676330,int_stack+422125,int_stack+610000,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+610000,int_stack+66700,int_stack+60100,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+465025,int_stack+610000,int_stack+404800,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+730780,int_stack+465025,int_stack+646300,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+780830,int_stack+730780,int_stack+422125,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+845180,int_stack+780830,int_stack+676330,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+404800,int_stack+74180,int_stack+66700,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+629800,int_stack+404800,int_stack+610000,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+669400,int_stack+629800,int_stack+465025,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+427240,int_stack+669400,int_stack+730780,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+921410,int_stack+427240,int_stack+780830,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+727150,int_stack+921410,int_stack+845180,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+828790,int_stack+82595,int_stack+74180,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+854035,int_stack+828790,int_stack+404800,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+854035,int_stack+629800,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+828790,int_stack+0,int_stack+669400,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+610000,int_stack+828790,int_stack+427240,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1011500,int_stack+610000,int_stack+921410,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+828790,int_stack+1011500,int_stack+727150,55);
 /*--- compute (lp|nk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+959470,int_stack+828790,int_stack+503080,2376);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+96356,int_stack+92000,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+101504,int_stack+96356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+107510,int_stack+101504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+404800,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+114440,int_stack+107510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+448360,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+448360,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+484396,int_stack+20790,int_stack+404800,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+404800,int_stack+122360,int_stack+114440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+72270,int_stack+404800,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+549736,int_stack+72270,int_stack+448360,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+609796,int_stack+549736,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+687016,int_stack+609796,int_stack+484396,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+131336,int_stack+122360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+428560,int_stack+0,int_stack+404800,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+476080,int_stack+428560,int_stack+72270,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+26928,int_stack+476080,int_stack+549736,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1280230,int_stack+26928,int_stack+609796,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+545380,int_stack+1280230,int_stack+687016,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+667348,int_stack+141434,int_stack+131336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+697642,int_stack+667348,int_stack+0,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1388338,int_stack+697642,int_stack+428560,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+667348,int_stack+1388338,int_stack+476080,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+404800,int_stack+667348,int_stack+26928,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+667348,int_stack+404800,int_stack+1280230,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1280230,int_stack+667348,int_stack+545380,66);
 /*--- compute (mp|nk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+404800,int_stack+1280230,int_stack+828790,2376);
 /*--- compute (ld|nk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1437046,int_stack+404800,int_stack+959470,2376);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+796840,int_stack+157868,int_stack+152720,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+812284,int_stack+163952,int_stack+157868,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+830536,int_stack+812284,int_stack+796840,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+861424,int_stack+171050,int_stack+163952,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+882718,int_stack+861424,int_stack+812284,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+919222,int_stack+882718,int_stack+830536,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+796840,int_stack+179240,int_stack+171050,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+970702,int_stack+796840,int_stack+861424,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+821410,int_stack+970702,int_stack+882718,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1013290,int_stack+821410,int_stack+919222,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+882250,int_stack+188600,int_stack+179240,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+910330,int_stack+882250,int_stack+796840,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1090510,int_stack+910330,int_stack+970702,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1161490,int_stack+1090510,int_stack+821410,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+1161490,int_stack+1013290,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+796840,int_stack+199208,int_stack+188600,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+959470,int_stack+796840,int_stack+882250,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+108108,int_stack+959470,int_stack+910330,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+828664,int_stack+108108,int_stack+1090510,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1015630,int_stack+828664,int_stack+1161490,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2078566,int_stack+1015630,int_stack+0,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+211142,int_stack+199208,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+35802,int_stack+0,int_stack+796840,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1143394,int_stack+35802,int_stack+959470,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2222710,int_stack+1143394,int_stack+108108,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2222710,int_stack+828664,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+796840,int_stack+0,int_stack+1015630,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+796840,int_stack+2078566,78);
 /*--- compute (np|nk) ---*/
 hrr1_build_np(Libint->AB,int_stack+796840,int_stack+0,int_stack+1280230,2376);
 /*--- compute (md|nk) ---*/
 hrr1_build_md(Libint->AB,int_stack+2078566,int_stack+796840,int_stack+404800,2376);
 /*--- compute (lf|nk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2862646,int_stack+2078566,int_stack+1437046,2376);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+404800,int_stack+230486,int_stack+224480,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+422818,int_stack+237584,int_stack+230486,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+444112,int_stack+422818,int_stack+404800,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+480148,int_stack+245865,int_stack+237584,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+504991,int_stack+480148,int_stack+422818,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+547579,int_stack+504991,int_stack+444112,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404800,int_stack+255420,int_stack+245865,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+607639,int_stack+404800,int_stack+480148,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+433465,int_stack+607639,int_stack+504991,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+657325,int_stack+433465,int_stack+547579,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+504445,int_stack+266340,int_stack+255420,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+537205,int_stack+504445,int_stack+404800,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1267288,int_stack+537205,int_stack+607639,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1350098,int_stack+1267288,int_stack+433465,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1456568,int_stack+1350098,int_stack+657325,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+404800,int_stack+278716,int_stack+266340,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+594535,int_stack+404800,int_stack+504445,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+660055,int_stack+594535,int_stack+537205,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+441928,int_stack+660055,int_stack+1267288,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1582694,int_stack+441928,int_stack+1350098,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1267288,int_stack+1582694,int_stack+1456568,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1435456,int_stack+292639,int_stack+278716,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1477225,int_stack+1435456,int_stack+404800,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1731752,int_stack+1477225,int_stack+594535,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1435456,int_stack+1731752,int_stack+660055,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1731752,int_stack+1435456,int_stack+441928,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+404800,int_stack+1731752,int_stack+1582694,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1435456,int_stack+404800,int_stack+1267288,91);
 /*--- compute (op|nk) ---*/
 hrr1_build_op(Libint->AB,int_stack+3931846,int_stack+1435456,int_stack+0,2376);
 /*--- compute (nd|nk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4487830,int_stack+3931846,int_stack+796840,2376);
 /*--- compute (mf|nk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+5428726,int_stack+4487830,int_stack+2078566,2376);
 /*--- compute (lg|nk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+6735526,int_stack+5428726,int_stack+2862646,2376);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+315130,int_stack+308200,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20790,int_stack+323320,int_stack+315130,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45360,int_stack+20790,int_stack+0,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86940,int_stack+332875,int_stack+323320,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+115605,int_stack+86940,int_stack+20790,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+164745,int_stack+115605,int_stack+45360,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+343900,int_stack+332875,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+234045,int_stack+0,int_stack+86940,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+33075,int_stack+234045,int_stack+115605,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+404800,int_stack+33075,int_stack+164745,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+114975,int_stack+356500,int_stack+343900,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152775,int_stack+114975,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+508750,int_stack+152775,int_stack+234045,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+218925,int_stack+508750,int_stack+33075,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+604300,int_stack+218925,int_stack+404800,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+404800,int_stack+370780,int_stack+356500,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+404800,int_stack+114975,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+749830,int_stack+0,int_stack+152775,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+75600,int_stack+749830,int_stack+508750,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+860080,int_stack+75600,int_stack+218925,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1032070,int_stack+860080,int_stack+604300,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+218925,int_stack+386845,int_stack+370780,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+267120,int_stack+218925,int_stack+404800,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+352800,int_stack+267120,int_stack+0,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+478800,int_stack+352800,int_stack+749830,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+218925,int_stack+478800,int_stack+75600,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+419580,int_stack+218925,int_stack+860080,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+419580,int_stack+1032070,105);
 /*--- compute (qp|nk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+249480,int_stack+0,int_stack+1435456,2376);
 /*--- compute (od|nk) ---*/
 hrr1_build_od(Libint->AB,int_stack+898128,int_stack+249480,int_stack+3931846,2376);
 /*--- compute (nf|nk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2010096,int_stack+898128,int_stack+4487830,2376);
 /*--- compute (mg|nk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+0,int_stack+2010096,int_stack+5428726,2376);
 /*--- compute (lh|nk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+1960200,int_stack+0,int_stack+6735526,2376);
 return int_stack+1960200;}
