#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_linh(Libint_t*, prim_data*);

  /* Computes quartets of (li|nh) integrals */

REALTYPE *hrr_order_linh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[9][10] = int_stack + 26820;
 Libint->vrr_classes[9][11] = int_stack + 30450;
 Libint->vrr_classes[9][12] = int_stack + 34740;
 Libint->vrr_classes[9][13] = int_stack + 39745;
 Libint->vrr_classes[9][14] = int_stack + 45520;
 Libint->vrr_classes[9][15] = int_stack + 52120;
 Libint->vrr_classes[10][10] = int_stack + 59600;
 Libint->vrr_classes[10][11] = int_stack + 63956;
 Libint->vrr_classes[10][12] = int_stack + 69104;
 Libint->vrr_classes[10][13] = int_stack + 75110;
 Libint->vrr_classes[10][14] = int_stack + 82040;
 Libint->vrr_classes[10][15] = int_stack + 89960;
 Libint->vrr_classes[11][10] = int_stack + 98936;
 Libint->vrr_classes[11][11] = int_stack + 104084;
 Libint->vrr_classes[11][12] = int_stack + 110168;
 Libint->vrr_classes[11][13] = int_stack + 117266;
 Libint->vrr_classes[11][14] = int_stack + 125456;
 Libint->vrr_classes[11][15] = int_stack + 134816;
 Libint->vrr_classes[12][10] = int_stack + 145424;
 Libint->vrr_classes[12][11] = int_stack + 151430;
 Libint->vrr_classes[12][12] = int_stack + 158528;
 Libint->vrr_classes[12][13] = int_stack + 166809;
 Libint->vrr_classes[12][14] = int_stack + 176364;
 Libint->vrr_classes[12][15] = int_stack + 187284;
 Libint->vrr_classes[13][10] = int_stack + 199660;
 Libint->vrr_classes[13][11] = int_stack + 206590;
 Libint->vrr_classes[13][12] = int_stack + 214780;
 Libint->vrr_classes[13][13] = int_stack + 224335;
 Libint->vrr_classes[13][14] = int_stack + 235360;
 Libint->vrr_classes[13][15] = int_stack + 247960;
 Libint->vrr_classes[14][10] = int_stack + 262240;
 Libint->vrr_classes[14][11] = int_stack + 270160;
 Libint->vrr_classes[14][12] = int_stack + 279520;
 Libint->vrr_classes[14][13] = int_stack + 290440;
 Libint->vrr_classes[14][14] = int_stack + 303040;
 Libint->vrr_classes[14][15] = int_stack + 317440;
 memset(int_stack,0,333760*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 333760;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_linh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+333760,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+342670,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+353200,int_stack+342670,int_stack+333760,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+371020,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+383305,int_stack+371020,int_stack+342670,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+404365,int_stack+383305,int_stack+353200,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+333760,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+434065,int_stack+333760,int_stack+371020,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+347935,int_stack+434065,int_stack+383305,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+458635,int_stack+347935,int_stack+404365,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+383035,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+399235,int_stack+383035,int_stack+333760,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+503185,int_stack+399235,int_stack+434065,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+383035,int_stack+503185,int_stack+347935,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+503185,int_stack+383035,int_stack+458635,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+333760,int_stack+30450,int_stack+26820,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+344650,int_stack+34740,int_stack+30450,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+357520,int_stack+344650,int_stack+333760,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+379300,int_stack+39745,int_stack+34740,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+394315,int_stack+379300,int_stack+344650,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+420055,int_stack+394315,int_stack+357520,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+333760,int_stack+45520,int_stack+39745,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+456355,int_stack+333760,int_stack+379300,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+351085,int_stack+456355,int_stack+394315,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+565555,int_stack+351085,int_stack+420055,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+393985,int_stack+52120,int_stack+45520,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+413785,int_stack+393985,int_stack+333760,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+413785,int_stack+456355,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+393985,int_stack+0,int_stack+351085,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+620005,int_stack+393985,int_stack+565555,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+696235,int_stack+620005,int_stack+503185,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+63956,int_stack+59600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+69104,int_stack+63956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+333760,int_stack+75110,int_stack+69104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+351778,int_stack+333760,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+382666,int_stack+351778,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+82040,int_stack+75110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+333760,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+426226,int_stack+20790,int_stack+351778,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+477706,int_stack+426226,int_stack+382666,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+333760,int_stack+89960,int_stack+82040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+357520,int_stack+333760,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+543046,int_stack+357520,int_stack+20790,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+543046,int_stack+426226,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+333760,int_stack+0,int_stack+477706,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+883345,int_stack+333760,int_stack+620005,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1112035,int_stack+883345,int_stack+696235,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+104084,int_stack+98936,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+110168,int_stack+104084,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+117266,int_stack+110168,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+425236,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+461740,int_stack+425236,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125456,int_stack+117266,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+513220,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+513220,int_stack+425236,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+555808,int_stack+24570,int_stack+461740,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+425236,int_stack+134816,int_stack+125456,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+453316,int_stack+425236,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+633028,int_stack+453316,int_stack+513220,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+425236,int_stack+633028,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+633028,int_stack+425236,int_stack+555808,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+1486255,int_stack+633028,int_stack+333760,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1760683,int_stack+1486255,int_stack+883345,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2218063,int_stack+1760683,int_stack+1112035,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+333760,int_stack+151430,int_stack+145424,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+351778,int_stack+158528,int_stack+151430,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+373072,int_stack+351778,int_stack+333760,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+409108,int_stack+166809,int_stack+158528,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+433951,int_stack+409108,int_stack+351778,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+476539,int_stack+433951,int_stack+373072,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+333760,int_stack+176364,int_stack+166809,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+536599,int_stack+333760,int_stack+409108,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+362425,int_stack+536599,int_stack+433951,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+741136,int_stack+362425,int_stack+476539,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+433405,int_stack+187284,int_stack+176364,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+466165,int_stack+433405,int_stack+333760,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+831226,int_stack+466165,int_stack+536599,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+433405,int_stack+831226,int_stack+362425,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+831226,int_stack+433405,int_stack+741136,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+957352,int_stack+831226,int_stack+633028,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2841763,int_stack+957352,int_stack+1486255,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3390619,int_stack+2841763,int_stack+1760683,1386);
 /*--- compute (lg|nh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1281676,int_stack+3390619,int_stack+2218063,1386);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2217226,int_stack+206590,int_stack+199660,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2238016,int_stack+214780,int_stack+206590,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2262586,int_stack+2238016,int_stack+2217226,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2304166,int_stack+224335,int_stack+214780,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2332831,int_stack+2304166,int_stack+2238016,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2381971,int_stack+2332831,int_stack+2262586,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2217226,int_stack+235360,int_stack+224335,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2451271,int_stack+2217226,int_stack+2304166,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2250301,int_stack+2451271,int_stack+2332831,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2508601,int_stack+2250301,int_stack+2381971,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2332201,int_stack+247960,int_stack+235360,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2370001,int_stack+2332201,int_stack+2217226,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2612551,int_stack+2370001,int_stack+2451271,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2332201,int_stack+2612551,int_stack+2250301,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2612551,int_stack+2332201,int_stack+2508601,105);
 /*--- compute (qp|nh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2217226,int_stack+2612551,int_stack+831226,1386);
 /*--- compute (od|nh) ---*/
 hrr1_build_od(Libint->AB,int_stack+4152919,int_stack+2217226,int_stack+957352,1386);
 /*--- compute (nf|nh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+333760,int_stack+4152919,int_stack+2841763,1386);
 /*--- compute (mg|nh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+4801567,int_stack+333760,int_stack+3390619,1386);
 /*--- compute (lh|nh) ---*/
 hrr1_build_lh(Libint->AB,int_stack+2758081,int_stack+4801567,int_stack+1281676,1386);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4067851,int_stack+270160,int_stack+262240,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4091611,int_stack+279520,int_stack+270160,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1248520,int_stack+4091611,int_stack+4067851,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4119691,int_stack+290440,int_stack+279520,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1296040,int_stack+4119691,int_stack+4091611,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1352200,int_stack+1296040,int_stack+1248520,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1248520,int_stack+303040,int_stack+290440,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1431400,int_stack+1248520,int_stack+4119691,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1496920,int_stack+1431400,int_stack+1296040,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1590520,int_stack+1496920,int_stack+1352200,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1286320,int_stack+317440,int_stack+303040,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1329520,int_stack+1286320,int_stack+1248520,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1709320,int_stack+1329520,int_stack+1431400,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1248520,int_stack+1709320,int_stack+1496920,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1709320,int_stack+1248520,int_stack+1590520,120);
 /*--- compute (rp|nh) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1248520,int_stack+1709320,int_stack+2612551,1386);
 /*--- compute (qd|nh) ---*/
 hrr1_build_qd(Libint->AB,int_stack+5945017,int_stack+1248520,int_stack+2217226,1386);
 /*--- compute (of|nh) ---*/
 hrr1_build_of(Libint->AB,int_stack+1248520,int_stack+5945017,int_stack+4152919,1386);
 /*--- compute (ng|nh) ---*/
 hrr1_build_ng(Libint->AB,int_stack+5945017,int_stack+1248520,int_stack+333760,1386);
 /*--- compute (mh|nh) ---*/
 hrr1_build_mh(Libint->AB,int_stack+0,int_stack+5945017,int_stack+4801567,1386);
 /*--- compute (li|nh) ---*/
 hrr1_build_li(Libint->AB,int_stack+4067851,int_stack+0,int_stack+2758081,1386);
 return int_stack+4067851;}
