#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lphg(Libint_t*, prim_data*);

  /* Computes quartets of (lp|hg) integrals */

REALTYPE *hrr_order_lphg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][5] = int_stack + 0;
 Libint->vrr_classes[8][6] = int_stack + 945;
 Libint->vrr_classes[8][7] = int_stack + 2205;
 Libint->vrr_classes[8][8] = int_stack + 3825;
 Libint->vrr_classes[8][9] = int_stack + 5850;
 Libint->vrr_classes[9][5] = int_stack + 8325;
 Libint->vrr_classes[9][6] = int_stack + 9480;
 Libint->vrr_classes[9][7] = int_stack + 11020;
 Libint->vrr_classes[9][8] = int_stack + 13000;
 Libint->vrr_classes[9][9] = int_stack + 15475;
 memset(int_stack,0,18500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lphg(Libint, Data);
   Data++;
 }
 /*--- compute (l0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+18500,int_stack+945,int_stack+0,45);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+21335,int_stack+2205,int_stack+945,45);
 /*--- compute (l0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+25115,int_stack+21335,int_stack+18500,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+30785,int_stack+3825,int_stack+2205,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+35645,int_stack+30785,int_stack+21335,45);
 /*--- compute (l0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+43205,int_stack+35645,int_stack+25115,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18500,int_stack+5850,int_stack+3825,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+52655,int_stack+18500,int_stack+30785,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+18500,int_stack+52655,int_stack+35645,45);
 /*--- compute (l0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+52655,int_stack+18500,int_stack+43205,45);
 /*--- compute (m0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+18500,int_stack+9480,int_stack+8325,55);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+21965,int_stack+11020,int_stack+9480,55);
 /*--- compute (m0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+26585,int_stack+21965,int_stack+18500,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+33515,int_stack+13000,int_stack+11020,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+39455,int_stack+33515,int_stack+21965,55);
 /*--- compute (m0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+0,int_stack+39455,int_stack+26585,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18500,int_stack+15475,int_stack+13000,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+66830,int_stack+18500,int_stack+33515,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+11550,int_stack+66830,int_stack+39455,55);
 /*--- compute (m0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+26950,int_stack+11550,int_stack+0,55);
 /*--- compute (lp|hg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+66830,int_stack+26950,int_stack+52655,315);
 return int_stack+66830;}
