#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpmd(Libint_t*, prim_data*);

  /* Computes quartets of (lp|md) integrals */

REALTYPE *hrr_order_lpmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[9][9] = int_stack + 8955;
 Libint->vrr_classes[9][10] = int_stack + 11980;
 Libint->vrr_classes[9][11] = int_stack + 15610;
 memset(int_stack,0,19900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 19900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpmd(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19900,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27325,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+36235,int_stack+27325,int_stack+19900,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19900,int_stack+11980,int_stack+8955,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+15610,int_stack+11980,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+51085,int_stack+0,int_stack+19900,55);
 /*--- compute (lp|md) ---*/
 hrr1_build_lp(Libint->AB,int_stack+69235,int_stack+51085,int_stack+36235,330);
 return int_stack+69235;}
