#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0kg(Libint_t*, prim_data*);

  /* Computes quartets of (m0|kg) integrals */

REALTYPE *hrr_order_m0kg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 memset(int_stack,0,15400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0kg(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+15400,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21340,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+28765,int_stack+21340,int_stack+15400,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+40645,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+49720,int_stack+40645,int_stack+21340,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+64570,int_stack+49720,int_stack+28765,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15400,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+84370,int_stack+15400,int_stack+40645,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+84370,int_stack+49720,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+24750,int_stack+0,int_stack+64570,55);
 return int_stack+24750;}
