#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0ld(Libint_t*, prim_data*);

  /* Computes quartets of (m0|ld) integrals */

REALTYPE *hrr_order_m0ld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 memset(int_stack,0,9130*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9130;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0ld(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9130,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16555,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+25630,int_stack+16555,int_stack+9130,55);
 return int_stack+25630;}
