#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0lf(Libint_t*, prim_data*);

  /* Computes quartets of (m0|lf) integrals */

REALTYPE *hrr_order_m0lf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 memset(int_stack,0,13420*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 13420;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0lf(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+13420,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20845,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+29920,int_stack+20845,int_stack+13420,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44770,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+44770,int_stack+20845,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+44770,int_stack+0,int_stack+29920,55);
 return int_stack+44770;}
