#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0nm(Libint_t*, prim_data*);

  /* Computes quartets of (m0|nm) integrals */

REALTYPE *hrr_order_m0nm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[9][19] = int_stack + 61050;
 memset(int_stack,0,72600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 72600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0nm(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72600,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+83490,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+96360,int_stack+83490,int_stack+72600,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118140,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+133155,int_stack+118140,int_stack+83490,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+158895,int_stack+133155,int_stack+96360,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72600,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+195195,int_stack+72600,int_stack+118140,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+89925,int_stack+195195,int_stack+133155,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+225225,int_stack+89925,int_stack+158895,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+132825,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152625,int_stack+132825,int_stack+72600,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+279675,int_stack+152625,int_stack+195195,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+329725,int_stack+279675,int_stack+89925,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+394075,int_stack+329725,int_stack+225225,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+72600,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+187275,int_stack+72600,int_stack+132825,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+470305,int_stack+187275,int_stack+152625,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+95040,int_stack+470305,int_stack+279675,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+226875,int_stack+95040,int_stack+329725,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+528055,int_stack+226875,int_stack+394075,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+316965,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+342210,int_stack+316965,int_stack+72600,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+387090,int_stack+342210,int_stack+187275,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+629695,int_stack+387090,int_stack+470305,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+716320,int_stack+629695,int_stack+95040,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+72600,int_stack+716320,int_stack+226875,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+821425,int_stack+72600,int_stack+528055,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+192720,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+220935,int_stack+192720,int_stack+316965,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+453090,int_stack+220935,int_stack+342210,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+271425,int_stack+453090,int_stack+387090,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+952105,int_stack+271425,int_stack+629695,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+527890,int_stack+952105,int_stack+716320,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1073380,int_stack+527890,int_stack+72600,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1227820,int_stack+1073380,int_stack+821425,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+72600,int_stack+61050,int_stack+50600,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+103950,int_stack+72600,int_stack+192720,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+668030,int_stack+103950,int_stack+220935,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+752180,int_stack+668030,int_stack+453090,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+370425,int_stack+752180,int_stack+271425,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+668030,int_stack+370425,int_stack+952105,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+829730,int_stack+668030,int_stack+527890,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+0,int_stack+829730,int_stack+1073380,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+193050,int_stack+0,int_stack+1227820,55);
 return int_stack+193050;}
