#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0np(Libint_t*, prim_data*);

  /* Computes quartets of (m0|np) integrals */

REALTYPE *hrr_order_m0np(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 memset(int_stack,0,7920*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7920;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0np(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7920,int_stack+3630,int_stack+0,55);
 return int_stack+7920;}
