#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfnh(Libint_t*, prim_data*);

  /* Computes quartets of (mf|nh) integrals */

REALTYPE *hrr_order_mfnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[10][10] = int_stack + 32780;
 Libint->vrr_classes[10][11] = int_stack + 37136;
 Libint->vrr_classes[10][12] = int_stack + 42284;
 Libint->vrr_classes[10][13] = int_stack + 48290;
 Libint->vrr_classes[10][14] = int_stack + 55220;
 Libint->vrr_classes[10][15] = int_stack + 63140;
 Libint->vrr_classes[11][10] = int_stack + 72116;
 Libint->vrr_classes[11][11] = int_stack + 77264;
 Libint->vrr_classes[11][12] = int_stack + 83348;
 Libint->vrr_classes[11][13] = int_stack + 90446;
 Libint->vrr_classes[11][14] = int_stack + 98636;
 Libint->vrr_classes[11][15] = int_stack + 107996;
 Libint->vrr_classes[12][10] = int_stack + 118604;
 Libint->vrr_classes[12][11] = int_stack + 124610;
 Libint->vrr_classes[12][12] = int_stack + 131708;
 Libint->vrr_classes[12][13] = int_stack + 139989;
 Libint->vrr_classes[12][14] = int_stack + 149544;
 Libint->vrr_classes[12][15] = int_stack + 160464;
 memset(int_stack,0,172840*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 172840;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfnh(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+172840,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+183730,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+196600,int_stack+183730,int_stack+172840,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+218380,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+233395,int_stack+218380,int_stack+183730,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+259135,int_stack+233395,int_stack+196600,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+172840,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+295435,int_stack+172840,int_stack+218380,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+190165,int_stack+295435,int_stack+233395,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+325465,int_stack+190165,int_stack+259135,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+233065,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+252865,int_stack+233065,int_stack+172840,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+379915,int_stack+252865,int_stack+295435,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+233065,int_stack+379915,int_stack+190165,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+379915,int_stack+233065,int_stack+325465,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+172840,int_stack+37136,int_stack+32780,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+185908,int_stack+42284,int_stack+37136,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+201352,int_stack+185908,int_stack+172840,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+227488,int_stack+48290,int_stack+42284,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+245506,int_stack+227488,int_stack+185908,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+276394,int_stack+245506,int_stack+201352,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+172840,int_stack+55220,int_stack+48290,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+319954,int_stack+172840,int_stack+227488,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+193630,int_stack+319954,int_stack+245506,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+456145,int_stack+193630,int_stack+276394,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+245110,int_stack+63140,int_stack+55220,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+268870,int_stack+245110,int_stack+172840,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+268870,int_stack+319954,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+245110,int_stack+0,int_stack+193630,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+521485,int_stack+245110,int_stack+456145,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+612961,int_stack+521485,int_stack+379915,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+77264,int_stack+72116,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+83348,int_stack+77264,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+172840,int_stack+90446,int_stack+83348,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+194134,int_stack+172840,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+230638,int_stack+194134,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+98636,int_stack+90446,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+24570,int_stack+0,int_stack+172840,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+282118,int_stack+24570,int_stack+194134,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+342958,int_stack+282118,int_stack+230638,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+172840,int_stack+107996,int_stack+98636,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+200920,int_stack+172840,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+420178,int_stack+200920,int_stack+24570,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+420178,int_stack+282118,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+172840,int_stack+0,int_stack+342958,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+841651,int_stack+172840,int_stack+521485,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1116079,int_stack+841651,int_stack+612961,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+124610,int_stack+118604,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+131708,int_stack+124610,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+139989,int_stack+131708,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+280948,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+323536,int_stack+280948,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+149544,int_stack+139989,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+383596,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+383596,int_stack+280948,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+433282,int_stack+28665,int_stack+323536,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+280948,int_stack+160464,int_stack+149544,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+313708,int_stack+280948,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+523372,int_stack+313708,int_stack+383596,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+280948,int_stack+523372,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+523372,int_stack+280948,int_stack+433282,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1573459,int_stack+523372,int_stack+172840,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+1573459,int_stack+841651,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+1573459,int_stack+0,int_stack+1116079,1386);
 return int_stack+1573459;}
