#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mhmi(Libint_t*, prim_data*);

  /* Computes quartets of (mh|mi) integrals */

REALTYPE *hrr_order_mhmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[10][9] = int_stack + 35805;
 Libint->vrr_classes[10][10] = int_stack + 39435;
 Libint->vrr_classes[10][11] = int_stack + 43791;
 Libint->vrr_classes[10][12] = int_stack + 48939;
 Libint->vrr_classes[10][13] = int_stack + 54945;
 Libint->vrr_classes[10][14] = int_stack + 61875;
 Libint->vrr_classes[10][15] = int_stack + 69795;
 Libint->vrr_classes[11][9] = int_stack + 78771;
 Libint->vrr_classes[11][10] = int_stack + 83061;
 Libint->vrr_classes[11][11] = int_stack + 88209;
 Libint->vrr_classes[11][12] = int_stack + 94293;
 Libint->vrr_classes[11][13] = int_stack + 101391;
 Libint->vrr_classes[11][14] = int_stack + 109581;
 Libint->vrr_classes[11][15] = int_stack + 118941;
 Libint->vrr_classes[12][9] = int_stack + 129549;
 Libint->vrr_classes[12][10] = int_stack + 134554;
 Libint->vrr_classes[12][11] = int_stack + 140560;
 Libint->vrr_classes[12][12] = int_stack + 147658;
 Libint->vrr_classes[12][13] = int_stack + 155939;
 Libint->vrr_classes[12][14] = int_stack + 165494;
 Libint->vrr_classes[12][15] = int_stack + 176414;
 Libint->vrr_classes[13][9] = int_stack + 188790;
 Libint->vrr_classes[13][10] = int_stack + 194565;
 Libint->vrr_classes[13][11] = int_stack + 201495;
 Libint->vrr_classes[13][12] = int_stack + 209685;
 Libint->vrr_classes[13][13] = int_stack + 219240;
 Libint->vrr_classes[13][14] = int_stack + 230265;
 Libint->vrr_classes[13][15] = int_stack + 242865;
 Libint->vrr_classes[14][9] = int_stack + 257145;
 Libint->vrr_classes[14][10] = int_stack + 263745;
 Libint->vrr_classes[14][11] = int_stack + 271665;
 Libint->vrr_classes[14][12] = int_stack + 281025;
 Libint->vrr_classes[14][13] = int_stack + 291945;
 Libint->vrr_classes[14][14] = int_stack + 304545;
 Libint->vrr_classes[14][15] = int_stack + 318945;
 memset(int_stack,0,335265*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 335265;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mhmi(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+335265,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+344340,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+355230,int_stack+344340,int_stack+335265,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+373380,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+386250,int_stack+373380,int_stack+344340,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+408030,int_stack+386250,int_stack+355230,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+335265,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+438280,int_stack+335265,int_stack+373380,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+464020,int_stack+438280,int_stack+386250,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+350280,int_stack+464020,int_stack+408030,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+395655,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+500320,int_stack+395655,int_stack+335265,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+530350,int_stack+500320,int_stack+438280,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+573250,int_stack+530350,int_stack+464020,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+412980,int_stack+573250,int_stack+350280,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+335265,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+355065,int_stack+335265,int_stack+395655,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+627700,int_stack+355065,int_stack+500320,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+335265,int_stack+627700,int_stack+530350,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+476505,int_stack+335265,int_stack+573250,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+552735,int_stack+476505,int_stack+412980,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+335265,int_stack+39435,int_stack+35805,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+346155,int_stack+43791,int_stack+39435,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+359223,int_stack+346155,int_stack+335265,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+381003,int_stack+48939,int_stack+43791,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+396447,int_stack+381003,int_stack+346155,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+422583,int_stack+396447,int_stack+359223,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+335265,int_stack+54945,int_stack+48939,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+458883,int_stack+335265,int_stack+381003,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+489771,int_stack+458883,int_stack+396447,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+353283,int_stack+489771,int_stack+422583,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+407733,int_stack+61875,int_stack+54945,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+637435,int_stack+407733,int_stack+335265,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+637435,int_stack+458883,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+673471,int_stack+0,int_stack+489771,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+428523,int_stack+673471,int_stack+353283,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+335265,int_stack+69795,int_stack+61875,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+359025,int_stack+335265,int_stack+407733,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+738811,int_stack+359025,int_stack+637435,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+335265,int_stack+738811,int_stack+0,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+738811,int_stack+335265,int_stack+673471,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+830287,int_stack+738811,int_stack+428523,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+931927,int_stack+830287,int_stack+552735,1540);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+335265,int_stack+83061,int_stack+78771,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+348135,int_stack+88209,int_stack+83061,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+363579,int_stack+348135,int_stack+335265,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+389319,int_stack+94293,int_stack+88209,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+407571,int_stack+389319,int_stack+348135,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+438459,int_stack+407571,int_stack+363579,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+335265,int_stack+101391,int_stack+94293,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+481359,int_stack+335265,int_stack+389319,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+517863,int_stack+481359,int_stack+407571,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+356559,int_stack+517863,int_stack+438459,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+420909,int_stack+109581,int_stack+101391,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+569343,int_stack+420909,int_stack+335265,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+611931,int_stack+569343,int_stack+481359,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+672771,int_stack+611931,int_stack+517863,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+445479,int_stack+672771,int_stack+356559,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+335265,int_stack+118941,int_stack+109581,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+363345,int_stack+335265,int_stack+420909,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+749991,int_stack+363345,int_stack+569343,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+335265,int_stack+749991,int_stack+611931,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+535569,int_stack+335265,int_stack+672771,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+643677,int_stack+535569,int_stack+445479,78);
 /*--- compute (np|mi) ---*/
 hrr1_build_np(Libint->AB,int_stack+335265,int_stack+643677,int_stack+830287,1540);
 /*--- compute (md|mi) ---*/
 hrr1_build_md(Libint->AB,int_stack+1186027,int_stack+335265,int_stack+931927,1540);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+763797,int_stack+134554,int_stack+129549,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+778812,int_stack+140560,int_stack+134554,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+796830,int_stack+778812,int_stack+763797,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+826860,int_stack+147658,int_stack+140560,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+848154,int_stack+826860,int_stack+778812,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+884190,int_stack+848154,int_stack+796830,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+763797,int_stack+155939,int_stack+147658,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+934240,int_stack+763797,int_stack+826860,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+976828,int_stack+934240,int_stack+848154,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+788640,int_stack+976828,int_stack+884190,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+863715,int_stack+165494,int_stack+155939,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1036888,int_stack+863715,int_stack+763797,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1086574,int_stack+1036888,int_stack+934240,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+1086574,int_stack+976828,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+892380,int_stack+0,int_stack+788640,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+763797,int_stack+176414,int_stack+165494,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+796557,int_stack+763797,int_stack+863715,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+90090,int_stack+796557,int_stack+1036888,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+763797,int_stack+90090,int_stack+1086574,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+997485,int_stack+763797,int_stack+0,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+997485,int_stack+892380,91);
 /*--- compute (op|mi) ---*/
 hrr1_build_op(Libint->AB,int_stack+763797,int_stack+0,int_stack+643677,1540);
 /*--- compute (nd|mi) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1694227,int_stack+763797,int_stack+335265,1540);
 /*--- compute (mf|mi) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2304067,int_stack+1694227,int_stack+1186027,1540);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+335265,int_stack+194565,int_stack+188790,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+352590,int_stack+201495,int_stack+194565,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+373380,int_stack+352590,int_stack+335265,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+408030,int_stack+209685,int_stack+201495,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+432600,int_stack+408030,int_stack+352590,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+474180,int_stack+432600,int_stack+373380,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+335265,int_stack+219240,int_stack+209685,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+531930,int_stack+335265,int_stack+408030,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+581070,int_stack+531930,int_stack+432600,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+363930,int_stack+581070,int_stack+474180,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+450555,int_stack+230265,int_stack+219240,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+650370,int_stack+450555,int_stack+335265,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+140140,int_stack+650370,int_stack+531930,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1124157,int_stack+140140,int_stack+581070,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+483630,int_stack+1124157,int_stack+363930,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+335265,int_stack+242865,int_stack+230265,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+373065,int_stack+335265,int_stack+450555,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1228107,int_stack+373065,int_stack+650370,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+335265,int_stack+1228107,int_stack+140140,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1228107,int_stack+335265,int_stack+1124157,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1373637,int_stack+1228107,int_stack+483630,105);
 /*--- compute (qp|mi) ---*/
 hrr1_build_qp(Libint->AB,int_stack+335265,int_stack+1373637,int_stack+0,1540);
 /*--- compute (od|mi) ---*/
 hrr1_build_od(Libint->AB,int_stack+3151067,int_stack+335265,int_stack+763797,1540);
 /*--- compute (nf|mi) ---*/
 hrr1_build_nf(Libint->AB,int_stack+3871787,int_stack+3151067,int_stack+1694227,1540);
 /*--- compute (mg|mi) ---*/
 hrr1_build_mg(Libint->AB,int_stack+4888187,int_stack+3871787,int_stack+2304067,1540);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+263745,int_stack+257145,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19800,int_stack+271665,int_stack+263745,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+43560,int_stack+19800,int_stack+0,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+83160,int_stack+281025,int_stack+271665,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+111240,int_stack+83160,int_stack+19800,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+158760,int_stack+111240,int_stack+43560,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+291945,int_stack+281025,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+224760,int_stack+0,int_stack+83160,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+755685,int_stack+224760,int_stack+111240,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+32760,int_stack+755685,int_stack+158760,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+131760,int_stack+304545,int_stack+291945,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+834885,int_stack+131760,int_stack+0,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+900405,int_stack+834885,int_stack+224760,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+169560,int_stack+900405,int_stack+755685,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+994005,int_stack+169560,int_stack+32760,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+755685,int_stack+318945,int_stack+304545,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+755685,int_stack+131760,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1132605,int_stack+0,int_stack+834885,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+1132605,int_stack+900405,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1132605,int_stack+0,int_stack+169560,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+1132605,int_stack+994005,120);
 /*--- compute (rp|mi) ---*/
 hrr1_build_rp(Libint->AB,int_stack+755685,int_stack+0,int_stack+1373637,1540);
 /*--- compute (qd|mi) ---*/
 hrr1_build_qd(Libint->AB,int_stack+1240785,int_stack+755685,int_stack+335265,1540);
 /*--- compute (of|mi) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+1240785,int_stack+3151067,1540);
 /*--- compute (ng|mi) ---*/
 hrr1_build_ng(Libint->AB,int_stack+1201200,int_stack+0,int_stack+3871787,1540);
 /*--- compute (mh|mi) ---*/
 hrr1_build_mh(Libint->AB,int_stack+2725800,int_stack+1201200,int_stack+4888187,1540);
 return int_stack+2725800;}
