#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mhnk(Libint_t*, prim_data*);

  /* Computes quartets of (mh|nk) integrals */

REALTYPE *hrr_order_mhnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[10][10] = int_stack + 50600;
 Libint->vrr_classes[10][11] = int_stack + 54956;
 Libint->vrr_classes[10][12] = int_stack + 60104;
 Libint->vrr_classes[10][13] = int_stack + 66110;
 Libint->vrr_classes[10][14] = int_stack + 73040;
 Libint->vrr_classes[10][15] = int_stack + 80960;
 Libint->vrr_classes[10][16] = int_stack + 89936;
 Libint->vrr_classes[10][17] = int_stack + 100034;
 Libint->vrr_classes[11][10] = int_stack + 111320;
 Libint->vrr_classes[11][11] = int_stack + 116468;
 Libint->vrr_classes[11][12] = int_stack + 122552;
 Libint->vrr_classes[11][13] = int_stack + 129650;
 Libint->vrr_classes[11][14] = int_stack + 137840;
 Libint->vrr_classes[11][15] = int_stack + 147200;
 Libint->vrr_classes[11][16] = int_stack + 157808;
 Libint->vrr_classes[11][17] = int_stack + 169742;
 Libint->vrr_classes[12][10] = int_stack + 183080;
 Libint->vrr_classes[12][11] = int_stack + 189086;
 Libint->vrr_classes[12][12] = int_stack + 196184;
 Libint->vrr_classes[12][13] = int_stack + 204465;
 Libint->vrr_classes[12][14] = int_stack + 214020;
 Libint->vrr_classes[12][15] = int_stack + 224940;
 Libint->vrr_classes[12][16] = int_stack + 237316;
 Libint->vrr_classes[12][17] = int_stack + 251239;
 Libint->vrr_classes[13][10] = int_stack + 266800;
 Libint->vrr_classes[13][11] = int_stack + 273730;
 Libint->vrr_classes[13][12] = int_stack + 281920;
 Libint->vrr_classes[13][13] = int_stack + 291475;
 Libint->vrr_classes[13][14] = int_stack + 302500;
 Libint->vrr_classes[13][15] = int_stack + 315100;
 Libint->vrr_classes[13][16] = int_stack + 329380;
 Libint->vrr_classes[13][17] = int_stack + 345445;
 Libint->vrr_classes[14][10] = int_stack + 363400;
 Libint->vrr_classes[14][11] = int_stack + 371320;
 Libint->vrr_classes[14][12] = int_stack + 380680;
 Libint->vrr_classes[14][13] = int_stack + 391600;
 Libint->vrr_classes[14][14] = int_stack + 404200;
 Libint->vrr_classes[14][15] = int_stack + 418600;
 Libint->vrr_classes[14][16] = int_stack + 434920;
 Libint->vrr_classes[14][17] = int_stack + 453280;
 memset(int_stack,0,473800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 473800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mhnk(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+473800,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+484690,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+497560,int_stack+484690,int_stack+473800,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+519340,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+534355,int_stack+519340,int_stack+484690,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+560095,int_stack+534355,int_stack+497560,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+473800,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+596395,int_stack+473800,int_stack+519340,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+491125,int_stack+596395,int_stack+534355,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+626425,int_stack+491125,int_stack+560095,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+534025,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+553825,int_stack+534025,int_stack+473800,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+680875,int_stack+553825,int_stack+596395,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+730925,int_stack+680875,int_stack+491125,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+795275,int_stack+730925,int_stack+626425,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+473800,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+588475,int_stack+473800,int_stack+534025,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+871505,int_stack+588475,int_stack+553825,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+496240,int_stack+871505,int_stack+680875,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+628075,int_stack+496240,int_stack+730925,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+929255,int_stack+628075,int_stack+795275,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+718165,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+743410,int_stack+718165,int_stack+473800,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+788290,int_stack+743410,int_stack+588475,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1030895,int_stack+788290,int_stack+871505,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+718165,int_stack+1030895,int_stack+496240,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+473800,int_stack+718165,int_stack+628075,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+593920,int_stack+473800,int_stack+929255,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+473800,int_stack+54956,int_stack+50600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+486868,int_stack+60104,int_stack+54956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+502312,int_stack+486868,int_stack+473800,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+528448,int_stack+66110,int_stack+60104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+546466,int_stack+528448,int_stack+486868,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+724600,int_stack+546466,int_stack+502312,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+473800,int_stack+73040,int_stack+66110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+768160,int_stack+473800,int_stack+528448,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+494590,int_stack+768160,int_stack+546466,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+804196,int_stack+494590,int_stack+724600,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+724600,int_stack+80960,int_stack+73040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+546070,int_stack+724600,int_stack+473800,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+869536,int_stack+546070,int_stack+768160,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+929596,int_stack+869536,int_stack+494590,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1006816,int_stack+929596,int_stack+804196,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+473800,int_stack+89936,int_stack+80960,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+748360,int_stack+473800,int_stack+724600,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+795880,int_stack+748360,int_stack+546070,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+500728,int_stack+795880,int_stack+869536,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1098292,int_stack+500728,int_stack+929596,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+865180,int_stack+1098292,int_stack+1006816,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+987148,int_stack+100034,int_stack+89936,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1017442,int_stack+987148,int_stack+473800,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+1017442,int_stack+748360,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+987148,int_stack+0,int_stack+795880,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+724600,int_stack+987148,int_stack+500728,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1206400,int_stack+724600,int_stack+1098292,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+987148,int_stack+1206400,int_stack+865180,66);
 /*--- compute (mp|nk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1143964,int_stack+987148,int_stack+593920,2376);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+116468,int_stack+111320,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+122552,int_stack+116468,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+129650,int_stack+122552,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+473800,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+137840,int_stack+129650,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+525280,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+525280,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+567868,int_stack+24570,int_stack+473800,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+473800,int_stack+147200,int_stack+137840,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+85410,int_stack+473800,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+645088,int_stack+85410,int_stack+525280,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+716068,int_stack+645088,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+807328,int_stack+716068,int_stack+567868,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+157808,int_stack+147200,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+501880,int_stack+0,int_stack+473800,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+558040,int_stack+501880,int_stack+85410,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+31824,int_stack+558040,int_stack+645088,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1536004,int_stack+31824,int_stack+716068,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+639940,int_stack+1536004,int_stack+807328,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+784084,int_stack+169742,int_stack+157808,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+819886,int_stack+784084,int_stack+0,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+883534,int_stack+819886,int_stack+501880,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1663768,int_stack+883534,int_stack+558040,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+784084,int_stack+1663768,int_stack+31824,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+784084,int_stack+1536004,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1536004,int_stack+0,int_stack+639940,78);
 /*--- compute (np|nk) ---*/
 hrr1_build_np(Libint->AB,int_stack+473800,int_stack+1536004,int_stack+987148,2376);
 /*--- compute (md|nk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1721332,int_stack+473800,int_stack+1143964,2376);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+189086,int_stack+183080,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+196184,int_stack+189086,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+204465,int_stack+196184,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+214020,int_stack+204465,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+944248,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+944248,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+993934,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+224940,int_stack+214020,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1084024,int_stack+132405,int_stack+944248,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1166834,int_stack+1084024,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1273304,int_stack+1166834,int_stack+993934,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+944248,int_stack+237316,int_stack+224940,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+981376,int_stack+944248,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+981376,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+95550,int_stack+0,int_stack+1084024,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2505412,int_stack+95550,int_stack+1166834,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1046896,int_stack+2505412,int_stack+1273304,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1215064,int_stack+251239,int_stack+237316,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1256833,int_stack+1215064,int_stack+944248,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1331089,int_stack+1256833,int_stack+981376,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2654470,int_stack+1331089,int_stack+0,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1215064,int_stack+2654470,int_stack+95550,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1215064,int_stack+2505412,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2505412,int_stack+0,int_stack+1046896,91);
 /*--- compute (op|nk) ---*/
 hrr1_build_op(Libint->AB,int_stack+944248,int_stack+2505412,int_stack+1536004,2376);
 /*--- compute (nd|nk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2721628,int_stack+944248,int_stack+473800,2376);
 /*--- compute (mf|nk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3662524,int_stack+2721628,int_stack+1721332,2376);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+473800,int_stack+273730,int_stack+266800,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+494590,int_stack+281920,int_stack+273730,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+519160,int_stack+494590,int_stack+473800,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+560740,int_stack+291475,int_stack+281920,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+589405,int_stack+560740,int_stack+494590,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+638545,int_stack+589405,int_stack+519160,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+473800,int_stack+302500,int_stack+291475,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+707845,int_stack+473800,int_stack+560740,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+506875,int_stack+707845,int_stack+589405,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+765175,int_stack+506875,int_stack+638545,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+588775,int_stack+315100,int_stack+302500,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+626575,int_stack+588775,int_stack+473800,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+626575,int_stack+707845,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+95550,int_stack+0,int_stack+506875,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1500232,int_stack+95550,int_stack+765175,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+473800,int_stack+329380,int_stack+315100,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+692725,int_stack+473800,int_stack+588775,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+768325,int_stack+692725,int_stack+626575,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+516640,int_stack+768325,int_stack+0,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1645762,int_stack+516640,int_stack+95550,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1645762,int_stack+1500232,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1500232,int_stack+345445,int_stack+329380,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1548427,int_stack+1500232,int_stack+473800,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+194040,int_stack+1548427,int_stack+692725,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1817752,int_stack+194040,int_stack+768325,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+659965,int_stack+1817752,int_stack+516640,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1817752,int_stack+659965,int_stack+1645762,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2047072,int_stack+1817752,int_stack+0,105);
 /*--- compute (qp|nk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+4969324,int_stack+2047072,int_stack+2505412,2376);
 /*--- compute (od|nk) ---*/
 hrr1_build_od(Libint->AB,int_stack+5617972,int_stack+4969324,int_stack+944248,2376);
 /*--- compute (nf|nk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+473800,int_stack+5617972,int_stack+2721628,2376);
 /*--- compute (mg|nk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+6729940,int_stack+473800,int_stack+3662524,2376);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+371320,int_stack+363400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23760,int_stack+380680,int_stack+371320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+51840,int_stack+23760,int_stack+0,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99360,int_stack+391600,int_stack+380680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132120,int_stack+99360,int_stack+23760,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188280,int_stack+132120,int_stack+51840,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+404200,int_stack+391600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267480,int_stack+0,int_stack+99360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37800,int_stack+267480,int_stack+132120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2296552,int_stack+37800,int_stack+188280,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131400,int_stack+418600,int_stack+404200,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174600,int_stack+131400,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2415352,int_stack+174600,int_stack+267480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+250200,int_stack+2415352,int_stack+37800,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2524552,int_stack+250200,int_stack+2296552,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2296552,int_stack+434920,int_stack+418600,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+2296552,int_stack+131400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2690872,int_stack+0,int_stack+174600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+86400,int_stack+2690872,int_stack+2415352,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2816872,int_stack+86400,int_stack+250200,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3013432,int_stack+2816872,int_stack+2524552,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+250200,int_stack+453280,int_stack+434920,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+305280,int_stack+250200,int_stack+2296552,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2296552,int_stack+305280,int_stack+0,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2440552,int_stack+2296552,int_stack+2690872,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3235192,int_stack+2440552,int_stack+86400,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2296552,int_stack+3235192,int_stack+2816872,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3235192,int_stack+2296552,int_stack+3013432,120);
 /*--- compute (rp|nk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2296552,int_stack+3235192,int_stack+2047072,2376);
 /*--- compute (qd|nk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+3044992,int_stack+2296552,int_stack+4969324,2376);
 /*--- compute (of|nk) ---*/
 hrr1_build_of(Libint->AB,int_stack+8690140,int_stack+3044992,int_stack+5617972,2376);
 /*--- compute (ng|nk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+2041960,int_stack+8690140,int_stack+473800,2376);
 /*--- compute (mh|nk) ---*/
 hrr1_build_mh(Libint->AB,int_stack+8690140,int_stack+2041960,int_stack+6729940,2376);
 return int_stack+8690140;}
