#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpni(Libint_t*, prim_data*);

  /* Computes quartets of (mp|ni) integrals */

REALTYPE *hrr_order_mpni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[10][10] = int_stack + 41195;
 Libint->vrr_classes[10][11] = int_stack + 45551;
 Libint->vrr_classes[10][12] = int_stack + 50699;
 Libint->vrr_classes[10][13] = int_stack + 56705;
 Libint->vrr_classes[10][14] = int_stack + 63635;
 Libint->vrr_classes[10][15] = int_stack + 71555;
 Libint->vrr_classes[10][16] = int_stack + 80531;
 memset(int_stack,0,90629*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 90629;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpni(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+90629,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101519,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+114389,int_stack+101519,int_stack+90629,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+136169,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+151184,int_stack+136169,int_stack+101519,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+176924,int_stack+151184,int_stack+114389,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+90629,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+213224,int_stack+90629,int_stack+136169,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+107954,int_stack+213224,int_stack+151184,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+243254,int_stack+107954,int_stack+176924,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+150854,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+170654,int_stack+150854,int_stack+90629,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+297704,int_stack+170654,int_stack+213224,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+347754,int_stack+297704,int_stack+107954,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+412104,int_stack+347754,int_stack+243254,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+90629,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+205304,int_stack+90629,int_stack+150854,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+90629,int_stack+205304,int_stack+170654,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+148379,int_stack+90629,int_stack+297704,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+223454,int_stack+148379,int_stack+347754,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+90629,int_stack+223454,int_stack+412104,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+192269,int_stack+45551,int_stack+41195,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+205337,int_stack+50699,int_stack+45551,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+220781,int_stack+205337,int_stack+192269,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+246917,int_stack+56705,int_stack+50699,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+264935,int_stack+246917,int_stack+205337,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+295823,int_stack+264935,int_stack+220781,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+192269,int_stack+63635,int_stack+56705,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+339383,int_stack+192269,int_stack+246917,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+213059,int_stack+339383,int_stack+264935,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+375419,int_stack+213059,int_stack+295823,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+264539,int_stack+71555,int_stack+63635,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+288299,int_stack+264539,int_stack+192269,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+288299,int_stack+339383,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+440759,int_stack+0,int_stack+213059,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+517979,int_stack+440759,int_stack+375419,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+192269,int_stack+80531,int_stack+71555,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+329879,int_stack+192269,int_stack+264539,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+192269,int_stack+329879,int_stack+288299,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+261569,int_stack+192269,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+609455,int_stack+261569,int_stack+440759,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+192269,int_stack+609455,int_stack+517979,66);
 /*--- compute (mp|ni) ---*/
 hrr1_build_mp(Libint->AB,int_stack+314237,int_stack+192269,int_stack+90629,1848);
 return int_stack+314237;}
