#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndkh(Libint_t*, prim_data*);

  /* Computes quartets of (nd|kh) integrals */

REALTYPE *hrr_order_ndkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[11][7] = int_stack + 24486;
 Libint->vrr_classes[11][8] = int_stack + 27294;
 Libint->vrr_classes[11][9] = int_stack + 30804;
 Libint->vrr_classes[11][10] = int_stack + 35094;
 Libint->vrr_classes[11][11] = int_stack + 40242;
 Libint->vrr_classes[11][12] = int_stack + 46326;
 Libint->vrr_classes[12][7] = int_stack + 53424;
 Libint->vrr_classes[12][8] = int_stack + 56700;
 Libint->vrr_classes[12][9] = int_stack + 60795;
 Libint->vrr_classes[12][10] = int_stack + 65800;
 Libint->vrr_classes[12][11] = int_stack + 71806;
 Libint->vrr_classes[12][12] = int_stack + 78904;
 memset(int_stack,0,87185*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 87185;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndkh(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+87185,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+94313,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+103223,int_stack+94313,int_stack+87185,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+117479,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+128369,int_stack+117479,int_stack+94313,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+146189,int_stack+128369,int_stack+103223,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+87185,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+169949,int_stack+87185,int_stack+117479,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+191729,int_stack+169949,int_stack+128369,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+100253,int_stack+191729,int_stack+146189,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+135893,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+221429,int_stack+135893,int_stack+87185,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+247565,int_stack+221429,int_stack+169949,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+135893,int_stack+247565,int_stack+191729,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+180443,int_stack+135893,int_stack+100253,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+87185,int_stack+27294,int_stack+24486,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+95609,int_stack+30804,int_stack+27294,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+106139,int_stack+95609,int_stack+87185,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+122987,int_stack+35094,int_stack+30804,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+135857,int_stack+122987,int_stack+95609,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+230339,int_stack+135857,int_stack+106139,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+87185,int_stack+40242,int_stack+35094,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+87185,int_stack+122987,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+258419,int_stack+0,int_stack+135857,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+102629,int_stack+258419,int_stack+230339,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+230339,int_stack+46326,int_stack+40242,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+144749,int_stack+230339,int_stack+87185,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+293519,int_stack+144749,int_stack+0,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+293519,int_stack+258419,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+230339,int_stack+0,int_stack+102629,78);
 /*--- compute (np|kh) ---*/
 hrr1_build_np(Libint->AB,int_stack+289307,int_stack+230339,int_stack+180443,756);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+56700,int_stack+53424,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9828,int_stack+60795,int_stack+56700,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22113,int_stack+9828,int_stack+0,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41769,int_stack+65800,int_stack+60795,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87185,int_stack+41769,int_stack+9828,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+111755,int_stack+87185,int_stack+22113,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+71806,int_stack+65800,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+144515,int_stack+0,int_stack+41769,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+18018,int_stack+144515,int_stack+87185,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+174545,int_stack+18018,int_stack+111755,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+87185,int_stack+78904,int_stack+71806,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+108479,int_stack+87185,int_stack+0,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+438995,int_stack+108479,int_stack+144515,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+58968,int_stack+438995,int_stack+18018,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+438995,int_stack+58968,int_stack+174545,91);
 /*--- compute (op|kh) ---*/
 hrr1_build_op(Libint->AB,int_stack+0,int_stack+438995,int_stack+230339,756);
 /*--- compute (nd|kh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+438995,int_stack+0,int_stack+289307,756);
 return int_stack+438995;}
