#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfmm(Libint_t*, prim_data*);

  /* Computes quartets of (nf|mm) integrals */

REALTYPE *hrr_order_nfmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 Libint->vrr_classes[10][12] = int_stack + 13134;
 Libint->vrr_classes[10][13] = int_stack + 19140;
 Libint->vrr_classes[10][14] = int_stack + 26070;
 Libint->vrr_classes[10][15] = int_stack + 33990;
 Libint->vrr_classes[10][16] = int_stack + 42966;
 Libint->vrr_classes[10][17] = int_stack + 53064;
 Libint->vrr_classes[10][18] = int_stack + 64350;
 Libint->vrr_classes[11][9] = int_stack + 76890;
 Libint->vrr_classes[11][10] = int_stack + 81180;
 Libint->vrr_classes[11][11] = int_stack + 86328;
 Libint->vrr_classes[11][12] = int_stack + 92412;
 Libint->vrr_classes[11][13] = int_stack + 99510;
 Libint->vrr_classes[11][14] = int_stack + 107700;
 Libint->vrr_classes[11][15] = int_stack + 117060;
 Libint->vrr_classes[11][16] = int_stack + 127668;
 Libint->vrr_classes[11][17] = int_stack + 139602;
 Libint->vrr_classes[11][18] = int_stack + 152940;
 Libint->vrr_classes[12][9] = int_stack + 167760;
 Libint->vrr_classes[12][10] = int_stack + 172765;
 Libint->vrr_classes[12][11] = int_stack + 178771;
 Libint->vrr_classes[12][12] = int_stack + 185869;
 Libint->vrr_classes[12][13] = int_stack + 194150;
 Libint->vrr_classes[12][14] = int_stack + 203705;
 Libint->vrr_classes[12][15] = int_stack + 214625;
 Libint->vrr_classes[12][16] = int_stack + 227001;
 Libint->vrr_classes[12][17] = int_stack + 240924;
 Libint->vrr_classes[12][18] = int_stack + 256485;
 Libint->vrr_classes[13][9] = int_stack + 273775;
 Libint->vrr_classes[13][10] = int_stack + 279550;
 Libint->vrr_classes[13][11] = int_stack + 286480;
 Libint->vrr_classes[13][12] = int_stack + 294670;
 Libint->vrr_classes[13][13] = int_stack + 304225;
 Libint->vrr_classes[13][14] = int_stack + 315250;
 Libint->vrr_classes[13][15] = int_stack + 327850;
 Libint->vrr_classes[13][16] = int_stack + 342130;
 Libint->vrr_classes[13][17] = int_stack + 358195;
 Libint->vrr_classes[13][18] = int_stack + 376150;
 memset(int_stack,0,396100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 396100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfmm(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+396100,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+406990,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+420058,int_stack+406990,int_stack+396100,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+441838,int_stack+13134,int_stack+7986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+457282,int_stack+441838,int_stack+406990,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+483418,int_stack+457282,int_stack+420058,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+396100,int_stack+19140,int_stack+13134,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+519718,int_stack+396100,int_stack+441838,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+550606,int_stack+519718,int_stack+457282,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+414118,int_stack+550606,int_stack+483418,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+468568,int_stack+26070,int_stack+19140,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+594166,int_stack+468568,int_stack+396100,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+630202,int_stack+594166,int_stack+519718,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+681682,int_stack+630202,int_stack+550606,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+489358,int_stack+681682,int_stack+414118,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+396100,int_stack+33990,int_stack+26070,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+419860,int_stack+396100,int_stack+468568,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+747022,int_stack+419860,int_stack+594166,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+807082,int_stack+747022,int_stack+630202,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+565588,int_stack+807082,int_stack+681682,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+884302,int_stack+565588,int_stack+489358,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+461440,int_stack+42966,int_stack+33990,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+488368,int_stack+461440,int_stack+396100,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+657064,int_stack+488368,int_stack+419860,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+985942,int_stack+657064,int_stack+747022,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1076032,int_stack+985942,int_stack+807082,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+726364,int_stack+1076032,int_stack+565588,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1184140,int_stack+726364,int_stack+884302,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+396100,int_stack+53064,int_stack+42966,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+535888,int_stack+396100,int_stack+461440,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+848332,int_stack+535888,int_stack+488368,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+426394,int_stack+848332,int_stack+657064,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+589744,int_stack+426394,int_stack+985942,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+927532,int_stack+589744,int_stack+1076032,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1314820,int_stack+927532,int_stack+726364,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1471636,int_stack+1314820,int_stack+1184140,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+715870,int_stack+64350,int_stack+53064,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+749728,int_stack+715870,int_stack+396100,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1071676,int_stack+749728,int_stack+535888,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+715870,int_stack+1071676,int_stack+848332,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1071676,int_stack+715870,int_stack+426394,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+715870,int_stack+1071676,int_stack+589744,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1071676,int_stack+715870,int_stack+927532,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+396100,int_stack+1071676,int_stack+1314820,66);
 /*--- compute (n0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+592120,int_stack+396100,int_stack+1471636,66);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+396100,int_stack+81180,int_stack+76890,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+408970,int_stack+86328,int_stack+81180,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+424414,int_stack+408970,int_stack+396100,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+450154,int_stack+92412,int_stack+86328,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+468406,int_stack+450154,int_stack+408970,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+499294,int_stack+468406,int_stack+424414,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+396100,int_stack+99510,int_stack+92412,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+542194,int_stack+396100,int_stack+450154,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+791770,int_stack+542194,int_stack+468406,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+417394,int_stack+791770,int_stack+499294,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+481744,int_stack+107700,int_stack+99510,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+843250,int_stack+481744,int_stack+396100,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+885838,int_stack+843250,int_stack+542194,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+506314,int_stack+885838,int_stack+791770,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+946678,int_stack+506314,int_stack+417394,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+791770,int_stack+117060,int_stack+107700,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+396100,int_stack+791770,int_stack+481744,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1036768,int_stack+396100,int_stack+843250,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1107748,int_stack+1036768,int_stack+885838,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+819850,int_stack+1107748,int_stack+506314,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+445240,int_stack+819850,int_stack+946678,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+927958,int_stack+127668,int_stack+117060,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+959782,int_stack+927958,int_stack+791770,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1199008,int_stack+959782,int_stack+396100,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1280908,int_stack+1199008,int_stack+1036768,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1387378,int_stack+1280908,int_stack+1107748,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1015942,int_stack+1387378,int_stack+819850,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1515142,int_stack+1015942,int_stack+445240,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+396100,int_stack+139602,int_stack+127668,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+431902,int_stack+396100,int_stack+927958,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+495550,int_stack+431902,int_stack+959782,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+791770,int_stack+495550,int_stack+1199008,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1669582,int_stack+791770,int_stack+1280908,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1160086,int_stack+1669582,int_stack+1387378,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1818640,int_stack+1160086,int_stack+1015942,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+914620,int_stack+1818640,int_stack+1515142,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1107670,int_stack+152940,int_stack+139602,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1330438,int_stack+1107670,int_stack+396100,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1402042,int_stack+1330438,int_stack+431902,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1508122,int_stack+1402042,int_stack+495550,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1330438,int_stack+1508122,int_stack+791770,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2003968,int_stack+1330438,int_stack+1669582,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1330438,int_stack+2003968,int_stack+1160086,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1549462,int_stack+1330438,int_stack+1818640,78);
 /*--- compute (o0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1781122,int_stack+1549462,int_stack+914620,78);
 /*--- compute (np|mm) ---*/
 hrr1_build_np(Libint->AB,int_stack+791770,int_stack+1781122,int_stack+592120,3025);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2017072,int_stack+172765,int_stack+167760,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2032087,int_stack+178771,int_stack+172765,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+2050105,int_stack+2032087,int_stack+2017072,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2080135,int_stack+185869,int_stack+178771,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2101429,int_stack+2080135,int_stack+2032087,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2137465,int_stack+2101429,int_stack+2050105,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2017072,int_stack+194150,int_stack+185869,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1390720,int_stack+2017072,int_stack+2080135,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1433308,int_stack+1390720,int_stack+2101429,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+2041915,int_stack+1433308,int_stack+2137465,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2116990,int_stack+203705,int_stack+194150,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2145655,int_stack+2116990,int_stack+2017072,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1493368,int_stack+2145655,int_stack+1390720,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1564348,int_stack+1493368,int_stack+1433308,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1654438,int_stack+1564348,int_stack+2041915,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1390720,int_stack+214625,int_stack+203705,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1423480,int_stack+1390720,int_stack+2116990,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2017072,int_stack+1423480,int_stack+2145655,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+396100,int_stack+2017072,int_stack+1493368,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+502570,int_stack+396100,int_stack+1564348,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1480810,int_stack+502570,int_stack+1654438,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1620950,int_stack+227001,int_stack+214625,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1658078,int_stack+1620950,int_stack+1390720,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2099882,int_stack+1658078,int_stack+1423480,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+628696,int_stack+2099882,int_stack+2017072,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+628696,int_stack+396100,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2195432,int_stack+0,int_stack+502570,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+396100,int_stack+2195432,int_stack+1480810,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+576280,int_stack+240924,int_stack+227001,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2017072,int_stack+576280,int_stack+1620950,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1390720,int_stack+2017072,int_stack+1658078,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1499920,int_stack+1390720,int_stack+2099882,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2363600,int_stack+1499920,int_stack+628696,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2537501,int_stack+2363600,int_stack+0,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+2537501,int_stack+2195432,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2091328,int_stack+0,int_stack+396100,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+396100,int_stack+256485,int_stack+240924,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+442783,int_stack+396100,int_stack+576280,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+526321,int_stack+442783,int_stack+2017072,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2736245,int_stack+526321,int_stack+1390720,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+396100,int_stack+2736245,int_stack+1499920,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1390720,int_stack+396100,int_stack+2363600,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+396100,int_stack+1390720,int_stack+2537501,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1390720,int_stack+396100,int_stack+0,91);
 /*--- compute (q0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+396100,int_stack+1390720,int_stack+2091328,91);
 /*--- compute (op|mm) ---*/
 hrr1_build_op(Libint->AB,int_stack+2017072,int_stack+396100,int_stack+1781122,3025);
 /*--- compute (nd|mm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2724922,int_stack+2017072,int_stack+791770,3025);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+279550,int_stack+273775,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+286480,int_stack+279550,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+294670,int_stack+286480,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+304225,int_stack+294670,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+671375,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+671375,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+315250,int_stack+304225,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+245805,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+740675,int_stack+245805,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+822575,int_stack+740675,int_stack+671375,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+926525,int_stack+822575,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+671375,int_stack+327850,int_stack+315250,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+671375,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+66150,int_stack+0,int_stack+245805,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+161700,int_stack+66150,int_stack+740675,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1047800,int_stack+161700,int_stack+822575,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+709175,int_stack+1047800,int_stack+926525,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+870875,int_stack+342130,int_stack+327850,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+913715,int_stack+870875,int_stack+671375,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1193330,int_stack+913715,int_stack+0,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1303580,int_stack+1193330,int_stack+66150,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1446905,int_stack+1303580,int_stack+161700,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1446905,int_stack+1047800,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1618895,int_stack+0,int_stack+709175,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+194040,int_stack+358195,int_stack+342130,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+242235,int_stack+194040,int_stack+870875,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+671375,int_stack+242235,int_stack+913715,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+797375,int_stack+671375,int_stack+1193330,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+962750,int_stack+797375,int_stack+1303580,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1163405,int_stack+962750,int_stack+1446905,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3922822,int_stack+1163405,int_stack+0,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+4172302,int_stack+3922822,int_stack+1618895,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+376150,int_stack+358195,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+53865,int_stack+0,int_stack+194040,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1392725,int_stack+53865,int_stack+242235,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+1392725,int_stack+671375,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1392725,int_stack+0,int_stack+797375,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+1392725,int_stack+962750,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1392725,int_stack+0,int_stack+1163405,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+1392725,int_stack+3922822,105);
 /*--- compute (r0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+671375,int_stack+0,int_stack+4172302,105);
 /*--- compute (qp|mm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+989000,int_stack+671375,int_stack+396100,3025);
 /*--- compute (od|mm) ---*/
 hrr1_build_od(Libint->AB,int_stack+3922822,int_stack+989000,int_stack+2017072,3025);
 /*--- compute (nf|mm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+3922822,int_stack+2724922,3025);
 return int_stack+0;}
