#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfnf(Libint_t*, prim_data*);

  /* Computes quartets of (nf|nf) integrals */

REALTYPE *hrr_order_nfnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[11][10] = int_stack + 22440;
 Libint->vrr_classes[11][11] = int_stack + 27588;
 Libint->vrr_classes[11][12] = int_stack + 33672;
 Libint->vrr_classes[11][13] = int_stack + 40770;
 Libint->vrr_classes[12][10] = int_stack + 48960;
 Libint->vrr_classes[12][11] = int_stack + 54966;
 Libint->vrr_classes[12][12] = int_stack + 62064;
 Libint->vrr_classes[12][13] = int_stack + 70345;
 Libint->vrr_classes[13][10] = int_stack + 79900;
 Libint->vrr_classes[13][11] = int_stack + 86830;
 Libint->vrr_classes[13][12] = int_stack + 95020;
 Libint->vrr_classes[13][13] = int_stack + 104575;
 memset(int_stack,0,115600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 115600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfnf(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+115600,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+128668,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+144112,int_stack+128668,int_stack+115600,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+170248,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+188266,int_stack+170248,int_stack+128668,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+219154,int_stack+188266,int_stack+144112,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+115600,int_stack+27588,int_stack+22440,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+131044,int_stack+33672,int_stack+27588,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+149296,int_stack+131044,int_stack+115600,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+180184,int_stack+40770,int_stack+33672,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+180184,int_stack+131044,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+262714,int_stack+0,int_stack+149296,78);
 /*--- compute (np|nf) ---*/
 hrr1_build_np(Libint->AB,int_stack+314194,int_stack+262714,int_stack+219154,660);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+54966,int_stack+48960,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+62064,int_stack+54966,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115600,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+151636,int_stack+70345,int_stack+62064,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+176479,int_stack+151636,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+176479,int_stack+115600,91);
 /*--- compute (op|nf) ---*/
 hrr1_build_op(Libint->AB,int_stack+444874,int_stack+0,int_stack+262714,660);
 /*--- compute (nd|nf) ---*/
 hrr1_build_nd(Libint->AB,int_stack+599314,int_stack+444874,int_stack+314194,660);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+115600,int_stack+86830,int_stack+79900,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+136390,int_stack+95020,int_stack+86830,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+160960,int_stack+136390,int_stack+115600,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+202540,int_stack+104575,int_stack+95020,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+231205,int_stack+202540,int_stack+136390,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+280345,int_stack+231205,int_stack+160960,105);
 /*--- compute (qp|nf) ---*/
 hrr1_build_qp(Libint->AB,int_stack+60060,int_stack+280345,int_stack+0,660);
 /*--- compute (od|nf) ---*/
 hrr1_build_od(Libint->AB,int_stack+860674,int_stack+60060,int_stack+444874,660);
 /*--- compute (nf|nf) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+860674,int_stack+599314,660);
 return int_stack+0;}
