#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_npnf(Libint_t*, prim_data*);

  /* Computes quartets of (np|nf) integrals */

REALTYPE *hrr_order_npnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[11][10] = int_stack + 22440;
 Libint->vrr_classes[11][11] = int_stack + 27588;
 Libint->vrr_classes[11][12] = int_stack + 33672;
 Libint->vrr_classes[11][13] = int_stack + 40770;
 memset(int_stack,0,48960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 48960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_npnf(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+48960,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62028,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+77472,int_stack+62028,int_stack+48960,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+103608,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+121626,int_stack+103608,int_stack+62028,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+152514,int_stack+121626,int_stack+77472,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+48960,int_stack+27588,int_stack+22440,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+64404,int_stack+33672,int_stack+27588,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+82656,int_stack+64404,int_stack+48960,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+113544,int_stack+40770,int_stack+33672,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+113544,int_stack+64404,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+196074,int_stack+0,int_stack+82656,78);
 /*--- compute (np|nf) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+196074,int_stack+152514,660);
 return int_stack+0;}
