#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0ng(Libint_t*, prim_data*);

  /* Computes quartets of (p0|ng) integrals */

REALTYPE *hrr_order_p0ng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][10] = int_stack + 0;
 Libint->vrr_classes[1][11] = int_stack + 198;
 Libint->vrr_classes[1][12] = int_stack + 432;
 Libint->vrr_classes[1][13] = int_stack + 705;
 Libint->vrr_classes[1][14] = int_stack + 1020;
 memset(int_stack,0,1380*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1380;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0ng(Libint, Data);
   Data++;
 }
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1380,int_stack+198,int_stack+0,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1974,int_stack+432,int_stack+198,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2676,int_stack+1974,int_stack+1380,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+3864,int_stack+705,int_stack+432,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4683,int_stack+3864,int_stack+1974,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6087,int_stack+4683,int_stack+2676,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1380,int_stack+1020,int_stack+705,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+8067,int_stack+1380,int_stack+3864,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+8067,int_stack+4683,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2340,int_stack+0,int_stack+6087,3);
 return int_stack+2340;}
