#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0nn(Libint_t*, prim_data*);

  /* Computes quartets of (p0|nn) integrals */

REALTYPE *hrr_order_p0nn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][10] = int_stack + 0;
 Libint->vrr_classes[1][11] = int_stack + 198;
 Libint->vrr_classes[1][12] = int_stack + 432;
 Libint->vrr_classes[1][13] = int_stack + 705;
 Libint->vrr_classes[1][14] = int_stack + 1020;
 Libint->vrr_classes[1][15] = int_stack + 1380;
 Libint->vrr_classes[1][16] = int_stack + 1788;
 Libint->vrr_classes[1][17] = int_stack + 2247;
 Libint->vrr_classes[1][18] = int_stack + 2760;
 Libint->vrr_classes[1][19] = int_stack + 3330;
 Libint->vrr_classes[1][20] = int_stack + 3960;
 memset(int_stack,0,4653*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4653;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0nn(Libint, Data);
   Data++;
 }
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4653,int_stack+198,int_stack+0,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5247,int_stack+432,int_stack+198,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+5949,int_stack+5247,int_stack+4653,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+7137,int_stack+705,int_stack+432,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7956,int_stack+7137,int_stack+5247,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+9360,int_stack+7956,int_stack+5949,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+4653,int_stack+1020,int_stack+705,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11340,int_stack+4653,int_stack+7137,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+5598,int_stack+11340,int_stack+7956,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+12978,int_stack+5598,int_stack+9360,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+7938,int_stack+1380,int_stack+1020,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+9018,int_stack+7938,int_stack+4653,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+15948,int_stack+9018,int_stack+11340,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+18678,int_stack+15948,int_stack+5598,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+22188,int_stack+18678,int_stack+12978,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+4653,int_stack+1788,int_stack+1380,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+10908,int_stack+4653,int_stack+7938,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+26346,int_stack+10908,int_stack+9018,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5877,int_stack+26346,int_stack+15948,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+13068,int_stack+5877,int_stack+18678,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+29496,int_stack+13068,int_stack+22188,3);
 /*--- compute (p0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+17982,int_stack+2247,int_stack+1788,3);
 /*--- compute (p0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+19359,int_stack+17982,int_stack+4653,3);
 /*--- compute (p0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+21807,int_stack+19359,int_stack+10908,3);
 /*--- compute (p0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+35040,int_stack+21807,int_stack+26346,3);
 /*--- compute (p0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+39765,int_stack+35040,int_stack+5877,3);
 /*--- compute (p0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4653,int_stack+39765,int_stack+13068,3);
 /*--- compute (p0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+45498,int_stack+4653,int_stack+29496,3);
 /*--- compute (p0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+11205,int_stack+2760,int_stack+2247,3);
 /*--- compute (p0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+12744,int_stack+11205,int_stack+17982,3);
 /*--- compute (p0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+25407,int_stack+12744,int_stack+19359,3);
 /*--- compute (p0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+15498,int_stack+25407,int_stack+21807,3);
 /*--- compute (p0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+52626,int_stack+15498,int_stack+35040,3);
 /*--- compute (p0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+29487,int_stack+52626,int_stack+39765,3);
 /*--- compute (p0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+59241,int_stack+29487,int_stack+4653,3);
 /*--- compute (p0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+67665,int_stack+59241,int_stack+45498,3);
 /*--- compute (p0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+4653,int_stack+3330,int_stack+2760,3);
 /*--- compute (p0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+6363,int_stack+4653,int_stack+11205,3);
 /*--- compute (p0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+37131,int_stack+6363,int_stack+12744,3);
 /*--- compute (p0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+41721,int_stack+37131,int_stack+25407,3);
 /*--- compute (p0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+20898,int_stack+41721,int_stack+15498,3);
 /*--- compute (p0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+9441,int_stack+20898,int_stack+52626,3);
 /*--- compute (p0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+47841,int_stack+9441,int_stack+29487,3);
 /*--- compute (p0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+76575,int_stack+47841,int_stack+59241,3);
 /*--- compute (p0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+87105,int_stack+76575,int_stack+67665,3);
 /*--- compute (p0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+18261,int_stack+3960,int_stack+3330,3);
 /*--- compute (p0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+28458,int_stack+18261,int_stack+4653,3);
 /*--- compute (p0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+31878,int_stack+28458,int_stack+6363,3);
 /*--- compute (p0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+57669,int_stack+31878,int_stack+37131,3);
 /*--- compute (p0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+28458,int_stack+57669,int_stack+41721,3);
 /*--- compute (p0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+57669,int_stack+28458,int_stack+20898,3);
 /*--- compute (p0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+18261,int_stack+57669,int_stack+9441,3);
 /*--- compute (p0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+57669,int_stack+18261,int_stack+47841,3);
 /*--- compute (p0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+57669,int_stack+76575,3);
 /*--- compute (p0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+12870,int_stack+0,int_stack+87105,3);
 return int_stack+12870;}
