#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppkd(Libint_t*, prim_data*);

  /* Computes quartets of (pp|kd) integrals */

REALTYPE *hrr_order_ppkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][7] = int_stack + 0;
 Libint->vrr_classes[1][8] = int_stack + 108;
 Libint->vrr_classes[1][9] = int_stack + 243;
 Libint->vrr_classes[2][7] = int_stack + 408;
 Libint->vrr_classes[2][8] = int_stack + 624;
 Libint->vrr_classes[2][9] = int_stack + 894;
 memset(int_stack,0,1224*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1224;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppkd(Libint, Data);
   Data++;
 }
 /*--- compute (p0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1224,int_stack+108,int_stack+0,3);
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1548,int_stack+243,int_stack+108,3);
 /*--- compute (p0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+1953,int_stack+1548,int_stack+1224,3);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1224,int_stack+624,int_stack+408,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2601,int_stack+894,int_stack+624,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+3411,int_stack+2601,int_stack+1224,6);
 /*--- compute (pp|kd) ---*/
 hrr1_build_pp(Libint->AB,int_stack+0,int_stack+3411,int_stack+1953,216);
 return int_stack+0;}
