#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppmm(Libint_t*, prim_data*);

  /* Computes quartets of (pp|mm) integrals */

REALTYPE *hrr_order_ppmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][9] = int_stack + 0;
 Libint->vrr_classes[1][10] = int_stack + 165;
 Libint->vrr_classes[1][11] = int_stack + 363;
 Libint->vrr_classes[1][12] = int_stack + 597;
 Libint->vrr_classes[1][13] = int_stack + 870;
 Libint->vrr_classes[1][14] = int_stack + 1185;
 Libint->vrr_classes[1][15] = int_stack + 1545;
 Libint->vrr_classes[1][16] = int_stack + 1953;
 Libint->vrr_classes[1][17] = int_stack + 2412;
 Libint->vrr_classes[1][18] = int_stack + 2925;
 Libint->vrr_classes[2][9] = int_stack + 3495;
 Libint->vrr_classes[2][10] = int_stack + 3825;
 Libint->vrr_classes[2][11] = int_stack + 4221;
 Libint->vrr_classes[2][12] = int_stack + 4689;
 Libint->vrr_classes[2][13] = int_stack + 5235;
 Libint->vrr_classes[2][14] = int_stack + 5865;
 Libint->vrr_classes[2][15] = int_stack + 6585;
 Libint->vrr_classes[2][16] = int_stack + 7401;
 Libint->vrr_classes[2][17] = int_stack + 8319;
 Libint->vrr_classes[2][18] = int_stack + 9345;
 memset(int_stack,0,10485*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10485;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppmm(Libint, Data);
   Data++;
 }
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10485,int_stack+165,int_stack+0,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10980,int_stack+363,int_stack+165,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+11574,int_stack+10980,int_stack+10485,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+12564,int_stack+597,int_stack+363,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+13266,int_stack+12564,int_stack+10980,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+14454,int_stack+13266,int_stack+11574,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10485,int_stack+870,int_stack+597,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+16104,int_stack+10485,int_stack+12564,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+17508,int_stack+16104,int_stack+13266,3);
 /*--- compute (p0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+11304,int_stack+17508,int_stack+14454,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+13779,int_stack+1185,int_stack+870,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+19488,int_stack+13779,int_stack+10485,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+21126,int_stack+19488,int_stack+16104,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+23466,int_stack+21126,int_stack+17508,3);
 /*--- compute (p0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+14724,int_stack+23466,int_stack+11304,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+10485,int_stack+1545,int_stack+1185,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+11565,int_stack+10485,int_stack+13779,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+26436,int_stack+11565,int_stack+19488,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+29166,int_stack+26436,int_stack+21126,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+18189,int_stack+29166,int_stack+23466,3);
 /*--- compute (p0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+32676,int_stack+18189,int_stack+14724,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+13455,int_stack+1953,int_stack+1545,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14679,int_stack+13455,int_stack+10485,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+22347,int_stack+14679,int_stack+11565,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+37296,int_stack+22347,int_stack+26436,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+41391,int_stack+37296,int_stack+29166,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+25497,int_stack+41391,int_stack+18189,3);
 /*--- compute (p0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+46305,int_stack+25497,int_stack+32676,3);
 /*--- compute (p0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+10485,int_stack+2412,int_stack+1953,3);
 /*--- compute (p0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+16839,int_stack+10485,int_stack+13455,3);
 /*--- compute (p0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+31041,int_stack+16839,int_stack+14679,3);
 /*--- compute (p0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+11862,int_stack+31041,int_stack+22347,3);
 /*--- compute (p0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+19287,int_stack+11862,int_stack+37296,3);
 /*--- compute (p0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+34641,int_stack+19287,int_stack+41391,3);
 /*--- compute (p0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+52245,int_stack+34641,int_stack+25497,3);
 /*--- compute (p0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+59373,int_stack+52245,int_stack+46305,3);
 /*--- compute (p0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+25020,int_stack+2925,int_stack+2412,3);
 /*--- compute (p0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+26559,int_stack+25020,int_stack+10485,3);
 /*--- compute (p0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+41193,int_stack+26559,int_stack+16839,3);
 /*--- compute (p0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+25020,int_stack+41193,int_stack+31041,3);
 /*--- compute (p0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+41193,int_stack+25020,int_stack+11862,3);
 /*--- compute (p0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+25020,int_stack+41193,int_stack+19287,3);
 /*--- compute (p0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+41193,int_stack+25020,int_stack+34641,3);
 /*--- compute (p0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+10485,int_stack+41193,int_stack+52245,3);
 /*--- compute (p0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+19395,int_stack+10485,int_stack+59373,3);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10485,int_stack+3825,int_stack+3495,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11475,int_stack+4221,int_stack+3825,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+12663,int_stack+11475,int_stack+10485,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+14643,int_stack+4689,int_stack+4221,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+16047,int_stack+14643,int_stack+11475,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+28470,int_stack+16047,int_stack+12663,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10485,int_stack+5235,int_stack+4689,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+31770,int_stack+10485,int_stack+14643,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+34578,int_stack+31770,int_stack+16047,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+12123,int_stack+34578,int_stack+28470,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+28470,int_stack+5865,int_stack+5235,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+38538,int_stack+28470,int_stack+10485,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+41814,int_stack+38538,int_stack+31770,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+46494,int_stack+41814,int_stack+34578,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+30360,int_stack+46494,int_stack+12123,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+10485,int_stack+6585,int_stack+5865,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+12645,int_stack+10485,int_stack+28470,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+52434,int_stack+12645,int_stack+38538,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+57894,int_stack+52434,int_stack+41814,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+37290,int_stack+57894,int_stack+46494,6);
 /*--- compute (d0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+64914,int_stack+37290,int_stack+30360,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+28470,int_stack+7401,int_stack+6585,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+30918,int_stack+28470,int_stack+10485,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+45606,int_stack+30918,int_stack+12645,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+10485,int_stack+45606,int_stack+52434,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+74154,int_stack+10485,int_stack+57894,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+51906,int_stack+74154,int_stack+37290,6);
 /*--- compute (d0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+83982,int_stack+51906,int_stack+64914,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+35238,int_stack+8319,int_stack+7401,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+37992,int_stack+35238,int_stack+28470,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+62994,int_stack+37992,int_stack+30918,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+95862,int_stack+62994,int_stack+45606,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+105312,int_stack+95862,int_stack+10485,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+116778,int_stack+105312,int_stack+74154,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+129882,int_stack+116778,int_stack+51906,6);
 /*--- compute (d0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+42888,int_stack+129882,int_stack+83982,6);
 /*--- compute (d0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+10485,int_stack+9345,int_stack+8319,6);
 /*--- compute (d0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+13563,int_stack+10485,int_stack+35238,6);
 /*--- compute (d0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+28470,int_stack+13563,int_stack+37992,6);
 /*--- compute (d0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+70194,int_stack+28470,int_stack+62994,6);
 /*--- compute (d0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+28470,int_stack+70194,int_stack+95862,6);
 /*--- compute (d0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+57738,int_stack+28470,int_stack+105312,6);
 /*--- compute (d0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+73026,int_stack+57738,int_stack+116778,6);
 /*--- compute (d0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+89874,int_stack+73026,int_stack+129882,6);
 /*--- compute (d0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+57738,int_stack+89874,int_stack+42888,6);
 /*--- compute (pp|mm) ---*/
 hrr1_build_pp(Libint->AB,int_stack+75888,int_stack+57738,int_stack+19395,3025);
 return int_stack+75888;}
