#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppnm(Libint_t*, prim_data*);

  /* Computes quartets of (pp|nm) integrals */

REALTYPE *hrr_order_ppnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][10] = int_stack + 0;
 Libint->vrr_classes[1][11] = int_stack + 198;
 Libint->vrr_classes[1][12] = int_stack + 432;
 Libint->vrr_classes[1][13] = int_stack + 705;
 Libint->vrr_classes[1][14] = int_stack + 1020;
 Libint->vrr_classes[1][15] = int_stack + 1380;
 Libint->vrr_classes[1][16] = int_stack + 1788;
 Libint->vrr_classes[1][17] = int_stack + 2247;
 Libint->vrr_classes[1][18] = int_stack + 2760;
 Libint->vrr_classes[1][19] = int_stack + 3330;
 Libint->vrr_classes[2][10] = int_stack + 3960;
 Libint->vrr_classes[2][11] = int_stack + 4356;
 Libint->vrr_classes[2][12] = int_stack + 4824;
 Libint->vrr_classes[2][13] = int_stack + 5370;
 Libint->vrr_classes[2][14] = int_stack + 6000;
 Libint->vrr_classes[2][15] = int_stack + 6720;
 Libint->vrr_classes[2][16] = int_stack + 7536;
 Libint->vrr_classes[2][17] = int_stack + 8454;
 Libint->vrr_classes[2][18] = int_stack + 9480;
 Libint->vrr_classes[2][19] = int_stack + 10620;
 memset(int_stack,0,11880*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppnm(Libint, Data);
   Data++;
 }
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11880,int_stack+198,int_stack+0,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+12474,int_stack+432,int_stack+198,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+13176,int_stack+12474,int_stack+11880,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+14364,int_stack+705,int_stack+432,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+15183,int_stack+14364,int_stack+12474,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+16587,int_stack+15183,int_stack+13176,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11880,int_stack+1020,int_stack+705,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+18567,int_stack+11880,int_stack+14364,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+12825,int_stack+18567,int_stack+15183,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+20205,int_stack+12825,int_stack+16587,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+15165,int_stack+1380,int_stack+1020,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+16245,int_stack+15165,int_stack+11880,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+23175,int_stack+16245,int_stack+18567,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+25905,int_stack+23175,int_stack+12825,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+29415,int_stack+25905,int_stack+20205,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+11880,int_stack+1788,int_stack+1380,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+18135,int_stack+11880,int_stack+15165,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+33573,int_stack+18135,int_stack+16245,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+13104,int_stack+33573,int_stack+23175,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+20295,int_stack+13104,int_stack+25905,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+36723,int_stack+20295,int_stack+29415,3);
 /*--- compute (p0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+25209,int_stack+2247,int_stack+1788,3);
 /*--- compute (p0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+26586,int_stack+25209,int_stack+11880,3);
 /*--- compute (p0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+29034,int_stack+26586,int_stack+18135,3);
 /*--- compute (p0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+42267,int_stack+29034,int_stack+33573,3);
 /*--- compute (p0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+46992,int_stack+42267,int_stack+13104,3);
 /*--- compute (p0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+11880,int_stack+46992,int_stack+20295,3);
 /*--- compute (p0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+52725,int_stack+11880,int_stack+36723,3);
 /*--- compute (p0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+18432,int_stack+2760,int_stack+2247,3);
 /*--- compute (p0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+19971,int_stack+18432,int_stack+25209,3);
 /*--- compute (p0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+32634,int_stack+19971,int_stack+26586,3);
 /*--- compute (p0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+22725,int_stack+32634,int_stack+29034,3);
 /*--- compute (p0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+59853,int_stack+22725,int_stack+42267,3);
 /*--- compute (p0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+36714,int_stack+59853,int_stack+46992,3);
 /*--- compute (p0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+66468,int_stack+36714,int_stack+11880,3);
 /*--- compute (p0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+74892,int_stack+66468,int_stack+52725,3);
 /*--- compute (p0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+11880,int_stack+3330,int_stack+2760,3);
 /*--- compute (p0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+13590,int_stack+11880,int_stack+18432,3);
 /*--- compute (p0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+44358,int_stack+13590,int_stack+19971,3);
 /*--- compute (p0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+11880,int_stack+44358,int_stack+32634,3);
 /*--- compute (p0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+44358,int_stack+11880,int_stack+22725,3);
 /*--- compute (p0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+11880,int_stack+44358,int_stack+59853,3);
 /*--- compute (p0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+44358,int_stack+11880,int_stack+36714,3);
 /*--- compute (p0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+11880,int_stack+44358,int_stack+66468,3);
 /*--- compute (p0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+22410,int_stack+11880,int_stack+74892,3);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11880,int_stack+4356,int_stack+3960,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+4824,int_stack+4356,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+14472,int_stack+13068,int_stack+11880,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+16848,int_stack+5370,int_stack+4824,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+18486,int_stack+16848,int_stack+13068,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+33300,int_stack+18486,int_stack+14472,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11880,int_stack+6000,int_stack+5370,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+37260,int_stack+11880,int_stack+16848,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+13770,int_stack+37260,int_stack+18486,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+40536,int_stack+13770,int_stack+33300,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+33300,int_stack+6720,int_stack+6000,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+18450,int_stack+33300,int_stack+11880,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+46476,int_stack+18450,int_stack+37260,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+51936,int_stack+46476,int_stack+13770,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+58956,int_stack+51936,int_stack+40536,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+11880,int_stack+7536,int_stack+6720,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+35460,int_stack+11880,int_stack+33300,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+39780,int_stack+35460,int_stack+18450,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+67272,int_stack+39780,int_stack+46476,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+75462,int_stack+67272,int_stack+51936,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+46080,int_stack+75462,int_stack+58956,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+14328,int_stack+8454,int_stack+7536,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+17082,int_stack+14328,int_stack+11880,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+57168,int_stack+17082,int_stack+35460,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+85290,int_stack+57168,int_stack+39780,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+33300,int_stack+85290,int_stack+67272,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+94740,int_stack+33300,int_stack+75462,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+64368,int_stack+94740,int_stack+46080,6);
 /*--- compute (d0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+44766,int_stack+9480,int_stack+8454,6);
 /*--- compute (d0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+47844,int_stack+44766,int_stack+14328,6);
 /*--- compute (d0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+47844,int_stack+17082,6);
 /*--- compute (d0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+107844,int_stack+0,int_stack+57168,6);
 /*--- compute (d0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+118644,int_stack+107844,int_stack+85290,6);
 /*--- compute (d0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+78624,int_stack+118644,int_stack+33300,6);
 /*--- compute (d0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+131874,int_stack+78624,int_stack+94740,6);
 /*--- compute (d0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+148722,int_stack+131874,int_stack+64368,6);
 /*--- compute (d0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+33300,int_stack+10620,int_stack+9480,6);
 /*--- compute (d0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+36720,int_stack+33300,int_stack+44766,6);
 /*--- compute (d0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+53352,int_stack+36720,int_stack+47844,6);
 /*--- compute (d0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+33300,int_stack+53352,int_stack+0,6);
 /*--- compute (d0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+33300,int_stack+107844,6);
 /*--- compute (d0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+33300,int_stack+0,int_stack+118644,6);
 /*--- compute (d0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+33300,int_stack+78624,6);
 /*--- compute (d0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+33300,int_stack+0,int_stack+131874,6);
 /*--- compute (d0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+33300,int_stack+148722,6);
 /*--- compute (pp|nm) ---*/
 hrr1_build_pp(Libint->AB,int_stack+33300,int_stack+0,int_stack+22410,3630);
 return int_stack+33300;}
