#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (g0|li) integrals */

void vrr_order_g0li(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+5, Data->F+6, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+4, Data->F+5, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+21, vrr_stack+3, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+24, vrr_stack+65, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+30, vrr_stack+71, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+50, vrr_stack+81, vrr_stack+40, vrr_stack+30, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+12, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+117, vrr_stack+6, vrr_stack+15, vrr_stack+0, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+127, vrr_stack+117, vrr_stack+40, vrr_stack+6, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+127, vrr_stack+50, vrr_stack+117, vrr_stack+40, NULL);
 _BUILD_p0h0(Data,vrr_stack+163, vrr_stack+142, vrr_stack+96, NULL, NULL, vrr_stack+50);
 _BUILD_00i0(Data,vrr_stack+226, vrr_stack+142, vrr_stack+96, vrr_stack+127, vrr_stack+50, NULL);
 _BUILD_00p0(Data,vrr_stack+40, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+43, vrr_stack+40, vrr_stack+0, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+254, vrr_stack+43, vrr_stack+6, vrr_stack+40, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+264, vrr_stack+254, vrr_stack+117, vrr_stack+43, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+279, vrr_stack+264, vrr_stack+127, vrr_stack+254, vrr_stack+117, NULL);
 _BUILD_00i0(Data,vrr_stack+300, vrr_stack+279, vrr_stack+142, vrr_stack+264, vrr_stack+127, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+117, vrr_stack+3, vrr_stack+0, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+123, vrr_stack+65, vrr_stack+117, vrr_stack+21, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+6, vrr_stack+71, vrr_stack+123, vrr_stack+24, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+328, vrr_stack+81, vrr_stack+6, vrr_stack+30, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+349, vrr_stack+96, vrr_stack+328, vrr_stack+50, vrr_stack+81, NULL);
 _BUILD_p0i0(Data,vrr_stack+377, vrr_stack+226, vrr_stack+349, NULL, NULL, vrr_stack+96);
 _BUILD_p0i0(Data,vrr_stack+461, vrr_stack+300, vrr_stack+226, NULL, NULL, vrr_stack+142);
 _BUILD_d0i0(Data,vrr_stack+545, vrr_stack+461, vrr_stack+377, vrr_stack+300, vrr_stack+226, vrr_stack+163);
 _BUILD_00k0(Data,vrr_stack+163, vrr_stack+226, vrr_stack+349, vrr_stack+142, vrr_stack+96, NULL);
 _BUILD_00k0(Data,vrr_stack+713, vrr_stack+300, vrr_stack+226, vrr_stack+279, vrr_stack+142, NULL);
 _BUILD_p0k0(Data,vrr_stack+749, vrr_stack+713, vrr_stack+163, NULL, NULL, vrr_stack+226);
 _BUILD_00p0(Data,vrr_stack+199, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+202, vrr_stack+199, vrr_stack+40, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+208, vrr_stack+202, vrr_stack+43, vrr_stack+199, vrr_stack+40, NULL);
 _BUILD_00g0(Data,vrr_stack+133, vrr_stack+208, vrr_stack+254, vrr_stack+202, vrr_stack+43, NULL);
 _BUILD_00h0(Data,vrr_stack+21, vrr_stack+133, vrr_stack+264, vrr_stack+208, vrr_stack+254, NULL);
 _BUILD_00i0(Data,vrr_stack+857, vrr_stack+21, vrr_stack+279, vrr_stack+133, vrr_stack+264, NULL);
 _BUILD_00k0(Data,vrr_stack+885, vrr_stack+857, vrr_stack+300, vrr_stack+21, vrr_stack+279, NULL);
 _BUILD_p0k0(Data,vrr_stack+921, vrr_stack+885, vrr_stack+713, NULL, NULL, vrr_stack+300);
 _BUILD_00p0(Data,vrr_stack+254, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+257, vrr_stack+0, vrr_stack+254, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+263, vrr_stack+117, vrr_stack+257, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+148, vrr_stack+123, vrr_stack+263, vrr_stack+65, vrr_stack+117, NULL);
 _BUILD_00h0(Data,vrr_stack+273, vrr_stack+6, vrr_stack+148, vrr_stack+71, vrr_stack+123, NULL);
 _BUILD_00i0(Data,vrr_stack+42, vrr_stack+328, vrr_stack+273, vrr_stack+81, vrr_stack+6, NULL);
 _BUILD_00k0(Data,vrr_stack+1029, vrr_stack+349, vrr_stack+42, vrr_stack+96, vrr_stack+328, NULL);
 _BUILD_p0k0(Data,vrr_stack+1065, vrr_stack+163, vrr_stack+1029, NULL, NULL, vrr_stack+349);
 _BUILD_d0k0(Data,vrr_stack+1173, vrr_stack+749, vrr_stack+1065, vrr_stack+713, vrr_stack+163, vrr_stack+377);
 _BUILD_d0k0(Data,vrr_stack+1389, vrr_stack+921, vrr_stack+749, vrr_stack+885, vrr_stack+713, vrr_stack+461);
 _BUILD_f0k0(Data,vrr_stack+1605, vrr_stack+1389, vrr_stack+1173, vrr_stack+921, vrr_stack+749, vrr_stack+545);
 _BUILD_00l0(Data,vrr_stack+377, vrr_stack+713, vrr_stack+163, vrr_stack+300, vrr_stack+226, NULL);
 _BUILD_00l0(Data,vrr_stack+422, vrr_stack+885, vrr_stack+713, vrr_stack+857, vrr_stack+300, NULL);
 _BUILD_00l0(Data,vrr_stack+467, vrr_stack+163, vrr_stack+1029, vrr_stack+226, vrr_stack+349, NULL);
 _BUILD_p0l0(Data,vrr_stack+512, vrr_stack+377, vrr_stack+467, NULL, NULL, vrr_stack+163);
 _BUILD_p0l0(Data,vrr_stack+1965, vrr_stack+422, vrr_stack+377, NULL, NULL, vrr_stack+713);
 _BUILD_d0l0(Data,vrr_stack+2100, vrr_stack+1965, vrr_stack+512, vrr_stack+422, vrr_stack+377, vrr_stack+749);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+749, vrr_stack+3, vrr_stack+199, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+755, vrr_stack+749, vrr_stack+202, vrr_stack+3, vrr_stack+199, NULL);
 _BUILD_00g0(Data,vrr_stack+765, vrr_stack+755, vrr_stack+208, vrr_stack+749, vrr_stack+202, NULL);
 _BUILD_00h0(Data,vrr_stack+780, vrr_stack+765, vrr_stack+133, vrr_stack+755, vrr_stack+208, NULL);
 _BUILD_00i0(Data,vrr_stack+199, vrr_stack+780, vrr_stack+21, vrr_stack+765, vrr_stack+133, NULL);
 _BUILD_00k0(Data,vrr_stack+801, vrr_stack+199, vrr_stack+857, vrr_stack+780, vrr_stack+21, NULL);
 _BUILD_00l0(Data,vrr_stack+749, vrr_stack+801, vrr_stack+885, vrr_stack+199, vrr_stack+857, NULL);
 _BUILD_p0l0(Data,vrr_stack+2370, vrr_stack+749, vrr_stack+422, NULL, NULL, vrr_stack+885);
 _BUILD_d0l0(Data,vrr_stack+2505, vrr_stack+2370, vrr_stack+1965, vrr_stack+749, vrr_stack+422, vrr_stack+921);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+921, vrr_stack+254, vrr_stack+3, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+927, vrr_stack+257, vrr_stack+921, vrr_stack+0, vrr_stack+254, NULL);
 _BUILD_00g0(Data,vrr_stack+133, vrr_stack+263, vrr_stack+927, vrr_stack+117, vrr_stack+257, NULL);
 _BUILD_00h0(Data,vrr_stack+21, vrr_stack+148, vrr_stack+133, vrr_stack+123, vrr_stack+263, NULL);
 _BUILD_00i0(Data,vrr_stack+937, vrr_stack+273, vrr_stack+21, vrr_stack+6, vrr_stack+148, NULL);
 _BUILD_00k0(Data,vrr_stack+965, vrr_stack+42, vrr_stack+937, vrr_stack+328, vrr_stack+273, NULL);
 _BUILD_00l0(Data,vrr_stack+199, vrr_stack+1029, vrr_stack+965, vrr_stack+349, vrr_stack+42, NULL);
 _BUILD_p0l0(Data,vrr_stack+2775, vrr_stack+467, vrr_stack+199, NULL, NULL, vrr_stack+1029);
 _BUILD_d0l0(Data,vrr_stack+2910, vrr_stack+512, vrr_stack+2775, vrr_stack+377, vrr_stack+467, vrr_stack+1065);
 _BUILD_f0l0(Data,vrr_stack+3180, vrr_stack+2100, vrr_stack+2910, vrr_stack+1965, vrr_stack+512, vrr_stack+1173);
 _BUILD_f0l0(Data,vrr_stack+3630, vrr_stack+2505, vrr_stack+2100, vrr_stack+2370, vrr_stack+1965, vrr_stack+1389);
 _BUILD_00m0(Data,vrr_stack+2370, vrr_stack+377, vrr_stack+467, vrr_stack+713, vrr_stack+163, NULL);
 _BUILD_00m0(Data,vrr_stack+2425, vrr_stack+422, vrr_stack+377, vrr_stack+885, vrr_stack+713, NULL);
 _BUILD_00m0(Data,vrr_stack+1065, vrr_stack+467, vrr_stack+199, vrr_stack+163, vrr_stack+1029, NULL);
 _BUILD_p0m0(Data,vrr_stack+1120, vrr_stack+2370, vrr_stack+1065, NULL, NULL, vrr_stack+467);
 _BUILD_p0m0(Data,vrr_stack+1285, vrr_stack+2425, vrr_stack+2370, NULL, NULL, vrr_stack+377);
 _BUILD_d0m0(Data,vrr_stack+4080, vrr_stack+1285, vrr_stack+1120, vrr_stack+2425, vrr_stack+2370, vrr_stack+512);
 _BUILD_00m0(Data,vrr_stack+512, vrr_stack+749, vrr_stack+422, vrr_stack+801, vrr_stack+885, NULL);
 _BUILD_p0m0(Data,vrr_stack+567, vrr_stack+512, vrr_stack+2425, NULL, NULL, vrr_stack+422);
 _BUILD_d0m0(Data,vrr_stack+4410, vrr_stack+567, vrr_stack+1285, vrr_stack+512, vrr_stack+2425, vrr_stack+1965);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1965, vrr_stack+3, vrr_stack+0, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+244, vrr_stack+921, vrr_stack+1965, vrr_stack+254, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+6, vrr_stack+927, vrr_stack+244, vrr_stack+257, vrr_stack+921, NULL);
 _BUILD_00h0(Data,vrr_stack+1971, vrr_stack+133, vrr_stack+6, vrr_stack+263, vrr_stack+927, NULL);
 _BUILD_00i0(Data,vrr_stack+1001, vrr_stack+21, vrr_stack+1971, vrr_stack+148, vrr_stack+133, NULL);
 _BUILD_00k0(Data,vrr_stack+148, vrr_stack+937, vrr_stack+1001, vrr_stack+273, vrr_stack+21, NULL);
 _BUILD_00l0(Data,vrr_stack+254, vrr_stack+965, vrr_stack+148, vrr_stack+42, vrr_stack+937, NULL);
 _BUILD_00m0(Data,vrr_stack+42, vrr_stack+199, vrr_stack+254, vrr_stack+1029, vrr_stack+965, NULL);
 _BUILD_p0m0(Data,vrr_stack+4740, vrr_stack+1065, vrr_stack+42, NULL, NULL, vrr_stack+199);
 _BUILD_d0m0(Data,vrr_stack+4905, vrr_stack+1120, vrr_stack+4740, vrr_stack+2370, vrr_stack+1065, vrr_stack+2775);
 _BUILD_f0m0(Data,vrr_stack+5235, vrr_stack+4080, vrr_stack+4905, vrr_stack+1285, vrr_stack+1120, vrr_stack+2910);
 _BUILD_f0m0(Data,vrr_stack+5785, vrr_stack+4410, vrr_stack+4080, vrr_stack+567, vrr_stack+1285, vrr_stack+2100);
 _BUILD_00n0(Data,vrr_stack+567, vrr_stack+2370, vrr_stack+1065, vrr_stack+377, vrr_stack+467, NULL);
 _BUILD_00n0(Data,vrr_stack+633, vrr_stack+2425, vrr_stack+2370, vrr_stack+422, vrr_stack+377, NULL);
 _BUILD_00n0(Data,vrr_stack+2775, vrr_stack+1065, vrr_stack+42, vrr_stack+467, vrr_stack+199, NULL);
 _BUILD_p0n0(Data,vrr_stack+2841, vrr_stack+567, vrr_stack+2775, NULL, NULL, vrr_stack+1065);
 _BUILD_p0n0(Data,vrr_stack+6335, vrr_stack+633, vrr_stack+567, NULL, NULL, vrr_stack+2370);
 _BUILD_d0n0(Data,vrr_stack+6533, vrr_stack+6335, vrr_stack+2841, vrr_stack+633, vrr_stack+567, vrr_stack+1120);
 _BUILD_00n0(Data,vrr_stack+1120, vrr_stack+512, vrr_stack+2425, vrr_stack+749, vrr_stack+422, NULL);
 _BUILD_p0n0(Data,vrr_stack+699, vrr_stack+1120, vrr_stack+633, NULL, NULL, vrr_stack+2425);
 _BUILD_d0n0(Data,vrr_stack+6929, vrr_stack+699, vrr_stack+6335, vrr_stack+1120, vrr_stack+633, vrr_stack+1285);
 _BUILD_00p0(Data,vrr_stack+1186, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1189, vrr_stack+0, vrr_stack+1186, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+1195, vrr_stack+1965, vrr_stack+1189, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+184, vrr_stack+244, vrr_stack+1195, vrr_stack+921, vrr_stack+1965, NULL);
 _BUILD_00h0(Data,vrr_stack+1205, vrr_stack+6, vrr_stack+184, vrr_stack+927, vrr_stack+244, NULL);
 _BUILD_00i0(Data,vrr_stack+1226, vrr_stack+1971, vrr_stack+1205, vrr_stack+133, vrr_stack+6, NULL);
 _BUILD_00k0(Data,vrr_stack+1029, vrr_stack+1001, vrr_stack+1226, vrr_stack+21, vrr_stack+1971, NULL);
 _BUILD_00l0(Data,vrr_stack+1254, vrr_stack+148, vrr_stack+1029, vrr_stack+937, vrr_stack+1001, NULL);
 _BUILD_00m0(Data,vrr_stack+1299, vrr_stack+254, vrr_stack+1254, vrr_stack+965, vrr_stack+148, NULL);
 _BUILD_00n0(Data,vrr_stack+1354, vrr_stack+42, vrr_stack+1299, vrr_stack+199, vrr_stack+254, NULL);
 _BUILD_p0n0(Data,vrr_stack+299, vrr_stack+2775, vrr_stack+1354, NULL, NULL, vrr_stack+42);
 _BUILD_d0n0(Data,vrr_stack+7325, vrr_stack+2841, vrr_stack+299, vrr_stack+567, vrr_stack+2775, vrr_stack+4740);
 _BUILD_f0n0(Data,vrr_stack+7721, vrr_stack+6533, vrr_stack+7325, vrr_stack+6335, vrr_stack+2841, vrr_stack+4905);
 _BUILD_f0n0(Data,vrr_stack+8381, vrr_stack+6929, vrr_stack+6533, vrr_stack+699, vrr_stack+6335, vrr_stack+4080);
 _BUILD_00o0(Data,vrr_stack+699, vrr_stack+567, vrr_stack+2775, vrr_stack+2370, vrr_stack+1065, NULL);
 _BUILD_00o0(Data,vrr_stack+777, vrr_stack+633, vrr_stack+567, vrr_stack+2425, vrr_stack+2370, NULL);
 _BUILD_00o0(Data,vrr_stack+855, vrr_stack+2775, vrr_stack+1354, vrr_stack+1065, vrr_stack+42, NULL);
 _BUILD_p0o0(Data,vrr_stack+4740, vrr_stack+699, vrr_stack+855, NULL, NULL, vrr_stack+2775);
 _BUILD_p0o0(Data,vrr_stack+4974, vrr_stack+777, vrr_stack+699, NULL, NULL, vrr_stack+567);
 _BUILD_d0o0(Data,vrr_stack+9041, vrr_stack+4974, vrr_stack+4740, vrr_stack+777, vrr_stack+699, vrr_stack+2841);
 _BUILD_00o0(Data,vrr_stack+2841, vrr_stack+1120, vrr_stack+633, vrr_stack+512, vrr_stack+2425, NULL);
 _BUILD_p0o0(Data,vrr_stack+2919, vrr_stack+2841, vrr_stack+777, NULL, NULL, vrr_stack+633);
 _BUILD_d0o0(Data,vrr_stack+9509, vrr_stack+2919, vrr_stack+4974, vrr_stack+2841, vrr_stack+777, vrr_stack+6335);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6335, vrr_stack+1186, vrr_stack+3, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+6341, vrr_stack+1189, vrr_stack+6335, vrr_stack+0, vrr_stack+1186, NULL);
 _BUILD_00g0(Data,vrr_stack+6351, vrr_stack+1195, vrr_stack+6341, vrr_stack+1965, vrr_stack+1189, NULL);
 _BUILD_00h0(Data,vrr_stack+21, vrr_stack+184, vrr_stack+6351, vrr_stack+244, vrr_stack+1195, NULL);
 _BUILD_00i0(Data,vrr_stack+6366, vrr_stack+1205, vrr_stack+21, vrr_stack+6, vrr_stack+184, NULL);
 _BUILD_00k0(Data,vrr_stack+6394, vrr_stack+1226, vrr_stack+6366, vrr_stack+1971, vrr_stack+1205, NULL);
 _BUILD_00l0(Data,vrr_stack+1965, vrr_stack+1029, vrr_stack+6394, vrr_stack+1001, vrr_stack+1226, NULL);
 _BUILD_00m0(Data,vrr_stack+1065, vrr_stack+1254, vrr_stack+1965, vrr_stack+148, vrr_stack+1029, NULL);
 _BUILD_00n0(Data,vrr_stack+2010, vrr_stack+1299, vrr_stack+1065, vrr_stack+254, vrr_stack+1254, NULL);
 _BUILD_00o0(Data,vrr_stack+6430, vrr_stack+1354, vrr_stack+2010, vrr_stack+42, vrr_stack+1299, NULL);
 _BUILD_p0o0(Data,vrr_stack+9977, vrr_stack+855, vrr_stack+6430, NULL, NULL, vrr_stack+1354);
 _BUILD_d0o0(Data,vrr_stack+10211, vrr_stack+4740, vrr_stack+9977, vrr_stack+699, vrr_stack+855, vrr_stack+299);
 _BUILD_f0o0(Data,vrr_stack+10679, vrr_stack+9041, vrr_stack+10211, vrr_stack+4974, vrr_stack+4740, vrr_stack+7325);
 _BUILD_f0o0(Data,vrr_stack+11459, vrr_stack+9509, vrr_stack+9041, vrr_stack+2919, vrr_stack+4974, vrr_stack+6533);
 _BUILD_00q0(Data,vrr_stack+2919, vrr_stack+699, vrr_stack+855, vrr_stack+567, vrr_stack+2775, NULL);
 _BUILD_00q0(Data,vrr_stack+3010, vrr_stack+777, vrr_stack+699, vrr_stack+633, vrr_stack+567, NULL);
 _BUILD_00q0(Data,vrr_stack+7325, vrr_stack+855, vrr_stack+6430, vrr_stack+2775, vrr_stack+1354, NULL);
 _BUILD_p0q0(Data,vrr_stack+7416, vrr_stack+2919, vrr_stack+7325, NULL, NULL, vrr_stack+855);
 _BUILD_p0q0(Data,vrr_stack+199, vrr_stack+3010, vrr_stack+2919, NULL, NULL, vrr_stack+699);
 _BUILD_d0q0(Data,vrr_stack+12239, vrr_stack+199, vrr_stack+7416, vrr_stack+3010, vrr_stack+2919, vrr_stack+4740);
 _BUILD_00q0(Data,vrr_stack+4740, vrr_stack+2841, vrr_stack+777, vrr_stack+1120, vrr_stack+633, NULL);
 _BUILD_p0q0(Data,vrr_stack+12785, vrr_stack+4740, vrr_stack+3010, NULL, NULL, vrr_stack+777);
 _BUILD_d0q0(Data,vrr_stack+13058, vrr_stack+12785, vrr_stack+199, vrr_stack+4740, vrr_stack+3010, vrr_stack+4974);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1120, vrr_stack+3, vrr_stack+0, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+1126, vrr_stack+6335, vrr_stack+1120, vrr_stack+1186, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+6, vrr_stack+6341, vrr_stack+1126, vrr_stack+1189, vrr_stack+6335, NULL);
 _BUILD_00h0(Data,vrr_stack+1136, vrr_stack+6351, vrr_stack+6, vrr_stack+1195, vrr_stack+6341, NULL);
 _BUILD_00i0(Data,vrr_stack+1157, vrr_stack+21, vrr_stack+1136, vrr_stack+184, vrr_stack+6351, NULL);
 _BUILD_00k0(Data,vrr_stack+4831, vrr_stack+6366, vrr_stack+1157, vrr_stack+1205, vrr_stack+21, NULL);
 _BUILD_00l0(Data,vrr_stack+4867, vrr_stack+6394, vrr_stack+4831, vrr_stack+1226, vrr_stack+6366, NULL);
 _BUILD_00m0(Data,vrr_stack+1185, vrr_stack+1965, vrr_stack+4867, vrr_stack+1029, vrr_stack+6394, NULL);
 _BUILD_00n0(Data,vrr_stack+2775, vrr_stack+1065, vrr_stack+1185, vrr_stack+1254, vrr_stack+1965, NULL);
 _BUILD_00o0(Data,vrr_stack+4912, vrr_stack+2010, vrr_stack+2775, vrr_stack+1299, vrr_stack+1065, NULL);
 _BUILD_00q0(Data,vrr_stack+1240, vrr_stack+6430, vrr_stack+4912, vrr_stack+1354, vrr_stack+2010, NULL);
 _BUILD_p0q0(Data,vrr_stack+1331, vrr_stack+7325, vrr_stack+1240, NULL, NULL, vrr_stack+6430);
 _BUILD_d0q0(Data,vrr_stack+13604, vrr_stack+7416, vrr_stack+1331, vrr_stack+2919, vrr_stack+7325, vrr_stack+9977);
 _BUILD_f0q0(Data,vrr_stack+14150, vrr_stack+12239, vrr_stack+13604, vrr_stack+199, vrr_stack+7416, vrr_stack+10211);
 _BUILD_f0q0(Data,vrr_stack+15060, vrr_stack+13058, vrr_stack+12239, vrr_stack+12785, vrr_stack+199, vrr_stack+9041);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12785, vrr_stack+2919, vrr_stack+7325, vrr_stack+699, vrr_stack+855, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12890, vrr_stack+3010, vrr_stack+2919, vrr_stack+777, vrr_stack+699, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9977, vrr_stack+7325, vrr_stack+1240, vrr_stack+855, vrr_stack+6430, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+10082, vrr_stack+12785, vrr_stack+9977, NULL, NULL, vrr_stack+7325);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+15970, vrr_stack+12890, vrr_stack+12785, NULL, NULL, vrr_stack+2919);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+16285, vrr_stack+15970, vrr_stack+10082, vrr_stack+12890, vrr_stack+12785, vrr_stack+7416);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7416, vrr_stack+4740, vrr_stack+3010, vrr_stack+2841, vrr_stack+777, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+472, vrr_stack+7416, vrr_stack+12890, NULL, NULL, vrr_stack+3010);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+16915, vrr_stack+472, vrr_stack+15970, vrr_stack+7416, vrr_stack+12890, vrr_stack+199);
 _BUILD_00p0(Data,vrr_stack+2841, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2844, vrr_stack+0, vrr_stack+2841, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+2850, vrr_stack+1120, vrr_stack+2844, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+2860, vrr_stack+1126, vrr_stack+2850, vrr_stack+6335, vrr_stack+1120, NULL);
 _BUILD_00h0(Data,vrr_stack+2875, vrr_stack+6, vrr_stack+2860, vrr_stack+6341, vrr_stack+1126, NULL);
 _BUILD_00i0(Data,vrr_stack+7521, vrr_stack+1136, vrr_stack+2875, vrr_stack+6351, vrr_stack+6, NULL);
 _BUILD_00k0(Data,vrr_stack+7549, vrr_stack+1157, vrr_stack+7521, vrr_stack+21, vrr_stack+1136, NULL);
 _BUILD_00l0(Data,vrr_stack+21, vrr_stack+4831, vrr_stack+7549, vrr_stack+6366, vrr_stack+1157, NULL);
 _BUILD_00m0(Data,vrr_stack+66, vrr_stack+4867, vrr_stack+21, vrr_stack+6394, vrr_stack+4831, NULL);
 _BUILD_00n0(Data,vrr_stack+121, vrr_stack+1185, vrr_stack+66, vrr_stack+1965, vrr_stack+4867, NULL);
 _BUILD_00o0(Data,vrr_stack+187, vrr_stack+2775, vrr_stack+121, vrr_stack+1065, vrr_stack+1185, NULL);
 _BUILD_00q0(Data,vrr_stack+265, vrr_stack+4912, vrr_stack+187, vrr_stack+2010, vrr_stack+2775, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1965, vrr_stack+1240, vrr_stack+265, vrr_stack+6430, vrr_stack+4912, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+787, vrr_stack+9977, vrr_stack+1965, NULL, NULL, vrr_stack+1240);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+17545, vrr_stack+10082, vrr_stack+787, vrr_stack+12785, vrr_stack+9977, vrr_stack+1331);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+18175, vrr_stack+16285, vrr_stack+17545, vrr_stack+15970, vrr_stack+10082, vrr_stack+13604);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+19225, vrr_stack+16915, vrr_stack+16285, vrr_stack+472, vrr_stack+15970, vrr_stack+12239);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+13604, vrr_stack+12785, vrr_stack+9977, vrr_stack+2919, vrr_stack+7325, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+13724, vrr_stack+12890, vrr_stack+12785, vrr_stack+3010, vrr_stack+2919, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+13844, vrr_stack+9977, vrr_stack+1965, vrr_stack+7325, vrr_stack+1240, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+356, vrr_stack+13604, vrr_stack+13844, NULL, NULL, vrr_stack+9977);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+20275, vrr_stack+13724, vrr_stack+13604, NULL, NULL, vrr_stack+12785);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+20635, vrr_stack+20275, vrr_stack+356, vrr_stack+13724, vrr_stack+13604, vrr_stack+10082);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+9977, vrr_stack+7416, vrr_stack+12890, vrr_stack+4740, vrr_stack+3010, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+10097, vrr_stack+9977, vrr_stack+13724, NULL, NULL, vrr_stack+12890);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+21355, vrr_stack+10097, vrr_stack+20275, vrr_stack+9977, vrr_stack+13724, vrr_stack+15970);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15970, vrr_stack+2841, vrr_stack+3, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+15976, vrr_stack+2844, vrr_stack+15970, vrr_stack+0, vrr_stack+2841, NULL);
 _BUILD_00g0(Data,vrr_stack+15986, vrr_stack+2850, vrr_stack+15976, vrr_stack+1120, vrr_stack+2844, NULL);
 _BUILD_00h0(Data,vrr_stack+16001, vrr_stack+2860, vrr_stack+15986, vrr_stack+1126, vrr_stack+2850, NULL);
 _BUILD_00i0(Data,vrr_stack+15970, vrr_stack+2875, vrr_stack+16001, vrr_stack+6, vrr_stack+2860, NULL);
 _BUILD_00k0(Data,vrr_stack+15998, vrr_stack+7521, vrr_stack+15970, vrr_stack+1136, vrr_stack+2875, NULL);
 _BUILD_00l0(Data,vrr_stack+2841, vrr_stack+7549, vrr_stack+15998, vrr_stack+1157, vrr_stack+7521, NULL);
 _BUILD_00m0(Data,vrr_stack+15970, vrr_stack+21, vrr_stack+2841, vrr_stack+4831, vrr_stack+7549, NULL);
 _BUILD_00n0(Data,vrr_stack+2841, vrr_stack+66, vrr_stack+15970, vrr_stack+4867, vrr_stack+21, NULL);
 _BUILD_00o0(Data,vrr_stack+15970, vrr_stack+121, vrr_stack+2841, vrr_stack+1185, vrr_stack+66, NULL);
 _BUILD_00q0(Data,vrr_stack+2841, vrr_stack+187, vrr_stack+15970, vrr_stack+2775, vrr_stack+121, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+15970, vrr_stack+265, vrr_stack+2841, vrr_stack+4912, vrr_stack+187, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+13724, vrr_stack+1965, vrr_stack+15970, vrr_stack+1240, vrr_stack+265, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2775, vrr_stack+13844, vrr_stack+13724, NULL, NULL, vrr_stack+1965);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+22075, vrr_stack+356, vrr_stack+2775, vrr_stack+13604, vrr_stack+13844, vrr_stack+787);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+22795, vrr_stack+20635, vrr_stack+22075, vrr_stack+20275, vrr_stack+356, vrr_stack+17545);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+21355, vrr_stack+20635, vrr_stack+10097, vrr_stack+20275, vrr_stack+16285);
 _BUILD_g0l0(Data,vrr_stack+22075, vrr_stack+3630, vrr_stack+3180, vrr_stack+2505, vrr_stack+2100, vrr_stack+1605);
   tmp = vrr_stack + 22075;
   target_ptr = Libint->vrr_classes[4][8];
   for(i=0;i<675;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0m0(Data,vrr_stack+1200, vrr_stack+5785, vrr_stack+5235, vrr_stack+4410, vrr_stack+4080, vrr_stack+3180);
   tmp = vrr_stack + 1200;
   target_ptr = Libint->vrr_classes[4][9];
   for(i=0;i<825;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0n0(Data,vrr_stack+2025, vrr_stack+8381, vrr_stack+7721, vrr_stack+6929, vrr_stack+6533, vrr_stack+5235);
   tmp = vrr_stack + 2025;
   target_ptr = Libint->vrr_classes[4][10];
   for(i=0;i<990;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0o0(Data,vrr_stack+3015, vrr_stack+11459, vrr_stack+10679, vrr_stack+9509, vrr_stack+9041, vrr_stack+7721);
   tmp = vrr_stack + 3015;
   target_ptr = Libint->vrr_classes[4][11];
   for(i=0;i<1170;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0q0(Data,vrr_stack+4185, vrr_stack+15060, vrr_stack+14150, vrr_stack+13058, vrr_stack+12239, vrr_stack+10679);
   tmp = vrr_stack + 4185;
   target_ptr = Libint->vrr_classes[4][12];
   for(i=0;i<1365;i++)
     target_ptr[i] += tmp[i];
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+5550, vrr_stack+19225, vrr_stack+18175, vrr_stack+16915, vrr_stack+16285, vrr_stack+14150);
   tmp = vrr_stack + 5550;
   target_ptr = Libint->vrr_classes[4][13];
   for(i=0;i<1575;i++)
     target_ptr[i] += tmp[i];
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7125, vrr_stack+0, vrr_stack+22795, vrr_stack+21355, vrr_stack+20635, vrr_stack+18175);
   tmp = vrr_stack + 7125;
   target_ptr = Libint->vrr_classes[4][14];
   for(i=0;i<1800;i++)
     target_ptr[i] += tmp[i];

}

