#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (hf|np) integrals */

void vrr_order_hfnp(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+8, Data->F+9, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+12, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+6, vrr_stack+15, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+31, vrr_stack+3, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+34, vrr_stack+6, vrr_stack+31, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+21, NULL, NULL, vrr_stack+6);
 _BUILD_00g0(Data,vrr_stack+80, vrr_stack+40, vrr_stack+21, vrr_stack+34, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+3, vrr_stack+31, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+101, vrr_stack+95, vrr_stack+34, vrr_stack+3, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+111, vrr_stack+101, vrr_stack+40, vrr_stack+95, vrr_stack+34, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+12, vrr_stack+31, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+126, vrr_stack+15, vrr_stack+34, vrr_stack+0, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+136, vrr_stack+21, vrr_stack+126, vrr_stack+6, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+151, vrr_stack+80, vrr_stack+136, NULL, NULL, vrr_stack+21);
 _BUILD_p0g0(Data,vrr_stack+196, vrr_stack+111, vrr_stack+80, NULL, NULL, vrr_stack+40);
 _BUILD_d0g0(Data,vrr_stack+241, vrr_stack+196, vrr_stack+151, vrr_stack+111, vrr_stack+80, vrr_stack+50);
 _BUILD_00h0(Data,vrr_stack+50, vrr_stack+80, vrr_stack+136, vrr_stack+40, vrr_stack+21, NULL);
 _BUILD_00h0(Data,vrr_stack+331, vrr_stack+111, vrr_stack+80, vrr_stack+101, vrr_stack+40, NULL);
 _BUILD_p0h0(Data,vrr_stack+352, vrr_stack+331, vrr_stack+50, NULL, NULL, vrr_stack+80);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+6, vrr_stack+95, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+415, vrr_stack+40, vrr_stack+101, vrr_stack+6, vrr_stack+95, NULL);
 _BUILD_00h0(Data,vrr_stack+430, vrr_stack+415, vrr_stack+111, vrr_stack+40, vrr_stack+101, NULL);
 _BUILD_p0h0(Data,vrr_stack+451, vrr_stack+430, vrr_stack+331, NULL, NULL, vrr_stack+111);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+31, vrr_stack+3, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+101, vrr_stack+34, vrr_stack+95, vrr_stack+12, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+514, vrr_stack+126, vrr_stack+101, vrr_stack+15, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+529, vrr_stack+136, vrr_stack+514, vrr_stack+21, vrr_stack+126, NULL);
 _BUILD_p0h0(Data,vrr_stack+550, vrr_stack+50, vrr_stack+529, NULL, NULL, vrr_stack+136);
 _BUILD_d0h0(Data,vrr_stack+613, vrr_stack+352, vrr_stack+550, vrr_stack+331, vrr_stack+50, vrr_stack+151);
 _BUILD_d0h0(Data,vrr_stack+739, vrr_stack+451, vrr_stack+352, vrr_stack+430, vrr_stack+331, vrr_stack+196);
 _BUILD_f0h0(Data,vrr_stack+865, vrr_stack+739, vrr_stack+613, vrr_stack+451, vrr_stack+352, vrr_stack+241);
 _BUILD_00i0(Data,vrr_stack+151, vrr_stack+331, vrr_stack+50, vrr_stack+111, vrr_stack+80, NULL);
 _BUILD_00i0(Data,vrr_stack+179, vrr_stack+430, vrr_stack+331, vrr_stack+415, vrr_stack+111, NULL);
 _BUILD_00i0(Data,vrr_stack+207, vrr_stack+50, vrr_stack+529, vrr_stack+80, vrr_stack+136, NULL);
 _BUILD_p0i0(Data,vrr_stack+235, vrr_stack+151, vrr_stack+207, NULL, NULL, vrr_stack+50);
 _BUILD_p0i0(Data,vrr_stack+1075, vrr_stack+179, vrr_stack+151, NULL, NULL, vrr_stack+331);
 _BUILD_d0i0(Data,vrr_stack+1159, vrr_stack+1075, vrr_stack+235, vrr_stack+179, vrr_stack+151, vrr_stack+352);
 _BUILD_00p0(Data,vrr_stack+352, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+355, vrr_stack+352, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+361, vrr_stack+355, vrr_stack+6, vrr_stack+352, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+111, vrr_stack+361, vrr_stack+40, vrr_stack+355, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+6, vrr_stack+111, vrr_stack+415, vrr_stack+361, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+371, vrr_stack+6, vrr_stack+430, vrr_stack+111, vrr_stack+415, NULL);
 _BUILD_p0i0(Data,vrr_stack+1327, vrr_stack+371, vrr_stack+179, NULL, NULL, vrr_stack+430);
 _BUILD_d0i0(Data,vrr_stack+1411, vrr_stack+1327, vrr_stack+1075, vrr_stack+371, vrr_stack+179, vrr_stack+451);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+451, vrr_stack+3, vrr_stack+0, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+95, vrr_stack+451, vrr_stack+31, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+457, vrr_stack+101, vrr_stack+40, vrr_stack+34, vrr_stack+95, NULL);
 _BUILD_00h0(Data,vrr_stack+472, vrr_stack+514, vrr_stack+457, vrr_stack+126, vrr_stack+101, NULL);
 _BUILD_00i0(Data,vrr_stack+399, vrr_stack+529, vrr_stack+472, vrr_stack+136, vrr_stack+514, NULL);
 _BUILD_p0i0(Data,vrr_stack+1579, vrr_stack+207, vrr_stack+399, NULL, NULL, vrr_stack+529);
 _BUILD_d0i0(Data,vrr_stack+1663, vrr_stack+235, vrr_stack+1579, vrr_stack+151, vrr_stack+207, vrr_stack+550);
 _BUILD_f0i0(Data,vrr_stack+1831, vrr_stack+1159, vrr_stack+1663, vrr_stack+1075, vrr_stack+235, vrr_stack+613);
 _BUILD_f0i0(Data,vrr_stack+2111, vrr_stack+1411, vrr_stack+1159, vrr_stack+1327, vrr_stack+1075, vrr_stack+739);
 _BUILD_g0i0(Data,vrr_stack+2391, vrr_stack+2111, vrr_stack+1831, vrr_stack+1411, vrr_stack+1159, vrr_stack+865);
 _BUILD_00k0(Data,vrr_stack+550, vrr_stack+151, vrr_stack+207, vrr_stack+331, vrr_stack+50, NULL);
 _BUILD_00k0(Data,vrr_stack+586, vrr_stack+179, vrr_stack+151, vrr_stack+430, vrr_stack+331, NULL);
 _BUILD_p0k0(Data,vrr_stack+622, vrr_stack+586, vrr_stack+550, NULL, NULL, vrr_stack+151);
 _BUILD_00k0(Data,vrr_stack+730, vrr_stack+371, vrr_stack+179, vrr_stack+6, vrr_stack+430, NULL);
 _BUILD_p0k0(Data,vrr_stack+766, vrr_stack+730, vrr_stack+586, NULL, NULL, vrr_stack+179);
 _BUILD_00k0(Data,vrr_stack+874, vrr_stack+207, vrr_stack+399, vrr_stack+50, vrr_stack+529, NULL);
 _BUILD_p0k0(Data,vrr_stack+910, vrr_stack+550, vrr_stack+874, NULL, NULL, vrr_stack+207);
 _BUILD_d0k0(Data,vrr_stack+2811, vrr_stack+622, vrr_stack+910, vrr_stack+586, vrr_stack+550, vrr_stack+235);
 _BUILD_d0k0(Data,vrr_stack+3027, vrr_stack+766, vrr_stack+622, vrr_stack+730, vrr_stack+586, vrr_stack+1075);
 _BUILD_f0k0(Data,vrr_stack+3243, vrr_stack+3027, vrr_stack+2811, vrr_stack+766, vrr_stack+622, vrr_stack+1159);
 _BUILD_00p0(Data,vrr_stack+235, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+238, vrr_stack+235, vrr_stack+352, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+244, vrr_stack+238, vrr_stack+355, vrr_stack+235, vrr_stack+352, NULL);
 _BUILD_00g0(Data,vrr_stack+254, vrr_stack+244, vrr_stack+361, vrr_stack+238, vrr_stack+355, NULL);
 _BUILD_00h0(Data,vrr_stack+493, vrr_stack+254, vrr_stack+111, vrr_stack+244, vrr_stack+361, NULL);
 _BUILD_00i0(Data,vrr_stack+269, vrr_stack+493, vrr_stack+6, vrr_stack+254, vrr_stack+111, NULL);
 _BUILD_00k0(Data,vrr_stack+111, vrr_stack+269, vrr_stack+371, vrr_stack+493, vrr_stack+6, NULL);
 _BUILD_p0k0(Data,vrr_stack+1018, vrr_stack+111, vrr_stack+730, NULL, NULL, vrr_stack+371);
 _BUILD_d0k0(Data,vrr_stack+3603, vrr_stack+1018, vrr_stack+766, vrr_stack+111, vrr_stack+730, vrr_stack+1327);
 _BUILD_f0k0(Data,vrr_stack+3819, vrr_stack+3603, vrr_stack+3027, vrr_stack+1018, vrr_stack+766, vrr_stack+1411);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+15, vrr_stack+451, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+25, vrr_stack+40, vrr_stack+15, vrr_stack+95, vrr_stack+451, NULL);
 _BUILD_00h0(Data,vrr_stack+297, vrr_stack+457, vrr_stack+25, vrr_stack+101, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+318, vrr_stack+472, vrr_stack+297, vrr_stack+514, vrr_stack+457, NULL);
 _BUILD_00k0(Data,vrr_stack+50, vrr_stack+399, vrr_stack+318, vrr_stack+529, vrr_stack+472, NULL);
 _BUILD_p0k0(Data,vrr_stack+1126, vrr_stack+874, vrr_stack+50, NULL, NULL, vrr_stack+399);
 _BUILD_d0k0(Data,vrr_stack+1234, vrr_stack+910, vrr_stack+1126, vrr_stack+550, vrr_stack+874, vrr_stack+1579);
 _BUILD_f0k0(Data,vrr_stack+4179, vrr_stack+2811, vrr_stack+1234, vrr_stack+622, vrr_stack+910, vrr_stack+1663);
 _BUILD_g0k0(Data,vrr_stack+4539, vrr_stack+3243, vrr_stack+4179, vrr_stack+3027, vrr_stack+2811, vrr_stack+1831);
 _BUILD_g0k0(Data,vrr_stack+1450, vrr_stack+3819, vrr_stack+3243, vrr_stack+3603, vrr_stack+3027, vrr_stack+2111);
 _BUILD_h0k0(Data,vrr_stack+5079, vrr_stack+1450, vrr_stack+4539, vrr_stack+3819, vrr_stack+3243, vrr_stack+2391);
 _BUILD_00l0(Data,vrr_stack+1990, vrr_stack+586, vrr_stack+550, vrr_stack+179, vrr_stack+151, NULL);
 _BUILD_00l0(Data,vrr_stack+2035, vrr_stack+730, vrr_stack+586, vrr_stack+371, vrr_stack+179, NULL);
 _BUILD_00l0(Data,vrr_stack+2080, vrr_stack+550, vrr_stack+874, vrr_stack+151, vrr_stack+207, NULL);
 _BUILD_p0l0(Data,vrr_stack+2125, vrr_stack+1990, vrr_stack+2080, NULL, NULL, vrr_stack+550);
 _BUILD_p0l0(Data,vrr_stack+2260, vrr_stack+2035, vrr_stack+1990, NULL, NULL, vrr_stack+586);
 _BUILD_d0l0(Data,vrr_stack+2395, vrr_stack+2260, vrr_stack+2125, vrr_stack+2035, vrr_stack+1990, vrr_stack+622);
 _BUILD_00l0(Data,vrr_stack+622, vrr_stack+111, vrr_stack+730, vrr_stack+269, vrr_stack+371, NULL);
 _BUILD_p0l0(Data,vrr_stack+2665, vrr_stack+622, vrr_stack+2035, NULL, NULL, vrr_stack+730);
 _BUILD_d0l0(Data,vrr_stack+5835, vrr_stack+2665, vrr_stack+2260, vrr_stack+622, vrr_stack+2035, vrr_stack+766);
 _BUILD_00l0(Data,vrr_stack+766, vrr_stack+874, vrr_stack+50, vrr_stack+207, vrr_stack+399, NULL);
 _BUILD_p0l0(Data,vrr_stack+6105, vrr_stack+2080, vrr_stack+766, NULL, NULL, vrr_stack+874);
 _BUILD_d0l0(Data,vrr_stack+6240, vrr_stack+2125, vrr_stack+6105, vrr_stack+1990, vrr_stack+2080, vrr_stack+910);
 _BUILD_f0l0(Data,vrr_stack+6510, vrr_stack+2395, vrr_stack+6240, vrr_stack+2260, vrr_stack+2125, vrr_stack+2811);
 _BUILD_f0l0(Data,vrr_stack+6960, vrr_stack+5835, vrr_stack+2395, vrr_stack+2665, vrr_stack+2260, vrr_stack+3027);
 _BUILD_g0l0(Data,vrr_stack+7410, vrr_stack+6960, vrr_stack+6510, vrr_stack+5835, vrr_stack+2395, vrr_stack+3243);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+910, vrr_stack+3, vrr_stack+235, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+916, vrr_stack+910, vrr_stack+238, vrr_stack+3, vrr_stack+235, NULL);
 _BUILD_00g0(Data,vrr_stack+926, vrr_stack+916, vrr_stack+244, vrr_stack+910, vrr_stack+238, NULL);
 _BUILD_00h0(Data,vrr_stack+941, vrr_stack+926, vrr_stack+254, vrr_stack+916, vrr_stack+244, NULL);
 _BUILD_00i0(Data,vrr_stack+962, vrr_stack+941, vrr_stack+493, vrr_stack+926, vrr_stack+254, NULL);
 _BUILD_00k0(Data,vrr_stack+514, vrr_stack+962, vrr_stack+269, vrr_stack+941, vrr_stack+493, NULL);
 _BUILD_00l0(Data,vrr_stack+811, vrr_stack+514, vrr_stack+111, vrr_stack+962, vrr_stack+269, NULL);
 _BUILD_p0l0(Data,vrr_stack+147, vrr_stack+811, vrr_stack+622, NULL, NULL, vrr_stack+111);
 _BUILD_d0l0(Data,vrr_stack+2800, vrr_stack+147, vrr_stack+2665, vrr_stack+811, vrr_stack+622, vrr_stack+1018);
 _BUILD_f0l0(Data,vrr_stack+3070, vrr_stack+2800, vrr_stack+5835, vrr_stack+147, vrr_stack+2665, vrr_stack+3603);
 _BUILD_g0l0(Data,vrr_stack+8085, vrr_stack+3070, vrr_stack+6960, vrr_stack+2800, vrr_stack+5835, vrr_stack+3819);
 _BUILD_00p0(Data,vrr_stack+493, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+496, vrr_stack+6, vrr_stack+493, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+502, vrr_stack+9, vrr_stack+496, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+282, vrr_stack+15, vrr_stack+502, vrr_stack+451, vrr_stack+9, NULL);
 _BUILD_00h0(Data,vrr_stack+990, vrr_stack+25, vrr_stack+282, vrr_stack+40, vrr_stack+15, NULL);
 _BUILD_00i0(Data,vrr_stack+1011, vrr_stack+297, vrr_stack+990, vrr_stack+457, vrr_stack+25, NULL);
 _BUILD_00k0(Data,vrr_stack+1039, vrr_stack+318, vrr_stack+1011, vrr_stack+472, vrr_stack+297, NULL);
 _BUILD_00l0(Data,vrr_stack+1075, vrr_stack+50, vrr_stack+1039, vrr_stack+399, vrr_stack+318, NULL);
 _BUILD_p0l0(Data,vrr_stack+346, vrr_stack+766, vrr_stack+1075, NULL, NULL, vrr_stack+50);
 _BUILD_d0l0(Data,vrr_stack+3520, vrr_stack+6105, vrr_stack+346, vrr_stack+2080, vrr_stack+766, vrr_stack+1126);
 _BUILD_f0l0(Data,vrr_stack+8760, vrr_stack+6240, vrr_stack+3520, vrr_stack+2125, vrr_stack+6105, vrr_stack+1234);
 _BUILD_g0l0(Data,vrr_stack+9210, vrr_stack+6510, vrr_stack+8760, vrr_stack+2395, vrr_stack+6240, vrr_stack+4179);
 _BUILD_h0l0(Data,vrr_stack+9885, vrr_stack+7410, vrr_stack+9210, vrr_stack+6960, vrr_stack+6510, vrr_stack+4539);
 _BUILD_h0l0(Data,vrr_stack+3790, vrr_stack+8085, vrr_stack+7410, vrr_stack+3070, vrr_stack+6960, vrr_stack+1450);
 _BUILD_i0l0(Data,vrr_stack+10830, vrr_stack+3790, vrr_stack+9885, vrr_stack+8085, vrr_stack+7410, vrr_stack+5079);
 _BUILD_00m0(Data,vrr_stack+1120, vrr_stack+1990, vrr_stack+2080, vrr_stack+586, vrr_stack+550, NULL);
 _BUILD_00m0(Data,vrr_stack+1175, vrr_stack+2035, vrr_stack+1990, vrr_stack+730, vrr_stack+586, NULL);
 _BUILD_p0m0(Data,vrr_stack+1230, vrr_stack+1175, vrr_stack+1120, NULL, NULL, vrr_stack+1990);
 _BUILD_00m0(Data,vrr_stack+1395, vrr_stack+622, vrr_stack+2035, vrr_stack+111, vrr_stack+730, NULL);
 _BUILD_p0m0(Data,vrr_stack+1450, vrr_stack+1395, vrr_stack+1175, NULL, NULL, vrr_stack+2035);
 _BUILD_00m0(Data,vrr_stack+1615, vrr_stack+2080, vrr_stack+766, vrr_stack+550, vrr_stack+874, NULL);
 _BUILD_p0m0(Data,vrr_stack+1670, vrr_stack+1120, vrr_stack+1615, NULL, NULL, vrr_stack+2080);
 _BUILD_d0m0(Data,vrr_stack+4735, vrr_stack+1230, vrr_stack+1670, vrr_stack+1175, vrr_stack+1120, vrr_stack+2125);
 _BUILD_d0m0(Data,vrr_stack+5065, vrr_stack+1450, vrr_stack+1230, vrr_stack+1395, vrr_stack+1175, vrr_stack+2260);
 _BUILD_f0m0(Data,vrr_stack+12090, vrr_stack+5065, vrr_stack+4735, vrr_stack+1450, vrr_stack+1230, vrr_stack+2395);
 _BUILD_00m0(Data,vrr_stack+2125, vrr_stack+811, vrr_stack+622, vrr_stack+514, vrr_stack+111, NULL);
 _BUILD_p0m0(Data,vrr_stack+2180, vrr_stack+2125, vrr_stack+1395, NULL, NULL, vrr_stack+622);
 _BUILD_d0m0(Data,vrr_stack+5395, vrr_stack+2180, vrr_stack+1450, vrr_stack+2125, vrr_stack+1395, vrr_stack+2665);
 _BUILD_f0m0(Data,vrr_stack+12640, vrr_stack+5395, vrr_stack+5065, vrr_stack+2180, vrr_stack+1450, vrr_stack+5835);
 _BUILD_00m0(Data,vrr_stack+2345, vrr_stack+766, vrr_stack+1075, vrr_stack+874, vrr_stack+50, NULL);
 _BUILD_p0m0(Data,vrr_stack+2400, vrr_stack+1615, vrr_stack+2345, NULL, NULL, vrr_stack+766);
 _BUILD_d0m0(Data,vrr_stack+5725, vrr_stack+1670, vrr_stack+2400, vrr_stack+1120, vrr_stack+1615, vrr_stack+6105);
 _BUILD_f0m0(Data,vrr_stack+13190, vrr_stack+4735, vrr_stack+5725, vrr_stack+1230, vrr_stack+1670, vrr_stack+6240);
 _BUILD_g0m0(Data,vrr_stack+13740, vrr_stack+12090, vrr_stack+13190, vrr_stack+5065, vrr_stack+4735, vrr_stack+6510);
 _BUILD_g0m0(Data,vrr_stack+6055, vrr_stack+12640, vrr_stack+12090, vrr_stack+5395, vrr_stack+5065, vrr_stack+6960);
 _BUILD_h0m0(Data,vrr_stack+14565, vrr_stack+6055, vrr_stack+13740, vrr_stack+12640, vrr_stack+12090, vrr_stack+7410);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2565, vrr_stack+0, vrr_stack+3, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+2565, vrr_stack+910, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+2571, vrr_stack+40, vrr_stack+916, vrr_stack+2565, vrr_stack+910, NULL);
 _BUILD_00h0(Data,vrr_stack+2586, vrr_stack+2571, vrr_stack+926, vrr_stack+40, vrr_stack+916, NULL);
 _BUILD_00i0(Data,vrr_stack+2607, vrr_stack+2586, vrr_stack+941, vrr_stack+2571, vrr_stack+926, NULL);
 _BUILD_00k0(Data,vrr_stack+2635, vrr_stack+2607, vrr_stack+962, vrr_stack+2586, vrr_stack+941, NULL);
 _BUILD_00l0(Data,vrr_stack+2671, vrr_stack+2635, vrr_stack+514, vrr_stack+2607, vrr_stack+962, NULL);
 _BUILD_00m0(Data,vrr_stack+2716, vrr_stack+2671, vrr_stack+811, vrr_stack+2635, vrr_stack+514, NULL);
 _BUILD_p0m0(Data,vrr_stack+6880, vrr_stack+2716, vrr_stack+2125, NULL, NULL, vrr_stack+811);
 _BUILD_d0m0(Data,vrr_stack+7045, vrr_stack+6880, vrr_stack+2180, vrr_stack+2716, vrr_stack+2125, vrr_stack+147);
 _BUILD_f0m0(Data,vrr_stack+7375, vrr_stack+7045, vrr_stack+5395, vrr_stack+6880, vrr_stack+2180, vrr_stack+2800);
 _BUILD_g0m0(Data,vrr_stack+15720, vrr_stack+7375, vrr_stack+12640, vrr_stack+7045, vrr_stack+5395, vrr_stack+3070);
 _BUILD_h0m0(Data,vrr_stack+16545, vrr_stack+15720, vrr_stack+6055, vrr_stack+7375, vrr_stack+12640, vrr_stack+8085);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2771, vrr_stack+493, vrr_stack+3, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+2777, vrr_stack+496, vrr_stack+2771, vrr_stack+6, vrr_stack+493, NULL);
 _BUILD_00g0(Data,vrr_stack+2787, vrr_stack+502, vrr_stack+2777, vrr_stack+9, vrr_stack+496, NULL);
 _BUILD_00h0(Data,vrr_stack+2802, vrr_stack+282, vrr_stack+2787, vrr_stack+15, vrr_stack+502, NULL);
 _BUILD_00i0(Data,vrr_stack+2823, vrr_stack+990, vrr_stack+2802, vrr_stack+25, vrr_stack+282, NULL);
 _BUILD_00k0(Data,vrr_stack+2851, vrr_stack+1011, vrr_stack+2823, vrr_stack+297, vrr_stack+990, NULL);
 _BUILD_00l0(Data,vrr_stack+2887, vrr_stack+1039, vrr_stack+2851, vrr_stack+318, vrr_stack+1011, NULL);
 _BUILD_00m0(Data,vrr_stack+2932, vrr_stack+1075, vrr_stack+2887, vrr_stack+50, vrr_stack+1039, NULL);
 _BUILD_p0m0(Data,vrr_stack+50, vrr_stack+2345, vrr_stack+2932, NULL, NULL, vrr_stack+1075);
 _BUILD_d0m0(Data,vrr_stack+2987, vrr_stack+2400, vrr_stack+50, vrr_stack+1615, vrr_stack+2345, vrr_stack+346);
 _BUILD_f0m0(Data,vrr_stack+7925, vrr_stack+5725, vrr_stack+2987, vrr_stack+1670, vrr_stack+2400, vrr_stack+3520);
 _BUILD_g0m0(Data,vrr_stack+17700, vrr_stack+13190, vrr_stack+7925, vrr_stack+4735, vrr_stack+5725, vrr_stack+8760);
 _BUILD_h0m0(Data,vrr_stack+18525, vrr_stack+13740, vrr_stack+17700, vrr_stack+12090, vrr_stack+13190, vrr_stack+9210);
 _BUILD_i0m0(Data,vrr_stack+19680, vrr_stack+14565, vrr_stack+18525, vrr_stack+6055, vrr_stack+13740, vrr_stack+9885);
 _BUILD_i0m0(Data,vrr_stack+8475, vrr_stack+16545, vrr_stack+14565, vrr_stack+15720, vrr_stack+6055, vrr_stack+3790);
 _BUILD_k0m0(Data,vrr_stack+21220, vrr_stack+8475, vrr_stack+19680, vrr_stack+16545, vrr_stack+14565, vrr_stack+10830);
 _BUILD_00n0(Data,vrr_stack+215, vrr_stack+1175, vrr_stack+1120, vrr_stack+2035, vrr_stack+1990, NULL);
 _BUILD_00n0(Data,vrr_stack+297, vrr_stack+1395, vrr_stack+1175, vrr_stack+622, vrr_stack+2035, NULL);
 _BUILD_00n0(Data,vrr_stack+363, vrr_stack+1120, vrr_stack+1615, vrr_stack+1990, vrr_stack+2080, NULL);
 _BUILD_p0n0(Data,vrr_stack+3317, vrr_stack+215, vrr_stack+363, NULL, NULL, vrr_stack+1120);
 _BUILD_p0n0(Data,vrr_stack+3515, vrr_stack+297, vrr_stack+215, NULL, NULL, vrr_stack+1175);
 _BUILD_d0n0(Data,vrr_stack+3713, vrr_stack+3515, vrr_stack+3317, vrr_stack+297, vrr_stack+215, vrr_stack+1230);
 _BUILD_00n0(Data,vrr_stack+1230, vrr_stack+2125, vrr_stack+1395, vrr_stack+811, vrr_stack+622, NULL);
 _BUILD_p0n0(Data,vrr_stack+4109, vrr_stack+1230, vrr_stack+297, NULL, NULL, vrr_stack+1395);
 _BUILD_d0n0(Data,vrr_stack+4307, vrr_stack+4109, vrr_stack+3515, vrr_stack+1230, vrr_stack+297, vrr_stack+1450);
 _BUILD_00n0(Data,vrr_stack+1450, vrr_stack+1615, vrr_stack+2345, vrr_stack+2080, vrr_stack+766, NULL);
 _BUILD_p0n0(Data,vrr_stack+512, vrr_stack+363, vrr_stack+1450, NULL, NULL, vrr_stack+1615);
 _BUILD_d0n0(Data,vrr_stack+10015, vrr_stack+3317, vrr_stack+512, vrr_stack+215, vrr_stack+363, vrr_stack+1670);
 _BUILD_f0n0(Data,vrr_stack+10411, vrr_stack+3713, vrr_stack+10015, vrr_stack+3515, vrr_stack+3317, vrr_stack+4735);
 _BUILD_f0n0(Data,vrr_stack+11071, vrr_stack+4307, vrr_stack+3713, vrr_stack+4109, vrr_stack+3515, vrr_stack+5065);
 _BUILD_g0n0(Data,vrr_stack+23200, vrr_stack+11071, vrr_stack+10411, vrr_stack+4307, vrr_stack+3713, vrr_stack+12090);
 _BUILD_00n0(Data,vrr_stack+1670, vrr_stack+2716, vrr_stack+2125, vrr_stack+2671, vrr_stack+811, NULL);
 _BUILD_p0n0(Data,vrr_stack+1736, vrr_stack+1670, vrr_stack+1230, NULL, NULL, vrr_stack+2125);
 _BUILD_d0n0(Data,vrr_stack+4703, vrr_stack+1736, vrr_stack+4109, vrr_stack+1670, vrr_stack+1230, vrr_stack+2180);
 _BUILD_f0n0(Data,vrr_stack+11731, vrr_stack+4703, vrr_stack+4307, vrr_stack+1736, vrr_stack+4109, vrr_stack+5395);
 _BUILD_g0n0(Data,vrr_stack+24190, vrr_stack+11731, vrr_stack+11071, vrr_stack+4703, vrr_stack+4307, vrr_stack+12640);
 _BUILD_00n0(Data,vrr_stack+2180, vrr_stack+2345, vrr_stack+2932, vrr_stack+766, vrr_stack+1075, NULL);
 _BUILD_p0n0(Data,vrr_stack+5099, vrr_stack+1450, vrr_stack+2180, NULL, NULL, vrr_stack+2345);
 _BUILD_d0n0(Data,vrr_stack+5297, vrr_stack+512, vrr_stack+5099, vrr_stack+363, vrr_stack+1450, vrr_stack+2400);
 _BUILD_f0n0(Data,vrr_stack+12391, vrr_stack+10015, vrr_stack+5297, vrr_stack+3317, vrr_stack+512, vrr_stack+5725);
 _BUILD_g0n0(Data,vrr_stack+25180, vrr_stack+10411, vrr_stack+12391, vrr_stack+3713, vrr_stack+10015, vrr_stack+13190);
 _BUILD_h0n0(Data,vrr_stack+26170, vrr_stack+23200, vrr_stack+25180, vrr_stack+11071, vrr_stack+10411, vrr_stack+13740);
 _BUILD_h0n0(Data,vrr_stack+13051, vrr_stack+24190, vrr_stack+23200, vrr_stack+11731, vrr_stack+11071, vrr_stack+6055);
 _BUILD_i0n0(Data,vrr_stack+27556, vrr_stack+13051, vrr_stack+26170, vrr_stack+24190, vrr_stack+23200, vrr_stack+14565);
 _BUILD_00p0(Data,vrr_stack+2400, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2403, vrr_stack+2400, vrr_stack+0, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+2409, vrr_stack+2403, vrr_stack+2565, vrr_stack+2400, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+2419, vrr_stack+2409, vrr_stack+40, vrr_stack+2403, vrr_stack+2565, NULL);
 _BUILD_00h0(Data,vrr_stack+2434, vrr_stack+2419, vrr_stack+2571, vrr_stack+2409, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+2455, vrr_stack+2434, vrr_stack+2586, vrr_stack+2419, vrr_stack+2571, NULL);
 _BUILD_00k0(Data,vrr_stack+2483, vrr_stack+2455, vrr_stack+2607, vrr_stack+2434, vrr_stack+2586, NULL);
 _BUILD_00l0(Data,vrr_stack+2400, vrr_stack+2483, vrr_stack+2635, vrr_stack+2455, vrr_stack+2607, NULL);
 _BUILD_00m0(Data,vrr_stack+2519, vrr_stack+2400, vrr_stack+2671, vrr_stack+2483, vrr_stack+2635, NULL);
 _BUILD_00n0(Data,vrr_stack+2445, vrr_stack+2519, vrr_stack+2716, vrr_stack+2400, vrr_stack+2671, NULL);
 _BUILD_p0n0(Data,vrr_stack+5693, vrr_stack+2445, vrr_stack+1670, NULL, NULL, vrr_stack+2716);
 _BUILD_d0n0(Data,vrr_stack+5891, vrr_stack+5693, vrr_stack+1736, vrr_stack+2445, vrr_stack+1670, vrr_stack+6880);
 _BUILD_f0n0(Data,vrr_stack+6287, vrr_stack+5891, vrr_stack+4703, vrr_stack+5693, vrr_stack+1736, vrr_stack+7045);
 _BUILD_g0n0(Data,vrr_stack+14437, vrr_stack+6287, vrr_stack+11731, vrr_stack+5891, vrr_stack+4703, vrr_stack+7375);
 _BUILD_h0n0(Data,vrr_stack+29404, vrr_stack+14437, vrr_stack+24190, vrr_stack+6287, vrr_stack+11731, vrr_stack+15720);
   tmp = vrr_stack + 29404;
   target_ptr = Libint->vrr_classes[5][10];
   for(i=0;i<1386;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0n0(Data,vrr_stack+5693, vrr_stack+29404, vrr_stack+13051, vrr_stack+14437, vrr_stack+24190, vrr_stack+16545);
   tmp = vrr_stack + 5693;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+14437, vrr_stack+3, vrr_stack+0, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+14443, vrr_stack+2771, vrr_stack+14437, vrr_stack+493, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+14453, vrr_stack+2777, vrr_stack+14443, vrr_stack+496, vrr_stack+2771, NULL);
 _BUILD_00h0(Data,vrr_stack+14468, vrr_stack+2787, vrr_stack+14453, vrr_stack+502, vrr_stack+2777, NULL);
 _BUILD_00i0(Data,vrr_stack+14489, vrr_stack+2802, vrr_stack+14468, vrr_stack+282, vrr_stack+2787, NULL);
 _BUILD_00k0(Data,vrr_stack+14517, vrr_stack+2823, vrr_stack+14489, vrr_stack+990, vrr_stack+2802, NULL);
 _BUILD_00l0(Data,vrr_stack+2400, vrr_stack+2851, vrr_stack+14517, vrr_stack+1011, vrr_stack+2823, NULL);
 _BUILD_00m0(Data,vrr_stack+14553, vrr_stack+2887, vrr_stack+2400, vrr_stack+1039, vrr_stack+2851, NULL);
 _BUILD_00n0(Data,vrr_stack+14608, vrr_stack+2932, vrr_stack+14553, vrr_stack+1075, vrr_stack+2887, NULL);
 _BUILD_p0n0(Data,vrr_stack+14674, vrr_stack+2180, vrr_stack+14608, NULL, NULL, vrr_stack+2932);
 _BUILD_d0n0(Data,vrr_stack+14872, vrr_stack+5099, vrr_stack+14674, vrr_stack+1450, vrr_stack+2180, vrr_stack+50);
 _BUILD_f0n0(Data,vrr_stack+15268, vrr_stack+5297, vrr_stack+14872, vrr_stack+512, vrr_stack+5099, vrr_stack+2987);
 _BUILD_g0n0(Data,vrr_stack+15928, vrr_stack+12391, vrr_stack+15268, vrr_stack+10015, vrr_stack+5297, vrr_stack+7925);
 _BUILD_h0n0(Data,vrr_stack+30790, vrr_stack+25180, vrr_stack+15928, vrr_stack+10411, vrr_stack+12391, vrr_stack+17700);
 _BUILD_i0n0(Data,vrr_stack+32176, vrr_stack+26170, vrr_stack+30790, vrr_stack+23200, vrr_stack+25180, vrr_stack+18525);
 _BUILD_k0n0(Data,vrr_stack+16918, vrr_stack+27556, vrr_stack+32176, vrr_stack+13051, vrr_stack+26170, vrr_stack+19680);
 _BUILD_k0n0(Data,vrr_stack+34024, vrr_stack+5693, vrr_stack+27556, vrr_stack+29404, vrr_stack+13051, vrr_stack+8475);
   tmp = vrr_stack + 34024;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+29404, vrr_stack+215, vrr_stack+363, vrr_stack+1175, vrr_stack+1120, NULL);
 _BUILD_00o0(Data,vrr_stack+29482, vrr_stack+297, vrr_stack+215, vrr_stack+1395, vrr_stack+1175, NULL);
 _BUILD_00o0(Data,vrr_stack+29560, vrr_stack+363, vrr_stack+1450, vrr_stack+1120, vrr_stack+1615, NULL);
 _BUILD_p0o0(Data,vrr_stack+29638, vrr_stack+29404, vrr_stack+29560, NULL, NULL, vrr_stack+363);
 _BUILD_p0o0(Data,vrr_stack+29872, vrr_stack+29482, vrr_stack+29404, NULL, NULL, vrr_stack+215);
 _BUILD_d0o0(Data,vrr_stack+30106, vrr_stack+29872, vrr_stack+29638, vrr_stack+29482, vrr_stack+29404, vrr_stack+3317);
 _BUILD_00o0(Data,vrr_stack+363, vrr_stack+1230, vrr_stack+297, vrr_stack+2125, vrr_stack+1395, NULL);
 _BUILD_p0o0(Data,vrr_stack+2987, vrr_stack+363, vrr_stack+29482, NULL, NULL, vrr_stack+297);
 _BUILD_d0o0(Data,vrr_stack+19294, vrr_stack+2987, vrr_stack+29872, vrr_stack+363, vrr_stack+29482, vrr_stack+3515);
 _BUILD_00o0(Data,vrr_stack+29482, vrr_stack+1450, vrr_stack+2180, vrr_stack+1615, vrr_stack+2345, NULL);
 _BUILD_p0o0(Data,vrr_stack+3221, vrr_stack+29560, vrr_stack+29482, NULL, NULL, vrr_stack+1450);
 _BUILD_d0o0(Data,vrr_stack+19762, vrr_stack+29638, vrr_stack+3221, vrr_stack+29404, vrr_stack+29560, vrr_stack+512);
 _BUILD_f0o0(Data,vrr_stack+441, vrr_stack+30106, vrr_stack+19762, vrr_stack+29872, vrr_stack+29638, vrr_stack+10015);
 _BUILD_f0o0(Data,vrr_stack+20230, vrr_stack+19294, vrr_stack+30106, vrr_stack+2987, vrr_stack+29872, vrr_stack+3713);
 _BUILD_g0o0(Data,vrr_stack+7541, vrr_stack+20230, vrr_stack+441, vrr_stack+19294, vrr_stack+30106, vrr_stack+10411);
 _BUILD_00o0(Data,vrr_stack+29404, vrr_stack+1670, vrr_stack+1230, vrr_stack+2716, vrr_stack+2125, NULL);
 _BUILD_p0o0(Data,vrr_stack+29872, vrr_stack+29404, vrr_stack+363, NULL, NULL, vrr_stack+1230);
 _BUILD_d0o0(Data,vrr_stack+3455, vrr_stack+29872, vrr_stack+2987, vrr_stack+29404, vrr_stack+363, vrr_stack+4109);
 _BUILD_f0o0(Data,vrr_stack+8711, vrr_stack+3455, vrr_stack+19294, vrr_stack+29872, vrr_stack+2987, vrr_stack+4307);
 _BUILD_g0o0(Data,vrr_stack+9491, vrr_stack+8711, vrr_stack+20230, vrr_stack+3455, vrr_stack+19294, vrr_stack+11071);
 _BUILD_00o0(Data,vrr_stack+19294, vrr_stack+2180, vrr_stack+14608, vrr_stack+2345, vrr_stack+2932, NULL);
 _BUILD_p0o0(Data,vrr_stack+2987, vrr_stack+29482, vrr_stack+19294, NULL, NULL, vrr_stack+2180);
 _BUILD_d0o0(Data,vrr_stack+3923, vrr_stack+3221, vrr_stack+2987, vrr_stack+29560, vrr_stack+29482, vrr_stack+5099);
 _BUILD_f0o0(Data,vrr_stack+10661, vrr_stack+19762, vrr_stack+3923, vrr_stack+29638, vrr_stack+3221, vrr_stack+5297);
 _BUILD_g0o0(Data,vrr_stack+36400, vrr_stack+441, vrr_stack+10661, vrr_stack+30106, vrr_stack+19762, vrr_stack+12391);
 _BUILD_h0o0(Data,vrr_stack+37570, vrr_stack+7541, vrr_stack+36400, vrr_stack+20230, vrr_stack+441, vrr_stack+25180);
 _BUILD_h0o0(Data,vrr_stack+39208, vrr_stack+9491, vrr_stack+7541, vrr_stack+8711, vrr_stack+20230, vrr_stack+23200);
 _BUILD_i0o0(Data,vrr_stack+40846, vrr_stack+39208, vrr_stack+37570, vrr_stack+9491, vrr_stack+7541, vrr_stack+26170);
 _BUILD_00o0(Data,vrr_stack+23200, vrr_stack+2445, vrr_stack+1670, vrr_stack+2519, vrr_stack+2716, NULL);
 _BUILD_p0o0(Data,vrr_stack+2445, vrr_stack+23200, vrr_stack+29404, NULL, NULL, vrr_stack+1670);
 _BUILD_d0o0(Data,vrr_stack+23278, vrr_stack+2445, vrr_stack+29872, vrr_stack+23200, vrr_stack+29404, vrr_stack+1736);
 _BUILD_f0o0(Data,vrr_stack+20230, vrr_stack+23278, vrr_stack+3455, vrr_stack+2445, vrr_stack+29872, vrr_stack+4703);
 _BUILD_g0o0(Data,vrr_stack+25180, vrr_stack+20230, vrr_stack+8711, vrr_stack+23278, vrr_stack+3455, vrr_stack+11731);
 _BUILD_h0o0(Data,vrr_stack+43030, vrr_stack+25180, vrr_stack+9491, vrr_stack+20230, vrr_stack+8711, vrr_stack+24190);
   tmp = vrr_stack + 43030;
   target_ptr = Libint->vrr_classes[5][11];
   for(i=0;i<1638;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0o0(Data,vrr_stack+44668, vrr_stack+43030, vrr_stack+39208, vrr_stack+25180, vrr_stack+9491, vrr_stack+13051);
   tmp = vrr_stack + 44668;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+8711, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+8714, vrr_stack+0, vrr_stack+8711, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+8720, vrr_stack+14437, vrr_stack+8714, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+14443, vrr_stack+8720, vrr_stack+2771, vrr_stack+14437, NULL);
 _BUILD_00h0(Data,vrr_stack+15, vrr_stack+14453, vrr_stack+0, vrr_stack+2777, vrr_stack+14443, NULL);
 _BUILD_00i0(Data,vrr_stack+36, vrr_stack+14468, vrr_stack+15, vrr_stack+2787, vrr_stack+14453, NULL);
 _BUILD_00k0(Data,vrr_stack+0, vrr_stack+14489, vrr_stack+36, vrr_stack+2802, vrr_stack+14468, NULL);
 _BUILD_00l0(Data,vrr_stack+36, vrr_stack+14517, vrr_stack+0, vrr_stack+2823, vrr_stack+14489, NULL);
 _BUILD_00m0(Data,vrr_stack+81, vrr_stack+2400, vrr_stack+36, vrr_stack+2851, vrr_stack+14517, NULL);
 _BUILD_00n0(Data,vrr_stack+0, vrr_stack+14553, vrr_stack+81, vrr_stack+2887, vrr_stack+2400, NULL);
 _BUILD_00o0(Data,vrr_stack+29404, vrr_stack+14608, vrr_stack+0, vrr_stack+2932, vrr_stack+14553, NULL);
 _BUILD_p0o0(Data,vrr_stack+0, vrr_stack+19294, vrr_stack+29404, NULL, NULL, vrr_stack+14608);
 _BUILD_d0o0(Data,vrr_stack+3455, vrr_stack+2987, vrr_stack+0, vrr_stack+29482, vrr_stack+19294, vrr_stack+14674);
 _BUILD_f0o0(Data,vrr_stack+29404, vrr_stack+3923, vrr_stack+3455, vrr_stack+3221, vrr_stack+2987, vrr_stack+14872);
 _BUILD_g0o0(Data,vrr_stack+8711, vrr_stack+10661, vrr_stack+29404, vrr_stack+19762, vrr_stack+3923, vrr_stack+15268);
 _BUILD_h0o0(Data,vrr_stack+19294, vrr_stack+36400, vrr_stack+8711, vrr_stack+441, vrr_stack+10661, vrr_stack+15928);
 _BUILD_i0o0(Data,vrr_stack+8711, vrr_stack+37570, vrr_stack+19294, vrr_stack+7541, vrr_stack+36400, vrr_stack+30790);
 _BUILD_k0o0(Data,vrr_stack+10895, vrr_stack+40846, vrr_stack+8711, vrr_stack+39208, vrr_stack+37570, vrr_stack+32176);
 _BUILD_k0o0(Data,vrr_stack+36400, vrr_stack+44668, vrr_stack+40846, vrr_stack+43030, vrr_stack+39208, vrr_stack+27556);
   tmp = vrr_stack + 36400;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0n0(Data,vrr_stack+7541, vrr_stack+34024, vrr_stack+16918, vrr_stack+5693, vrr_stack+27556, vrr_stack+21220);
   tmp = vrr_stack + 7541;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0o0(Data,vrr_stack+19294, vrr_stack+36400, vrr_stack+10895, vrr_stack+44668, vrr_stack+40846, vrr_stack+16918);
   tmp = vrr_stack + 19294;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];

}

