#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (hg|lf) integrals */

void vrr_order_hglf(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_p000(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+9, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+12, vrr_stack+3, vrr_stack+9, NULL, NULL, Data->F+9);
 _BUILD_p0p0(Data,vrr_stack+21, vrr_stack+6, vrr_stack+3, NULL, NULL, Data->F+8);
 _BUILD_d0p0(Data,vrr_stack+30, vrr_stack+21, vrr_stack+12, vrr_stack+6, vrr_stack+3, vrr_stack+0);
 _BUILD_00d0(Data,vrr_stack+48, vrr_stack+3, vrr_stack+9, Data->F+8, Data->F+9, NULL);
 _BUILD_00d0(Data,vrr_stack+54, vrr_stack+6, vrr_stack+3, Data->F+7, Data->F+8, NULL);
 _BUILD_p0d0(Data,vrr_stack+60, vrr_stack+54, vrr_stack+48, NULL, NULL, vrr_stack+3);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+78, vrr_stack+0, vrr_stack+6, Data->F+6, Data->F+7, NULL);
 _BUILD_p0d0(Data,vrr_stack+84, vrr_stack+78, vrr_stack+54, NULL, NULL, vrr_stack+6);
 _BUILD_00p0(Data,vrr_stack+102, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+105, vrr_stack+9, vrr_stack+102, Data->F+9, Data->F+10, NULL);
 _BUILD_p0d0(Data,vrr_stack+111, vrr_stack+48, vrr_stack+105, NULL, NULL, vrr_stack+9);
 _BUILD_d0d0(Data,vrr_stack+129, vrr_stack+60, vrr_stack+111, vrr_stack+54, vrr_stack+48, vrr_stack+12);
 _BUILD_d0d0(Data,vrr_stack+165, vrr_stack+84, vrr_stack+60, vrr_stack+78, vrr_stack+54, vrr_stack+21);
 _BUILD_f0d0(Data,vrr_stack+201, vrr_stack+165, vrr_stack+129, vrr_stack+84, vrr_stack+60, vrr_stack+30);
 _BUILD_00f0(Data,vrr_stack+12, vrr_stack+54, vrr_stack+48, vrr_stack+6, vrr_stack+3, NULL);
 _BUILD_00f0(Data,vrr_stack+22, vrr_stack+78, vrr_stack+54, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00f0(Data,vrr_stack+32, vrr_stack+48, vrr_stack+105, vrr_stack+3, vrr_stack+9, NULL);
 _BUILD_p0f0(Data,vrr_stack+261, vrr_stack+12, vrr_stack+32, NULL, NULL, vrr_stack+48);
 _BUILD_p0f0(Data,vrr_stack+291, vrr_stack+22, vrr_stack+12, NULL, NULL, vrr_stack+54);
 _BUILD_d0f0(Data,vrr_stack+321, vrr_stack+291, vrr_stack+261, vrr_stack+22, vrr_stack+12, vrr_stack+60);
 _BUILD_00p0(Data,vrr_stack+60, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3, vrr_stack+60, vrr_stack+0, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+63, vrr_stack+3, vrr_stack+78, vrr_stack+60, vrr_stack+0, NULL);
 _BUILD_p0f0(Data,vrr_stack+381, vrr_stack+63, vrr_stack+22, NULL, NULL, vrr_stack+78);
 _BUILD_d0f0(Data,vrr_stack+411, vrr_stack+381, vrr_stack+291, vrr_stack+63, vrr_stack+22, vrr_stack+84);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+42, vrr_stack+102, vrr_stack+0, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+84, vrr_stack+105, vrr_stack+42, vrr_stack+9, vrr_stack+102, NULL);
 _BUILD_p0f0(Data,vrr_stack+471, vrr_stack+32, vrr_stack+84, NULL, NULL, vrr_stack+105);
 _BUILD_d0f0(Data,vrr_stack+501, vrr_stack+261, vrr_stack+471, vrr_stack+12, vrr_stack+32, vrr_stack+111);
 _BUILD_f0f0(Data,vrr_stack+561, vrr_stack+321, vrr_stack+501, vrr_stack+291, vrr_stack+261, vrr_stack+129);
 _BUILD_f0f0(Data,vrr_stack+661, vrr_stack+411, vrr_stack+321, vrr_stack+381, vrr_stack+291, vrr_stack+165);
 _BUILD_g0f0(Data,vrr_stack+761, vrr_stack+661, vrr_stack+561, vrr_stack+411, vrr_stack+321, vrr_stack+201);
 _BUILD_00g0(Data,vrr_stack+111, vrr_stack+12, vrr_stack+32, vrr_stack+54, vrr_stack+48, NULL);
 _BUILD_00g0(Data,vrr_stack+126, vrr_stack+22, vrr_stack+12, vrr_stack+78, vrr_stack+54, NULL);
 _BUILD_p0g0(Data,vrr_stack+141, vrr_stack+126, vrr_stack+111, NULL, NULL, vrr_stack+12);
 _BUILD_00g0(Data,vrr_stack+186, vrr_stack+63, vrr_stack+22, vrr_stack+3, vrr_stack+78, NULL);
 _BUILD_p0g0(Data,vrr_stack+201, vrr_stack+186, vrr_stack+126, NULL, NULL, vrr_stack+22);
 _BUILD_00g0(Data,vrr_stack+246, vrr_stack+32, vrr_stack+84, vrr_stack+48, vrr_stack+105, NULL);
 _BUILD_p0g0(Data,vrr_stack+911, vrr_stack+111, vrr_stack+246, NULL, NULL, vrr_stack+32);
 _BUILD_d0g0(Data,vrr_stack+956, vrr_stack+141, vrr_stack+911, vrr_stack+126, vrr_stack+111, vrr_stack+261);
 _BUILD_d0g0(Data,vrr_stack+1046, vrr_stack+201, vrr_stack+141, vrr_stack+186, vrr_stack+126, vrr_stack+291);
 _BUILD_f0g0(Data,vrr_stack+1136, vrr_stack+1046, vrr_stack+956, vrr_stack+201, vrr_stack+141, vrr_stack+321);
 _BUILD_00p0(Data,vrr_stack+9, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+261, vrr_stack+9, vrr_stack+60, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+267, vrr_stack+261, vrr_stack+3, vrr_stack+9, vrr_stack+60, NULL);
 _BUILD_00g0(Data,vrr_stack+48, vrr_stack+267, vrr_stack+63, vrr_stack+261, vrr_stack+3, NULL);
 _BUILD_p0g0(Data,vrr_stack+277, vrr_stack+48, vrr_stack+186, NULL, NULL, vrr_stack+63);
 _BUILD_d0g0(Data,vrr_stack+1286, vrr_stack+277, vrr_stack+201, vrr_stack+48, vrr_stack+186, vrr_stack+381);
 _BUILD_f0g0(Data,vrr_stack+1376, vrr_stack+1286, vrr_stack+1046, vrr_stack+277, vrr_stack+201, vrr_stack+411);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+322, vrr_stack+0, vrr_stack+3, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+328, vrr_stack+42, vrr_stack+322, vrr_stack+102, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+338, vrr_stack+84, vrr_stack+328, vrr_stack+105, vrr_stack+42, NULL);
 _BUILD_p0g0(Data,vrr_stack+353, vrr_stack+246, vrr_stack+338, NULL, NULL, vrr_stack+84);
 _BUILD_d0g0(Data,vrr_stack+1526, vrr_stack+911, vrr_stack+353, vrr_stack+111, vrr_stack+246, vrr_stack+471);
 _BUILD_f0g0(Data,vrr_stack+1616, vrr_stack+956, vrr_stack+1526, vrr_stack+141, vrr_stack+911, vrr_stack+501);
 _BUILD_g0g0(Data,vrr_stack+1766, vrr_stack+1136, vrr_stack+1616, vrr_stack+1046, vrr_stack+956, vrr_stack+561);
 _BUILD_g0g0(Data,vrr_stack+398, vrr_stack+1376, vrr_stack+1136, vrr_stack+1286, vrr_stack+1046, vrr_stack+661);
 _BUILD_h0g0(Data,vrr_stack+1991, vrr_stack+398, vrr_stack+1766, vrr_stack+1376, vrr_stack+1136, vrr_stack+761);
 _BUILD_00h0(Data,vrr_stack+623, vrr_stack+126, vrr_stack+111, vrr_stack+22, vrr_stack+12, NULL);
 _BUILD_00h0(Data,vrr_stack+644, vrr_stack+186, vrr_stack+126, vrr_stack+63, vrr_stack+22, NULL);
 _BUILD_00h0(Data,vrr_stack+665, vrr_stack+111, vrr_stack+246, vrr_stack+12, vrr_stack+32, NULL);
 _BUILD_p0h0(Data,vrr_stack+686, vrr_stack+623, vrr_stack+665, NULL, NULL, vrr_stack+111);
 _BUILD_p0h0(Data,vrr_stack+749, vrr_stack+644, vrr_stack+623, NULL, NULL, vrr_stack+126);
 _BUILD_d0h0(Data,vrr_stack+2306, vrr_stack+749, vrr_stack+686, vrr_stack+644, vrr_stack+623, vrr_stack+141);
 _BUILD_00h0(Data,vrr_stack+141, vrr_stack+48, vrr_stack+186, vrr_stack+267, vrr_stack+63, NULL);
 _BUILD_p0h0(Data,vrr_stack+812, vrr_stack+141, vrr_stack+644, NULL, NULL, vrr_stack+186);
 _BUILD_d0h0(Data,vrr_stack+2432, vrr_stack+812, vrr_stack+749, vrr_stack+141, vrr_stack+644, vrr_stack+201);
 _BUILD_00h0(Data,vrr_stack+63, vrr_stack+246, vrr_stack+338, vrr_stack+32, vrr_stack+84, NULL);
 _BUILD_p0h0(Data,vrr_stack+2558, vrr_stack+665, vrr_stack+63, NULL, NULL, vrr_stack+246);
 _BUILD_d0h0(Data,vrr_stack+2621, vrr_stack+686, vrr_stack+2558, vrr_stack+623, vrr_stack+665, vrr_stack+911);
 _BUILD_f0h0(Data,vrr_stack+2747, vrr_stack+2306, vrr_stack+2621, vrr_stack+749, vrr_stack+686, vrr_stack+956);
 _BUILD_f0h0(Data,vrr_stack+2957, vrr_stack+2432, vrr_stack+2306, vrr_stack+812, vrr_stack+749, vrr_stack+1046);
 _BUILD_g0h0(Data,vrr_stack+3167, vrr_stack+2957, vrr_stack+2747, vrr_stack+2432, vrr_stack+2306, vrr_stack+1136);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+201, vrr_stack+6, vrr_stack+9, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+207, vrr_stack+201, vrr_stack+261, vrr_stack+6, vrr_stack+9, NULL);
 _BUILD_00g0(Data,vrr_stack+9, vrr_stack+207, vrr_stack+267, vrr_stack+201, vrr_stack+261, NULL);
 _BUILD_00h0(Data,vrr_stack+217, vrr_stack+9, vrr_stack+48, vrr_stack+207, vrr_stack+267, NULL);
 _BUILD_p0h0(Data,vrr_stack+875, vrr_stack+217, vrr_stack+141, NULL, NULL, vrr_stack+48);
 _BUILD_d0h0(Data,vrr_stack+938, vrr_stack+875, vrr_stack+812, vrr_stack+217, vrr_stack+141, vrr_stack+277);
 _BUILD_f0h0(Data,vrr_stack+1064, vrr_stack+938, vrr_stack+2432, vrr_stack+875, vrr_stack+812, vrr_stack+1286);
 _BUILD_g0h0(Data,vrr_stack+3482, vrr_stack+1064, vrr_stack+2957, vrr_stack+938, vrr_stack+2432, vrr_stack+1376);
 _BUILD_00p0(Data,vrr_stack+261, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+264, vrr_stack+3, vrr_stack+261, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+270, vrr_stack+322, vrr_stack+264, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+280, vrr_stack+328, vrr_stack+270, vrr_stack+42, vrr_stack+322, NULL);
 _BUILD_00h0(Data,vrr_stack+295, vrr_stack+338, vrr_stack+280, vrr_stack+84, vrr_stack+328, NULL);
 _BUILD_p0h0(Data,vrr_stack+1274, vrr_stack+63, vrr_stack+295, NULL, NULL, vrr_stack+338);
 _BUILD_d0h0(Data,vrr_stack+1337, vrr_stack+2558, vrr_stack+1274, vrr_stack+665, vrr_stack+63, vrr_stack+353);
 _BUILD_f0h0(Data,vrr_stack+3797, vrr_stack+2621, vrr_stack+1337, vrr_stack+686, vrr_stack+2558, vrr_stack+1526);
 _BUILD_g0h0(Data,vrr_stack+4007, vrr_stack+2747, vrr_stack+3797, vrr_stack+2306, vrr_stack+2621, vrr_stack+1616);
 _BUILD_h0h0(Data,vrr_stack+4322, vrr_stack+3167, vrr_stack+4007, vrr_stack+2957, vrr_stack+2747, vrr_stack+1766);
 _BUILD_h0h0(Data,vrr_stack+1463, vrr_stack+3482, vrr_stack+3167, vrr_stack+1064, vrr_stack+2957, vrr_stack+398);
 _BUILD_i0h0(Data,vrr_stack+4763, vrr_stack+1463, vrr_stack+4322, vrr_stack+3482, vrr_stack+3167, vrr_stack+1991);
 _BUILD_00i0(Data,vrr_stack+353, vrr_stack+623, vrr_stack+665, vrr_stack+126, vrr_stack+111, NULL);
 _BUILD_00i0(Data,vrr_stack+381, vrr_stack+644, vrr_stack+623, vrr_stack+186, vrr_stack+126, NULL);
 _BUILD_p0i0(Data,vrr_stack+409, vrr_stack+381, vrr_stack+353, NULL, NULL, vrr_stack+623);
 _BUILD_00i0(Data,vrr_stack+493, vrr_stack+141, vrr_stack+644, vrr_stack+48, vrr_stack+186, NULL);
 _BUILD_p0i0(Data,vrr_stack+521, vrr_stack+493, vrr_stack+381, NULL, NULL, vrr_stack+644);
 _BUILD_00i0(Data,vrr_stack+162, vrr_stack+665, vrr_stack+63, vrr_stack+111, vrr_stack+246, NULL);
 _BUILD_p0i0(Data,vrr_stack+1904, vrr_stack+353, vrr_stack+162, NULL, NULL, vrr_stack+665);
 _BUILD_d0i0(Data,vrr_stack+1988, vrr_stack+409, vrr_stack+1904, vrr_stack+381, vrr_stack+353, vrr_stack+686);
 _BUILD_d0i0(Data,vrr_stack+5351, vrr_stack+521, vrr_stack+409, vrr_stack+493, vrr_stack+381, vrr_stack+749);
 _BUILD_f0i0(Data,vrr_stack+5519, vrr_stack+5351, vrr_stack+1988, vrr_stack+521, vrr_stack+409, vrr_stack+2306);
 _BUILD_00i0(Data,vrr_stack+686, vrr_stack+217, vrr_stack+141, vrr_stack+9, vrr_stack+48, NULL);
 _BUILD_p0i0(Data,vrr_stack+714, vrr_stack+686, vrr_stack+493, NULL, NULL, vrr_stack+141);
 _BUILD_d0i0(Data,vrr_stack+2156, vrr_stack+714, vrr_stack+521, vrr_stack+686, vrr_stack+493, vrr_stack+812);
 _BUILD_f0i0(Data,vrr_stack+5799, vrr_stack+2156, vrr_stack+5351, vrr_stack+714, vrr_stack+521, vrr_stack+2432);
 _BUILD_00i0(Data,vrr_stack+798, vrr_stack+63, vrr_stack+295, vrr_stack+246, vrr_stack+338, NULL);
 _BUILD_p0i0(Data,vrr_stack+2324, vrr_stack+162, vrr_stack+798, NULL, NULL, vrr_stack+63);
 _BUILD_d0i0(Data,vrr_stack+6079, vrr_stack+1904, vrr_stack+2324, vrr_stack+353, vrr_stack+162, vrr_stack+2558);
 _BUILD_f0i0(Data,vrr_stack+6247, vrr_stack+1988, vrr_stack+6079, vrr_stack+409, vrr_stack+1904, vrr_stack+2621);
 _BUILD_g0i0(Data,vrr_stack+6527, vrr_stack+5519, vrr_stack+6247, vrr_stack+5351, vrr_stack+1988, vrr_stack+2747);
 _BUILD_g0i0(Data,vrr_stack+2408, vrr_stack+5799, vrr_stack+5519, vrr_stack+2156, vrr_stack+5351, vrr_stack+2957);
 _BUILD_h0i0(Data,vrr_stack+6947, vrr_stack+2408, vrr_stack+6527, vrr_stack+5799, vrr_stack+5519, vrr_stack+3167);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+316, vrr_stack+0, vrr_stack+6, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+826, vrr_stack+316, vrr_stack+201, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+836, vrr_stack+826, vrr_stack+207, vrr_stack+316, vrr_stack+201, NULL);
 _BUILD_00h0(Data,vrr_stack+851, vrr_stack+836, vrr_stack+9, vrr_stack+826, vrr_stack+207, NULL);
 _BUILD_00i0(Data,vrr_stack+84, vrr_stack+851, vrr_stack+217, vrr_stack+836, vrr_stack+9, NULL);
 _BUILD_p0i0(Data,vrr_stack+2828, vrr_stack+84, vrr_stack+686, NULL, NULL, vrr_stack+217);
 _BUILD_d0i0(Data,vrr_stack+2912, vrr_stack+2828, vrr_stack+714, vrr_stack+84, vrr_stack+686, vrr_stack+875);
 _BUILD_f0i0(Data,vrr_stack+3080, vrr_stack+2912, vrr_stack+2156, vrr_stack+2828, vrr_stack+714, vrr_stack+938);
 _BUILD_g0i0(Data,vrr_stack+7535, vrr_stack+3080, vrr_stack+5799, vrr_stack+2912, vrr_stack+2156, vrr_stack+1064);
 _BUILD_h0i0(Data,vrr_stack+7955, vrr_stack+7535, vrr_stack+2408, vrr_stack+3080, vrr_stack+5799, vrr_stack+3482);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+261, vrr_stack+6, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+15, vrr_stack+264, vrr_stack+9, vrr_stack+3, vrr_stack+261, NULL);
 _BUILD_00g0(Data,vrr_stack+25, vrr_stack+270, vrr_stack+15, vrr_stack+322, vrr_stack+264, NULL);
 _BUILD_00h0(Data,vrr_stack+40, vrr_stack+280, vrr_stack+25, vrr_stack+328, vrr_stack+270, NULL);
 _BUILD_00i0(Data,vrr_stack+872, vrr_stack+295, vrr_stack+40, vrr_stack+338, vrr_stack+280, NULL);
 _BUILD_p0i0(Data,vrr_stack+900, vrr_stack+798, vrr_stack+872, NULL, NULL, vrr_stack+295);
 _BUILD_d0i0(Data,vrr_stack+984, vrr_stack+2324, vrr_stack+900, vrr_stack+162, vrr_stack+798, vrr_stack+1274);
 _BUILD_f0i0(Data,vrr_stack+3360, vrr_stack+6079, vrr_stack+984, vrr_stack+1904, vrr_stack+2324, vrr_stack+1337);
 _BUILD_g0i0(Data,vrr_stack+8543, vrr_stack+6247, vrr_stack+3360, vrr_stack+1988, vrr_stack+6079, vrr_stack+3797);
 _BUILD_h0i0(Data,vrr_stack+8963, vrr_stack+6527, vrr_stack+8543, vrr_stack+5519, vrr_stack+6247, vrr_stack+4007);
 _BUILD_i0i0(Data,vrr_stack+9551, vrr_stack+6947, vrr_stack+8963, vrr_stack+2408, vrr_stack+6527, vrr_stack+4322);
 _BUILD_i0i0(Data,vrr_stack+3640, vrr_stack+7955, vrr_stack+6947, vrr_stack+7535, vrr_stack+2408, vrr_stack+1463);
 _BUILD_k0i0(Data,vrr_stack+10335, vrr_stack+3640, vrr_stack+9551, vrr_stack+7955, vrr_stack+6947, vrr_stack+4763);
 _BUILD_00k0(Data,vrr_stack+1152, vrr_stack+381, vrr_stack+353, vrr_stack+644, vrr_stack+623, NULL);
 _BUILD_00k0(Data,vrr_stack+1188, vrr_stack+493, vrr_stack+381, vrr_stack+141, vrr_stack+644, NULL);
 _BUILD_00k0(Data,vrr_stack+1224, vrr_stack+353, vrr_stack+162, vrr_stack+623, vrr_stack+665, NULL);
 _BUILD_p0k0(Data,vrr_stack+1260, vrr_stack+1152, vrr_stack+1224, NULL, NULL, vrr_stack+353);
 _BUILD_p0k0(Data,vrr_stack+1368, vrr_stack+1188, vrr_stack+1152, NULL, NULL, vrr_stack+381);
 _BUILD_d0k0(Data,vrr_stack+1476, vrr_stack+1368, vrr_stack+1260, vrr_stack+1188, vrr_stack+1152, vrr_stack+409);
 _BUILD_00k0(Data,vrr_stack+409, vrr_stack+686, vrr_stack+493, vrr_stack+217, vrr_stack+141, NULL);
 _BUILD_p0k0(Data,vrr_stack+1692, vrr_stack+409, vrr_stack+1188, NULL, NULL, vrr_stack+493);
 _BUILD_d0k0(Data,vrr_stack+4424, vrr_stack+1692, vrr_stack+1368, vrr_stack+409, vrr_stack+1188, vrr_stack+521);
 _BUILD_00k0(Data,vrr_stack+521, vrr_stack+162, vrr_stack+798, vrr_stack+665, vrr_stack+63, NULL);
 _BUILD_p0k0(Data,vrr_stack+557, vrr_stack+1224, vrr_stack+521, NULL, NULL, vrr_stack+162);
 _BUILD_d0k0(Data,vrr_stack+4640, vrr_stack+1260, vrr_stack+557, vrr_stack+1152, vrr_stack+1224, vrr_stack+1904);
 _BUILD_f0k0(Data,vrr_stack+4856, vrr_stack+1476, vrr_stack+4640, vrr_stack+1368, vrr_stack+1260, vrr_stack+1988);
 _BUILD_f0k0(Data,vrr_stack+11343, vrr_stack+4424, vrr_stack+1476, vrr_stack+1692, vrr_stack+1368, vrr_stack+5351);
 _BUILD_g0k0(Data,vrr_stack+11703, vrr_stack+11343, vrr_stack+4856, vrr_stack+4424, vrr_stack+1476, vrr_stack+5519);
 _BUILD_00k0(Data,vrr_stack+445, vrr_stack+84, vrr_stack+686, vrr_stack+851, vrr_stack+217, NULL);
 _BUILD_p0k0(Data,vrr_stack+1800, vrr_stack+445, vrr_stack+409, NULL, NULL, vrr_stack+686);
 _BUILD_d0k0(Data,vrr_stack+1908, vrr_stack+1800, vrr_stack+1692, vrr_stack+445, vrr_stack+409, vrr_stack+714);
 _BUILD_f0k0(Data,vrr_stack+5216, vrr_stack+1908, vrr_stack+4424, vrr_stack+1800, vrr_stack+1692, vrr_stack+2156);
 _BUILD_g0k0(Data,vrr_stack+12243, vrr_stack+5216, vrr_stack+11343, vrr_stack+1908, vrr_stack+4424, vrr_stack+5799);
 _BUILD_00k0(Data,vrr_stack+714, vrr_stack+798, vrr_stack+872, vrr_stack+63, vrr_stack+295, NULL);
 _BUILD_p0k0(Data,vrr_stack+2124, vrr_stack+521, vrr_stack+714, NULL, NULL, vrr_stack+798);
 _BUILD_d0k0(Data,vrr_stack+5576, vrr_stack+557, vrr_stack+2124, vrr_stack+1224, vrr_stack+521, vrr_stack+2324);
 _BUILD_f0k0(Data,vrr_stack+12783, vrr_stack+4640, vrr_stack+5576, vrr_stack+1260, vrr_stack+557, vrr_stack+6079);
 _BUILD_g0k0(Data,vrr_stack+13143, vrr_stack+4856, vrr_stack+12783, vrr_stack+1476, vrr_stack+4640, vrr_stack+6247);
 _BUILD_h0k0(Data,vrr_stack+13683, vrr_stack+11703, vrr_stack+13143, vrr_stack+11343, vrr_stack+4856, vrr_stack+6527);
 _BUILD_h0k0(Data,vrr_stack+5792, vrr_stack+12243, vrr_stack+11703, vrr_stack+5216, vrr_stack+11343, vrr_stack+2408);
 _BUILD_i0k0(Data,vrr_stack+14439, vrr_stack+5792, vrr_stack+13683, vrr_stack+12243, vrr_stack+11703, vrr_stack+6947);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+750, vrr_stack+3, vrr_stack+0, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+756, vrr_stack+750, vrr_stack+316, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+766, vrr_stack+756, vrr_stack+826, vrr_stack+750, vrr_stack+316, NULL);
 _BUILD_00h0(Data,vrr_stack+665, vrr_stack+766, vrr_stack+836, vrr_stack+756, vrr_stack+826, NULL);
 _BUILD_00i0(Data,vrr_stack+316, vrr_stack+665, vrr_stack+851, vrr_stack+766, vrr_stack+836, NULL);
 _BUILD_00k0(Data,vrr_stack+2232, vrr_stack+316, vrr_stack+84, vrr_stack+665, vrr_stack+851, NULL);
 _BUILD_p0k0(Data,vrr_stack+2268, vrr_stack+2232, vrr_stack+445, NULL, NULL, vrr_stack+84);
 _BUILD_d0k0(Data,vrr_stack+2376, vrr_stack+2268, vrr_stack+1800, vrr_stack+2232, vrr_stack+445, vrr_stack+2828);
 _BUILD_f0k0(Data,vrr_stack+6548, vrr_stack+2376, vrr_stack+1908, vrr_stack+2268, vrr_stack+1800, vrr_stack+2912);
 _BUILD_g0k0(Data,vrr_stack+6908, vrr_stack+6548, vrr_stack+5216, vrr_stack+2376, vrr_stack+1908, vrr_stack+3080);
 _BUILD_h0k0(Data,vrr_stack+2592, vrr_stack+6908, vrr_stack+12243, vrr_stack+6548, vrr_stack+5216, vrr_stack+7535);
 _BUILD_i0k0(Data,vrr_stack+15447, vrr_stack+2592, vrr_stack+5792, vrr_stack+6908, vrr_stack+12243, vrr_stack+7955);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+826, vrr_stack+6, vrr_stack+0, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+832, vrr_stack+9, vrr_stack+826, vrr_stack+261, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+842, vrr_stack+15, vrr_stack+832, vrr_stack+264, vrr_stack+9, NULL);
 _BUILD_00h0(Data,vrr_stack+61, vrr_stack+25, vrr_stack+842, vrr_stack+270, vrr_stack+15, NULL);
 _BUILD_00i0(Data,vrr_stack+112, vrr_stack+40, vrr_stack+61, vrr_stack+280, vrr_stack+25, NULL);
 _BUILD_00k0(Data,vrr_stack+190, vrr_stack+872, vrr_stack+112, vrr_stack+295, vrr_stack+40, NULL);
 _BUILD_p0k0(Data,vrr_stack+7448, vrr_stack+714, vrr_stack+190, NULL, NULL, vrr_stack+872);
 _BUILD_d0k0(Data,vrr_stack+7556, vrr_stack+2124, vrr_stack+7448, vrr_stack+521, vrr_stack+714, vrr_stack+900);
 _BUILD_f0k0(Data,vrr_stack+7772, vrr_stack+5576, vrr_stack+7556, vrr_stack+557, vrr_stack+2124, vrr_stack+984);
 _BUILD_g0k0(Data,vrr_stack+16455, vrr_stack+12783, vrr_stack+7772, vrr_stack+4640, vrr_stack+5576, vrr_stack+3360);
 _BUILD_h0k0(Data,vrr_stack+16995, vrr_stack+13143, vrr_stack+16455, vrr_stack+4856, vrr_stack+12783, vrr_stack+8543);
 _BUILD_i0k0(Data,vrr_stack+17751, vrr_stack+13683, vrr_stack+16995, vrr_stack+11703, vrr_stack+13143, vrr_stack+8963);
 _BUILD_k0k0(Data,vrr_stack+8132, vrr_stack+14439, vrr_stack+17751, vrr_stack+5792, vrr_stack+13683, vrr_stack+9551);
 _BUILD_k0k0(Data,vrr_stack+18759, vrr_stack+15447, vrr_stack+14439, vrr_stack+2592, vrr_stack+5792, vrr_stack+3640);
 _BUILD_l0k0(Data,vrr_stack+20055, vrr_stack+18759, vrr_stack+8132, vrr_stack+15447, vrr_stack+14439, vrr_stack+10335);
 _BUILD_00l0(Data,vrr_stack+900, vrr_stack+1152, vrr_stack+1224, vrr_stack+381, vrr_stack+353, NULL);
 _BUILD_00l0(Data,vrr_stack+945, vrr_stack+1188, vrr_stack+1152, vrr_stack+493, vrr_stack+381, NULL);
 _BUILD_p0l0(Data,vrr_stack+990, vrr_stack+945, vrr_stack+900, NULL, NULL, vrr_stack+1152);
 _BUILD_00l0(Data,vrr_stack+3348, vrr_stack+409, vrr_stack+1188, vrr_stack+686, vrr_stack+493, NULL);
 _BUILD_p0l0(Data,vrr_stack+3393, vrr_stack+3348, vrr_stack+945, NULL, NULL, vrr_stack+1188);
 _BUILD_00l0(Data,vrr_stack+3528, vrr_stack+1224, vrr_stack+521, vrr_stack+353, vrr_stack+162, NULL);
 _BUILD_p0l0(Data,vrr_stack+3573, vrr_stack+900, vrr_stack+3528, NULL, NULL, vrr_stack+1224);
 _BUILD_d0l0(Data,vrr_stack+3708, vrr_stack+990, vrr_stack+3573, vrr_stack+945, vrr_stack+900, vrr_stack+1260);
 _BUILD_d0l0(Data,vrr_stack+3978, vrr_stack+3393, vrr_stack+990, vrr_stack+3348, vrr_stack+945, vrr_stack+1368);
 _BUILD_f0l0(Data,vrr_stack+9428, vrr_stack+3978, vrr_stack+3708, vrr_stack+3393, vrr_stack+990, vrr_stack+1476);
 _BUILD_00l0(Data,vrr_stack+1260, vrr_stack+445, vrr_stack+409, vrr_stack+84, vrr_stack+686, NULL);
 _BUILD_p0l0(Data,vrr_stack+1305, vrr_stack+1260, vrr_stack+3348, NULL, NULL, vrr_stack+409);
 _BUILD_d0l0(Data,vrr_stack+9878, vrr_stack+1305, vrr_stack+3393, vrr_stack+1260, vrr_stack+3348, vrr_stack+1692);
 _BUILD_f0l0(Data,vrr_stack+10148, vrr_stack+9878, vrr_stack+3978, vrr_stack+1305, vrr_stack+3393, vrr_stack+4424);
 _BUILD_00l0(Data,vrr_stack+1440, vrr_stack+521, vrr_stack+714, vrr_stack+162, vrr_stack+798, NULL);
 _BUILD_p0l0(Data,vrr_stack+1485, vrr_stack+3528, vrr_stack+1440, NULL, NULL, vrr_stack+521);
 _BUILD_d0l0(Data,vrr_stack+4248, vrr_stack+3573, vrr_stack+1485, vrr_stack+900, vrr_stack+3528, vrr_stack+557);
 _BUILD_f0l0(Data,vrr_stack+10598, vrr_stack+3708, vrr_stack+4248, vrr_stack+990, vrr_stack+3573, vrr_stack+4640);
 _BUILD_g0l0(Data,vrr_stack+21675, vrr_stack+9428, vrr_stack+10598, vrr_stack+3978, vrr_stack+3708, vrr_stack+4856);
 _BUILD_g0l0(Data,vrr_stack+4518, vrr_stack+10148, vrr_stack+9428, vrr_stack+9878, vrr_stack+3978, vrr_stack+11343);
 _BUILD_h0l0(Data,vrr_stack+22350, vrr_stack+4518, vrr_stack+21675, vrr_stack+10148, vrr_stack+9428, vrr_stack+11703);
 _BUILD_00l0(Data,vrr_stack+557, vrr_stack+2232, vrr_stack+445, vrr_stack+316, vrr_stack+84, NULL);
 _BUILD_p0l0(Data,vrr_stack+1620, vrr_stack+557, vrr_stack+1260, NULL, NULL, vrr_stack+445);
 _BUILD_d0l0(Data,vrr_stack+11048, vrr_stack+1620, vrr_stack+1305, vrr_stack+557, vrr_stack+1260, vrr_stack+1800);
 _BUILD_f0l0(Data,vrr_stack+11318, vrr_stack+11048, vrr_stack+9878, vrr_stack+1620, vrr_stack+1305, vrr_stack+1908);
 _BUILD_g0l0(Data,vrr_stack+23295, vrr_stack+11318, vrr_stack+10148, vrr_stack+11048, vrr_stack+9878, vrr_stack+5216);
 _BUILD_h0l0(Data,vrr_stack+23970, vrr_stack+23295, vrr_stack+4518, vrr_stack+11318, vrr_stack+10148, vrr_stack+12243);
 _BUILD_00l0(Data,vrr_stack+602, vrr_stack+714, vrr_stack+190, vrr_stack+798, vrr_stack+872, NULL);
 _BUILD_p0l0(Data,vrr_stack+1755, vrr_stack+1440, vrr_stack+602, NULL, NULL, vrr_stack+714);
 _BUILD_d0l0(Data,vrr_stack+5193, vrr_stack+1485, vrr_stack+1755, vrr_stack+3528, vrr_stack+1440, vrr_stack+2124);
 _BUILD_f0l0(Data,vrr_stack+11768, vrr_stack+4248, vrr_stack+5193, vrr_stack+3573, vrr_stack+1485, vrr_stack+5576);
 _BUILD_g0l0(Data,vrr_stack+24915, vrr_stack+10598, vrr_stack+11768, vrr_stack+3708, vrr_stack+4248, vrr_stack+12783);
 _BUILD_h0l0(Data,vrr_stack+25590, vrr_stack+21675, vrr_stack+24915, vrr_stack+9428, vrr_stack+10598, vrr_stack+13143);
 _BUILD_i0l0(Data,vrr_stack+12218, vrr_stack+22350, vrr_stack+25590, vrr_stack+4518, vrr_stack+21675, vrr_stack+13683);
 _BUILD_i0l0(Data,vrr_stack+26535, vrr_stack+23970, vrr_stack+22350, vrr_stack+23295, vrr_stack+4518, vrr_stack+5792);
 _BUILD_k0l0(Data,vrr_stack+27795, vrr_stack+26535, vrr_stack+12218, vrr_stack+23970, vrr_stack+22350, vrr_stack+14439);
 _BUILD_00p0(Data,vrr_stack+647, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+650, vrr_stack+647, vrr_stack+3, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+686, vrr_stack+650, vrr_stack+750, vrr_stack+647, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+857, vrr_stack+686, vrr_stack+756, vrr_stack+650, vrr_stack+750, NULL);
 _BUILD_00h0(Data,vrr_stack+1890, vrr_stack+857, vrr_stack+766, vrr_stack+686, vrr_stack+756, NULL);
 _BUILD_00i0(Data,vrr_stack+686, vrr_stack+1890, vrr_stack+665, vrr_stack+857, vrr_stack+766, NULL);
 _BUILD_00k0(Data,vrr_stack+750, vrr_stack+686, vrr_stack+316, vrr_stack+1890, vrr_stack+665, NULL);
 _BUILD_00l0(Data,vrr_stack+1890, vrr_stack+750, vrr_stack+2232, vrr_stack+686, vrr_stack+316, NULL);
 _BUILD_p0l0(Data,vrr_stack+1935, vrr_stack+1890, vrr_stack+557, NULL, NULL, vrr_stack+2232);
 _BUILD_d0l0(Data,vrr_stack+5463, vrr_stack+1935, vrr_stack+1620, vrr_stack+1890, vrr_stack+557, vrr_stack+2268);
 _BUILD_f0l0(Data,vrr_stack+5733, vrr_stack+5463, vrr_stack+11048, vrr_stack+1935, vrr_stack+1620, vrr_stack+2376);
 _BUILD_g0l0(Data,vrr_stack+13478, vrr_stack+5733, vrr_stack+11318, vrr_stack+5463, vrr_stack+11048, vrr_stack+6548);
 _BUILD_h0l0(Data,vrr_stack+14153, vrr_stack+13478, vrr_stack+23295, vrr_stack+5733, vrr_stack+11318, vrr_stack+6908);
   tmp = vrr_stack + 14153;
   target_ptr = Libint->vrr_classes[5][8];
   for(i=0;i<945;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0l0(Data,vrr_stack+5463, vrr_stack+14153, vrr_stack+23970, vrr_stack+13478, vrr_stack+23295, vrr_stack+2592);
   tmp = vrr_stack + 5463;
   target_ptr = Libint->vrr_classes[6][8];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0l0(Data,vrr_stack+29415, vrr_stack+5463, vrr_stack+26535, vrr_stack+14153, vrr_stack+23970, vrr_stack+15447);
   tmp = vrr_stack + 29415;
   target_ptr = Libint->vrr_classes[7][8];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+3, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+13478, vrr_stack+0, vrr_stack+3, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+13484, vrr_stack+826, vrr_stack+13478, vrr_stack+6, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+857, vrr_stack+832, vrr_stack+13484, vrr_stack+9, vrr_stack+826, NULL);
 _BUILD_00h0(Data,vrr_stack+13494, vrr_stack+842, vrr_stack+857, vrr_stack+15, vrr_stack+832, NULL);
 _BUILD_00i0(Data,vrr_stack+13515, vrr_stack+61, vrr_stack+13494, vrr_stack+25, vrr_stack+842, NULL);
 _BUILD_00k0(Data,vrr_stack+13543, vrr_stack+112, vrr_stack+13515, vrr_stack+40, vrr_stack+61, NULL);
 _BUILD_00l0(Data,vrr_stack+6, vrr_stack+190, vrr_stack+13543, vrr_stack+872, vrr_stack+112, NULL);
 _BUILD_p0l0(Data,vrr_stack+13579, vrr_stack+602, vrr_stack+6, NULL, NULL, vrr_stack+190);
 _BUILD_d0l0(Data,vrr_stack+13714, vrr_stack+1755, vrr_stack+13579, vrr_stack+1440, vrr_stack+602, vrr_stack+7448);
 _BUILD_f0l0(Data,vrr_stack+13984, vrr_stack+5193, vrr_stack+13714, vrr_stack+1485, vrr_stack+1755, vrr_stack+7556);
 _BUILD_g0l0(Data,vrr_stack+14434, vrr_stack+11768, vrr_stack+13984, vrr_stack+4248, vrr_stack+5193, vrr_stack+7772);
 _BUILD_h0l0(Data,vrr_stack+15109, vrr_stack+24915, vrr_stack+14434, vrr_stack+10598, vrr_stack+11768, vrr_stack+16455);
 _BUILD_i0l0(Data,vrr_stack+6723, vrr_stack+25590, vrr_stack+15109, vrr_stack+21675, vrr_stack+24915, vrr_stack+16995);
 _BUILD_k0l0(Data,vrr_stack+16054, vrr_stack+12218, vrr_stack+6723, vrr_stack+22350, vrr_stack+25590, vrr_stack+17751);
 _BUILD_l0l0(Data,vrr_stack+31035, vrr_stack+27795, vrr_stack+16054, vrr_stack+26535, vrr_stack+12218, vrr_stack+8132);
 _BUILD_l0l0(Data,vrr_stack+33060, vrr_stack+29415, vrr_stack+27795, vrr_stack+5463, vrr_stack+26535, vrr_stack+18759);
   tmp = vrr_stack + 33060;
   target_ptr = Libint->vrr_classes[8][8];
   for(i=0;i<2025;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00m0(Data,vrr_stack+5463, vrr_stack+900, vrr_stack+3528, vrr_stack+1152, vrr_stack+1224, NULL);
 _BUILD_00m0(Data,vrr_stack+5518, vrr_stack+945, vrr_stack+900, vrr_stack+1188, vrr_stack+1152, NULL);
 _BUILD_p0m0(Data,vrr_stack+5573, vrr_stack+5518, vrr_stack+5463, NULL, NULL, vrr_stack+900);
 _BUILD_00m0(Data,vrr_stack+5738, vrr_stack+3348, vrr_stack+945, vrr_stack+409, vrr_stack+1188, NULL);
 _BUILD_p0m0(Data,vrr_stack+5793, vrr_stack+5738, vrr_stack+5518, NULL, NULL, vrr_stack+945);
 _BUILD_00m0(Data,vrr_stack+5958, vrr_stack+3528, vrr_stack+1440, vrr_stack+1224, vrr_stack+521, NULL);
 _BUILD_p0m0(Data,vrr_stack+6013, vrr_stack+5463, vrr_stack+5958, NULL, NULL, vrr_stack+3528);
 _BUILD_d0m0(Data,vrr_stack+6178, vrr_stack+5573, vrr_stack+6013, vrr_stack+5518, vrr_stack+5463, vrr_stack+3573);
 _BUILD_d0m0(Data,vrr_stack+17674, vrr_stack+5793, vrr_stack+5573, vrr_stack+5738, vrr_stack+5518, vrr_stack+990);
 _BUILD_f0m0(Data,vrr_stack+18004, vrr_stack+17674, vrr_stack+6178, vrr_stack+5793, vrr_stack+5573, vrr_stack+3708);
 _BUILD_00m0(Data,vrr_stack+990, vrr_stack+1260, vrr_stack+3348, vrr_stack+445, vrr_stack+409, NULL);
 _BUILD_p0m0(Data,vrr_stack+1045, vrr_stack+990, vrr_stack+5738, NULL, NULL, vrr_stack+3348);
 _BUILD_d0m0(Data,vrr_stack+3573, vrr_stack+1045, vrr_stack+5793, vrr_stack+990, vrr_stack+5738, vrr_stack+3393);
 _BUILD_f0m0(Data,vrr_stack+18554, vrr_stack+3573, vrr_stack+17674, vrr_stack+1045, vrr_stack+5793, vrr_stack+3978);
 _BUILD_00m0(Data,vrr_stack+3393, vrr_stack+1440, vrr_stack+602, vrr_stack+521, vrr_stack+714, NULL);
 _BUILD_p0m0(Data,vrr_stack+3903, vrr_stack+5958, vrr_stack+3393, NULL, NULL, vrr_stack+1440);
 _BUILD_d0m0(Data,vrr_stack+19104, vrr_stack+6013, vrr_stack+3903, vrr_stack+5463, vrr_stack+5958, vrr_stack+1485);
 _BUILD_f0m0(Data,vrr_stack+19434, vrr_stack+6178, vrr_stack+19104, vrr_stack+5573, vrr_stack+6013, vrr_stack+4248);
 _BUILD_g0m0(Data,vrr_stack+7983, vrr_stack+18004, vrr_stack+19434, vrr_stack+17674, vrr_stack+6178, vrr_stack+10598);
 _BUILD_g0m0(Data,vrr_stack+2268, vrr_stack+18554, vrr_stack+18004, vrr_stack+3573, vrr_stack+17674, vrr_stack+9428);
 _BUILD_h0m0(Data,vrr_stack+35085, vrr_stack+2268, vrr_stack+7983, vrr_stack+18554, vrr_stack+18004, vrr_stack+21675);
 _BUILD_00m0(Data,vrr_stack+21675, vrr_stack+557, vrr_stack+1260, vrr_stack+2232, vrr_stack+445, NULL);
 _BUILD_p0m0(Data,vrr_stack+21730, vrr_stack+21675, vrr_stack+990, NULL, NULL, vrr_stack+1260);
 _BUILD_d0m0(Data,vrr_stack+21895, vrr_stack+21730, vrr_stack+1045, vrr_stack+21675, vrr_stack+990, vrr_stack+1305);
 _BUILD_f0m0(Data,vrr_stack+8808, vrr_stack+21895, vrr_stack+3573, vrr_stack+21730, vrr_stack+1045, vrr_stack+9878);
 _BUILD_g0m0(Data,vrr_stack+36240, vrr_stack+8808, vrr_stack+18554, vrr_stack+21895, vrr_stack+3573, vrr_stack+10148);
 _BUILD_h0m0(Data,vrr_stack+9358, vrr_stack+36240, vrr_stack+2268, vrr_stack+8808, vrr_stack+18554, vrr_stack+4518);
 _BUILD_00m0(Data,vrr_stack+1305, vrr_stack+602, vrr_stack+6, vrr_stack+714, vrr_stack+190, NULL);
 _BUILD_p0m0(Data,vrr_stack+4068, vrr_stack+3393, vrr_stack+1305, NULL, NULL, vrr_stack+602);
 _BUILD_d0m0(Data,vrr_stack+4233, vrr_stack+3903, vrr_stack+4068, vrr_stack+5958, vrr_stack+3393, vrr_stack+1755);
 _BUILD_f0m0(Data,vrr_stack+4563, vrr_stack+19104, vrr_stack+4233, vrr_stack+6013, vrr_stack+3903, vrr_stack+5193);
 _BUILD_g0m0(Data,vrr_stack+37065, vrr_stack+19434, vrr_stack+4563, vrr_stack+6178, vrr_stack+19104, vrr_stack+11768);
 _BUILD_h0m0(Data,vrr_stack+37890, vrr_stack+7983, vrr_stack+37065, vrr_stack+18004, vrr_stack+19434, vrr_stack+24915);
 _BUILD_i0m0(Data,vrr_stack+39045, vrr_stack+35085, vrr_stack+37890, vrr_stack+2268, vrr_stack+7983, vrr_stack+25590);
 _BUILD_i0m0(Data,vrr_stack+24915, vrr_stack+9358, vrr_stack+35085, vrr_stack+36240, vrr_stack+2268, vrr_stack+22350);
 _BUILD_k0m0(Data,vrr_stack+40585, vrr_stack+24915, vrr_stack+39045, vrr_stack+9358, vrr_stack+35085, vrr_stack+12218);
 _BUILD_00m0(Data,vrr_stack+26455, vrr_stack+1890, vrr_stack+557, vrr_stack+750, vrr_stack+2232, NULL);
 _BUILD_p0m0(Data,vrr_stack+11768, vrr_stack+26455, vrr_stack+21675, NULL, NULL, vrr_stack+557);
 _BUILD_d0m0(Data,vrr_stack+11933, vrr_stack+11768, vrr_stack+21730, vrr_stack+26455, vrr_stack+21675, vrr_stack+1620);
 _BUILD_f0m0(Data,vrr_stack+12263, vrr_stack+11933, vrr_stack+21895, vrr_stack+11768, vrr_stack+21730, vrr_stack+11048);
 _BUILD_g0m0(Data,vrr_stack+22225, vrr_stack+12263, vrr_stack+8808, vrr_stack+11933, vrr_stack+21895, vrr_stack+11318);
 _BUILD_h0m0(Data,vrr_stack+10513, vrr_stack+22225, vrr_stack+36240, vrr_stack+12263, vrr_stack+8808, vrr_stack+23295);
   tmp = vrr_stack + 10513;
   target_ptr = Libint->vrr_classes[5][9];
   for(i=0;i<1155;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0m0(Data,vrr_stack+11668, vrr_stack+10513, vrr_stack+9358, vrr_stack+22225, vrr_stack+36240, vrr_stack+23970);
   tmp = vrr_stack + 11668;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0m0(Data,vrr_stack+22225, vrr_stack+11668, vrr_stack+24915, vrr_stack+10513, vrr_stack+9358, vrr_stack+26535);
   tmp = vrr_stack + 22225;
   target_ptr = Libint->vrr_classes[7][9];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+10513, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+10516, vrr_stack+3, vrr_stack+10513, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+51, vrr_stack+13478, vrr_stack+10516, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+10522, vrr_stack+13484, vrr_stack+51, vrr_stack+826, vrr_stack+13478, NULL);
 _BUILD_00h0(Data,vrr_stack+10537, vrr_stack+857, vrr_stack+10522, vrr_stack+832, vrr_stack+13484, NULL);
 _BUILD_00i0(Data,vrr_stack+872, vrr_stack+13494, vrr_stack+10537, vrr_stack+842, vrr_stack+857, NULL);
 _BUILD_00k0(Data,vrr_stack+10558, vrr_stack+13515, vrr_stack+872, vrr_stack+61, vrr_stack+13494, NULL);
 _BUILD_00l0(Data,vrr_stack+61, vrr_stack+13543, vrr_stack+10558, vrr_stack+112, vrr_stack+13515, NULL);
 _BUILD_00m0(Data,vrr_stack+106, vrr_stack+6, vrr_stack+61, vrr_stack+190, vrr_stack+13543, NULL);
 _BUILD_p0m0(Data,vrr_stack+161, vrr_stack+1305, vrr_stack+106, NULL, NULL, vrr_stack+6);
 _BUILD_d0m0(Data,vrr_stack+10594, vrr_stack+4068, vrr_stack+161, vrr_stack+3393, vrr_stack+1305, vrr_stack+13579);
 _BUILD_f0m0(Data,vrr_stack+10924, vrr_stack+4233, vrr_stack+10594, vrr_stack+3903, vrr_stack+4068, vrr_stack+13714);
 _BUILD_g0m0(Data,vrr_stack+26510, vrr_stack+4563, vrr_stack+10924, vrr_stack+19104, vrr_stack+4233, vrr_stack+13984);
 _BUILD_h0m0(Data,vrr_stack+42565, vrr_stack+37065, vrr_stack+26510, vrr_stack+19434, vrr_stack+4563, vrr_stack+14434);
 _BUILD_i0m0(Data,vrr_stack+43720, vrr_stack+37890, vrr_stack+42565, vrr_stack+7983, vrr_stack+37065, vrr_stack+15109);
 _BUILD_k0m0(Data,vrr_stack+13579, vrr_stack+39045, vrr_stack+43720, vrr_stack+35085, vrr_stack+37890, vrr_stack+6723);
 _BUILD_l0m0(Data,vrr_stack+45260, vrr_stack+40585, vrr_stack+13579, vrr_stack+24915, vrr_stack+39045, vrr_stack+16054);
 _BUILD_l0m0(Data,vrr_stack+47735, vrr_stack+22225, vrr_stack+40585, vrr_stack+11668, vrr_stack+24915, vrr_stack+27795);
   tmp = vrr_stack + 47735;
   target_ptr = Libint->vrr_classes[8][9];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+15559, vrr_stack+5463, vrr_stack+5958, vrr_stack+900, vrr_stack+3528, NULL);
 _BUILD_00n0(Data,vrr_stack+15625, vrr_stack+5518, vrr_stack+5463, vrr_stack+945, vrr_stack+900, NULL);
 _BUILD_p0n0(Data,vrr_stack+15691, vrr_stack+15625, vrr_stack+15559, NULL, NULL, vrr_stack+5463);
 _BUILD_00n0(Data,vrr_stack+15889, vrr_stack+5738, vrr_stack+5518, vrr_stack+3348, vrr_stack+945, NULL);
 _BUILD_p0n0(Data,vrr_stack+15955, vrr_stack+15889, vrr_stack+15625, NULL, NULL, vrr_stack+5518);
 _BUILD_00n0(Data,vrr_stack+900, vrr_stack+5958, vrr_stack+3393, vrr_stack+3528, vrr_stack+1440, NULL);
 _BUILD_p0n0(Data,vrr_stack+16153, vrr_stack+15559, vrr_stack+900, NULL, NULL, vrr_stack+5958);
 _BUILD_d0n0(Data,vrr_stack+16351, vrr_stack+15691, vrr_stack+16153, vrr_stack+15625, vrr_stack+15559, vrr_stack+6013);
 _BUILD_d0n0(Data,vrr_stack+16747, vrr_stack+15955, vrr_stack+15691, vrr_stack+15889, vrr_stack+15625, vrr_stack+5573);
 _BUILD_f0n0(Data,vrr_stack+11474, vrr_stack+16747, vrr_stack+16351, vrr_stack+15955, vrr_stack+15691, vrr_stack+6178);
 _BUILD_00n0(Data,vrr_stack+5573, vrr_stack+990, vrr_stack+5738, vrr_stack+1260, vrr_stack+3348, NULL);
 _BUILD_p0n0(Data,vrr_stack+6013, vrr_stack+5573, vrr_stack+15889, NULL, NULL, vrr_stack+5738);
 _BUILD_d0n0(Data,vrr_stack+6211, vrr_stack+6013, vrr_stack+15955, vrr_stack+5573, vrr_stack+15889, vrr_stack+5793);
 _BUILD_f0n0(Data,vrr_stack+6607, vrr_stack+6211, vrr_stack+16747, vrr_stack+6013, vrr_stack+15955, vrr_stack+17674);
 _BUILD_00n0(Data,vrr_stack+5793, vrr_stack+3393, vrr_stack+1305, vrr_stack+1440, vrr_stack+602, NULL);
 _BUILD_p0n0(Data,vrr_stack+7267, vrr_stack+900, vrr_stack+5793, NULL, NULL, vrr_stack+3393);
 _BUILD_d0n0(Data,vrr_stack+7465, vrr_stack+16153, vrr_stack+7267, vrr_stack+15559, vrr_stack+900, vrr_stack+3903);
 _BUILD_f0n0(Data,vrr_stack+17143, vrr_stack+16351, vrr_stack+7465, vrr_stack+15691, vrr_stack+16153, vrr_stack+19104);
 _BUILD_g0n0(Data,vrr_stack+12134, vrr_stack+11474, vrr_stack+17143, vrr_stack+16747, vrr_stack+16351, vrr_stack+19434);
 _BUILD_g0n0(Data,vrr_stack+50210, vrr_stack+6607, vrr_stack+11474, vrr_stack+6211, vrr_stack+16747, vrr_stack+18004);
 _BUILD_h0n0(Data,vrr_stack+51200, vrr_stack+50210, vrr_stack+12134, vrr_stack+6607, vrr_stack+11474, vrr_stack+7983);
 _BUILD_00n0(Data,vrr_stack+19104, vrr_stack+21675, vrr_stack+990, vrr_stack+557, vrr_stack+1260, NULL);
 _BUILD_p0n0(Data,vrr_stack+19170, vrr_stack+19104, vrr_stack+5573, NULL, NULL, vrr_stack+990);
 _BUILD_d0n0(Data,vrr_stack+19368, vrr_stack+19170, vrr_stack+6013, vrr_stack+19104, vrr_stack+5573, vrr_stack+1045);
 _BUILD_f0n0(Data,vrr_stack+7861, vrr_stack+19368, vrr_stack+6211, vrr_stack+19170, vrr_stack+6013, vrr_stack+3573);
 _BUILD_g0n0(Data,vrr_stack+52586, vrr_stack+7861, vrr_stack+6607, vrr_stack+19368, vrr_stack+6211, vrr_stack+18554);
 _BUILD_h0n0(Data,vrr_stack+53576, vrr_stack+52586, vrr_stack+50210, vrr_stack+7861, vrr_stack+6607, vrr_stack+2268);
 _BUILD_00n0(Data,vrr_stack+1045, vrr_stack+1305, vrr_stack+106, vrr_stack+602, vrr_stack+6, NULL);
 _BUILD_p0n0(Data,vrr_stack+602, vrr_stack+5793, vrr_stack+1045, NULL, NULL, vrr_stack+1305);
 _BUILD_d0n0(Data,vrr_stack+17803, vrr_stack+7267, vrr_stack+602, vrr_stack+900, vrr_stack+5793, vrr_stack+4068);
 _BUILD_f0n0(Data,vrr_stack+18199, vrr_stack+7465, vrr_stack+17803, vrr_stack+16153, vrr_stack+7267, vrr_stack+4233);
 _BUILD_g0n0(Data,vrr_stack+3448, vrr_stack+17143, vrr_stack+18199, vrr_stack+16351, vrr_stack+7465, vrr_stack+4563);
 _BUILD_h0n0(Data,vrr_stack+1935, vrr_stack+12134, vrr_stack+3448, vrr_stack+11474, vrr_stack+17143, vrr_stack+37065);
 _BUILD_i0n0(Data,vrr_stack+54962, vrr_stack+51200, vrr_stack+1935, vrr_stack+50210, vrr_stack+12134, vrr_stack+37890);
 _BUILD_i0n0(Data,vrr_stack+37065, vrr_stack+53576, vrr_stack+51200, vrr_stack+52586, vrr_stack+50210, vrr_stack+35085);
 _BUILD_k0n0(Data,vrr_stack+56810, vrr_stack+37065, vrr_stack+54962, vrr_stack+53576, vrr_stack+51200, vrr_stack+39045);
 _BUILD_00n0(Data,vrr_stack+35085, vrr_stack+26455, vrr_stack+21675, vrr_stack+1890, vrr_stack+557, NULL);
 _BUILD_p0n0(Data,vrr_stack+35151, vrr_stack+35085, vrr_stack+19104, NULL, NULL, vrr_stack+21675);
 _BUILD_d0n0(Data,vrr_stack+35349, vrr_stack+35151, vrr_stack+19170, vrr_stack+35085, vrr_stack+19104, vrr_stack+21730);
 _BUILD_f0n0(Data,vrr_stack+38913, vrr_stack+35349, vrr_stack+19368, vrr_stack+35151, vrr_stack+19170, vrr_stack+21895);
 _BUILD_g0n0(Data,vrr_stack+39573, vrr_stack+38913, vrr_stack+7861, vrr_stack+35349, vrr_stack+19368, vrr_stack+8808);
 _BUILD_h0n0(Data,vrr_stack+59186, vrr_stack+39573, vrr_stack+52586, vrr_stack+38913, vrr_stack+7861, vrr_stack+36240);
   tmp = vrr_stack + 59186;
   target_ptr = Libint->vrr_classes[5][10];
   for(i=0;i<1386;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0n0(Data,vrr_stack+35151, vrr_stack+59186, vrr_stack+53576, vrr_stack+39573, vrr_stack+52586, vrr_stack+9358);
   tmp = vrr_stack + 35151;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0n0(Data,vrr_stack+60572, vrr_stack+35151, vrr_stack+37065, vrr_stack+59186, vrr_stack+53576, vrr_stack+24915);
   tmp = vrr_stack + 60572;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+59186, vrr_stack+10513, vrr_stack+0, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+59192, vrr_stack+10516, vrr_stack+59186, vrr_stack+3, vrr_stack+10513, NULL);
 _BUILD_00g0(Data,vrr_stack+59202, vrr_stack+51, vrr_stack+59192, vrr_stack+13478, vrr_stack+10516, NULL);
 _BUILD_00h0(Data,vrr_stack+59217, vrr_stack+10522, vrr_stack+59202, vrr_stack+13484, vrr_stack+51, NULL);
 _BUILD_00i0(Data,vrr_stack+59238, vrr_stack+10537, vrr_stack+59217, vrr_stack+857, vrr_stack+10522, NULL);
 _BUILD_00k0(Data,vrr_stack+59266, vrr_stack+872, vrr_stack+59238, vrr_stack+13494, vrr_stack+10537, NULL);
 _BUILD_00l0(Data,vrr_stack+59302, vrr_stack+10558, vrr_stack+59266, vrr_stack+13515, vrr_stack+872, NULL);
 _BUILD_00m0(Data,vrr_stack+59347, vrr_stack+61, vrr_stack+59302, vrr_stack+13543, vrr_stack+10558, NULL);
 _BUILD_00n0(Data,vrr_stack+36999, vrr_stack+106, vrr_stack+59347, vrr_stack+6, vrr_stack+61, NULL);
 _BUILD_p0n0(Data,vrr_stack+59402, vrr_stack+1045, vrr_stack+36999, NULL, NULL, vrr_stack+106);
 _BUILD_d0n0(Data,vrr_stack+59600, vrr_stack+602, vrr_stack+59402, vrr_stack+5793, vrr_stack+1045, vrr_stack+161);
 _BUILD_f0n0(Data,vrr_stack+38913, vrr_stack+17803, vrr_stack+59600, vrr_stack+7267, vrr_stack+602, vrr_stack+10594);
 _BUILD_g0n0(Data,vrr_stack+39573, vrr_stack+18199, vrr_stack+38913, vrr_stack+7465, vrr_stack+17803, vrr_stack+10924);
 _BUILD_h0n0(Data,vrr_stack+8521, vrr_stack+3448, vrr_stack+39573, vrr_stack+17143, vrr_stack+18199, vrr_stack+26510);
 _BUILD_i0n0(Data,vrr_stack+24205, vrr_stack+1935, vrr_stack+8521, vrr_stack+12134, vrr_stack+3448, vrr_stack+42565);
 _BUILD_k0n0(Data,vrr_stack+62948, vrr_stack+54962, vrr_stack+24205, vrr_stack+51200, vrr_stack+1935, vrr_stack+43720);
 _BUILD_l0n0(Data,vrr_stack+65324, vrr_stack+56810, vrr_stack+62948, vrr_stack+37065, vrr_stack+54962, vrr_stack+13579);
 _BUILD_l0n0(Data,vrr_stack+68294, vrr_stack+60572, vrr_stack+56810, vrr_stack+35151, vrr_stack+37065, vrr_stack+40585);
   tmp = vrr_stack + 68294;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+35151, vrr_stack+15559, vrr_stack+900, vrr_stack+5463, vrr_stack+5958, NULL);
 _BUILD_00o0(Data,vrr_stack+35229, vrr_stack+15625, vrr_stack+15559, vrr_stack+5518, vrr_stack+5463, NULL);
 _BUILD_p0o0(Data,vrr_stack+35307, vrr_stack+35229, vrr_stack+35151, NULL, NULL, vrr_stack+15559);
 _BUILD_00o0(Data,vrr_stack+35541, vrr_stack+15889, vrr_stack+15625, vrr_stack+5738, vrr_stack+5518, NULL);
 _BUILD_p0o0(Data,vrr_stack+35619, vrr_stack+35541, vrr_stack+35229, NULL, NULL, vrr_stack+15625);
 _BUILD_00o0(Data,vrr_stack+35853, vrr_stack+900, vrr_stack+5793, vrr_stack+5958, vrr_stack+3393, NULL);
 _BUILD_p0o0(Data,vrr_stack+35931, vrr_stack+35151, vrr_stack+35853, NULL, NULL, vrr_stack+900);
 _BUILD_d0o0(Data,vrr_stack+36165, vrr_stack+35307, vrr_stack+35931, vrr_stack+35229, vrr_stack+35151, vrr_stack+16153);
 _BUILD_d0o0(Data,vrr_stack+42565, vrr_stack+35619, vrr_stack+35307, vrr_stack+35541, vrr_stack+35229, vrr_stack+15691);
 _BUILD_f0o0(Data,vrr_stack+43033, vrr_stack+42565, vrr_stack+36165, vrr_stack+35619, vrr_stack+35307, vrr_stack+16351);
 _BUILD_00o0(Data,vrr_stack+35229, vrr_stack+5573, vrr_stack+15889, vrr_stack+990, vrr_stack+5738, NULL);
 _BUILD_p0o0(Data,vrr_stack+16153, vrr_stack+35229, vrr_stack+35541, NULL, NULL, vrr_stack+15889);
 _BUILD_d0o0(Data,vrr_stack+43813, vrr_stack+16153, vrr_stack+35619, vrr_stack+35229, vrr_stack+35541, vrr_stack+15955);
 _BUILD_f0o0(Data,vrr_stack+44281, vrr_stack+43813, vrr_stack+42565, vrr_stack+16153, vrr_stack+35619, vrr_stack+16747);
 _BUILD_00o0(Data,vrr_stack+35541, vrr_stack+5793, vrr_stack+1045, vrr_stack+3393, vrr_stack+1305, NULL);
 _BUILD_p0o0(Data,vrr_stack+35619, vrr_stack+35853, vrr_stack+35541, NULL, NULL, vrr_stack+5793);
 _BUILD_d0o0(Data,vrr_stack+16387, vrr_stack+35931, vrr_stack+35619, vrr_stack+35151, vrr_stack+35853, vrr_stack+7267);
 _BUILD_f0o0(Data,vrr_stack+26510, vrr_stack+36165, vrr_stack+16387, vrr_stack+35307, vrr_stack+35931, vrr_stack+7465);
 _BUILD_g0o0(Data,vrr_stack+13124, vrr_stack+43033, vrr_stack+26510, vrr_stack+42565, vrr_stack+36165, vrr_stack+17143);
 _BUILD_g0o0(Data,vrr_stack+14294, vrr_stack+44281, vrr_stack+43033, vrr_stack+43813, vrr_stack+42565, vrr_stack+11474);
 _BUILD_h0o0(Data,vrr_stack+71264, vrr_stack+14294, vrr_stack+13124, vrr_stack+44281, vrr_stack+43033, vrr_stack+12134);
 _BUILD_00o0(Data,vrr_stack+35151, vrr_stack+19104, vrr_stack+5573, vrr_stack+21675, vrr_stack+990, NULL);
 _BUILD_p0o0(Data,vrr_stack+35307, vrr_stack+35151, vrr_stack+35229, NULL, NULL, vrr_stack+5573);
 _BUILD_d0o0(Data,vrr_stack+42565, vrr_stack+35307, vrr_stack+16153, vrr_stack+35151, vrr_stack+35229, vrr_stack+6013);
 _BUILD_f0o0(Data,vrr_stack+16855, vrr_stack+42565, vrr_stack+43813, vrr_stack+35307, vrr_stack+16153, vrr_stack+6211);
 _BUILD_g0o0(Data,vrr_stack+10594, vrr_stack+16855, vrr_stack+44281, vrr_stack+42565, vrr_stack+43813, vrr_stack+6607);
 _BUILD_h0o0(Data,vrr_stack+4438, vrr_stack+10594, vrr_stack+14294, vrr_stack+16855, vrr_stack+44281, vrr_stack+50210);
 _BUILD_00o0(Data,vrr_stack+35229, vrr_stack+1045, vrr_stack+36999, vrr_stack+1305, vrr_stack+106, NULL);
 _BUILD_p0o0(Data,vrr_stack+50210, vrr_stack+35541, vrr_stack+35229, NULL, NULL, vrr_stack+1045);
 _BUILD_d0o0(Data,vrr_stack+50444, vrr_stack+35619, vrr_stack+50210, vrr_stack+35853, vrr_stack+35541, vrr_stack+602);
 _BUILD_f0o0(Data,vrr_stack+43813, vrr_stack+16387, vrr_stack+50444, vrr_stack+35931, vrr_stack+35619, vrr_stack+17803);
 _BUILD_g0o0(Data,vrr_stack+11764, vrr_stack+26510, vrr_stack+43813, vrr_stack+36165, vrr_stack+16387, vrr_stack+18199);
 _BUILD_h0o0(Data,vrr_stack+6076, vrr_stack+13124, vrr_stack+11764, vrr_stack+43033, vrr_stack+26510, vrr_stack+3448);
 _BUILD_i0o0(Data,vrr_stack+72902, vrr_stack+71264, vrr_stack+6076, vrr_stack+14294, vrr_stack+13124, vrr_stack+1935);
 _BUILD_i0o0(Data,vrr_stack+900, vrr_stack+4438, vrr_stack+71264, vrr_stack+10594, vrr_stack+14294, vrr_stack+51200);
 _BUILD_k0o0(Data,vrr_stack+75086, vrr_stack+900, vrr_stack+72902, vrr_stack+4438, vrr_stack+71264, vrr_stack+54962);
 _BUILD_00o0(Data,vrr_stack+54962, vrr_stack+35085, vrr_stack+19104, vrr_stack+26455, vrr_stack+21675, NULL);
 _BUILD_p0o0(Data,vrr_stack+21675, vrr_stack+54962, vrr_stack+35151, NULL, NULL, vrr_stack+19104);
 _BUILD_d0o0(Data,vrr_stack+55040, vrr_stack+21675, vrr_stack+35307, vrr_stack+54962, vrr_stack+35151, vrr_stack+19170);
 _BUILD_f0o0(Data,vrr_stack+43033, vrr_stack+55040, vrr_stack+42565, vrr_stack+21675, vrr_stack+35307, vrr_stack+19368);
 _BUILD_g0o0(Data,vrr_stack+55508, vrr_stack+43033, vrr_stack+16855, vrr_stack+55040, vrr_stack+42565, vrr_stack+7861);
 _BUILD_h0o0(Data,vrr_stack+14294, vrr_stack+55508, vrr_stack+10594, vrr_stack+43033, vrr_stack+16855, vrr_stack+52586);
   tmp = vrr_stack + 14294;
   target_ptr = Libint->vrr_classes[5][11];
   for(i=0;i<1638;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0o0(Data,vrr_stack+16855, vrr_stack+14294, vrr_stack+4438, vrr_stack+55508, vrr_stack+10594, vrr_stack+53576);
   tmp = vrr_stack + 16855;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0o0(Data,vrr_stack+50912, vrr_stack+16855, vrr_stack+900, vrr_stack+14294, vrr_stack+4438, vrr_stack+37065);
   tmp = vrr_stack + 50912;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+37065, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+37068, vrr_stack+0, vrr_stack+37065, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+37074, vrr_stack+59186, vrr_stack+37068, vrr_stack+10513, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+59192, vrr_stack+37074, vrr_stack+10516, vrr_stack+59186, NULL);
 _BUILD_00h0(Data,vrr_stack+15, vrr_stack+59202, vrr_stack+0, vrr_stack+51, vrr_stack+59192, NULL);
 _BUILD_00i0(Data,vrr_stack+37065, vrr_stack+59217, vrr_stack+15, vrr_stack+10522, vrr_stack+59202, NULL);
 _BUILD_00k0(Data,vrr_stack+0, vrr_stack+59238, vrr_stack+37065, vrr_stack+10537, vrr_stack+59217, NULL);
 _BUILD_00l0(Data,vrr_stack+37065, vrr_stack+59266, vrr_stack+0, vrr_stack+872, vrr_stack+59238, NULL);
 _BUILD_00m0(Data,vrr_stack+0, vrr_stack+59302, vrr_stack+37065, vrr_stack+10558, vrr_stack+59266, NULL);
 _BUILD_00n0(Data,vrr_stack+37065, vrr_stack+59347, vrr_stack+0, vrr_stack+61, vrr_stack+59302, NULL);
 _BUILD_00o0(Data,vrr_stack+0, vrr_stack+36999, vrr_stack+37065, vrr_stack+106, vrr_stack+59347, NULL);
 _BUILD_p0o0(Data,vrr_stack+35307, vrr_stack+35229, vrr_stack+0, NULL, NULL, vrr_stack+36999);
 _BUILD_d0o0(Data,vrr_stack+0, vrr_stack+50210, vrr_stack+35307, vrr_stack+35541, vrr_stack+35229, vrr_stack+59402);
 _BUILD_f0o0(Data,vrr_stack+14294, vrr_stack+50444, vrr_stack+0, vrr_stack+35619, vrr_stack+50210, vrr_stack+59600);
 _BUILD_g0o0(Data,vrr_stack+59186, vrr_stack+43813, vrr_stack+14294, vrr_stack+16387, vrr_stack+50444, vrr_stack+38913);
 _BUILD_h0o0(Data,vrr_stack+14294, vrr_stack+11764, vrr_stack+59186, vrr_stack+26510, vrr_stack+43813, vrr_stack+39573);
 _BUILD_i0o0(Data,vrr_stack+42565, vrr_stack+6076, vrr_stack+14294, vrr_stack+13124, vrr_stack+11764, vrr_stack+8521);
 _BUILD_k0o0(Data,vrr_stack+35085, vrr_stack+72902, vrr_stack+42565, vrr_stack+71264, vrr_stack+6076, vrr_stack+24205);
 _BUILD_l0o0(Data,vrr_stack+24205, vrr_stack+75086, vrr_stack+35085, vrr_stack+900, vrr_stack+72902, vrr_stack+62948);
 _BUILD_l0o0(Data,vrr_stack+35085, vrr_stack+50912, vrr_stack+75086, vrr_stack+16855, vrr_stack+900, vrr_stack+56810);
   tmp = vrr_stack + 35085;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0l0(Data,vrr_stack+71264, vrr_stack+33060, vrr_stack+31035, vrr_stack+29415, vrr_stack+27795, vrr_stack+20055);
   tmp = vrr_stack + 71264;
   target_ptr = Libint->vrr_classes[9][8];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0m0(Data,vrr_stack+27715, vrr_stack+47735, vrr_stack+45260, vrr_stack+22225, vrr_stack+40585, vrr_stack+31035);
   tmp = vrr_stack + 27715;
   target_ptr = Libint->vrr_classes[9][9];
   for(i=0;i<3025;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0n0(Data,vrr_stack+38595, vrr_stack+68294, vrr_stack+65324, vrr_stack+60572, vrr_stack+56810, vrr_stack+45260);
   tmp = vrr_stack + 38595;
   target_ptr = Libint->vrr_classes[9][10];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0o0(Data,vrr_stack+42225, vrr_stack+35085, vrr_stack+24205, vrr_stack+50912, vrr_stack+75086, vrr_stack+65324);
   tmp = vrr_stack + 42225;
   target_ptr = Libint->vrr_classes[9][11];
   for(i=0;i<4290;i++)
     target_ptr[i] += tmp[i];

}

