#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (lp|hh) integrals */

void vrr_order_lphh(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_p000(Data,vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_p000(Data,vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+6, Data->F+7, NULL);
 _BUILD_p000(Data,vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+5, Data->F+6, NULL);
 _BUILD_p000(Data,vrr_stack+21, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+7, Data->F+8, NULL);
 _BUILD_f000(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_f000(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_g000(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+65, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+68, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+71, vrr_stack+68, vrr_stack+65, NULL, NULL, Data->F+7);
 _BUILD_00p0(Data,vrr_stack+80, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+83, vrr_stack+80, vrr_stack+68, NULL, NULL, Data->F+6);
 _BUILD_00p0(Data,vrr_stack+92, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+95, vrr_stack+65, vrr_stack+92, NULL, NULL, Data->F+8);
 _BUILD_d0p0(Data,vrr_stack+104, vrr_stack+71, vrr_stack+95, vrr_stack+68, vrr_stack+65, vrr_stack+0);
 _BUILD_d0p0(Data,vrr_stack+122, vrr_stack+83, vrr_stack+71, vrr_stack+80, vrr_stack+68, vrr_stack+3);
 _BUILD_f0p0(Data,vrr_stack+140, vrr_stack+122, vrr_stack+104, vrr_stack+83, vrr_stack+71, vrr_stack+6);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+3, vrr_stack+0, vrr_stack+80, NULL, NULL, Data->F+5);
 _BUILD_d0p0(Data,vrr_stack+170, vrr_stack+3, vrr_stack+83, vrr_stack+0, vrr_stack+80, vrr_stack+12);
 _BUILD_f0p0(Data,vrr_stack+188, vrr_stack+170, vrr_stack+122, vrr_stack+3, vrr_stack+83, vrr_stack+15);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+218, vrr_stack+92, vrr_stack+12, NULL, NULL, Data->F+9);
 _BUILD_d0p0(Data,vrr_stack+227, vrr_stack+95, vrr_stack+218, vrr_stack+65, vrr_stack+92, vrr_stack+21);
 _BUILD_f0p0(Data,vrr_stack+245, vrr_stack+104, vrr_stack+227, vrr_stack+71, vrr_stack+95, vrr_stack+24);
 _BUILD_g0p0(Data,vrr_stack+275, vrr_stack+140, vrr_stack+245, vrr_stack+122, vrr_stack+104, vrr_stack+30);
 _BUILD_g0p0(Data,vrr_stack+320, vrr_stack+188, vrr_stack+140, vrr_stack+170, vrr_stack+122, vrr_stack+40);
 _BUILD_h0p0(Data,vrr_stack+365, vrr_stack+320, vrr_stack+275, vrr_stack+188, vrr_stack+140, vrr_stack+50);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+68, vrr_stack+65, Data->F+6, Data->F+7, NULL);
 _BUILD_00d0(Data,vrr_stack+21, vrr_stack+80, vrr_stack+68, Data->F+5, Data->F+6, NULL);
 _BUILD_00d0(Data,vrr_stack+27, vrr_stack+65, vrr_stack+92, Data->F+7, Data->F+8, NULL);
 _BUILD_p0d0(Data,vrr_stack+33, vrr_stack+15, vrr_stack+27, NULL, NULL, vrr_stack+65);
 _BUILD_p0d0(Data,vrr_stack+428, vrr_stack+21, vrr_stack+15, NULL, NULL, vrr_stack+68);
 _BUILD_d0d0(Data,vrr_stack+446, vrr_stack+428, vrr_stack+33, vrr_stack+21, vrr_stack+15, vrr_stack+71);
 _BUILD_00d0(Data,vrr_stack+71, vrr_stack+0, vrr_stack+80, Data->F+4, Data->F+5, NULL);
 _BUILD_p0d0(Data,vrr_stack+482, vrr_stack+71, vrr_stack+21, NULL, NULL, vrr_stack+80);
 _BUILD_d0d0(Data,vrr_stack+500, vrr_stack+482, vrr_stack+428, vrr_stack+71, vrr_stack+21, vrr_stack+83);
 _BUILD_00d0(Data,vrr_stack+83, vrr_stack+92, vrr_stack+12, Data->F+8, Data->F+9, NULL);
 _BUILD_p0d0(Data,vrr_stack+536, vrr_stack+27, vrr_stack+83, NULL, NULL, vrr_stack+92);
 _BUILD_d0d0(Data,vrr_stack+554, vrr_stack+33, vrr_stack+536, vrr_stack+15, vrr_stack+27, vrr_stack+95);
 _BUILD_f0d0(Data,vrr_stack+590, vrr_stack+446, vrr_stack+554, vrr_stack+428, vrr_stack+33, vrr_stack+104);
 _BUILD_f0d0(Data,vrr_stack+650, vrr_stack+500, vrr_stack+446, vrr_stack+482, vrr_stack+428, vrr_stack+122);
 _BUILD_g0d0(Data,vrr_stack+710, vrr_stack+650, vrr_stack+590, vrr_stack+500, vrr_stack+446, vrr_stack+140);
 _BUILD_00p0(Data,vrr_stack+89, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+89, vrr_stack+0, Data->F+3, Data->F+4, NULL);
 _BUILD_p0d0(Data,vrr_stack+101, vrr_stack+95, vrr_stack+71, NULL, NULL, vrr_stack+0);
 _BUILD_d0d0(Data,vrr_stack+119, vrr_stack+101, vrr_stack+482, vrr_stack+95, vrr_stack+71, vrr_stack+3);
 _BUILD_f0d0(Data,vrr_stack+800, vrr_stack+119, vrr_stack+500, vrr_stack+101, vrr_stack+482, vrr_stack+170);
 _BUILD_g0d0(Data,vrr_stack+860, vrr_stack+800, vrr_stack+650, vrr_stack+119, vrr_stack+500, vrr_stack+188);
 _BUILD_00p0(Data,vrr_stack+77, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3, vrr_stack+12, vrr_stack+77, Data->F+9, Data->F+10, NULL);
 _BUILD_p0d0(Data,vrr_stack+155, vrr_stack+83, vrr_stack+3, NULL, NULL, vrr_stack+12);
 _BUILD_d0d0(Data,vrr_stack+173, vrr_stack+536, vrr_stack+155, vrr_stack+27, vrr_stack+83, vrr_stack+218);
 _BUILD_f0d0(Data,vrr_stack+950, vrr_stack+554, vrr_stack+173, vrr_stack+33, vrr_stack+536, vrr_stack+227);
 _BUILD_g0d0(Data,vrr_stack+1010, vrr_stack+590, vrr_stack+950, vrr_stack+446, vrr_stack+554, vrr_stack+245);
 _BUILD_h0d0(Data,vrr_stack+1100, vrr_stack+710, vrr_stack+1010, vrr_stack+650, vrr_stack+590, vrr_stack+275);
 _BUILD_h0d0(Data,vrr_stack+1226, vrr_stack+860, vrr_stack+710, vrr_stack+800, vrr_stack+650, vrr_stack+320);
 _BUILD_i0d0(Data,vrr_stack+1352, vrr_stack+1226, vrr_stack+1100, vrr_stack+860, vrr_stack+710, vrr_stack+365);
 _BUILD_00f0(Data,vrr_stack+209, vrr_stack+15, vrr_stack+27, vrr_stack+68, vrr_stack+65, NULL);
 _BUILD_00f0(Data,vrr_stack+219, vrr_stack+21, vrr_stack+15, vrr_stack+80, vrr_stack+68, NULL);
 _BUILD_p0f0(Data,vrr_stack+229, vrr_stack+219, vrr_stack+209, NULL, NULL, vrr_stack+15);
 _BUILD_00f0(Data,vrr_stack+259, vrr_stack+71, vrr_stack+21, vrr_stack+0, vrr_stack+80, NULL);
 _BUILD_p0f0(Data,vrr_stack+269, vrr_stack+259, vrr_stack+219, NULL, NULL, vrr_stack+21);
 _BUILD_00f0(Data,vrr_stack+299, vrr_stack+27, vrr_stack+83, vrr_stack+65, vrr_stack+92, NULL);
 _BUILD_p0f0(Data,vrr_stack+309, vrr_stack+209, vrr_stack+299, NULL, NULL, vrr_stack+27);
 _BUILD_d0f0(Data,vrr_stack+339, vrr_stack+229, vrr_stack+309, vrr_stack+219, vrr_stack+209, vrr_stack+33);
 _BUILD_d0f0(Data,vrr_stack+1520, vrr_stack+269, vrr_stack+229, vrr_stack+259, vrr_stack+219, vrr_stack+428);
 _BUILD_f0f0(Data,vrr_stack+1580, vrr_stack+1520, vrr_stack+339, vrr_stack+269, vrr_stack+229, vrr_stack+446);
 _BUILD_00f0(Data,vrr_stack+33, vrr_stack+95, vrr_stack+71, vrr_stack+89, vrr_stack+0, NULL);
 _BUILD_p0f0(Data,vrr_stack+399, vrr_stack+33, vrr_stack+259, NULL, NULL, vrr_stack+71);
 _BUILD_d0f0(Data,vrr_stack+1680, vrr_stack+399, vrr_stack+269, vrr_stack+33, vrr_stack+259, vrr_stack+482);
 _BUILD_f0f0(Data,vrr_stack+1740, vrr_stack+1680, vrr_stack+1520, vrr_stack+399, vrr_stack+269, vrr_stack+500);
 _BUILD_00f0(Data,vrr_stack+43, vrr_stack+83, vrr_stack+3, vrr_stack+92, vrr_stack+12, NULL);
 _BUILD_p0f0(Data,vrr_stack+429, vrr_stack+299, vrr_stack+43, NULL, NULL, vrr_stack+83);
 _BUILD_d0f0(Data,vrr_stack+459, vrr_stack+309, vrr_stack+429, vrr_stack+209, vrr_stack+299, vrr_stack+536);
 _BUILD_f0f0(Data,vrr_stack+1840, vrr_stack+339, vrr_stack+459, vrr_stack+229, vrr_stack+309, vrr_stack+554);
 _BUILD_g0f0(Data,vrr_stack+1940, vrr_stack+1580, vrr_stack+1840, vrr_stack+1520, vrr_stack+339, vrr_stack+590);
 _BUILD_g0f0(Data,vrr_stack+2090, vrr_stack+1740, vrr_stack+1580, vrr_stack+1680, vrr_stack+1520, vrr_stack+650);
 _BUILD_h0f0(Data,vrr_stack+2240, vrr_stack+2090, vrr_stack+1940, vrr_stack+1740, vrr_stack+1580, vrr_stack+710);
 _BUILD_00p0(Data,vrr_stack+92, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+92, vrr_stack+89, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+59, vrr_stack+53, vrr_stack+95, vrr_stack+92, vrr_stack+89, NULL);
 _BUILD_p0f0(Data,vrr_stack+519, vrr_stack+59, vrr_stack+33, NULL, NULL, vrr_stack+95);
 _BUILD_d0f0(Data,vrr_stack+549, vrr_stack+519, vrr_stack+399, vrr_stack+59, vrr_stack+33, vrr_stack+101);
 _BUILD_f0f0(Data,vrr_stack+609, vrr_stack+549, vrr_stack+1680, vrr_stack+519, vrr_stack+399, vrr_stack+119);
 _BUILD_g0f0(Data,vrr_stack+2450, vrr_stack+609, vrr_stack+1740, vrr_stack+549, vrr_stack+1680, vrr_stack+800);
 _BUILD_h0f0(Data,vrr_stack+2600, vrr_stack+2450, vrr_stack+2090, vrr_stack+609, vrr_stack+1740, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+89, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+101, vrr_stack+77, vrr_stack+89, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+107, vrr_stack+3, vrr_stack+101, vrr_stack+12, vrr_stack+77, NULL);
 _BUILD_p0f0(Data,vrr_stack+117, vrr_stack+43, vrr_stack+107, NULL, NULL, vrr_stack+3);
 _BUILD_d0f0(Data,vrr_stack+709, vrr_stack+429, vrr_stack+117, vrr_stack+299, vrr_stack+43, vrr_stack+155);
 _BUILD_f0f0(Data,vrr_stack+769, vrr_stack+459, vrr_stack+709, vrr_stack+309, vrr_stack+429, vrr_stack+173);
 _BUILD_g0f0(Data,vrr_stack+2810, vrr_stack+1840, vrr_stack+769, vrr_stack+339, vrr_stack+459, vrr_stack+950);
 _BUILD_h0f0(Data,vrr_stack+2960, vrr_stack+1940, vrr_stack+2810, vrr_stack+1580, vrr_stack+1840, vrr_stack+1010);
 _BUILD_i0f0(Data,vrr_stack+3170, vrr_stack+2240, vrr_stack+2960, vrr_stack+2090, vrr_stack+1940, vrr_stack+1100);
 _BUILD_i0f0(Data,vrr_stack+869, vrr_stack+2600, vrr_stack+2240, vrr_stack+2450, vrr_stack+2090, vrr_stack+1226);
 _BUILD_k0f0(Data,vrr_stack+3450, vrr_stack+869, vrr_stack+3170, vrr_stack+2600, vrr_stack+2240, vrr_stack+1352);
 _BUILD_00g0(Data,vrr_stack+147, vrr_stack+219, vrr_stack+209, vrr_stack+21, vrr_stack+15, NULL);
 _BUILD_00g0(Data,vrr_stack+162, vrr_stack+259, vrr_stack+219, vrr_stack+71, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+177, vrr_stack+209, vrr_stack+299, vrr_stack+15, vrr_stack+27, NULL);
 _BUILD_p0g0(Data,vrr_stack+1149, vrr_stack+147, vrr_stack+177, NULL, NULL, vrr_stack+209);
 _BUILD_p0g0(Data,vrr_stack+1194, vrr_stack+162, vrr_stack+147, NULL, NULL, vrr_stack+219);
 _BUILD_d0g0(Data,vrr_stack+1239, vrr_stack+1194, vrr_stack+1149, vrr_stack+162, vrr_stack+147, vrr_stack+229);
 _BUILD_00g0(Data,vrr_stack+229, vrr_stack+33, vrr_stack+259, vrr_stack+95, vrr_stack+71, NULL);
 _BUILD_p0g0(Data,vrr_stack+1329, vrr_stack+229, vrr_stack+162, NULL, NULL, vrr_stack+259);
 _BUILD_d0g0(Data,vrr_stack+1374, vrr_stack+1329, vrr_stack+1194, vrr_stack+229, vrr_stack+162, vrr_stack+269);
 _BUILD_00g0(Data,vrr_stack+244, vrr_stack+299, vrr_stack+43, vrr_stack+27, vrr_stack+83, NULL);
 _BUILD_p0g0(Data,vrr_stack+1464, vrr_stack+177, vrr_stack+244, NULL, NULL, vrr_stack+299);
 _BUILD_d0g0(Data,vrr_stack+3810, vrr_stack+1149, vrr_stack+1464, vrr_stack+147, vrr_stack+177, vrr_stack+309);
 _BUILD_f0g0(Data,vrr_stack+3900, vrr_stack+1239, vrr_stack+3810, vrr_stack+1194, vrr_stack+1149, vrr_stack+339);
 _BUILD_f0g0(Data,vrr_stack+4050, vrr_stack+1374, vrr_stack+1239, vrr_stack+1329, vrr_stack+1194, vrr_stack+1520);
 _BUILD_g0g0(Data,vrr_stack+4200, vrr_stack+4050, vrr_stack+3900, vrr_stack+1374, vrr_stack+1239, vrr_stack+1580);
 _BUILD_00g0(Data,vrr_stack+309, vrr_stack+59, vrr_stack+33, vrr_stack+53, vrr_stack+95, NULL);
 _BUILD_p0g0(Data,vrr_stack+324, vrr_stack+309, vrr_stack+229, NULL, NULL, vrr_stack+33);
 _BUILD_d0g0(Data,vrr_stack+1509, vrr_stack+324, vrr_stack+1329, vrr_stack+309, vrr_stack+229, vrr_stack+399);
 _BUILD_f0g0(Data,vrr_stack+4425, vrr_stack+1509, vrr_stack+1374, vrr_stack+324, vrr_stack+1329, vrr_stack+1680);
 _BUILD_g0g0(Data,vrr_stack+4575, vrr_stack+4425, vrr_stack+4050, vrr_stack+1509, vrr_stack+1374, vrr_stack+1740);
 _BUILD_00g0(Data,vrr_stack+369, vrr_stack+43, vrr_stack+107, vrr_stack+83, vrr_stack+3, NULL);
 _BUILD_p0g0(Data,vrr_stack+384, vrr_stack+244, vrr_stack+369, NULL, NULL, vrr_stack+43);
 _BUILD_d0g0(Data,vrr_stack+1599, vrr_stack+1464, vrr_stack+384, vrr_stack+177, vrr_stack+244, vrr_stack+429);
 _BUILD_f0g0(Data,vrr_stack+1689, vrr_stack+3810, vrr_stack+1599, vrr_stack+1149, vrr_stack+1464, vrr_stack+459);
 _BUILD_g0g0(Data,vrr_stack+4800, vrr_stack+3900, vrr_stack+1689, vrr_stack+1239, vrr_stack+3810, vrr_stack+1840);
 _BUILD_h0g0(Data,vrr_stack+5025, vrr_stack+4200, vrr_stack+4800, vrr_stack+4050, vrr_stack+3900, vrr_stack+1940);
 _BUILD_h0g0(Data,vrr_stack+5340, vrr_stack+4575, vrr_stack+4200, vrr_stack+4425, vrr_stack+4050, vrr_stack+2090);
 _BUILD_i0g0(Data,vrr_stack+5655, vrr_stack+5340, vrr_stack+5025, vrr_stack+4575, vrr_stack+4200, vrr_stack+2240);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+0, vrr_stack+92, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+429, vrr_stack+95, vrr_stack+53, vrr_stack+0, vrr_stack+92, NULL);
 _BUILD_00g0(Data,vrr_stack+439, vrr_stack+429, vrr_stack+59, vrr_stack+95, vrr_stack+53, NULL);
 _BUILD_p0g0(Data,vrr_stack+454, vrr_stack+439, vrr_stack+309, NULL, NULL, vrr_stack+59);
 _BUILD_d0g0(Data,vrr_stack+1839, vrr_stack+454, vrr_stack+324, vrr_stack+439, vrr_stack+309, vrr_stack+519);
 _BUILD_f0g0(Data,vrr_stack+1929, vrr_stack+1839, vrr_stack+1509, vrr_stack+454, vrr_stack+324, vrr_stack+549);
 _BUILD_g0g0(Data,vrr_stack+2079, vrr_stack+1929, vrr_stack+4425, vrr_stack+1839, vrr_stack+1509, vrr_stack+609);
 _BUILD_h0g0(Data,vrr_stack+6075, vrr_stack+2079, vrr_stack+4575, vrr_stack+1929, vrr_stack+4425, vrr_stack+2450);
 _BUILD_i0g0(Data,vrr_stack+6390, vrr_stack+6075, vrr_stack+5340, vrr_stack+2079, vrr_stack+4575, vrr_stack+2600);
 _BUILD_00p0(Data,vrr_stack+92, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+89, vrr_stack+92, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+499, vrr_stack+101, vrr_stack+53, vrr_stack+77, vrr_stack+89, NULL);
 _BUILD_00g0(Data,vrr_stack+509, vrr_stack+107, vrr_stack+499, vrr_stack+3, vrr_stack+101, NULL);
 _BUILD_p0g0(Data,vrr_stack+524, vrr_stack+369, vrr_stack+509, NULL, NULL, vrr_stack+107);
 _BUILD_d0g0(Data,vrr_stack+569, vrr_stack+384, vrr_stack+524, vrr_stack+244, vrr_stack+369, vrr_stack+117);
 _BUILD_f0g0(Data,vrr_stack+2304, vrr_stack+1599, vrr_stack+569, vrr_stack+1464, vrr_stack+384, vrr_stack+709);
 _BUILD_g0g0(Data,vrr_stack+2454, vrr_stack+1689, vrr_stack+2304, vrr_stack+3810, vrr_stack+1599, vrr_stack+769);
 _BUILD_h0g0(Data,vrr_stack+6810, vrr_stack+4800, vrr_stack+2454, vrr_stack+3900, vrr_stack+1689, vrr_stack+2810);
 _BUILD_i0g0(Data,vrr_stack+7125, vrr_stack+5025, vrr_stack+6810, vrr_stack+4200, vrr_stack+4800, vrr_stack+2960);
 _BUILD_k0g0(Data,vrr_stack+7545, vrr_stack+5655, vrr_stack+7125, vrr_stack+5340, vrr_stack+5025, vrr_stack+3170);
 _BUILD_k0g0(Data,vrr_stack+2679, vrr_stack+6390, vrr_stack+5655, vrr_stack+6075, vrr_stack+5340, vrr_stack+869);
 _BUILD_l0g0(Data,vrr_stack+8085, vrr_stack+2679, vrr_stack+7545, vrr_stack+6390, vrr_stack+5655, vrr_stack+3450);
 _BUILD_00h0(Data,vrr_stack+117, vrr_stack+147, vrr_stack+177, vrr_stack+219, vrr_stack+209, NULL);
 _BUILD_00h0(Data,vrr_stack+3, vrr_stack+162, vrr_stack+147, vrr_stack+259, vrr_stack+219, NULL);
 _BUILD_p0h0(Data,vrr_stack+659, vrr_stack+3, vrr_stack+117, NULL, NULL, vrr_stack+147);
 _BUILD_00h0(Data,vrr_stack+722, vrr_stack+229, vrr_stack+162, vrr_stack+33, vrr_stack+259, NULL);
 _BUILD_p0h0(Data,vrr_stack+743, vrr_stack+722, vrr_stack+3, NULL, NULL, vrr_stack+162);
 _BUILD_00h0(Data,vrr_stack+259, vrr_stack+177, vrr_stack+244, vrr_stack+209, vrr_stack+299, NULL);
 _BUILD_p0h0(Data,vrr_stack+806, vrr_stack+117, vrr_stack+259, NULL, NULL, vrr_stack+177);
 _BUILD_d0h0(Data,vrr_stack+869, vrr_stack+659, vrr_stack+806, vrr_stack+3, vrr_stack+117, vrr_stack+1149);
 _BUILD_d0h0(Data,vrr_stack+995, vrr_stack+743, vrr_stack+659, vrr_stack+722, vrr_stack+3, vrr_stack+1194);
 _BUILD_f0h0(Data,vrr_stack+3219, vrr_stack+995, vrr_stack+869, vrr_stack+743, vrr_stack+659, vrr_stack+1239);
 _BUILD_00h0(Data,vrr_stack+1121, vrr_stack+309, vrr_stack+229, vrr_stack+59, vrr_stack+33, NULL);
 _BUILD_p0h0(Data,vrr_stack+1142, vrr_stack+1121, vrr_stack+722, NULL, NULL, vrr_stack+229);
 _BUILD_d0h0(Data,vrr_stack+3429, vrr_stack+1142, vrr_stack+743, vrr_stack+1121, vrr_stack+722, vrr_stack+1329);
 _BUILD_f0h0(Data,vrr_stack+3555, vrr_stack+3429, vrr_stack+995, vrr_stack+1142, vrr_stack+743, vrr_stack+1374);
 _BUILD_00h0(Data,vrr_stack+1205, vrr_stack+244, vrr_stack+369, vrr_stack+299, vrr_stack+43, NULL);
 _BUILD_p0h0(Data,vrr_stack+1226, vrr_stack+259, vrr_stack+1205, NULL, NULL, vrr_stack+244);
 _BUILD_d0h0(Data,vrr_stack+1289, vrr_stack+806, vrr_stack+1226, vrr_stack+117, vrr_stack+259, vrr_stack+1464);
 _BUILD_f0h0(Data,vrr_stack+8760, vrr_stack+869, vrr_stack+1289, vrr_stack+659, vrr_stack+806, vrr_stack+3810);
 _BUILD_g0h0(Data,vrr_stack+8970, vrr_stack+3219, vrr_stack+8760, vrr_stack+995, vrr_stack+869, vrr_stack+3900);
 _BUILD_g0h0(Data,vrr_stack+9285, vrr_stack+3555, vrr_stack+3219, vrr_stack+3429, vrr_stack+995, vrr_stack+4050);
 _BUILD_h0h0(Data,vrr_stack+9600, vrr_stack+9285, vrr_stack+8970, vrr_stack+3555, vrr_stack+3219, vrr_stack+4200);
 _BUILD_00h0(Data,vrr_stack+280, vrr_stack+439, vrr_stack+309, vrr_stack+429, vrr_stack+59, NULL);
 _BUILD_p0h0(Data,vrr_stack+1415, vrr_stack+280, vrr_stack+1121, NULL, NULL, vrr_stack+309);
 _BUILD_d0h0(Data,vrr_stack+3765, vrr_stack+1415, vrr_stack+1142, vrr_stack+280, vrr_stack+1121, vrr_stack+324);
 _BUILD_f0h0(Data,vrr_stack+3891, vrr_stack+3765, vrr_stack+3429, vrr_stack+1415, vrr_stack+1142, vrr_stack+1509);
 _BUILD_g0h0(Data,vrr_stack+4101, vrr_stack+3891, vrr_stack+3555, vrr_stack+3765, vrr_stack+3429, vrr_stack+4425);
 _BUILD_h0h0(Data,vrr_stack+10041, vrr_stack+4101, vrr_stack+9285, vrr_stack+3891, vrr_stack+3555, vrr_stack+4575);
 _BUILD_00h0(Data,vrr_stack+324, vrr_stack+369, vrr_stack+509, vrr_stack+43, vrr_stack+107, NULL);
 _BUILD_p0h0(Data,vrr_stack+1478, vrr_stack+1205, vrr_stack+324, NULL, NULL, vrr_stack+369);
 _BUILD_d0h0(Data,vrr_stack+4416, vrr_stack+1226, vrr_stack+1478, vrr_stack+259, vrr_stack+1205, vrr_stack+384);
 _BUILD_f0h0(Data,vrr_stack+4542, vrr_stack+1289, vrr_stack+4416, vrr_stack+806, vrr_stack+1226, vrr_stack+1599);
 _BUILD_g0h0(Data,vrr_stack+10482, vrr_stack+8760, vrr_stack+4542, vrr_stack+869, vrr_stack+1289, vrr_stack+1689);
 _BUILD_h0h0(Data,vrr_stack+10797, vrr_stack+8970, vrr_stack+10482, vrr_stack+3219, vrr_stack+8760, vrr_stack+4800);
 _BUILD_i0h0(Data,vrr_stack+11238, vrr_stack+9600, vrr_stack+10797, vrr_stack+9285, vrr_stack+8970, vrr_stack+5025);
 _BUILD_i0h0(Data,vrr_stack+4752, vrr_stack+10041, vrr_stack+9600, vrr_stack+4101, vrr_stack+9285, vrr_stack+5340);
 _BUILD_k0h0(Data,vrr_stack+11826, vrr_stack+4752, vrr_stack+11238, vrr_stack+10041, vrr_stack+9600, vrr_stack+5655);
 _BUILD_00p0(Data,vrr_stack+5340, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5343, vrr_stack+5340, vrr_stack+0, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+5349, vrr_stack+5343, vrr_stack+95, vrr_stack+5340, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+5359, vrr_stack+5349, vrr_stack+429, vrr_stack+5343, vrr_stack+95, NULL);
 _BUILD_00h0(Data,vrr_stack+5374, vrr_stack+5359, vrr_stack+439, vrr_stack+5349, vrr_stack+429, NULL);
 _BUILD_p0h0(Data,vrr_stack+5395, vrr_stack+5374, vrr_stack+280, NULL, NULL, vrr_stack+439);
 _BUILD_d0h0(Data,vrr_stack+5458, vrr_stack+5395, vrr_stack+1415, vrr_stack+5374, vrr_stack+280, vrr_stack+454);
 _BUILD_f0h0(Data,vrr_stack+5584, vrr_stack+5458, vrr_stack+3765, vrr_stack+5395, vrr_stack+1415, vrr_stack+1839);
 _BUILD_g0h0(Data,vrr_stack+1541, vrr_stack+5584, vrr_stack+3891, vrr_stack+5458, vrr_stack+3765, vrr_stack+1929);
 _BUILD_h0h0(Data,vrr_stack+12582, vrr_stack+1541, vrr_stack+4101, vrr_stack+5584, vrr_stack+3891, vrr_stack+2079);
 _BUILD_i0h0(Data,vrr_stack+5395, vrr_stack+12582, vrr_stack+10041, vrr_stack+1541, vrr_stack+4101, vrr_stack+6075);
 _BUILD_k0h0(Data,vrr_stack+1541, vrr_stack+5395, vrr_stack+4752, vrr_stack+12582, vrr_stack+10041, vrr_stack+6390);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+92, vrr_stack+0, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+12582, vrr_stack+53, vrr_stack+95, vrr_stack+89, vrr_stack+92, NULL);
 _BUILD_00g0(Data,vrr_stack+12592, vrr_stack+499, vrr_stack+12582, vrr_stack+101, vrr_stack+53, NULL);
 _BUILD_00h0(Data,vrr_stack+12607, vrr_stack+509, vrr_stack+12592, vrr_stack+107, vrr_stack+499, NULL);
 _BUILD_p0h0(Data,vrr_stack+12628, vrr_stack+324, vrr_stack+12607, NULL, NULL, vrr_stack+509);
 _BUILD_d0h0(Data,vrr_stack+12691, vrr_stack+1478, vrr_stack+12628, vrr_stack+1205, vrr_stack+324, vrr_stack+524);
 _BUILD_f0h0(Data,vrr_stack+12817, vrr_stack+4416, vrr_stack+12691, vrr_stack+1226, vrr_stack+1478, vrr_stack+569);
 _BUILD_g0h0(Data,vrr_stack+13027, vrr_stack+4542, vrr_stack+12817, vrr_stack+1289, vrr_stack+4416, vrr_stack+2304);
 _BUILD_h0h0(Data,vrr_stack+13342, vrr_stack+10482, vrr_stack+13027, vrr_stack+8760, vrr_stack+4542, vrr_stack+2454);
 _BUILD_i0h0(Data,vrr_stack+5983, vrr_stack+10797, vrr_stack+13342, vrr_stack+8970, vrr_stack+10482, vrr_stack+6810);
 _BUILD_k0h0(Data,vrr_stack+13783, vrr_stack+11238, vrr_stack+5983, vrr_stack+9600, vrr_stack+10797, vrr_stack+7125);
 _BUILD_l0h0(Data,vrr_stack+6571, vrr_stack+11826, vrr_stack+13783, vrr_stack+4752, vrr_stack+11238, vrr_stack+7545);
 _BUILD_l0h0(Data,vrr_stack+14539, vrr_stack+1541, vrr_stack+11826, vrr_stack+5395, vrr_stack+4752, vrr_stack+2679);
   tmp = vrr_stack + 14539;
   target_ptr = Libint->vrr_classes[8][5];
   for(i=0;i<945;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00i0(Data,vrr_stack+5395, vrr_stack+117, vrr_stack+259, vrr_stack+147, vrr_stack+177, NULL);
 _BUILD_00i0(Data,vrr_stack+5423, vrr_stack+3, vrr_stack+117, vrr_stack+162, vrr_stack+147, NULL);
 _BUILD_p0i0(Data,vrr_stack+5451, vrr_stack+5423, vrr_stack+5395, NULL, NULL, vrr_stack+117);
 _BUILD_00i0(Data,vrr_stack+5535, vrr_stack+722, vrr_stack+3, vrr_stack+229, vrr_stack+162, NULL);
 _BUILD_p0i0(Data,vrr_stack+5563, vrr_stack+5535, vrr_stack+5423, NULL, NULL, vrr_stack+3);
 _BUILD_00i0(Data,vrr_stack+5647, vrr_stack+259, vrr_stack+1205, vrr_stack+177, vrr_stack+244, NULL);
 _BUILD_p0i0(Data,vrr_stack+5675, vrr_stack+5395, vrr_stack+5647, NULL, NULL, vrr_stack+259);
 _BUILD_d0i0(Data,vrr_stack+5759, vrr_stack+5451, vrr_stack+5675, vrr_stack+5423, vrr_stack+5395, vrr_stack+806);
 _BUILD_d0i0(Data,vrr_stack+15484, vrr_stack+5563, vrr_stack+5451, vrr_stack+5535, vrr_stack+5423, vrr_stack+659);
 _BUILD_f0i0(Data,vrr_stack+15652, vrr_stack+15484, vrr_stack+5759, vrr_stack+5563, vrr_stack+5451, vrr_stack+869);
 _BUILD_00i0(Data,vrr_stack+806, vrr_stack+1121, vrr_stack+722, vrr_stack+309, vrr_stack+229, NULL);
 _BUILD_p0i0(Data,vrr_stack+834, vrr_stack+806, vrr_stack+5535, NULL, NULL, vrr_stack+722);
 _BUILD_d0i0(Data,vrr_stack+524, vrr_stack+834, vrr_stack+5563, vrr_stack+806, vrr_stack+5535, vrr_stack+743);
 _BUILD_f0i0(Data,vrr_stack+2297, vrr_stack+524, vrr_stack+15484, vrr_stack+834, vrr_stack+5563, vrr_stack+995);
 _BUILD_00i0(Data,vrr_stack+743, vrr_stack+1205, vrr_stack+324, vrr_stack+244, vrr_stack+369, NULL);
 _BUILD_p0i0(Data,vrr_stack+918, vrr_stack+5647, vrr_stack+743, NULL, NULL, vrr_stack+1205);
 _BUILD_d0i0(Data,vrr_stack+2577, vrr_stack+5675, vrr_stack+918, vrr_stack+5395, vrr_stack+5647, vrr_stack+1226);
 _BUILD_f0i0(Data,vrr_stack+2745, vrr_stack+5759, vrr_stack+2577, vrr_stack+5451, vrr_stack+5675, vrr_stack+1289);
 _BUILD_g0i0(Data,vrr_stack+7516, vrr_stack+15652, vrr_stack+2745, vrr_stack+15484, vrr_stack+5759, vrr_stack+8760);
 _BUILD_g0i0(Data,vrr_stack+15932, vrr_stack+2297, vrr_stack+15652, vrr_stack+524, vrr_stack+15484, vrr_stack+3219);
 _BUILD_h0i0(Data,vrr_stack+16352, vrr_stack+15932, vrr_stack+7516, vrr_stack+2297, vrr_stack+15652, vrr_stack+8970);
 _BUILD_00i0(Data,vrr_stack+8760, vrr_stack+280, vrr_stack+1121, vrr_stack+439, vrr_stack+309, NULL);
 _BUILD_p0i0(Data,vrr_stack+8788, vrr_stack+8760, vrr_stack+806, NULL, NULL, vrr_stack+1121);
 _BUILD_d0i0(Data,vrr_stack+8872, vrr_stack+8788, vrr_stack+834, vrr_stack+8760, vrr_stack+806, vrr_stack+1142);
 _BUILD_f0i0(Data,vrr_stack+3025, vrr_stack+8872, vrr_stack+524, vrr_stack+8788, vrr_stack+834, vrr_stack+3429);
 _BUILD_g0i0(Data,vrr_stack+16940, vrr_stack+3025, vrr_stack+2297, vrr_stack+8872, vrr_stack+524, vrr_stack+3555);
 _BUILD_h0i0(Data,vrr_stack+17360, vrr_stack+16940, vrr_stack+15932, vrr_stack+3025, vrr_stack+2297, vrr_stack+9285);
 _BUILD_00i0(Data,vrr_stack+1142, vrr_stack+324, vrr_stack+12607, vrr_stack+369, vrr_stack+509, NULL);
 _BUILD_p0i0(Data,vrr_stack+9040, vrr_stack+743, vrr_stack+1142, NULL, NULL, vrr_stack+324);
 _BUILD_d0i0(Data,vrr_stack+9124, vrr_stack+918, vrr_stack+9040, vrr_stack+5647, vrr_stack+743, vrr_stack+1478);
 _BUILD_f0i0(Data,vrr_stack+9292, vrr_stack+2577, vrr_stack+9124, vrr_stack+5675, vrr_stack+918, vrr_stack+4416);
 _BUILD_g0i0(Data,vrr_stack+3305, vrr_stack+2745, vrr_stack+9292, vrr_stack+5759, vrr_stack+2577, vrr_stack+4542);
 _BUILD_h0i0(Data,vrr_stack+17948, vrr_stack+7516, vrr_stack+3305, vrr_stack+15652, vrr_stack+2745, vrr_stack+10482);
 _BUILD_i0i0(Data,vrr_stack+18536, vrr_stack+16352, vrr_stack+17948, vrr_stack+15932, vrr_stack+7516, vrr_stack+10797);
 _BUILD_i0i0(Data,vrr_stack+19320, vrr_stack+17360, vrr_stack+16352, vrr_stack+16940, vrr_stack+15932, vrr_stack+9600);
 _BUILD_k0i0(Data,vrr_stack+20104, vrr_stack+19320, vrr_stack+18536, vrr_stack+17360, vrr_stack+16352, vrr_stack+11238);
 _BUILD_00i0(Data,vrr_stack+10482, vrr_stack+5374, vrr_stack+280, vrr_stack+5359, vrr_stack+439, NULL);
 _BUILD_p0i0(Data,vrr_stack+10510, vrr_stack+10482, vrr_stack+8760, NULL, NULL, vrr_stack+280);
 _BUILD_d0i0(Data,vrr_stack+10594, vrr_stack+10510, vrr_stack+8788, vrr_stack+10482, vrr_stack+8760, vrr_stack+1415);
 _BUILD_f0i0(Data,vrr_stack+10762, vrr_stack+10594, vrr_stack+8872, vrr_stack+10510, vrr_stack+8788, vrr_stack+3765);
 _BUILD_g0i0(Data,vrr_stack+11042, vrr_stack+10762, vrr_stack+3025, vrr_stack+10594, vrr_stack+8872, vrr_stack+3891);
 _BUILD_h0i0(Data,vrr_stack+21112, vrr_stack+11042, vrr_stack+16940, vrr_stack+10762, vrr_stack+3025, vrr_stack+4101);
 _BUILD_i0i0(Data,vrr_stack+3725, vrr_stack+21112, vrr_stack+17360, vrr_stack+11042, vrr_stack+16940, vrr_stack+10041);
 _BUILD_k0i0(Data,vrr_stack+10510, vrr_stack+3725, vrr_stack+19320, vrr_stack+21112, vrr_stack+17360, vrr_stack+4752);
 _BUILD_00p0(Data,vrr_stack+21112, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21115, vrr_stack+0, vrr_stack+21112, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+21121, vrr_stack+95, vrr_stack+21115, vrr_stack+92, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+21131, vrr_stack+12582, vrr_stack+21121, vrr_stack+53, vrr_stack+95, NULL);
 _BUILD_00h0(Data,vrr_stack+21146, vrr_stack+12592, vrr_stack+21131, vrr_stack+499, vrr_stack+12582, NULL);
 _BUILD_00i0(Data,vrr_stack+21167, vrr_stack+12607, vrr_stack+21146, vrr_stack+509, vrr_stack+12592, NULL);
 _BUILD_p0i0(Data,vrr_stack+21195, vrr_stack+1142, vrr_stack+21167, NULL, NULL, vrr_stack+12607);
 _BUILD_d0i0(Data,vrr_stack+21279, vrr_stack+9040, vrr_stack+21195, vrr_stack+743, vrr_stack+1142, vrr_stack+12628);
 _BUILD_f0i0(Data,vrr_stack+21447, vrr_stack+9124, vrr_stack+21279, vrr_stack+918, vrr_stack+9040, vrr_stack+12691);
 _BUILD_g0i0(Data,vrr_stack+9572, vrr_stack+9292, vrr_stack+21447, vrr_stack+2577, vrr_stack+9124, vrr_stack+12817);
 _BUILD_h0i0(Data,vrr_stack+4509, vrr_stack+3305, vrr_stack+9572, vrr_stack+2745, vrr_stack+9292, vrr_stack+13027);
 _BUILD_i0i0(Data,vrr_stack+21727, vrr_stack+17948, vrr_stack+4509, vrr_stack+7516, vrr_stack+3305, vrr_stack+13342);
 _BUILD_k0i0(Data,vrr_stack+12628, vrr_stack+18536, vrr_stack+21727, vrr_stack+16352, vrr_stack+17948, vrr_stack+5983);
 _BUILD_l0i0(Data,vrr_stack+22511, vrr_stack+20104, vrr_stack+12628, vrr_stack+19320, vrr_stack+18536, vrr_stack+13783);
 _BUILD_l0i0(Data,vrr_stack+23771, vrr_stack+10510, vrr_stack+20104, vrr_stack+3725, vrr_stack+19320, vrr_stack+11826);
   tmp = vrr_stack + 23771;
   target_ptr = Libint->vrr_classes[8][6];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00k0(Data,vrr_stack+3725, vrr_stack+5395, vrr_stack+5647, vrr_stack+117, vrr_stack+259, NULL);
 _BUILD_00k0(Data,vrr_stack+3761, vrr_stack+5423, vrr_stack+5395, vrr_stack+3, vrr_stack+117, NULL);
 _BUILD_p0k0(Data,vrr_stack+3797, vrr_stack+3761, vrr_stack+3725, NULL, NULL, vrr_stack+5395);
 _BUILD_00k0(Data,vrr_stack+3905, vrr_stack+5535, vrr_stack+5423, vrr_stack+722, vrr_stack+3, NULL);
 _BUILD_p0k0(Data,vrr_stack+3941, vrr_stack+3905, vrr_stack+3761, NULL, NULL, vrr_stack+5423);
 _BUILD_00k0(Data,vrr_stack+3, vrr_stack+5647, vrr_stack+743, vrr_stack+259, vrr_stack+1205, NULL);
 _BUILD_p0k0(Data,vrr_stack+4049, vrr_stack+3725, vrr_stack+3, NULL, NULL, vrr_stack+5647);
 _BUILD_d0k0(Data,vrr_stack+4157, vrr_stack+3797, vrr_stack+4049, vrr_stack+3761, vrr_stack+3725, vrr_stack+5675);
 _BUILD_d0k0(Data,vrr_stack+13636, vrr_stack+3941, vrr_stack+3797, vrr_stack+3905, vrr_stack+3761, vrr_stack+5451);
 _BUILD_f0k0(Data,vrr_stack+13852, vrr_stack+13636, vrr_stack+4157, vrr_stack+3941, vrr_stack+3797, vrr_stack+5759);
 _BUILD_00k0(Data,vrr_stack+5451, vrr_stack+806, vrr_stack+5535, vrr_stack+1121, vrr_stack+722, NULL);
 _BUILD_p0k0(Data,vrr_stack+5675, vrr_stack+5451, vrr_stack+3905, NULL, NULL, vrr_stack+5535);
 _BUILD_d0k0(Data,vrr_stack+5783, vrr_stack+5675, vrr_stack+3941, vrr_stack+5451, vrr_stack+3905, vrr_stack+5563);
 _BUILD_f0k0(Data,vrr_stack+5999, vrr_stack+5783, vrr_stack+13636, vrr_stack+5675, vrr_stack+3941, vrr_stack+15484);
 _BUILD_00k0(Data,vrr_stack+15484, vrr_stack+743, vrr_stack+1142, vrr_stack+1205, vrr_stack+324, NULL);
 _BUILD_p0k0(Data,vrr_stack+15520, vrr_stack+3, vrr_stack+15484, NULL, NULL, vrr_stack+743);
 _BUILD_d0k0(Data,vrr_stack+14212, vrr_stack+4049, vrr_stack+15520, vrr_stack+3725, vrr_stack+3, vrr_stack+918);
 _BUILD_f0k0(Data,vrr_stack+25031, vrr_stack+4157, vrr_stack+14212, vrr_stack+3797, vrr_stack+4049, vrr_stack+2577);
 _BUILD_g0k0(Data,vrr_stack+25391, vrr_stack+13852, vrr_stack+25031, vrr_stack+13636, vrr_stack+4157, vrr_stack+2745);
 _BUILD_g0k0(Data,vrr_stack+25931, vrr_stack+5999, vrr_stack+13852, vrr_stack+5783, vrr_stack+13636, vrr_stack+15652);
 _BUILD_h0k0(Data,vrr_stack+26471, vrr_stack+25931, vrr_stack+25391, vrr_stack+5999, vrr_stack+13852, vrr_stack+7516);
 _BUILD_00k0(Data,vrr_stack+7516, vrr_stack+8760, vrr_stack+806, vrr_stack+280, vrr_stack+1121, NULL);
 _BUILD_p0k0(Data,vrr_stack+7552, vrr_stack+7516, vrr_stack+5451, NULL, NULL, vrr_stack+806);
 _BUILD_d0k0(Data,vrr_stack+7660, vrr_stack+7552, vrr_stack+5675, vrr_stack+7516, vrr_stack+5451, vrr_stack+834);
 _BUILD_f0k0(Data,vrr_stack+2577, vrr_stack+7660, vrr_stack+5783, vrr_stack+7552, vrr_stack+5675, vrr_stack+524);
 _BUILD_g0k0(Data,vrr_stack+27227, vrr_stack+2577, vrr_stack+5999, vrr_stack+7660, vrr_stack+5783, vrr_stack+2297);
 _BUILD_h0k0(Data,vrr_stack+27767, vrr_stack+27227, vrr_stack+25931, vrr_stack+2577, vrr_stack+5999, vrr_stack+15932);
 _BUILD_00k0(Data,vrr_stack+2297, vrr_stack+1142, vrr_stack+21167, vrr_stack+324, vrr_stack+12607, NULL);
 _BUILD_p0k0(Data,vrr_stack+2333, vrr_stack+15484, vrr_stack+2297, NULL, NULL, vrr_stack+1142);
 _BUILD_d0k0(Data,vrr_stack+834, vrr_stack+15520, vrr_stack+2333, vrr_stack+3, vrr_stack+15484, vrr_stack+9040);
 _BUILD_f0k0(Data,vrr_stack+15628, vrr_stack+14212, vrr_stack+834, vrr_stack+4049, vrr_stack+15520, vrr_stack+9124);
 _BUILD_g0k0(Data,vrr_stack+28523, vrr_stack+25031, vrr_stack+15628, vrr_stack+4157, vrr_stack+14212, vrr_stack+9292);
 _BUILD_h0k0(Data,vrr_stack+29063, vrr_stack+25391, vrr_stack+28523, vrr_stack+13852, vrr_stack+25031, vrr_stack+3305);
 _BUILD_i0k0(Data,vrr_stack+29819, vrr_stack+26471, vrr_stack+29063, vrr_stack+25931, vrr_stack+25391, vrr_stack+17948);
 _BUILD_i0k0(Data,vrr_stack+30827, vrr_stack+27767, vrr_stack+26471, vrr_stack+27227, vrr_stack+25931, vrr_stack+16352);
 _BUILD_k0k0(Data,vrr_stack+31835, vrr_stack+30827, vrr_stack+29819, vrr_stack+27767, vrr_stack+26471, vrr_stack+18536);
 _BUILD_00k0(Data,vrr_stack+17948, vrr_stack+10482, vrr_stack+8760, vrr_stack+5374, vrr_stack+280, NULL);
 _BUILD_p0k0(Data,vrr_stack+17984, vrr_stack+17948, vrr_stack+7516, NULL, NULL, vrr_stack+8760);
 _BUILD_d0k0(Data,vrr_stack+18092, vrr_stack+17984, vrr_stack+7552, vrr_stack+17948, vrr_stack+7516, vrr_stack+8788);
 _BUILD_f0k0(Data,vrr_stack+18308, vrr_stack+18092, vrr_stack+7660, vrr_stack+17984, vrr_stack+7552, vrr_stack+8872);
 _BUILD_g0k0(Data,vrr_stack+8788, vrr_stack+18308, vrr_stack+2577, vrr_stack+18092, vrr_stack+7660, vrr_stack+3025);
 _BUILD_h0k0(Data,vrr_stack+2937, vrr_stack+8788, vrr_stack+27227, vrr_stack+18308, vrr_stack+2577, vrr_stack+16940);
 _BUILD_i0k0(Data,vrr_stack+17984, vrr_stack+2937, vrr_stack+27767, vrr_stack+8788, vrr_stack+27227, vrr_stack+17360);
 _BUILD_k0k0(Data,vrr_stack+15988, vrr_stack+17984, vrr_stack+30827, vrr_stack+2937, vrr_stack+27767, vrr_stack+19320);
 _BUILD_00p0(Data,vrr_stack+2937, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2940, vrr_stack+21112, vrr_stack+2937, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+2946, vrr_stack+21115, vrr_stack+2940, vrr_stack+0, vrr_stack+21112, NULL);
 _BUILD_00g0(Data,vrr_stack+2956, vrr_stack+21121, vrr_stack+2946, vrr_stack+95, vrr_stack+21115, NULL);
 _BUILD_00h0(Data,vrr_stack+2971, vrr_stack+21131, vrr_stack+2956, vrr_stack+12582, vrr_stack+21121, NULL);
 _BUILD_00i0(Data,vrr_stack+2992, vrr_stack+21146, vrr_stack+2971, vrr_stack+12592, vrr_stack+21131, NULL);
 _BUILD_00k0(Data,vrr_stack+3020, vrr_stack+21167, vrr_stack+2992, vrr_stack+12607, vrr_stack+21146, NULL);
 _BUILD_p0k0(Data,vrr_stack+3056, vrr_stack+2297, vrr_stack+3020, NULL, NULL, vrr_stack+21167);
 _BUILD_d0k0(Data,vrr_stack+3164, vrr_stack+2333, vrr_stack+3056, vrr_stack+15484, vrr_stack+2297, vrr_stack+21195);
 _BUILD_f0k0(Data,vrr_stack+8788, vrr_stack+834, vrr_stack+3164, vrr_stack+15520, vrr_stack+2333, vrr_stack+21279);
 _BUILD_g0k0(Data,vrr_stack+18992, vrr_stack+15628, vrr_stack+8788, vrr_stack+14212, vrr_stack+834, vrr_stack+21447);
 _BUILD_h0k0(Data,vrr_stack+33131, vrr_stack+28523, vrr_stack+18992, vrr_stack+25031, vrr_stack+15628, vrr_stack+9572);
 _BUILD_i0k0(Data,vrr_stack+9148, vrr_stack+29063, vrr_stack+33131, vrr_stack+25391, vrr_stack+28523, vrr_stack+4509);
 _BUILD_k0k0(Data,vrr_stack+33887, vrr_stack+29819, vrr_stack+9148, vrr_stack+26471, vrr_stack+29063, vrr_stack+21727);
 _BUILD_l0k0(Data,vrr_stack+35183, vrr_stack+31835, vrr_stack+33887, vrr_stack+30827, vrr_stack+29819, vrr_stack+12628);
 _BUILD_l0k0(Data,vrr_stack+36803, vrr_stack+15988, vrr_stack+31835, vrr_stack+17984, vrr_stack+30827, vrr_stack+20104);
   tmp = vrr_stack + 36803;
   target_ptr = Libint->vrr_classes[8][7];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00l0(Data,vrr_stack+17984, vrr_stack+3725, vrr_stack+3, vrr_stack+5395, vrr_stack+5647, NULL);
 _BUILD_00l0(Data,vrr_stack+18029, vrr_stack+3761, vrr_stack+3725, vrr_stack+5423, vrr_stack+5395, NULL);
 _BUILD_p0l0(Data,vrr_stack+18074, vrr_stack+18029, vrr_stack+17984, NULL, NULL, vrr_stack+3725);
 _BUILD_00l0(Data,vrr_stack+18209, vrr_stack+3905, vrr_stack+3761, vrr_stack+5535, vrr_stack+5423, NULL);
 _BUILD_p0l0(Data,vrr_stack+18254, vrr_stack+18209, vrr_stack+18029, NULL, NULL, vrr_stack+3761);
 _BUILD_00l0(Data,vrr_stack+18389, vrr_stack+3, vrr_stack+15484, vrr_stack+5647, vrr_stack+743, NULL);
 _BUILD_p0l0(Data,vrr_stack+18434, vrr_stack+17984, vrr_stack+18389, NULL, NULL, vrr_stack+3);
 _BUILD_d0l0(Data,vrr_stack+18569, vrr_stack+18074, vrr_stack+18434, vrr_stack+18029, vrr_stack+17984, vrr_stack+4049);
 _BUILD_d0l0(Data,vrr_stack+21195, vrr_stack+18254, vrr_stack+18074, vrr_stack+18209, vrr_stack+18029, vrr_stack+3797);
 _BUILD_f0l0(Data,vrr_stack+21465, vrr_stack+21195, vrr_stack+18569, vrr_stack+18254, vrr_stack+18074, vrr_stack+4157);
 _BUILD_00l0(Data,vrr_stack+3797, vrr_stack+5451, vrr_stack+3905, vrr_stack+806, vrr_stack+5535, NULL);
 _BUILD_p0l0(Data,vrr_stack+4049, vrr_stack+3797, vrr_stack+18209, NULL, NULL, vrr_stack+3905);
 _BUILD_d0l0(Data,vrr_stack+4184, vrr_stack+4049, vrr_stack+18254, vrr_stack+3797, vrr_stack+18209, vrr_stack+3941);
 _BUILD_f0l0(Data,vrr_stack+4454, vrr_stack+4184, vrr_stack+21195, vrr_stack+4049, vrr_stack+18254, vrr_stack+13636);
 _BUILD_00l0(Data,vrr_stack+3941, vrr_stack+15484, vrr_stack+2297, vrr_stack+743, vrr_stack+1142, NULL);
 _BUILD_p0l0(Data,vrr_stack+4904, vrr_stack+18389, vrr_stack+3941, NULL, NULL, vrr_stack+15484);
 _BUILD_d0l0(Data,vrr_stack+5039, vrr_stack+18434, vrr_stack+4904, vrr_stack+17984, vrr_stack+18389, vrr_stack+15520);
 _BUILD_f0l0(Data,vrr_stack+21915, vrr_stack+18569, vrr_stack+5039, vrr_stack+18074, vrr_stack+18434, vrr_stack+14212);
 _BUILD_g0l0(Data,vrr_stack+12582, vrr_stack+21465, vrr_stack+21915, vrr_stack+21195, vrr_stack+18569, vrr_stack+25031);
 _BUILD_g0l0(Data,vrr_stack+39, vrr_stack+4454, vrr_stack+21465, vrr_stack+4184, vrr_stack+21195, vrr_stack+13852);
 _BUILD_h0l0(Data,vrr_stack+13257, vrr_stack+39, vrr_stack+12582, vrr_stack+4454, vrr_stack+21465, vrr_stack+25391);
 _BUILD_00l0(Data,vrr_stack+25031, vrr_stack+7516, vrr_stack+5451, vrr_stack+8760, vrr_stack+806, NULL);
 _BUILD_p0l0(Data,vrr_stack+25076, vrr_stack+25031, vrr_stack+3797, NULL, NULL, vrr_stack+5451);
 _BUILD_d0l0(Data,vrr_stack+25211, vrr_stack+25076, vrr_stack+4049, vrr_stack+25031, vrr_stack+3797, vrr_stack+5675);
 _BUILD_f0l0(Data,vrr_stack+25481, vrr_stack+25211, vrr_stack+4184, vrr_stack+25076, vrr_stack+4049, vrr_stack+5783);
 _BUILD_g0l0(Data,vrr_stack+38423, vrr_stack+25481, vrr_stack+4454, vrr_stack+25211, vrr_stack+4184, vrr_stack+5999);
 _BUILD_h0l0(Data,vrr_stack+5487, vrr_stack+38423, vrr_stack+39, vrr_stack+25481, vrr_stack+4454, vrr_stack+25931);
 _BUILD_00l0(Data,vrr_stack+25931, vrr_stack+2297, vrr_stack+3020, vrr_stack+1142, vrr_stack+21167, NULL);
 _BUILD_p0l0(Data,vrr_stack+25976, vrr_stack+3941, vrr_stack+25931, NULL, NULL, vrr_stack+2297);
 _BUILD_d0l0(Data,vrr_stack+26111, vrr_stack+4904, vrr_stack+25976, vrr_stack+18389, vrr_stack+3941, vrr_stack+2333);
 _BUILD_f0l0(Data,vrr_stack+19532, vrr_stack+5039, vrr_stack+26111, vrr_stack+18434, vrr_stack+4904, vrr_stack+834);
 _BUILD_g0l0(Data,vrr_stack+714, vrr_stack+21915, vrr_stack+19532, vrr_stack+18569, vrr_stack+5039, vrr_stack+15628);
 _BUILD_h0l0(Data,vrr_stack+39098, vrr_stack+12582, vrr_stack+714, vrr_stack+21465, vrr_stack+21915, vrr_stack+28523);
 _BUILD_i0l0(Data,vrr_stack+40043, vrr_stack+13257, vrr_stack+39098, vrr_stack+39, vrr_stack+12582, vrr_stack+29063);
 _BUILD_i0l0(Data,vrr_stack+28523, vrr_stack+5487, vrr_stack+13257, vrr_stack+38423, vrr_stack+39, vrr_stack+26471);
 _BUILD_k0l0(Data,vrr_stack+41303, vrr_stack+28523, vrr_stack+40043, vrr_stack+5487, vrr_stack+13257, vrr_stack+29819);
 _BUILD_00l0(Data,vrr_stack+29783, vrr_stack+17948, vrr_stack+7516, vrr_stack+10482, vrr_stack+8760, NULL);
 _BUILD_p0l0(Data,vrr_stack+29828, vrr_stack+29783, vrr_stack+25031, NULL, NULL, vrr_stack+7516);
 _BUILD_d0l0(Data,vrr_stack+29963, vrr_stack+29828, vrr_stack+25076, vrr_stack+29783, vrr_stack+25031, vrr_stack+7552);
 _BUILD_f0l0(Data,vrr_stack+30233, vrr_stack+29963, vrr_stack+25211, vrr_stack+29828, vrr_stack+25076, vrr_stack+7660);
 _BUILD_g0l0(Data,vrr_stack+26381, vrr_stack+30233, vrr_stack+25481, vrr_stack+29963, vrr_stack+25211, vrr_stack+2577);
 _BUILD_h0l0(Data,vrr_stack+42923, vrr_stack+26381, vrr_stack+38423, vrr_stack+30233, vrr_stack+25481, vrr_stack+27227);
 _BUILD_i0l0(Data,vrr_stack+43868, vrr_stack+42923, vrr_stack+5487, vrr_stack+26381, vrr_stack+38423, vrr_stack+27767);
 _BUILD_k0l0(Data,vrr_stack+26381, vrr_stack+43868, vrr_stack+28523, vrr_stack+42923, vrr_stack+5487, vrr_stack+30827);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+42923, vrr_stack+2937, vrr_stack+0, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+42929, vrr_stack+2940, vrr_stack+42923, vrr_stack+21112, vrr_stack+2937, NULL);
 _BUILD_00g0(Data,vrr_stack+42939, vrr_stack+2946, vrr_stack+42929, vrr_stack+21115, vrr_stack+2940, NULL);
 _BUILD_00h0(Data,vrr_stack+42954, vrr_stack+2956, vrr_stack+42939, vrr_stack+21121, vrr_stack+2946, NULL);
 _BUILD_00i0(Data,vrr_stack+8760, vrr_stack+2971, vrr_stack+42954, vrr_stack+21131, vrr_stack+2956, NULL);
 _BUILD_00k0(Data,vrr_stack+42975, vrr_stack+2992, vrr_stack+8760, vrr_stack+21146, vrr_stack+2971, NULL);
 _BUILD_00l0(Data,vrr_stack+21112, vrr_stack+3020, vrr_stack+42975, vrr_stack+21167, vrr_stack+2992, NULL);
 _BUILD_p0l0(Data,vrr_stack+43011, vrr_stack+25931, vrr_stack+21112, NULL, NULL, vrr_stack+3020);
 _BUILD_d0l0(Data,vrr_stack+43146, vrr_stack+25976, vrr_stack+43011, vrr_stack+3941, vrr_stack+25931, vrr_stack+3056);
 _BUILD_f0l0(Data,vrr_stack+43416, vrr_stack+26111, vrr_stack+43146, vrr_stack+4904, vrr_stack+25976, vrr_stack+3164);
 _BUILD_g0l0(Data,vrr_stack+29828, vrr_stack+19532, vrr_stack+43416, vrr_stack+5039, vrr_stack+26111, vrr_stack+8788);
 _BUILD_h0l0(Data,vrr_stack+30503, vrr_stack+714, vrr_stack+29828, vrr_stack+21915, vrr_stack+19532, vrr_stack+18992);
 _BUILD_i0l0(Data,vrr_stack+45128, vrr_stack+39098, vrr_stack+30503, vrr_stack+12582, vrr_stack+714, vrr_stack+33131);
 _BUILD_k0l0(Data,vrr_stack+46388, vrr_stack+40043, vrr_stack+45128, vrr_stack+13257, vrr_stack+39098, vrr_stack+9148);
 _BUILD_l0l0(Data,vrr_stack+48008, vrr_stack+41303, vrr_stack+46388, vrr_stack+28523, vrr_stack+40043, vrr_stack+33887);
 _BUILD_l0l0(Data,vrr_stack+33131, vrr_stack+26381, vrr_stack+41303, vrr_stack+43868, vrr_stack+28523, vrr_stack+31835);
   tmp = vrr_stack + 33131;
   target_ptr = Libint->vrr_classes[8][8];
   for(i=0;i<2025;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00m0(Data,vrr_stack+8788, vrr_stack+17984, vrr_stack+18389, vrr_stack+3725, vrr_stack+3, NULL);
 _BUILD_00m0(Data,vrr_stack+8843, vrr_stack+18029, vrr_stack+17984, vrr_stack+3761, vrr_stack+3725, NULL);
 _BUILD_p0m0(Data,vrr_stack+8898, vrr_stack+8843, vrr_stack+8788, NULL, NULL, vrr_stack+17984);
 _BUILD_00m0(Data,vrr_stack+9063, vrr_stack+18209, vrr_stack+18029, vrr_stack+3905, vrr_stack+3761, NULL);
 _BUILD_p0m0(Data,vrr_stack+9118, vrr_stack+9063, vrr_stack+8843, NULL, NULL, vrr_stack+18029);
 _BUILD_00m0(Data,vrr_stack+9283, vrr_stack+18389, vrr_stack+3941, vrr_stack+3, vrr_stack+15484, NULL);
 _BUILD_p0m0(Data,vrr_stack+9338, vrr_stack+8788, vrr_stack+9283, NULL, NULL, vrr_stack+18389);
 _BUILD_d0m0(Data,vrr_stack+9503, vrr_stack+8898, vrr_stack+9338, vrr_stack+8843, vrr_stack+8788, vrr_stack+18434);
 _BUILD_d0m0(Data,vrr_stack+9833, vrr_stack+9118, vrr_stack+8898, vrr_stack+9063, vrr_stack+8843, vrr_stack+18074);
 _BUILD_f0m0(Data,vrr_stack+3056, vrr_stack+9833, vrr_stack+9503, vrr_stack+9118, vrr_stack+8898, vrr_stack+18569);
 _BUILD_00m0(Data,vrr_stack+18074, vrr_stack+3797, vrr_stack+18209, vrr_stack+5451, vrr_stack+3905, NULL);
 _BUILD_p0m0(Data,vrr_stack+18434, vrr_stack+18074, vrr_stack+9063, NULL, NULL, vrr_stack+18209);
 _BUILD_d0m0(Data,vrr_stack+18599, vrr_stack+18434, vrr_stack+9118, vrr_stack+18074, vrr_stack+9063, vrr_stack+18254);
 _BUILD_f0m0(Data,vrr_stack+18929, vrr_stack+18599, vrr_stack+9833, vrr_stack+18434, vrr_stack+9118, vrr_stack+21195);
 _BUILD_00m0(Data,vrr_stack+18254, vrr_stack+3941, vrr_stack+25931, vrr_stack+15484, vrr_stack+2297, NULL);
 _BUILD_p0m0(Data,vrr_stack+15484, vrr_stack+9283, vrr_stack+18254, NULL, NULL, vrr_stack+3941);
 _BUILD_d0m0(Data,vrr_stack+15649, vrr_stack+9338, vrr_stack+15484, vrr_stack+8788, vrr_stack+9283, vrr_stack+4904);
 _BUILD_f0m0(Data,vrr_stack+43866, vrr_stack+9503, vrr_stack+15649, vrr_stack+8898, vrr_stack+9338, vrr_stack+5039);
 _BUILD_g0m0(Data,vrr_stack+50033, vrr_stack+3056, vrr_stack+43866, vrr_stack+9833, vrr_stack+9503, vrr_stack+21915);
 _BUILD_g0m0(Data,vrr_stack+50858, vrr_stack+18929, vrr_stack+3056, vrr_stack+18599, vrr_stack+9833, vrr_stack+21465);
 _BUILD_h0m0(Data,vrr_stack+21157, vrr_stack+50858, vrr_stack+50033, vrr_stack+18929, vrr_stack+3056, vrr_stack+12582);
 _BUILD_00m0(Data,vrr_stack+12582, vrr_stack+25031, vrr_stack+3797, vrr_stack+7516, vrr_stack+5451, NULL);
 _BUILD_p0m0(Data,vrr_stack+12637, vrr_stack+12582, vrr_stack+18074, NULL, NULL, vrr_stack+3797);
 _BUILD_d0m0(Data,vrr_stack+12802, vrr_stack+12637, vrr_stack+18434, vrr_stack+12582, vrr_stack+18074, vrr_stack+4049);
 _BUILD_f0m0(Data,vrr_stack+4904, vrr_stack+12802, vrr_stack+18599, vrr_stack+12637, vrr_stack+18434, vrr_stack+4184);
 _BUILD_g0m0(Data,vrr_stack+51683, vrr_stack+4904, vrr_stack+18929, vrr_stack+12802, vrr_stack+18599, vrr_stack+4454);
 _BUILD_h0m0(Data,vrr_stack+52508, vrr_stack+51683, vrr_stack+50858, vrr_stack+4904, vrr_stack+18929, vrr_stack+39);
 _BUILD_00m0(Data,vrr_stack+13132, vrr_stack+25931, vrr_stack+21112, vrr_stack+2297, vrr_stack+3020, NULL);
 _BUILD_p0m0(Data,vrr_stack+2297, vrr_stack+18254, vrr_stack+13132, NULL, NULL, vrr_stack+25931);
 _BUILD_d0m0(Data,vrr_stack+2462, vrr_stack+15484, vrr_stack+2297, vrr_stack+9283, vrr_stack+18254, vrr_stack+25976);
 _BUILD_f0m0(Data,vrr_stack+3, vrr_stack+15649, vrr_stack+2462, vrr_stack+9338, vrr_stack+15484, vrr_stack+26111);
 _BUILD_g0m0(Data,vrr_stack+3986, vrr_stack+43866, vrr_stack+3, vrr_stack+9503, vrr_stack+15649, vrr_stack+19532);
 _BUILD_h0m0(Data,vrr_stack+53663, vrr_stack+50033, vrr_stack+3986, vrr_stack+3056, vrr_stack+43866, vrr_stack+714);
 _BUILD_i0m0(Data,vrr_stack+54818, vrr_stack+21157, vrr_stack+53663, vrr_stack+50858, vrr_stack+50033, vrr_stack+39098);
 _BUILD_i0m0(Data,vrr_stack+56358, vrr_stack+52508, vrr_stack+21157, vrr_stack+51683, vrr_stack+50858, vrr_stack+13257);
 _BUILD_k0m0(Data,vrr_stack+57898, vrr_stack+56358, vrr_stack+54818, vrr_stack+52508, vrr_stack+21157, vrr_stack+40043);
 _BUILD_00m0(Data,vrr_stack+39098, vrr_stack+29783, vrr_stack+25031, vrr_stack+17948, vrr_stack+7516, NULL);
 _BUILD_p0m0(Data,vrr_stack+7516, vrr_stack+39098, vrr_stack+12582, NULL, NULL, vrr_stack+25031);
 _BUILD_d0m0(Data,vrr_stack+7681, vrr_stack+7516, vrr_stack+12637, vrr_stack+39098, vrr_stack+12582, vrr_stack+25076);
 _BUILD_f0m0(Data,vrr_stack+39153, vrr_stack+7681, vrr_stack+12802, vrr_stack+7516, vrr_stack+12637, vrr_stack+25211);
 _BUILD_g0m0(Data,vrr_stack+39703, vrr_stack+39153, vrr_stack+4904, vrr_stack+7681, vrr_stack+12802, vrr_stack+25481);
 _BUILD_h0m0(Data,vrr_stack+13187, vrr_stack+39703, vrr_stack+51683, vrr_stack+39153, vrr_stack+4904, vrr_stack+38423);
 _BUILD_i0m0(Data,vrr_stack+59878, vrr_stack+13187, vrr_stack+52508, vrr_stack+39703, vrr_stack+51683, vrr_stack+5487);
 _BUILD_k0m0(Data,vrr_stack+39153, vrr_stack+59878, vrr_stack+56358, vrr_stack+13187, vrr_stack+52508, vrr_stack+28523);
 _BUILD_00p0(Data,vrr_stack+13187, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+13190, vrr_stack+0, vrr_stack+13187, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+13196, vrr_stack+42923, vrr_stack+13190, vrr_stack+2937, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+13206, vrr_stack+42929, vrr_stack+13196, vrr_stack+2940, vrr_stack+42923, NULL);
 _BUILD_00h0(Data,vrr_stack+13221, vrr_stack+42939, vrr_stack+13206, vrr_stack+2946, vrr_stack+42929, NULL);
 _BUILD_00i0(Data,vrr_stack+13242, vrr_stack+42954, vrr_stack+13221, vrr_stack+2956, vrr_stack+42939, NULL);
 _BUILD_00k0(Data,vrr_stack+13270, vrr_stack+8760, vrr_stack+13242, vrr_stack+2971, vrr_stack+42954, NULL);
 _BUILD_00l0(Data,vrr_stack+13306, vrr_stack+42975, vrr_stack+13270, vrr_stack+2992, vrr_stack+8760, NULL);
 _BUILD_00m0(Data,vrr_stack+13351, vrr_stack+21112, vrr_stack+13306, vrr_stack+3020, vrr_stack+42975, NULL);
 _BUILD_p0m0(Data,vrr_stack+13406, vrr_stack+13132, vrr_stack+13351, NULL, NULL, vrr_stack+21112);
 _BUILD_d0m0(Data,vrr_stack+13571, vrr_stack+2297, vrr_stack+13406, vrr_stack+18254, vrr_stack+13132, vrr_stack+43011);
 _BUILD_f0m0(Data,vrr_stack+13901, vrr_stack+2462, vrr_stack+13571, vrr_stack+15484, vrr_stack+2297, vrr_stack+43146);
 _BUILD_g0m0(Data,vrr_stack+25076, vrr_stack+3, vrr_stack+13901, vrr_stack+15649, vrr_stack+2462, vrr_stack+43416);
 _BUILD_h0m0(Data,vrr_stack+28001, vrr_stack+3986, vrr_stack+25076, vrr_stack+43866, vrr_stack+3, vrr_stack+29828);
 _BUILD_i0m0(Data,vrr_stack+61418, vrr_stack+53663, vrr_stack+28001, vrr_stack+50033, vrr_stack+3986, vrr_stack+30503);
 _BUILD_k0m0(Data,vrr_stack+29828, vrr_stack+54818, vrr_stack+61418, vrr_stack+21157, vrr_stack+53663, vrr_stack+45128);
 _BUILD_l0m0(Data,vrr_stack+62958, vrr_stack+57898, vrr_stack+29828, vrr_stack+56358, vrr_stack+54818, vrr_stack+46388);
 _BUILD_l0m0(Data,vrr_stack+44416, vrr_stack+39153, vrr_stack+57898, vrr_stack+59878, vrr_stack+56358, vrr_stack+41303);
   tmp = vrr_stack + 44416;
   target_ptr = Libint->vrr_classes[8][9];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+59878, vrr_stack+8788, vrr_stack+9283, vrr_stack+17984, vrr_stack+18389, NULL);
 _BUILD_00n0(Data,vrr_stack+59944, vrr_stack+8843, vrr_stack+8788, vrr_stack+18029, vrr_stack+17984, NULL);
 _BUILD_p0n0(Data,vrr_stack+60010, vrr_stack+59944, vrr_stack+59878, NULL, NULL, vrr_stack+8788);
 _BUILD_00n0(Data,vrr_stack+60208, vrr_stack+9063, vrr_stack+8843, vrr_stack+18209, vrr_stack+18029, NULL);
 _BUILD_p0n0(Data,vrr_stack+60274, vrr_stack+60208, vrr_stack+59944, NULL, NULL, vrr_stack+8843);
 _BUILD_00n0(Data,vrr_stack+8788, vrr_stack+9283, vrr_stack+18254, vrr_stack+18389, vrr_stack+3941, NULL);
 _BUILD_p0n0(Data,vrr_stack+60472, vrr_stack+59878, vrr_stack+8788, NULL, NULL, vrr_stack+9283);
 _BUILD_d0n0(Data,vrr_stack+60670, vrr_stack+60010, vrr_stack+60472, vrr_stack+59944, vrr_stack+59878, vrr_stack+9338);
 _BUILD_d0n0(Data,vrr_stack+43011, vrr_stack+60274, vrr_stack+60010, vrr_stack+60208, vrr_stack+59944, vrr_stack+8898);
 _BUILD_f0n0(Data,vrr_stack+38423, vrr_stack+43011, vrr_stack+60670, vrr_stack+60274, vrr_stack+60010, vrr_stack+9503);
 _BUILD_00n0(Data,vrr_stack+59944, vrr_stack+18074, vrr_stack+9063, vrr_stack+3797, vrr_stack+18209, NULL);
 _BUILD_p0n0(Data,vrr_stack+9283, vrr_stack+59944, vrr_stack+60208, NULL, NULL, vrr_stack+9063);
 _BUILD_d0n0(Data,vrr_stack+43407, vrr_stack+9283, vrr_stack+60274, vrr_stack+59944, vrr_stack+60208, vrr_stack+9118);
 _BUILD_f0n0(Data,vrr_stack+5454, vrr_stack+43407, vrr_stack+43011, vrr_stack+9283, vrr_stack+60274, vrr_stack+9833);
 _BUILD_00n0(Data,vrr_stack+60208, vrr_stack+18254, vrr_stack+13132, vrr_stack+3941, vrr_stack+25931, NULL);
 _BUILD_p0n0(Data,vrr_stack+60274, vrr_stack+8788, vrr_stack+60208, NULL, NULL, vrr_stack+18254);
 _BUILD_d0n0(Data,vrr_stack+9481, vrr_stack+60472, vrr_stack+60274, vrr_stack+59878, vrr_stack+8788, vrr_stack+15484);
 _BUILD_f0n0(Data,vrr_stack+553, vrr_stack+60670, vrr_stack+9481, vrr_stack+60010, vrr_stack+60472, vrr_stack+15649);
 _BUILD_g0n0(Data,vrr_stack+46891, vrr_stack+38423, vrr_stack+553, vrr_stack+43011, vrr_stack+60670, vrr_stack+43866);
 _BUILD_g0n0(Data,vrr_stack+65433, vrr_stack+5454, vrr_stack+38423, vrr_stack+43407, vrr_stack+43011, vrr_stack+3056);
 _BUILD_h0n0(Data,vrr_stack+66423, vrr_stack+65433, vrr_stack+46891, vrr_stack+5454, vrr_stack+38423, vrr_stack+50033);
 _BUILD_00n0(Data,vrr_stack+59878, vrr_stack+12582, vrr_stack+18074, vrr_stack+25031, vrr_stack+3797, NULL);
 _BUILD_p0n0(Data,vrr_stack+60010, vrr_stack+59878, vrr_stack+59944, NULL, NULL, vrr_stack+18074);
 _BUILD_d0n0(Data,vrr_stack+43011, vrr_stack+60010, vrr_stack+9283, vrr_stack+59878, vrr_stack+59944, vrr_stack+18434);
 _BUILD_f0n0(Data,vrr_stack+50033, vrr_stack+43011, vrr_stack+43407, vrr_stack+60010, vrr_stack+9283, vrr_stack+18599);
 _BUILD_g0n0(Data,vrr_stack+2792, vrr_stack+50033, vrr_stack+5454, vrr_stack+43011, vrr_stack+43407, vrr_stack+18929);
 _BUILD_h0n0(Data,vrr_stack+17284, vrr_stack+2792, vrr_stack+65433, vrr_stack+50033, vrr_stack+5454, vrr_stack+50858);
 _BUILD_00n0(Data,vrr_stack+59944, vrr_stack+13132, vrr_stack+13351, vrr_stack+25931, vrr_stack+21112, NULL);
 _BUILD_p0n0(Data,vrr_stack+5454, vrr_stack+60208, vrr_stack+59944, NULL, NULL, vrr_stack+13132);
 _BUILD_d0n0(Data,vrr_stack+5652, vrr_stack+60274, vrr_stack+5454, vrr_stack+8788, vrr_stack+60208, vrr_stack+2297);
 _BUILD_f0n0(Data,vrr_stack+8788, vrr_stack+9481, vrr_stack+5652, vrr_stack+60472, vrr_stack+60274, vrr_stack+2462);
 _BUILD_g0n0(Data,vrr_stack+50693, vrr_stack+553, vrr_stack+8788, vrr_stack+60670, vrr_stack+9481, vrr_stack+3);
 _BUILD_h0n0(Data,vrr_stack+18670, vrr_stack+46891, vrr_stack+50693, vrr_stack+38423, vrr_stack+553, vrr_stack+3986);
 _BUILD_i0n0(Data,vrr_stack+67809, vrr_stack+66423, vrr_stack+18670, vrr_stack+65433, vrr_stack+46891, vrr_stack+53663);
 _BUILD_i0n0(Data,vrr_stack+69657, vrr_stack+17284, vrr_stack+66423, vrr_stack+2792, vrr_stack+65433, vrr_stack+21157);
 _BUILD_k0n0(Data,vrr_stack+71505, vrr_stack+69657, vrr_stack+67809, vrr_stack+17284, vrr_stack+66423, vrr_stack+54818);
 _BUILD_00n0(Data,vrr_stack+21157, vrr_stack+39098, vrr_stack+12582, vrr_stack+29783, vrr_stack+25031, NULL);
 _BUILD_p0n0(Data,vrr_stack+21223, vrr_stack+21157, vrr_stack+59878, NULL, NULL, vrr_stack+12582);
 _BUILD_d0n0(Data,vrr_stack+21421, vrr_stack+21223, vrr_stack+60010, vrr_stack+21157, vrr_stack+59878, vrr_stack+12637);
 _BUILD_f0n0(Data,vrr_stack+21817, vrr_stack+21421, vrr_stack+43011, vrr_stack+21223, vrr_stack+60010, vrr_stack+12802);
 _BUILD_g0n0(Data,vrr_stack+65433, vrr_stack+21817, vrr_stack+50033, vrr_stack+21421, vrr_stack+43011, vrr_stack+4904);
 _BUILD_h0n0(Data,vrr_stack+43011, vrr_stack+65433, vrr_stack+2792, vrr_stack+21817, vrr_stack+50033, vrr_stack+51683);
 _BUILD_i0n0(Data,vrr_stack+53663, vrr_stack+43011, vrr_stack+17284, vrr_stack+65433, vrr_stack+2792, vrr_stack+52508);
 _BUILD_k0n0(Data,vrr_stack+2297, vrr_stack+53663, vrr_stack+69657, vrr_stack+43011, vrr_stack+17284, vrr_stack+56358);
 _BUILD_00p0(Data,vrr_stack+17284, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+17287, vrr_stack+13187, vrr_stack+17284, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+17293, vrr_stack+13190, vrr_stack+17287, vrr_stack+0, vrr_stack+13187, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+13196, vrr_stack+17293, vrr_stack+42923, vrr_stack+13190, NULL);
 _BUILD_00h0(Data,vrr_stack+15, vrr_stack+13206, vrr_stack+0, vrr_stack+42929, vrr_stack+13196, NULL);
 _BUILD_00i0(Data,vrr_stack+36, vrr_stack+13221, vrr_stack+15, vrr_stack+42939, vrr_stack+13206, NULL);
 _BUILD_00k0(Data,vrr_stack+0, vrr_stack+13242, vrr_stack+36, vrr_stack+42954, vrr_stack+13221, NULL);
 _BUILD_00l0(Data,vrr_stack+25031, vrr_stack+13270, vrr_stack+0, vrr_stack+8760, vrr_stack+13242, NULL);
 _BUILD_00m0(Data,vrr_stack+0, vrr_stack+13306, vrr_stack+25031, vrr_stack+42975, vrr_stack+13270, NULL);
 _BUILD_00n0(Data,vrr_stack+59878, vrr_stack+13351, vrr_stack+0, vrr_stack+21112, vrr_stack+13306, NULL);
 _BUILD_p0n0(Data,vrr_stack+60010, vrr_stack+59944, vrr_stack+59878, NULL, NULL, vrr_stack+13351);
 _BUILD_d0n0(Data,vrr_stack+21112, vrr_stack+5454, vrr_stack+60010, vrr_stack+60208, vrr_stack+59944, vrr_stack+13406);
 _BUILD_f0n0(Data,vrr_stack+50033, vrr_stack+5652, vrr_stack+21112, vrr_stack+60274, vrr_stack+5454, vrr_stack+13571);
 _BUILD_g0n0(Data,vrr_stack+65433, vrr_stack+8788, vrr_stack+50033, vrr_stack+9481, vrr_stack+5652, vrr_stack+13901);
 _BUILD_h0n0(Data,vrr_stack+17284, vrr_stack+50693, vrr_stack+65433, vrr_stack+553, vrr_stack+8788, vrr_stack+25076);
 _BUILD_i0n0(Data,vrr_stack+51683, vrr_stack+18670, vrr_stack+17284, vrr_stack+46891, vrr_stack+50693, vrr_stack+28001);
 _BUILD_k0n0(Data,vrr_stack+55511, vrr_stack+67809, vrr_stack+51683, vrr_stack+66423, vrr_stack+18670, vrr_stack+61418);
 _BUILD_l0n0(Data,vrr_stack+50033, vrr_stack+71505, vrr_stack+55511, vrr_stack+69657, vrr_stack+67809, vrr_stack+29828);
 _BUILD_l0n0(Data,vrr_stack+28001, vrr_stack+2297, vrr_stack+71505, vrr_stack+53663, vrr_stack+69657, vrr_stack+57898);
   tmp = vrr_stack + 28001;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0h0(Data,vrr_stack+17284, vrr_stack+14539, vrr_stack+6571, vrr_stack+1541, vrr_stack+11826, vrr_stack+8085);
   tmp = vrr_stack + 17284;
   target_ptr = Libint->vrr_classes[9][5];
   for(i=0;i<1155;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0i0(Data,vrr_stack+18439, vrr_stack+23771, vrr_stack+22511, vrr_stack+10510, vrr_stack+20104, vrr_stack+6571);
   tmp = vrr_stack + 18439;
   target_ptr = Libint->vrr_classes[9][6];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0k0(Data,vrr_stack+23771, vrr_stack+36803, vrr_stack+35183, vrr_stack+15988, vrr_stack+31835, vrr_stack+22511);
   tmp = vrr_stack + 23771;
   target_ptr = Libint->vrr_classes[9][7];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0l0(Data,vrr_stack+19979, vrr_stack+33131, vrr_stack+48008, vrr_stack+26381, vrr_stack+41303, vrr_stack+35183);
   tmp = vrr_stack + 19979;
   target_ptr = Libint->vrr_classes[9][8];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0m0(Data,vrr_stack+30971, vrr_stack+44416, vrr_stack+62958, vrr_stack+39153, vrr_stack+57898, vrr_stack+48008);
   tmp = vrr_stack + 30971;
   target_ptr = Libint->vrr_classes[9][9];
   for(i=0;i<3025;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0n0(Data,vrr_stack+33996, vrr_stack+28001, vrr_stack+50033, vrr_stack+2297, vrr_stack+71505, vrr_stack+62958);
   tmp = vrr_stack + 33996;
   target_ptr = Libint->vrr_classes[9][10];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];

}

