#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (p0|lk) integrals */

void vrr_order_p0lk(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+4, Data->F+5, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+31, vrr_stack+3, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+34, vrr_stack+15, vrr_stack+31, vrr_stack+3, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+50, vrr_stack+6, vrr_stack+3, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+56, vrr_stack+9, vrr_stack+50, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+66, vrr_stack+21, vrr_stack+56, vrr_stack+15, vrr_stack+9, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+40, vrr_stack+21, vrr_stack+34, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+81, vrr_stack+66, vrr_stack+40, vrr_stack+21, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+31, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+117, vrr_stack+15, vrr_stack+34, vrr_stack+0, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+127, vrr_stack+117, vrr_stack+40, vrr_stack+15, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+127, vrr_stack+81, vrr_stack+117, vrr_stack+40, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+3, vrr_stack+31, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+50, vrr_stack+34, vrr_stack+6, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+163, vrr_stack+56, vrr_stack+40, vrr_stack+9, vrr_stack+50, NULL);
 _BUILD_00h0(Data,vrr_stack+178, vrr_stack+66, vrr_stack+163, vrr_stack+21, vrr_stack+56, NULL);
 _BUILD_00i0(Data,vrr_stack+199, vrr_stack+96, vrr_stack+178, vrr_stack+81, vrr_stack+66, NULL);
 _BUILD_00i0(Data,vrr_stack+227, vrr_stack+142, vrr_stack+96, vrr_stack+127, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+255, vrr_stack+227, vrr_stack+199, vrr_stack+142, vrr_stack+96, NULL);
 _BUILD_00p0(Data,vrr_stack+81, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+84, vrr_stack+31, vrr_stack+81, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+34, vrr_stack+84, vrr_stack+3, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+291, vrr_stack+40, vrr_stack+21, vrr_stack+50, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+306, vrr_stack+163, vrr_stack+291, vrr_stack+56, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+327, vrr_stack+178, vrr_stack+306, vrr_stack+66, vrr_stack+163, NULL);
 _BUILD_00k0(Data,vrr_stack+355, vrr_stack+199, vrr_stack+327, vrr_stack+96, vrr_stack+178, NULL);
 _BUILD_00l0(Data,vrr_stack+391, vrr_stack+255, vrr_stack+355, vrr_stack+227, vrr_stack+199, NULL);
 _BUILD_00p0(Data,vrr_stack+50, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+50, vrr_stack+0, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+59, vrr_stack+53, vrr_stack+15, vrr_stack+50, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+59, vrr_stack+117, vrr_stack+53, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+90, vrr_stack+0, vrr_stack+127, vrr_stack+59, vrr_stack+117, NULL);
 _BUILD_00i0(Data,vrr_stack+50, vrr_stack+90, vrr_stack+142, vrr_stack+0, vrr_stack+127, NULL);
 _BUILD_00k0(Data,vrr_stack+436, vrr_stack+50, vrr_stack+227, vrr_stack+90, vrr_stack+142, NULL);
 _BUILD_00l0(Data,vrr_stack+90, vrr_stack+436, vrr_stack+255, vrr_stack+50, vrr_stack+227, NULL);
 _BUILD_00p0(Data,vrr_stack+227, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+230, vrr_stack+81, vrr_stack+227, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+236, vrr_stack+84, vrr_stack+230, vrr_stack+31, vrr_stack+81, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+21, vrr_stack+236, vrr_stack+34, vrr_stack+84, NULL);
 _BUILD_00h0(Data,vrr_stack+0, vrr_stack+291, vrr_stack+50, vrr_stack+40, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+135, vrr_stack+306, vrr_stack+0, vrr_stack+163, vrr_stack+291, NULL);
 _BUILD_00k0(Data,vrr_stack+472, vrr_stack+327, vrr_stack+135, vrr_stack+178, vrr_stack+306, NULL);
 _BUILD_00l0(Data,vrr_stack+508, vrr_stack+355, vrr_stack+472, vrr_stack+199, vrr_stack+327, NULL);
 _BUILD_00m0(Data,vrr_stack+163, vrr_stack+391, vrr_stack+508, vrr_stack+255, vrr_stack+355, NULL);
 _BUILD_00m0(Data,vrr_stack+553, vrr_stack+90, vrr_stack+391, vrr_stack+436, vrr_stack+255, NULL);
 _BUILD_00p0(Data,vrr_stack+436, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+439, vrr_stack+227, vrr_stack+436, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+445, vrr_stack+230, vrr_stack+439, vrr_stack+81, vrr_stack+227, NULL);
 _BUILD_00g0(Data,vrr_stack+455, vrr_stack+236, vrr_stack+445, vrr_stack+84, vrr_stack+230, NULL);
 _BUILD_00h0(Data,vrr_stack+65, vrr_stack+50, vrr_stack+455, vrr_stack+21, vrr_stack+236, NULL);
 _BUILD_00i0(Data,vrr_stack+21, vrr_stack+0, vrr_stack+65, vrr_stack+291, vrr_stack+50, NULL);
 _BUILD_00k0(Data,vrr_stack+608, vrr_stack+135, vrr_stack+21, vrr_stack+306, vrr_stack+0, NULL);
 _BUILD_00l0(Data,vrr_stack+644, vrr_stack+472, vrr_stack+608, vrr_stack+327, vrr_stack+135, NULL);
 _BUILD_00m0(Data,vrr_stack+291, vrr_stack+508, vrr_stack+644, vrr_stack+355, vrr_stack+472, NULL);
 _BUILD_00n0(Data,vrr_stack+689, vrr_stack+163, vrr_stack+291, vrr_stack+391, vrr_stack+508, NULL);
 _BUILD_00n0(Data,vrr_stack+755, vrr_stack+553, vrr_stack+163, vrr_stack+90, vrr_stack+391, NULL);
 _BUILD_00p0(Data,vrr_stack+346, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+349, vrr_stack+436, vrr_stack+346, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+355, vrr_stack+439, vrr_stack+349, vrr_stack+227, vrr_stack+436, NULL);
 _BUILD_00g0(Data,vrr_stack+365, vrr_stack+445, vrr_stack+355, vrr_stack+230, vrr_stack+439, NULL);
 _BUILD_00h0(Data,vrr_stack+821, vrr_stack+455, vrr_stack+365, vrr_stack+236, vrr_stack+445, NULL);
 _BUILD_00i0(Data,vrr_stack+218, vrr_stack+65, vrr_stack+821, vrr_stack+50, vrr_stack+455, NULL);
 _BUILD_00k0(Data,vrr_stack+842, vrr_stack+21, vrr_stack+218, vrr_stack+0, vrr_stack+65, NULL);
 _BUILD_00l0(Data,vrr_stack+878, vrr_stack+608, vrr_stack+842, vrr_stack+135, vrr_stack+21, NULL);
 _BUILD_00m0(Data,vrr_stack+923, vrr_stack+644, vrr_stack+878, vrr_stack+472, vrr_stack+608, NULL);
 _BUILD_00n0(Data,vrr_stack+978, vrr_stack+291, vrr_stack+923, vrr_stack+508, vrr_stack+644, NULL);
 _BUILD_00o0(Data,vrr_stack+470, vrr_stack+689, vrr_stack+978, vrr_stack+163, vrr_stack+291, NULL);
 _BUILD_00o0(Data,vrr_stack+1044, vrr_stack+755, vrr_stack+689, vrr_stack+553, vrr_stack+163, NULL);
 _BUILD_00p0(Data,vrr_stack+135, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+138, vrr_stack+346, vrr_stack+135, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+144, vrr_stack+349, vrr_stack+138, vrr_stack+436, vrr_stack+346, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+355, vrr_stack+144, vrr_stack+439, vrr_stack+349, NULL);
 _BUILD_00h0(Data,vrr_stack+1122, vrr_stack+365, vrr_stack+0, vrr_stack+445, vrr_stack+355, NULL);
 _BUILD_00i0(Data,vrr_stack+1143, vrr_stack+821, vrr_stack+1122, vrr_stack+455, vrr_stack+365, NULL);
 _BUILD_00k0(Data,vrr_stack+1171, vrr_stack+218, vrr_stack+1143, vrr_stack+65, vrr_stack+821, NULL);
 _BUILD_00l0(Data,vrr_stack+1207, vrr_stack+842, vrr_stack+1171, vrr_stack+21, vrr_stack+218, NULL);
 _BUILD_00m0(Data,vrr_stack+15, vrr_stack+878, vrr_stack+1207, vrr_stack+608, vrr_stack+842, NULL);
 _BUILD_00n0(Data,vrr_stack+1252, vrr_stack+923, vrr_stack+15, vrr_stack+644, vrr_stack+878, NULL);
 _BUILD_00o0(Data,vrr_stack+608, vrr_stack+978, vrr_stack+1252, vrr_stack+291, vrr_stack+923, NULL);
 _BUILD_00q0(Data,vrr_stack+1318, vrr_stack+470, vrr_stack+608, vrr_stack+689, vrr_stack+978, NULL);
 _BUILD_00q0(Data,vrr_stack+1409, vrr_stack+1044, vrr_stack+470, vrr_stack+755, vrr_stack+689, NULL);
 _BUILD_00p0(Data,vrr_stack+686, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+291, vrr_stack+135, vrr_stack+686, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+297, vrr_stack+138, vrr_stack+291, vrr_stack+346, vrr_stack+135, NULL);
 _BUILD_00g0(Data,vrr_stack+307, vrr_stack+144, vrr_stack+297, vrr_stack+349, vrr_stack+138, NULL);
 _BUILD_00h0(Data,vrr_stack+322, vrr_stack+0, vrr_stack+307, vrr_stack+355, vrr_stack+144, NULL);
 _BUILD_00i0(Data,vrr_stack+436, vrr_stack+1122, vrr_stack+322, vrr_stack+365, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+343, vrr_stack+1143, vrr_stack+436, vrr_stack+821, vrr_stack+1122, NULL);
 _BUILD_00l0(Data,vrr_stack+1500, vrr_stack+1171, vrr_stack+343, vrr_stack+218, vrr_stack+1143, NULL);
 _BUILD_00m0(Data,vrr_stack+1545, vrr_stack+1207, vrr_stack+1500, vrr_stack+842, vrr_stack+1171, NULL);
 _BUILD_00n0(Data,vrr_stack+1600, vrr_stack+15, vrr_stack+1545, vrr_stack+878, vrr_stack+1207, NULL);
 _BUILD_00o0(Data,vrr_stack+821, vrr_stack+1252, vrr_stack+1600, vrr_stack+923, vrr_stack+15, NULL);
 _BUILD_00q0(Data,vrr_stack+1666, vrr_stack+608, vrr_stack+821, vrr_stack+978, vrr_stack+1252, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+899, vrr_stack+1318, vrr_stack+1666, vrr_stack+470, vrr_stack+608, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1757, vrr_stack+1409, vrr_stack+1318, vrr_stack+1044, vrr_stack+470, NULL);
 _BUILD_00p0(Data,vrr_stack+218, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+464, vrr_stack+686, vrr_stack+218, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+221, vrr_stack+291, vrr_stack+464, vrr_stack+135, vrr_stack+686, NULL);
 _BUILD_00g0(Data,vrr_stack+231, vrr_stack+297, vrr_stack+221, vrr_stack+138, vrr_stack+291, NULL);
 _BUILD_00h0(Data,vrr_stack+1004, vrr_stack+307, vrr_stack+231, vrr_stack+144, vrr_stack+297, NULL);
 _BUILD_00i0(Data,vrr_stack+135, vrr_stack+322, vrr_stack+1004, vrr_stack+0, vrr_stack+307, NULL);
 _BUILD_00k0(Data,vrr_stack+1862, vrr_stack+436, vrr_stack+135, vrr_stack+1122, vrr_stack+322, NULL);
 _BUILD_00l0(Data,vrr_stack+1898, vrr_stack+343, vrr_stack+1862, vrr_stack+1143, vrr_stack+436, NULL);
 _BUILD_00m0(Data,vrr_stack+1943, vrr_stack+1500, vrr_stack+1898, vrr_stack+1171, vrr_stack+343, NULL);
 _BUILD_00n0(Data,vrr_stack+1122, vrr_stack+1545, vrr_stack+1943, vrr_stack+1207, vrr_stack+1500, NULL);
 _BUILD_00o0(Data,vrr_stack+1998, vrr_stack+1600, vrr_stack+1122, vrr_stack+15, vrr_stack+1545, NULL);
 _BUILD_00q0(Data,vrr_stack+2076, vrr_stack+821, vrr_stack+1998, vrr_stack+1252, vrr_stack+1600, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1188, vrr_stack+1666, vrr_stack+2076, vrr_stack+608, vrr_stack+821, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2167, vrr_stack+899, vrr_stack+1188, vrr_stack+1318, vrr_stack+1666, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2287, vrr_stack+1757, vrr_stack+899, vrr_stack+1409, vrr_stack+1318, NULL);
 _BUILD_00p0(Data,vrr_stack+608, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+611, vrr_stack+218, vrr_stack+608, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+617, vrr_stack+464, vrr_stack+611, vrr_stack+686, vrr_stack+218, NULL);
 _BUILD_00g0(Data,vrr_stack+627, vrr_stack+221, vrr_stack+617, vrr_stack+291, vrr_stack+464, NULL);
 _BUILD_00h0(Data,vrr_stack+642, vrr_stack+231, vrr_stack+627, vrr_stack+297, vrr_stack+221, NULL);
 _BUILD_00i0(Data,vrr_stack+608, vrr_stack+1004, vrr_stack+642, vrr_stack+307, vrr_stack+231, NULL);
 _BUILD_00k0(Data,vrr_stack+218, vrr_stack+135, vrr_stack+608, vrr_stack+322, vrr_stack+1004, NULL);
 _BUILD_00l0(Data,vrr_stack+608, vrr_stack+1862, vrr_stack+218, vrr_stack+436, vrr_stack+135, NULL);
 _BUILD_00m0(Data,vrr_stack+0, vrr_stack+1898, vrr_stack+608, vrr_stack+343, vrr_stack+1862, NULL);
 _BUILD_00n0(Data,vrr_stack+608, vrr_stack+1943, vrr_stack+0, vrr_stack+1500, vrr_stack+1898, NULL);
 _BUILD_00o0(Data,vrr_stack+0, vrr_stack+1122, vrr_stack+608, vrr_stack+1545, vrr_stack+1943, NULL);
 _BUILD_00q0(Data,vrr_stack+1500, vrr_stack+1998, vrr_stack+0, vrr_stack+1600, vrr_stack+1122, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1862, vrr_stack+2076, vrr_stack+1500, vrr_stack+821, vrr_stack+1998, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+1500, vrr_stack+1188, vrr_stack+1862, vrr_stack+1666, vrr_stack+2076, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1862, vrr_stack+2167, vrr_stack+1500, vrr_stack+899, vrr_stack+1188, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1500, vrr_stack+2287, vrr_stack+2167, vrr_stack+1757, vrr_stack+899, NULL);
 _BUILD_p0l0(Data,vrr_stack+1998, vrr_stack+90, vrr_stack+391, NULL, NULL, vrr_stack+255);
   tmp = vrr_stack + 1998;
   target_ptr = Libint->vrr_classes[1][8];
   for(i=0;i<135;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0m0(Data,vrr_stack+1122, vrr_stack+553, vrr_stack+163, NULL, NULL, vrr_stack+391);
   tmp = vrr_stack + 1122;
   target_ptr = Libint->vrr_classes[1][9];
   for(i=0;i<165;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0n0(Data,vrr_stack+218, vrr_stack+755, vrr_stack+689, NULL, NULL, vrr_stack+163);
   tmp = vrr_stack + 218;
   target_ptr = Libint->vrr_classes[1][10];
   for(i=0;i<198;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0o0(Data,vrr_stack+2407, vrr_stack+1044, vrr_stack+470, NULL, NULL, vrr_stack+689);
   tmp = vrr_stack + 2407;
   target_ptr = Libint->vrr_classes[1][11];
   for(i=0;i<234;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0q0(Data,vrr_stack+548, vrr_stack+1409, vrr_stack+1318, NULL, NULL, vrr_stack+470);
   tmp = vrr_stack + 548;
   target_ptr = Libint->vrr_classes[1][12];
   for(i=0;i<273;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2641, vrr_stack+1757, vrr_stack+899, NULL, NULL, vrr_stack+1318);
   tmp = vrr_stack + 2641;
   target_ptr = Libint->vrr_classes[1][13];
   for(i=0;i<315;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2956, vrr_stack+2287, vrr_stack+2167, NULL, NULL, vrr_stack+899);
   tmp = vrr_stack + 2956;
   target_ptr = Libint->vrr_classes[1][14];
   for(i=0;i<360;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+3316, vrr_stack+1500, vrr_stack+1862, NULL, NULL, vrr_stack+2167);
   tmp = vrr_stack + 3316;
   target_ptr = Libint->vrr_classes[1][15];
   for(i=0;i<408;i++)
     target_ptr[i] += tmp[i];

}

