  /* These machine-generated functions compute a quartet of (0s||gs) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _r_build_00g0(prim_data *Data, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4, const REALTYPE *I5)
{
  REALTYPE U00, U01, U02, U10, U11, U12, U20, U21, U22;
  REALTYPE U30, U31, U32, U40, U41, U42, U50, U51, U52;
  REALTYPE loo2p = Data->oo2p;
  REALTYPE oneo4zn;
  REALTYPE twoo4zn;
  REALTYPE threeo4zn;
  REALTYPE oneo2n;
  REALTYPE twoo2n;
  REALTYPE threeo2n;
  oneo4zn = 1.0*Data->oo2z*Data->oo2n;
  twoo4zn = 2.0*Data->oo2z*Data->oo2n;
  threeo4zn = 3.0*Data->oo2z*Data->oo2n;
  oneo2n = 1.0*Data->oo2n;
  twoo2n = 2.0*Data->oo2n;
  threeo2n = 3.0*Data->oo2n;
  U20 = Data->U[2][0];
  U21 = Data->U[2][1];
  U22 = Data->U[2][2];
  U10 = Data->U[2][0]*Data->oo2z + Data->U[3][0]*Data->oo2n;
  U11 = Data->U[2][1]*Data->oo2z + Data->U[3][1]*Data->oo2n;
  U12 = Data->U[2][2]*Data->oo2z + Data->U[3][2]*Data->oo2n;

*(vp++) = U20*I0[0] - U10*I3[0] + loo2p*I2[0]
        + (threeo2n)*I1[0] - (threeo4zn)*I4[0];
*(vp++) = U20*I0[1] - U10*I3[1] + loo2p*I2[1]
        + (twoo2n)*I1[1] - (twoo4zn)*I4[1];
*(vp++) = U20*I0[2] - U10*I3[2] + loo2p*I2[2]
        + (twoo2n)*I1[2] - (twoo4zn)*I4[2];
*(vp++) = U20*I0[3] - U10*I3[3] + loo2p*I2[3]
        + (oneo2n)*I1[3] - (oneo4zn)*I4[3];
*(vp++) = U20*I0[4] - U10*I3[4] + loo2p*I2[4]
        + (oneo2n)*I1[4] - (oneo4zn)*I4[4];
*(vp++) = U20*I0[5] - U10*I3[5] + loo2p*I2[5]
        + (oneo2n)*I1[5] - (oneo4zn)*I4[5];
*(vp++) = U20*I0[6] - U10*I3[6] + loo2p*I2[6];
*(vp++) = U20*I0[7] - U10*I3[7] + loo2p*I2[7];
*(vp++) = U20*I0[8] - U10*I3[8] + loo2p*I2[8];
*(vp++) = U20*I0[9] - U10*I3[9] + loo2p*I2[9];
*(vp++) = U21*I0[6] - U11*I3[6] + loo2p*I2[10]
        + (threeo2n)*I1[3] - (threeo4zn)*I4[3];
*(vp++) = U21*I0[7] - U11*I3[7] + loo2p*I2[11]
        + (twoo2n)*I1[4] - (twoo4zn)*I4[4];
*(vp++) = U21*I0[8] - U11*I3[8] + loo2p*I2[12]
        + (oneo2n)*I1[5] - (oneo4zn)*I4[5];
*(vp++) = U21*I0[9] - U11*I3[9] + loo2p*I2[13];
*(vp++) = U22*I0[9] - U12*I3[9] + loo2p*I2[14]
        + (threeo2n)*I1[5] - (threeo4zn)*I4[5];

}
