  /* These machine-generated functions compute a quartet of (0s|[r12,T1]|ps) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _t1_build_00p0(prim_data *Data, contr_data *ShellData, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4)
{
  REALTYPE U0, U10, U11, U12;
  REALTYPE AC0, AC1, AC2;
  AC0 = ShellData->AC[0];
  AC1 = ShellData->AC[1];
  AC2 = ShellData->AC[2];
  U10 = ShellData->AB[0]*(Data->twozeta_a*Data->twozeta_b*Data->oo2z);
  U11 = ShellData->AB[1]*(Data->twozeta_a*Data->twozeta_b*Data->oo2z);
  U12 = ShellData->AB[2]*(Data->twozeta_a*Data->twozeta_b*Data->oo2z);
  U0  = (Data->twozeta_a - Data->twozeta_b*(Data->twozeta_a*ShellData->ABdotAC + 1.000000))*Data->oo2z;

*(vp++) = U0*I0[0]
          - U10*(I1[0] - I2[0])
          - U11*(I1[3] - I2[1])
          - U12*(I1[6] - I2[2]);
*(vp++) = U0*I0[1]
          - U10*(I1[1] - I2[1])
          - U11*(I1[4] - I2[3])
          - U12*(I1[7] - I2[4]);
*(vp++) = U0*I0[2]
          - U10*(I1[2] - I2[2])
          - U11*(I1[5] - I2[4])
          - U12*(I1[8] - I2[5]);

}
