#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_gphp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|hp) integrals */

void d12hrr_order_gphp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][10] = int_stack + 588;
 Libderiv->deriv_classes[5][6][9] = int_stack + 1176;
 Libderiv->deriv_classes[5][6][8] = int_stack + 1764;
 Libderiv->deriv_classes[5][6][7] = int_stack + 2352;
 Libderiv->dvrr_classes[5][5] = int_stack + 2940;
 Libderiv->deriv_classes[5][6][6] = int_stack + 3381;
 Libderiv->deriv_classes[5][6][2] = int_stack + 3969;
 Libderiv->deriv_classes[5][6][1] = int_stack + 4557;
 Libderiv->dvrr_classes[4][6] = int_stack + 5145;
 Libderiv->deriv_classes[5][6][0] = int_stack + 5565;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 6153;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 6468;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 6888;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 7329;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 7917;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 8232;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 8652;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 9093;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 9681;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 9996;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 10416;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 10857;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 11445;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 11760;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 12180;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 12621;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 13209;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 13524;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 13944;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 14385;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 14973;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 15288;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 15708;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 16149;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 16737;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 17052;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 17472;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 17913;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 18501;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 18816;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 19236;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 19677;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 20265;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 20580;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 21000;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 21441;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 22029;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 22344;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 22764;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 23205;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 23793;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 24108;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 24528;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 24969;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 25557;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 25872;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 26292;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 26733;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 27321;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 27636;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 28056;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 28497;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 29085;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 29400;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 29820;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 30261;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 30849;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 31164;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 31584;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 32025;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 32613;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 32928;
 Libderiv->deriv_classes[5][5][11] = int_stack + 33348;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 33789;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 34230;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 34818;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 35133;
 Libderiv->deriv_classes[5][5][10] = int_stack + 35553;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 35994;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 36435;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 37023;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 37338;
 Libderiv->deriv_classes[5][5][9] = int_stack + 37758;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 38199;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 38640;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 39228;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 39543;
 Libderiv->deriv_classes[5][5][8] = int_stack + 39963;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 40404;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 40845;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 41433;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 41748;
 Libderiv->deriv_classes[5][5][7] = int_stack + 42168;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 42609;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 43050;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 43638;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 43953;
 Libderiv->deriv_classes[5][5][6] = int_stack + 44373;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 44814;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 45255;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 45843;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 46158;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 46578;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 47019;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 47607;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 47922;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 48342;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 48783;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 49371;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 49686;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 50106;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 50547;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 51135;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 51450;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 51870;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 52311;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 52899;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 53214;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 53634;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 54075;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 54663;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 54978;
 Libderiv->deriv_classes[5][5][2] = int_stack + 55398;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 55839;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 56280;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 56868;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 57183;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 57603;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 58044;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 58632;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 58947;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 59367;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 59808;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 60396;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 60711;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 61131;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 61572;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 62160;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 62475;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 62895;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 63336;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 63924;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 64239;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 64659;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 65100;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 65688;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 66003;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 66423;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 66864;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 67452;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 67767;
 Libderiv->deriv_classes[5][5][1] = int_stack + 68187;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 68628;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 69069;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 69657;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 69972;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 70392;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 70833;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 71421;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 71736;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 72156;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 72597;
 Libderiv->deriv_classes[4][5][11] = int_stack + 73185;
 Libderiv->deriv_classes[4][6][11] = int_stack + 73500;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 73920;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 74235;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 74655;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 75096;
 Libderiv->deriv_classes[4][5][10] = int_stack + 75684;
 Libderiv->deriv_classes[4][6][10] = int_stack + 75999;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 76419;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 76734;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 77154;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 77595;
 Libderiv->deriv_classes[4][5][9] = int_stack + 78183;
 Libderiv->deriv_classes[4][6][9] = int_stack + 78498;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 78918;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 79233;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 79653;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 80094;
 Libderiv->deriv_classes[4][5][8] = int_stack + 80682;
 Libderiv->deriv_classes[4][6][8] = int_stack + 80997;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 81417;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 81732;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 82152;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 82593;
 Libderiv->deriv_classes[4][5][7] = int_stack + 83181;
 Libderiv->deriv_classes[4][6][7] = int_stack + 83496;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 83916;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 84231;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 84651;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 85092;
 Libderiv->dvrr_classes[4][5] = int_stack + 85680;
 Libderiv->deriv_classes[4][5][6] = int_stack + 85995;
 Libderiv->deriv_classes[4][6][6] = int_stack + 86310;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 86730;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 87045;
 Libderiv->deriv_classes[5][5][0] = int_stack + 87465;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 87906;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 88347;
 Libderiv->deriv_classes[4][5][2] = int_stack + 88935;
 Libderiv->deriv_classes[4][6][2] = int_stack + 89250;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 89670;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 89985;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 90405;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 90846;
 Libderiv->deriv_classes[4][5][1] = int_stack + 91434;
 Libderiv->deriv_classes[4][6][1] = int_stack + 91749;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 92169;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 92484;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 92904;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 93345;
 Libderiv->deriv_classes[4][5][0] = int_stack + 93933;
 Libderiv->deriv_classes[4][6][0] = int_stack + 94248;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 94668;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 94983;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 95403;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 95844;
 memset(int_stack,0,771456);

 Libderiv->dvrr_stack = int_stack + 170142;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_gphp(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+96432,int_stack+73500,int_stack+73185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85680,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+97377,int_stack+0,int_stack+33348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+98700,int_stack+75999,int_stack+75684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85680, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+99645,int_stack+588,int_stack+35553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+78498,int_stack+78183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85680, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+100968,int_stack+1176,int_stack+37758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+102291,int_stack+80997,int_stack+80682, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+103236,int_stack+1764,int_stack+39963, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+83496,int_stack+83181, 0.0, zero_stack, 1.0, int_stack+85680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+104559,int_stack+2352,int_stack+42168, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+86310,int_stack+85995, 1.0, int_stack+85680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105882,int_stack+3381,int_stack+44373, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2835,int_stack+5145,int_stack+85680,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+107205,int_stack+89250,int_stack+88935,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+108150,int_stack+3969,int_stack+55398,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+109473,int_stack+91749,int_stack+91434,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+110418,int_stack+4557,int_stack+68187,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+94248,int_stack+93933,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+111741,int_stack+5565,int_stack+87465,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4725,int_stack+6468,int_stack+6153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73185,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+113064,int_stack+7329,int_stack+6888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33348,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5670,int_stack+8232,int_stack+7917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73185, 1.0, int_stack+75684,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6615,int_stack+9093,int_stack+8652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33348, 1.0, int_stack+35553,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+9996,int_stack+9681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+75684, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8883,int_stack+10857,int_stack+10416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35553, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10206,int_stack+11760,int_stack+11445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73185, 0.0, zero_stack, 1.0, int_stack+78183,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+114387,int_stack+12621,int_stack+12180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33348, 0.0, zero_stack, 1.0, int_stack+37758,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11151,int_stack+13524,int_stack+13209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75684, 1.0, int_stack+78183, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12096,int_stack+14385,int_stack+13944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35553, 1.0, int_stack+37758, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13419,int_stack+15288,int_stack+14973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+78183, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14364,int_stack+16149,int_stack+15708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+37758, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15687,int_stack+17052,int_stack+16737, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73185, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80682,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115710,int_stack+17913,int_stack+17472, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33348, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39963,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16632,int_stack+18816,int_stack+18501, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75684, 0.0, zero_stack, 1.0, int_stack+80682, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17577,int_stack+19677,int_stack+19236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35553, 0.0, zero_stack, 1.0, int_stack+39963, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18900,int_stack+20580,int_stack+20265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78183, 1.0, int_stack+80682, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+117033,int_stack+21441,int_stack+21000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37758, 1.0, int_stack+39963, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19845,int_stack+22344,int_stack+22029, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+80682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20790,int_stack+23205,int_stack+22764, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+39963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22113,int_stack+24108,int_stack+23793, 0.0, zero_stack, 1.0, int_stack+73185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83181,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23058,int_stack+24969,int_stack+24528, 0.0, zero_stack, 1.0, int_stack+33348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42168,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24381,int_stack+25872,int_stack+25557, 0.0, zero_stack, 1.0, int_stack+75684, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83181, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+118356,int_stack+26733,int_stack+26292, 0.0, zero_stack, 1.0, int_stack+35553, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42168, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25326,int_stack+27636,int_stack+27321, 0.0, zero_stack, 1.0, int_stack+78183, 0.0, zero_stack, 1.0, int_stack+83181, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26271,int_stack+28497,int_stack+28056, 0.0, zero_stack, 1.0, int_stack+37758, 0.0, zero_stack, 1.0, int_stack+42168, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27594,int_stack+29400,int_stack+29085, 0.0, zero_stack, 1.0, int_stack+80682, 1.0, int_stack+83181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119679,int_stack+30261,int_stack+29820, 0.0, zero_stack, 1.0, int_stack+39963, 1.0, int_stack+42168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28539,int_stack+31164,int_stack+30849, 0.0, zero_stack, 2.0, int_stack+83181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29484,int_stack+32025,int_stack+31584, 0.0, zero_stack, 2.0, int_stack+42168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30807,int_stack+32928,int_stack+32613, 1.0, int_stack+73185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85995,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+31752,int_stack+34230,int_stack+33789, 1.0, int_stack+33348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44373,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33075,int_stack+35133,int_stack+34818, 1.0, int_stack+75684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85995, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34020,int_stack+36435,int_stack+35994, 1.0, int_stack+35553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44373, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35343,int_stack+37338,int_stack+37023, 1.0, int_stack+78183, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36288,int_stack+38640,int_stack+38199, 1.0, int_stack+37758, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44373, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37611,int_stack+39543,int_stack+39228, 1.0, int_stack+80682, 0.0, zero_stack, 1.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+38556,int_stack+40845,int_stack+40404, 1.0, int_stack+39963, 0.0, zero_stack, 1.0, int_stack+44373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+39879,int_stack+41748,int_stack+41433, 1.0, int_stack+83181, 1.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+40824,int_stack+43050,int_stack+42609, 1.0, int_stack+42168, 1.0, int_stack+44373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42147,int_stack+43953,int_stack+43638, 2.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121002,int_stack+45255,int_stack+44814, 2.0, int_stack+44373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85680,int_stack+46158,int_stack+45843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88935,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43092,int_stack+47019,int_stack+46578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55398,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+44415,int_stack+47922,int_stack+47607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88935, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45360,int_stack+48783,int_stack+48342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55398, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46683,int_stack+49686,int_stack+49371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88935, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47628,int_stack+50547,int_stack+50106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55398, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+48951,int_stack+51450,int_stack+51135, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+49896,int_stack+52311,int_stack+51870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+51219,int_stack+53214,int_stack+52899, 0.0, zero_stack, 1.0, int_stack+88935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+52164,int_stack+54075,int_stack+53634, 0.0, zero_stack, 1.0, int_stack+55398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53487,int_stack+54978,int_stack+54663, 1.0, int_stack+88935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+122325,int_stack+56280,int_stack+55839, 1.0, int_stack+55398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+54432,int_stack+57183,int_stack+56868,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+55377,int_stack+58044,int_stack+57603,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56700,int_stack+58947,int_stack+58632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91434,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57645,int_stack+59808,int_stack+59367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68187,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58968,int_stack+60711,int_stack+60396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91434, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+123648,int_stack+61572,int_stack+61131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68187, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+59913,int_stack+62475,int_stack+62160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91434, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60858,int_stack+63336,int_stack+62895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68187, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62181,int_stack+64239,int_stack+63924, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+63126,int_stack+65100,int_stack+64659, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+64449,int_stack+66003,int_stack+65688, 0.0, zero_stack, 1.0, int_stack+91434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+124971,int_stack+66864,int_stack+66423, 0.0, zero_stack, 1.0, int_stack+68187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+65394,int_stack+67767,int_stack+67452, 1.0, int_stack+91434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+66339,int_stack+69069,int_stack+68628, 1.0, int_stack+68187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+67662,int_stack+69972,int_stack+69657,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+68607,int_stack+70833,int_stack+70392,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+69930,int_stack+71736,int_stack+71421,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+126294,int_stack+72597,int_stack+72156,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+70875,int_stack+74235,int_stack+73920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93933,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71820,int_stack+75096,int_stack+74655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87465,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73143,int_stack+76734,int_stack+76419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93933, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+74088,int_stack+77595,int_stack+77154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87465, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+75411,int_stack+79233,int_stack+78918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93933, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+76356,int_stack+80094,int_stack+79653, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87465, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+77679,int_stack+81732,int_stack+81417, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+78624,int_stack+82593,int_stack+82152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+79947,int_stack+84231,int_stack+83916, 0.0, zero_stack, 1.0, int_stack+93933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+80892,int_stack+85092,int_stack+84651, 0.0, zero_stack, 1.0, int_stack+87465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+82215,int_stack+87045,int_stack+86730, 1.0, int_stack+93933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+83160,int_stack+88347,int_stack+87906, 1.0, int_stack+87465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+86625,int_stack+89985,int_stack+89670,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+87570,int_stack+90846,int_stack+90405,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+88893,int_stack+92484,int_stack+92169,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+89838,int_stack+93345,int_stack+92904,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+91161,int_stack+94983,int_stack+94668,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+92106,int_stack+95844,int_stack+95403,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+93429,int_stack+97377,int_stack+96432,63);
     Libderiv->ABCD[11] = int_stack + 93429;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+127617,int_stack+99645,int_stack+98700,63);
     Libderiv->ABCD[10] = int_stack + 127617;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+130452,int_stack+100968,int_stack+0,63);
     Libderiv->ABCD[9] = int_stack + 130452;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+133287,int_stack+103236,int_stack+102291,63);
     Libderiv->ABCD[8] = int_stack + 133287;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+136122,int_stack+104559,int_stack+945,63);
     Libderiv->ABCD[7] = int_stack + 136122;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+138957,int_stack+105882,int_stack+1890,63);
     Libderiv->ABCD[6] = int_stack + 138957;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+103236,int_stack+108150,int_stack+107205, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 103236;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+141792,int_stack+110418,int_stack+109473, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 141792;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+144627,int_stack+111741,int_stack+3780, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 144627;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+147462,int_stack+113064,int_stack+4725,63);
     Libderiv->ABCD[155] = int_stack + 147462;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+110418,int_stack+6615,int_stack+5670,63);
     Libderiv->ABCD[143] = int_stack + 110418;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+4725,int_stack+8883,int_stack+7938,63);
     Libderiv->ABCD[142] = int_stack + 4725;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+150297,int_stack+114387,int_stack+10206,63);
     Libderiv->ABCD[131] = int_stack + 150297;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7560,int_stack+12096,int_stack+11151,63);
     Libderiv->ABCD[130] = int_stack + 7560;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10395,int_stack+14364,int_stack+13419,63);
     Libderiv->ABCD[129] = int_stack + 10395;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+153132,int_stack+115710,int_stack+15687,63);
     Libderiv->ABCD[119] = int_stack + 153132;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13230,int_stack+17577,int_stack+16632,63);
     Libderiv->ABCD[118] = int_stack + 13230;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+16065,int_stack+117033,int_stack+18900,63);
     Libderiv->ABCD[117] = int_stack + 16065;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+113253,int_stack+20790,int_stack+19845,63);
     Libderiv->ABCD[116] = int_stack + 113253;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+18900,int_stack+23058,int_stack+22113,63);
     Libderiv->ABCD[107] = int_stack + 18900;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+155967,int_stack+118356,int_stack+24381,63);
     Libderiv->ABCD[106] = int_stack + 155967;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+21735,int_stack+26271,int_stack+25326,63);
     Libderiv->ABCD[105] = int_stack + 21735;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+24570,int_stack+119679,int_stack+27594,63);
     Libderiv->ABCD[104] = int_stack + 24570;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+116088,int_stack+29484,int_stack+28539,63);
     Libderiv->ABCD[103] = int_stack + 116088;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+27405,int_stack+31752,int_stack+30807,63);
     Libderiv->ABCD[95] = int_stack + 27405;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+30240,int_stack+34020,int_stack+33075,63);
     Libderiv->ABCD[94] = int_stack + 30240;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+158802,int_stack+36288,int_stack+35343,63);
     Libderiv->ABCD[93] = int_stack + 158802;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+33075,int_stack+38556,int_stack+37611,63);
     Libderiv->ABCD[92] = int_stack + 33075;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+35910,int_stack+40824,int_stack+39879,63);
     Libderiv->ABCD[91] = int_stack + 35910;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+38745,int_stack+121002,int_stack+42147,63);
     Libderiv->ABCD[90] = int_stack + 38745;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+118923,int_stack+43092,int_stack+85680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[47] = int_stack + 118923;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+41580,int_stack+45360,int_stack+44415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[46] = int_stack + 41580;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+161637,int_stack+47628,int_stack+46683, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[45] = int_stack + 161637;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+44415,int_stack+49896,int_stack+48951, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[44] = int_stack + 44415;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+47250,int_stack+52164,int_stack+51219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[43] = int_stack + 47250;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+50085,int_stack+122325,int_stack+53487, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[42] = int_stack + 50085;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+164472,int_stack+55377,int_stack+54432, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+107205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[38] = int_stack + 164472;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+52920,int_stack+57645,int_stack+56700, 0.0, zero_stack, 1.0, int_stack+96432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[35] = int_stack + 52920;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+55755,int_stack+123648,int_stack+58968, 0.0, zero_stack, 1.0, int_stack+98700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[34] = int_stack + 55755;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+121758,int_stack+60858,int_stack+59913, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[33] = int_stack + 121758;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+58590,int_stack+63126,int_stack+62181, 0.0, zero_stack, 1.0, int_stack+102291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[32] = int_stack + 58590;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+61425,int_stack+124971,int_stack+64449, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[31] = int_stack + 61425;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+167307,int_stack+66339,int_stack+65394, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[30] = int_stack + 167307;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+64260,int_stack+68607,int_stack+67662, 0.0, zero_stack, 1.0, int_stack+107205, 1.0, int_stack+109473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[26] = int_stack + 64260;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+67095,int_stack+126294,int_stack+69930, 0.0, zero_stack, 2.0, int_stack+109473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[25] = int_stack + 67095;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+124593,int_stack+71820,int_stack+70875, 1.0, int_stack+96432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[23] = int_stack + 124593;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+69930,int_stack+74088,int_stack+73143, 1.0, int_stack+98700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[22] = int_stack + 69930;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+96264,int_stack+76356,int_stack+75411, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[21] = int_stack + 96264;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+72765,int_stack+78624,int_stack+77679, 1.0, int_stack+102291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[20] = int_stack + 72765;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+75600,int_stack+80892,int_stack+79947, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[19] = int_stack + 75600;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+78435,int_stack+83160,int_stack+82215, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[18] = int_stack + 78435;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+87570,int_stack+86625, 1.0, int_stack+107205, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[14] = int_stack + 0;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+81270,int_stack+89838,int_stack+88893, 1.0, int_stack+109473, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[13] = int_stack + 81270;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+84105,int_stack+92106,int_stack+91161, 2.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[12] = int_stack + 84105;

}
