#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_h0hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|hf) integrals */

void d12hrr_order_h0hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][8][11] = int_stack + 0;
 Libderiv->deriv_classes[5][8][10] = int_stack + 945;
 Libderiv->deriv_classes[5][8][9] = int_stack + 1890;
 Libderiv->deriv_classes[5][8][8] = int_stack + 2835;
 Libderiv->deriv_classes[5][8][7] = int_stack + 3780;
 Libderiv->dvrr_classes[5][7] = int_stack + 4725;
 Libderiv->deriv_classes[5][8][6] = int_stack + 5481;
 Libderiv->deriv_classes[5][8][2] = int_stack + 6426;
 Libderiv->deriv_classes[5][8][1] = int_stack + 7371;
 Libderiv->deriv_classes[5][8][0] = int_stack + 8316;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 9261;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 9702;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 10290;
 Libderiv->deriv2_classes[5][8][143] = int_stack + 11046;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 11991;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 12432;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 13020;
 Libderiv->deriv2_classes[5][8][131] = int_stack + 13776;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 14721;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 15162;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 15750;
 Libderiv->deriv2_classes[5][8][130] = int_stack + 16506;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 17451;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 17892;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 18480;
 Libderiv->deriv2_classes[5][8][119] = int_stack + 19236;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 20181;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 20622;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 21210;
 Libderiv->deriv2_classes[5][8][118] = int_stack + 21966;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 22911;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 23352;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 23940;
 Libderiv->deriv2_classes[5][8][117] = int_stack + 24696;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 25641;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 26082;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 26670;
 Libderiv->deriv2_classes[5][8][107] = int_stack + 27426;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 28371;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 28812;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 29400;
 Libderiv->deriv2_classes[5][8][106] = int_stack + 30156;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 31101;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 31542;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 32130;
 Libderiv->deriv2_classes[5][8][105] = int_stack + 32886;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 33831;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 34272;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 34860;
 Libderiv->deriv2_classes[5][8][104] = int_stack + 35616;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 36561;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 37002;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 37590;
 Libderiv->deriv2_classes[5][8][95] = int_stack + 38346;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 39291;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 39732;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 40320;
 Libderiv->deriv2_classes[5][8][94] = int_stack + 41076;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 42021;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 42462;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 43050;
 Libderiv->deriv2_classes[5][8][93] = int_stack + 43806;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 44751;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 45192;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 45780;
 Libderiv->deriv2_classes[5][8][92] = int_stack + 46536;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 47481;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 47922;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 48510;
 Libderiv->deriv2_classes[5][8][91] = int_stack + 49266;
 Libderiv->deriv_classes[5][5][11] = int_stack + 50211;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 50652;
 Libderiv->deriv_classes[5][6][11] = int_stack + 51093;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 51681;
 Libderiv->deriv_classes[5][7][11] = int_stack + 52269;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 53025;
 Libderiv->deriv2_classes[5][8][83] = int_stack + 53781;
 Libderiv->deriv_classes[5][5][10] = int_stack + 54726;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 55167;
 Libderiv->deriv_classes[5][6][10] = int_stack + 55608;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 56196;
 Libderiv->deriv_classes[5][7][10] = int_stack + 56784;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 57540;
 Libderiv->deriv2_classes[5][8][82] = int_stack + 58296;
 Libderiv->deriv_classes[5][5][9] = int_stack + 59241;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 59682;
 Libderiv->deriv_classes[5][6][9] = int_stack + 60123;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 60711;
 Libderiv->deriv_classes[5][7][9] = int_stack + 61299;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 62055;
 Libderiv->deriv2_classes[5][8][81] = int_stack + 62811;
 Libderiv->deriv_classes[5][5][8] = int_stack + 63756;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 64197;
 Libderiv->deriv_classes[5][6][8] = int_stack + 64638;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 65226;
 Libderiv->deriv_classes[5][7][8] = int_stack + 65814;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 66570;
 Libderiv->deriv2_classes[5][8][80] = int_stack + 67326;
 Libderiv->deriv_classes[5][5][7] = int_stack + 68271;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 68712;
 Libderiv->deriv_classes[5][6][7] = int_stack + 69153;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 69741;
 Libderiv->deriv_classes[5][7][7] = int_stack + 70329;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 71085;
 Libderiv->deriv2_classes[5][8][79] = int_stack + 71841;
 Libderiv->dvrr_classes[5][5] = int_stack + 72786;
 Libderiv->deriv_classes[5][5][6] = int_stack + 73227;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 73668;
 Libderiv->dvrr_classes[5][6] = int_stack + 74109;
 Libderiv->deriv_classes[5][6][6] = int_stack + 74697;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 75285;
 Libderiv->deriv_classes[5][7][6] = int_stack + 75873;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 76629;
 Libderiv->deriv2_classes[5][8][78] = int_stack + 77385;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 78330;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 78771;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 79359;
 Libderiv->deriv2_classes[5][8][35] = int_stack + 80115;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 81060;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 81501;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 82089;
 Libderiv->deriv2_classes[5][8][34] = int_stack + 82845;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 83790;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 84231;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 84819;
 Libderiv->deriv2_classes[5][8][33] = int_stack + 85575;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 86520;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 86961;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 87549;
 Libderiv->deriv2_classes[5][8][32] = int_stack + 88305;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 89250;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 89691;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 90279;
 Libderiv->deriv2_classes[5][8][31] = int_stack + 91035;
 Libderiv->deriv_classes[5][5][2] = int_stack + 91980;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 92421;
 Libderiv->deriv_classes[5][6][2] = int_stack + 92862;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 93450;
 Libderiv->deriv_classes[5][7][2] = int_stack + 94038;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 94794;
 Libderiv->deriv2_classes[5][8][30] = int_stack + 95550;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 96495;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 96936;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 97524;
 Libderiv->deriv2_classes[5][8][26] = int_stack + 98280;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 99225;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 99666;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 100254;
 Libderiv->deriv2_classes[5][8][23] = int_stack + 101010;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 101955;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 102396;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 102984;
 Libderiv->deriv2_classes[5][8][22] = int_stack + 103740;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 104685;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 105126;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 105714;
 Libderiv->deriv2_classes[5][8][21] = int_stack + 106470;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 107415;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 107856;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 108444;
 Libderiv->deriv2_classes[5][8][20] = int_stack + 109200;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 110145;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 110586;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 111174;
 Libderiv->deriv2_classes[5][8][19] = int_stack + 111930;
 Libderiv->deriv_classes[5][5][1] = int_stack + 112875;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 113316;
 Libderiv->deriv_classes[5][6][1] = int_stack + 113757;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 114345;
 Libderiv->deriv_classes[5][7][1] = int_stack + 114933;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 115689;
 Libderiv->deriv2_classes[5][8][18] = int_stack + 116445;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 117390;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 117831;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 118419;
 Libderiv->deriv2_classes[5][8][14] = int_stack + 119175;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 120120;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 120561;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 121149;
 Libderiv->deriv2_classes[5][8][13] = int_stack + 121905;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 122850;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 123291;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 123879;
 Libderiv->deriv2_classes[5][8][11] = int_stack + 124635;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 125580;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 126021;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 126609;
 Libderiv->deriv2_classes[5][8][10] = int_stack + 127365;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 128310;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 128751;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 129339;
 Libderiv->deriv2_classes[5][8][9] = int_stack + 130095;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 131040;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 131481;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 132069;
 Libderiv->deriv2_classes[5][8][8] = int_stack + 132825;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 133770;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 134211;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 134799;
 Libderiv->deriv2_classes[5][8][7] = int_stack + 135555;
 Libderiv->deriv_classes[5][5][0] = int_stack + 136500;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 136941;
 Libderiv->deriv_classes[5][6][0] = int_stack + 137382;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 137970;
 Libderiv->deriv_classes[5][7][0] = int_stack + 138558;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 139314;
 Libderiv->deriv2_classes[5][8][6] = int_stack + 140070;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 141015;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 141456;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 142044;
 Libderiv->deriv2_classes[5][8][2] = int_stack + 142800;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 143745;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 144186;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 144774;
 Libderiv->deriv2_classes[5][8][1] = int_stack + 145530;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 146475;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 146916;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 147504;
 Libderiv->deriv2_classes[5][8][0] = int_stack + 148260;
 memset(int_stack,0,1193640);

 Libderiv->dvrr_stack = int_stack + 372099;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_h0hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+149205,int_stack+74109,int_stack+72786,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+150528,int_stack+4725,int_stack+74109,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+152292,int_stack+150528,int_stack+149205,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+154938,int_stack+51093,int_stack+50211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72786,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+156261,int_stack+52269,int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74109,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+158025,int_stack+156261,int_stack+154938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+160671,int_stack+0,int_stack+52269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4725,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+162939,int_stack+160671,int_stack+156261, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150528,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+160671,int_stack+55608,int_stack+54726, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72786, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166467,int_stack+56784,int_stack+55608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74109, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+168231,int_stack+166467,int_stack+160671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+170877,int_stack+945,int_stack+56784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4725, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+173145,int_stack+170877,int_stack+166467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150528, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+170877,int_stack+60123,int_stack+59241, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72786, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+61299,int_stack+60123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74109, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+176673,int_stack+0,int_stack+170877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+179319,int_stack+1890,int_stack+61299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4725, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+181587,int_stack+179319,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150528, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+179319,int_stack+64638,int_stack+63756, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+65814,int_stack+64638, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+186879,int_stack+185115,int_stack+179319, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+189525,int_stack+2835,int_stack+65814, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+191793,int_stack+189525,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+189525,int_stack+69153,int_stack+68271, 0.0, zero_stack, 1.0, int_stack+72786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+70329,int_stack+69153, 0.0, zero_stack, 1.0, int_stack+74109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+195321,int_stack+1764,int_stack+189525, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+3780,int_stack+70329, 0.0, zero_stack, 1.0, int_stack+4725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+200235,int_stack+197967,int_stack+1764, 0.0, zero_stack, 1.0, int_stack+150528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+197967,int_stack+74697,int_stack+73227, 1.0, int_stack+72786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+75873,int_stack+74697, 1.0, int_stack+74109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+205527,int_stack+203763,int_stack+197967, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+5481,int_stack+75873, 1.0, int_stack+4725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+210441,int_stack+208173,int_stack+203763, 1.0, int_stack+150528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+208173,int_stack+92862,int_stack+91980,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+149205,int_stack+94038,int_stack+92862,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+149205,int_stack+208173,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+6426,int_stack+94038,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+216237,int_stack+213969,int_stack+149205,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+150969,int_stack+113757,int_stack+112875,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+213969,int_stack+114933,int_stack+113757,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+219765,int_stack+213969,int_stack+150969,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+222411,int_stack+7371,int_stack+114933,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+224679,int_stack+222411,int_stack+213969,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+222411,int_stack+137382,int_stack+136500,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6174,int_stack+138558,int_stack+137382,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+228207,int_stack+6174,int_stack+222411,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+8316,int_stack+138558,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+233121,int_stack+230853,int_stack+6174,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+9702,int_stack+9261, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+50211,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+10290,int_stack+9702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+51093,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+236649,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+154938,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7938,int_stack+11046,int_stack+10290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+52269,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+239295,int_stack+7938,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+156261,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+12432,int_stack+11991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50211, 1.0, int_stack+54726,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+13020,int_stack+12432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51093, 1.0, int_stack+55608,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9702,int_stack+7938,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154938, 1.0, int_stack+160671,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+13776,int_stack+13020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52269, 1.0, int_stack+56784,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+242823,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156261, 1.0, int_stack+166467,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+15162,int_stack+14721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+54726, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+15750,int_stack+15162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+55608, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12348,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+160671, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+16506,int_stack+15750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+56784, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+248619,int_stack+246351,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+166467, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+17892,int_stack+17451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50211, 0.0, zero_stack, 1.0, int_stack+59241,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+18480,int_stack+17892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51093, 0.0, zero_stack, 1.0, int_stack+60123,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14994,int_stack+7938,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154938, 0.0, zero_stack, 1.0, int_stack+170877,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+19236,int_stack+18480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52269, 0.0, zero_stack, 1.0, int_stack+61299,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+252147,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156261, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+20622,int_stack+20181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54726, 1.0, int_stack+59241, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+21210,int_stack+20622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55608, 1.0, int_stack+60123, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17640,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160671, 1.0, int_stack+170877, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+21966,int_stack+21210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56784, 1.0, int_stack+61299, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255675,int_stack+246351,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166467, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+23352,int_stack+22911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+59241, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+23940,int_stack+23352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60123, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20286,int_stack+7938,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+170877, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+24696,int_stack+23940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+61299, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+259203,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+26082,int_stack+25641, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50211, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63756,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+26670,int_stack+26082, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64638,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22932,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179319,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+27426,int_stack+26670, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52269, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65814,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+262731,int_stack+246351,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156261, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185115,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+28812,int_stack+28371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54726, 0.0, zero_stack, 1.0, int_stack+63756, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+29400,int_stack+28812, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55608, 0.0, zero_stack, 1.0, int_stack+64638, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25578,int_stack+7938,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160671, 0.0, zero_stack, 1.0, int_stack+179319, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+30156,int_stack+29400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56784, 0.0, zero_stack, 1.0, int_stack+65814, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+266259,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166467, 0.0, zero_stack, 1.0, int_stack+185115, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+31542,int_stack+31101, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59241, 1.0, int_stack+63756, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+32130,int_stack+31542, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60123, 1.0, int_stack+64638, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+28224,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170877, 1.0, int_stack+179319, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+32886,int_stack+32130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61299, 1.0, int_stack+65814, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+269787,int_stack+246351,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+185115, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+34272,int_stack+33831, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+63756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+34860,int_stack+34272, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+64638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30870,int_stack+7938,int_stack+230853, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+179319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+35616,int_stack+34860, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+65814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+273315,int_stack+230853,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+37002,int_stack+36561, 0.0, zero_stack, 1.0, int_stack+50211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68271,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+37590,int_stack+37002, 0.0, zero_stack, 1.0, int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69153,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+33516,int_stack+230853,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+154938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189525,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+38346,int_stack+37590, 0.0, zero_stack, 1.0, int_stack+52269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70329,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+276843,int_stack+246351,int_stack+230853, 0.0, zero_stack, 1.0, int_stack+156261, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+39732,int_stack+39291, 0.0, zero_stack, 1.0, int_stack+54726, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68271, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+40320,int_stack+39732, 0.0, zero_stack, 1.0, int_stack+55608, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69153, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36162,int_stack+7938,int_stack+230853, 0.0, zero_stack, 1.0, int_stack+160671, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189525, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+41076,int_stack+40320, 0.0, zero_stack, 1.0, int_stack+56784, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70329, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+280371,int_stack+230853,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+166467, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+42462,int_stack+42021, 0.0, zero_stack, 1.0, int_stack+59241, 0.0, zero_stack, 1.0, int_stack+68271, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+43050,int_stack+42462, 0.0, zero_stack, 1.0, int_stack+60123, 0.0, zero_stack, 1.0, int_stack+69153, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38808,int_stack+230853,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+170877, 0.0, zero_stack, 1.0, int_stack+189525, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+43806,int_stack+43050, 0.0, zero_stack, 1.0, int_stack+61299, 0.0, zero_stack, 1.0, int_stack+70329, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+283899,int_stack+246351,int_stack+230853, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+45192,int_stack+44751, 0.0, zero_stack, 1.0, int_stack+63756, 1.0, int_stack+68271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+45780,int_stack+45192, 0.0, zero_stack, 1.0, int_stack+64638, 1.0, int_stack+69153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41454,int_stack+7938,int_stack+230853, 0.0, zero_stack, 1.0, int_stack+179319, 1.0, int_stack+189525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+46536,int_stack+45780, 0.0, zero_stack, 1.0, int_stack+65814, 1.0, int_stack+70329, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+287427,int_stack+230853,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+185115, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+47922,int_stack+47481, 0.0, zero_stack, 2.0, int_stack+68271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+48510,int_stack+47922, 0.0, zero_stack, 2.0, int_stack+69153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+44100,int_stack+230853,int_stack+7938, 0.0, zero_stack, 2.0, int_stack+189525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+246351,int_stack+49266,int_stack+48510, 0.0, zero_stack, 2.0, int_stack+70329, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+290955,int_stack+246351,int_stack+230853, 0.0, zero_stack, 2.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230853,int_stack+51681,int_stack+50652, 1.0, int_stack+50211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73227,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+53025,int_stack+51681, 1.0, int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74697,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46746,int_stack+7938,int_stack+230853, 1.0, int_stack+154938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197967,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+230853,int_stack+53781,int_stack+53025, 1.0, int_stack+52269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75873,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+49392,int_stack+230853,int_stack+7938, 1.0, int_stack+156261, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203763,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+56196,int_stack+55167, 1.0, int_stack+54726, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73227, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230853,int_stack+57540,int_stack+56196, 1.0, int_stack+55608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74697, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+154938,int_stack+230853,int_stack+7938, 1.0, int_stack+160671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197967, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+160671,int_stack+58296,int_stack+57540, 1.0, int_stack+56784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75873, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+52920,int_stack+160671,int_stack+230853, 1.0, int_stack+166467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203763, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+166467,int_stack+60711,int_stack+59682, 1.0, int_stack+59241, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73227, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+62055,int_stack+60711, 1.0, int_stack+60123, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74697, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+56448,int_stack+7938,int_stack+166467, 1.0, int_stack+170877, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197967, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+170877,int_stack+62811,int_stack+62055, 1.0, int_stack+61299, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75873, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59094,int_stack+170877,int_stack+7938, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203763, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+65226,int_stack+64197, 1.0, int_stack+63756, 0.0, zero_stack, 1.0, int_stack+73227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+66570,int_stack+65226, 1.0, int_stack+64638, 0.0, zero_stack, 1.0, int_stack+74697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+62622,int_stack+7938,int_stack+0, 1.0, int_stack+179319, 0.0, zero_stack, 1.0, int_stack+197967, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+179319,int_stack+67326,int_stack+66570, 1.0, int_stack+65814, 0.0, zero_stack, 1.0, int_stack+75873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+294483,int_stack+179319,int_stack+7938, 1.0, int_stack+185115, 0.0, zero_stack, 1.0, int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+69741,int_stack+68712, 1.0, int_stack+68271, 1.0, int_stack+73227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+71085,int_stack+69741, 1.0, int_stack+69153, 1.0, int_stack+74697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+65268,int_stack+7938,int_stack+185115, 1.0, int_stack+189525, 1.0, int_stack+197967, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+189525,int_stack+71841,int_stack+71085, 1.0, int_stack+70329, 1.0, int_stack+75873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+67914,int_stack+189525,int_stack+7938, 1.0, int_stack+1764, 1.0, int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+75285,int_stack+73668, 2.0, int_stack+73227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+76629,int_stack+75285, 2.0, int_stack+74697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+185115,int_stack+7938, 2.0, int_stack+197967, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+77385,int_stack+76629, 2.0, int_stack+75873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+71442,int_stack+197967,int_stack+185115, 2.0, int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+78771,int_stack+78330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91980,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+79359,int_stack+78771, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92862,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74970,int_stack+185115,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208173,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+80115,int_stack+79359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94038,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+298011,int_stack+197967,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+81501,int_stack+81060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91980, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+82089,int_stack+81501, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92862, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+77616,int_stack+203763,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208173, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+82845,int_stack+82089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94038, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+80262,int_stack+197967,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+84231,int_stack+83790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91980, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+84819,int_stack+84231, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92862, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+301539,int_stack+185115,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208173, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+85575,int_stack+84819, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94038, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+304185,int_stack+197967,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+86961,int_stack+86520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+87549,int_stack+86961, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+83790,int_stack+203763,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+88305,int_stack+87549, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+307713,int_stack+197967,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+89691,int_stack+89250, 0.0, zero_stack, 1.0, int_stack+91980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+90279,int_stack+89691, 0.0, zero_stack, 1.0, int_stack+92862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+86436,int_stack+185115,int_stack+203763, 0.0, zero_stack, 1.0, int_stack+208173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197967,int_stack+91035,int_stack+90279, 0.0, zero_stack, 1.0, int_stack+94038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+311241,int_stack+197967,int_stack+185115, 0.0, zero_stack, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+93450,int_stack+92421, 1.0, int_stack+91980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+94794,int_stack+93450, 1.0, int_stack+92862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+89082,int_stack+203763,int_stack+185115, 1.0, int_stack+208173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+95550,int_stack+94794, 1.0, int_stack+94038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+91728,int_stack+208173,int_stack+203763, 1.0, int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+149205,int_stack+96936,int_stack+96495,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+97524,int_stack+96936,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+314769,int_stack+203763,int_stack+149205,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+98280,int_stack+97524,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95256,int_stack+208173,int_stack+203763,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+99666,int_stack+99225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112875,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149205,int_stack+100254,int_stack+99666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113757,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+317415,int_stack+149205,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150969,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+101010,int_stack+100254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114933,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+320061,int_stack+208173,int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213969,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+149205,int_stack+102396,int_stack+101955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112875, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+102984,int_stack+102396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113757, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+98784,int_stack+203763,int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150969, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+103740,int_stack+102984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114933, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+323589,int_stack+208173,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213969, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+105126,int_stack+104685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112875, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149205,int_stack+105714,int_stack+105126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113757, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+101430,int_stack+149205,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150969, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+106470,int_stack+105714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114933, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+327117,int_stack+208173,int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213969, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+149205,int_stack+107856,int_stack+107415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+108444,int_stack+107856, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+104076,int_stack+203763,int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+109200,int_stack+108444, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+330645,int_stack+208173,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+110586,int_stack+110145, 0.0, zero_stack, 1.0, int_stack+112875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149205,int_stack+111174,int_stack+110586, 0.0, zero_stack, 1.0, int_stack+113757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+106722,int_stack+149205,int_stack+203763, 0.0, zero_stack, 1.0, int_stack+150969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+111930,int_stack+111174, 0.0, zero_stack, 1.0, int_stack+114933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+334173,int_stack+208173,int_stack+149205, 0.0, zero_stack, 1.0, int_stack+213969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+149205,int_stack+114345,int_stack+113316, 1.0, int_stack+112875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+115689,int_stack+114345, 1.0, int_stack+113757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+109368,int_stack+203763,int_stack+149205, 1.0, int_stack+150969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+208173,int_stack+116445,int_stack+115689, 1.0, int_stack+114933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+112014,int_stack+208173,int_stack+203763, 1.0, int_stack+213969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+213969,int_stack+117831,int_stack+117390,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+118419,int_stack+117831,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+149205,int_stack+203763,int_stack+213969,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+119175,int_stack+118419,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+115542,int_stack+213969,int_stack+203763,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+120561,int_stack+120120,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+121149,int_stack+120561,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+337701,int_stack+185115,int_stack+203763,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+121905,int_stack+121149,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+119070,int_stack+213969,int_stack+185115,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+123291,int_stack+122850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136500,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+123879,int_stack+123291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137382,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+340347,int_stack+203763,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222411,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+124635,int_stack+123879, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138558,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+342993,int_stack+213969,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+126021,int_stack+125580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136500, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+126609,int_stack+126021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137382, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+122598,int_stack+185115,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222411, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+127365,int_stack+126609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138558, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+346521,int_stack+213969,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+128751,int_stack+128310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136500, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+129339,int_stack+128751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137382, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+125244,int_stack+203763,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222411, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+130095,int_stack+129339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138558, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+350049,int_stack+213969,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+131481,int_stack+131040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+132069,int_stack+131481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127890,int_stack+185115,int_stack+203763, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+132825,int_stack+132069, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+353577,int_stack+213969,int_stack+185115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+134211,int_stack+133770, 0.0, zero_stack, 1.0, int_stack+136500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+134799,int_stack+134211, 0.0, zero_stack, 1.0, int_stack+137382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+130536,int_stack+203763,int_stack+185115, 0.0, zero_stack, 1.0, int_stack+222411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+213969,int_stack+135555,int_stack+134799, 0.0, zero_stack, 1.0, int_stack+138558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+357105,int_stack+213969,int_stack+203763, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+137970,int_stack+136941, 1.0, int_stack+136500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+139314,int_stack+137970, 1.0, int_stack+137382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+133182,int_stack+185115,int_stack+203763, 1.0, int_stack+222411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+222411,int_stack+140070,int_stack+139314, 1.0, int_stack+138558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+135828,int_stack+222411,int_stack+185115, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6174,int_stack+141456,int_stack+141015,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+142044,int_stack+141456,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+139356,int_stack+185115,int_stack+6174,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+222411,int_stack+142800,int_stack+142044,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+6174,int_stack+222411,int_stack+185115,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+185115,int_stack+144186,int_stack+143745,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+203763,int_stack+144774,int_stack+144186,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+142002,int_stack+203763,int_stack+185115,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+222411,int_stack+145530,int_stack+144774,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+360633,int_stack+222411,int_stack+203763,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+203763,int_stack+146916,int_stack+146475,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+185115,int_stack+147504,int_stack+146916,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+144648,int_stack+185115,int_stack+203763,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+222411,int_stack+148260,int_stack+147504,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+364161,int_stack+222411,int_stack+185115,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+367689,int_stack+162939,int_stack+158025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152292,21);
     Libderiv->ABCD[11] = int_stack + 367689;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+160671,int_stack+173145,int_stack+168231, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152292, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 160671;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+170877,int_stack+181587,int_stack+176673, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152292, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 170877;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+179319,int_stack+191793,int_stack+186879, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 179319;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+189525,int_stack+200235,int_stack+195321, 0.0, zero_stack, 1.0, int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 189525;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+197967,int_stack+210441,int_stack+205527, 1.0, int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 197967;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+208173,int_stack+216237,int_stack+3528,21);
     Libderiv->ABCD[2] = int_stack + 208173;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+212583,int_stack+224679,int_stack+219765,21);
     Libderiv->ABCD[1] = int_stack + 212583;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+222411,int_stack+233121,int_stack+228207,21);
     Libderiv->ABCD[0] = int_stack + 222411;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+230853,int_stack+239295,int_stack+236649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+158025,21);
     Libderiv->ABCD[155] = int_stack + 230853;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+235263,int_stack+242823,int_stack+9702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158025, 1.0, int_stack+168231,21);
     Libderiv->ABCD[143] = int_stack + 235263;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+239673,int_stack+248619,int_stack+12348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+168231, 0.0, zero_stack,21);
     Libderiv->ABCD[142] = int_stack + 239673;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+9702,int_stack+252147,int_stack+14994, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158025, 0.0, zero_stack, 1.0, int_stack+176673,21);
     Libderiv->ABCD[131] = int_stack + 9702;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+244083,int_stack+255675,int_stack+17640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168231, 1.0, int_stack+176673, 0.0, zero_stack,21);
     Libderiv->ABCD[130] = int_stack + 244083;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+14112,int_stack+259203,int_stack+20286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+176673, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[129] = int_stack + 14112;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+18522,int_stack+262731,int_stack+22932, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186879,21);
     Libderiv->ABCD[119] = int_stack + 18522;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+248493,int_stack+266259,int_stack+25578, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168231, 0.0, zero_stack, 1.0, int_stack+186879, 0.0, zero_stack,21);
     Libderiv->ABCD[118] = int_stack + 248493;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+22932,int_stack+269787,int_stack+28224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176673, 1.0, int_stack+186879, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[117] = int_stack + 22932;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+252903,int_stack+273315,int_stack+30870, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+186879, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[116] = int_stack + 252903;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+27342,int_stack+276843,int_stack+33516, 0.0, zero_stack, 1.0, int_stack+158025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195321,21);
     Libderiv->ABCD[107] = int_stack + 27342;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+31752,int_stack+280371,int_stack+36162, 0.0, zero_stack, 1.0, int_stack+168231, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195321, 0.0, zero_stack,21);
     Libderiv->ABCD[106] = int_stack + 31752;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+257313,int_stack+283899,int_stack+38808, 0.0, zero_stack, 1.0, int_stack+176673, 0.0, zero_stack, 1.0, int_stack+195321, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[105] = int_stack + 257313;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+36162,int_stack+287427,int_stack+41454, 0.0, zero_stack, 1.0, int_stack+186879, 1.0, int_stack+195321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[104] = int_stack + 36162;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+261723,int_stack+290955,int_stack+44100, 0.0, zero_stack, 2.0, int_stack+195321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[103] = int_stack + 261723;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+40572,int_stack+49392,int_stack+46746, 1.0, int_stack+158025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205527,21);
     Libderiv->ABCD[95] = int_stack + 40572;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+44982,int_stack+52920,int_stack+154938, 1.0, int_stack+168231, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205527, 0.0, zero_stack,21);
     Libderiv->ABCD[94] = int_stack + 44982;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+49392,int_stack+59094,int_stack+56448, 1.0, int_stack+176673, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205527, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[93] = int_stack + 49392;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+53802,int_stack+294483,int_stack+62622, 1.0, int_stack+186879, 0.0, zero_stack, 1.0, int_stack+205527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[92] = int_stack + 53802;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+58212,int_stack+67914,int_stack+65268, 1.0, int_stack+195321, 1.0, int_stack+205527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[91] = int_stack + 58212;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+62622,int_stack+71442,int_stack+0, 2.0, int_stack+205527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[90] = int_stack + 62622;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+67032,int_stack+298011,int_stack+74970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528,21);
     Libderiv->ABCD[47] = int_stack + 67032;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+71442,int_stack+80262,int_stack+77616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack,21);
     Libderiv->ABCD[46] = int_stack + 71442;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+75852,int_stack+304185,int_stack+301539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[45] = int_stack + 75852;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+151851,int_stack+307713,int_stack+83790, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[44] = int_stack + 151851;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+156261,int_stack+311241,int_stack+86436, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[43] = int_stack + 156261;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+80262,int_stack+91728,int_stack+89082, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[42] = int_stack + 80262;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+95256,int_stack+314769,21);
     Libderiv->ABCD[38] = int_stack + 0;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+84672,int_stack+320061,int_stack+317415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219765,21);
     Libderiv->ABCD[35] = int_stack + 84672;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89082,int_stack+323589,int_stack+98784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219765, 0.0, zero_stack,21);
     Libderiv->ABCD[34] = int_stack + 89082;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+93492,int_stack+327117,int_stack+101430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219765, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[33] = int_stack + 93492;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+97902,int_stack+330645,int_stack+104076, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[32] = int_stack + 97902;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+102312,int_stack+334173,int_stack+106722, 0.0, zero_stack, 1.0, int_stack+219765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[31] = int_stack + 102312;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+202377,int_stack+112014,int_stack+109368, 1.0, int_stack+219765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[30] = int_stack + 202377;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+106722,int_stack+115542,int_stack+149205,21);
     Libderiv->ABCD[26] = int_stack + 106722;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+111132,int_stack+119070,int_stack+337701,21);
     Libderiv->ABCD[25] = int_stack + 111132;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+115542,int_stack+342993,int_stack+340347, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228207,21);
     Libderiv->ABCD[23] = int_stack + 115542;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+216993,int_stack+346521,int_stack+122598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228207, 0.0, zero_stack,21);
     Libderiv->ABCD[22] = int_stack + 216993;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+119952,int_stack+350049,int_stack+125244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228207, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[21] = int_stack + 119952;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+147294,int_stack+353577,int_stack+127890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[20] = int_stack + 147294;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+124362,int_stack+357105,int_stack+130536, 0.0, zero_stack, 1.0, int_stack+228207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[19] = int_stack + 124362;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+128772,int_stack+135828,int_stack+133182, 1.0, int_stack+228207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[18] = int_stack + 128772;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+133182,int_stack+6174,int_stack+139356,21);
     Libderiv->ABCD[14] = int_stack + 133182;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+137592,int_stack+360633,int_stack+142002,21);
     Libderiv->ABCD[13] = int_stack + 137592;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+4410,int_stack+364161,int_stack+144648,21);
     Libderiv->ABCD[12] = int_stack + 4410;

}
