#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_dpif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|if) integrals */

void d1hrr_order_dpif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[2][8][11] = int_stack + 384;
 Libderiv->deriv_classes[2][9][11] = int_stack + 654;
 Libderiv->deriv_classes[3][6][11] = int_stack + 984;
 Libderiv->deriv_classes[3][7][11] = int_stack + 1264;
 Libderiv->deriv_classes[3][8][11] = int_stack + 1624;
 Libderiv->deriv_classes[3][9][11] = int_stack + 2074;
 Libderiv->deriv_classes[2][6][10] = int_stack + 2624;
 Libderiv->deriv_classes[2][7][10] = int_stack + 2792;
 Libderiv->deriv_classes[2][8][10] = int_stack + 3008;
 Libderiv->deriv_classes[2][9][10] = int_stack + 3278;
 Libderiv->deriv_classes[3][6][10] = int_stack + 3608;
 Libderiv->deriv_classes[3][7][10] = int_stack + 3888;
 Libderiv->deriv_classes[3][8][10] = int_stack + 4248;
 Libderiv->deriv_classes[3][9][10] = int_stack + 4698;
 Libderiv->deriv_classes[2][6][9] = int_stack + 5248;
 Libderiv->deriv_classes[2][7][9] = int_stack + 5416;
 Libderiv->deriv_classes[2][8][9] = int_stack + 5632;
 Libderiv->deriv_classes[2][9][9] = int_stack + 5902;
 Libderiv->deriv_classes[3][6][9] = int_stack + 6232;
 Libderiv->deriv_classes[3][7][9] = int_stack + 6512;
 Libderiv->deriv_classes[3][8][9] = int_stack + 6872;
 Libderiv->deriv_classes[3][9][9] = int_stack + 7322;
 Libderiv->deriv_classes[2][6][8] = int_stack + 7872;
 Libderiv->deriv_classes[2][7][8] = int_stack + 8040;
 Libderiv->deriv_classes[2][8][8] = int_stack + 8256;
 Libderiv->deriv_classes[2][9][8] = int_stack + 8526;
 Libderiv->deriv_classes[3][6][8] = int_stack + 8856;
 Libderiv->deriv_classes[3][7][8] = int_stack + 9136;
 Libderiv->deriv_classes[3][8][8] = int_stack + 9496;
 Libderiv->deriv_classes[3][9][8] = int_stack + 9946;
 Libderiv->deriv_classes[2][6][7] = int_stack + 10496;
 Libderiv->deriv_classes[2][7][7] = int_stack + 10664;
 Libderiv->deriv_classes[2][8][7] = int_stack + 10880;
 Libderiv->deriv_classes[2][9][7] = int_stack + 11150;
 Libderiv->deriv_classes[3][6][7] = int_stack + 11480;
 Libderiv->deriv_classes[3][7][7] = int_stack + 11760;
 Libderiv->deriv_classes[3][8][7] = int_stack + 12120;
 Libderiv->deriv_classes[3][9][7] = int_stack + 12570;
 Libderiv->deriv_classes[2][6][6] = int_stack + 13120;
 Libderiv->deriv_classes[2][7][6] = int_stack + 13288;
 Libderiv->deriv_classes[2][8][6] = int_stack + 13504;
 Libderiv->deriv_classes[2][9][6] = int_stack + 13774;
 Libderiv->dvrr_classes[3][6] = int_stack + 14104;
 Libderiv->deriv_classes[3][6][6] = int_stack + 14384;
 Libderiv->dvrr_classes[3][7] = int_stack + 14664;
 Libderiv->deriv_classes[3][7][6] = int_stack + 15024;
 Libderiv->dvrr_classes[3][8] = int_stack + 15384;
 Libderiv->deriv_classes[3][8][6] = int_stack + 15834;
 Libderiv->deriv_classes[3][9][6] = int_stack + 16284;
 Libderiv->deriv_classes[2][6][2] = int_stack + 16834;
 Libderiv->deriv_classes[2][7][2] = int_stack + 17002;
 Libderiv->deriv_classes[2][8][2] = int_stack + 17218;
 Libderiv->deriv_classes[2][9][2] = int_stack + 17488;
 Libderiv->deriv_classes[3][6][2] = int_stack + 17818;
 Libderiv->deriv_classes[3][7][2] = int_stack + 18098;
 Libderiv->deriv_classes[3][8][2] = int_stack + 18458;
 Libderiv->deriv_classes[3][9][2] = int_stack + 18908;
 Libderiv->deriv_classes[2][6][1] = int_stack + 19458;
 Libderiv->deriv_classes[2][7][1] = int_stack + 19626;
 Libderiv->deriv_classes[2][8][1] = int_stack + 19842;
 Libderiv->deriv_classes[2][9][1] = int_stack + 20112;
 Libderiv->deriv_classes[3][6][1] = int_stack + 20442;
 Libderiv->deriv_classes[3][7][1] = int_stack + 20722;
 Libderiv->deriv_classes[3][8][1] = int_stack + 21082;
 Libderiv->deriv_classes[3][9][1] = int_stack + 21532;
 Libderiv->dvrr_classes[2][6] = int_stack + 22082;
 Libderiv->dvrr_classes[2][7] = int_stack + 22250;
 Libderiv->dvrr_classes[2][8] = int_stack + 22466;
 Libderiv->dvrr_classes[2][9] = int_stack + 22736;
 Libderiv->deriv_classes[2][6][0] = int_stack + 23066;
 Libderiv->deriv_classes[2][7][0] = int_stack + 23234;
 Libderiv->deriv_classes[2][8][0] = int_stack + 23450;
 Libderiv->deriv_classes[2][9][0] = int_stack + 23720;
 Libderiv->deriv_classes[3][6][0] = int_stack + 24050;
 Libderiv->deriv_classes[3][7][0] = int_stack + 24330;
 Libderiv->deriv_classes[3][8][0] = int_stack + 24690;
 Libderiv->deriv_classes[3][9][0] = int_stack + 25140;
 memset(int_stack,0,205520);

 Libderiv->dvrr_stack = int_stack + 65596;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_dpif(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25690,int_stack+22250,int_stack+22082,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+26194,int_stack+22466,int_stack+22250,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+26842,int_stack+26194,int_stack+25690,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+27850,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22082,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28354,int_stack+384,int_stack+168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22250,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29002,int_stack+28354,int_stack+27850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25690,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+30010,int_stack+654,int_stack+384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22466,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+30820,int_stack+30010,int_stack+28354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26194,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+32116,int_stack+30820,int_stack+29002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26842,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+27850,int_stack+14664,int_stack+14104,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+28690,int_stack+15384,int_stack+14664,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+29770,int_stack+28690,int_stack+27850,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+1264,int_stack+984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14104,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+33796,int_stack+1624,int_stack+1264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14664,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34876,int_stack+33796,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27850,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+2074,int_stack+1624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15384,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+36556,int_stack+0,int_stack+33796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28690,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+38716,int_stack+36556,int_stack+34876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29770,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33796,int_stack+2792,int_stack+2624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22082, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+34300,int_stack+3008,int_stack+2792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22250, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34948,int_stack+34300,int_stack+33796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25690, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+35956,int_stack+3278,int_stack+3008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22466, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+36766,int_stack+35956,int_stack+34300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26194, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+36766,int_stack+34948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26842, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33796,int_stack+3888,int_stack+3608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14104, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+34636,int_stack+4248,int_stack+3888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14664, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+35716,int_stack+34636,int_stack+33796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27850, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1680,int_stack+4698,int_stack+4248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15384, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3030,int_stack+1680,int_stack+34636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28690, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+41516,int_stack+3030,int_stack+35716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29770, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+5416,int_stack+5248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22082, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2184,int_stack+5632,int_stack+5416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22250, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2832,int_stack+2184,int_stack+1680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25690, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3840,int_stack+5902,int_stack+5632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22466, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4650,int_stack+3840,int_stack+2184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26194, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+33796,int_stack+4650,int_stack+2832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26842, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+6512,int_stack+6232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14104, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2520,int_stack+6872,int_stack+6512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14664, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3600,int_stack+2520,int_stack+1680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27850, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5280,int_stack+7322,int_stack+6872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15384, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+35476,int_stack+5280,int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28690, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+44316,int_stack+35476,int_stack+3600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29770, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35476,int_stack+8040,int_stack+7872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35980,int_stack+8256,int_stack+8040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36628,int_stack+35980,int_stack+35476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+37636,int_stack+8526,int_stack+8256, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1680,int_stack+37636,int_stack+35980, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26194, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2976,int_stack+1680,int_stack+36628, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+9136,int_stack+8856, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35476,int_stack+9496,int_stack+9136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36556,int_stack+35476,int_stack+1680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4656,int_stack+9946,int_stack+9496, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+6006,int_stack+4656,int_stack+35476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+47116,int_stack+6006,int_stack+36556, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35476,int_stack+10664,int_stack+10496, 0.0, zero_stack, 1.0, int_stack+22082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35980,int_stack+10880,int_stack+10664, 0.0, zero_stack, 1.0, int_stack+22250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36628,int_stack+35980,int_stack+35476, 0.0, zero_stack, 1.0, int_stack+25690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+37636,int_stack+11150,int_stack+10880, 0.0, zero_stack, 1.0, int_stack+22466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1680,int_stack+37636,int_stack+35980, 0.0, zero_stack, 1.0, int_stack+26194, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4656,int_stack+1680,int_stack+36628, 0.0, zero_stack, 1.0, int_stack+26842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+11760,int_stack+11480, 0.0, zero_stack, 1.0, int_stack+14104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35476,int_stack+12120,int_stack+11760, 0.0, zero_stack, 1.0, int_stack+14664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36556,int_stack+35476,int_stack+1680, 0.0, zero_stack, 1.0, int_stack+27850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6336,int_stack+12570,int_stack+12120, 0.0, zero_stack, 1.0, int_stack+15384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7686,int_stack+6336,int_stack+35476, 0.0, zero_stack, 1.0, int_stack+28690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+9846,int_stack+7686,int_stack+36556, 0.0, zero_stack, 1.0, int_stack+29770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35476,int_stack+13288,int_stack+13120, 1.0, int_stack+22082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35980,int_stack+13504,int_stack+13288, 1.0, int_stack+22250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36628,int_stack+35980,int_stack+35476, 1.0, int_stack+25690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+37636,int_stack+13774,int_stack+13504, 1.0, int_stack+22466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1680,int_stack+37636,int_stack+35980, 1.0, int_stack+26194, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6336,int_stack+1680,int_stack+36628, 1.0, int_stack+26842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+15024,int_stack+14384, 1.0, int_stack+14104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35476,int_stack+15834,int_stack+15024, 1.0, int_stack+14664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36556,int_stack+35476,int_stack+1680, 1.0, int_stack+27850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8016,int_stack+16284,int_stack+15834, 1.0, int_stack+15384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+12646,int_stack+8016,int_stack+35476, 1.0, int_stack+28690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+49916,int_stack+12646,int_stack+36556, 1.0, int_stack+29770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12646,int_stack+22736,int_stack+22466,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1680,int_stack+12646,int_stack+26194,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+12646,int_stack+1680,int_stack+26842,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+17002,int_stack+16834,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2184,int_stack+17218,int_stack+17002,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+14326,int_stack+2184,int_stack+1680,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+15334,int_stack+17488,int_stack+17218,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+16144,int_stack+15334,int_stack+2184,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+35476,int_stack+16144,int_stack+14326,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+14326,int_stack+18098,int_stack+17818,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+15166,int_stack+18458,int_stack+18098,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+16246,int_stack+15166,int_stack+14326,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+37156,int_stack+18908,int_stack+18458,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+25690,int_stack+37156,int_stack+15166,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+27850,int_stack+25690,int_stack+16246,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25690,int_stack+19626,int_stack+19458,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+26194,int_stack+19842,int_stack+19626,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+26842,int_stack+26194,int_stack+25690,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+37156,int_stack+20112,int_stack+19842,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1680,int_stack+37156,int_stack+26194,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+14326,int_stack+1680,int_stack+26842,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+20722,int_stack+20442,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+37156,int_stack+21082,int_stack+20722,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+25690,int_stack+37156,int_stack+1680,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+16006,int_stack+21532,int_stack+21082,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+17356,int_stack+16006,int_stack+37156,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+19516,int_stack+17356,int_stack+25690,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25690,int_stack+23234,int_stack+23066,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+26194,int_stack+23450,int_stack+23234,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+26842,int_stack+26194,int_stack+25690,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+37156,int_stack+23720,int_stack+23450,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1680,int_stack+37156,int_stack+26194,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+16006,int_stack+1680,int_stack+26842,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+24330,int_stack+24050,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+37156,int_stack+24690,int_stack+24330,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+25690,int_stack+37156,int_stack+1680,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+17686,int_stack+25140,int_stack+24690,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+22316,int_stack+17686,int_stack+37156,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+52716,int_stack+22316,int_stack+25690,10);
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+22316,int_stack+38716,int_stack+32116,280);
     Libderiv->ABCD[11] = int_stack + 22316;
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+55516,int_stack+41516,int_stack+0,280);
     Libderiv->ABCD[10] = int_stack + 55516;
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+37156,int_stack+44316,int_stack+33796,280);
     Libderiv->ABCD[9] = int_stack + 37156;
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+60556,int_stack+47116,int_stack+2976,280);
     Libderiv->ABCD[8] = int_stack + 60556;
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+42196,int_stack+9846,int_stack+4656,280);
     Libderiv->ABCD[7] = int_stack + 42196;
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+49916,int_stack+6336,280);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (dp|if) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+5040,int_stack+27850,int_stack+35476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 5040;
 /*--- compute (dp|if) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+27356,int_stack+19516,int_stack+14326, 0.0, zero_stack, 1.0, int_stack+12646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 27356;
 /*--- compute (dp|if) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+47236,int_stack+52716,int_stack+16006, 1.0, int_stack+12646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 47236;

}
