#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fphf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|hf) integrals */

void d1hrr_order_fphf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[3][7][11] = int_stack + 490;
 Libderiv->deriv_classes[3][8][11] = int_stack + 850;
 Libderiv->deriv_classes[4][5][11] = int_stack + 1300;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1615;
 Libderiv->deriv_classes[4][7][11] = int_stack + 2035;
 Libderiv->deriv_classes[4][8][11] = int_stack + 2575;
 Libderiv->deriv_classes[3][5][10] = int_stack + 3250;
 Libderiv->deriv_classes[3][6][10] = int_stack + 3460;
 Libderiv->deriv_classes[3][7][10] = int_stack + 3740;
 Libderiv->deriv_classes[3][8][10] = int_stack + 4100;
 Libderiv->deriv_classes[4][5][10] = int_stack + 4550;
 Libderiv->deriv_classes[4][6][10] = int_stack + 4865;
 Libderiv->deriv_classes[4][7][10] = int_stack + 5285;
 Libderiv->deriv_classes[4][8][10] = int_stack + 5825;
 Libderiv->deriv_classes[3][5][9] = int_stack + 6500;
 Libderiv->deriv_classes[3][6][9] = int_stack + 6710;
 Libderiv->deriv_classes[3][7][9] = int_stack + 6990;
 Libderiv->deriv_classes[3][8][9] = int_stack + 7350;
 Libderiv->deriv_classes[4][5][9] = int_stack + 7800;
 Libderiv->deriv_classes[4][6][9] = int_stack + 8115;
 Libderiv->deriv_classes[4][7][9] = int_stack + 8535;
 Libderiv->deriv_classes[4][8][9] = int_stack + 9075;
 Libderiv->deriv_classes[3][5][8] = int_stack + 9750;
 Libderiv->deriv_classes[3][6][8] = int_stack + 9960;
 Libderiv->deriv_classes[3][7][8] = int_stack + 10240;
 Libderiv->deriv_classes[3][8][8] = int_stack + 10600;
 Libderiv->deriv_classes[4][5][8] = int_stack + 11050;
 Libderiv->deriv_classes[4][6][8] = int_stack + 11365;
 Libderiv->deriv_classes[4][7][8] = int_stack + 11785;
 Libderiv->deriv_classes[4][8][8] = int_stack + 12325;
 Libderiv->deriv_classes[3][5][7] = int_stack + 13000;
 Libderiv->deriv_classes[3][6][7] = int_stack + 13210;
 Libderiv->deriv_classes[3][7][7] = int_stack + 13490;
 Libderiv->deriv_classes[3][8][7] = int_stack + 13850;
 Libderiv->deriv_classes[4][5][7] = int_stack + 14300;
 Libderiv->deriv_classes[4][6][7] = int_stack + 14615;
 Libderiv->deriv_classes[4][7][7] = int_stack + 15035;
 Libderiv->deriv_classes[4][8][7] = int_stack + 15575;
 Libderiv->deriv_classes[3][5][6] = int_stack + 16250;
 Libderiv->deriv_classes[3][6][6] = int_stack + 16460;
 Libderiv->deriv_classes[3][7][6] = int_stack + 16740;
 Libderiv->deriv_classes[3][8][6] = int_stack + 17100;
 Libderiv->dvrr_classes[4][5] = int_stack + 17550;
 Libderiv->deriv_classes[4][5][6] = int_stack + 17865;
 Libderiv->dvrr_classes[4][6] = int_stack + 18180;
 Libderiv->deriv_classes[4][6][6] = int_stack + 18600;
 Libderiv->dvrr_classes[4][7] = int_stack + 19020;
 Libderiv->deriv_classes[4][7][6] = int_stack + 19560;
 Libderiv->deriv_classes[4][8][6] = int_stack + 20100;
 Libderiv->deriv_classes[3][5][2] = int_stack + 20775;
 Libderiv->deriv_classes[3][6][2] = int_stack + 20985;
 Libderiv->deriv_classes[3][7][2] = int_stack + 21265;
 Libderiv->deriv_classes[3][8][2] = int_stack + 21625;
 Libderiv->deriv_classes[4][5][2] = int_stack + 22075;
 Libderiv->deriv_classes[4][6][2] = int_stack + 22390;
 Libderiv->deriv_classes[4][7][2] = int_stack + 22810;
 Libderiv->deriv_classes[4][8][2] = int_stack + 23350;
 Libderiv->deriv_classes[3][5][1] = int_stack + 24025;
 Libderiv->deriv_classes[3][6][1] = int_stack + 24235;
 Libderiv->deriv_classes[3][7][1] = int_stack + 24515;
 Libderiv->deriv_classes[3][8][1] = int_stack + 24875;
 Libderiv->deriv_classes[4][5][1] = int_stack + 25325;
 Libderiv->deriv_classes[4][6][1] = int_stack + 25640;
 Libderiv->deriv_classes[4][7][1] = int_stack + 26060;
 Libderiv->deriv_classes[4][8][1] = int_stack + 26600;
 Libderiv->dvrr_classes[3][5] = int_stack + 27275;
 Libderiv->dvrr_classes[3][6] = int_stack + 27485;
 Libderiv->dvrr_classes[3][7] = int_stack + 27765;
 Libderiv->dvrr_classes[3][8] = int_stack + 28125;
 Libderiv->deriv_classes[3][5][0] = int_stack + 28575;
 Libderiv->deriv_classes[3][6][0] = int_stack + 28785;
 Libderiv->deriv_classes[3][7][0] = int_stack + 29065;
 Libderiv->deriv_classes[3][8][0] = int_stack + 29425;
 Libderiv->deriv_classes[4][5][0] = int_stack + 29875;
 Libderiv->deriv_classes[4][6][0] = int_stack + 30190;
 Libderiv->deriv_classes[4][7][0] = int_stack + 30610;
 Libderiv->deriv_classes[4][8][0] = int_stack + 31150;
 memset(int_stack,0,254600);

 Libderiv->dvrr_stack = int_stack + 86380;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fphf(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+31825,int_stack+27485,int_stack+27275,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32455,int_stack+27765,int_stack+27485,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+33295,int_stack+32455,int_stack+31825,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34555,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27275,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35185,int_stack+490,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27485,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36025,int_stack+35185,int_stack+34555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31825,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37285,int_stack+850,int_stack+490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27765,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+38365,int_stack+37285,int_stack+35185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32455,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+40045,int_stack+38365,int_stack+36025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33295,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+34555,int_stack+18180,int_stack+17550,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+35500,int_stack+19020,int_stack+18180,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+36760,int_stack+35500,int_stack+34555,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+38650,int_stack+1615,int_stack+1300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17550,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+2035,int_stack+1615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18180,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42145,int_stack+0,int_stack+38650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34555,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+44035,int_stack+2575,int_stack+2035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19020,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+45655,int_stack+44035,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35500,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+45655,int_stack+42145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36760,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42145,int_stack+3460,int_stack+3250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27275, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42775,int_stack+3740,int_stack+3460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27485, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43615,int_stack+42775,int_stack+42145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31825, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+44875,int_stack+4100,int_stack+3740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27765, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+45955,int_stack+44875,int_stack+42775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32455, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+47635,int_stack+45955,int_stack+43615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33295, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42145,int_stack+4865,int_stack+4550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17550, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+43090,int_stack+5285,int_stack+4865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18180, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+44350,int_stack+43090,int_stack+42145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34555, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3150,int_stack+5825,int_stack+5285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19020, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+49735,int_stack+3150,int_stack+43090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35500, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+3150,int_stack+49735,int_stack+44350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36760, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+49735,int_stack+6710,int_stack+6500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27275, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+50365,int_stack+6990,int_stack+6710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27485, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+51205,int_stack+50365,int_stack+49735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31825, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42145,int_stack+7350,int_stack+6990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27765, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43225,int_stack+42145,int_stack+50365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32455, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+44905,int_stack+43225,int_stack+51205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33295, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42145,int_stack+8115,int_stack+7800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17550, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+43090,int_stack+8535,int_stack+8115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18180, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+49735,int_stack+43090,int_stack+42145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34555, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6300,int_stack+9075,int_stack+8535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19020, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51625,int_stack+6300,int_stack+43090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35500, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+6300,int_stack+51625,int_stack+49735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36760, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47005,int_stack+9960,int_stack+9750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49735,int_stack+10240,int_stack+9960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50575,int_stack+49735,int_stack+47005, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+51835,int_stack+10600,int_stack+10240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+52915,int_stack+51835,int_stack+49735, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+42145,int_stack+52915,int_stack+50575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+49735,int_stack+11365,int_stack+11050, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+50680,int_stack+11785,int_stack+11365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+51940,int_stack+50680,int_stack+49735, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9450,int_stack+12325,int_stack+11785, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+53830,int_stack+9450,int_stack+50680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+9450,int_stack+53830,int_stack+51940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47005,int_stack+13210,int_stack+13000, 0.0, zero_stack, 1.0, int_stack+27275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49735,int_stack+13490,int_stack+13210, 0.0, zero_stack, 1.0, int_stack+27485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50575,int_stack+49735,int_stack+47005, 0.0, zero_stack, 1.0, int_stack+31825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+51835,int_stack+13850,int_stack+13490, 0.0, zero_stack, 1.0, int_stack+27765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12600,int_stack+51835,int_stack+49735, 0.0, zero_stack, 1.0, int_stack+32455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+51835,int_stack+12600,int_stack+50575, 0.0, zero_stack, 1.0, int_stack+33295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12600,int_stack+14615,int_stack+14300, 0.0, zero_stack, 1.0, int_stack+17550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49735,int_stack+15035,int_stack+14615, 0.0, zero_stack, 1.0, int_stack+18180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+53935,int_stack+49735,int_stack+12600, 0.0, zero_stack, 1.0, int_stack+34555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12600,int_stack+15575,int_stack+15035, 0.0, zero_stack, 1.0, int_stack+19020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+55825,int_stack+12600,int_stack+49735, 0.0, zero_stack, 1.0, int_stack+35500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+12600,int_stack+55825,int_stack+53935, 0.0, zero_stack, 1.0, int_stack+36760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47005,int_stack+16460,int_stack+16250, 1.0, int_stack+27275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53935,int_stack+16740,int_stack+16460, 1.0, int_stack+27485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+54775,int_stack+53935,int_stack+47005, 1.0, int_stack+31825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56035,int_stack+17100,int_stack+16740, 1.0, int_stack+27765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+57115,int_stack+56035,int_stack+53935, 1.0, int_stack+32455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+49735,int_stack+57115,int_stack+54775, 1.0, int_stack+33295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53935,int_stack+18600,int_stack+17865, 1.0, int_stack+17550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+54880,int_stack+19560,int_stack+18600, 1.0, int_stack+18180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+56140,int_stack+54880,int_stack+53935, 1.0, int_stack+34555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+15750,int_stack+20100,int_stack+19560, 1.0, int_stack+19020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+17370,int_stack+15750,int_stack+54880, 1.0, int_stack+35500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+58030,int_stack+17370,int_stack+56140, 1.0, int_stack+36760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+15750,int_stack+28125,int_stack+27765,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+16830,int_stack+15750,int_stack+32455,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+18510,int_stack+16830,int_stack+33295,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47005,int_stack+20985,int_stack+20775,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+15750,int_stack+21265,int_stack+20985,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+16590,int_stack+15750,int_stack+47005,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+53935,int_stack+21625,int_stack+21265,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+55015,int_stack+53935,int_stack+15750,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+31825,int_stack+55015,int_stack+16590,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+15750,int_stack+22390,int_stack+22075,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16695,int_stack+22810,int_stack+22390,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+53935,int_stack+16695,int_stack+15750,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+55825,int_stack+23350,int_stack+22810,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+20610,int_stack+55825,int_stack+16695,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+33925,int_stack+20610,int_stack+53935,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47005,int_stack+24235,int_stack+24025,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+53935,int_stack+24515,int_stack+24235,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+54775,int_stack+53935,int_stack+47005,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+56035,int_stack+24875,int_stack+24515,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+20610,int_stack+56035,int_stack+53935,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+22290,int_stack+20610,int_stack+54775,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20610,int_stack+25640,int_stack+25325,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+53935,int_stack+26060,int_stack+25640,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+55195,int_stack+53935,int_stack+20610,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+20610,int_stack+26600,int_stack+26060,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24390,int_stack+20610,int_stack+53935,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+61180,int_stack+24390,int_stack+55195,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47005,int_stack+28785,int_stack+28575,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24390,int_stack+29065,int_stack+28785,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+25230,int_stack+24390,int_stack+47005,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+26490,int_stack+29425,int_stack+29065,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+20610,int_stack+26490,int_stack+24390,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+26490,int_stack+20610,int_stack+25230,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20610,int_stack+30190,int_stack+29875,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24390,int_stack+30610,int_stack+30190,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+28590,int_stack+24390,int_stack+20610,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+20610,int_stack+31150,int_stack+30610,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+53935,int_stack+20610,int_stack+24390,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+64330,int_stack+53935,int_stack+28590,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+67480,int_stack+0,int_stack+40045,210);
     Libderiv->ABCD[11] = int_stack + 67480;
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+73780,int_stack+3150,int_stack+47635,210);
     Libderiv->ABCD[10] = int_stack + 73780;
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+6300,int_stack+44905,210);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+80080,int_stack+9450,int_stack+42145,210);
     Libderiv->ABCD[8] = int_stack + 80080;
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+6300,int_stack+12600,int_stack+51835,210);
     Libderiv->ABCD[7] = int_stack + 6300;
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+37075,int_stack+58030,int_stack+49735,210);
     Libderiv->ABCD[6] = int_stack + 37075;
 /*--- compute (fp|hf) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+43375,int_stack+33925,int_stack+31825, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 43375;
 /*--- compute (fp|hf) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+28590,int_stack+61180,int_stack+22290, 0.0, zero_stack, 1.0, int_stack+18510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 28590;
 /*--- compute (fp|hf) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+49675,int_stack+64330,int_stack+26490, 1.0, int_stack+18510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 49675;

}
