#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gphg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|hg) integrals */

void d1hrr_order_gphg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 315;
 Libderiv->deriv_classes[4][7][11] = int_stack + 735;
 Libderiv->deriv_classes[4][8][11] = int_stack + 1275;
 Libderiv->deriv_classes[4][9][11] = int_stack + 1950;
 Libderiv->deriv_classes[5][5][11] = int_stack + 2775;
 Libderiv->deriv_classes[5][6][11] = int_stack + 3216;
 Libderiv->deriv_classes[5][7][11] = int_stack + 3804;
 Libderiv->deriv_classes[5][8][11] = int_stack + 4560;
 Libderiv->deriv_classes[5][9][11] = int_stack + 5505;
 Libderiv->deriv_classes[4][5][10] = int_stack + 6660;
 Libderiv->deriv_classes[4][6][10] = int_stack + 6975;
 Libderiv->deriv_classes[4][7][10] = int_stack + 7395;
 Libderiv->deriv_classes[4][8][10] = int_stack + 7935;
 Libderiv->deriv_classes[4][9][10] = int_stack + 8610;
 Libderiv->deriv_classes[5][5][10] = int_stack + 9435;
 Libderiv->deriv_classes[5][6][10] = int_stack + 9876;
 Libderiv->deriv_classes[5][7][10] = int_stack + 10464;
 Libderiv->deriv_classes[5][8][10] = int_stack + 11220;
 Libderiv->deriv_classes[5][9][10] = int_stack + 12165;
 Libderiv->deriv_classes[4][5][9] = int_stack + 13320;
 Libderiv->deriv_classes[4][6][9] = int_stack + 13635;
 Libderiv->deriv_classes[4][7][9] = int_stack + 14055;
 Libderiv->deriv_classes[4][8][9] = int_stack + 14595;
 Libderiv->deriv_classes[4][9][9] = int_stack + 15270;
 Libderiv->deriv_classes[5][5][9] = int_stack + 16095;
 Libderiv->deriv_classes[5][6][9] = int_stack + 16536;
 Libderiv->deriv_classes[5][7][9] = int_stack + 17124;
 Libderiv->deriv_classes[5][8][9] = int_stack + 17880;
 Libderiv->deriv_classes[5][9][9] = int_stack + 18825;
 Libderiv->deriv_classes[4][5][8] = int_stack + 19980;
 Libderiv->deriv_classes[4][6][8] = int_stack + 20295;
 Libderiv->deriv_classes[4][7][8] = int_stack + 20715;
 Libderiv->deriv_classes[4][8][8] = int_stack + 21255;
 Libderiv->deriv_classes[4][9][8] = int_stack + 21930;
 Libderiv->deriv_classes[5][5][8] = int_stack + 22755;
 Libderiv->deriv_classes[5][6][8] = int_stack + 23196;
 Libderiv->deriv_classes[5][7][8] = int_stack + 23784;
 Libderiv->deriv_classes[5][8][8] = int_stack + 24540;
 Libderiv->deriv_classes[5][9][8] = int_stack + 25485;
 Libderiv->deriv_classes[4][5][7] = int_stack + 26640;
 Libderiv->deriv_classes[4][6][7] = int_stack + 26955;
 Libderiv->deriv_classes[4][7][7] = int_stack + 27375;
 Libderiv->deriv_classes[4][8][7] = int_stack + 27915;
 Libderiv->deriv_classes[4][9][7] = int_stack + 28590;
 Libderiv->deriv_classes[5][5][7] = int_stack + 29415;
 Libderiv->deriv_classes[5][6][7] = int_stack + 29856;
 Libderiv->deriv_classes[5][7][7] = int_stack + 30444;
 Libderiv->deriv_classes[5][8][7] = int_stack + 31200;
 Libderiv->deriv_classes[5][9][7] = int_stack + 32145;
 Libderiv->deriv_classes[4][5][6] = int_stack + 33300;
 Libderiv->deriv_classes[4][6][6] = int_stack + 33615;
 Libderiv->deriv_classes[4][7][6] = int_stack + 34035;
 Libderiv->deriv_classes[4][8][6] = int_stack + 34575;
 Libderiv->deriv_classes[4][9][6] = int_stack + 35250;
 Libderiv->dvrr_classes[5][5] = int_stack + 36075;
 Libderiv->deriv_classes[5][5][6] = int_stack + 36516;
 Libderiv->dvrr_classes[5][6] = int_stack + 36957;
 Libderiv->deriv_classes[5][6][6] = int_stack + 37545;
 Libderiv->dvrr_classes[5][7] = int_stack + 38133;
 Libderiv->deriv_classes[5][7][6] = int_stack + 38889;
 Libderiv->dvrr_classes[5][8] = int_stack + 39645;
 Libderiv->deriv_classes[5][8][6] = int_stack + 40590;
 Libderiv->deriv_classes[5][9][6] = int_stack + 41535;
 Libderiv->deriv_classes[4][5][2] = int_stack + 42690;
 Libderiv->deriv_classes[4][6][2] = int_stack + 43005;
 Libderiv->deriv_classes[4][7][2] = int_stack + 43425;
 Libderiv->deriv_classes[4][8][2] = int_stack + 43965;
 Libderiv->deriv_classes[4][9][2] = int_stack + 44640;
 Libderiv->deriv_classes[5][5][2] = int_stack + 45465;
 Libderiv->deriv_classes[5][6][2] = int_stack + 45906;
 Libderiv->deriv_classes[5][7][2] = int_stack + 46494;
 Libderiv->deriv_classes[5][8][2] = int_stack + 47250;
 Libderiv->deriv_classes[5][9][2] = int_stack + 48195;
 Libderiv->deriv_classes[4][5][1] = int_stack + 49350;
 Libderiv->deriv_classes[4][6][1] = int_stack + 49665;
 Libderiv->deriv_classes[4][7][1] = int_stack + 50085;
 Libderiv->deriv_classes[4][8][1] = int_stack + 50625;
 Libderiv->deriv_classes[4][9][1] = int_stack + 51300;
 Libderiv->deriv_classes[5][5][1] = int_stack + 52125;
 Libderiv->deriv_classes[5][6][1] = int_stack + 52566;
 Libderiv->deriv_classes[5][7][1] = int_stack + 53154;
 Libderiv->deriv_classes[5][8][1] = int_stack + 53910;
 Libderiv->deriv_classes[5][9][1] = int_stack + 54855;
 Libderiv->dvrr_classes[4][5] = int_stack + 56010;
 Libderiv->dvrr_classes[4][6] = int_stack + 56325;
 Libderiv->dvrr_classes[4][7] = int_stack + 56745;
 Libderiv->dvrr_classes[4][8] = int_stack + 57285;
 Libderiv->dvrr_classes[4][9] = int_stack + 57960;
 Libderiv->deriv_classes[4][5][0] = int_stack + 58785;
 Libderiv->deriv_classes[4][6][0] = int_stack + 59100;
 Libderiv->deriv_classes[4][7][0] = int_stack + 59520;
 Libderiv->deriv_classes[4][8][0] = int_stack + 60060;
 Libderiv->deriv_classes[4][9][0] = int_stack + 60735;
 Libderiv->deriv_classes[5][5][0] = int_stack + 61560;
 Libderiv->deriv_classes[5][6][0] = int_stack + 62001;
 Libderiv->deriv_classes[5][7][0] = int_stack + 62589;
 Libderiv->deriv_classes[5][8][0] = int_stack + 63345;
 Libderiv->deriv_classes[5][9][0] = int_stack + 64290;
 memset(int_stack,0,523560);

 Libderiv->dvrr_stack = int_stack + 176604;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gphg(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+65445,int_stack+56325,int_stack+56010,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+66390,int_stack+56745,int_stack+56325,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+67650,int_stack+66390,int_stack+65445,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+69540,int_stack+57285,int_stack+56745,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+71160,int_stack+69540,int_stack+66390,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+73680,int_stack+71160,int_stack+67650,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+76830,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56010,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+77775,int_stack+735,int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56325,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+79035,int_stack+77775,int_stack+76830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65445,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+80925,int_stack+1275,int_stack+735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56745,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+82545,int_stack+80925,int_stack+77775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66390,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+85065,int_stack+82545,int_stack+79035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67650,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+76830,int_stack+1950,int_stack+1275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57285,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+88215,int_stack+76830,int_stack+80925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69540,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+76830,int_stack+88215,int_stack+82545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71160,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+88215,int_stack+76830,int_stack+85065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73680,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+76830,int_stack+36957,int_stack+36075,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+78153,int_stack+38133,int_stack+36957,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+79917,int_stack+78153,int_stack+76830,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+82563,int_stack+39645,int_stack+38133,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+92940,int_stack+82563,int_stack+78153,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+96468,int_stack+92940,int_stack+79917,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84831,int_stack+3216,int_stack+2775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36075,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+86154,int_stack+3804,int_stack+3216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36957,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+86154,int_stack+84831, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76830,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+100878,int_stack+4560,int_stack+3804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38133,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+103146,int_stack+100878,int_stack+86154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78153,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+106674,int_stack+103146,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79917,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+5505,int_stack+4560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39645,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+111084,int_stack+0,int_stack+100878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82563,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+111084,int_stack+103146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92940,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+111084,int_stack+0,int_stack+106674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96468,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+6975,int_stack+6660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56010, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+945,int_stack+7395,int_stack+6975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56325, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2205,int_stack+945,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65445, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4095,int_stack+7935,int_stack+7395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56745, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+100878,int_stack+4095,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66390, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+103398,int_stack+100878,int_stack+2205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67650, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+8610,int_stack+7935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57285, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+5715,int_stack+0,int_stack+4095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69540, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+5715,int_stack+100878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71160, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+4200,int_stack+0,int_stack+103398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73680, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+9876,int_stack+9435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36075, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1323,int_stack+10464,int_stack+9876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36957, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+100878,int_stack+1323,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76830, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+103524,int_stack+11220,int_stack+10464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38133, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+105792,int_stack+103524,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78153, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+117699,int_stack+105792,int_stack+100878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79917, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+12165,int_stack+11220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39645, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+122109,int_stack+0,int_stack+103524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82563, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+126645,int_stack+122109,int_stack+105792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92940, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+100878,int_stack+126645,int_stack+117699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96468, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+117699,int_stack+13635,int_stack+13320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56010, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+118644,int_stack+14055,int_stack+13635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56325, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+119904,int_stack+118644,int_stack+117699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65445, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+121794,int_stack+14595,int_stack+14055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56745, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+123414,int_stack+121794,int_stack+118644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66390, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+125934,int_stack+123414,int_stack+119904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67650, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+117699,int_stack+15270,int_stack+14595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57285, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+129084,int_stack+117699,int_stack+121794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69540, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+129084,int_stack+123414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71160, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+117699,int_stack+0,int_stack+125934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73680, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+16536,int_stack+16095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36075, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1323,int_stack+17124,int_stack+16536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36957, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+122424,int_stack+1323,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76830, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+125070,int_stack+17880,int_stack+17124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38133, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+127338,int_stack+125070,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78153, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8925,int_stack+127338,int_stack+122424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79917, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+18825,int_stack+17880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39645, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13335,int_stack+0,int_stack+125070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82563, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+130866,int_stack+13335,int_stack+127338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+13335,int_stack+130866,int_stack+8925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96468, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8925,int_stack+20295,int_stack+19980, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9870,int_stack+20715,int_stack+20295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11130,int_stack+9870,int_stack+8925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+21255,int_stack+20715, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1620,int_stack+0,int_stack+9870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+122424,int_stack+1620,int_stack+11130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8925,int_stack+21930,int_stack+21255, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+125574,int_stack+8925,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8925,int_stack+125574,int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+125574,int_stack+8925,int_stack+122424, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+122424,int_stack+23196,int_stack+22755, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123747,int_stack+23784,int_stack+23196, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36957, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8925,int_stack+123747,int_stack+122424, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+130299,int_stack+24540,int_stack+23784, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+132567,int_stack+130299,int_stack+123747, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+19950,int_stack+132567,int_stack+8925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8925,int_stack+25485,int_stack+24540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+136095,int_stack+8925,int_stack+130299, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+140631,int_stack+136095,int_stack+132567, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+130299,int_stack+140631,int_stack+19950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19950,int_stack+26955,int_stack+26640, 0.0, zero_stack, 1.0, int_stack+56010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20895,int_stack+27375,int_stack+26955, 0.0, zero_stack, 1.0, int_stack+56325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22155,int_stack+20895,int_stack+19950, 0.0, zero_stack, 1.0, int_stack+65445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+24045,int_stack+27915,int_stack+27375, 0.0, zero_stack, 1.0, int_stack+56745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+136914,int_stack+24045,int_stack+20895, 0.0, zero_stack, 1.0, int_stack+66390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+122424,int_stack+136914,int_stack+22155, 0.0, zero_stack, 1.0, int_stack+67650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19950,int_stack+28590,int_stack+27915, 0.0, zero_stack, 1.0, int_stack+57285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+25665,int_stack+19950,int_stack+24045, 0.0, zero_stack, 1.0, int_stack+69540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+25665,int_stack+136914, 0.0, zero_stack, 1.0, int_stack+71160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+136914,int_stack+0,int_stack+122424, 0.0, zero_stack, 1.0, int_stack+73680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+122424,int_stack+29856,int_stack+29415, 0.0, zero_stack, 1.0, int_stack+36075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123747,int_stack+30444,int_stack+29856, 0.0, zero_stack, 1.0, int_stack+36957, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+123747,int_stack+122424, 0.0, zero_stack, 1.0, int_stack+76830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+141639,int_stack+31200,int_stack+30444, 0.0, zero_stack, 1.0, int_stack+38133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+143907,int_stack+141639,int_stack+123747, 0.0, zero_stack, 1.0, int_stack+78153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8925,int_stack+143907,int_stack+0, 0.0, zero_stack, 1.0, int_stack+79917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+32145,int_stack+31200, 0.0, zero_stack, 1.0, int_stack+39645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19950,int_stack+0,int_stack+141639, 0.0, zero_stack, 1.0, int_stack+82563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+24486,int_stack+19950,int_stack+143907, 0.0, zero_stack, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+141639,int_stack+24486,int_stack+8925, 0.0, zero_stack, 1.0, int_stack+96468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8925,int_stack+33615,int_stack+33300, 1.0, int_stack+56010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9870,int_stack+34035,int_stack+33615, 1.0, int_stack+56325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11130,int_stack+9870,int_stack+8925, 1.0, int_stack+65445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19950,int_stack+34575,int_stack+34035, 1.0, int_stack+56745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+21570,int_stack+19950,int_stack+9870, 1.0, int_stack+66390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+122424,int_stack+21570,int_stack+11130, 1.0, int_stack+67650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+65445,int_stack+35250,int_stack+34575, 1.0, int_stack+57285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+8925,int_stack+65445,int_stack+19950, 1.0, int_stack+69540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+8925,int_stack+21570, 1.0, int_stack+71160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+19950,int_stack+0,int_stack+122424, 1.0, int_stack+73680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+122424,int_stack+37545,int_stack+36516, 1.0, int_stack+36075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123747,int_stack+38889,int_stack+37545, 1.0, int_stack+36957, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+123747,int_stack+122424, 1.0, int_stack+76830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8925,int_stack+40590,int_stack+38889, 1.0, int_stack+38133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+24675,int_stack+8925,int_stack+123747, 1.0, int_stack+78153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+28203,int_stack+24675,int_stack+0, 1.0, int_stack+79917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+41535,int_stack+40590, 1.0, int_stack+39645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+76830,int_stack+0,int_stack+8925, 1.0, int_stack+82563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+81366,int_stack+76830,int_stack+24675, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+32613,int_stack+81366,int_stack+28203, 1.0, int_stack+96468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+92940,int_stack+57960,int_stack+57285,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+94965,int_stack+92940,int_stack+69540,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+94965,int_stack+71160,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+92940,int_stack+0,int_stack+73680,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+43005,int_stack+42690,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+945,int_stack+43425,int_stack+43005,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+2205,int_stack+945,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+97665,int_stack+43965,int_stack+43425,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24675,int_stack+97665,int_stack+945,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+122424,int_stack+24675,int_stack+2205,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+44640,int_stack+43965,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+27195,int_stack+0,int_stack+97665,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+27195,int_stack+24675,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+24675,int_stack+0,int_stack+122424,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+122424,int_stack+45906,int_stack+45465,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+123747,int_stack+46494,int_stack+45906,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+123747,int_stack+122424,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+29400,int_stack+47250,int_stack+46494,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8925,int_stack+29400,int_stack+123747,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+39228,int_stack+8925,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+48195,int_stack+47250,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+43638,int_stack+0,int_stack+29400,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+65445,int_stack+43638,int_stack+8925,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+71325,int_stack+65445,int_stack+39228,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39228,int_stack+49665,int_stack+49350,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+40173,int_stack+50085,int_stack+49665,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+41433,int_stack+40173,int_stack+39228,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+43323,int_stack+50625,int_stack+50085,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+44943,int_stack+43323,int_stack+40173,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+122424,int_stack+44943,int_stack+41433,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+39228,int_stack+51300,int_stack+50625,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+47463,int_stack+39228,int_stack+43323,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+47463,int_stack+44943,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+39228,int_stack+0,int_stack+122424,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+122424,int_stack+52566,int_stack+52125,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+123747,int_stack+53154,int_stack+52566,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+123747,int_stack+122424,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+43953,int_stack+53910,int_stack+53154,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+46221,int_stack+43953,int_stack+123747,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+8925,int_stack+46221,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+54855,int_stack+53910,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+49749,int_stack+0,int_stack+43953,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+65445,int_stack+49749,int_stack+46221,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+43953,int_stack+65445,int_stack+8925,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+8925,int_stack+59100,int_stack+58785,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9870,int_stack+59520,int_stack+59100,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+11130,int_stack+9870,int_stack+8925,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+65445,int_stack+60060,int_stack+59520,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67065,int_stack+65445,int_stack+9870,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+122424,int_stack+67065,int_stack+11130,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8925,int_stack+60735,int_stack+60060,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+50568,int_stack+8925,int_stack+65445,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+50568,int_stack+67065,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+50568,int_stack+0,int_stack+122424,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+122424,int_stack+62001,int_stack+61560,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+123747,int_stack+62589,int_stack+62001,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+123747,int_stack+122424,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+55293,int_stack+63345,int_stack+62589,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+57561,int_stack+55293,int_stack+123747,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+8925,int_stack+57561,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+64290,int_stack+63345,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+61089,int_stack+0,int_stack+55293,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+77940,int_stack+61089,int_stack+57561,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+55293,int_stack+77940,int_stack+8925,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+148254,int_stack+111084,int_stack+88215,315);
     Libderiv->ABCD[11] = int_stack + 148254;
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+77940,int_stack+100878,int_stack+4200,315);
     Libderiv->ABCD[10] = int_stack + 77940;
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+97665,int_stack+13335,int_stack+117699,315);
     Libderiv->ABCD[9] = int_stack + 97665;
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+130299,int_stack+125574,315);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+111840,int_stack+141639,int_stack+136914,315);
     Libderiv->ABCD[7] = int_stack + 111840;
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+126015,int_stack+32613,int_stack+19950,315);
     Libderiv->ABCD[6] = int_stack + 126015;
 /*--- compute (gp|hg) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+162429,int_stack+71325,int_stack+24675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[2] = int_stack + 162429;
 /*--- compute (gp|hg) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+61908,int_stack+43953,int_stack+39228, 0.0, zero_stack, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[1] = int_stack + 61908;
 /*--- compute (gp|hg) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+14175,int_stack+55293,int_stack+50568, 1.0, int_stack+92940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[0] = int_stack + 14175;

}
