#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ipih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ip|ih) integrals */

void d1hrr_order_ipih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[6][10][11] = int_stack + 4592;
 Libderiv->deriv_classes[6][11][11] = int_stack + 6440;
 Libderiv->deriv_classes[7][6][11] = int_stack + 8624;
 Libderiv->deriv_classes[7][7][11] = int_stack + 9632;
 Libderiv->deriv_classes[7][8][11] = int_stack + 10928;
 Libderiv->deriv_classes[7][9][11] = int_stack + 12548;
 Libderiv->deriv_classes[7][10][11] = int_stack + 14528;
 Libderiv->deriv_classes[7][11][11] = int_stack + 16904;
 Libderiv->deriv_classes[6][6][10] = int_stack + 19712;
 Libderiv->deriv_classes[6][7][10] = int_stack + 20496;
 Libderiv->deriv_classes[6][8][10] = int_stack + 21504;
 Libderiv->deriv_classes[6][9][10] = int_stack + 22764;
 Libderiv->deriv_classes[6][10][10] = int_stack + 24304;
 Libderiv->deriv_classes[6][11][10] = int_stack + 26152;
 Libderiv->deriv_classes[7][6][10] = int_stack + 28336;
 Libderiv->deriv_classes[7][7][10] = int_stack + 29344;
 Libderiv->deriv_classes[7][8][10] = int_stack + 30640;
 Libderiv->deriv_classes[7][9][10] = int_stack + 32260;
 Libderiv->deriv_classes[7][10][10] = int_stack + 34240;
 Libderiv->deriv_classes[7][11][10] = int_stack + 36616;
 Libderiv->deriv_classes[6][6][9] = int_stack + 39424;
 Libderiv->deriv_classes[6][7][9] = int_stack + 40208;
 Libderiv->deriv_classes[6][8][9] = int_stack + 41216;
 Libderiv->deriv_classes[6][9][9] = int_stack + 42476;
 Libderiv->deriv_classes[6][10][9] = int_stack + 44016;
 Libderiv->deriv_classes[6][11][9] = int_stack + 45864;
 Libderiv->deriv_classes[7][6][9] = int_stack + 48048;
 Libderiv->deriv_classes[7][7][9] = int_stack + 49056;
 Libderiv->deriv_classes[7][8][9] = int_stack + 50352;
 Libderiv->deriv_classes[7][9][9] = int_stack + 51972;
 Libderiv->deriv_classes[7][10][9] = int_stack + 53952;
 Libderiv->deriv_classes[7][11][9] = int_stack + 56328;
 Libderiv->deriv_classes[6][6][8] = int_stack + 59136;
 Libderiv->deriv_classes[6][7][8] = int_stack + 59920;
 Libderiv->deriv_classes[6][8][8] = int_stack + 60928;
 Libderiv->deriv_classes[6][9][8] = int_stack + 62188;
 Libderiv->deriv_classes[6][10][8] = int_stack + 63728;
 Libderiv->deriv_classes[6][11][8] = int_stack + 65576;
 Libderiv->deriv_classes[7][6][8] = int_stack + 67760;
 Libderiv->deriv_classes[7][7][8] = int_stack + 68768;
 Libderiv->deriv_classes[7][8][8] = int_stack + 70064;
 Libderiv->deriv_classes[7][9][8] = int_stack + 71684;
 Libderiv->deriv_classes[7][10][8] = int_stack + 73664;
 Libderiv->deriv_classes[7][11][8] = int_stack + 76040;
 Libderiv->deriv_classes[6][6][7] = int_stack + 78848;
 Libderiv->deriv_classes[6][7][7] = int_stack + 79632;
 Libderiv->deriv_classes[6][8][7] = int_stack + 80640;
 Libderiv->deriv_classes[6][9][7] = int_stack + 81900;
 Libderiv->deriv_classes[6][10][7] = int_stack + 83440;
 Libderiv->deriv_classes[6][11][7] = int_stack + 85288;
 Libderiv->deriv_classes[7][6][7] = int_stack + 87472;
 Libderiv->deriv_classes[7][7][7] = int_stack + 88480;
 Libderiv->deriv_classes[7][8][7] = int_stack + 89776;
 Libderiv->deriv_classes[7][9][7] = int_stack + 91396;
 Libderiv->deriv_classes[7][10][7] = int_stack + 93376;
 Libderiv->deriv_classes[7][11][7] = int_stack + 95752;
 Libderiv->deriv_classes[6][6][6] = int_stack + 98560;
 Libderiv->deriv_classes[6][7][6] = int_stack + 99344;
 Libderiv->deriv_classes[6][8][6] = int_stack + 100352;
 Libderiv->deriv_classes[6][9][6] = int_stack + 101612;
 Libderiv->deriv_classes[6][10][6] = int_stack + 103152;
 Libderiv->deriv_classes[6][11][6] = int_stack + 105000;
 Libderiv->dvrr_classes[7][6] = int_stack + 107184;
 Libderiv->deriv_classes[7][6][6] = int_stack + 108192;
 Libderiv->dvrr_classes[7][7] = int_stack + 109200;
 Libderiv->deriv_classes[7][7][6] = int_stack + 110496;
 Libderiv->dvrr_classes[7][8] = int_stack + 111792;
 Libderiv->deriv_classes[7][8][6] = int_stack + 113412;
 Libderiv->dvrr_classes[7][9] = int_stack + 115032;
 Libderiv->deriv_classes[7][9][6] = int_stack + 117012;
 Libderiv->dvrr_classes[7][10] = int_stack + 118992;
 Libderiv->deriv_classes[7][10][6] = int_stack + 121368;
 Libderiv->deriv_classes[7][11][6] = int_stack + 123744;
 Libderiv->deriv_classes[6][6][2] = int_stack + 126552;
 Libderiv->deriv_classes[6][7][2] = int_stack + 127336;
 Libderiv->deriv_classes[6][8][2] = int_stack + 128344;
 Libderiv->deriv_classes[6][9][2] = int_stack + 129604;
 Libderiv->deriv_classes[6][10][2] = int_stack + 131144;
 Libderiv->deriv_classes[6][11][2] = int_stack + 132992;
 Libderiv->deriv_classes[7][6][2] = int_stack + 135176;
 Libderiv->deriv_classes[7][7][2] = int_stack + 136184;
 Libderiv->deriv_classes[7][8][2] = int_stack + 137480;
 Libderiv->deriv_classes[7][9][2] = int_stack + 139100;
 Libderiv->deriv_classes[7][10][2] = int_stack + 141080;
 Libderiv->deriv_classes[7][11][2] = int_stack + 143456;
 Libderiv->deriv_classes[6][6][1] = int_stack + 146264;
 Libderiv->deriv_classes[6][7][1] = int_stack + 147048;
 Libderiv->deriv_classes[6][8][1] = int_stack + 148056;
 Libderiv->deriv_classes[6][9][1] = int_stack + 149316;
 Libderiv->deriv_classes[6][10][1] = int_stack + 150856;
 Libderiv->deriv_classes[6][11][1] = int_stack + 152704;
 Libderiv->deriv_classes[7][6][1] = int_stack + 154888;
 Libderiv->deriv_classes[7][7][1] = int_stack + 155896;
 Libderiv->deriv_classes[7][8][1] = int_stack + 157192;
 Libderiv->deriv_classes[7][9][1] = int_stack + 158812;
 Libderiv->deriv_classes[7][10][1] = int_stack + 160792;
 Libderiv->deriv_classes[7][11][1] = int_stack + 163168;
 Libderiv->dvrr_classes[6][6] = int_stack + 165976;
 Libderiv->dvrr_classes[6][7] = int_stack + 166760;
 Libderiv->dvrr_classes[6][8] = int_stack + 167768;
 Libderiv->dvrr_classes[6][9] = int_stack + 169028;
 Libderiv->dvrr_classes[6][10] = int_stack + 170568;
 Libderiv->dvrr_classes[6][11] = int_stack + 172416;
 Libderiv->deriv_classes[6][6][0] = int_stack + 174600;
 Libderiv->deriv_classes[6][7][0] = int_stack + 175384;
 Libderiv->deriv_classes[6][8][0] = int_stack + 176392;
 Libderiv->deriv_classes[6][9][0] = int_stack + 177652;
 Libderiv->deriv_classes[6][10][0] = int_stack + 179192;
 Libderiv->deriv_classes[6][11][0] = int_stack + 181040;
 Libderiv->deriv_classes[7][6][0] = int_stack + 183224;
 Libderiv->deriv_classes[7][7][0] = int_stack + 184232;
 Libderiv->deriv_classes[7][8][0] = int_stack + 185528;
 Libderiv->deriv_classes[7][9][0] = int_stack + 187148;
 Libderiv->deriv_classes[7][10][0] = int_stack + 189128;
 Libderiv->deriv_classes[7][11][0] = int_stack + 191504;
 memset(int_stack,0,1554496);

 Libderiv->dvrr_stack = int_stack + 645672;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ipih(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+194312,int_stack+166760,int_stack+165976,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+196664,int_stack+167768,int_stack+166760,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+199688,int_stack+196664,int_stack+194312,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+204392,int_stack+169028,int_stack+167768,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+208172,int_stack+204392,int_stack+196664,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+214220,int_stack+208172,int_stack+199688,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+222060,int_stack+170568,int_stack+169028,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+226680,int_stack+222060,int_stack+204392,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+234240,int_stack+226680,int_stack+208172,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+244320,int_stack+234240,int_stack+214220,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+256080,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165976,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+258432,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166760,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+261456,int_stack+258432,int_stack+256080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194312,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+266160,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167768,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+269940,int_stack+266160,int_stack+258432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196664,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+275988,int_stack+269940,int_stack+261456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199688,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+256080,int_stack+4592,int_stack+3052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169028,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+283828,int_stack+256080,int_stack+266160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204392,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+291388,int_stack+283828,int_stack+269940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208172,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+260700,int_stack+291388,int_stack+275988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214220,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+272460,int_stack+6440,int_stack+4592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170568,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+301468,int_stack+272460,int_stack+256080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222060,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+310708,int_stack+301468,int_stack+283828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226680,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+272460,int_stack+310708,int_stack+291388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234240,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+287580,int_stack+272460,int_stack+260700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244320,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+256080,int_stack+109200,int_stack+107184,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+259104,int_stack+111792,int_stack+109200,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+262992,int_stack+259104,int_stack+256080,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+269040,int_stack+115032,int_stack+111792,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+273900,int_stack+269040,int_stack+259104,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+304044,int_stack+273900,int_stack+262992,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+314124,int_stack+118992,int_stack+115032,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+320064,int_stack+314124,int_stack+269040,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+329784,int_stack+320064,int_stack+273900,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+342744,int_stack+329784,int_stack+304044,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+281676,int_stack+9632,int_stack+8624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107184,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+10928,int_stack+9632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109200,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3888,int_stack+0,int_stack+281676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256080,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+281676,int_stack+12548,int_stack+10928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111792,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+357864,int_stack+281676,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259104,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+365640,int_stack+357864,int_stack+3888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262992,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+14528,int_stack+12548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+375720,int_stack+0,int_stack+281676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269040,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+385440,int_stack+375720,int_stack+357864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+273900,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+398400,int_stack+385440,int_stack+365640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304044,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+357864,int_stack+16904,int_stack+14528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118992,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+5940,int_stack+357864,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314124,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+357864,int_stack+5940,int_stack+375720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+320064,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+357864,int_stack+385440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+329784,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+357864,int_stack+0,int_stack+398400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342744,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+20496,int_stack+19712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165976, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+21504,int_stack+20496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166760, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194312, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+22764,int_stack+21504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167768, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196664, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+379032,int_stack+13860,int_stack+5376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199688, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+24304,int_stack+22764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169028, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+386872,int_stack+0,int_stack+10080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204392, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+394432,int_stack+386872,int_stack+13860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208172, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4620,int_stack+394432,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214220, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+379032,int_stack+26152,int_stack+24304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170568, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+16380,int_stack+379032,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222060, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+404512,int_stack+16380,int_stack+386872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226680, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+379032,int_stack+404512,int_stack+394432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234240, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+394152,int_stack+379032,int_stack+4620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244320, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+29344,int_stack+28336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107184, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+382056,int_stack+30640,int_stack+29344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109200, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+385944,int_stack+382056,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256080, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+32260,int_stack+30640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111792, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4860,int_stack+0,int_stack+382056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259104, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+12636,int_stack+4860,int_stack+385944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262992, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+34240,int_stack+32260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+22716,int_stack+379032,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269040, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+410616,int_stack+22716,int_stack+4860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+273900, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+423576,int_stack+410616,int_stack+12636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304044, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+36616,int_stack+34240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118992, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+7128,int_stack+0,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314124, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+438696,int_stack+7128,int_stack+22716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+320064, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+438696,int_stack+410616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+329784, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+438696,int_stack+0,int_stack+423576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342744, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+40208,int_stack+39424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165976, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+41216,int_stack+40208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166760, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+42476,int_stack+41216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167768, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196664, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19908,int_stack+13860,int_stack+5376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199688, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+44016,int_stack+42476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169028, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+27748,int_stack+0,int_stack+10080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204392, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+410616,int_stack+27748,int_stack+13860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208172, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4620,int_stack+410616,int_stack+19908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214220, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+16380,int_stack+45864,int_stack+44016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170568, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+35308,int_stack+16380,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222060, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+420696,int_stack+35308,int_stack+27748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226680, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+379032,int_stack+420696,int_stack+410616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234240, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+410616,int_stack+379032,int_stack+4620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244320, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+49056,int_stack+48048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107184, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+382056,int_stack+50352,int_stack+49056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109200, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+385944,int_stack+382056,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256080, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+427080,int_stack+51972,int_stack+50352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111792, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+427080,int_stack+382056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259104, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+7776,int_stack+0,int_stack+385944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262992, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+53952,int_stack+51972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+17856,int_stack+379032,int_stack+427080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269040, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+27576,int_stack+17856,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+273900, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+459864,int_stack+27576,int_stack+7776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304044, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+56328,int_stack+53952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118992, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+40536,int_stack+0,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314124, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+0,int_stack+40536,int_stack+17856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+320064, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+474984,int_stack+0,int_stack+27576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+329784, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+0,int_stack+474984,int_stack+459864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342744, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+459864,int_stack+59920,int_stack+59136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+462216,int_stack+60928,int_stack+59920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+465240,int_stack+462216,int_stack+459864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+469944,int_stack+62188,int_stack+60928, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+473724,int_stack+469944,int_stack+462216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+479772,int_stack+473724,int_stack+465240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+459864,int_stack+63728,int_stack+62188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+21168,int_stack+459864,int_stack+469944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+28728,int_stack+21168,int_stack+473724, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+464484,int_stack+28728,int_stack+479772, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+476244,int_stack+65576,int_stack+63728, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+481788,int_stack+476244,int_stack+459864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+38808,int_stack+481788,int_stack+21168, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+379032,int_stack+38808,int_stack+28728, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+21168,int_stack+379032,int_stack+464484, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+68768,int_stack+67760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+382056,int_stack+70064,int_stack+68768, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+385944,int_stack+382056,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+37632,int_stack+71684,int_stack+70064, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+42492,int_stack+37632,int_stack+382056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+50268,int_stack+42492,int_stack+385944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+73664,int_stack+71684, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+60348,int_stack+379032,int_stack+37632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+459864,int_stack+60348,int_stack+42492, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+273900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+472824,int_stack+459864,int_stack+50268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+37632,int_stack+76040,int_stack+73664, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+44760,int_stack+37632,int_stack+379032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+487944,int_stack+44760,int_stack+60348, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+320064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+37632,int_stack+487944,int_stack+459864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+329784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+57072,int_stack+37632,int_stack+472824, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+37632,int_stack+79632,int_stack+78848, 0.0, zero_stack, 1.0, int_stack+165976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39984,int_stack+80640,int_stack+79632, 0.0, zero_stack, 1.0, int_stack+166760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43008,int_stack+39984,int_stack+37632, 0.0, zero_stack, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+47712,int_stack+81900,int_stack+80640, 0.0, zero_stack, 1.0, int_stack+167768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+459864,int_stack+47712,int_stack+39984, 0.0, zero_stack, 1.0, int_stack+196664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+465912,int_stack+459864,int_stack+43008, 0.0, zero_stack, 1.0, int_stack+199688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+37632,int_stack+83440,int_stack+81900, 0.0, zero_stack, 1.0, int_stack+169028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+473752,int_stack+37632,int_stack+47712, 0.0, zero_stack, 1.0, int_stack+204392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+42252,int_stack+473752,int_stack+459864, 0.0, zero_stack, 1.0, int_stack+208172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+481312,int_stack+42252,int_stack+465912, 0.0, zero_stack, 1.0, int_stack+214220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+459864,int_stack+85288,int_stack+83440, 0.0, zero_stack, 1.0, int_stack+170568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+493072,int_stack+459864,int_stack+37632, 0.0, zero_stack, 1.0, int_stack+222060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+459864,int_stack+493072,int_stack+473752, 0.0, zero_stack, 1.0, int_stack+226680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+379032,int_stack+459864,int_stack+42252, 0.0, zero_stack, 1.0, int_stack+234240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+459864,int_stack+379032,int_stack+481312, 0.0, zero_stack, 1.0, int_stack+244320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+88480,int_stack+87472, 0.0, zero_stack, 1.0, int_stack+107184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+382056,int_stack+89776,int_stack+88480, 0.0, zero_stack, 1.0, int_stack+109200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+385944,int_stack+382056,int_stack+379032, 0.0, zero_stack, 1.0, int_stack+256080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+476328,int_stack+91396,int_stack+89776, 0.0, zero_stack, 1.0, int_stack+111792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+481188,int_stack+476328,int_stack+382056, 0.0, zero_stack, 1.0, int_stack+259104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+488964,int_stack+481188,int_stack+385944, 0.0, zero_stack, 1.0, int_stack+262992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+93376,int_stack+91396, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+37632,int_stack+379032,int_stack+476328, 0.0, zero_stack, 1.0, int_stack+269040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+78240,int_stack+37632,int_stack+481188, 0.0, zero_stack, 1.0, int_stack+273900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+499044,int_stack+78240,int_stack+488964, 0.0, zero_stack, 1.0, int_stack+304044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+476328,int_stack+95752,int_stack+93376, 0.0, zero_stack, 1.0, int_stack+118992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+483456,int_stack+476328,int_stack+379032, 0.0, zero_stack, 1.0, int_stack+314124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+514164,int_stack+483456,int_stack+37632, 0.0, zero_stack, 1.0, int_stack+320064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+37632,int_stack+514164,int_stack+78240, 0.0, zero_stack, 1.0, int_stack+329784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+476328,int_stack+37632,int_stack+499044, 0.0, zero_stack, 1.0, int_stack+342744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+37632,int_stack+99344,int_stack+98560, 1.0, int_stack+165976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39984,int_stack+100352,int_stack+99344, 1.0, int_stack+166760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43008,int_stack+39984,int_stack+37632, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+47712,int_stack+101612,int_stack+100352, 1.0, int_stack+167768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+78240,int_stack+47712,int_stack+39984, 1.0, int_stack+196664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+84288,int_stack+78240,int_stack+43008, 1.0, int_stack+199688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+194312,int_stack+103152,int_stack+101612, 1.0, int_stack+169028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+37632,int_stack+194312,int_stack+47712, 1.0, int_stack+204392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+45192,int_stack+37632,int_stack+78240, 1.0, int_stack+208172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+198932,int_stack+45192,int_stack+84288, 1.0, int_stack+214220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+78240,int_stack+105000,int_stack+103152, 1.0, int_stack+170568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+83784,int_stack+78240,int_stack+194312, 1.0, int_stack+222060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+93024,int_stack+83784,int_stack+37632, 1.0, int_stack+226680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+379032,int_stack+93024,int_stack+45192, 1.0, int_stack+234240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+37632,int_stack+379032,int_stack+198932, 1.0, int_stack+244320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+110496,int_stack+108192, 1.0, int_stack+107184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+382056,int_stack+113412,int_stack+110496, 1.0, int_stack+109200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+385944,int_stack+382056,int_stack+379032, 1.0, int_stack+256080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+194312,int_stack+117012,int_stack+113412, 1.0, int_stack+111792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+199172,int_stack+194312,int_stack+382056, 1.0, int_stack+259104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+206948,int_stack+199172,int_stack+385944, 1.0, int_stack+262992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+256080,int_stack+121368,int_stack+117012, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+379032,int_stack+256080,int_stack+194312, 1.0, int_stack+269040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+78240,int_stack+379032,int_stack+199172, 1.0, int_stack+273900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+262020,int_stack+78240,int_stack+206948, 1.0, int_stack+304044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+304044,int_stack+123744,int_stack+121368, 1.0, int_stack+118992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+194312,int_stack+304044,int_stack+256080, 1.0, int_stack+314124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+91200,int_stack+194312,int_stack+379032, 1.0, int_stack+320064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+194312,int_stack+91200,int_stack+78240, 1.0, int_stack+329784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+78240,int_stack+194312,int_stack+262020, 1.0, int_stack+342744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+194312,int_stack+172416,int_stack+170568,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+199856,int_stack+194312,int_stack+222060,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+209096,int_stack+199856,int_stack+226680,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+379032,int_stack+209096,int_stack+234240,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+194312,int_stack+379032,int_stack+244320,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+127336,int_stack+126552,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+381384,int_stack+128344,int_stack+127336,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+384408,int_stack+381384,int_stack+379032,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+389112,int_stack+129604,int_stack+128344,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+210776,int_stack+389112,int_stack+381384,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+216824,int_stack+210776,int_stack+384408,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+131144,int_stack+129604,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+224664,int_stack+379032,int_stack+389112,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+383652,int_stack+224664,int_stack+210776,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+232224,int_stack+383652,int_stack+216824,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+210776,int_stack+132992,int_stack+131144,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+243984,int_stack+210776,int_stack+379032,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+210776,int_stack+243984,int_stack+224664,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+243984,int_stack+210776,int_stack+383652,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+210776,int_stack+243984,int_stack+232224,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+227240,int_stack+136184,int_stack+135176,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+230264,int_stack+137480,int_stack+136184,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+234152,int_stack+230264,int_stack+227240,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+240200,int_stack+139100,int_stack+137480,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+245060,int_stack+240200,int_stack+230264,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+252836,int_stack+245060,int_stack+234152,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+227240,int_stack+141080,int_stack+139100,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+262916,int_stack+227240,int_stack+240200,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+272636,int_stack+262916,int_stack+245060,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+379032,int_stack+272636,int_stack+252836,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+233180,int_stack+143456,int_stack+141080,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+240308,int_stack+233180,int_stack+227240,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+99408,int_stack+240308,int_stack+262916,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+227240,int_stack+99408,int_stack+272636,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+99408,int_stack+227240,int_stack+379032,36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+147048,int_stack+146264,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+381384,int_stack+148056,int_stack+147048,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+384408,int_stack+381384,int_stack+379032,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+389112,int_stack+149316,int_stack+148056,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+227240,int_stack+389112,int_stack+381384,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+233288,int_stack+227240,int_stack+384408,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+150856,int_stack+149316,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+241128,int_stack+379032,int_stack+389112,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+383652,int_stack+241128,int_stack+227240,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+248688,int_stack+383652,int_stack+233288,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+227240,int_stack+152704,int_stack+150856,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+260448,int_stack+227240,int_stack+379032,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+227240,int_stack+260448,int_stack+241128,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+260448,int_stack+227240,int_stack+383652,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+227240,int_stack+260448,int_stack+248688,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+243704,int_stack+155896,int_stack+154888,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+246728,int_stack+157192,int_stack+155896,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+250616,int_stack+246728,int_stack+243704,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+256664,int_stack+158812,int_stack+157192,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+261524,int_stack+256664,int_stack+246728,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+269300,int_stack+261524,int_stack+250616,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+243704,int_stack+160792,int_stack+158812,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+379032,int_stack+243704,int_stack+256664,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+120576,int_stack+379032,int_stack+261524,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+249644,int_stack+120576,int_stack+269300,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+264764,int_stack+163168,int_stack+160792,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+271892,int_stack+264764,int_stack+243704,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+133536,int_stack+271892,int_stack+379032,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+264764,int_stack+133536,int_stack+120576,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+120576,int_stack+264764,int_stack+249644,36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+141744,int_stack+175384,int_stack+174600,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+144096,int_stack+176392,int_stack+175384,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+147120,int_stack+144096,int_stack+141744,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+151824,int_stack+177652,int_stack+176392,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+155604,int_stack+151824,int_stack+144096,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+161652,int_stack+155604,int_stack+147120,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+141744,int_stack+179192,int_stack+177652,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+169492,int_stack+141744,int_stack+151824,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+379032,int_stack+169492,int_stack+155604,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+146364,int_stack+379032,int_stack+161652,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+158124,int_stack+181040,int_stack+179192,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+243704,int_stack+158124,int_stack+141744,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+252944,int_stack+243704,int_stack+169492,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+158124,int_stack+252944,int_stack+379032,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+243704,int_stack+158124,int_stack+146364,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+379032,int_stack+184232,int_stack+183224,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+382056,int_stack+185528,int_stack+184232,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+385944,int_stack+382056,int_stack+379032,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+260168,int_stack+187148,int_stack+185528,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+265028,int_stack+260168,int_stack+382056,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+272804,int_stack+265028,int_stack+385944,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+379032,int_stack+189128,int_stack+187148,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+141744,int_stack+379032,int_stack+260168,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+151464,int_stack+141744,int_stack+265028,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+164424,int_stack+151464,int_stack+272804,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+260168,int_stack+191504,int_stack+189128,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+267296,int_stack+260168,int_stack+379032,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+304044,int_stack+267296,int_stack+141744,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+260168,int_stack+304044,int_stack+151464,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+304044,int_stack+260168,int_stack+164424,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+141744,int_stack+357864,int_stack+287580,588);
     Libderiv->ABCD[11] = int_stack + 141744;
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+325212,int_stack+438696,int_stack+394152,588);
     Libderiv->ABCD[10] = int_stack + 325212;
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+497496,int_stack+0,int_stack+410616,588);
     Libderiv->ABCD[9] = int_stack + 497496;
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+374604,int_stack+57072,int_stack+21168,588);
     Libderiv->ABCD[8] = int_stack + 374604;
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+546888,int_stack+476328,int_stack+459864,588);
     Libderiv->ABCD[7] = int_stack + 546888;
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+423996,int_stack+78240,int_stack+37632,588);
     Libderiv->ABCD[6] = int_stack + 423996;
 /*--- compute (ip|ih) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+0,int_stack+99408,int_stack+210776, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[2] = int_stack + 0;
 /*--- compute (ip|ih) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+49392,int_stack+120576,int_stack+227240, 0.0, zero_stack, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[1] = int_stack + 49392;
 /*--- compute (ip|ih) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+596280,int_stack+304044,int_stack+243704, 1.0, int_stack+194312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[0] = int_stack + 596280;

}
