#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ppid(Libderiv_t *, prim_data *);

  /* Computes derivatives of (pp|id) integrals */

void d1hrr_order_ppid(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[1][8][11] = int_stack + 192;
 Libderiv->deriv_classes[2][6][11] = int_stack + 327;
 Libderiv->deriv_classes[2][7][11] = int_stack + 495;
 Libderiv->deriv_classes[2][8][11] = int_stack + 711;
 Libderiv->deriv_classes[1][6][10] = int_stack + 981;
 Libderiv->deriv_classes[1][7][10] = int_stack + 1065;
 Libderiv->deriv_classes[1][8][10] = int_stack + 1173;
 Libderiv->deriv_classes[2][6][10] = int_stack + 1308;
 Libderiv->deriv_classes[2][7][10] = int_stack + 1476;
 Libderiv->deriv_classes[2][8][10] = int_stack + 1692;
 Libderiv->deriv_classes[1][6][9] = int_stack + 1962;
 Libderiv->deriv_classes[1][7][9] = int_stack + 2046;
 Libderiv->deriv_classes[1][8][9] = int_stack + 2154;
 Libderiv->deriv_classes[2][6][9] = int_stack + 2289;
 Libderiv->deriv_classes[2][7][9] = int_stack + 2457;
 Libderiv->deriv_classes[2][8][9] = int_stack + 2673;
 Libderiv->deriv_classes[1][6][8] = int_stack + 2943;
 Libderiv->deriv_classes[1][7][8] = int_stack + 3027;
 Libderiv->deriv_classes[1][8][8] = int_stack + 3135;
 Libderiv->deriv_classes[2][6][8] = int_stack + 3270;
 Libderiv->deriv_classes[2][7][8] = int_stack + 3438;
 Libderiv->deriv_classes[2][8][8] = int_stack + 3654;
 Libderiv->deriv_classes[1][6][7] = int_stack + 3924;
 Libderiv->deriv_classes[1][7][7] = int_stack + 4008;
 Libderiv->deriv_classes[1][8][7] = int_stack + 4116;
 Libderiv->deriv_classes[2][6][7] = int_stack + 4251;
 Libderiv->deriv_classes[2][7][7] = int_stack + 4419;
 Libderiv->deriv_classes[2][8][7] = int_stack + 4635;
 Libderiv->deriv_classes[1][6][6] = int_stack + 4905;
 Libderiv->deriv_classes[1][7][6] = int_stack + 4989;
 Libderiv->deriv_classes[1][8][6] = int_stack + 5097;
 Libderiv->dvrr_classes[2][6] = int_stack + 5232;
 Libderiv->deriv_classes[2][6][6] = int_stack + 5400;
 Libderiv->dvrr_classes[2][7] = int_stack + 5568;
 Libderiv->deriv_classes[2][7][6] = int_stack + 5784;
 Libderiv->deriv_classes[2][8][6] = int_stack + 6000;
 Libderiv->deriv_classes[1][6][2] = int_stack + 6270;
 Libderiv->deriv_classes[1][7][2] = int_stack + 6354;
 Libderiv->deriv_classes[1][8][2] = int_stack + 6462;
 Libderiv->deriv_classes[2][6][2] = int_stack + 6597;
 Libderiv->deriv_classes[2][7][2] = int_stack + 6765;
 Libderiv->deriv_classes[2][8][2] = int_stack + 6981;
 Libderiv->deriv_classes[1][6][1] = int_stack + 7251;
 Libderiv->deriv_classes[1][7][1] = int_stack + 7335;
 Libderiv->deriv_classes[1][8][1] = int_stack + 7443;
 Libderiv->deriv_classes[2][6][1] = int_stack + 7578;
 Libderiv->deriv_classes[2][7][1] = int_stack + 7746;
 Libderiv->deriv_classes[2][8][1] = int_stack + 7962;
 Libderiv->dvrr_classes[1][6] = int_stack + 8232;
 Libderiv->dvrr_classes[1][7] = int_stack + 8316;
 Libderiv->dvrr_classes[1][8] = int_stack + 8424;
 Libderiv->deriv_classes[1][6][0] = int_stack + 8559;
 Libderiv->deriv_classes[1][7][0] = int_stack + 8643;
 Libderiv->deriv_classes[1][8][0] = int_stack + 8751;
 Libderiv->deriv_classes[2][6][0] = int_stack + 8886;
 Libderiv->deriv_classes[2][7][0] = int_stack + 9054;
 Libderiv->deriv_classes[2][8][0] = int_stack + 9270;
 memset(int_stack,0,76320);

 Libderiv->dvrr_stack = int_stack + 19584;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ppid(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+8316,int_stack+8232,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9792,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8232,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10044,int_stack+192,int_stack+84, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8316,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10368,int_stack+10044,int_stack+9792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9540,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9792,int_stack+5568,int_stack+5232,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+495,int_stack+327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5232,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11376,int_stack+711,int_stack+495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5568,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12024,int_stack+11376,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9792,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+1065,int_stack+981, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8232, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11124,int_stack+1173,int_stack+1065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8316, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11448,int_stack+11124,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9540, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+1476,int_stack+1308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5232, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+1692,int_stack+1476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5568, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+648,int_stack+0,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9792, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+2046,int_stack+1962, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8232, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11124,int_stack+2154,int_stack+2046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+11124,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9540, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+2457,int_stack+2289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5232, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1656,int_stack+2673,int_stack+2457, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5568, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13032,int_stack+1656,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9792, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+3027,int_stack+2943, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11124,int_stack+3135,int_stack+3027, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1656,int_stack+11124,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+3438,int_stack+3270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2160,int_stack+3654,int_stack+3438, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2808,int_stack+2160,int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+4008,int_stack+3924, 0.0, zero_stack, 1.0, int_stack+8232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11124,int_stack+4116,int_stack+4008, 0.0, zero_stack, 1.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2160,int_stack+11124,int_stack+10872, 0.0, zero_stack, 1.0, int_stack+9540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+4419,int_stack+4251, 0.0, zero_stack, 1.0, int_stack+5232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+14040,int_stack+4635,int_stack+4419, 0.0, zero_stack, 1.0, int_stack+5568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3816,int_stack+14040,int_stack+10872, 0.0, zero_stack, 1.0, int_stack+9792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+4989,int_stack+4905, 1.0, int_stack+8232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11124,int_stack+5097,int_stack+4989, 1.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14040,int_stack+11124,int_stack+10872, 1.0, int_stack+9540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10872,int_stack+5784,int_stack+5400, 1.0, int_stack+5232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4824,int_stack+6000,int_stack+5784, 1.0, int_stack+5568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14544,int_stack+4824,int_stack+10872, 1.0, int_stack+9792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9792,int_stack+8424,int_stack+8316,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+10872,int_stack+9792,int_stack+9540,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+6354,int_stack+6270,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9792,int_stack+6462,int_stack+6354,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4824,int_stack+9792,int_stack+9540,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+6765,int_stack+6597,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5328,int_stack+6981,int_stack+6765,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5976,int_stack+5328,int_stack+9540,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+7335,int_stack+7251,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9792,int_stack+7443,int_stack+7335,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5328,int_stack+9792,int_stack+9540,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+7746,int_stack+7578,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6984,int_stack+7962,int_stack+7746,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+15552,int_stack+6984,int_stack+9540,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+8643,int_stack+8559,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9792,int_stack+8751,int_stack+8643,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+6984,int_stack+9792,int_stack+9540,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9540,int_stack+9054,int_stack+8886,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+7488,int_stack+9270,int_stack+9054,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8136,int_stack+7488,int_stack+9540,6);
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+16560,int_stack+12024,int_stack+10368,168);
     Libderiv->ABCD[11] = int_stack + 16560;
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+9144,int_stack+648,int_stack+11448,168);
     Libderiv->ABCD[10] = int_stack + 9144;
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+11376,int_stack+13032,int_stack+0,168);
     Libderiv->ABCD[9] = int_stack + 11376;
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+0,int_stack+2808,int_stack+1656,168);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+18072,int_stack+3816,int_stack+2160,168);
     Libderiv->ABCD[7] = int_stack + 18072;
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+1512,int_stack+14544,int_stack+14040,168);
     Libderiv->ABCD[6] = int_stack + 1512;
 /*--- compute (pp|id) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+3024,int_stack+5976,int_stack+4824, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[2] = int_stack + 3024;
 /*--- compute (pp|id) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+12888,int_stack+15552,int_stack+5328, 0.0, zero_stack, 1.0, int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[1] = int_stack + 12888;
 /*--- compute (pp|id) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+4536,int_stack+8136,int_stack+6984, 1.0, int_stack+10872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[0] = int_stack + 4536;

}
