#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ppii(Libderiv_t *, prim_data *);

  /* Computes derivatives of (pp|ii) integrals */

void d1hrr_order_ppii(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[1][8][11] = int_stack + 192;
 Libderiv->deriv_classes[1][9][11] = int_stack + 327;
 Libderiv->deriv_classes[1][10][11] = int_stack + 492;
 Libderiv->deriv_classes[1][11][11] = int_stack + 690;
 Libderiv->deriv_classes[1][12][11] = int_stack + 924;
 Libderiv->deriv_classes[2][6][11] = int_stack + 1197;
 Libderiv->deriv_classes[2][7][11] = int_stack + 1365;
 Libderiv->deriv_classes[2][8][11] = int_stack + 1581;
 Libderiv->deriv_classes[2][9][11] = int_stack + 1851;
 Libderiv->deriv_classes[2][10][11] = int_stack + 2181;
 Libderiv->deriv_classes[2][11][11] = int_stack + 2577;
 Libderiv->deriv_classes[2][12][11] = int_stack + 3045;
 Libderiv->deriv_classes[1][6][10] = int_stack + 3591;
 Libderiv->deriv_classes[1][7][10] = int_stack + 3675;
 Libderiv->deriv_classes[1][8][10] = int_stack + 3783;
 Libderiv->deriv_classes[1][9][10] = int_stack + 3918;
 Libderiv->deriv_classes[1][10][10] = int_stack + 4083;
 Libderiv->deriv_classes[1][11][10] = int_stack + 4281;
 Libderiv->deriv_classes[1][12][10] = int_stack + 4515;
 Libderiv->deriv_classes[2][6][10] = int_stack + 4788;
 Libderiv->deriv_classes[2][7][10] = int_stack + 4956;
 Libderiv->deriv_classes[2][8][10] = int_stack + 5172;
 Libderiv->deriv_classes[2][9][10] = int_stack + 5442;
 Libderiv->deriv_classes[2][10][10] = int_stack + 5772;
 Libderiv->deriv_classes[2][11][10] = int_stack + 6168;
 Libderiv->deriv_classes[2][12][10] = int_stack + 6636;
 Libderiv->deriv_classes[1][6][9] = int_stack + 7182;
 Libderiv->deriv_classes[1][7][9] = int_stack + 7266;
 Libderiv->deriv_classes[1][8][9] = int_stack + 7374;
 Libderiv->deriv_classes[1][9][9] = int_stack + 7509;
 Libderiv->deriv_classes[1][10][9] = int_stack + 7674;
 Libderiv->deriv_classes[1][11][9] = int_stack + 7872;
 Libderiv->deriv_classes[1][12][9] = int_stack + 8106;
 Libderiv->deriv_classes[2][6][9] = int_stack + 8379;
 Libderiv->deriv_classes[2][7][9] = int_stack + 8547;
 Libderiv->deriv_classes[2][8][9] = int_stack + 8763;
 Libderiv->deriv_classes[2][9][9] = int_stack + 9033;
 Libderiv->deriv_classes[2][10][9] = int_stack + 9363;
 Libderiv->deriv_classes[2][11][9] = int_stack + 9759;
 Libderiv->deriv_classes[2][12][9] = int_stack + 10227;
 Libderiv->deriv_classes[1][6][8] = int_stack + 10773;
 Libderiv->deriv_classes[1][7][8] = int_stack + 10857;
 Libderiv->deriv_classes[1][8][8] = int_stack + 10965;
 Libderiv->deriv_classes[1][9][8] = int_stack + 11100;
 Libderiv->deriv_classes[1][10][8] = int_stack + 11265;
 Libderiv->deriv_classes[1][11][8] = int_stack + 11463;
 Libderiv->deriv_classes[1][12][8] = int_stack + 11697;
 Libderiv->deriv_classes[2][6][8] = int_stack + 11970;
 Libderiv->deriv_classes[2][7][8] = int_stack + 12138;
 Libderiv->deriv_classes[2][8][8] = int_stack + 12354;
 Libderiv->deriv_classes[2][9][8] = int_stack + 12624;
 Libderiv->deriv_classes[2][10][8] = int_stack + 12954;
 Libderiv->deriv_classes[2][11][8] = int_stack + 13350;
 Libderiv->deriv_classes[2][12][8] = int_stack + 13818;
 Libderiv->deriv_classes[1][6][7] = int_stack + 14364;
 Libderiv->deriv_classes[1][7][7] = int_stack + 14448;
 Libderiv->deriv_classes[1][8][7] = int_stack + 14556;
 Libderiv->deriv_classes[1][9][7] = int_stack + 14691;
 Libderiv->deriv_classes[1][10][7] = int_stack + 14856;
 Libderiv->deriv_classes[1][11][7] = int_stack + 15054;
 Libderiv->deriv_classes[1][12][7] = int_stack + 15288;
 Libderiv->deriv_classes[2][6][7] = int_stack + 15561;
 Libderiv->deriv_classes[2][7][7] = int_stack + 15729;
 Libderiv->deriv_classes[2][8][7] = int_stack + 15945;
 Libderiv->deriv_classes[2][9][7] = int_stack + 16215;
 Libderiv->deriv_classes[2][10][7] = int_stack + 16545;
 Libderiv->deriv_classes[2][11][7] = int_stack + 16941;
 Libderiv->deriv_classes[2][12][7] = int_stack + 17409;
 Libderiv->deriv_classes[1][6][6] = int_stack + 17955;
 Libderiv->deriv_classes[1][7][6] = int_stack + 18039;
 Libderiv->deriv_classes[1][8][6] = int_stack + 18147;
 Libderiv->deriv_classes[1][9][6] = int_stack + 18282;
 Libderiv->deriv_classes[1][10][6] = int_stack + 18447;
 Libderiv->deriv_classes[1][11][6] = int_stack + 18645;
 Libderiv->deriv_classes[1][12][6] = int_stack + 18879;
 Libderiv->dvrr_classes[2][6] = int_stack + 19152;
 Libderiv->deriv_classes[2][6][6] = int_stack + 19320;
 Libderiv->dvrr_classes[2][7] = int_stack + 19488;
 Libderiv->deriv_classes[2][7][6] = int_stack + 19704;
 Libderiv->dvrr_classes[2][8] = int_stack + 19920;
 Libderiv->deriv_classes[2][8][6] = int_stack + 20190;
 Libderiv->dvrr_classes[2][9] = int_stack + 20460;
 Libderiv->deriv_classes[2][9][6] = int_stack + 20790;
 Libderiv->dvrr_classes[2][10] = int_stack + 21120;
 Libderiv->deriv_classes[2][10][6] = int_stack + 21516;
 Libderiv->dvrr_classes[2][11] = int_stack + 21912;
 Libderiv->deriv_classes[2][11][6] = int_stack + 22380;
 Libderiv->deriv_classes[2][12][6] = int_stack + 22848;
 Libderiv->deriv_classes[1][6][2] = int_stack + 23394;
 Libderiv->deriv_classes[1][7][2] = int_stack + 23478;
 Libderiv->deriv_classes[1][8][2] = int_stack + 23586;
 Libderiv->deriv_classes[1][9][2] = int_stack + 23721;
 Libderiv->deriv_classes[1][10][2] = int_stack + 23886;
 Libderiv->deriv_classes[1][11][2] = int_stack + 24084;
 Libderiv->deriv_classes[1][12][2] = int_stack + 24318;
 Libderiv->deriv_classes[2][6][2] = int_stack + 24591;
 Libderiv->deriv_classes[2][7][2] = int_stack + 24759;
 Libderiv->deriv_classes[2][8][2] = int_stack + 24975;
 Libderiv->deriv_classes[2][9][2] = int_stack + 25245;
 Libderiv->deriv_classes[2][10][2] = int_stack + 25575;
 Libderiv->deriv_classes[2][11][2] = int_stack + 25971;
 Libderiv->deriv_classes[2][12][2] = int_stack + 26439;
 Libderiv->deriv_classes[1][6][1] = int_stack + 26985;
 Libderiv->deriv_classes[1][7][1] = int_stack + 27069;
 Libderiv->deriv_classes[1][8][1] = int_stack + 27177;
 Libderiv->deriv_classes[1][9][1] = int_stack + 27312;
 Libderiv->deriv_classes[1][10][1] = int_stack + 27477;
 Libderiv->deriv_classes[1][11][1] = int_stack + 27675;
 Libderiv->deriv_classes[1][12][1] = int_stack + 27909;
 Libderiv->deriv_classes[2][6][1] = int_stack + 28182;
 Libderiv->deriv_classes[2][7][1] = int_stack + 28350;
 Libderiv->deriv_classes[2][8][1] = int_stack + 28566;
 Libderiv->deriv_classes[2][9][1] = int_stack + 28836;
 Libderiv->deriv_classes[2][10][1] = int_stack + 29166;
 Libderiv->deriv_classes[2][11][1] = int_stack + 29562;
 Libderiv->deriv_classes[2][12][1] = int_stack + 30030;
 Libderiv->dvrr_classes[1][6] = int_stack + 30576;
 Libderiv->dvrr_classes[1][7] = int_stack + 30660;
 Libderiv->dvrr_classes[1][8] = int_stack + 30768;
 Libderiv->dvrr_classes[1][9] = int_stack + 30903;
 Libderiv->dvrr_classes[1][10] = int_stack + 31068;
 Libderiv->dvrr_classes[1][11] = int_stack + 31266;
 Libderiv->dvrr_classes[1][12] = int_stack + 31500;
 Libderiv->deriv_classes[1][6][0] = int_stack + 31773;
 Libderiv->deriv_classes[1][7][0] = int_stack + 31857;
 Libderiv->deriv_classes[1][8][0] = int_stack + 31965;
 Libderiv->deriv_classes[1][9][0] = int_stack + 32100;
 Libderiv->deriv_classes[1][10][0] = int_stack + 32265;
 Libderiv->deriv_classes[1][11][0] = int_stack + 32463;
 Libderiv->deriv_classes[1][12][0] = int_stack + 32697;
 Libderiv->deriv_classes[2][6][0] = int_stack + 32970;
 Libderiv->deriv_classes[2][7][0] = int_stack + 33138;
 Libderiv->deriv_classes[2][8][0] = int_stack + 33354;
 Libderiv->deriv_classes[2][9][0] = int_stack + 33624;
 Libderiv->deriv_classes[2][10][0] = int_stack + 33954;
 Libderiv->deriv_classes[2][11][0] = int_stack + 34350;
 Libderiv->deriv_classes[2][12][0] = int_stack + 34818;
 memset(int_stack,0,282912);

 Libderiv->dvrr_stack = int_stack + 114123;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ppii(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+35364,int_stack+30660,int_stack+30576,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+35616,int_stack+30768,int_stack+30660,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+35940,int_stack+35616,int_stack+35364,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+36444,int_stack+30903,int_stack+30768,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+36849,int_stack+36444,int_stack+35616,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+37497,int_stack+36849,int_stack+35940,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+38337,int_stack+31068,int_stack+30903,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+38832,int_stack+38337,int_stack+36444,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+39642,int_stack+38832,int_stack+36849,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+40722,int_stack+39642,int_stack+37497,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+41982,int_stack+31266,int_stack+31068,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+42576,int_stack+41982,int_stack+38337,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+43566,int_stack+42576,int_stack+38832,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+44916,int_stack+43566,int_stack+39642,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+46536,int_stack+44916,int_stack+40722,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+48300,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30576,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+48552,int_stack+192,int_stack+84, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+48876,int_stack+48552,int_stack+48300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35364,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+49380,int_stack+327,int_stack+192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30768,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+49785,int_stack+49380,int_stack+48552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35616,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+50433,int_stack+49785,int_stack+48876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35940,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+48300,int_stack+492,int_stack+327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30903,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+51273,int_stack+48300,int_stack+49380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36444,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+52083,int_stack+51273,int_stack+49785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36849,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+48795,int_stack+52083,int_stack+50433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37497,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+50055,int_stack+690,int_stack+492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31068,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+53163,int_stack+50055,int_stack+48300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38337,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+54153,int_stack+53163,int_stack+51273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38832,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+55503,int_stack+54153,int_stack+52083, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39642,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+50649,int_stack+55503,int_stack+48795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40722,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+48300,int_stack+924,int_stack+690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31266,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+48300,int_stack+50055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41982,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+48300,int_stack+0,int_stack+53163, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42576,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+57123,int_stack+48300,int_stack+54153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43566,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+48300,int_stack+57123,int_stack+55503, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44916,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+52413,int_stack+48300,int_stack+50649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46536,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+48300,int_stack+19488,int_stack+19152,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+48804,int_stack+19920,int_stack+19488,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+49452,int_stack+48804,int_stack+48300,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+50460,int_stack+20460,int_stack+19920,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+54765,int_stack+50460,int_stack+48804,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+56061,int_stack+54765,int_stack+49452,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+51270,int_stack+21120,int_stack+20460,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+57741,int_stack+51270,int_stack+50460,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+59361,int_stack+57741,int_stack+54765,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+61521,int_stack+59361,int_stack+56061,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+21912,int_stack+21120,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+64041,int_stack+0,int_stack+51270,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+66021,int_stack+64041,int_stack+57741,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+68721,int_stack+66021,int_stack+59361,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+71961,int_stack+68721,int_stack+61521,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+75489,int_stack+1365,int_stack+1197, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19152,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75993,int_stack+1581,int_stack+1365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19488,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76641,int_stack+75993,int_stack+75489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48300,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+77649,int_stack+1851,int_stack+1581, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19920,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+78459,int_stack+77649,int_stack+75993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48804,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+79755,int_stack+78459,int_stack+76641, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+75489,int_stack+2181,int_stack+1851, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20460,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+81435,int_stack+75489,int_stack+77649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50460,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+83055,int_stack+81435,int_stack+78459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54765,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+76479,int_stack+83055,int_stack+79755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56061,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+78999,int_stack+2577,int_stack+2181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21120,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+85215,int_stack+78999,int_stack+75489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51270,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+87195,int_stack+85215,int_stack+81435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57741,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+89895,int_stack+87195,int_stack+83055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59361,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+80187,int_stack+89895,int_stack+76479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61521,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+75489,int_stack+3045,int_stack+2577, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21912,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1188,int_stack+75489,int_stack+78999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+75489,int_stack+1188,int_stack+85215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64041,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+93135,int_stack+75489,int_stack+87195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66021,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+75489,int_stack+93135,int_stack+89895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68721,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+83715,int_stack+75489,int_stack+80187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71961,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+75489,int_stack+3675,int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30576, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75741,int_stack+3783,int_stack+3675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76065,int_stack+75741,int_stack+75489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35364, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+76569,int_stack+3918,int_stack+3783, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30768, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+76974,int_stack+76569,int_stack+75741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35616, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+77622,int_stack+76974,int_stack+76065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35940, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+75489,int_stack+4083,int_stack+3918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30903, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+78462,int_stack+75489,int_stack+76569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36444, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+79272,int_stack+78462,int_stack+76974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36849, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+75984,int_stack+79272,int_stack+77622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37497, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+77244,int_stack+4281,int_stack+4083, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31068, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+80352,int_stack+77244,int_stack+75489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38337, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+81342,int_stack+80352,int_stack+78462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38832, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1188,int_stack+81342,int_stack+79272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39642, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+77838,int_stack+1188,int_stack+75984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40722, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+75489,int_stack+4515,int_stack+4281, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31266, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2808,int_stack+75489,int_stack+77244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41982, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+75489,int_stack+2808,int_stack+80352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42576, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+88419,int_stack+75489,int_stack+81342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43566, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+75489,int_stack+88419,int_stack+1188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44916, 0.0, zero_stack,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1188,int_stack+75489,int_stack+77838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46536, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+75489,int_stack+4956,int_stack+4788, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19152, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75993,int_stack+5172,int_stack+4956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19488, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76641,int_stack+75993,int_stack+75489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48300, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+77649,int_stack+5442,int_stack+5172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19920, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+78459,int_stack+77649,int_stack+75993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48804, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+79755,int_stack+78459,int_stack+76641, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+75489,int_stack+5772,int_stack+5442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20460, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+81435,int_stack+75489,int_stack+77649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50460, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3540,int_stack+81435,int_stack+78459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54765, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+76479,int_stack+3540,int_stack+79755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56061, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+78999,int_stack+6168,int_stack+5772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21120, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+88419,int_stack+78999,int_stack+75489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51270, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+90399,int_stack+88419,int_stack+81435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57741, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+80187,int_stack+90399,int_stack+3540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59361, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+93099,int_stack+80187,int_stack+76479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61521, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3540,int_stack+6636,int_stack+6168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21912, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+75489,int_stack+3540,int_stack+78999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3540,int_stack+75489,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64041, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+75489,int_stack+3540,int_stack+90399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66021, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+88419,int_stack+75489,int_stack+80187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68721, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+75489,int_stack+88419,int_stack+93099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71961, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88419,int_stack+7266,int_stack+7182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30576, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+88671,int_stack+7374,int_stack+7266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+88995,int_stack+88671,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35364, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+89499,int_stack+7509,int_stack+7374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30768, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+89904,int_stack+89499,int_stack+88671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35616, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+90552,int_stack+89904,int_stack+88995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35940, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+88419,int_stack+7674,int_stack+7509, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30903, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+91392,int_stack+88419,int_stack+89499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36444, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+92202,int_stack+91392,int_stack+89904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36849, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+88914,int_stack+92202,int_stack+90552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37497, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+90174,int_stack+7872,int_stack+7674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31068, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+93282,int_stack+90174,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38337, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+94272,int_stack+93282,int_stack+91392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38832, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+95622,int_stack+94272,int_stack+92202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39642, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+90768,int_stack+95622,int_stack+88914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40722, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+88419,int_stack+8106,int_stack+7872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31266, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+80193,int_stack+88419,int_stack+90174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41982, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+88419,int_stack+80193,int_stack+93282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42576, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+80193,int_stack+88419,int_stack+94272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43566, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+88419,int_stack+80193,int_stack+95622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44916, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+80193,int_stack+88419,int_stack+90768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46536, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88419,int_stack+8547,int_stack+8379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19152, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+88923,int_stack+8763,int_stack+8547, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19488, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+89571,int_stack+88923,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48300, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+90579,int_stack+9033,int_stack+8763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19920, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+91389,int_stack+90579,int_stack+88923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48804, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+92685,int_stack+91389,int_stack+89571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+88419,int_stack+9363,int_stack+9033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20460, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+94365,int_stack+88419,int_stack+90579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50460, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3540,int_stack+94365,int_stack+91389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54765, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+89409,int_stack+3540,int_stack+92685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56061, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+91929,int_stack+9759,int_stack+9363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21120, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+95985,int_stack+91929,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51270, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+5700,int_stack+95985,int_stack+94365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57741, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+97965,int_stack+5700,int_stack+3540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59361, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+101205,int_stack+97965,int_stack+89409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61521, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3540,int_stack+10227,int_stack+9759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21912, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+88419,int_stack+3540,int_stack+91929, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+90795,int_stack+88419,int_stack+95985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64041, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+104733,int_stack+90795,int_stack+5700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66021, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+88419,int_stack+104733,int_stack+97965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68721, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+92955,int_stack+88419,int_stack+101205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71961, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88419,int_stack+10857,int_stack+10773, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+88671,int_stack+10965,int_stack+10857, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+88995,int_stack+88671,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+89499,int_stack+11100,int_stack+10965, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+89904,int_stack+89499,int_stack+88671, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+90552,int_stack+89904,int_stack+88995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+88419,int_stack+11265,int_stack+11100, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+91392,int_stack+88419,int_stack+89499, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+97659,int_stack+91392,int_stack+89904, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+88914,int_stack+97659,int_stack+90552, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+90174,int_stack+11463,int_stack+11265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+98739,int_stack+90174,int_stack+88419, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38337, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+99729,int_stack+98739,int_stack+91392, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+90768,int_stack+99729,int_stack+97659, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+101079,int_stack+90768,int_stack+88914, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+97659,int_stack+11697,int_stack+11463, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+88419,int_stack+97659,int_stack+90174, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+102843,int_stack+88419,int_stack+98739, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+88419,int_stack+102843,int_stack+99729, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+102843,int_stack+88419,int_stack+90768, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+88419,int_stack+102843,int_stack+101079, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+90771,int_stack+12138,int_stack+11970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+91275,int_stack+12354,int_stack+12138, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+91923,int_stack+91275,int_stack+90771, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+97659,int_stack+12624,int_stack+12354, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+98469,int_stack+97659,int_stack+91275, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+99765,int_stack+98469,int_stack+91923, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+90771,int_stack+12954,int_stack+12624, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+101445,int_stack+90771,int_stack+97659, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+103065,int_stack+101445,int_stack+98469, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+105225,int_stack+103065,int_stack+99765, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56061, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+97659,int_stack+13350,int_stack+12954, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+98847,int_stack+97659,int_stack+90771, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3540,int_stack+98847,int_stack+101445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+6240,int_stack+3540,int_stack+103065, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+100827,int_stack+6240,int_stack+105225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+90771,int_stack+13818,int_stack+13350, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+104355,int_stack+90771,int_stack+97659, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+9480,int_stack+104355,int_stack+98847, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+104355,int_stack+9480,int_stack+3540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+9480,int_stack+104355,int_stack+6240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3540,int_stack+9480,int_stack+100827, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8244,int_stack+14448,int_stack+14364, 0.0, zero_stack, 1.0, int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8496,int_stack+14556,int_stack+14448, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8820,int_stack+8496,int_stack+8244, 0.0, zero_stack, 1.0, int_stack+35364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+9324,int_stack+14691,int_stack+14556, 0.0, zero_stack, 1.0, int_stack+30768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+9729,int_stack+9324,int_stack+8496, 0.0, zero_stack, 1.0, int_stack+35616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10377,int_stack+9729,int_stack+8820, 0.0, zero_stack, 1.0, int_stack+35940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+8244,int_stack+14856,int_stack+14691, 0.0, zero_stack, 1.0, int_stack+30903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+11217,int_stack+8244,int_stack+9324, 0.0, zero_stack, 1.0, int_stack+36444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+12027,int_stack+11217,int_stack+9729, 0.0, zero_stack, 1.0, int_stack+36849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+8739,int_stack+12027,int_stack+10377, 0.0, zero_stack, 1.0, int_stack+37497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+9999,int_stack+15054,int_stack+14856, 0.0, zero_stack, 1.0, int_stack+31068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+13107,int_stack+9999,int_stack+8244, 0.0, zero_stack, 1.0, int_stack+38337, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+97659,int_stack+13107,int_stack+11217, 0.0, zero_stack, 1.0, int_stack+38832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+99009,int_stack+97659,int_stack+12027, 0.0, zero_stack, 1.0, int_stack+39642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+10593,int_stack+99009,int_stack+8739, 0.0, zero_stack, 1.0, int_stack+40722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+8244,int_stack+15288,int_stack+15054, 0.0, zero_stack, 1.0, int_stack+31266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+14097,int_stack+8244,int_stack+9999, 0.0, zero_stack, 1.0, int_stack+41982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8244,int_stack+14097,int_stack+13107, 0.0, zero_stack, 1.0, int_stack+42576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+12357,int_stack+8244,int_stack+97659, 0.0, zero_stack, 1.0, int_stack+43566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+8244,int_stack+12357,int_stack+99009, 0.0, zero_stack, 1.0, int_stack+44916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+12357,int_stack+8244,int_stack+10593, 0.0, zero_stack, 1.0, int_stack+46536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8244,int_stack+15729,int_stack+15561, 0.0, zero_stack, 1.0, int_stack+19152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8748,int_stack+15945,int_stack+15729, 0.0, zero_stack, 1.0, int_stack+19488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9396,int_stack+8748,int_stack+8244, 0.0, zero_stack, 1.0, int_stack+48300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10404,int_stack+16215,int_stack+15945, 0.0, zero_stack, 1.0, int_stack+19920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14709,int_stack+10404,int_stack+8748, 0.0, zero_stack, 1.0, int_stack+48804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+97659,int_stack+14709,int_stack+9396, 0.0, zero_stack, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+8244,int_stack+16545,int_stack+16215, 0.0, zero_stack, 1.0, int_stack+20460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+99339,int_stack+8244,int_stack+10404, 0.0, zero_stack, 1.0, int_stack+50460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+9234,int_stack+99339,int_stack+14709, 0.0, zero_stack, 1.0, int_stack+54765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+100959,int_stack+9234,int_stack+97659, 0.0, zero_stack, 1.0, int_stack+56061, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+97659,int_stack+16941,int_stack+16545, 0.0, zero_stack, 1.0, int_stack+21120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+14709,int_stack+97659,int_stack+8244, 0.0, zero_stack, 1.0, int_stack+51270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+103479,int_stack+14709,int_stack+99339, 0.0, zero_stack, 1.0, int_stack+57741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+106179,int_stack+103479,int_stack+9234, 0.0, zero_stack, 1.0, int_stack+59361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+8244,int_stack+106179,int_stack+100959, 0.0, zero_stack, 1.0, int_stack+61521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+98847,int_stack+17409,int_stack+16941, 0.0, zero_stack, 1.0, int_stack+21912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+100251,int_stack+98847,int_stack+97659, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+109419,int_stack+100251,int_stack+14709, 0.0, zero_stack, 1.0, int_stack+64041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+97659,int_stack+109419,int_stack+103479, 0.0, zero_stack, 1.0, int_stack+66021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+109419,int_stack+97659,int_stack+106179, 0.0, zero_stack, 1.0, int_stack+68721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+97659,int_stack+109419,int_stack+8244, 0.0, zero_stack, 1.0, int_stack+71961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8244,int_stack+18039,int_stack+17955, 1.0, int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8496,int_stack+18147,int_stack+18039, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8820,int_stack+8496,int_stack+8244, 1.0, int_stack+35364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+9324,int_stack+18282,int_stack+18147, 1.0, int_stack+30768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+9729,int_stack+9324,int_stack+8496, 1.0, int_stack+35616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10377,int_stack+9729,int_stack+8820, 1.0, int_stack+35940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+35364,int_stack+18447,int_stack+18282, 1.0, int_stack+30903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+8244,int_stack+35364,int_stack+9324, 1.0, int_stack+36444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+11217,int_stack+8244,int_stack+9729, 1.0, int_stack+36849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+35859,int_stack+11217,int_stack+10377, 1.0, int_stack+37497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+37119,int_stack+18645,int_stack+18447, 1.0, int_stack+31068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+9054,int_stack+37119,int_stack+35364, 1.0, int_stack+38337, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+102363,int_stack+9054,int_stack+8244, 1.0, int_stack+38832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+37713,int_stack+102363,int_stack+11217, 1.0, int_stack+39642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+10044,int_stack+37713,int_stack+35859, 1.0, int_stack+40722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+8244,int_stack+18879,int_stack+18645, 1.0, int_stack+31266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+35364,int_stack+8244,int_stack+37119, 1.0, int_stack+41982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+39333,int_stack+35364,int_stack+9054, 1.0, int_stack+42576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+35364,int_stack+39333,int_stack+102363, 1.0, int_stack+43566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+102363,int_stack+35364,int_stack+37713, 1.0, int_stack+44916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+35364,int_stack+102363,int_stack+10044, 1.0, int_stack+46536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+102363,int_stack+19704,int_stack+19320, 1.0, int_stack+19152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+102867,int_stack+20190,int_stack+19704, 1.0, int_stack+19488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+103515,int_stack+102867,int_stack+102363, 1.0, int_stack+48300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+104523,int_stack+20790,int_stack+20190, 1.0, int_stack+19920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+105333,int_stack+104523,int_stack+102867, 1.0, int_stack+48804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+106629,int_stack+105333,int_stack+103515, 1.0, int_stack+49452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+48300,int_stack+21516,int_stack+20790, 1.0, int_stack+20460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+102363,int_stack+48300,int_stack+104523, 1.0, int_stack+50460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+108309,int_stack+102363,int_stack+105333, 1.0, int_stack+54765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+103983,int_stack+108309,int_stack+106629, 1.0, int_stack+56061, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+54765,int_stack+22380,int_stack+21516, 1.0, int_stack+21120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+49290,int_stack+54765,int_stack+48300, 1.0, int_stack+51270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+110469,int_stack+49290,int_stack+102363, 1.0, int_stack+57741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+55953,int_stack+110469,int_stack+108309, 1.0, int_stack+59361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+106503,int_stack+55953,int_stack+103983, 1.0, int_stack+61521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+102363,int_stack+22848,int_stack+22380, 1.0, int_stack+21912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+103767,int_stack+102363,int_stack+54765, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+59193,int_stack+103767,int_stack+49290, 1.0, int_stack+64041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+102363,int_stack+59193,int_stack+110469, 1.0, int_stack+66021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+59193,int_stack+102363,int_stack+55953, 1.0, int_stack+68721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+63729,int_stack+59193,int_stack+106503, 1.0, int_stack+71961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+102363,int_stack+31500,int_stack+31266,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+102363,int_stack+41982,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+102363,int_stack+0,int_stack+42576,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+104013,int_stack+102363,int_stack+43566,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+106038,int_stack+104013,int_stack+44916,3);
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+102363,int_stack+106038,int_stack+46536,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+104715,int_stack+23478,int_stack+23394,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+104967,int_stack+23586,int_stack+23478,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+105291,int_stack+104967,int_stack+104715,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+105795,int_stack+23721,int_stack+23586,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+106200,int_stack+105795,int_stack+104967,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+106848,int_stack+106200,int_stack+105291,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+104715,int_stack+23886,int_stack+23721,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+107688,int_stack+104715,int_stack+105795,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+108498,int_stack+107688,int_stack+106200,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+105210,int_stack+108498,int_stack+106848,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+106470,int_stack+24084,int_stack+23886,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+109578,int_stack+106470,int_stack+104715,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+110568,int_stack+109578,int_stack+107688,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+111918,int_stack+110568,int_stack+108498,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+107064,int_stack+111918,int_stack+105210,3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+104715,int_stack+24318,int_stack+24084,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+104715,int_stack+106470,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+104715,int_stack+0,int_stack+109578,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+68433,int_stack+104715,int_stack+110568,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+104715,int_stack+68433,int_stack+111918,3);
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+68433,int_stack+104715,int_stack+107064,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+104715,int_stack+24759,int_stack+24591,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+105219,int_stack+24975,int_stack+24759,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+105867,int_stack+105219,int_stack+104715,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+106875,int_stack+25245,int_stack+24975,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+107685,int_stack+106875,int_stack+105219,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+108981,int_stack+107685,int_stack+105867,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+104715,int_stack+25575,int_stack+25245,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+110661,int_stack+104715,int_stack+106875,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+70785,int_stack+110661,int_stack+107685,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+105705,int_stack+70785,int_stack+108981,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+25971,int_stack+25575,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+108225,int_stack+0,int_stack+104715,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+54765,int_stack+108225,int_stack+110661,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+110205,int_stack+54765,int_stack+70785,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+70785,int_stack+110205,int_stack+105705,6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+104715,int_stack+26439,int_stack+25971,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+57465,int_stack+104715,int_stack+0,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+104715,int_stack+57465,int_stack+108225,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+57465,int_stack+104715,int_stack+54765,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+104715,int_stack+57465,int_stack+110205,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+54765,int_stack+104715,int_stack+70785,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+70785,int_stack+27069,int_stack+26985,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+71037,int_stack+27177,int_stack+27069,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+71361,int_stack+71037,int_stack+70785,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+71865,int_stack+27312,int_stack+27177,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+72270,int_stack+71865,int_stack+71037,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+72918,int_stack+72270,int_stack+71361,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+70785,int_stack+27477,int_stack+27312,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+73758,int_stack+70785,int_stack+71865,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+104715,int_stack+73758,int_stack+72270,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+71280,int_stack+104715,int_stack+72918,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+72540,int_stack+27675,int_stack+27477,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+105795,int_stack+72540,int_stack+70785,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+106785,int_stack+105795,int_stack+73758,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+73134,int_stack+106785,int_stack+104715,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+108135,int_stack+73134,int_stack+71280,3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+104715,int_stack+27909,int_stack+27675,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+104715,int_stack+72540,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+70785,int_stack+0,int_stack+105795,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+104715,int_stack+70785,int_stack+106785,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+70785,int_stack+104715,int_stack+73134,3);
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+104715,int_stack+70785,int_stack+108135,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+70785,int_stack+28350,int_stack+28182,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+71289,int_stack+28566,int_stack+28350,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+71937,int_stack+71289,int_stack+70785,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+72945,int_stack+28836,int_stack+28566,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+73755,int_stack+72945,int_stack+71289,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+107067,int_stack+73755,int_stack+71937,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+70785,int_stack+29166,int_stack+28836,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+108747,int_stack+70785,int_stack+72945,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+110367,int_stack+108747,int_stack+73755,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+71775,int_stack+110367,int_stack+107067,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+29562,int_stack+29166,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+59469,int_stack+0,int_stack+70785,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+37716,int_stack+59469,int_stack+108747,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+107067,int_stack+37716,int_stack+110367,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+110307,int_stack+107067,int_stack+71775,6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+70785,int_stack+30030,int_stack+29562,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+72189,int_stack+70785,int_stack+0,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+40416,int_stack+72189,int_stack+59469,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+59469,int_stack+40416,int_stack+37716,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+37716,int_stack+59469,int_stack+107067,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+70785,int_stack+37716,int_stack+110307,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37716,int_stack+31857,int_stack+31773,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+37968,int_stack+31965,int_stack+31857,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+38292,int_stack+37968,int_stack+37716,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+38796,int_stack+32100,int_stack+31965,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+39201,int_stack+38796,int_stack+37968,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+39849,int_stack+39201,int_stack+38292,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+37716,int_stack+32265,int_stack+32100,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+40689,int_stack+37716,int_stack+38796,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+41499,int_stack+40689,int_stack+39201,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+38211,int_stack+41499,int_stack+39849,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+39471,int_stack+32463,int_stack+32265,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+42579,int_stack+39471,int_stack+37716,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+43569,int_stack+42579,int_stack+40689,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+44919,int_stack+43569,int_stack+41499,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+40065,int_stack+44919,int_stack+38211,3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+37716,int_stack+32697,int_stack+32463,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+37716,int_stack+39471,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+37716,int_stack+0,int_stack+42579,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+46539,int_stack+37716,int_stack+43569,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+37716,int_stack+46539,int_stack+44919,3);
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+41829,int_stack+37716,int_stack+40065,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37716,int_stack+33138,int_stack+32970,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+38220,int_stack+33354,int_stack+33138,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+38868,int_stack+38220,int_stack+37716,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+39876,int_stack+33624,int_stack+33354,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+44181,int_stack+39876,int_stack+38220,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+45477,int_stack+44181,int_stack+38868,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+37716,int_stack+33954,int_stack+33624,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+47157,int_stack+37716,int_stack+39876,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+38706,int_stack+47157,int_stack+44181,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+48777,int_stack+38706,int_stack+45477,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+34350,int_stack+33954,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+44181,int_stack+0,int_stack+37716,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+107067,int_stack+44181,int_stack+47157,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+109767,int_stack+107067,int_stack+38706,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+37716,int_stack+109767,int_stack+48777,6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+46161,int_stack+34818,int_stack+34350,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+47565,int_stack+46161,int_stack+0,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+59469,int_stack+47565,int_stack+44181,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+44181,int_stack+59469,int_stack+107067,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+14709,int_stack+44181,int_stack+109767,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+44181,int_stack+14709,int_stack+37716,6);
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+14709,int_stack+83715,int_stack+52413,784);
     Libderiv->ABCD[11] = int_stack + 14709;
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+21765,int_stack+75489,int_stack+1188,784);
     Libderiv->ABCD[10] = int_stack + 21765;
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+107067,int_stack+92955,int_stack+80193,784);
     Libderiv->ABCD[9] = int_stack + 107067;
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+75489,int_stack+3540,int_stack+88419,784);
     Libderiv->ABCD[8] = int_stack + 75489;
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+82545,int_stack+97659,int_stack+12357,784);
     Libderiv->ABCD[7] = int_stack + 82545;
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+89601,int_stack+63729,int_stack+35364,784);
     Libderiv->ABCD[6] = int_stack + 89601;
 /*--- compute (pp|ii) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+28821,int_stack+54765,int_stack+68433, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[2] = int_stack + 28821;
 /*--- compute (pp|ii) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+48885,int_stack+70785,int_stack+104715, 0.0, zero_stack, 1.0, int_stack+102363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[1] = int_stack + 48885;
 /*--- compute (pp|ii) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+55941,int_stack+44181,int_stack+41829, 1.0, int_stack+102363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[0] = int_stack + 55941;

}
