#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00kk(Libint_t*, prim_data*);

  /* Computes quartets of (00|kk) integrals */

REALTYPE *hrr_order_00kk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][7] = int_stack + 0;
 Libint->vrr_classes[0][8] = int_stack + 36;
 Libint->vrr_classes[0][9] = int_stack + 81;
 Libint->vrr_classes[0][10] = int_stack + 136;
 Libint->vrr_classes[0][11] = int_stack + 202;
 Libint->vrr_classes[0][12] = int_stack + 280;
 Libint->vrr_classes[0][13] = int_stack + 371;
 Libint->vrr_classes[0][14] = int_stack + 476;
 memset(int_stack,0,596*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00kk(Libint, Data);
   Data++;
 }
 /*--- compute (00|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+596,int_stack+36,int_stack+0,1);
 /*--- compute (00|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+704,int_stack+81,int_stack+36,1);
 /*--- compute (00|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+839,int_stack+704,int_stack+596,1);
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1055,int_stack+136,int_stack+81,1);
 /*--- compute (00|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1220,int_stack+1055,int_stack+704,1);
 /*--- compute (00|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+1490,int_stack+1220,int_stack+839,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+596,int_stack+202,int_stack+136,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1850,int_stack+596,int_stack+1055,1);
 /*--- compute (00|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+2180,int_stack+1850,int_stack+1220,1);
 /*--- compute (00|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+794,int_stack+2180,int_stack+1490,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1334,int_stack+280,int_stack+202,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2630,int_stack+1334,int_stack+596,1);
 /*--- compute (00|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+3026,int_stack+2630,int_stack+1850,1);
 /*--- compute (00|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+3576,int_stack+3026,int_stack+2180,1);
 /*--- compute (00|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+1568,int_stack+3576,int_stack+794,1);
 /*--- compute (00|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+596,int_stack+371,int_stack+280,1);
 /*--- compute (00|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4251,int_stack+596,int_stack+1334,1);
 /*--- compute (00|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+869,int_stack+4251,int_stack+2630,1);
 /*--- compute (00|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+4719,int_stack+869,int_stack+3026,1);
 /*--- compute (00|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+2324,int_stack+4719,int_stack+3576,1);
 /*--- compute (00|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+5544,int_stack+2324,int_stack+1568,1);
 /*--- compute (00|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1529,int_stack+476,int_stack+371,1);
 /*--- compute (00|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3269,int_stack+1529,int_stack+596,1);
 /*--- compute (00|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1529,int_stack+3269,int_stack+4251,1);
 /*--- compute (00|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3269,int_stack+1529,int_stack+869,1);
 /*--- compute (00|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+3269,int_stack+4719,1);
 /*--- compute (00|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+3269,int_stack+0,int_stack+2324,1);
 /*--- compute (00|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+3269,int_stack+5544,1);
 return int_stack+0;}
