#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dplp(Libint_t*, prim_data*);

  /* Computes quartets of (dp|lp) integrals */

REALTYPE *hrr_order_dplp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 Libint->vrr_classes[3][8] = int_stack + 600;
 Libint->vrr_classes[3][9] = int_stack + 1050;
 memset(int_stack,0,1600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dplp(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1600,int_stack+270,int_stack+0,6);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2410,int_stack+1050,int_stack+600,10);
 /*--- compute (dp|lp) ---*/
 hrr1_build_dp(Libint->AB,int_stack+3760,int_stack+2410,int_stack+1600,135);
 return int_stack+3760;}
