#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpmi(Libint_t*, prim_data*);

  /* Computes quartets of (dp|mi) integrals */

REALTYPE *hrr_order_dpmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][9] = int_stack + 0;
 Libint->vrr_classes[2][10] = int_stack + 330;
 Libint->vrr_classes[2][11] = int_stack + 726;
 Libint->vrr_classes[2][12] = int_stack + 1194;
 Libint->vrr_classes[2][13] = int_stack + 1740;
 Libint->vrr_classes[2][14] = int_stack + 2370;
 Libint->vrr_classes[2][15] = int_stack + 3090;
 Libint->vrr_classes[3][9] = int_stack + 3906;
 Libint->vrr_classes[3][10] = int_stack + 4456;
 Libint->vrr_classes[3][11] = int_stack + 5116;
 Libint->vrr_classes[3][12] = int_stack + 5896;
 Libint->vrr_classes[3][13] = int_stack + 6806;
 Libint->vrr_classes[3][14] = int_stack + 7856;
 Libint->vrr_classes[3][15] = int_stack + 9056;
 memset(int_stack,0,10416*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10416;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpmi(Libint, Data);
   Data++;
 }
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10416,int_stack+330,int_stack+0,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11406,int_stack+726,int_stack+330,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+12594,int_stack+11406,int_stack+10416,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+14574,int_stack+1194,int_stack+726,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15978,int_stack+14574,int_stack+11406,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+18354,int_stack+15978,int_stack+12594,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10416,int_stack+1740,int_stack+1194,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+21654,int_stack+10416,int_stack+14574,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+24462,int_stack+21654,int_stack+15978,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+12054,int_stack+24462,int_stack+18354,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+17004,int_stack+2370,int_stack+1740,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+28422,int_stack+17004,int_stack+10416,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+31698,int_stack+28422,int_stack+21654,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+36378,int_stack+31698,int_stack+24462,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+18894,int_stack+36378,int_stack+12054,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+10416,int_stack+3090,int_stack+2370,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+12576,int_stack+10416,int_stack+17004,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+42318,int_stack+12576,int_stack+28422,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+10416,int_stack+42318,int_stack+31698,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+25824,int_stack+10416,int_stack+36378,6);
 /*--- compute (d0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+34140,int_stack+25824,int_stack+18894,6);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10416,int_stack+4456,int_stack+3906,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12066,int_stack+5116,int_stack+4456,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+14046,int_stack+12066,int_stack+10416,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+17346,int_stack+5896,int_stack+5116,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19686,int_stack+17346,int_stack+12066,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+23646,int_stack+19686,int_stack+14046,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10416,int_stack+6806,int_stack+5896,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+29146,int_stack+10416,int_stack+17346,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+29146,int_stack+19686,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+13146,int_stack+0,int_stack+23646,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+21396,int_stack+7856,int_stack+6806,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43380,int_stack+21396,int_stack+10416,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+48840,int_stack+43380,int_stack+29146,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+56640,int_stack+48840,int_stack+0,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+66540,int_stack+56640,int_stack+13146,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+9056,int_stack+7856,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3600,int_stack+0,int_stack+21396,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+9900,int_stack+3600,int_stack+43380,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+19000,int_stack+9900,int_stack+48840,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+19000,int_stack+56640,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+43380,int_stack+0,int_stack+66540,10);
 /*--- compute (dp|mi) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+43380,int_stack+34140,1540);
 return int_stack+0;}
