#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0lp(Libint_t*, prim_data*);

  /* Computes quartets of (f0|lp) integrals */

REALTYPE *hrr_order_f0lp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 memset(int_stack,0,1000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0lp(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1000,int_stack+450,int_stack+0,10);
 return int_stack+1000;}
