#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0md(Libint_t*, prim_data*);

  /* Computes quartets of (f0|md) integrals */

REALTYPE *hrr_order_f0md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 memset(int_stack,0,1990*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1990;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0md(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1990,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3640,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5620,int_stack+3640,int_stack+1990,10);
 return int_stack+5620;}
