#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdlk(Libint_t*, prim_data*);

  /* Computes quartets of (fd|lk) integrals */

REALTYPE *hrr_order_fdlk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 Libint->vrr_classes[3][12] = int_stack + 2440;
 Libint->vrr_classes[3][13] = int_stack + 3350;
 Libint->vrr_classes[3][14] = int_stack + 4400;
 Libint->vrr_classes[3][15] = int_stack + 5600;
 Libint->vrr_classes[4][8] = int_stack + 6960;
 Libint->vrr_classes[4][9] = int_stack + 7635;
 Libint->vrr_classes[4][10] = int_stack + 8460;
 Libint->vrr_classes[4][11] = int_stack + 9450;
 Libint->vrr_classes[4][12] = int_stack + 10620;
 Libint->vrr_classes[4][13] = int_stack + 11985;
 Libint->vrr_classes[4][14] = int_stack + 13560;
 Libint->vrr_classes[4][15] = int_stack + 15360;
 Libint->vrr_classes[5][8] = int_stack + 17400;
 Libint->vrr_classes[5][9] = int_stack + 18345;
 Libint->vrr_classes[5][10] = int_stack + 19500;
 Libint->vrr_classes[5][11] = int_stack + 20886;
 Libint->vrr_classes[5][12] = int_stack + 22524;
 Libint->vrr_classes[5][13] = int_stack + 24435;
 Libint->vrr_classes[5][14] = int_stack + 26640;
 Libint->vrr_classes[5][15] = int_stack + 29160;
 memset(int_stack,0,32016*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 32016;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdlk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+32016,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+33366,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+35016,int_stack+33366,int_stack+32016,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37716,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+39696,int_stack+37716,int_stack+33366,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+42996,int_stack+39696,int_stack+35016,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+32016,int_stack+2440,int_stack+1660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+47496,int_stack+32016,int_stack+37716,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+51456,int_stack+47496,int_stack+39696,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+34356,int_stack+51456,int_stack+42996,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41106,int_stack+3350,int_stack+2440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+56956,int_stack+41106,int_stack+32016,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+61636,int_stack+56956,int_stack+47496,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+68236,int_stack+61636,int_stack+51456,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+43836,int_stack+68236,int_stack+34356,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+32016,int_stack+4400,int_stack+3350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+35166,int_stack+32016,int_stack+41106,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+76486,int_stack+35166,int_stack+56956,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+84286,int_stack+76486,int_stack+61636,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+53286,int_stack+84286,int_stack+68236,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+94186,int_stack+53286,int_stack+43836,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+40626,int_stack+5600,int_stack+4400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+44226,int_stack+40626,int_stack+32016,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+64836,int_stack+44226,int_stack+35166,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+32016,int_stack+64836,int_stack+76486,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+64836,int_stack+32016,int_stack+84286,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+32016,int_stack+64836,int_stack+53286,10);
 /*--- compute (f0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+47416,int_stack+32016,int_stack+94186,10);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+32016,int_stack+7635,int_stack+6960,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+34041,int_stack+8460,int_stack+7635,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+36516,int_stack+34041,int_stack+32016,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40566,int_stack+9450,int_stack+8460,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+63616,int_stack+40566,int_stack+34041,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+68566,int_stack+63616,int_stack+36516,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+32016,int_stack+10620,int_stack+9450,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+75316,int_stack+32016,int_stack+40566,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+35526,int_stack+75316,int_stack+63616,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+81256,int_stack+35526,int_stack+68566,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+63616,int_stack+11985,int_stack+10620,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+67711,int_stack+63616,int_stack+32016,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+91381,int_stack+67711,int_stack+75316,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+101281,int_stack+91381,int_stack+35526,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+32016,int_stack+101281,int_stack+81256,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+74731,int_stack+13560,int_stack+11985,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+79456,int_stack+74731,int_stack+63616,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+79456,int_stack+67711,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+113656,int_stack+0,int_stack+91381,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+128506,int_stack+113656,int_stack+101281,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+87646,int_stack+128506,int_stack+32016,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+32016,int_stack+15360,int_stack+13560,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+37416,int_stack+32016,int_stack+74731,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+63616,int_stack+37416,int_stack+79456,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+145831,int_stack+63616,int_stack+0,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+63616,int_stack+145831,int_stack+113656,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+145831,int_stack+63616,int_stack+128506,15);
 /*--- compute (g0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+106546,int_stack+145831,int_stack+87646,15);
 /*--- compute (fp|lk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+130846,int_stack+106546,int_stack+47416,1620);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+18345,int_stack+17400,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2835,int_stack+19500,int_stack+18345,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+6300,int_stack+2835,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11970,int_stack+20886,int_stack+19500,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32016,int_stack+11970,int_stack+2835,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+38946,int_stack+32016,int_stack+6300,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+22524,int_stack+20886,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48396,int_stack+0,int_stack+11970,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+4914,int_stack+48396,int_stack+32016,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+56712,int_stack+4914,int_stack+38946,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+32016,int_stack+24435,int_stack+22524,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+37749,int_stack+32016,int_stack+0,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+70887,int_stack+37749,int_stack+48396,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+84747,int_stack+70887,int_stack+4914,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+84747,int_stack+56712,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+47577,int_stack+26640,int_stack+24435,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+54192,int_stack+47577,int_stack+32016,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+179446,int_stack+54192,int_stack+37749,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+195826,int_stack+179446,int_stack+70887,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+216616,int_stack+195826,int_stack+84747,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+65658,int_stack+216616,int_stack+0,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+29160,int_stack+26640,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+7560,int_stack+0,int_stack+47577,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+20790,int_stack+7560,int_stack+54192,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+39900,int_stack+20790,int_stack+179446,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+39900,int_stack+195826,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+179446,int_stack+0,int_stack+216616,21);
 /*--- compute (h0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+179446,int_stack+65658,21);
 /*--- compute (gp|lk) ---*/
 hrr1_build_gp(Libint->AB,int_stack+179446,int_stack+0,int_stack+106546,1620);
 /*--- compute (fd|lk) ---*/
 hrr1_build_fd(Libint->AB,int_stack+0,int_stack+179446,int_stack+130846,1620);
 return int_stack+0;}
