#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdnk(Libint_t*, prim_data*);

  /* Computes quartets of (fd|nk) integrals */

REALTYPE *hrr_order_fdnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[4][10] = int_stack + 9200;
 Libint->vrr_classes[4][11] = int_stack + 10190;
 Libint->vrr_classes[4][12] = int_stack + 11360;
 Libint->vrr_classes[4][13] = int_stack + 12725;
 Libint->vrr_classes[4][14] = int_stack + 14300;
 Libint->vrr_classes[4][15] = int_stack + 16100;
 Libint->vrr_classes[4][16] = int_stack + 18140;
 Libint->vrr_classes[4][17] = int_stack + 20435;
 Libint->vrr_classes[5][10] = int_stack + 23000;
 Libint->vrr_classes[5][11] = int_stack + 24386;
 Libint->vrr_classes[5][12] = int_stack + 26024;
 Libint->vrr_classes[5][13] = int_stack + 27935;
 Libint->vrr_classes[5][14] = int_stack + 30140;
 Libint->vrr_classes[5][15] = int_stack + 32660;
 Libint->vrr_classes[5][16] = int_stack + 35516;
 Libint->vrr_classes[5][17] = int_stack + 38729;
 memset(int_stack,0,42320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 42320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdnk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+42320,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+44300,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+46640,int_stack+44300,int_stack+42320,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+50600,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+53330,int_stack+50600,int_stack+44300,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+58010,int_stack+53330,int_stack+46640,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+42320,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+64610,int_stack+42320,int_stack+50600,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+45470,int_stack+64610,int_stack+53330,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+70070,int_stack+45470,int_stack+58010,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+53270,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+56870,int_stack+53270,int_stack+42320,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+79970,int_stack+56870,int_stack+64610,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+89070,int_stack+79970,int_stack+45470,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+100770,int_stack+89070,int_stack+70070,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+42320,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+63170,int_stack+42320,int_stack+53270,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+114630,int_stack+63170,int_stack+56870,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+46400,int_stack+114630,int_stack+79970,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+70370,int_stack+46400,int_stack+89070,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+125130,int_stack+70370,int_stack+100770,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+86750,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+91340,int_stack+86750,int_stack+42320,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+99500,int_stack+91340,int_stack+63170,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+143610,int_stack+99500,int_stack+114630,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+86750,int_stack+143610,int_stack+46400,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+42320,int_stack+86750,int_stack+70370,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+64160,int_stack+42320,int_stack+125130,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+42320,int_stack+10190,int_stack+9200,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45290,int_stack+11360,int_stack+10190,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48800,int_stack+45290,int_stack+42320,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54740,int_stack+12725,int_stack+11360,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+87920,int_stack+54740,int_stack+45290,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+94940,int_stack+87920,int_stack+48800,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+42320,int_stack+14300,int_stack+12725,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+104840,int_stack+42320,int_stack+54740,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+47045,int_stack+104840,int_stack+87920,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+113030,int_stack+47045,int_stack+94940,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+87920,int_stack+16100,int_stack+14300,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+93320,int_stack+87920,int_stack+42320,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+127880,int_stack+93320,int_stack+104840,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+141530,int_stack+127880,int_stack+47045,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+42320,int_stack+141530,int_stack+113030,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+102770,int_stack+18140,int_stack+16100,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+108890,int_stack+102770,int_stack+87920,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+108890,int_stack+93320,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+159080,int_stack+0,int_stack+127880,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+179555,int_stack+159080,int_stack+141530,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+119690,int_stack+179555,int_stack+42320,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+42320,int_stack+20435,int_stack+18140,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+49205,int_stack+42320,int_stack+102770,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+87920,int_stack+49205,int_stack+108890,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+204125,int_stack+87920,int_stack+0,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+87920,int_stack+204125,int_stack+159080,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+204125,int_stack+87920,int_stack+179555,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+147410,int_stack+204125,int_stack+119690,15);
 /*--- compute (fp|nk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+183050,int_stack+147410,int_stack+64160,2376);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+24386,int_stack+23000,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4158,int_stack+26024,int_stack+24386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9072,int_stack+4158,int_stack+0,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+17388,int_stack+27935,int_stack+26024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+42320,int_stack+17388,int_stack+4158,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+52148,int_stack+42320,int_stack+9072,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+30140,int_stack+27935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+66008,int_stack+0,int_stack+17388,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+6615,int_stack+66008,int_stack+42320,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+77474,int_stack+6615,int_stack+52148,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+42320,int_stack+32660,int_stack+30140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+49880,int_stack+42320,int_stack+0,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+98264,int_stack+49880,int_stack+66008,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+117374,int_stack+98264,int_stack+6615,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+117374,int_stack+77474,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+63110,int_stack+35516,int_stack+32660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+71678,int_stack+63110,int_stack+42320,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+254330,int_stack+71678,int_stack+49880,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+276380,int_stack+254330,int_stack+98264,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+305045,int_stack+276380,int_stack+117374,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+86798,int_stack+305045,int_stack+0,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+38729,int_stack+35516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+9639,int_stack+0,int_stack+63110,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+26775,int_stack+9639,int_stack+71678,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+51975,int_stack+26775,int_stack+254330,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+51975,int_stack+276380,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+254330,int_stack+0,int_stack+305045,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+254330,int_stack+86798,21);
 /*--- compute (gp|nk) ---*/
 hrr1_build_gp(Libint->AB,int_stack+254330,int_stack+0,int_stack+147410,2376);
 /*--- compute (fd|nk) ---*/
 hrr1_build_fd(Libint->AB,int_stack+0,int_stack+254330,int_stack+183050,2376);
 return int_stack+0;}
