#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffkf(Libint_t*, prim_data*);

  /* Computes quartets of (ff|kf) integrals */

REALTYPE *hrr_order_ffkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[3][9] = int_stack + 810;
 Libint->vrr_classes[3][10] = int_stack + 1360;
 Libint->vrr_classes[4][7] = int_stack + 2020;
 Libint->vrr_classes[4][8] = int_stack + 2560;
 Libint->vrr_classes[4][9] = int_stack + 3235;
 Libint->vrr_classes[4][10] = int_stack + 4060;
 Libint->vrr_classes[5][7] = int_stack + 5050;
 Libint->vrr_classes[5][8] = int_stack + 5806;
 Libint->vrr_classes[5][9] = int_stack + 6751;
 Libint->vrr_classes[5][10] = int_stack + 7906;
 Libint->vrr_classes[6][7] = int_stack + 9292;
 Libint->vrr_classes[6][8] = int_stack + 10300;
 Libint->vrr_classes[6][9] = int_stack + 11560;
 Libint->vrr_classes[6][10] = int_stack + 13100;
 memset(int_stack,0,14948*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14948;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffkf(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14948,int_stack+360,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16028,int_stack+810,int_stack+360,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+17378,int_stack+16028,int_stack+14948,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19538,int_stack+1360,int_stack+810,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+21188,int_stack+19538,int_stack+16028,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+23888,int_stack+21188,int_stack+17378,10);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14948,int_stack+2560,int_stack+2020,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16568,int_stack+3235,int_stack+2560,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18593,int_stack+16568,int_stack+14948,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+4060,int_stack+3235,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27488,int_stack+0,int_stack+16568,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+31538,int_stack+27488,int_stack+18593,15);
 /*--- compute (fp|kf) ---*/
 hrr1_build_fp(Libint->AB,int_stack+36938,int_stack+31538,int_stack+23888,360);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+5806,int_stack+5050,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2268,int_stack+6751,int_stack+5806,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+14948,int_stack+2268,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19484,int_stack+7906,int_stack+6751,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+22949,int_stack+19484,int_stack+2268,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+22949,int_stack+14948,21);
 /*--- compute (gp|kf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+14948,int_stack+0,int_stack+31538,360);
 /*--- compute (fd|kf) ---*/
 hrr1_build_fd(Libint->AB,int_stack+47738,int_stack+14948,int_stack+36938,360);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+31148,int_stack+10300,int_stack+9292,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+34172,int_stack+11560,int_stack+10300,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+37952,int_stack+34172,int_stack+31148,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+69338,int_stack+13100,int_stack+11560,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+73958,int_stack+69338,int_stack+34172,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+81518,int_stack+73958,int_stack+37952,28);
 /*--- compute (hp|kf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+91598,int_stack+81518,int_stack+0,360);
 /*--- compute (gd|kf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+114278,int_stack+91598,int_stack+14948,360);
 /*--- compute (ff|kf) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+114278,int_stack+47738,360);
 return int_stack+0;}
