#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffkk(Libint_t*, prim_data*);

  /* Computes quartets of (ff|kk) integrals */

REALTYPE *hrr_order_ffkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[3][9] = int_stack + 810;
 Libint->vrr_classes[3][10] = int_stack + 1360;
 Libint->vrr_classes[3][11] = int_stack + 2020;
 Libint->vrr_classes[3][12] = int_stack + 2800;
 Libint->vrr_classes[3][13] = int_stack + 3710;
 Libint->vrr_classes[3][14] = int_stack + 4760;
 Libint->vrr_classes[4][7] = int_stack + 5960;
 Libint->vrr_classes[4][8] = int_stack + 6500;
 Libint->vrr_classes[4][9] = int_stack + 7175;
 Libint->vrr_classes[4][10] = int_stack + 8000;
 Libint->vrr_classes[4][11] = int_stack + 8990;
 Libint->vrr_classes[4][12] = int_stack + 10160;
 Libint->vrr_classes[4][13] = int_stack + 11525;
 Libint->vrr_classes[4][14] = int_stack + 13100;
 Libint->vrr_classes[5][7] = int_stack + 14900;
 Libint->vrr_classes[5][8] = int_stack + 15656;
 Libint->vrr_classes[5][9] = int_stack + 16601;
 Libint->vrr_classes[5][10] = int_stack + 17756;
 Libint->vrr_classes[5][11] = int_stack + 19142;
 Libint->vrr_classes[5][12] = int_stack + 20780;
 Libint->vrr_classes[5][13] = int_stack + 22691;
 Libint->vrr_classes[5][14] = int_stack + 24896;
 Libint->vrr_classes[6][7] = int_stack + 27416;
 Libint->vrr_classes[6][8] = int_stack + 28424;
 Libint->vrr_classes[6][9] = int_stack + 29684;
 Libint->vrr_classes[6][10] = int_stack + 31224;
 Libint->vrr_classes[6][11] = int_stack + 33072;
 Libint->vrr_classes[6][12] = int_stack + 35256;
 Libint->vrr_classes[6][13] = int_stack + 37804;
 Libint->vrr_classes[6][14] = int_stack + 40744;
 memset(int_stack,0,44104*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 44104;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffkk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+44104,int_stack+360,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+45184,int_stack+810,int_stack+360,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+46534,int_stack+45184,int_stack+44104,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+48694,int_stack+1360,int_stack+810,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+50344,int_stack+48694,int_stack+45184,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+53044,int_stack+50344,int_stack+46534,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44104,int_stack+2020,int_stack+1360,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+56644,int_stack+44104,int_stack+48694,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+59944,int_stack+56644,int_stack+50344,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+46084,int_stack+59944,int_stack+53044,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+51484,int_stack+2800,int_stack+2020,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+64444,int_stack+51484,int_stack+44104,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+68404,int_stack+64444,int_stack+56644,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+73904,int_stack+68404,int_stack+59944,10);
 /*--- compute (f0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+53824,int_stack+73904,int_stack+46084,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+44104,int_stack+3710,int_stack+2800,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+80654,int_stack+44104,int_stack+51484,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+46834,int_stack+80654,int_stack+64444,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+85334,int_stack+46834,int_stack+68404,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+61384,int_stack+85334,int_stack+73904,10);
 /*--- compute (f0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+93584,int_stack+61384,int_stack+53824,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+53434,int_stack+4760,int_stack+3710,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+70834,int_stack+53434,int_stack+44104,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+53434,int_stack+70834,int_stack+80654,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+70834,int_stack+53434,int_stack+46834,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+44104,int_stack+70834,int_stack+85334,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+70834,int_stack+44104,int_stack+61384,10);
 /*--- compute (f0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+44104,int_stack+70834,int_stack+93584,10);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+57064,int_stack+6500,int_stack+5960,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+58684,int_stack+7175,int_stack+6500,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+60709,int_stack+58684,int_stack+57064,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+63949,int_stack+8000,int_stack+7175,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+66424,int_stack+63949,int_stack+58684,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+70474,int_stack+66424,int_stack+60709,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57064,int_stack+8990,int_stack+8000,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+75874,int_stack+57064,int_stack+63949,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+80824,int_stack+75874,int_stack+66424,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+60034,int_stack+80824,int_stack+70474,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+68134,int_stack+10160,int_stack+8990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+87574,int_stack+68134,int_stack+57064,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+93514,int_stack+87574,int_stack+75874,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+93514,int_stack+80824,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+71644,int_stack+0,int_stack+60034,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+57064,int_stack+11525,int_stack+10160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+101764,int_stack+57064,int_stack+68134,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+61159,int_stack+101764,int_stack+87574,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+108784,int_stack+61159,int_stack+93514,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+82984,int_stack+108784,int_stack+0,15);
 /*--- compute (g0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+121159,int_stack+82984,int_stack+71644,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+13100,int_stack+11525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4725,int_stack+0,int_stack+57064,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+71059,int_stack+4725,int_stack+101764,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+71059,int_stack+61159,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+57064,int_stack+0,int_stack+108784,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+97159,int_stack+57064,int_stack+82984,15);
 /*--- compute (g0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+57064,int_stack+97159,int_stack+121159,15);
 /*--- compute (fp|kk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+76504,int_stack+57064,int_stack+44104,1296);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+44104,int_stack+15656,int_stack+14900,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+46372,int_stack+16601,int_stack+15656,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+49207,int_stack+46372,int_stack+44104,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+115384,int_stack+17756,int_stack+16601,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+118849,int_stack+115384,int_stack+46372,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+124519,int_stack+118849,int_stack+49207,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44104,int_stack+19142,int_stack+17756,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+48262,int_stack+44104,int_stack+115384,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+48262,int_stack+118849,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+132079,int_stack+0,int_stack+124519,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115384,int_stack+20780,int_stack+19142,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+120298,int_stack+115384,int_stack+44104,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+143419,int_stack+120298,int_stack+48262,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+154969,int_stack+143419,int_stack+0,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+154969,int_stack+132079,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+44104,int_stack+22691,int_stack+20780,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+128614,int_stack+44104,int_stack+115384,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+169144,int_stack+128614,int_stack+120298,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+183004,int_stack+169144,int_stack+143419,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+200329,int_stack+183004,int_stack+154969,21);
 /*--- compute (h0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+138442,int_stack+200329,int_stack+0,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+24896,int_stack+22691,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6615,int_stack+0,int_stack+44104,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+220174,int_stack+6615,int_stack+128614,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+220174,int_stack+169144,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+220174,int_stack+0,int_stack+183004,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+220174,int_stack+200329,21);
 /*--- compute (h0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+159610,int_stack+0,int_stack+138442,21);
 /*--- compute (gp|kk) ---*/
 hrr1_build_gp(Libint->AB,int_stack+186826,int_stack+159610,int_stack+57064,1296);
 /*--- compute (fd|kk) ---*/
 hrr1_build_fd(Libint->AB,int_stack+245146,int_stack+186826,int_stack+76504,1296);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+28424,int_stack+27416,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3024,int_stack+29684,int_stack+28424,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6804,int_stack+3024,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12852,int_stack+31224,int_stack+29684,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+17472,int_stack+12852,int_stack+3024,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+44104,int_stack+17472,int_stack+6804,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+33072,int_stack+31224,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+54184,int_stack+0,int_stack+12852,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+63424,int_stack+54184,int_stack+17472,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+5544,int_stack+63424,int_stack+44104,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+44104,int_stack+35256,int_stack+33072,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+20664,int_stack+44104,int_stack+0,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+76024,int_stack+20664,int_stack+54184,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+91424,int_stack+76024,int_stack+63424,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+50656,int_stack+91424,int_stack+5544,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+37804,int_stack+35256,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+110324,int_stack+0,int_stack+44104,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+123428,int_stack+110324,int_stack+20664,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+7644,int_stack+123428,int_stack+76024,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+322906,int_stack+7644,int_stack+91424,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+71824,int_stack+322906,int_stack+50656,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+44104,int_stack+40744,int_stack+37804,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+52924,int_stack+44104,int_stack+0,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+30744,int_stack+52924,int_stack+110324,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+349366,int_stack+30744,int_stack+123428,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+30744,int_stack+349366,int_stack+7644,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+100048,int_stack+30744,int_stack+322906,28);
 /*--- compute (i0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+322906,int_stack+100048,int_stack+71824,28);
 /*--- compute (hp|kk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+0,int_stack+322906,int_stack+159610,1296);
 /*--- compute (gd|kk) ---*/
 hrr1_build_gd(Libint->AB,int_stack+322906,int_stack+0,int_stack+186826,1296);
 /*--- compute (ff|kk) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+322906,int_stack+245146,1296);
 return int_stack+0;}
