#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffmk(Libint_t*, prim_data*);

  /* Computes quartets of (ff|mk) integrals */

REALTYPE *hrr_order_ffmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 Libint->vrr_classes[3][12] = int_stack + 1990;
 Libint->vrr_classes[3][13] = int_stack + 2900;
 Libint->vrr_classes[3][14] = int_stack + 3950;
 Libint->vrr_classes[3][15] = int_stack + 5150;
 Libint->vrr_classes[3][16] = int_stack + 6510;
 Libint->vrr_classes[4][9] = int_stack + 8040;
 Libint->vrr_classes[4][10] = int_stack + 8865;
 Libint->vrr_classes[4][11] = int_stack + 9855;
 Libint->vrr_classes[4][12] = int_stack + 11025;
 Libint->vrr_classes[4][13] = int_stack + 12390;
 Libint->vrr_classes[4][14] = int_stack + 13965;
 Libint->vrr_classes[4][15] = int_stack + 15765;
 Libint->vrr_classes[4][16] = int_stack + 17805;
 Libint->vrr_classes[5][9] = int_stack + 20100;
 Libint->vrr_classes[5][10] = int_stack + 21255;
 Libint->vrr_classes[5][11] = int_stack + 22641;
 Libint->vrr_classes[5][12] = int_stack + 24279;
 Libint->vrr_classes[5][13] = int_stack + 26190;
 Libint->vrr_classes[5][14] = int_stack + 28395;
 Libint->vrr_classes[5][15] = int_stack + 30915;
 Libint->vrr_classes[5][16] = int_stack + 33771;
 Libint->vrr_classes[6][9] = int_stack + 36984;
 Libint->vrr_classes[6][10] = int_stack + 38524;
 Libint->vrr_classes[6][11] = int_stack + 40372;
 Libint->vrr_classes[6][12] = int_stack + 42556;
 Libint->vrr_classes[6][13] = int_stack + 45104;
 Libint->vrr_classes[6][14] = int_stack + 48044;
 Libint->vrr_classes[6][15] = int_stack + 51404;
 Libint->vrr_classes[6][16] = int_stack + 55212;
 memset(int_stack,0,59496*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 59496;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffmk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+59496,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+61146,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+63126,int_stack+61146,int_stack+59496,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66426,int_stack+1990,int_stack+1210,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+68766,int_stack+66426,int_stack+61146,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+72726,int_stack+68766,int_stack+63126,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59496,int_stack+2900,int_stack+1990,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+78226,int_stack+59496,int_stack+66426,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+82906,int_stack+78226,int_stack+68766,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+62226,int_stack+82906,int_stack+72726,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+70476,int_stack+3950,int_stack+2900,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+89506,int_stack+70476,int_stack+59496,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+94966,int_stack+89506,int_stack+78226,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+102766,int_stack+94966,int_stack+82906,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+73626,int_stack+102766,int_stack+62226,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+59496,int_stack+5150,int_stack+3950,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+63096,int_stack+59496,int_stack+70476,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+112666,int_stack+63096,int_stack+89506,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+121766,int_stack+112666,int_stack+94966,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+85176,int_stack+121766,int_stack+102766,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+133466,int_stack+85176,int_stack+73626,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+69396,int_stack+6510,int_stack+5150,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+73476,int_stack+69396,int_stack+59496,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+99036,int_stack+73476,int_stack+63096,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+59496,int_stack+99036,int_stack+112666,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+99036,int_stack+59496,int_stack+121766,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+59496,int_stack+99036,int_stack+85176,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+77976,int_stack+59496,int_stack+133466,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+59496,int_stack+8865,int_stack+8040,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+61971,int_stack+9855,int_stack+8865,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+64941,int_stack+61971,int_stack+59496,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+69891,int_stack+11025,int_stack+9855,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97776,int_stack+69891,int_stack+61971,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103716,int_stack+97776,int_stack+64941,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59496,int_stack+12390,int_stack+11025,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+111966,int_stack+59496,int_stack+69891,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+63591,int_stack+111966,int_stack+97776,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+118986,int_stack+63591,int_stack+103716,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97776,int_stack+13965,int_stack+12390,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+102501,int_stack+97776,int_stack+59496,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+131361,int_stack+102501,int_stack+111966,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+143061,int_stack+131361,int_stack+63591,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+59496,int_stack+143061,int_stack+118986,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+110691,int_stack+15765,int_stack+13965,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+116091,int_stack+110691,int_stack+97776,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+116091,int_stack+102501,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+157911,int_stack+0,int_stack+131361,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+175461,int_stack+157911,int_stack+143061,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+125541,int_stack+175461,int_stack+59496,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+59496,int_stack+17805,int_stack+15765,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+65616,int_stack+59496,int_stack+110691,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+97776,int_stack+65616,int_stack+116091,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+196251,int_stack+97776,int_stack+0,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+97776,int_stack+196251,int_stack+157911,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+196251,int_stack+97776,int_stack+175461,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+148641,int_stack+196251,int_stack+125541,15);
 /*--- compute (fp|mk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+178341,int_stack+148641,int_stack+77976,1980);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+21255,int_stack+20100,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3465,int_stack+22641,int_stack+21255,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+7623,int_stack+3465,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+14553,int_stack+24279,int_stack+22641,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+59496,int_stack+14553,int_stack+3465,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+67812,int_stack+59496,int_stack+7623,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+26190,int_stack+24279,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+79362,int_stack+0,int_stack+14553,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+5733,int_stack+79362,int_stack+59496,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+89190,int_stack+5733,int_stack+67812,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+59496,int_stack+28395,int_stack+26190,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+66111,int_stack+59496,int_stack+0,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+106515,int_stack+66111,int_stack+79362,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+122895,int_stack+106515,int_stack+5733,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+122895,int_stack+89190,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+77577,int_stack+30915,int_stack+28395,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+85137,int_stack+77577,int_stack+59496,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+237741,int_stack+85137,int_stack+66111,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+256851,int_stack+237741,int_stack+106515,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+281421,int_stack+256851,int_stack+122895,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+98367,int_stack+281421,int_stack+0,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+33771,int_stack+30915,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+8568,int_stack+0,int_stack+77577,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+59496,int_stack+8568,int_stack+85137,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+59496,int_stack+237741,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+59496,int_stack+0,int_stack+256851,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+237741,int_stack+59496,int_stack+281421,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+276549,int_stack+237741,int_stack+98367,21);
 /*--- compute (gp|mk) ---*/
 hrr1_build_gp(Libint->AB,int_stack+59496,int_stack+276549,int_stack+148641,1980);
 /*--- compute (fd|mk) ---*/
 hrr1_build_fd(Libint->AB,int_stack+318129,int_stack+59496,int_stack+178341,1980);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+148596,int_stack+38524,int_stack+36984,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+153216,int_stack+40372,int_stack+38524,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+158760,int_stack+153216,int_stack+148596,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+168000,int_stack+42556,int_stack+40372,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+174552,int_stack+168000,int_stack+153216,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+185640,int_stack+174552,int_stack+158760,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+148596,int_stack+45104,int_stack+42556,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+201040,int_stack+148596,int_stack+168000,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+214144,int_stack+201040,int_stack+174552,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+156240,int_stack+214144,int_stack+185640,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+179340,int_stack+48044,int_stack+45104,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+232624,int_stack+179340,int_stack+148596,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+247912,int_stack+232624,int_stack+201040,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+247912,int_stack+214144,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+188160,int_stack+0,int_stack+156240,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148596,int_stack+51404,int_stack+48044,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+158676,int_stack+148596,int_stack+179340,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+436929,int_stack+158676,int_stack+232624,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+462409,int_stack+436929,int_stack+247912,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+220500,int_stack+462409,int_stack+0,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+220500,int_stack+188160,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+176316,int_stack+55212,int_stack+51404,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+187740,int_stack+176316,int_stack+148596,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+495169,int_stack+187740,int_stack+158676,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+148596,int_stack+495169,int_stack+436929,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+495169,int_stack+148596,int_stack+462409,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+148596,int_stack+495169,int_stack+220500,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+200340,int_stack+148596,int_stack+0,28);
 /*--- compute (hp|mk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+436929,int_stack+200340,int_stack+276549,1980);
 /*--- compute (gd|mk) ---*/
 hrr1_build_gd(Libint->AB,int_stack+561669,int_stack+436929,int_stack+59496,1980);
 /*--- compute (ff|mk) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+561669,int_stack+318129,1980);
 return int_stack+0;}
