#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffnh(Libint_t*, prim_data*);

  /* Computes quartets of (ff|nh) integrals */

REALTYPE *hrr_order_ffnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[4][10] = int_stack + 5960;
 Libint->vrr_classes[4][11] = int_stack + 6950;
 Libint->vrr_classes[4][12] = int_stack + 8120;
 Libint->vrr_classes[4][13] = int_stack + 9485;
 Libint->vrr_classes[4][14] = int_stack + 11060;
 Libint->vrr_classes[4][15] = int_stack + 12860;
 Libint->vrr_classes[5][10] = int_stack + 14900;
 Libint->vrr_classes[5][11] = int_stack + 16286;
 Libint->vrr_classes[5][12] = int_stack + 17924;
 Libint->vrr_classes[5][13] = int_stack + 19835;
 Libint->vrr_classes[5][14] = int_stack + 22040;
 Libint->vrr_classes[5][15] = int_stack + 24560;
 Libint->vrr_classes[6][10] = int_stack + 27416;
 Libint->vrr_classes[6][11] = int_stack + 29264;
 Libint->vrr_classes[6][12] = int_stack + 31448;
 Libint->vrr_classes[6][13] = int_stack + 33996;
 Libint->vrr_classes[6][14] = int_stack + 36936;
 Libint->vrr_classes[6][15] = int_stack + 40296;
 memset(int_stack,0,44104*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 44104;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffnh(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44104,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+46084,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48424,int_stack+46084,int_stack+44104,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+52384,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+55114,int_stack+52384,int_stack+46084,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+59794,int_stack+55114,int_stack+48424,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+44104,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+66394,int_stack+44104,int_stack+52384,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+47254,int_stack+66394,int_stack+55114,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+71854,int_stack+47254,int_stack+59794,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+55054,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+58654,int_stack+55054,int_stack+44104,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+81754,int_stack+58654,int_stack+66394,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+55054,int_stack+81754,int_stack+47254,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+81754,int_stack+55054,int_stack+71854,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44104,int_stack+6950,int_stack+5960,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+47074,int_stack+8120,int_stack+6950,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50584,int_stack+47074,int_stack+44104,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+56524,int_stack+9485,int_stack+8120,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60619,int_stack+56524,int_stack+47074,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+67639,int_stack+60619,int_stack+50584,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+44104,int_stack+11060,int_stack+9485,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+44104,int_stack+56524,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+48829,int_stack+0,int_stack+60619,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+95614,int_stack+48829,int_stack+67639,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+60529,int_stack+12860,int_stack+11060,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+65929,int_stack+60529,int_stack+44104,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+110464,int_stack+65929,int_stack+0,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60529,int_stack+110464,int_stack+48829,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+110464,int_stack+60529,int_stack+95614,15);
 /*--- compute (fp|nh) ---*/
 hrr1_build_fp(Libint->AB,int_stack+131254,int_stack+110464,int_stack+81754,1386);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+16286,int_stack+14900,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4158,int_stack+17924,int_stack+16286,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9072,int_stack+4158,int_stack+0,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+44104,int_stack+19835,int_stack+17924,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49837,int_stack+44104,int_stack+4158,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+59665,int_stack+49837,int_stack+9072,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+22040,int_stack+19835,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6615,int_stack+0,int_stack+44104,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+73525,int_stack+6615,int_stack+49837,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+172834,int_stack+73525,int_stack+59665,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+44104,int_stack+24560,int_stack+22040,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+51664,int_stack+44104,int_stack+0,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+89905,int_stack+51664,int_stack+6615,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+89905,int_stack+73525,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+44104,int_stack+0,int_stack+172834,21);
 /*--- compute (gp|nh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+172834,int_stack+44104,int_stack+110464,1386);
 /*--- compute (fd|nh) ---*/
 hrr1_build_fd(Libint->AB,int_stack+235204,int_stack+172834,int_stack+131254,1386);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+29264,int_stack+27416,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5544,int_stack+31448,int_stack+29264,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+12096,int_stack+5544,int_stack+0,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23184,int_stack+33996,int_stack+31448,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+73210,int_stack+23184,int_stack+5544,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86314,int_stack+73210,int_stack+12096,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+36936,int_stack+33996,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+104794,int_stack+0,int_stack+23184,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+8820,int_stack+104794,int_stack+73210,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+120082,int_stack+8820,int_stack+86314,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+73210,int_stack+40296,int_stack+36936,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+83290,int_stack+73210,int_stack+0,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+318364,int_stack+83290,int_stack+104794,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+73210,int_stack+318364,int_stack+8820,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+73210,int_stack+120082,28);
 /*--- compute (hp|nh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+73210,int_stack+0,int_stack+44104,1386);
 /*--- compute (gd|nh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+318364,int_stack+73210,int_stack+172834,1386);
 /*--- compute (ff|nh) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+318364,int_stack+235204,1386);
 return int_stack+0;}
