#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpk0(Libint_t*, prim_data*);

  /* Computes quartets of (fp|k0) integrals */

REALTYPE *hrr_order_fpk0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 360;
 memset(int_stack,0,900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpk0(Libint, Data);
   Data++;
 }
 /*--- compute (fp|k0) ---*/
 hrr1_build_fp(Libint->AB,int_stack+900,int_stack+360,int_stack+0,36);
 return int_stack+900;}
