#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpl0(Libint_t*, prim_data*);

  /* Computes quartets of (fp|l0) integrals */

REALTYPE *hrr_order_fpl0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 450;
 memset(int_stack,0,1125*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1125;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpl0(Libint, Data);
   Data++;
 }
 /*--- compute (fp|l0) ---*/
 hrr1_build_fp(Libint->AB,int_stack+1125,int_stack+450,int_stack+0,45);
 return int_stack+1125;}
