#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0li(Libint_t*, prim_data*);

  /* Computes quartets of (g0|li) integrals */

REALTYPE *hrr_order_g0li(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[4][12] = int_stack + 3660;
 Libint->vrr_classes[4][13] = int_stack + 5025;
 Libint->vrr_classes[4][14] = int_stack + 6600;
 memset(int_stack,0,8400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 8400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0li(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8400,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10425,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+12900,int_stack+10425,int_stack+8400,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16950,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19920,int_stack+16950,int_stack+10425,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+24870,int_stack+19920,int_stack+12900,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8400,int_stack+3660,int_stack+2490,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+31620,int_stack+8400,int_stack+16950,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+37560,int_stack+31620,int_stack+19920,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+11910,int_stack+37560,int_stack+24870,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+22035,int_stack+5025,int_stack+3660,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+45810,int_stack+22035,int_stack+8400,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+52830,int_stack+45810,int_stack+31620,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+62730,int_stack+52830,int_stack+37560,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+26130,int_stack+62730,int_stack+11910,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+8400,int_stack+6600,int_stack+5025,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+13125,int_stack+8400,int_stack+22035,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+13125,int_stack+45810,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+75105,int_stack+0,int_stack+52830,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+75105,int_stack+62730,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+40305,int_stack+0,int_stack+26130,15);
 return int_stack+40305;}
