#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0md(Libint_t*, prim_data*);

  /* Computes quartets of (g0|md) integrals */

REALTYPE *hrr_order_g0md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 memset(int_stack,0,2985*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2985;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0md(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2985,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5460,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+8430,int_stack+5460,int_stack+2985,15);
 return int_stack+8430;}
