#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfkk(Libint_t*, prim_data*);

  /* Computes quartets of (gf|kk) integrals */

REALTYPE *hrr_order_gfkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[4][11] = int_stack + 3030;
 Libint->vrr_classes[4][12] = int_stack + 4200;
 Libint->vrr_classes[4][13] = int_stack + 5565;
 Libint->vrr_classes[4][14] = int_stack + 7140;
 Libint->vrr_classes[5][7] = int_stack + 8940;
 Libint->vrr_classes[5][8] = int_stack + 9696;
 Libint->vrr_classes[5][9] = int_stack + 10641;
 Libint->vrr_classes[5][10] = int_stack + 11796;
 Libint->vrr_classes[5][11] = int_stack + 13182;
 Libint->vrr_classes[5][12] = int_stack + 14820;
 Libint->vrr_classes[5][13] = int_stack + 16731;
 Libint->vrr_classes[5][14] = int_stack + 18936;
 Libint->vrr_classes[6][7] = int_stack + 21456;
 Libint->vrr_classes[6][8] = int_stack + 22464;
 Libint->vrr_classes[6][9] = int_stack + 23724;
 Libint->vrr_classes[6][10] = int_stack + 25264;
 Libint->vrr_classes[6][11] = int_stack + 27112;
 Libint->vrr_classes[6][12] = int_stack + 29296;
 Libint->vrr_classes[6][13] = int_stack + 31844;
 Libint->vrr_classes[6][14] = int_stack + 34784;
 Libint->vrr_classes[7][7] = int_stack + 38144;
 Libint->vrr_classes[7][8] = int_stack + 39440;
 Libint->vrr_classes[7][9] = int_stack + 41060;
 Libint->vrr_classes[7][10] = int_stack + 43040;
 Libint->vrr_classes[7][11] = int_stack + 45416;
 Libint->vrr_classes[7][12] = int_stack + 48224;
 Libint->vrr_classes[7][13] = int_stack + 51500;
 Libint->vrr_classes[7][14] = int_stack + 55280;
 memset(int_stack,0,59600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 59600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfkk(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+59600,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+61220,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+63245,int_stack+61220,int_stack+59600,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+66485,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+68960,int_stack+66485,int_stack+61220,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+73010,int_stack+68960,int_stack+63245,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59600,int_stack+3030,int_stack+2040,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+78410,int_stack+59600,int_stack+66485,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+83360,int_stack+78410,int_stack+68960,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+62570,int_stack+83360,int_stack+73010,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+70670,int_stack+4200,int_stack+3030,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+90110,int_stack+70670,int_stack+59600,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+96050,int_stack+90110,int_stack+78410,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+104300,int_stack+96050,int_stack+83360,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+74180,int_stack+104300,int_stack+62570,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59600,int_stack+5565,int_stack+4200,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+114425,int_stack+59600,int_stack+70670,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+63695,int_stack+114425,int_stack+90110,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+121445,int_stack+63695,int_stack+96050,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+85520,int_stack+121445,int_stack+104300,15);
 /*--- compute (g0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+133820,int_stack+85520,int_stack+74180,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+73595,int_stack+7140,int_stack+5565,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+99695,int_stack+73595,int_stack+59600,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+73595,int_stack+99695,int_stack+114425,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+99695,int_stack+73595,int_stack+63695,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+59600,int_stack+99695,int_stack+121445,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+99695,int_stack+59600,int_stack+85520,15);
 /*--- compute (g0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+59600,int_stack+99695,int_stack+133820,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+79040,int_stack+9696,int_stack+8940,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+81308,int_stack+10641,int_stack+9696,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+84143,int_stack+81308,int_stack+79040,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+88679,int_stack+11796,int_stack+10641,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+92144,int_stack+88679,int_stack+81308,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+97814,int_stack+92144,int_stack+84143,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+79040,int_stack+13182,int_stack+11796,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+105374,int_stack+79040,int_stack+88679,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+112304,int_stack+105374,int_stack+92144,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+83198,int_stack+112304,int_stack+97814,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94538,int_stack+14820,int_stack+13182,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+121754,int_stack+94538,int_stack+79040,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+130070,int_stack+121754,int_stack+105374,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+130070,int_stack+112304,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+99452,int_stack+0,int_stack+83198,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+79040,int_stack+16731,int_stack+14820,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+141620,int_stack+79040,int_stack+94538,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+84773,int_stack+141620,int_stack+121754,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+151448,int_stack+84773,int_stack+130070,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+115328,int_stack+151448,int_stack+0,21);
 /*--- compute (h0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+168773,int_stack+115328,int_stack+99452,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+18936,int_stack+16731,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6615,int_stack+0,int_stack+79040,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+98633,int_stack+6615,int_stack+141620,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+98633,int_stack+84773,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+79040,int_stack+0,int_stack+151448,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+135173,int_stack+79040,int_stack+115328,21);
 /*--- compute (h0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+79040,int_stack+135173,int_stack+168773,21);
 /*--- compute (gp|kk) ---*/
 hrr1_build_gp(Libint->AB,int_stack+106256,int_stack+79040,int_stack+59600,1296);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+59600,int_stack+22464,int_stack+21456,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+62624,int_stack+23724,int_stack+22464,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+66404,int_stack+62624,int_stack+59600,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72452,int_stack+25264,int_stack+23724,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+164576,int_stack+72452,int_stack+62624,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+172136,int_stack+164576,int_stack+66404,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59600,int_stack+27112,int_stack+25264,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+59600,int_stack+72452,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+65144,int_stack+0,int_stack+164576,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+9240,int_stack+65144,int_stack+172136,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+164576,int_stack+29296,int_stack+27112,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+171128,int_stack+164576,int_stack+59600,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+182216,int_stack+171128,int_stack+0,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+197616,int_stack+182216,int_stack+65144,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+216516,int_stack+197616,int_stack+9240,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+31844,int_stack+29296,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7644,int_stack+0,int_stack+164576,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+59600,int_stack+7644,int_stack+171128,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+237684,int_stack+59600,int_stack+182216,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+164576,int_stack+237684,int_stack+197616,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+260784,int_stack+164576,int_stack+216516,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191036,int_stack+34784,int_stack+31844,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+199856,int_stack+191036,int_stack+0,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+215144,int_stack+199856,int_stack+7644,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+215144,int_stack+59600,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+191036,int_stack+0,int_stack+237684,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+191036,int_stack+164576,28);
 /*--- compute (i0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+164576,int_stack+0,int_stack+260784,28);
 /*--- compute (hp|kk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+200864,int_stack+164576,int_stack+79040,1296);
 /*--- compute (gd|kk) ---*/
 hrr1_build_gd(Libint->AB,int_stack+282512,int_stack+200864,int_stack+106256,1296);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+39440,int_stack+38144,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+41060,int_stack+39440,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8748,int_stack+3888,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16524,int_stack+43040,int_stack+41060,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+22464,int_stack+16524,int_stack+3888,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+59600,int_stack+22464,int_stack+8748,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+45416,int_stack+43040,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32184,int_stack+0,int_stack+16524,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+72560,int_stack+32184,int_stack+22464,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+7128,int_stack+72560,int_stack+59600,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+59600,int_stack+48224,int_stack+45416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+88760,int_stack+59600,int_stack+0,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103016,int_stack+88760,int_stack+32184,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+122816,int_stack+103016,int_stack+72560,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+399152,int_stack+122816,int_stack+7128,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+51500,int_stack+48224,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+9828,int_stack+0,int_stack+59600,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+59600,int_stack+9828,int_stack+88760,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+426368,int_stack+59600,int_stack+103016,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+83360,int_stack+426368,int_stack+122816,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+117380,int_stack+83360,int_stack+399152,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+399152,int_stack+55280,int_stack+51500,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+26676,int_stack+399152,int_stack+0,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+456068,int_stack+26676,int_stack+9828,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+456068,int_stack+59600,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+35640,int_stack+0,int_stack+426368,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+399152,int_stack+35640,int_stack+83360,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+399152,int_stack+117380,36);
 /*--- compute (ip|kk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+46656,int_stack+0,int_stack+164576,1296);
 /*--- compute (hd|kk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+399152,int_stack+46656,int_stack+200864,1296);
 /*--- compute (gf|kk) ---*/
 hrr1_build_gf(Libint->AB,int_stack+0,int_stack+399152,int_stack+282512,1296);
 return int_stack+0;}
