#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggkk(Libint_t*, prim_data*);

  /* Computes quartets of (gg|kk) integrals */

REALTYPE *hrr_order_ggkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[4][11] = int_stack + 3030;
 Libint->vrr_classes[4][12] = int_stack + 4200;
 Libint->vrr_classes[4][13] = int_stack + 5565;
 Libint->vrr_classes[4][14] = int_stack + 7140;
 Libint->vrr_classes[5][7] = int_stack + 8940;
 Libint->vrr_classes[5][8] = int_stack + 9696;
 Libint->vrr_classes[5][9] = int_stack + 10641;
 Libint->vrr_classes[5][10] = int_stack + 11796;
 Libint->vrr_classes[5][11] = int_stack + 13182;
 Libint->vrr_classes[5][12] = int_stack + 14820;
 Libint->vrr_classes[5][13] = int_stack + 16731;
 Libint->vrr_classes[5][14] = int_stack + 18936;
 Libint->vrr_classes[6][7] = int_stack + 21456;
 Libint->vrr_classes[6][8] = int_stack + 22464;
 Libint->vrr_classes[6][9] = int_stack + 23724;
 Libint->vrr_classes[6][10] = int_stack + 25264;
 Libint->vrr_classes[6][11] = int_stack + 27112;
 Libint->vrr_classes[6][12] = int_stack + 29296;
 Libint->vrr_classes[6][13] = int_stack + 31844;
 Libint->vrr_classes[6][14] = int_stack + 34784;
 Libint->vrr_classes[7][7] = int_stack + 38144;
 Libint->vrr_classes[7][8] = int_stack + 39440;
 Libint->vrr_classes[7][9] = int_stack + 41060;
 Libint->vrr_classes[7][10] = int_stack + 43040;
 Libint->vrr_classes[7][11] = int_stack + 45416;
 Libint->vrr_classes[7][12] = int_stack + 48224;
 Libint->vrr_classes[7][13] = int_stack + 51500;
 Libint->vrr_classes[7][14] = int_stack + 55280;
 Libint->vrr_classes[8][7] = int_stack + 59600;
 Libint->vrr_classes[8][8] = int_stack + 61220;
 Libint->vrr_classes[8][9] = int_stack + 63245;
 Libint->vrr_classes[8][10] = int_stack + 65720;
 Libint->vrr_classes[8][11] = int_stack + 68690;
 Libint->vrr_classes[8][12] = int_stack + 72200;
 Libint->vrr_classes[8][13] = int_stack + 76295;
 Libint->vrr_classes[8][14] = int_stack + 81020;
 memset(int_stack,0,86420*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 86420;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggkk(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86420,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+88040,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+90065,int_stack+88040,int_stack+86420,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+93305,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+95780,int_stack+93305,int_stack+88040,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+99830,int_stack+95780,int_stack+90065,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86420,int_stack+3030,int_stack+2040,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+105230,int_stack+86420,int_stack+93305,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+110180,int_stack+105230,int_stack+95780,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+89390,int_stack+110180,int_stack+99830,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+97490,int_stack+4200,int_stack+3030,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116930,int_stack+97490,int_stack+86420,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+122870,int_stack+116930,int_stack+105230,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+131120,int_stack+122870,int_stack+110180,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+101000,int_stack+131120,int_stack+89390,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86420,int_stack+5565,int_stack+4200,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+141245,int_stack+86420,int_stack+97490,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+90515,int_stack+141245,int_stack+116930,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+148265,int_stack+90515,int_stack+122870,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+112340,int_stack+148265,int_stack+131120,15);
 /*--- compute (g0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+160640,int_stack+112340,int_stack+101000,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+100415,int_stack+7140,int_stack+5565,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+126515,int_stack+100415,int_stack+86420,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+100415,int_stack+126515,int_stack+141245,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+126515,int_stack+100415,int_stack+90515,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+86420,int_stack+126515,int_stack+148265,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+126515,int_stack+86420,int_stack+112340,15);
 /*--- compute (g0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+86420,int_stack+126515,int_stack+160640,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+105860,int_stack+9696,int_stack+8940,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+108128,int_stack+10641,int_stack+9696,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+110963,int_stack+108128,int_stack+105860,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+115499,int_stack+11796,int_stack+10641,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+118964,int_stack+115499,int_stack+108128,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+124634,int_stack+118964,int_stack+110963,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+105860,int_stack+13182,int_stack+11796,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+132194,int_stack+105860,int_stack+115499,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+139124,int_stack+132194,int_stack+118964,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+110018,int_stack+139124,int_stack+124634,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+121358,int_stack+14820,int_stack+13182,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+148574,int_stack+121358,int_stack+105860,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+156890,int_stack+148574,int_stack+132194,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+156890,int_stack+139124,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+126272,int_stack+0,int_stack+110018,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+105860,int_stack+16731,int_stack+14820,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+168440,int_stack+105860,int_stack+121358,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+111593,int_stack+168440,int_stack+148574,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+178268,int_stack+111593,int_stack+156890,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+142148,int_stack+178268,int_stack+0,21);
 /*--- compute (h0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+195593,int_stack+142148,int_stack+126272,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+18936,int_stack+16731,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6615,int_stack+0,int_stack+105860,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+125453,int_stack+6615,int_stack+168440,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+125453,int_stack+111593,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+105860,int_stack+0,int_stack+178268,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+161993,int_stack+105860,int_stack+142148,21);
 /*--- compute (h0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+105860,int_stack+161993,int_stack+195593,21);
 /*--- compute (gp|kk) ---*/
 hrr1_build_gp(Libint->AB,int_stack+133076,int_stack+105860,int_stack+86420,1296);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+86420,int_stack+22464,int_stack+21456,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+89444,int_stack+23724,int_stack+22464,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+93224,int_stack+89444,int_stack+86420,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99272,int_stack+25264,int_stack+23724,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+191396,int_stack+99272,int_stack+89444,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+198956,int_stack+191396,int_stack+93224,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86420,int_stack+27112,int_stack+25264,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+86420,int_stack+99272,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+91964,int_stack+0,int_stack+191396,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+9240,int_stack+91964,int_stack+198956,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+191396,int_stack+29296,int_stack+27112,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+197948,int_stack+191396,int_stack+86420,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+209036,int_stack+197948,int_stack+0,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+224436,int_stack+209036,int_stack+91964,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+243336,int_stack+224436,int_stack+9240,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+31844,int_stack+29296,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7644,int_stack+0,int_stack+191396,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86420,int_stack+7644,int_stack+197948,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+264504,int_stack+86420,int_stack+209036,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+191396,int_stack+264504,int_stack+224436,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+287604,int_stack+191396,int_stack+243336,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+217856,int_stack+34784,int_stack+31844,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+226676,int_stack+217856,int_stack+0,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+241964,int_stack+226676,int_stack+7644,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+241964,int_stack+86420,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+217856,int_stack+0,int_stack+264504,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+217856,int_stack+191396,28);
 /*--- compute (i0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+191396,int_stack+0,int_stack+287604,28);
 /*--- compute (hp|kk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+227684,int_stack+191396,int_stack+105860,1296);
 /*--- compute (gd|kk) ---*/
 hrr1_build_gd(Libint->AB,int_stack+309332,int_stack+227684,int_stack+133076,1296);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+39440,int_stack+38144,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+41060,int_stack+39440,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8748,int_stack+3888,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16524,int_stack+43040,int_stack+41060,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+22464,int_stack+16524,int_stack+3888,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+86420,int_stack+22464,int_stack+8748,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+45416,int_stack+43040,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32184,int_stack+0,int_stack+16524,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+99380,int_stack+32184,int_stack+22464,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+7128,int_stack+99380,int_stack+86420,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+86420,int_stack+48224,int_stack+45416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115580,int_stack+86420,int_stack+0,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+129836,int_stack+115580,int_stack+32184,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+149636,int_stack+129836,int_stack+99380,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+425972,int_stack+149636,int_stack+7128,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+51500,int_stack+48224,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+9828,int_stack+0,int_stack+86420,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86420,int_stack+9828,int_stack+115580,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+453188,int_stack+86420,int_stack+129836,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+110180,int_stack+453188,int_stack+149636,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+144200,int_stack+110180,int_stack+425972,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+425972,int_stack+55280,int_stack+51500,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+26676,int_stack+425972,int_stack+0,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+482888,int_stack+26676,int_stack+9828,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+482888,int_stack+86420,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+482888,int_stack+0,int_stack+453188,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+482888,int_stack+110180,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+86420,int_stack+0,int_stack+144200,36);
 /*--- compute (ip|kk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+425972,int_stack+86420,int_stack+191396,1296);
 /*--- compute (hd|kk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+534836,int_stack+425972,int_stack+227684,1296);
 /*--- compute (gf|kk) ---*/
 hrr1_build_gf(Libint->AB,int_stack+698132,int_stack+534836,int_stack+309332,1296);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+61220,int_stack+59600,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+63245,int_stack+61220,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10935,int_stack+4860,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20655,int_stack+65720,int_stack+63245,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28080,int_stack+20655,int_stack+4860,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+40230,int_stack+28080,int_stack+10935,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+68690,int_stack+65720,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+133076,int_stack+0,int_stack+20655,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+147926,int_stack+133076,int_stack+28080,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+8910,int_stack+147926,int_stack+40230,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+33210,int_stack+72200,int_stack+68690,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+43740,int_stack+33210,int_stack+0,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+168176,int_stack+43740,int_stack+133076,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+192926,int_stack+168176,int_stack+147926,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+133076,int_stack+192926,int_stack+8910,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+76295,int_stack+72200,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+223301,int_stack+0,int_stack+33210,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+12285,int_stack+223301,int_stack+43740,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+244361,int_stack+12285,int_stack+168176,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+281486,int_stack+244361,int_stack+192926,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+167096,int_stack+281486,int_stack+133076,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+133076,int_stack+81020,int_stack+76295,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+41985,int_stack+133076,int_stack+0,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+324011,int_stack+41985,int_stack+223301,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+359111,int_stack+324011,int_stack+12285,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+359111,int_stack+244361,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+324011,int_stack+0,int_stack+281486,45);
 /*--- compute (l0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+324011,int_stack+167096,45);
 /*--- compute (kp|kk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+133076,int_stack+0,int_stack+86420,1296);
 /*--- compute (id|kk) ---*/
 hrr1_build_id(Libint->AB,int_stack+892532,int_stack+133076,int_stack+425972,1296);
 /*--- compute (hf|kk) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+892532,int_stack+534836,1296);
 /*--- compute (gg|kk) ---*/
 hrr1_build_gg(Libint->AB,int_stack+272160,int_stack+0,int_stack+698132,1296);
 return int_stack+272160;}
