#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggm0(Libint_t*, prim_data*);

  /* Computes quartets of (gg|m0) integrals */

REALTYPE *hrr_order_ggm0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 825;
 Libint->vrr_classes[6][9] = int_stack + 1980;
 Libint->vrr_classes[7][9] = int_stack + 3520;
 Libint->vrr_classes[8][9] = int_stack + 5500;
 memset(int_stack,0,7975*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7975;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggm0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|m0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+7975,int_stack+825,int_stack+0,55);
 /*--- compute (hp|m0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+10450,int_stack+1980,int_stack+825,55);
 /*--- compute (gd|m0) ---*/
 hrr1_build_gd(Libint->AB,int_stack+13915,int_stack+10450,int_stack+7975,55);
 /*--- compute (ip|m0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+18865,int_stack+3520,int_stack+1980,55);
 /*--- compute (hd|m0) ---*/
 hrr1_build_hd(Libint->AB,int_stack+23485,int_stack+18865,int_stack+10450,55);
 /*--- compute (gf|m0) ---*/
 hrr1_build_gf(Libint->AB,int_stack+30415,int_stack+23485,int_stack+13915,55);
 /*--- compute (kp|m0) ---*/
 hrr1_build_kp(Libint->AB,int_stack+7975,int_stack+5500,int_stack+3520,55);
 /*--- compute (id|m0) ---*/
 hrr1_build_id(Libint->AB,int_stack+38665,int_stack+7975,int_stack+18865,55);
 /*--- compute (hf|m0) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+38665,int_stack+23485,55);
 /*--- compute (gg|m0) ---*/
 hrr1_build_gg(Libint->AB,int_stack+11550,int_stack+0,int_stack+30415,55);
 return int_stack+11550;}
