#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpn0(Libint_t*, prim_data*);

  /* Computes quartets of (gp|n0) integrals */

REALTYPE *hrr_order_gpn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 990;
 memset(int_stack,0,2376*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2376;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpn0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|n0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+2376,int_stack+990,int_stack+0,66);
 return int_stack+2376;}
