#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpni(Libint_t*, prim_data*);

  /* Computes quartets of (gp|ni) integrals */

REALTYPE *hrr_order_gpni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[5][10] = int_stack + 11235;
 Libint->vrr_classes[5][11] = int_stack + 12621;
 Libint->vrr_classes[5][12] = int_stack + 14259;
 Libint->vrr_classes[5][13] = int_stack + 16170;
 Libint->vrr_classes[5][14] = int_stack + 18375;
 Libint->vrr_classes[5][15] = int_stack + 20895;
 Libint->vrr_classes[5][16] = int_stack + 23751;
 memset(int_stack,0,26964*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 26964;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpni(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26964,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+29934,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33444,int_stack+29934,int_stack+26964,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+39384,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+43479,int_stack+39384,int_stack+29934,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+50499,int_stack+43479,int_stack+33444,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+26964,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60399,int_stack+26964,int_stack+39384,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+31689,int_stack+60399,int_stack+43479,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+68589,int_stack+31689,int_stack+50499,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+43389,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48789,int_stack+43389,int_stack+26964,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+83439,int_stack+48789,int_stack+60399,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+97089,int_stack+83439,int_stack+31689,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+114639,int_stack+97089,int_stack+68589,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+26964,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+58239,int_stack+26964,int_stack+43389,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+26964,int_stack+58239,int_stack+48789,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+42714,int_stack+26964,int_stack+83439,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+63189,int_stack+42714,int_stack+97089,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+26964,int_stack+63189,int_stack+114639,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+54684,int_stack+12621,int_stack+11235,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+58842,int_stack+14259,int_stack+12621,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+63756,int_stack+58842,int_stack+54684,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+72072,int_stack+16170,int_stack+14259,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+77805,int_stack+72072,int_stack+58842,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+87633,int_stack+77805,int_stack+63756,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+54684,int_stack+18375,int_stack+16170,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+101493,int_stack+54684,int_stack+72072,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+61299,int_stack+101493,int_stack+77805,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+112959,int_stack+61299,int_stack+87633,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+77679,int_stack+20895,int_stack+18375,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+85239,int_stack+77679,int_stack+54684,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+85239,int_stack+101493,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+133749,int_stack+0,int_stack+61299,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+158319,int_stack+133749,int_stack+112959,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+54684,int_stack+23751,int_stack+20895,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+98469,int_stack+54684,int_stack+77679,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+54684,int_stack+98469,int_stack+85239,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+76734,int_stack+54684,int_stack+0,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+187425,int_stack+76734,int_stack+133749,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+54684,int_stack+187425,int_stack+158319,21);
 /*--- compute (gp|ni) ---*/
 hrr1_build_gp(Libint->AB,int_stack+93492,int_stack+54684,int_stack+26964,1848);
 return int_stack+93492;}
