#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdmk(Libint_t*, prim_data*);

  /* Computes quartets of (hd|mk) integrals */

REALTYPE *hrr_order_hdmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[5][14] = int_stack + 8295;
 Libint->vrr_classes[5][15] = int_stack + 10815;
 Libint->vrr_classes[5][16] = int_stack + 13671;
 Libint->vrr_classes[6][9] = int_stack + 16884;
 Libint->vrr_classes[6][10] = int_stack + 18424;
 Libint->vrr_classes[6][11] = int_stack + 20272;
 Libint->vrr_classes[6][12] = int_stack + 22456;
 Libint->vrr_classes[6][13] = int_stack + 25004;
 Libint->vrr_classes[6][14] = int_stack + 27944;
 Libint->vrr_classes[6][15] = int_stack + 31304;
 Libint->vrr_classes[6][16] = int_stack + 35112;
 Libint->vrr_classes[7][9] = int_stack + 39396;
 Libint->vrr_classes[7][10] = int_stack + 41376;
 Libint->vrr_classes[7][11] = int_stack + 43752;
 Libint->vrr_classes[7][12] = int_stack + 46560;
 Libint->vrr_classes[7][13] = int_stack + 49836;
 Libint->vrr_classes[7][14] = int_stack + 53616;
 Libint->vrr_classes[7][15] = int_stack + 57936;
 Libint->vrr_classes[7][16] = int_stack + 62832;
 memset(int_stack,0,68340*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 68340;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdmk(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+68340,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+71805,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+75963,int_stack+71805,int_stack+68340,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+82893,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+87807,int_stack+82893,int_stack+71805,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+96123,int_stack+87807,int_stack+75963,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+68340,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+107673,int_stack+68340,int_stack+82893,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+117501,int_stack+107673,int_stack+87807,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+74073,int_stack+117501,int_stack+96123,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+91398,int_stack+8295,int_stack+6090,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+131361,int_stack+91398,int_stack+68340,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+142827,int_stack+131361,int_stack+107673,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+159207,int_stack+142827,int_stack+117501,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+98013,int_stack+159207,int_stack+74073,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+68340,int_stack+10815,int_stack+8295,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+75900,int_stack+68340,int_stack+91398,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+179997,int_stack+75900,int_stack+131361,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+199107,int_stack+179997,int_stack+142827,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+122268,int_stack+199107,int_stack+159207,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+223677,int_stack+122268,int_stack+98013,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+89130,int_stack+13671,int_stack+10815,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+97698,int_stack+89130,int_stack+68340,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+151374,int_stack+97698,int_stack+75900,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+68340,int_stack+151374,int_stack+179997,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+151374,int_stack+68340,int_stack+199107,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+68340,int_stack+151374,int_stack+122268,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+107148,int_stack+68340,int_stack+223677,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+68340,int_stack+18424,int_stack+16884,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72960,int_stack+20272,int_stack+18424,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+78504,int_stack+72960,int_stack+68340,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+87744,int_stack+22456,int_stack+20272,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+94296,int_stack+87744,int_stack+72960,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+148728,int_stack+94296,int_stack+78504,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+68340,int_stack+25004,int_stack+22456,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+164128,int_stack+68340,int_stack+87744,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+177232,int_stack+164128,int_stack+94296,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+75984,int_stack+177232,int_stack+148728,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+148728,int_stack+27944,int_stack+25004,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+195712,int_stack+148728,int_stack+68340,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+211000,int_stack+195712,int_stack+164128,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+211000,int_stack+177232,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+157548,int_stack+0,int_stack+75984,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+68340,int_stack+31304,int_stack+27944,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+78420,int_stack+68340,int_stack+148728,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+232840,int_stack+78420,int_stack+195712,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+258320,int_stack+232840,int_stack+211000,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+189888,int_stack+258320,int_stack+0,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+291080,int_stack+189888,int_stack+157548,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+35112,int_stack+31304,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+11424,int_stack+0,int_stack+68340,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+148728,int_stack+11424,int_stack+78420,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+68340,int_stack+148728,int_stack+232840,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+334200,int_stack+68340,int_stack+258320,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+228696,int_stack+334200,int_stack+189888,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+148728,int_stack+228696,int_stack+291080,28);
 /*--- compute (hp|mk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+204168,int_stack+148728,int_stack+107148,1980);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+68340,int_stack+41376,int_stack+39396,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74280,int_stack+43752,int_stack+41376,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+81408,int_stack+74280,int_stack+68340,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+93288,int_stack+46560,int_stack+43752,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+101712,int_stack+93288,int_stack+74280,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+115968,int_stack+101712,int_stack+81408,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+68340,int_stack+49836,int_stack+46560,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+328908,int_stack+68340,int_stack+93288,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+345756,int_stack+328908,int_stack+101712,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+78168,int_stack+345756,int_stack+115968,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+107868,int_stack+53616,int_stack+49836,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+119208,int_stack+107868,int_stack+68340,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+119208,int_stack+328908,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+369516,int_stack+0,int_stack+345756,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+405156,int_stack+369516,int_stack+78168,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+328908,int_stack+57936,int_stack+53616,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+341868,int_stack+328908,int_stack+107868,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+68340,int_stack+341868,int_stack+119208,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+101100,int_stack+68340,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+101100,int_stack+369516,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+446736,int_stack+0,int_stack+405156,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+364548,int_stack+62832,int_stack+57936,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+379236,int_stack+364548,int_stack+328908,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+405156,int_stack+379236,int_stack+341868,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+328908,int_stack+405156,int_stack+68340,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+378048,int_stack+328908,int_stack+101100,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+49896,int_stack+378048,int_stack+0,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+328908,int_stack+49896,int_stack+446736,36);
 /*--- compute (ip|mk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+400188,int_stack+328908,int_stack+148728,1980);
 /*--- compute (hd|mk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+566508,int_stack+400188,int_stack+204168,1980);
 return int_stack+566508;}
