#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdnf(Libint_t*, prim_data*);

  /* Computes quartets of (hd|nf) integrals */

REALTYPE *hrr_order_hdnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[6][10] = int_stack + 7140;
 Libint->vrr_classes[6][11] = int_stack + 8988;
 Libint->vrr_classes[6][12] = int_stack + 11172;
 Libint->vrr_classes[6][13] = int_stack + 13720;
 Libint->vrr_classes[7][10] = int_stack + 16660;
 Libint->vrr_classes[7][11] = int_stack + 19036;
 Libint->vrr_classes[7][12] = int_stack + 21844;
 Libint->vrr_classes[7][13] = int_stack + 25120;
 memset(int_stack,0,28900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 28900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdnf(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28900,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+33058,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+37972,int_stack+33058,int_stack+28900,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+46288,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+52021,int_stack+46288,int_stack+33058,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+61849,int_stack+52021,int_stack+37972,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28900,int_stack+8988,int_stack+7140,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+34444,int_stack+11172,int_stack+8988,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40996,int_stack+34444,int_stack+28900,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+52084,int_stack+13720,int_stack+11172,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+52084,int_stack+34444,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+75709,int_stack+0,int_stack+40996,28);
 /*--- compute (hp|nf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+94189,int_stack+75709,int_stack+61849,660);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+19036,int_stack+16660,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7128,int_stack+21844,int_stack+19036,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28900,int_stack+7128,int_stack+0,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+43156,int_stack+25120,int_stack+21844,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+52984,int_stack+43156,int_stack+7128,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+52984,int_stack+28900,36);
 /*--- compute (ip|nf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+135769,int_stack+0,int_stack+75709,660);
 /*--- compute (hd|nf) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+135769,int_stack+94189,660);
 return int_stack+0;}
