#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfm0(Libint_t*, prim_data*);

  /* Computes quartets of (hf|m0) integrals */

REALTYPE *hrr_order_hfm0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1155;
 Libint->vrr_classes[7][9] = int_stack + 2695;
 Libint->vrr_classes[8][9] = int_stack + 4675;
 memset(int_stack,0,7150*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7150;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfm0(Libint, Data);
   Data++;
 }
 /*--- compute (hp|m0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+7150,int_stack+1155,int_stack+0,55);
 /*--- compute (ip|m0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+10615,int_stack+2695,int_stack+1155,55);
 /*--- compute (hd|m0) ---*/
 hrr1_build_hd(Libint->AB,int_stack+15235,int_stack+10615,int_stack+7150,55);
 /*--- compute (kp|m0) ---*/
 hrr1_build_kp(Libint->AB,int_stack+22165,int_stack+4675,int_stack+2695,55);
 /*--- compute (id|m0) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+22165,int_stack+10615,55);
 /*--- compute (hf|m0) ---*/
 hrr1_build_hf(Libint->AB,int_stack+22165,int_stack+0,int_stack+15235,55);
 return int_stack+22165;}
