#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgig(Libint_t*, prim_data*);

  /* Computes quartets of (hg|ig) integrals */

REALTYPE *hrr_order_hgig(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[6][6] = int_stack + 4830;
 Libint->vrr_classes[6][7] = int_stack + 5614;
 Libint->vrr_classes[6][8] = int_stack + 6622;
 Libint->vrr_classes[6][9] = int_stack + 7882;
 Libint->vrr_classes[6][10] = int_stack + 9422;
 Libint->vrr_classes[7][6] = int_stack + 11270;
 Libint->vrr_classes[7][7] = int_stack + 12278;
 Libint->vrr_classes[7][8] = int_stack + 13574;
 Libint->vrr_classes[7][9] = int_stack + 15194;
 Libint->vrr_classes[7][10] = int_stack + 17174;
 Libint->vrr_classes[8][6] = int_stack + 19550;
 Libint->vrr_classes[8][7] = int_stack + 20810;
 Libint->vrr_classes[8][8] = int_stack + 22430;
 Libint->vrr_classes[8][9] = int_stack + 24455;
 Libint->vrr_classes[8][10] = int_stack + 26930;
 Libint->vrr_classes[9][6] = int_stack + 29900;
 Libint->vrr_classes[9][7] = int_stack + 31440;
 Libint->vrr_classes[9][8] = int_stack + 33420;
 Libint->vrr_classes[9][9] = int_stack + 35895;
 Libint->vrr_classes[9][10] = int_stack + 38920;
 memset(int_stack,0,42550*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 42550;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgig(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+42550,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+44314,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+46582,int_stack+44314,int_stack+42550,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+50110,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+52945,int_stack+50110,int_stack+44314,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+57481,int_stack+52945,int_stack+46582,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+42550,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+63361,int_stack+42550,int_stack+50110,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+42550,int_stack+63361,int_stack+52945,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+63361,int_stack+42550,int_stack+57481,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+42550,int_stack+5614,int_stack+4830,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+44902,int_stack+6622,int_stack+5614,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+47926,int_stack+44902,int_stack+42550,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+52630,int_stack+7882,int_stack+6622,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+56410,int_stack+52630,int_stack+44902,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+56410,int_stack+47926,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+42550,int_stack+9422,int_stack+7882,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+72181,int_stack+42550,int_stack+52630,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+42550,int_stack+72181,int_stack+56410,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+72181,int_stack+42550,int_stack+0,28);
 /*--- compute (hp|ig) ---*/
 hrr1_build_hp(Libint->AB,int_stack+83941,int_stack+72181,int_stack+63361,420);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+12278,int_stack+11270,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+13574,int_stack+12278,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6912,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+42550,int_stack+15194,int_stack+13574,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+47410,int_stack+42550,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+55186,int_stack+47410,int_stack+6912,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+17174,int_stack+15194,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5940,int_stack+0,int_stack+42550,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+110401,int_stack+5940,int_stack+47410,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+0,int_stack+110401,int_stack+55186,36);
 /*--- compute (ip|ig) ---*/
 hrr1_build_ip(Libint->AB,int_stack+110401,int_stack+0,int_stack+72181,420);
 /*--- compute (hd|ig) ---*/
 hrr1_build_hd(Libint->AB,int_stack+145681,int_stack+110401,int_stack+83941,420);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+42550,int_stack+20810,int_stack+19550,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+46330,int_stack+22430,int_stack+20810,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+51190,int_stack+46330,int_stack+42550,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+58750,int_stack+24455,int_stack+22430,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+64825,int_stack+58750,int_stack+46330,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+74545,int_stack+64825,int_stack+51190,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+42550,int_stack+26930,int_stack+24455,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87145,int_stack+42550,int_stack+58750,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+42550,int_stack+87145,int_stack+64825,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+87145,int_stack+42550,int_stack+74545,45);
 /*--- compute (kp|ig) ---*/
 hrr1_build_kp(Libint->AB,int_stack+198601,int_stack+87145,int_stack+0,420);
 /*--- compute (id|ig) ---*/
 hrr1_build_id(Libint->AB,int_stack+243961,int_stack+198601,int_stack+110401,420);
 /*--- compute (hf|ig) ---*/
 hrr1_build_hf(Libint->AB,int_stack+314521,int_stack+243961,int_stack+145681,420);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+31440,int_stack+29900,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4620,int_stack+33420,int_stack+31440,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+10560,int_stack+4620,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19800,int_stack+35895,int_stack+33420,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+42550,int_stack+19800,int_stack+4620,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+54430,int_stack+42550,int_stack+10560,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+38920,int_stack+35895,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27225,int_stack+0,int_stack+19800,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+27225,int_stack+42550,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+19800,int_stack+0,int_stack+54430,55);
 /*--- compute (lp|ig) ---*/
 hrr1_build_lp(Libint->AB,int_stack+106045,int_stack+19800,int_stack+87145,420);
 /*--- compute (kd|ig) ---*/
 hrr1_build_kd(Libint->AB,int_stack+0,int_stack+106045,int_stack+198601,420);
 /*--- compute (if|ig) ---*/
 hrr1_build_if(Libint->AB,int_stack+90720,int_stack+0,int_stack+243961,420);
 /*--- compute (hg|ig) ---*/
 hrr1_build_hg(Libint->AB,int_stack+402721,int_stack+90720,int_stack+314521,420);
 return int_stack+402721;}
