#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgll(Libint_t*, prim_data*);

  /* Computes quartets of (hg|ll) integrals */

REALTYPE *hrr_order_hgll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 Libint->vrr_classes[5][12] = int_stack + 5124;
 Libint->vrr_classes[5][13] = int_stack + 7035;
 Libint->vrr_classes[5][14] = int_stack + 9240;
 Libint->vrr_classes[5][15] = int_stack + 11760;
 Libint->vrr_classes[5][16] = int_stack + 14616;
 Libint->vrr_classes[6][8] = int_stack + 17829;
 Libint->vrr_classes[6][9] = int_stack + 19089;
 Libint->vrr_classes[6][10] = int_stack + 20629;
 Libint->vrr_classes[6][11] = int_stack + 22477;
 Libint->vrr_classes[6][12] = int_stack + 24661;
 Libint->vrr_classes[6][13] = int_stack + 27209;
 Libint->vrr_classes[6][14] = int_stack + 30149;
 Libint->vrr_classes[6][15] = int_stack + 33509;
 Libint->vrr_classes[6][16] = int_stack + 37317;
 Libint->vrr_classes[7][8] = int_stack + 41601;
 Libint->vrr_classes[7][9] = int_stack + 43221;
 Libint->vrr_classes[7][10] = int_stack + 45201;
 Libint->vrr_classes[7][11] = int_stack + 47577;
 Libint->vrr_classes[7][12] = int_stack + 50385;
 Libint->vrr_classes[7][13] = int_stack + 53661;
 Libint->vrr_classes[7][14] = int_stack + 57441;
 Libint->vrr_classes[7][15] = int_stack + 61761;
 Libint->vrr_classes[7][16] = int_stack + 66657;
 Libint->vrr_classes[8][8] = int_stack + 72165;
 Libint->vrr_classes[8][9] = int_stack + 74190;
 Libint->vrr_classes[8][10] = int_stack + 76665;
 Libint->vrr_classes[8][11] = int_stack + 79635;
 Libint->vrr_classes[8][12] = int_stack + 83145;
 Libint->vrr_classes[8][13] = int_stack + 87240;
 Libint->vrr_classes[8][14] = int_stack + 91965;
 Libint->vrr_classes[8][15] = int_stack + 97365;
 Libint->vrr_classes[8][16] = int_stack + 103485;
 Libint->vrr_classes[9][8] = int_stack + 110370;
 Libint->vrr_classes[9][9] = int_stack + 112845;
 Libint->vrr_classes[9][10] = int_stack + 115870;
 Libint->vrr_classes[9][11] = int_stack + 119500;
 Libint->vrr_classes[9][12] = int_stack + 123790;
 Libint->vrr_classes[9][13] = int_stack + 128795;
 Libint->vrr_classes[9][14] = int_stack + 134570;
 Libint->vrr_classes[9][15] = int_stack + 141170;
 Libint->vrr_classes[9][16] = int_stack + 148650;
 memset(int_stack,0,157065*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 157065;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgll(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+157065,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+159900,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+163365,int_stack+159900,int_stack+157065,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+169035,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+173193,int_stack+169035,int_stack+159900,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+180123,int_stack+173193,int_stack+163365,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+157065,int_stack+5124,int_stack+3486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+189573,int_stack+157065,int_stack+169035,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+197889,int_stack+189573,int_stack+173193,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+161979,int_stack+197889,int_stack+180123,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+176154,int_stack+7035,int_stack+5124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+209439,int_stack+176154,int_stack+157065,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+219267,int_stack+209439,int_stack+189573,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+233127,int_stack+219267,int_stack+197889,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+181887,int_stack+233127,int_stack+161979,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+157065,int_stack+9240,int_stack+7035,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+163680,int_stack+157065,int_stack+176154,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+250452,int_stack+163680,int_stack+209439,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266832,int_stack+250452,int_stack+219267,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+201732,int_stack+266832,int_stack+233127,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+287622,int_stack+201732,int_stack+181887,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+175146,int_stack+11760,int_stack+9240,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+182706,int_stack+175146,int_stack+157065,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+225987,int_stack+182706,int_stack+163680,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+314082,int_stack+225987,int_stack+250452,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+338652,int_stack+314082,int_stack+266832,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+245097,int_stack+338652,int_stack+201732,21);
 /*--- compute (h0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+367758,int_stack+245097,int_stack+287622,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+157065,int_stack+14616,int_stack+11760,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+195936,int_stack+157065,int_stack+175146,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+157065,int_stack+195936,int_stack+182706,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+179115,int_stack+157065,int_stack+225987,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+207780,int_stack+179115,int_stack+314082,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+157065,int_stack+207780,int_stack+338652,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+195873,int_stack+157065,int_stack+245097,21);
 /*--- compute (h0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+237453,int_stack+195873,int_stack+367758,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+157065,int_stack+19089,int_stack+17829,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+160845,int_stack+20629,int_stack+19089,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+165465,int_stack+160845,int_stack+157065,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+173025,int_stack+22477,int_stack+20629,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+178569,int_stack+173025,int_stack+160845,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+187809,int_stack+178569,int_stack+165465,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+157065,int_stack+24661,int_stack+22477,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+200409,int_stack+157065,int_stack+173025,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+211497,int_stack+200409,int_stack+178569,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+163617,int_stack+211497,int_stack+187809,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+182517,int_stack+27209,int_stack+24661,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+279978,int_stack+182517,int_stack+157065,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+293082,int_stack+279978,int_stack+200409,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+311562,int_stack+293082,int_stack+211497,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+190161,int_stack+311562,int_stack+163617,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+157065,int_stack+30149,int_stack+27209,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+165885,int_stack+157065,int_stack+182517,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+334662,int_stack+165885,int_stack+279978,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+356502,int_stack+334662,int_stack+293082,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+384222,int_stack+356502,int_stack+311562,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+279978,int_stack+384222,int_stack+190161,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+315258,int_stack+33509,int_stack+30149,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+181173,int_stack+315258,int_stack+157065,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+198813,int_stack+181173,int_stack+165885,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+198813,int_stack+334662,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+416562,int_stack+0,int_stack+356502,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+325338,int_stack+416562,int_stack+384222,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+368458,int_stack+325338,int_stack+279978,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+279978,int_stack+37317,int_stack+33509,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+291402,int_stack+279978,int_stack+315258,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+455370,int_stack+291402,int_stack+181173,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+279978,int_stack+455370,int_stack+198813,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+157065,int_stack+279978,int_stack+0,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+455370,int_stack+157065,int_stack+416562,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+157065,int_stack+455370,int_stack+325338,28);
 /*--- compute (i0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+279978,int_stack+157065,int_stack+368458,28);
 /*--- compute (hp|ll) ---*/
 hrr1_build_hp(Libint->AB,int_stack+336678,int_stack+279978,int_stack+237453,2025);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+157065,int_stack+43221,int_stack+41601,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+161925,int_stack+45201,int_stack+43221,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+167865,int_stack+161925,int_stack+157065,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+177585,int_stack+47577,int_stack+45201,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+184713,int_stack+177585,int_stack+161925,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+196593,int_stack+184713,int_stack+167865,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+157065,int_stack+50385,int_stack+47577,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+212793,int_stack+157065,int_stack+177585,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+227049,int_stack+212793,int_stack+184713,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+165489,int_stack+227049,int_stack+196593,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+189789,int_stack+53661,int_stack+50385,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+246849,int_stack+189789,int_stack+157065,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+246849,int_stack+212793,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+23760,int_stack+0,int_stack+227049,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+199617,int_stack+23760,int_stack+165489,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+157065,int_stack+57441,int_stack+53661,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+168405,int_stack+157065,int_stack+189789,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+464253,int_stack+168405,int_stack+246849,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+233637,int_stack+464253,int_stack+0,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+492333,int_stack+233637,int_stack+23760,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+492333,int_stack+199617,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+188061,int_stack+61761,int_stack+57441,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+201021,int_stack+188061,int_stack+157065,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+533913,int_stack+201021,int_stack+168405,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+566673,int_stack+533913,int_stack+464253,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+608793,int_stack+566673,int_stack+233637,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+223701,int_stack+608793,int_stack+492333,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+464253,int_stack+223701,int_stack+0,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+66657,int_stack+61761,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14688,int_stack+0,int_stack+188061,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+157065,int_stack+14688,int_stack+201021,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+157065,int_stack+533913,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+157065,int_stack+0,int_stack+566673,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+157065,int_stack+608793,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+522573,int_stack+0,int_stack+223701,36);
 /*--- compute (k0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+157065,int_stack+522573,int_stack+464253,36);
 /*--- compute (ip|ll) ---*/
 hrr1_build_ip(Libint->AB,int_stack+464253,int_stack+157065,int_stack+279978,2025);
 /*--- compute (hd|ll) ---*/
 hrr1_build_hd(Libint->AB,int_stack+634353,int_stack+464253,int_stack+336678,2025);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+74190,int_stack+72165,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6075,int_stack+76665,int_stack+74190,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+13500,int_stack+6075,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25650,int_stack+79635,int_stack+76665,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+34560,int_stack+25650,int_stack+6075,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+49410,int_stack+34560,int_stack+13500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+83145,int_stack+79635,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+229965,int_stack+0,int_stack+25650,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+247785,int_stack+229965,int_stack+34560,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+10530,int_stack+247785,int_stack+49410,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+40905,int_stack+87240,int_stack+83145,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+53190,int_stack+40905,int_stack+0,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+272535,int_stack+53190,int_stack+229965,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+302235,int_stack+272535,int_stack+247785,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+229965,int_stack+302235,int_stack+10530,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+91965,int_stack+87240,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+14175,int_stack+0,int_stack+40905,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+339360,int_stack+14175,int_stack+53190,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+38745,int_stack+339360,int_stack+272535,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+374460,int_stack+38745,int_stack+302235,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+272490,int_stack+374460,int_stack+229965,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+229965,int_stack+97365,int_stack+91965,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+426435,int_stack+229965,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+889503,int_stack+426435,int_stack+14175,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+930453,int_stack+889503,int_stack+339360,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+983103,int_stack+930453,int_stack+38745,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+983103,int_stack+374460,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+329190,int_stack+0,int_stack+272490,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+69300,int_stack+103485,int_stack+97365,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+246165,int_stack+69300,int_stack+229965,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+278565,int_stack+246165,int_stack+426435,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+402090,int_stack+278565,int_stack+889503,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+229965,int_stack+402090,int_stack+930453,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+889503,int_stack+229965,int_stack+983103,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+229965,int_stack+889503,int_stack+0,45);
 /*--- compute (l0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+229965,int_stack+329190,45);
 /*--- compute (kp|ll) ---*/
 hrr1_build_kp(Libint->AB,int_stack+229965,int_stack+0,int_stack+157065,2025);
 /*--- compute (id|ll) ---*/
 hrr1_build_id(Libint->AB,int_stack+889503,int_stack+229965,int_stack+464253,2025);
 /*--- compute (hf|ll) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1229703,int_stack+889503,int_stack+634353,2025);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+157065,int_stack+112845,int_stack+110370,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+164490,int_stack+115870,int_stack+112845,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+173565,int_stack+164490,int_stack+157065,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188415,int_stack+119500,int_stack+115870,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+199305,int_stack+188415,int_stack+164490,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+448665,int_stack+199305,int_stack+173565,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+157065,int_stack+123790,int_stack+119500,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+473415,int_stack+157065,int_stack+188415,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+495195,int_stack+473415,int_stack+199305,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+169935,int_stack+495195,int_stack+448665,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+448665,int_stack+128795,int_stack+123790,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+525445,int_stack+448665,int_stack+157065,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+551185,int_stack+525445,int_stack+473415,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+587485,int_stack+551185,int_stack+495195,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+463680,int_stack+587485,int_stack+169935,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+157065,int_stack+134570,int_stack+128795,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+174390,int_stack+157065,int_stack+448665,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+632860,int_stack+174390,int_stack+525445,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+675760,int_stack+632860,int_stack+551185,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+515655,int_stack+675760,int_stack+587485,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+730210,int_stack+515655,int_stack+463680,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+448665,int_stack+141170,int_stack+134570,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+468465,int_stack+448665,int_stack+157065,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+579180,int_stack+468465,int_stack+174390,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+157065,int_stack+579180,int_stack+632860,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+799510,int_stack+157065,int_stack+675760,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+629230,int_stack+799510,int_stack+515655,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1654953,int_stack+629230,int_stack+730210,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+503115,int_stack+148650,int_stack+141170,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+525555,int_stack+503115,int_stack+448665,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+713930,int_stack+525555,int_stack+468465,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+448665,int_stack+713930,int_stack+579180,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+523740,int_stack+448665,int_stack+157065,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+91125,int_stack+523740,int_stack+799510,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+448665,int_stack+91125,int_stack+629230,55);
 /*--- compute (m0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+91125,int_stack+448665,int_stack+1654953,55);
 /*--- compute (lp|ll) ---*/
 hrr1_build_lp(Libint->AB,int_stack+448665,int_stack+91125,int_stack+0,2025);
 /*--- compute (kd|ll) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1654953,int_stack+448665,int_stack+229965,2025);
 /*--- compute (if|ll) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+1654953,int_stack+889503,2025);
 /*--- compute (hg|ll) ---*/
 hrr1_build_hg(Libint->AB,int_stack+567000,int_stack+0,int_stack+1229703,2025);
 return int_stack+567000;}
