#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgmi(Libint_t*, prim_data*);

  /* Computes quartets of (hg|mi) integrals */

REALTYPE *hrr_order_hgmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[5][14] = int_stack + 8295;
 Libint->vrr_classes[5][15] = int_stack + 10815;
 Libint->vrr_classes[6][9] = int_stack + 13671;
 Libint->vrr_classes[6][10] = int_stack + 15211;
 Libint->vrr_classes[6][11] = int_stack + 17059;
 Libint->vrr_classes[6][12] = int_stack + 19243;
 Libint->vrr_classes[6][13] = int_stack + 21791;
 Libint->vrr_classes[6][14] = int_stack + 24731;
 Libint->vrr_classes[6][15] = int_stack + 28091;
 Libint->vrr_classes[7][9] = int_stack + 31899;
 Libint->vrr_classes[7][10] = int_stack + 33879;
 Libint->vrr_classes[7][11] = int_stack + 36255;
 Libint->vrr_classes[7][12] = int_stack + 39063;
 Libint->vrr_classes[7][13] = int_stack + 42339;
 Libint->vrr_classes[7][14] = int_stack + 46119;
 Libint->vrr_classes[7][15] = int_stack + 50439;
 Libint->vrr_classes[8][9] = int_stack + 55335;
 Libint->vrr_classes[8][10] = int_stack + 57810;
 Libint->vrr_classes[8][11] = int_stack + 60780;
 Libint->vrr_classes[8][12] = int_stack + 64290;
 Libint->vrr_classes[8][13] = int_stack + 68385;
 Libint->vrr_classes[8][14] = int_stack + 73110;
 Libint->vrr_classes[8][15] = int_stack + 78510;
 Libint->vrr_classes[9][9] = int_stack + 84630;
 Libint->vrr_classes[9][10] = int_stack + 87655;
 Libint->vrr_classes[9][11] = int_stack + 91285;
 Libint->vrr_classes[9][12] = int_stack + 95575;
 Libint->vrr_classes[9][13] = int_stack + 100580;
 Libint->vrr_classes[9][14] = int_stack + 106355;
 Libint->vrr_classes[9][15] = int_stack + 112955;
 memset(int_stack,0,120435*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 120435;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgmi(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120435,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+123900,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+128058,int_stack+123900,int_stack+120435,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+134988,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139902,int_stack+134988,int_stack+123900,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+148218,int_stack+139902,int_stack+128058,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+120435,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+159768,int_stack+120435,int_stack+134988,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+169596,int_stack+159768,int_stack+139902,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+126168,int_stack+169596,int_stack+148218,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+143493,int_stack+8295,int_stack+6090,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+183456,int_stack+143493,int_stack+120435,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+194922,int_stack+183456,int_stack+159768,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+211302,int_stack+194922,int_stack+169596,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+150108,int_stack+211302,int_stack+126168,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+120435,int_stack+10815,int_stack+8295,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+127995,int_stack+120435,int_stack+143493,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+232092,int_stack+127995,int_stack+183456,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+120435,int_stack+232092,int_stack+194922,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+174363,int_stack+120435,int_stack+211302,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+203469,int_stack+174363,int_stack+150108,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120435,int_stack+15211,int_stack+13671,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+125055,int_stack+17059,int_stack+15211,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+130599,int_stack+125055,int_stack+120435,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+139839,int_stack+19243,int_stack+17059,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+146391,int_stack+139839,int_stack+125055,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+157479,int_stack+146391,int_stack+130599,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+120435,int_stack+21791,int_stack+19243,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+172879,int_stack+120435,int_stack+139839,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+172879,int_stack+146391,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+128079,int_stack+0,int_stack+157479,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+151179,int_stack+24731,int_stack+21791,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+185983,int_stack+151179,int_stack+120435,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+235809,int_stack+185983,int_stack+172879,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+257649,int_stack+235809,int_stack+0,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+285369,int_stack+257649,int_stack+128079,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+28091,int_stack+24731,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+10080,int_stack+0,int_stack+151179,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+120435,int_stack+10080,int_stack+185983,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+145915,int_stack+120435,int_stack+235809,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+317709,int_stack+145915,int_stack+257649,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+235809,int_stack+317709,int_stack+285369,28);
 /*--- compute (hp|mi) ---*/
 hrr1_build_hp(Libint->AB,int_stack+278929,int_stack+235809,int_stack+203469,1540);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120435,int_stack+33879,int_stack+31899,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+126375,int_stack+36255,int_stack+33879,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+133503,int_stack+126375,int_stack+120435,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+145383,int_stack+39063,int_stack+36255,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+153807,int_stack+145383,int_stack+126375,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+168063,int_stack+153807,int_stack+133503,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+120435,int_stack+42339,int_stack+39063,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+187863,int_stack+120435,int_stack+145383,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+204711,int_stack+187863,int_stack+153807,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+130263,int_stack+204711,int_stack+168063,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+159963,int_stack+46119,int_stack+42339,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+159963,int_stack+120435,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+375949,int_stack+0,int_stack+187863,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+404029,int_stack+375949,int_stack+204711,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+171303,int_stack+404029,int_stack+130263,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+120435,int_stack+50439,int_stack+46119,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+133395,int_stack+120435,int_stack+159963,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+19656,int_stack+133395,int_stack+0,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+120435,int_stack+19656,int_stack+375949,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+120435,int_stack+404029,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+375949,int_stack+0,int_stack+171303,36);
 /*--- compute (ip|mi) ---*/
 hrr1_build_ip(Libint->AB,int_stack+431389,int_stack+375949,int_stack+235809,1540);
 /*--- compute (hd|mi) ---*/
 hrr1_build_hd(Libint->AB,int_stack+560749,int_stack+431389,int_stack+278929,1540);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+57810,int_stack+55335,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7425,int_stack+60780,int_stack+57810,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+16335,int_stack+7425,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+31185,int_stack+64290,int_stack+60780,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+41715,int_stack+31185,int_stack+7425,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120435,int_stack+41715,int_stack+16335,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+68385,int_stack+64290,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+145185,int_stack+0,int_stack+31185,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+166245,int_stack+145185,int_stack+41715,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+12285,int_stack+166245,int_stack+120435,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+120435,int_stack+73110,int_stack+68385,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+195945,int_stack+120435,int_stack+0,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+220515,int_stack+195945,int_stack+145185,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+255615,int_stack+220515,int_stack+166245,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+134610,int_stack+255615,int_stack+12285,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+78510,int_stack+73110,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+16200,int_stack+0,int_stack+120435,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+300165,int_stack+16200,int_stack+195945,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+300165,int_stack+220515,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+300165,int_stack+0,int_stack+255615,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+300165,int_stack+134610,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+120435,int_stack+0,int_stack+375949,1540);
 /*--- compute (id|mi) ---*/
 hrr1_build_id(Libint->AB,int_stack+754789,int_stack+120435,int_stack+431389,1540);
 /*--- compute (hf|mi) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1013509,int_stack+754789,int_stack+560749,1540);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+69300,int_stack+87655,int_stack+84630,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+286755,int_stack+91285,int_stack+87655,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+297645,int_stack+286755,int_stack+69300,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+69300,int_stack+95575,int_stack+91285,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+315795,int_stack+69300,int_stack+286755,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+337575,int_stack+315795,int_stack+297645,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+286755,int_stack+100580,int_stack+95575,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+367825,int_stack+286755,int_stack+69300,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+393565,int_stack+367825,int_stack+315795,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+429865,int_stack+393565,int_stack+337575,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+69300,int_stack+106355,int_stack+100580,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+301770,int_stack+69300,int_stack+286755,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+475240,int_stack+301770,int_stack+367825,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+331800,int_stack+475240,int_stack+393565,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+518140,int_stack+331800,int_stack+429865,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+386250,int_stack+112955,int_stack+106355,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+406050,int_stack+386250,int_stack+69300,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+69300,int_stack+406050,int_stack+301770,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+386250,int_stack+69300,int_stack+475240,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+581665,int_stack+386250,int_stack+331800,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+286755,int_stack+581665,int_stack+518140,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+371455,int_stack+286755,int_stack+0,1540);
 /*--- compute (kd|mi) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1336909,int_stack+371455,int_stack+120435,1540);
 /*--- compute (if|mi) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+1336909,int_stack+754789,1540);
 /*--- compute (hg|mi) ---*/
 hrr1_build_hg(Libint->AB,int_stack+431200,int_stack+0,int_stack+1013509,1540);
 return int_stack+431200;}
