#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgnh(Libint_t*, prim_data*);

  /* Computes quartets of (hg|nh) integrals */

REALTYPE *hrr_order_hgnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[6][10] = int_stack + 12516;
 Libint->vrr_classes[6][11] = int_stack + 14364;
 Libint->vrr_classes[6][12] = int_stack + 16548;
 Libint->vrr_classes[6][13] = int_stack + 19096;
 Libint->vrr_classes[6][14] = int_stack + 22036;
 Libint->vrr_classes[6][15] = int_stack + 25396;
 Libint->vrr_classes[7][10] = int_stack + 29204;
 Libint->vrr_classes[7][11] = int_stack + 31580;
 Libint->vrr_classes[7][12] = int_stack + 34388;
 Libint->vrr_classes[7][13] = int_stack + 37664;
 Libint->vrr_classes[7][14] = int_stack + 41444;
 Libint->vrr_classes[7][15] = int_stack + 45764;
 Libint->vrr_classes[8][10] = int_stack + 50660;
 Libint->vrr_classes[8][11] = int_stack + 53630;
 Libint->vrr_classes[8][12] = int_stack + 57140;
 Libint->vrr_classes[8][13] = int_stack + 61235;
 Libint->vrr_classes[8][14] = int_stack + 65960;
 Libint->vrr_classes[8][15] = int_stack + 71360;
 Libint->vrr_classes[9][10] = int_stack + 77480;
 Libint->vrr_classes[9][11] = int_stack + 81110;
 Libint->vrr_classes[9][12] = int_stack + 85400;
 Libint->vrr_classes[9][13] = int_stack + 90405;
 Libint->vrr_classes[9][14] = int_stack + 96180;
 Libint->vrr_classes[9][15] = int_stack + 102780;
 memset(int_stack,0,110260*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 110260;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgnh(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+110260,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114418,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+119332,int_stack+114418,int_stack+110260,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+127648,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+133381,int_stack+127648,int_stack+114418,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+143209,int_stack+133381,int_stack+119332,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+110260,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+157069,int_stack+110260,int_stack+127648,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+116875,int_stack+157069,int_stack+133381,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+168535,int_stack+116875,int_stack+143209,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+133255,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+140815,int_stack+133255,int_stack+110260,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+189325,int_stack+140815,int_stack+157069,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+133255,int_stack+189325,int_stack+116875,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+189325,int_stack+133255,int_stack+168535,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+110260,int_stack+14364,int_stack+12516,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115804,int_stack+16548,int_stack+14364,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+122356,int_stack+115804,int_stack+110260,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+133444,int_stack+19096,int_stack+16548,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+141088,int_stack+133444,int_stack+115804,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+154192,int_stack+141088,int_stack+122356,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+110260,int_stack+22036,int_stack+19096,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+172672,int_stack+110260,int_stack+133444,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+119080,int_stack+172672,int_stack+141088,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+218431,int_stack+119080,int_stack+154192,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+140920,int_stack+25396,int_stack+22036,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+151000,int_stack+140920,int_stack+110260,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+151000,int_stack+172672,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+140920,int_stack+0,int_stack+119080,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+246151,int_stack+140920,int_stack+218431,28);
 /*--- compute (hp|nh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+284959,int_stack+246151,int_stack+189325,1386);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+31580,int_stack+29204,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7128,int_stack+34388,int_stack+31580,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15552,int_stack+7128,int_stack+0,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+110260,int_stack+37664,int_stack+34388,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+120088,int_stack+110260,int_stack+7128,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+136936,int_stack+120088,int_stack+15552,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+41444,int_stack+37664,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11340,int_stack+0,int_stack+110260,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+160696,int_stack+11340,int_stack+120088,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+188776,int_stack+160696,int_stack+136936,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+110260,int_stack+45764,int_stack+41444,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+123220,int_stack+110260,int_stack+0,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+372277,int_stack+123220,int_stack+11340,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+372277,int_stack+160696,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+110260,int_stack+0,int_stack+188776,36);
 /*--- compute (ip|nh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+372277,int_stack+110260,int_stack+246151,1386);
 /*--- compute (hd|nh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+488701,int_stack+372277,int_stack+284959,1386);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+53630,int_stack+50660,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+57140,int_stack+53630,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+37260,int_stack+61235,int_stack+57140,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+160156,int_stack+37260,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+181216,int_stack+160156,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+65960,int_stack+61235,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+210916,int_stack+0,int_stack+37260,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14175,int_stack+210916,int_stack+160156,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+235486,int_stack+14175,int_stack+181216,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+160156,int_stack+71360,int_stack+65960,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+176356,int_stack+160156,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+280036,int_stack+176356,int_stack+210916,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+160156,int_stack+280036,int_stack+14175,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+280036,int_stack+160156,int_stack+235486,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+663337,int_stack+280036,int_stack+110260,1386);
 /*--- compute (id|nh) ---*/
 hrr1_build_id(Libint->AB,int_stack+813025,int_stack+663337,int_stack+372277,1386);
 /*--- compute (hf|nh) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1045873,int_stack+813025,int_stack+488701,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+110260,int_stack+81110,int_stack+77480,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+121150,int_stack+85400,int_stack+81110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+134020,int_stack+121150,int_stack+110260,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+155800,int_stack+90405,int_stack+85400,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+170815,int_stack+155800,int_stack+121150,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+196555,int_stack+170815,int_stack+134020,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+110260,int_stack+96180,int_stack+90405,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+232855,int_stack+110260,int_stack+155800,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+127585,int_stack+232855,int_stack+170815,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+342406,int_stack+127585,int_stack+196555,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+170485,int_stack+102780,int_stack+96180,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+190285,int_stack+170485,int_stack+110260,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+396856,int_stack+190285,int_stack+232855,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+170485,int_stack+396856,int_stack+127585,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+396856,int_stack+170485,int_stack+342406,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+473086,int_stack+396856,int_stack+280036,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+0,int_stack+473086,int_stack+663337,1386);
 /*--- compute (if|nh) ---*/
 hrr1_build_if(Libint->AB,int_stack+299376,int_stack+0,int_stack+813025,1386);
 /*--- compute (hg|nh) ---*/
 hrr1_build_hg(Libint->AB,int_stack+1336933,int_stack+299376,int_stack+1045873,1386);
 return int_stack+1336933;}
