#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhig(Libint_t*, prim_data*);

  /* Computes quartets of (hh|ig) integrals */

REALTYPE *hrr_order_hhig(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[6][6] = int_stack + 4830;
 Libint->vrr_classes[6][7] = int_stack + 5614;
 Libint->vrr_classes[6][8] = int_stack + 6622;
 Libint->vrr_classes[6][9] = int_stack + 7882;
 Libint->vrr_classes[6][10] = int_stack + 9422;
 Libint->vrr_classes[7][6] = int_stack + 11270;
 Libint->vrr_classes[7][7] = int_stack + 12278;
 Libint->vrr_classes[7][8] = int_stack + 13574;
 Libint->vrr_classes[7][9] = int_stack + 15194;
 Libint->vrr_classes[7][10] = int_stack + 17174;
 Libint->vrr_classes[8][6] = int_stack + 19550;
 Libint->vrr_classes[8][7] = int_stack + 20810;
 Libint->vrr_classes[8][8] = int_stack + 22430;
 Libint->vrr_classes[8][9] = int_stack + 24455;
 Libint->vrr_classes[8][10] = int_stack + 26930;
 Libint->vrr_classes[9][6] = int_stack + 29900;
 Libint->vrr_classes[9][7] = int_stack + 31440;
 Libint->vrr_classes[9][8] = int_stack + 33420;
 Libint->vrr_classes[9][9] = int_stack + 35895;
 Libint->vrr_classes[9][10] = int_stack + 38920;
 Libint->vrr_classes[10][6] = int_stack + 42550;
 Libint->vrr_classes[10][7] = int_stack + 44398;
 Libint->vrr_classes[10][8] = int_stack + 46774;
 Libint->vrr_classes[10][9] = int_stack + 49744;
 Libint->vrr_classes[10][10] = int_stack + 53374;
 memset(int_stack,0,57730*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 57730;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhig(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+57730,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+59494,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+61762,int_stack+59494,int_stack+57730,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+65290,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+68125,int_stack+65290,int_stack+59494,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+72661,int_stack+68125,int_stack+61762,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57730,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+78541,int_stack+57730,int_stack+65290,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+57730,int_stack+78541,int_stack+68125,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+78541,int_stack+57730,int_stack+72661,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+57730,int_stack+5614,int_stack+4830,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+60082,int_stack+6622,int_stack+5614,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+63106,int_stack+60082,int_stack+57730,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67810,int_stack+7882,int_stack+6622,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+71590,int_stack+67810,int_stack+60082,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+71590,int_stack+63106,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57730,int_stack+9422,int_stack+7882,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87361,int_stack+57730,int_stack+67810,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+57730,int_stack+87361,int_stack+71590,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+87361,int_stack+57730,int_stack+0,28);
 /*--- compute (hp|ig) ---*/
 hrr1_build_hp(Libint->AB,int_stack+99121,int_stack+87361,int_stack+78541,420);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+12278,int_stack+11270,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+13574,int_stack+12278,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6912,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+57730,int_stack+15194,int_stack+13574,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+62590,int_stack+57730,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+70366,int_stack+62590,int_stack+6912,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+17174,int_stack+15194,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5940,int_stack+0,int_stack+57730,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+125581,int_stack+5940,int_stack+62590,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+0,int_stack+125581,int_stack+70366,36);
 /*--- compute (ip|ig) ---*/
 hrr1_build_ip(Libint->AB,int_stack+125581,int_stack+0,int_stack+87361,420);
 /*--- compute (hd|ig) ---*/
 hrr1_build_hd(Libint->AB,int_stack+160861,int_stack+125581,int_stack+99121,420);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+57730,int_stack+20810,int_stack+19550,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+61510,int_stack+22430,int_stack+20810,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+66370,int_stack+61510,int_stack+57730,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+73930,int_stack+24455,int_stack+22430,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+80005,int_stack+73930,int_stack+61510,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+89725,int_stack+80005,int_stack+66370,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57730,int_stack+26930,int_stack+24455,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+102325,int_stack+57730,int_stack+73930,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+57730,int_stack+102325,int_stack+80005,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+102325,int_stack+57730,int_stack+89725,45);
 /*--- compute (kp|ig) ---*/
 hrr1_build_kp(Libint->AB,int_stack+213781,int_stack+102325,int_stack+0,420);
 /*--- compute (id|ig) ---*/
 hrr1_build_id(Libint->AB,int_stack+259141,int_stack+213781,int_stack+125581,420);
 /*--- compute (hf|ig) ---*/
 hrr1_build_hf(Libint->AB,int_stack+329701,int_stack+259141,int_stack+160861,420);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+31440,int_stack+29900,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4620,int_stack+33420,int_stack+31440,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+10560,int_stack+4620,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19800,int_stack+35895,int_stack+33420,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+57730,int_stack+19800,int_stack+4620,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+69610,int_stack+57730,int_stack+10560,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+38920,int_stack+35895,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27225,int_stack+0,int_stack+19800,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+27225,int_stack+57730,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+121225,int_stack+0,int_stack+69610,55);
 /*--- compute (lp|ig) ---*/
 hrr1_build_lp(Libint->AB,int_stack+144325,int_stack+121225,int_stack+102325,420);
 /*--- compute (kd|ig) ---*/
 hrr1_build_kd(Libint->AB,int_stack+417901,int_stack+144325,int_stack+213781,420);
 /*--- compute (if|ig) ---*/
 hrr1_build_if(Libint->AB,int_stack+508621,int_stack+417901,int_stack+259141,420);
 /*--- compute (hg|ig) ---*/
 hrr1_build_hg(Libint->AB,int_stack+626221,int_stack+508621,int_stack+329701,420);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+44398,int_stack+42550,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5544,int_stack+46774,int_stack+44398,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12672,int_stack+5544,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23760,int_stack+49744,int_stack+46774,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32670,int_stack+23760,int_stack+5544,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+57730,int_stack+32670,int_stack+12672,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+53374,int_stack+49744,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+76210,int_stack+0,int_stack+23760,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+76210,int_stack+32670,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+76210,int_stack+0,int_stack+57730,66);
 /*--- compute (mp|ig) ---*/
 hrr1_build_mp(Libint->AB,int_stack+0,int_stack+76210,int_stack+121225,420);
 /*--- compute (ld|ig) ---*/
 hrr1_build_ld(Libint->AB,int_stack+201025,int_stack+0,int_stack+144325,420);
 /*--- compute (kf|ig) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+201025,int_stack+417901,420);
 /*--- compute (ig|ig) ---*/
 hrr1_build_ig(Libint->AB,int_stack+151200,int_stack+0,int_stack+508621,420);
 /*--- compute (hh|ig) ---*/
 hrr1_build_hh(Libint->AB,int_stack+327600,int_stack+151200,int_stack+626221,420);
 return int_stack+327600;}
