#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhmi(Libint_t*, prim_data*);

  /* Computes quartets of (hh|mi) integrals */

REALTYPE *hrr_order_hhmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[5][14] = int_stack + 8295;
 Libint->vrr_classes[5][15] = int_stack + 10815;
 Libint->vrr_classes[6][9] = int_stack + 13671;
 Libint->vrr_classes[6][10] = int_stack + 15211;
 Libint->vrr_classes[6][11] = int_stack + 17059;
 Libint->vrr_classes[6][12] = int_stack + 19243;
 Libint->vrr_classes[6][13] = int_stack + 21791;
 Libint->vrr_classes[6][14] = int_stack + 24731;
 Libint->vrr_classes[6][15] = int_stack + 28091;
 Libint->vrr_classes[7][9] = int_stack + 31899;
 Libint->vrr_classes[7][10] = int_stack + 33879;
 Libint->vrr_classes[7][11] = int_stack + 36255;
 Libint->vrr_classes[7][12] = int_stack + 39063;
 Libint->vrr_classes[7][13] = int_stack + 42339;
 Libint->vrr_classes[7][14] = int_stack + 46119;
 Libint->vrr_classes[7][15] = int_stack + 50439;
 Libint->vrr_classes[8][9] = int_stack + 55335;
 Libint->vrr_classes[8][10] = int_stack + 57810;
 Libint->vrr_classes[8][11] = int_stack + 60780;
 Libint->vrr_classes[8][12] = int_stack + 64290;
 Libint->vrr_classes[8][13] = int_stack + 68385;
 Libint->vrr_classes[8][14] = int_stack + 73110;
 Libint->vrr_classes[8][15] = int_stack + 78510;
 Libint->vrr_classes[9][9] = int_stack + 84630;
 Libint->vrr_classes[9][10] = int_stack + 87655;
 Libint->vrr_classes[9][11] = int_stack + 91285;
 Libint->vrr_classes[9][12] = int_stack + 95575;
 Libint->vrr_classes[9][13] = int_stack + 100580;
 Libint->vrr_classes[9][14] = int_stack + 106355;
 Libint->vrr_classes[9][15] = int_stack + 112955;
 Libint->vrr_classes[10][9] = int_stack + 120435;
 Libint->vrr_classes[10][10] = int_stack + 124065;
 Libint->vrr_classes[10][11] = int_stack + 128421;
 Libint->vrr_classes[10][12] = int_stack + 133569;
 Libint->vrr_classes[10][13] = int_stack + 139575;
 Libint->vrr_classes[10][14] = int_stack + 146505;
 Libint->vrr_classes[10][15] = int_stack + 154425;
 memset(int_stack,0,163401*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 163401;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhmi(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163401,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+166866,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+171024,int_stack+166866,int_stack+163401,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+177954,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182868,int_stack+177954,int_stack+166866,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+191184,int_stack+182868,int_stack+171024,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163401,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+202734,int_stack+163401,int_stack+177954,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+212562,int_stack+202734,int_stack+182868,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+169134,int_stack+212562,int_stack+191184,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+186459,int_stack+8295,int_stack+6090,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+226422,int_stack+186459,int_stack+163401,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+237888,int_stack+226422,int_stack+202734,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+254268,int_stack+237888,int_stack+212562,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+193074,int_stack+254268,int_stack+169134,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+163401,int_stack+10815,int_stack+8295,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+170961,int_stack+163401,int_stack+186459,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+275058,int_stack+170961,int_stack+226422,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+163401,int_stack+275058,int_stack+237888,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+217329,int_stack+163401,int_stack+254268,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+246435,int_stack+217329,int_stack+193074,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163401,int_stack+15211,int_stack+13671,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+168021,int_stack+17059,int_stack+15211,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+173565,int_stack+168021,int_stack+163401,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+182805,int_stack+19243,int_stack+17059,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+189357,int_stack+182805,int_stack+168021,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+200445,int_stack+189357,int_stack+173565,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163401,int_stack+21791,int_stack+19243,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+215845,int_stack+163401,int_stack+182805,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+215845,int_stack+189357,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+171045,int_stack+0,int_stack+200445,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+194145,int_stack+24731,int_stack+21791,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+228949,int_stack+194145,int_stack+163401,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+278775,int_stack+228949,int_stack+215845,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+300615,int_stack+278775,int_stack+0,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+328335,int_stack+300615,int_stack+171045,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+28091,int_stack+24731,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+10080,int_stack+0,int_stack+194145,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+163401,int_stack+10080,int_stack+228949,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+188881,int_stack+163401,int_stack+278775,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+360675,int_stack+188881,int_stack+300615,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+278775,int_stack+360675,int_stack+328335,28);
 /*--- compute (hp|mi) ---*/
 hrr1_build_hp(Libint->AB,int_stack+321895,int_stack+278775,int_stack+246435,1540);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163401,int_stack+33879,int_stack+31899,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+169341,int_stack+36255,int_stack+33879,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+176469,int_stack+169341,int_stack+163401,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+188349,int_stack+39063,int_stack+36255,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+196773,int_stack+188349,int_stack+169341,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+211029,int_stack+196773,int_stack+176469,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163401,int_stack+42339,int_stack+39063,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+230829,int_stack+163401,int_stack+188349,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+247677,int_stack+230829,int_stack+196773,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+173229,int_stack+247677,int_stack+211029,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+202929,int_stack+46119,int_stack+42339,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+202929,int_stack+163401,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+418915,int_stack+0,int_stack+230829,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+446995,int_stack+418915,int_stack+247677,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+214269,int_stack+446995,int_stack+173229,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+163401,int_stack+50439,int_stack+46119,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+176361,int_stack+163401,int_stack+202929,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+19656,int_stack+176361,int_stack+0,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+163401,int_stack+19656,int_stack+418915,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+163401,int_stack+446995,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+418915,int_stack+0,int_stack+214269,36);
 /*--- compute (ip|mi) ---*/
 hrr1_build_ip(Libint->AB,int_stack+474355,int_stack+418915,int_stack+278775,1540);
 /*--- compute (hd|mi) ---*/
 hrr1_build_hd(Libint->AB,int_stack+603715,int_stack+474355,int_stack+321895,1540);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+57810,int_stack+55335,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7425,int_stack+60780,int_stack+57810,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+16335,int_stack+7425,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+31185,int_stack+64290,int_stack+60780,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+41715,int_stack+31185,int_stack+7425,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+163401,int_stack+41715,int_stack+16335,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+68385,int_stack+64290,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+188151,int_stack+0,int_stack+31185,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+209211,int_stack+188151,int_stack+41715,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+12285,int_stack+209211,int_stack+163401,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+163401,int_stack+73110,int_stack+68385,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+238911,int_stack+163401,int_stack+0,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+263481,int_stack+238911,int_stack+188151,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+298581,int_stack+263481,int_stack+209211,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+177576,int_stack+298581,int_stack+12285,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+78510,int_stack+73110,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+16200,int_stack+0,int_stack+163401,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+343131,int_stack+16200,int_stack+238911,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+343131,int_stack+263481,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+343131,int_stack+0,int_stack+298581,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+343131,int_stack+177576,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+163401,int_stack+0,int_stack+418915,1540);
 /*--- compute (id|mi) ---*/
 hrr1_build_id(Libint->AB,int_stack+797755,int_stack+163401,int_stack+474355,1540);
 /*--- compute (hf|mi) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1056475,int_stack+797755,int_stack+603715,1540);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+69300,int_stack+87655,int_stack+84630,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+329721,int_stack+91285,int_stack+87655,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+340611,int_stack+329721,int_stack+69300,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+69300,int_stack+95575,int_stack+91285,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+358761,int_stack+69300,int_stack+329721,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+380541,int_stack+358761,int_stack+340611,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+329721,int_stack+100580,int_stack+95575,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+410791,int_stack+329721,int_stack+69300,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+436531,int_stack+410791,int_stack+358761,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+472831,int_stack+436531,int_stack+380541,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+69300,int_stack+106355,int_stack+100580,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+344736,int_stack+69300,int_stack+329721,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+518206,int_stack+344736,int_stack+410791,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+374766,int_stack+518206,int_stack+436531,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+561106,int_stack+374766,int_stack+472831,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+429216,int_stack+112955,int_stack+106355,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+449016,int_stack+429216,int_stack+69300,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+69300,int_stack+449016,int_stack+344736,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+429216,int_stack+69300,int_stack+518206,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+624631,int_stack+429216,int_stack+374766,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+329721,int_stack+624631,int_stack+561106,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+414421,int_stack+329721,int_stack+0,1540);
 /*--- compute (kd|mi) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1379875,int_stack+414421,int_stack+163401,1540);
 /*--- compute (if|mi) ---*/
 hrr1_build_if(Libint->AB,int_stack+1712515,int_stack+1379875,int_stack+797755,1540);
 /*--- compute (hg|mi) ---*/
 hrr1_build_hg(Libint->AB,int_stack+2143715,int_stack+1712515,int_stack+1056475,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163401,int_stack+124065,int_stack+120435,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+174291,int_stack+128421,int_stack+124065,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+187359,int_stack+174291,int_stack+163401,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+209139,int_stack+133569,int_stack+128421,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+224583,int_stack+209139,int_stack+174291,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+250719,int_stack+224583,int_stack+187359,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163401,int_stack+139575,int_stack+133569,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+287019,int_stack+163401,int_stack+209139,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+287019,int_stack+224583,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+181419,int_stack+0,int_stack+250719,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+235869,int_stack+146505,int_stack+139575,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43560,int_stack+235869,int_stack+163401,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+79596,int_stack+43560,int_stack+287019,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+256659,int_stack+79596,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+622321,int_stack+256659,int_stack+181419,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+154425,int_stack+146505,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+131076,int_stack+0,int_stack+235869,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+172656,int_stack+131076,int_stack+43560,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+172656,int_stack+79596,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+77220,int_stack+0,int_stack+256659,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+168696,int_stack+77220,int_stack+622321,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+622321,int_stack+168696,int_stack+329721,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+876421,int_stack+622321,int_stack+414421,1540);
 /*--- compute (kf|mi) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+876421,int_stack+1379875,1540);
 /*--- compute (ig|mi) ---*/
 hrr1_build_ig(Libint->AB,int_stack+554400,int_stack+0,int_stack+1712515,1540);
 /*--- compute (hh|mi) ---*/
 hrr1_build_hh(Libint->AB,int_stack+1201200,int_stack+554400,int_stack+2143715,1540);
 return int_stack+1201200;}
