#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhnk(Libint_t*, prim_data*);

  /* Computes quartets of (hh|nk) integrals */

REALTYPE *hrr_order_hhnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[6][10] = int_stack + 19320;
 Libint->vrr_classes[6][11] = int_stack + 21168;
 Libint->vrr_classes[6][12] = int_stack + 23352;
 Libint->vrr_classes[6][13] = int_stack + 25900;
 Libint->vrr_classes[6][14] = int_stack + 28840;
 Libint->vrr_classes[6][15] = int_stack + 32200;
 Libint->vrr_classes[6][16] = int_stack + 36008;
 Libint->vrr_classes[6][17] = int_stack + 40292;
 Libint->vrr_classes[7][10] = int_stack + 45080;
 Libint->vrr_classes[7][11] = int_stack + 47456;
 Libint->vrr_classes[7][12] = int_stack + 50264;
 Libint->vrr_classes[7][13] = int_stack + 53540;
 Libint->vrr_classes[7][14] = int_stack + 57320;
 Libint->vrr_classes[7][15] = int_stack + 61640;
 Libint->vrr_classes[7][16] = int_stack + 66536;
 Libint->vrr_classes[7][17] = int_stack + 72044;
 Libint->vrr_classes[8][10] = int_stack + 78200;
 Libint->vrr_classes[8][11] = int_stack + 81170;
 Libint->vrr_classes[8][12] = int_stack + 84680;
 Libint->vrr_classes[8][13] = int_stack + 88775;
 Libint->vrr_classes[8][14] = int_stack + 93500;
 Libint->vrr_classes[8][15] = int_stack + 98900;
 Libint->vrr_classes[8][16] = int_stack + 105020;
 Libint->vrr_classes[8][17] = int_stack + 111905;
 Libint->vrr_classes[9][10] = int_stack + 119600;
 Libint->vrr_classes[9][11] = int_stack + 123230;
 Libint->vrr_classes[9][12] = int_stack + 127520;
 Libint->vrr_classes[9][13] = int_stack + 132525;
 Libint->vrr_classes[9][14] = int_stack + 138300;
 Libint->vrr_classes[9][15] = int_stack + 144900;
 Libint->vrr_classes[9][16] = int_stack + 152380;
 Libint->vrr_classes[9][17] = int_stack + 160795;
 Libint->vrr_classes[10][10] = int_stack + 170200;
 Libint->vrr_classes[10][11] = int_stack + 174556;
 Libint->vrr_classes[10][12] = int_stack + 179704;
 Libint->vrr_classes[10][13] = int_stack + 185710;
 Libint->vrr_classes[10][14] = int_stack + 192640;
 Libint->vrr_classes[10][15] = int_stack + 200560;
 Libint->vrr_classes[10][16] = int_stack + 209536;
 Libint->vrr_classes[10][17] = int_stack + 219634;
 memset(int_stack,0,230920*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 230920;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhnk(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+230920,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+235078,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+239992,int_stack+235078,int_stack+230920,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+248308,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254041,int_stack+248308,int_stack+235078,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+263869,int_stack+254041,int_stack+239992,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+230920,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+277729,int_stack+230920,int_stack+248308,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+237535,int_stack+277729,int_stack+254041,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+289195,int_stack+237535,int_stack+263869,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+253915,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+261475,int_stack+253915,int_stack+230920,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+309985,int_stack+261475,int_stack+277729,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+329095,int_stack+309985,int_stack+237535,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+353665,int_stack+329095,int_stack+289195,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+230920,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+274705,int_stack+230920,int_stack+253915,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+382771,int_stack+274705,int_stack+261475,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+239488,int_stack+382771,int_stack+309985,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+289825,int_stack+239488,int_stack+329095,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+404821,int_stack+289825,int_stack+353665,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+324223,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+333862,int_stack+324223,int_stack+230920,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+350998,int_stack+333862,int_stack+274705,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+443629,int_stack+350998,int_stack+382771,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+324223,int_stack+443629,int_stack+239488,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+230920,int_stack+324223,int_stack+289825,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+276784,int_stack+230920,int_stack+404821,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+230920,int_stack+21168,int_stack+19320,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+236464,int_stack+23352,int_stack+21168,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+243016,int_stack+236464,int_stack+230920,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+254104,int_stack+25900,int_stack+23352,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+261748,int_stack+254104,int_stack+236464,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+326680,int_stack+261748,int_stack+243016,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+230920,int_stack+28840,int_stack+25900,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+345160,int_stack+230920,int_stack+254104,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+239740,int_stack+345160,int_stack+261748,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+360448,int_stack+239740,int_stack+326680,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+326680,int_stack+32200,int_stack+28840,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+388168,int_stack+326680,int_stack+230920,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+405808,int_stack+388168,int_stack+345160,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+431288,int_stack+405808,int_stack+239740,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+230920,int_stack+431288,int_stack+360448,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+336760,int_stack+36008,int_stack+32200,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+348184,int_stack+336760,int_stack+326680,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+348184,int_stack+388168,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+464048,int_stack+0,int_stack+405808,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+368344,int_stack+464048,int_stack+431288,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+502268,int_stack+368344,int_stack+230920,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+230920,int_stack+40292,int_stack+36008,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+243772,int_stack+230920,int_stack+336760,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+414208,int_stack+243772,int_stack+348184,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+230920,int_stack+414208,int_stack+0,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+554012,int_stack+230920,int_stack+464048,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+414208,int_stack+554012,int_stack+368344,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+326680,int_stack+414208,int_stack+502268,28);
 /*--- compute (hp|nk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+393208,int_stack+326680,int_stack+276784,2376);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+230920,int_stack+47456,int_stack+45080,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+238048,int_stack+50264,int_stack+47456,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+246472,int_stack+238048,int_stack+230920,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+260728,int_stack+53540,int_stack+50264,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+270556,int_stack+260728,int_stack+238048,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+287404,int_stack+270556,int_stack+246472,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+230920,int_stack+57320,int_stack+53540,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+230920,int_stack+260728,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+242260,int_stack+0,int_stack+270556,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+19656,int_stack+242260,int_stack+287404,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+270340,int_stack+61640,int_stack+57320,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+283300,int_stack+270340,int_stack+230920,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+542896,int_stack+283300,int_stack+0,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+575656,int_stack+542896,int_stack+242260,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+617776,int_stack+575656,int_stack+19656,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+66536,int_stack+61640,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14688,int_stack+0,int_stack+270340,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+230920,int_stack+14688,int_stack+283300,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+268720,int_stack+230920,int_stack+542896,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+667672,int_stack+268720,int_stack+575656,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+542896,int_stack+667672,int_stack+617776,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+609424,int_stack+72044,int_stack+66536,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+625948,int_stack+609424,int_stack+0,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+726640,int_stack+625948,int_stack+14688,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+726640,int_stack+230920,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+726640,int_stack+0,int_stack+268720,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+230920,int_stack+726640,int_stack+667672,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+609424,int_stack+230920,int_stack+542896,36);
 /*--- compute (ip|nk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+694960,int_stack+609424,int_stack+326680,2376);
 /*--- compute (hd|nk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+894544,int_stack+694960,int_stack+393208,2376);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+230920,int_stack+81170,int_stack+78200,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+239830,int_stack+84680,int_stack+81170,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+250360,int_stack+239830,int_stack+230920,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+268180,int_stack+88775,int_stack+84680,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+280465,int_stack+268180,int_stack+239830,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+301525,int_stack+280465,int_stack+250360,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+230920,int_stack+93500,int_stack+88775,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+331225,int_stack+230920,int_stack+268180,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+245095,int_stack+331225,int_stack+280465,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+355795,int_stack+245095,int_stack+301525,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+280195,int_stack+98900,int_stack+93500,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+296395,int_stack+280195,int_stack+230920,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+400345,int_stack+296395,int_stack+331225,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+441295,int_stack+400345,int_stack+245095,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+493945,int_stack+441295,int_stack+355795,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+230920,int_stack+105020,int_stack+98900,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+324745,int_stack+230920,int_stack+280195,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+556315,int_stack+324745,int_stack+296395,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+249280,int_stack+556315,int_stack+400345,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+357145,int_stack+249280,int_stack+441295,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+357145,int_stack+493945,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+430855,int_stack+111905,int_stack+105020,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+451510,int_stack+430855,int_stack+230920,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+488230,int_stack+451510,int_stack+324745,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1193920,int_stack+488230,int_stack+556315,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+430855,int_stack+1193920,int_stack+249280,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+230920,int_stack+430855,int_stack+357145,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+329200,int_stack+230920,int_stack+0,45);
 /*--- compute (kp|nk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1193920,int_stack+329200,int_stack+609424,2376);
 /*--- compute (id|nk) ---*/
 hrr1_build_id(Libint->AB,int_stack+1450528,int_stack+1193920,int_stack+694960,2376);
 /*--- compute (hf|nk) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1849696,int_stack+1450528,int_stack+894544,2376);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+123230,int_stack+119600,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+127520,int_stack+123230,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+132525,int_stack+127520,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86295,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+138300,int_stack+132525,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+230920,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+230920,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+260950,int_stack+17325,int_stack+86295,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+60225,int_stack+144900,int_stack+138300,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+80025,int_stack+60225,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+436120,int_stack+80025,int_stack+230920,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+486170,int_stack+436120,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+550520,int_stack+486170,int_stack+260950,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+230920,int_stack+152380,int_stack+144900,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+253360,int_stack+230920,int_stack+60225,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+253360,int_stack+80025,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+57750,int_stack+0,int_stack+436120,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+626750,int_stack+57750,int_stack+486170,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+436120,int_stack+626750,int_stack+550520,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+537760,int_stack+160795,int_stack+152380,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+563005,int_stack+537760,int_stack+230920,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+716840,int_stack+563005,int_stack+253360,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+230920,int_stack+716840,int_stack+0,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+716840,int_stack+230920,int_stack+57750,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+716840,int_stack+626750,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+537760,int_stack+0,int_stack+436120,55);
 /*--- compute (lp|nk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+668440,int_stack+537760,int_stack+329200,2376);
 /*--- compute (kd|nk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+2348656,int_stack+668440,int_stack+1193920,2376);
 /*--- compute (if|nk) ---*/
 hrr1_build_if(Libint->AB,int_stack+2861872,int_stack+2348656,int_stack+1450528,2376);
 /*--- compute (hg|nk) ---*/
 hrr1_build_hg(Libint->AB,int_stack+989200,int_stack+2861872,int_stack+1849696,2376);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+174556,int_stack+170200,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+179704,int_stack+174556,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+185710,int_stack+179704,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+103554,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+192640,int_stack+185710,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+147114,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+147114,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+230920,int_stack+20790,int_stack+103554,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72270,int_stack+200560,int_stack+192640,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+96030,int_stack+72270,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+296260,int_stack+96030,int_stack+147114,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+356320,int_stack+296260,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+433540,int_stack+356320,int_stack+230920,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+230920,int_stack+209536,int_stack+200560,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+230920,int_stack+72270,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+137610,int_stack+0,int_stack+96030,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+47520,int_stack+137610,int_stack+296260,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1737640,int_stack+47520,int_stack+356320,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+257848,int_stack+1737640,int_stack+433540,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+379816,int_stack+219634,int_stack+209536,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+410110,int_stack+379816,int_stack+230920,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1845748,int_stack+410110,int_stack+0,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+379816,int_stack+1845748,int_stack+137610,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1845748,int_stack+379816,int_stack+47520,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+379816,int_stack+1845748,int_stack+1737640,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1737640,int_stack+379816,int_stack+257848,66);
 /*--- compute (mp|nk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1894456,int_stack+1737640,int_stack+537760,2376);
 /*--- compute (ld|nk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+1894456,int_stack+668440,2376);
 /*--- compute (kf|nk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3527152,int_stack+0,int_stack+2348656,2376);
 /*--- compute (ig|nk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+1737640,int_stack+3527152,int_stack+2861872,2376);
 /*--- compute (hh|nk) ---*/
 hrr1_build_hh(Libint->AB,int_stack+2735560,int_stack+1737640,int_stack+989200,2376);
 return int_stack+2735560;}
