#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpld(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ld) integrals */

REALTYPE *hrr_order_hpld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[6][8] = int_stack + 3486;
 Libint->vrr_classes[6][9] = int_stack + 4746;
 Libint->vrr_classes[6][10] = int_stack + 6286;
 memset(int_stack,0,8134*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 8134;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpld(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8134,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10969,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+14434,int_stack+10969,int_stack+8134,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8134,int_stack+4746,int_stack+3486,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+6286,int_stack+4746,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+20104,int_stack+0,int_stack+8134,28);
 /*--- compute (hp|ld) ---*/
 hrr1_build_hp(Libint->AB,int_stack+27664,int_stack+20104,int_stack+14434,270);
 return int_stack+27664;}
