#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0np(Libint_t*, prim_data*);

  /* Computes quartets of (i0|np) integrals */

REALTYPE *hrr_order_i0np(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 memset(int_stack,0,4032*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4032;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0np(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4032,int_stack+1848,int_stack+0,28);
 return int_stack+4032;}
