#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idlk(Libint_t*, prim_data*);

  /* Computes quartets of (id|lk) integrals */

REALTYPE *hrr_order_idlk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[6][15] = int_stack + 15680;
 Libint->vrr_classes[7][8] = int_stack + 19488;
 Libint->vrr_classes[7][9] = int_stack + 21108;
 Libint->vrr_classes[7][10] = int_stack + 23088;
 Libint->vrr_classes[7][11] = int_stack + 25464;
 Libint->vrr_classes[7][12] = int_stack + 28272;
 Libint->vrr_classes[7][13] = int_stack + 31548;
 Libint->vrr_classes[7][14] = int_stack + 35328;
 Libint->vrr_classes[7][15] = int_stack + 39648;
 Libint->vrr_classes[8][8] = int_stack + 44544;
 Libint->vrr_classes[8][9] = int_stack + 46569;
 Libint->vrr_classes[8][10] = int_stack + 49044;
 Libint->vrr_classes[8][11] = int_stack + 52014;
 Libint->vrr_classes[8][12] = int_stack + 55524;
 Libint->vrr_classes[8][13] = int_stack + 59619;
 Libint->vrr_classes[8][14] = int_stack + 64344;
 Libint->vrr_classes[8][15] = int_stack + 69744;
 memset(int_stack,0,75864*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 75864;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idlk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+75864,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+79644,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+84264,int_stack+79644,int_stack+75864,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+91824,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+97368,int_stack+91824,int_stack+79644,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+106608,int_stack+97368,int_stack+84264,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+75864,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+119208,int_stack+75864,int_stack+91824,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+130296,int_stack+119208,int_stack+97368,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+82416,int_stack+130296,int_stack+106608,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+101316,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+145696,int_stack+101316,int_stack+75864,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+158800,int_stack+145696,int_stack+119208,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+177280,int_stack+158800,int_stack+130296,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+108960,int_stack+177280,int_stack+82416,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+75864,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+84684,int_stack+75864,int_stack+101316,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+200380,int_stack+84684,int_stack+145696,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+222220,int_stack+200380,int_stack+158800,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+135420,int_stack+222220,int_stack+177280,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+249940,int_stack+135420,int_stack+108960,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99972,int_stack+15680,int_stack+12320,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+110052,int_stack+99972,int_stack+75864,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+167760,int_stack+110052,int_stack+84684,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+75864,int_stack+167760,int_stack+200380,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+167760,int_stack+75864,int_stack+222220,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+75864,int_stack+167760,int_stack+135420,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+118984,int_stack+75864,int_stack+249940,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+75864,int_stack+21108,int_stack+19488,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80724,int_stack+23088,int_stack+21108,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+86664,int_stack+80724,int_stack+75864,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+96384,int_stack+25464,int_stack+23088,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+103512,int_stack+96384,int_stack+80724,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+164344,int_stack+103512,int_stack+86664,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+75864,int_stack+28272,int_stack+25464,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+180544,int_stack+75864,int_stack+96384,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+194800,int_stack+180544,int_stack+103512,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+84288,int_stack+194800,int_stack+164344,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+164344,int_stack+31548,int_stack+28272,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+214600,int_stack+164344,int_stack+75864,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+231448,int_stack+214600,int_stack+180544,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+255208,int_stack+231448,int_stack+194800,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+174172,int_stack+255208,int_stack+84288,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+75864,int_stack+35328,int_stack+31548,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+87204,int_stack+75864,int_stack+164344,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+87204,int_stack+214600,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+284908,int_stack+0,int_stack+231448,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+208192,int_stack+284908,int_stack+255208,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+320548,int_stack+208192,int_stack+174172,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+164344,int_stack+39648,int_stack+35328,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+177304,int_stack+164344,int_stack+75864,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+249772,int_stack+177304,int_stack+87204,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+75864,int_stack+249772,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+365908,int_stack+75864,int_stack+284908,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+249772,int_stack+365908,int_stack+208192,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+164344,int_stack+249772,int_stack+320548,36);
 /*--- compute (ip|lk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+222664,int_stack+164344,int_stack+118984,1620);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+75864,int_stack+46569,int_stack+44544,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+81939,int_stack+49044,int_stack+46569,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+89364,int_stack+81939,int_stack+75864,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+101514,int_stack+52014,int_stack+49044,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+110424,int_stack+101514,int_stack+81939,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+125274,int_stack+110424,int_stack+89364,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+75864,int_stack+55524,int_stack+52014,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+145524,int_stack+75864,int_stack+101514,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+145524,int_stack+110424,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+86394,int_stack+0,int_stack+125274,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+116769,int_stack+59619,int_stack+55524,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+24750,int_stack+116769,int_stack+75864,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+358744,int_stack+24750,int_stack+145524,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+388444,int_stack+358744,int_stack+0,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+425569,int_stack+388444,int_stack+86394,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+64344,int_stack+59619,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+75864,int_stack+0,int_stack+116769,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+100434,int_stack+75864,int_stack+24750,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+14175,int_stack+100434,int_stack+358744,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+468094,int_stack+14175,int_stack+388444,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+358744,int_stack+468094,int_stack+425569,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+415444,int_stack+69744,int_stack+64344,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+431644,int_stack+415444,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+520069,int_stack+431644,int_stack+75864,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+415444,int_stack+520069,int_stack+100434,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+58725,int_stack+415444,int_stack+14175,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+520069,int_stack+58725,int_stack+468094,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+415444,int_stack+520069,int_stack+358744,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+488344,int_stack+415444,int_stack+164344,1620);
 /*--- compute (id|lk) ---*/
 hrr1_build_id(Libint->AB,int_stack+663304,int_stack+488344,int_stack+222664,1620);
 return int_stack+663304;}
