#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idn0(Libint_t*, prim_data*);

  /* Computes quartets of (id|n0) integrals */

REALTYPE *hrr_order_idn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1848;
 Libint->vrr_classes[8][10] = int_stack + 4224;
 memset(int_stack,0,7194*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7194;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idn0(Libint, Data);
   Data++;
 }
 /*--- compute (ip|n0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+7194,int_stack+1848,int_stack+0,66);
 /*--- compute (kp|n0) ---*/
 hrr1_build_kp(Libint->AB,int_stack+12738,int_stack+4224,int_stack+1848,66);
 /*--- compute (id|n0) ---*/
 hrr1_build_id(Libint->AB,int_stack+19866,int_stack+12738,int_stack+7194,66);
 return int_stack+19866;}
