#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_igmh(Libint_t*, prim_data*);

  /* Computes quartets of (ig|mh) integrals */

REALTYPE *hrr_order_igmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[7][9] = int_stack + 14420;
 Libint->vrr_classes[7][10] = int_stack + 16400;
 Libint->vrr_classes[7][11] = int_stack + 18776;
 Libint->vrr_classes[7][12] = int_stack + 21584;
 Libint->vrr_classes[7][13] = int_stack + 24860;
 Libint->vrr_classes[7][14] = int_stack + 28640;
 Libint->vrr_classes[8][9] = int_stack + 32960;
 Libint->vrr_classes[8][10] = int_stack + 35435;
 Libint->vrr_classes[8][11] = int_stack + 38405;
 Libint->vrr_classes[8][12] = int_stack + 41915;
 Libint->vrr_classes[8][13] = int_stack + 46010;
 Libint->vrr_classes[8][14] = int_stack + 50735;
 Libint->vrr_classes[9][9] = int_stack + 56135;
 Libint->vrr_classes[9][10] = int_stack + 59160;
 Libint->vrr_classes[9][11] = int_stack + 62790;
 Libint->vrr_classes[9][12] = int_stack + 67080;
 Libint->vrr_classes[9][13] = int_stack + 72085;
 Libint->vrr_classes[9][14] = int_stack + 77860;
 Libint->vrr_classes[10][9] = int_stack + 84460;
 Libint->vrr_classes[10][10] = int_stack + 88090;
 Libint->vrr_classes[10][11] = int_stack + 92446;
 Libint->vrr_classes[10][12] = int_stack + 97594;
 Libint->vrr_classes[10][13] = int_stack + 103600;
 Libint->vrr_classes[10][14] = int_stack + 110530;
 memset(int_stack,0,118450*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 118450;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_igmh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+118450,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+123070,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+128614,int_stack+123070,int_stack+118450,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+137854,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+144406,int_stack+137854,int_stack+123070,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+155494,int_stack+144406,int_stack+128614,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118450,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+170894,int_stack+118450,int_stack+137854,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+183998,int_stack+170894,int_stack+144406,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+126094,int_stack+183998,int_stack+155494,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149194,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+202478,int_stack+149194,int_stack+118450,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+217766,int_stack+202478,int_stack+170894,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+149194,int_stack+217766,int_stack+183998,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+176914,int_stack+149194,int_stack+126094,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+118450,int_stack+16400,int_stack+14420,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+124390,int_stack+18776,int_stack+16400,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+131518,int_stack+124390,int_stack+118450,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+143398,int_stack+21584,int_stack+18776,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+151822,int_stack+143398,int_stack+124390,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+209254,int_stack+151822,int_stack+131518,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118450,int_stack+24860,int_stack+21584,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+118450,int_stack+143398,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+229054,int_stack+0,int_stack+151822,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+128278,int_stack+229054,int_stack+209254,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+209254,int_stack+28640,int_stack+24860,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+252814,int_stack+209254,int_stack+118450,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+272470,int_stack+252814,int_stack+0,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+300550,int_stack+272470,int_stack+229054,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+209254,int_stack+300550,int_stack+128278,36);
 /*--- compute (ip|mh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+250834,int_stack+209254,int_stack+176914,1155);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+35435,int_stack+32960,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7425,int_stack+38405,int_stack+35435,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+16335,int_stack+7425,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+118450,int_stack+41915,int_stack+38405,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+128980,int_stack+118450,int_stack+7425,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+146800,int_stack+128980,int_stack+16335,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+46010,int_stack+41915,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+12285,int_stack+0,int_stack+118450,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+171550,int_stack+12285,int_stack+128980,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+347854,int_stack+171550,int_stack+146800,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+118450,int_stack+50735,int_stack+46010,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+132625,int_stack+118450,int_stack+0,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+384979,int_stack+132625,int_stack+12285,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+384979,int_stack+171550,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+118450,int_stack+0,int_stack+347854,45);
 /*--- compute (kp|mh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+347854,int_stack+118450,int_stack+209254,1155);
 /*--- compute (id|mh) ---*/
 hrr1_build_id(Libint->AB,int_stack+472594,int_stack+347854,int_stack+250834,1155);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+59160,int_stack+56135,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+62790,int_stack+59160,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38115,int_stack+67080,int_stack+62790,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+170425,int_stack+38115,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+192205,int_stack+170425,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+72085,int_stack+67080,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+222455,int_stack+0,int_stack+38115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+15015,int_stack+222455,int_stack+170425,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+248195,int_stack+15015,int_stack+192205,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+170425,int_stack+77860,int_stack+72085,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+187750,int_stack+170425,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+293570,int_stack+187750,int_stack+222455,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+170425,int_stack+293570,int_stack+15015,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+170425,int_stack+248195,55);
 /*--- compute (lp|mh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+170425,int_stack+0,int_stack+118450,1155);
 /*--- compute (kd|mh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+666634,int_stack+170425,int_stack+347854,1155);
 /*--- compute (if|mh) ---*/
 hrr1_build_if(Libint->AB,int_stack+916114,int_stack+666634,int_stack+472594,1155);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+118450,int_stack+88090,int_stack+84460,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+129340,int_stack+92446,int_stack+88090,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+142408,int_stack+129340,int_stack+118450,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+326350,int_stack+97594,int_stack+92446,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+341794,int_stack+326350,int_stack+129340,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+367930,int_stack+341794,int_stack+142408,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118450,int_stack+103600,int_stack+97594,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+136468,int_stack+118450,int_stack+326350,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+404230,int_stack+136468,int_stack+341794,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+447790,int_stack+404230,int_stack+367930,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+326350,int_stack+110530,int_stack+103600,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+347140,int_stack+326350,int_stack+118450,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+502240,int_stack+347140,int_stack+136468,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+326350,int_stack+502240,int_stack+404230,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+502240,int_stack+326350,int_stack+447790,66);
 /*--- compute (mp|mh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1239514,int_stack+502240,int_stack+0,1155);
 /*--- compute (ld|mh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+326350,int_stack+1239514,int_stack+170425,1155);
 /*--- compute (kf|mh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1239514,int_stack+326350,int_stack+666634,1155);
 /*--- compute (ig|mh) ---*/
 hrr1_build_ig(Libint->AB,int_stack+0,int_stack+1239514,int_stack+916114,1155);
 return int_stack+0;}
