#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihli(Libint_t*, prim_data*);

  /* Computes quartets of (ih|li) integrals */

REALTYPE *hrr_order_ihli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[7][8] = int_stack + 15680;
 Libint->vrr_classes[7][9] = int_stack + 17300;
 Libint->vrr_classes[7][10] = int_stack + 19280;
 Libint->vrr_classes[7][11] = int_stack + 21656;
 Libint->vrr_classes[7][12] = int_stack + 24464;
 Libint->vrr_classes[7][13] = int_stack + 27740;
 Libint->vrr_classes[7][14] = int_stack + 31520;
 Libint->vrr_classes[8][8] = int_stack + 35840;
 Libint->vrr_classes[8][9] = int_stack + 37865;
 Libint->vrr_classes[8][10] = int_stack + 40340;
 Libint->vrr_classes[8][11] = int_stack + 43310;
 Libint->vrr_classes[8][12] = int_stack + 46820;
 Libint->vrr_classes[8][13] = int_stack + 50915;
 Libint->vrr_classes[8][14] = int_stack + 55640;
 Libint->vrr_classes[9][8] = int_stack + 61040;
 Libint->vrr_classes[9][9] = int_stack + 63515;
 Libint->vrr_classes[9][10] = int_stack + 66540;
 Libint->vrr_classes[9][11] = int_stack + 70170;
 Libint->vrr_classes[9][12] = int_stack + 74460;
 Libint->vrr_classes[9][13] = int_stack + 79465;
 Libint->vrr_classes[9][14] = int_stack + 85240;
 Libint->vrr_classes[10][8] = int_stack + 91840;
 Libint->vrr_classes[10][9] = int_stack + 94810;
 Libint->vrr_classes[10][10] = int_stack + 98440;
 Libint->vrr_classes[10][11] = int_stack + 102796;
 Libint->vrr_classes[10][12] = int_stack + 107944;
 Libint->vrr_classes[10][13] = int_stack + 113950;
 Libint->vrr_classes[10][14] = int_stack + 120880;
 Libint->vrr_classes[11][8] = int_stack + 128800;
 Libint->vrr_classes[11][9] = int_stack + 132310;
 Libint->vrr_classes[11][10] = int_stack + 136600;
 Libint->vrr_classes[11][11] = int_stack + 141748;
 Libint->vrr_classes[11][12] = int_stack + 147832;
 Libint->vrr_classes[11][13] = int_stack + 154930;
 Libint->vrr_classes[11][14] = int_stack + 163120;
 memset(int_stack,0,172480*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 172480;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihli(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+172480,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+176260,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+180880,int_stack+176260,int_stack+172480,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188440,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+193984,int_stack+188440,int_stack+176260,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+203224,int_stack+193984,int_stack+180880,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+172480,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+215824,int_stack+172480,int_stack+188440,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+226912,int_stack+215824,int_stack+193984,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+179032,int_stack+226912,int_stack+203224,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+197932,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+242312,int_stack+197932,int_stack+172480,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+255416,int_stack+242312,int_stack+215824,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+273896,int_stack+255416,int_stack+226912,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+205576,int_stack+273896,int_stack+179032,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+172480,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+181300,int_stack+172480,int_stack+197932,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+296996,int_stack+181300,int_stack+242312,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+172480,int_stack+296996,int_stack+255416,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+232036,int_stack+172480,int_stack+273896,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+264376,int_stack+232036,int_stack+205576,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+172480,int_stack+17300,int_stack+15680,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+177340,int_stack+19280,int_stack+17300,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+183280,int_stack+177340,int_stack+172480,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+193000,int_stack+21656,int_stack+19280,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+200128,int_stack+193000,int_stack+177340,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+212008,int_stack+200128,int_stack+183280,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+172480,int_stack+24464,int_stack+21656,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+228208,int_stack+172480,int_stack+193000,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+242464,int_stack+228208,int_stack+200128,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+180904,int_stack+242464,int_stack+212008,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+205204,int_stack+27740,int_stack+24464,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+299656,int_stack+205204,int_stack+172480,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+299656,int_stack+228208,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+316504,int_stack+0,int_stack+242464,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+215032,int_stack+316504,int_stack+180904,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+172480,int_stack+31520,int_stack+27740,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+183820,int_stack+172480,int_stack+205204,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+346204,int_stack+183820,int_stack+299656,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+172480,int_stack+346204,int_stack+0,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+346204,int_stack+172480,int_stack+316504,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+299656,int_stack+346204,int_stack+215032,36);
 /*--- compute (ip|li) ---*/
 hrr1_build_ip(Libint->AB,int_stack+345016,int_stack+299656,int_stack+264376,1260);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+172480,int_stack+37865,int_stack+35840,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+178555,int_stack+40340,int_stack+37865,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+185980,int_stack+178555,int_stack+172480,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+198130,int_stack+43310,int_stack+40340,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+207040,int_stack+198130,int_stack+178555,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+221890,int_stack+207040,int_stack+185980,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+172480,int_stack+46820,int_stack+43310,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+242140,int_stack+172480,int_stack+198130,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+259960,int_stack+242140,int_stack+207040,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+183010,int_stack+259960,int_stack+221890,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+213385,int_stack+50915,int_stack+46820,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+213385,int_stack+172480,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21060,int_stack+0,int_stack+242140,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+450856,int_stack+21060,int_stack+259960,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+225670,int_stack+450856,int_stack+183010,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+172480,int_stack+55640,int_stack+50915,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+186655,int_stack+172480,int_stack+213385,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+487981,int_stack+186655,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+172480,int_stack+487981,int_stack+21060,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+172480,int_stack+450856,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+450856,int_stack+0,int_stack+225670,45);
 /*--- compute (kp|li) ---*/
 hrr1_build_kp(Libint->AB,int_stack+507556,int_stack+450856,int_stack+299656,1260);
 /*--- compute (id|li) ---*/
 hrr1_build_id(Libint->AB,int_stack+643636,int_stack+507556,int_stack+345016,1260);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+63515,int_stack+61040,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+66540,int_stack+63515,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31350,int_stack+70170,int_stack+66540,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42240,int_stack+31350,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+172480,int_stack+42240,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+74460,int_stack+70170,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+197230,int_stack+0,int_stack+31350,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+219010,int_stack+197230,int_stack+42240,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+12870,int_stack+219010,int_stack+172480,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+172480,int_stack+79465,int_stack+74460,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49995,int_stack+172480,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+249260,int_stack+49995,int_stack+197230,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+285560,int_stack+249260,int_stack+219010,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+187495,int_stack+285560,int_stack+12870,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+85240,int_stack+79465,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+172480,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+330935,int_stack+17325,int_stack+49995,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+330935,int_stack+249260,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+330935,int_stack+0,int_stack+285560,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+330935,int_stack+187495,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+172480,int_stack+0,int_stack+450856,1260);
 /*--- compute (kd|li) ---*/
 hrr1_build_kd(Libint->AB,int_stack+855316,int_stack+172480,int_stack+507556,1260);
 /*--- compute (if|li) ---*/
 hrr1_build_if(Libint->AB,int_stack+1127476,int_stack+855316,int_stack+643636,1260);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+69300,int_stack+94810,int_stack+91840,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+78210,int_stack+98440,int_stack+94810,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+342580,int_stack+78210,int_stack+69300,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+360400,int_stack+102796,int_stack+98440,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+373468,int_stack+360400,int_stack+78210,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+69300,int_stack+373468,int_stack+342580,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+342580,int_stack+107944,int_stack+102796,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+395248,int_stack+342580,int_stack+360400,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+421384,int_stack+395248,int_stack+373468,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+457684,int_stack+421384,int_stack+69300,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+69300,int_stack+113950,int_stack+107944,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+358024,int_stack+69300,int_stack+342580,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+502234,int_stack+358024,int_stack+395248,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+545794,int_stack+502234,int_stack+421384,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+388912,int_stack+545794,int_stack+457684,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+87318,int_stack+120880,int_stack+113950,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+451282,int_stack+87318,int_stack+69300,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+69300,int_stack+451282,int_stack+358024,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+600244,int_stack+69300,int_stack+502234,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+451282,int_stack+600244,int_stack+545794,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+527512,int_stack+451282,int_stack+388912,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+610672,int_stack+527512,int_stack+0,1260);
 /*--- compute (ld|li) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1480276,int_stack+610672,int_stack+172480,1260);
 /*--- compute (kf|li) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1820476,int_stack+1480276,int_stack+855316,1260);
 /*--- compute (ig|li) ---*/
 hrr1_build_ig(Libint->AB,int_stack+2274076,int_stack+1820476,int_stack+1127476,1260);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+172480,int_stack+132310,int_stack+128800,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+183010,int_stack+136600,int_stack+132310,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+195880,int_stack+183010,int_stack+172480,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+216940,int_stack+141748,int_stack+136600,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+232384,int_stack+216940,int_stack+183010,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+258124,int_stack+232384,int_stack+195880,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+172480,int_stack+147832,int_stack+141748,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+293224,int_stack+172480,int_stack+216940,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+324112,int_stack+293224,int_stack+232384,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+190732,int_stack+324112,int_stack+258124,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+243382,int_stack+154930,int_stack+147832,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+367012,int_stack+243382,int_stack+172480,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+403516,int_stack+367012,int_stack+293224,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+454996,int_stack+403516,int_stack+324112,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+264676,int_stack+454996,int_stack+190732,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+172480,int_stack+163120,int_stack+154930,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+197050,int_stack+172480,int_stack+243382,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+197050,int_stack+367012,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+60840,int_stack+0,int_stack+403516,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+338386,int_stack+60840,int_stack+454996,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+338386,int_stack+264676,78);
 /*--- compute (np|li) ---*/
 hrr1_build_np(Libint->AB,int_stack+98280,int_stack+0,int_stack+527512,1260);
 /*--- compute (md|li) ---*/
 hrr1_build_md(Libint->AB,int_stack+818572,int_stack+98280,int_stack+610672,1260);
 /*--- compute (lf|li) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+818572,int_stack+1480276,1260);
 /*--- compute (kg|li) ---*/
 hrr1_build_kg(Libint->AB,int_stack+567000,int_stack+0,int_stack+1820476,1260);
 /*--- compute (ih|li) ---*/
 hrr1_build_ih(Libint->AB,int_stack+1247400,int_stack+567000,int_stack+2274076,1260);
 return int_stack+1247400;}
