#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iind(Libint_t*, prim_data*);

  /* Computes quartets of (ii|nd) integrals */

REALTYPE *hrr_order_iind(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[7][10] = int_stack + 6580;
 Libint->vrr_classes[7][11] = int_stack + 8956;
 Libint->vrr_classes[7][12] = int_stack + 11764;
 Libint->vrr_classes[8][10] = int_stack + 15040;
 Libint->vrr_classes[8][11] = int_stack + 18010;
 Libint->vrr_classes[8][12] = int_stack + 21520;
 Libint->vrr_classes[9][10] = int_stack + 25615;
 Libint->vrr_classes[9][11] = int_stack + 29245;
 Libint->vrr_classes[9][12] = int_stack + 33535;
 Libint->vrr_classes[10][10] = int_stack + 38540;
 Libint->vrr_classes[10][11] = int_stack + 42896;
 Libint->vrr_classes[10][12] = int_stack + 48044;
 Libint->vrr_classes[11][10] = int_stack + 54050;
 Libint->vrr_classes[11][11] = int_stack + 59198;
 Libint->vrr_classes[11][12] = int_stack + 65282;
 Libint->vrr_classes[12][10] = int_stack + 72380;
 Libint->vrr_classes[12][11] = int_stack + 78386;
 Libint->vrr_classes[12][12] = int_stack + 85484;
 memset(int_stack,0,93765*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 93765;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iind(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93765,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+99309,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+105861,int_stack+99309,int_stack+93765,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93765,int_stack+8956,int_stack+6580,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+11764,int_stack+8956,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116949,int_stack+0,int_stack+93765,36);
 /*--- compute (ip|nd) ---*/
 hrr1_build_ip(Libint->AB,int_stack+131205,int_stack+116949,int_stack+105861,396);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93765,int_stack+18010,int_stack+15040,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+102675,int_stack+21520,int_stack+18010,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+102675,int_stack+93765,45);
 /*--- compute (kp|nd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+164469,int_stack+0,int_stack+116949,396);
 /*--- compute (id|nd) ---*/
 hrr1_build_id(Libint->AB,int_stack+207237,int_stack+164469,int_stack+131205,396);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93765,int_stack+29245,int_stack+25615,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+104655,int_stack+33535,int_stack+29245,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+117525,int_stack+104655,int_stack+93765,55);
 /*--- compute (lp|nd) ---*/
 hrr1_build_lp(Libint->AB,int_stack+273765,int_stack+117525,int_stack+0,396);
 /*--- compute (kd|nd) ---*/
 hrr1_build_kd(Libint->AB,int_stack+327225,int_stack+273765,int_stack+164469,396);
 /*--- compute (if|nd) ---*/
 hrr1_build_if(Libint->AB,int_stack+412761,int_stack+327225,int_stack+207237,396);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+42896,int_stack+38540,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+48044,int_stack+42896,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139305,int_stack+13068,int_stack+0,66);
 /*--- compute (mp|nd) ---*/
 hrr1_build_mp(Libint->AB,int_stack+165441,int_stack+139305,int_stack+117525,396);
 /*--- compute (ld|nd) ---*/
 hrr1_build_ld(Libint->AB,int_stack+523641,int_stack+165441,int_stack+273765,396);
 /*--- compute (kf|nd) ---*/
 hrr1_build_kf(Libint->AB,int_stack+630561,int_stack+523641,int_stack+327225,396);
 /*--- compute (ig|nd) ---*/
 hrr1_build_ig(Libint->AB,int_stack+230781,int_stack+630561,int_stack+412761,396);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+59198,int_stack+54050,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+65282,int_stack+59198,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (np|nd) ---*/
 hrr1_build_np(Libint->AB,int_stack+397101,int_stack+33696,int_stack+139305,396);
 /*--- compute (md|nd) ---*/
 hrr1_build_md(Libint->AB,int_stack+773121,int_stack+397101,int_stack+165441,396);
 /*--- compute (lf|nd) ---*/
 hrr1_build_lf(Libint->AB,int_stack+903801,int_stack+773121,int_stack+523641,396);
 /*--- compute (kg|nd) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1082001,int_stack+903801,int_stack+630561,396);
 /*--- compute (ih|nd) ---*/
 hrr1_build_ih(Libint->AB,int_stack+475509,int_stack+1082001,int_stack+230781,396);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+78386,int_stack+72380,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+93765,int_stack+85484,int_stack+78386,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115059,int_stack+93765,int_stack+0,91);
 /*--- compute (op|nd) ---*/
 hrr1_build_op(Libint->AB,int_stack+151095,int_stack+115059,int_stack+33696,396);
 /*--- compute (nd|nd) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1295841,int_stack+151095,int_stack+397101,396);
 /*--- compute (mf|nd) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+1295841,int_stack+773121,396);
 /*--- compute (lg|nd) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1295841,int_stack+0,int_stack+903801,396);
 /*--- compute (kh|nd) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+1295841,int_stack+1082001,396);
 /*--- compute (ii|nd) ---*/
 hrr1_build_ii(Libint->AB,int_stack+708357,int_stack+0,int_stack+475509,396);
 return int_stack+708357;}
