#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipkk(Libint_t*, prim_data*);

  /* Computes quartets of (ip|kk) integrals */

REALTYPE *hrr_order_ipkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[6][12] = int_stack + 7840;
 Libint->vrr_classes[6][13] = int_stack + 10388;
 Libint->vrr_classes[6][14] = int_stack + 13328;
 Libint->vrr_classes[7][7] = int_stack + 16688;
 Libint->vrr_classes[7][8] = int_stack + 17984;
 Libint->vrr_classes[7][9] = int_stack + 19604;
 Libint->vrr_classes[7][10] = int_stack + 21584;
 Libint->vrr_classes[7][11] = int_stack + 23960;
 Libint->vrr_classes[7][12] = int_stack + 26768;
 Libint->vrr_classes[7][13] = int_stack + 30044;
 Libint->vrr_classes[7][14] = int_stack + 33824;
 memset(int_stack,0,38144*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 38144;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipkk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+38144,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+41168,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+44948,int_stack+41168,int_stack+38144,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+50996,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+55616,int_stack+50996,int_stack+41168,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+63176,int_stack+55616,int_stack+44948,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38144,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+73256,int_stack+38144,int_stack+50996,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+82496,int_stack+73256,int_stack+55616,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+43688,int_stack+82496,int_stack+63176,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+58808,int_stack+7840,int_stack+5656,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+95096,int_stack+58808,int_stack+38144,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+106184,int_stack+95096,int_stack+73256,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+121584,int_stack+106184,int_stack+82496,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+65360,int_stack+121584,int_stack+43688,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+38144,int_stack+10388,int_stack+7840,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+140484,int_stack+38144,int_stack+58808,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+45788,int_stack+140484,int_stack+95096,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+153588,int_stack+45788,int_stack+106184,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+86528,int_stack+153588,int_stack+121584,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+176688,int_stack+86528,int_stack+65360,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+64268,int_stack+13328,int_stack+10388,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+112988,int_stack+64268,int_stack+38144,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+64268,int_stack+112988,int_stack+140484,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+112988,int_stack+64268,int_stack+45788,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+38144,int_stack+112988,int_stack+153588,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+112988,int_stack+38144,int_stack+86528,28);
 /*--- compute (i0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+38144,int_stack+112988,int_stack+176688,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+74432,int_stack+17984,int_stack+16688,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+78320,int_stack+19604,int_stack+17984,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+83180,int_stack+78320,int_stack+74432,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+90956,int_stack+21584,int_stack+19604,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+96896,int_stack+90956,int_stack+78320,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+106616,int_stack+96896,int_stack+83180,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74432,int_stack+23960,int_stack+21584,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+119576,int_stack+74432,int_stack+90956,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+131456,int_stack+119576,int_stack+96896,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+81560,int_stack+131456,int_stack+106616,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101000,int_stack+26768,int_stack+23960,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+147656,int_stack+101000,int_stack+74432,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+161912,int_stack+147656,int_stack+119576,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+161912,int_stack+131456,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+109424,int_stack+0,int_stack+81560,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+74432,int_stack+30044,int_stack+26768,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+181712,int_stack+74432,int_stack+101000,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+84260,int_stack+181712,int_stack+147656,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+198560,int_stack+84260,int_stack+161912,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+136640,int_stack+198560,int_stack+0,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+228260,int_stack+136640,int_stack+109424,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+33824,int_stack+30044,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11340,int_stack+0,int_stack+74432,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+108020,int_stack+11340,int_stack+181712,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+108020,int_stack+84260,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+74432,int_stack+0,int_stack+198560,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+170660,int_stack+74432,int_stack+136640,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+74432,int_stack+170660,int_stack+228260,36);
 /*--- compute (ip|kk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+121088,int_stack+74432,int_stack+38144,1296);
 return int_stack+121088;}
