#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpkg(Libint_t*, prim_data*);

  /* Computes quartets of (kp|kg) integrals */

REALTYPE *hrr_order_kpkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[8][7] = int_stack + 10080;
 Libint->vrr_classes[8][8] = int_stack + 11700;
 Libint->vrr_classes[8][9] = int_stack + 13725;
 Libint->vrr_classes[8][10] = int_stack + 16200;
 Libint->vrr_classes[8][11] = int_stack + 19170;
 memset(int_stack,0,22680*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 22680;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpkg(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+22680,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26568,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+31428,int_stack+26568,int_stack+22680,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+39204,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+45144,int_stack+39204,int_stack+26568,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+54864,int_stack+45144,int_stack+31428,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22680,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+67824,int_stack+22680,int_stack+39204,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+22680,int_stack+67824,int_stack+45144,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+67824,int_stack+22680,int_stack+54864,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+22680,int_stack+11700,int_stack+10080,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+27540,int_stack+13725,int_stack+11700,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+33615,int_stack+27540,int_stack+22680,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+43335,int_stack+16200,int_stack+13725,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+50760,int_stack+43335,int_stack+27540,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+50760,int_stack+33615,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22680,int_stack+19170,int_stack+16200,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+87264,int_stack+22680,int_stack+43335,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+16200,int_stack+87264,int_stack+50760,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+36450,int_stack+16200,int_stack+0,45);
 /*--- compute (kp|kg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+87264,int_stack+36450,int_stack+67824,540);
 return int_stack+87264;}
