#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpnf(Libint_t*, prim_data*);

  /* Computes quartets of (kp|nf) integrals */

REALTYPE *hrr_order_kpnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[8][10] = int_stack + 12240;
 Libint->vrr_classes[8][11] = int_stack + 15210;
 Libint->vrr_classes[8][12] = int_stack + 18720;
 Libint->vrr_classes[8][13] = int_stack + 22815;
 memset(int_stack,0,27540*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 27540;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpnf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27540,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+34668,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+43092,int_stack+34668,int_stack+27540,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+57348,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+67176,int_stack+57348,int_stack+34668,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+84024,int_stack+67176,int_stack+43092,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27540,int_stack+15210,int_stack+12240,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+36450,int_stack+18720,int_stack+15210,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+46980,int_stack+36450,int_stack+27540,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64800,int_stack+22815,int_stack+18720,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+64800,int_stack+36450,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+107784,int_stack+0,int_stack+46980,45);
 /*--- compute (kp|nf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+0,int_stack+107784,int_stack+84024,660);
 return int_stack+0;}
