#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0ni(Libint_t*, prim_data*);

  /* Computes quartets of (l0|ni) integrals */

REALTYPE *hrr_order_l0ni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 memset(int_stack,0,33705*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 33705;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0ni(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33705,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+42615,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+53145,int_stack+42615,int_stack+33705,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70965,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+83250,int_stack+70965,int_stack+42615,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+104310,int_stack+83250,int_stack+53145,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+33705,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+134010,int_stack+33705,int_stack+70965,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+47880,int_stack+134010,int_stack+83250,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+158580,int_stack+47880,int_stack+104310,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+82980,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+99180,int_stack+82980,int_stack+33705,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+203130,int_stack+99180,int_stack+134010,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+244080,int_stack+203130,int_stack+47880,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+296730,int_stack+244080,int_stack+158580,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+33705,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+127530,int_stack+33705,int_stack+82980,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+127530,int_stack+99180,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+47250,int_stack+0,int_stack+203130,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+108675,int_stack+47250,int_stack+244080,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+108675,int_stack+296730,45);
 return int_stack+0;}
