#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldnp(Libint_t*, prim_data*);

  /* Computes quartets of (ld|np) integrals */

REALTYPE *hrr_order_ldnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[9][10] = int_stack + 6480;
 Libint->vrr_classes[9][11] = int_stack + 10110;
 Libint->vrr_classes[10][10] = int_stack + 14400;
 Libint->vrr_classes[10][11] = int_stack + 18756;
 memset(int_stack,0,23904*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23904;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldnp(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23904,int_stack+2970,int_stack+0,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+32814,int_stack+10110,int_stack+6480,55);
 /*--- compute (lp|np) ---*/
 hrr1_build_lp(Libint->AB,int_stack+43704,int_stack+32814,int_stack+23904,198);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+18756,int_stack+14400,66);
 /*--- compute (mp|np) ---*/
 hrr1_build_mp(Libint->AB,int_stack+70434,int_stack+0,int_stack+32814,198);
 /*--- compute (ld|np) ---*/
 hrr1_build_ld(Libint->AB,int_stack+103104,int_stack+70434,int_stack+43704,198);
 return int_stack+103104;}
