#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfmk(Libint_t*, prim_data*);

  /* Computes quartets of (lf|mk) integrals */

REALTYPE *hrr_order_lfmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[8][16] = int_stack + 29295;
 Libint->vrr_classes[9][9] = int_stack + 36180;
 Libint->vrr_classes[9][10] = int_stack + 39205;
 Libint->vrr_classes[9][11] = int_stack + 42835;
 Libint->vrr_classes[9][12] = int_stack + 47125;
 Libint->vrr_classes[9][13] = int_stack + 52130;
 Libint->vrr_classes[9][14] = int_stack + 57905;
 Libint->vrr_classes[9][15] = int_stack + 64505;
 Libint->vrr_classes[9][16] = int_stack + 71985;
 Libint->vrr_classes[10][9] = int_stack + 80400;
 Libint->vrr_classes[10][10] = int_stack + 84030;
 Libint->vrr_classes[10][11] = int_stack + 88386;
 Libint->vrr_classes[10][12] = int_stack + 93534;
 Libint->vrr_classes[10][13] = int_stack + 99540;
 Libint->vrr_classes[10][14] = int_stack + 106470;
 Libint->vrr_classes[10][15] = int_stack + 114390;
 Libint->vrr_classes[10][16] = int_stack + 123366;
 Libint->vrr_classes[11][9] = int_stack + 133464;
 Libint->vrr_classes[11][10] = int_stack + 137754;
 Libint->vrr_classes[11][11] = int_stack + 142902;
 Libint->vrr_classes[11][12] = int_stack + 148986;
 Libint->vrr_classes[11][13] = int_stack + 156084;
 Libint->vrr_classes[11][14] = int_stack + 164274;
 Libint->vrr_classes[11][15] = int_stack + 173634;
 Libint->vrr_classes[11][16] = int_stack + 184242;
 memset(int_stack,0,196176*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 196176;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfmk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+196176,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+203601,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+212511,int_stack+203601,int_stack+196176,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+227361,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+237891,int_stack+227361,int_stack+203601,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+255711,int_stack+237891,int_stack+212511,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196176,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+280461,int_stack+196176,int_stack+227361,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+301521,int_stack+280461,int_stack+237891,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+208461,int_stack+301521,int_stack+255711,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+245586,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+331221,int_stack+245586,int_stack+196176,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+355791,int_stack+331221,int_stack+280461,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+390891,int_stack+355791,int_stack+301521,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+259761,int_stack+390891,int_stack+208461,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+196176,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+212376,int_stack+196176,int_stack+245586,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+435441,int_stack+212376,int_stack+331221,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+476391,int_stack+435441,int_stack+355791,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+311736,int_stack+476391,int_stack+390891,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+529041,int_stack+311736,int_stack+259761,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+240726,int_stack+29295,int_stack+23175,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+259086,int_stack+240726,int_stack+196176,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+374106,int_stack+259086,int_stack+212376,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+196176,int_stack+374106,int_stack+435441,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+374106,int_stack+196176,int_stack+476391,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+196176,int_stack+374106,int_stack+311736,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+279336,int_stack+196176,int_stack+529041,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+196176,int_stack+39205,int_stack+36180,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+205251,int_stack+42835,int_stack+39205,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+216141,int_stack+205251,int_stack+196176,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+234291,int_stack+47125,int_stack+42835,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+247161,int_stack+234291,int_stack+205251,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+368436,int_stack+247161,int_stack+216141,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196176,int_stack+52130,int_stack+47125,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+398686,int_stack+196176,int_stack+234291,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+424426,int_stack+398686,int_stack+247161,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+211191,int_stack+424426,int_stack+368436,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+368436,int_stack+57905,int_stack+52130,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+460726,int_stack+368436,int_stack+196176,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+490756,int_stack+460726,int_stack+398686,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+533656,int_stack+490756,int_stack+424426,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+385761,int_stack+533656,int_stack+211191,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+196176,int_stack+64505,int_stack+57905,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+215976,int_stack+196176,int_stack+368436,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+215976,int_stack+460726,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+588106,int_stack+0,int_stack+490756,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+449286,int_stack+588106,int_stack+533656,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+652456,int_stack+449286,int_stack+385761,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+368436,int_stack+71985,int_stack+64505,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+390876,int_stack+368436,int_stack+196176,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+525516,int_stack+390876,int_stack+215976,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+196176,int_stack+525516,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+737156,int_stack+196176,int_stack+588106,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+525516,int_stack+737156,int_stack+449286,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+368436,int_stack+525516,int_stack+652456,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+477336,int_stack+368436,int_stack+279336,1980);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+196176,int_stack+84030,int_stack+80400,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+207066,int_stack+88386,int_stack+84030,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+220134,int_stack+207066,int_stack+196176,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+241914,int_stack+93534,int_stack+88386,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+257358,int_stack+241914,int_stack+207066,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+283494,int_stack+257358,int_stack+220134,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196176,int_stack+99540,int_stack+93534,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+319794,int_stack+196176,int_stack+241914,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+319794,int_stack+257358,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+214194,int_stack+0,int_stack+283494,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+268644,int_stack+106470,int_stack+99540,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43560,int_stack+268644,int_stack+196176,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+744636,int_stack+43560,int_stack+319794,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+289434,int_stack+744636,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+796116,int_stack+289434,int_stack+214194,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+114390,int_stack+106470,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+196176,int_stack+0,int_stack+268644,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+872346,int_stack+196176,int_stack+43560,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+23760,int_stack+872346,int_stack+744636,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+932406,int_stack+23760,int_stack+289434,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+237756,int_stack+932406,int_stack+796116,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+744636,int_stack+123366,int_stack+114390,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+771564,int_stack+744636,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1023882,int_stack+771564,int_stack+196176,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+744636,int_stack+1023882,int_stack+872346,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1023882,int_stack+744636,int_stack+23760,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+744636,int_stack+1023882,int_stack+932406,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+866604,int_stack+744636,int_stack+237756,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+997284,int_stack+866604,int_stack+368436,1980);
 /*--- compute (ld|mk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1323984,int_stack+997284,int_stack+477336,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+196176,int_stack+137754,int_stack+133464,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+209046,int_stack+142902,int_stack+137754,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+224490,int_stack+209046,int_stack+196176,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+250230,int_stack+148986,int_stack+142902,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+268482,int_stack+250230,int_stack+209046,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+299370,int_stack+268482,int_stack+224490,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196176,int_stack+156084,int_stack+148986,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+342270,int_stack+196176,int_stack+250230,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+378774,int_stack+342270,int_stack+268482,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+217470,int_stack+378774,int_stack+299370,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+281820,int_stack+164274,int_stack+156084,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+430254,int_stack+281820,int_stack+196176,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+472842,int_stack+430254,int_stack+342270,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+533682,int_stack+472842,int_stack+378774,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+306390,int_stack+533682,int_stack+217470,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+196176,int_stack+173634,int_stack+164274,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+224256,int_stack+196176,int_stack+281820,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+610902,int_stack+224256,int_stack+430254,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+681882,int_stack+610902,int_stack+472842,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+396480,int_stack+681882,int_stack+533682,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+396480,int_stack+306390,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+273396,int_stack+184242,int_stack+173634,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+305220,int_stack+273396,int_stack+196176,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+504588,int_stack+305220,int_stack+224256,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+120120,int_stack+504588,int_stack+610902,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+504588,int_stack+120120,int_stack+681882,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+120120,int_stack+504588,int_stack+396480,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+264264,int_stack+120120,int_stack+0,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+418704,int_stack+264264,int_stack+866604,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1858584,int_stack+418704,int_stack+997284,1980);
 /*--- compute (lf|mk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+1858584,int_stack+1323984,1980);
 return int_stack+0;}
