#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgii(Libint_t*, prim_data*);

  /* Computes quartets of (lg|ii) integrals */

REALTYPE *hrr_order_lgii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][6] = int_stack + 0;
 Libint->vrr_classes[8][7] = int_stack + 1260;
 Libint->vrr_classes[8][8] = int_stack + 2880;
 Libint->vrr_classes[8][9] = int_stack + 4905;
 Libint->vrr_classes[8][10] = int_stack + 7380;
 Libint->vrr_classes[8][11] = int_stack + 10350;
 Libint->vrr_classes[8][12] = int_stack + 13860;
 Libint->vrr_classes[9][6] = int_stack + 17955;
 Libint->vrr_classes[9][7] = int_stack + 19495;
 Libint->vrr_classes[9][8] = int_stack + 21475;
 Libint->vrr_classes[9][9] = int_stack + 23950;
 Libint->vrr_classes[9][10] = int_stack + 26975;
 Libint->vrr_classes[9][11] = int_stack + 30605;
 Libint->vrr_classes[9][12] = int_stack + 34895;
 Libint->vrr_classes[10][6] = int_stack + 39900;
 Libint->vrr_classes[10][7] = int_stack + 41748;
 Libint->vrr_classes[10][8] = int_stack + 44124;
 Libint->vrr_classes[10][9] = int_stack + 47094;
 Libint->vrr_classes[10][10] = int_stack + 50724;
 Libint->vrr_classes[10][11] = int_stack + 55080;
 Libint->vrr_classes[10][12] = int_stack + 60228;
 Libint->vrr_classes[11][6] = int_stack + 66234;
 Libint->vrr_classes[11][7] = int_stack + 68418;
 Libint->vrr_classes[11][8] = int_stack + 71226;
 Libint->vrr_classes[11][9] = int_stack + 74736;
 Libint->vrr_classes[11][10] = int_stack + 79026;
 Libint->vrr_classes[11][11] = int_stack + 84174;
 Libint->vrr_classes[11][12] = int_stack + 90258;
 Libint->vrr_classes[12][6] = int_stack + 97356;
 Libint->vrr_classes[12][7] = int_stack + 99904;
 Libint->vrr_classes[12][8] = int_stack + 103180;
 Libint->vrr_classes[12][9] = int_stack + 107275;
 Libint->vrr_classes[12][10] = int_stack + 112280;
 Libint->vrr_classes[12][11] = int_stack + 118286;
 Libint->vrr_classes[12][12] = int_stack + 125384;
 memset(int_stack,0,133665*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 133665;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgii(Libint, Data);
   Data++;
 }
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+133665,int_stack+1260,int_stack+0,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+137445,int_stack+2880,int_stack+1260,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+142305,int_stack+137445,int_stack+133665,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+149865,int_stack+4905,int_stack+2880,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+155940,int_stack+149865,int_stack+137445,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+165660,int_stack+155940,int_stack+142305,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+133665,int_stack+7380,int_stack+4905,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+178260,int_stack+133665,int_stack+149865,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+190410,int_stack+178260,int_stack+155940,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+141090,int_stack+190410,int_stack+165660,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159990,int_stack+10350,int_stack+7380,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+206610,int_stack+159990,int_stack+133665,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+221460,int_stack+206610,int_stack+178260,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+241710,int_stack+221460,int_stack+190410,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+168900,int_stack+241710,int_stack+141090,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+133665,int_stack+13860,int_stack+10350,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+133665,int_stack+159990,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+133665,int_stack+0,int_stack+206610,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+266010,int_stack+133665,int_stack+221460,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+133665,int_stack+266010,int_stack+241710,45);
 /*--- compute (l0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+195360,int_stack+133665,int_stack+168900,45);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+133665,int_stack+19495,int_stack+17955,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+138285,int_stack+21475,int_stack+19495,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+144225,int_stack+138285,int_stack+133665,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+153465,int_stack+23950,int_stack+21475,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+160890,int_stack+153465,int_stack+138285,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+172770,int_stack+160890,int_stack+144225,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+133665,int_stack+26975,int_stack+23950,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+133665,int_stack+153465,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+230640,int_stack+0,int_stack+160890,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+142740,int_stack+230640,int_stack+172770,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+165840,int_stack+30605,int_stack+26975,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+176730,int_stack+165840,int_stack+133665,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+250440,int_stack+176730,int_stack+0,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+250440,int_stack+230640,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+275190,int_stack+0,int_stack+142740,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+230640,int_stack+34895,int_stack+30605,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+133665,int_stack+230640,int_stack+165840,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+307530,int_stack+133665,int_stack+176730,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+133665,int_stack+307530,int_stack+250440,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+230640,int_stack+133665,int_stack+0,55);
 /*--- compute (m0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+133665,int_stack+230640,int_stack+275190,55);
 /*--- compute (lp|ii) ---*/
 hrr1_build_lp(Libint->AB,int_stack+230640,int_stack+133665,int_stack+195360,784);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+41748,int_stack+39900,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5544,int_stack+44124,int_stack+41748,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12672,int_stack+5544,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23760,int_stack+47094,int_stack+44124,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32670,int_stack+23760,int_stack+5544,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+176785,int_stack+32670,int_stack+12672,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+50724,int_stack+47094,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+195265,int_stack+0,int_stack+23760,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+336480,int_stack+195265,int_stack+32670,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+10890,int_stack+336480,int_stack+176785,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176785,int_stack+55080,int_stack+50724,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+360240,int_stack+176785,int_stack+0,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+382020,int_stack+360240,int_stack+195265,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+189853,int_stack+382020,int_stack+336480,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+411720,int_stack+189853,int_stack+10890,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+336480,int_stack+60228,int_stack+55080,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+336480,int_stack+176785,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+26136,int_stack+0,int_stack+360240,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+336480,int_stack+26136,int_stack+382020,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+336480,int_stack+189853,66);
 /*--- compute (n0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+336480,int_stack+0,int_stack+411720,66);
 /*--- compute (mp|ii) ---*/
 hrr1_build_mp(Libint->AB,int_stack+388224,int_stack+336480,int_stack+133665,784);
 /*--- compute (ld|ii) ---*/
 hrr1_build_ld(Libint->AB,int_stack+517584,int_stack+388224,int_stack+230640,784);
 /*--- compute (o0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+133665,int_stack+68418,int_stack+66234,78);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+140217,int_stack+71226,int_stack+68418,78);
 /*--- compute (o0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+148641,int_stack+140217,int_stack+133665,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+161745,int_stack+74736,int_stack+71226,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+172275,int_stack+161745,int_stack+140217,78);
 /*--- compute (o0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+189123,int_stack+172275,int_stack+148641,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+133665,int_stack+79026,int_stack+74736,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+210963,int_stack+133665,int_stack+161745,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+232023,int_stack+210963,int_stack+172275,78);
 /*--- compute (o0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+146535,int_stack+232023,int_stack+189123,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+179295,int_stack+84174,int_stack+79026,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+260103,int_stack+179295,int_stack+133665,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+285843,int_stack+260103,int_stack+210963,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+285843,int_stack+232023,78);
 /*--- compute (o0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+194739,int_stack+0,int_stack+146535,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+133665,int_stack+90258,int_stack+84174,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+42120,int_stack+133665,int_stack+179295,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+133665,int_stack+42120,int_stack+260103,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+42120,int_stack+133665,int_stack+285843,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+133665,int_stack+42120,int_stack+0,78);
 /*--- compute (o0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+133665,int_stack+194739,78);
 /*--- compute (np|ii) ---*/
 hrr1_build_np(Libint->AB,int_stack+133665,int_stack+0,int_stack+336480,784);
 /*--- compute (md|ii) ---*/
 hrr1_build_md(Libint->AB,int_stack+729264,int_stack+133665,int_stack+388224,784);
 /*--- compute (lf|ii) ---*/
 hrr1_build_lf(Libint->AB,int_stack+987984,int_stack+729264,int_stack+517584,784);
 /*--- compute (q0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+288897,int_stack+99904,int_stack+97356,91);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+296541,int_stack+103180,int_stack+99904,91);
 /*--- compute (q0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+306369,int_stack+296541,int_stack+288897,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+321657,int_stack+107275,int_stack+103180,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+333942,int_stack+321657,int_stack+296541,91);
 /*--- compute (q0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+353598,int_stack+333942,int_stack+306369,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+288897,int_stack+112280,int_stack+107275,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+379078,int_stack+288897,int_stack+321657,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+403648,int_stack+379078,int_stack+333942,91);
 /*--- compute (q0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+303912,int_stack+403648,int_stack+353598,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+342132,int_stack+118286,int_stack+112280,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+436408,int_stack+342132,int_stack+288897,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+466438,int_stack+436408,int_stack+379078,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+507388,int_stack+466438,int_stack+403648,91);
 /*--- compute (q0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+360150,int_stack+507388,int_stack+303912,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+288897,int_stack+125384,int_stack+118286,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+556528,int_stack+288897,int_stack+342132,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+288897,int_stack+556528,int_stack+436408,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+556528,int_stack+288897,int_stack+466438,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+288897,int_stack+556528,int_stack+507388,91);
 /*--- compute (q0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+413658,int_stack+288897,int_stack+360150,91);
 /*--- compute (op|ii) ---*/
 hrr1_build_op(Libint->AB,int_stack+485002,int_stack+413658,int_stack+0,784);
 /*--- compute (nd|ii) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1340784,int_stack+485002,int_stack+133665,784);
 /*--- compute (mf|ii) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+1340784,int_stack+729264,784);
 /*--- compute (lg|ii) ---*/
 hrr1_build_lg(Libint->AB,int_stack+431200,int_stack+0,int_stack+987984,784);
 return int_stack+431200;}
