#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgkh(Libint_t*, prim_data*);

  /* Computes quartets of (lg|kh) integrals */

REALTYPE *hrr_order_lgkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[9][7] = int_stack + 16695;
 Libint->vrr_classes[9][8] = int_stack + 18675;
 Libint->vrr_classes[9][9] = int_stack + 21150;
 Libint->vrr_classes[9][10] = int_stack + 24175;
 Libint->vrr_classes[9][11] = int_stack + 27805;
 Libint->vrr_classes[9][12] = int_stack + 32095;
 Libint->vrr_classes[10][7] = int_stack + 37100;
 Libint->vrr_classes[10][8] = int_stack + 39476;
 Libint->vrr_classes[10][9] = int_stack + 42446;
 Libint->vrr_classes[10][10] = int_stack + 46076;
 Libint->vrr_classes[10][11] = int_stack + 50432;
 Libint->vrr_classes[10][12] = int_stack + 55580;
 Libint->vrr_classes[11][7] = int_stack + 61586;
 Libint->vrr_classes[11][8] = int_stack + 64394;
 Libint->vrr_classes[11][9] = int_stack + 67904;
 Libint->vrr_classes[11][10] = int_stack + 72194;
 Libint->vrr_classes[11][11] = int_stack + 77342;
 Libint->vrr_classes[11][12] = int_stack + 83426;
 Libint->vrr_classes[12][7] = int_stack + 90524;
 Libint->vrr_classes[12][8] = int_stack + 93800;
 Libint->vrr_classes[12][9] = int_stack + 97895;
 Libint->vrr_classes[12][10] = int_stack + 102900;
 Libint->vrr_classes[12][11] = int_stack + 108906;
 Libint->vrr_classes[12][12] = int_stack + 116004;
 memset(int_stack,0,124285*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 124285;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgkh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+124285,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+129145,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+135220,int_stack+129145,int_stack+124285,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+144940,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+152365,int_stack+144940,int_stack+129145,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+164515,int_stack+152365,int_stack+135220,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+124285,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+180715,int_stack+124285,int_stack+144940,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+195565,int_stack+180715,int_stack+152365,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+133195,int_stack+195565,int_stack+164515,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+157495,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+215815,int_stack+157495,int_stack+124285,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+233635,int_stack+215815,int_stack+180715,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+157495,int_stack+233635,int_stack+195565,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+187870,int_stack+157495,int_stack+133195,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+124285,int_stack+18675,int_stack+16695,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+130225,int_stack+21150,int_stack+18675,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+137650,int_stack+130225,int_stack+124285,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+149530,int_stack+24175,int_stack+21150,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+158605,int_stack+149530,int_stack+130225,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+221890,int_stack+158605,int_stack+137650,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+124285,int_stack+27805,int_stack+24175,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+124285,int_stack+149530,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+241690,int_stack+0,int_stack+158605,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+135175,int_stack+241690,int_stack+221890,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+221890,int_stack+32095,int_stack+27805,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+164875,int_stack+221890,int_stack+124285,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+266440,int_stack+164875,int_stack+0,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+296690,int_stack+266440,int_stack+241690,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+221890,int_stack+296690,int_stack+135175,55);
 /*--- compute (lp|kh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+263470,int_stack+221890,int_stack+187870,756);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+39476,int_stack+37100,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7128,int_stack+42446,int_stack+39476,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16038,int_stack+7128,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30294,int_stack+46076,int_stack+42446,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+124285,int_stack+30294,int_stack+7128,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+142105,int_stack+124285,int_stack+16038,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+50432,int_stack+46076,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+165865,int_stack+0,int_stack+30294,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+13068,int_stack+165865,int_stack+124285,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+365530,int_stack+13068,int_stack+142105,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+124285,int_stack+55580,int_stack+50432,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139729,int_stack+124285,int_stack+0,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+401170,int_stack+139729,int_stack+165865,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+124285,int_stack+401170,int_stack+13068,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+124285,int_stack+365530,66);
 /*--- compute (mp|kh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+365530,int_stack+0,int_stack+221890,756);
 /*--- compute (ld|kh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+490270,int_stack+365530,int_stack+263470,756);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+124285,int_stack+64394,int_stack+61586,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+132709,int_stack+67904,int_stack+64394,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+143239,int_stack+132709,int_stack+124285,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+160087,int_stack+72194,int_stack+67904,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+172957,int_stack+160087,int_stack+132709,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+194017,int_stack+172957,int_stack+143239,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+124285,int_stack+77342,int_stack+72194,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+222097,int_stack+124285,int_stack+160087,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+247837,int_stack+222097,int_stack+172957,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+139729,int_stack+247837,int_stack+194017,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+181849,int_stack+83426,int_stack+77342,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+282937,int_stack+181849,int_stack+124285,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+313825,int_stack+282937,int_stack+222097,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+181849,int_stack+313825,int_stack+247837,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+234499,int_stack+181849,int_stack+139729,78);
 /*--- compute (np|kh) ---*/
 hrr1_build_np(Libint->AB,int_stack+694390,int_stack+234499,int_stack+0,756);
 /*--- compute (md|kh) ---*/
 hrr1_build_md(Libint->AB,int_stack+844078,int_stack+694390,int_stack+365530,756);
 /*--- compute (lf|kh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1093558,int_stack+844078,int_stack+490270,756);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+93800,int_stack+90524,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9828,int_stack+97895,int_stack+93800,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22113,int_stack+9828,int_stack+0,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41769,int_stack+102900,int_stack+97895,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+56784,int_stack+41769,int_stack+9828,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+124285,int_stack+56784,int_stack+22113,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+108906,int_stack+102900,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+157045,int_stack+0,int_stack+41769,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+187075,int_stack+157045,int_stack+56784,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+18018,int_stack+187075,int_stack+124285,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+124285,int_stack+116004,int_stack+108906,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67158,int_stack+124285,int_stack+0,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103194,int_stack+67158,int_stack+157045,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+293467,int_stack+103194,int_stack+187075,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+67158,int_stack+293467,int_stack+18018,91);
 /*--- compute (op|kh) ---*/
 hrr1_build_op(Libint->AB,int_stack+293467,int_stack+67158,int_stack+234499,756);
 /*--- compute (nd|kh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1433758,int_stack+293467,int_stack+694390,756);
 /*--- compute (mf|kh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+1433758,int_stack+844078,756);
 /*--- compute (lg|kh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+415800,int_stack+0,int_stack+1093558,756);
 return int_stack+415800;}
