#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgki(Libint_t*, prim_data*);

  /* Computes quartets of (lg|ki) integrals */

REALTYPE *hrr_order_lgki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[8][13] = int_stack + 16695;
 Libint->vrr_classes[9][7] = int_stack + 21420;
 Libint->vrr_classes[9][8] = int_stack + 23400;
 Libint->vrr_classes[9][9] = int_stack + 25875;
 Libint->vrr_classes[9][10] = int_stack + 28900;
 Libint->vrr_classes[9][11] = int_stack + 32530;
 Libint->vrr_classes[9][12] = int_stack + 36820;
 Libint->vrr_classes[9][13] = int_stack + 41825;
 Libint->vrr_classes[10][7] = int_stack + 47600;
 Libint->vrr_classes[10][8] = int_stack + 49976;
 Libint->vrr_classes[10][9] = int_stack + 52946;
 Libint->vrr_classes[10][10] = int_stack + 56576;
 Libint->vrr_classes[10][11] = int_stack + 60932;
 Libint->vrr_classes[10][12] = int_stack + 66080;
 Libint->vrr_classes[10][13] = int_stack + 72086;
 Libint->vrr_classes[11][7] = int_stack + 79016;
 Libint->vrr_classes[11][8] = int_stack + 81824;
 Libint->vrr_classes[11][9] = int_stack + 85334;
 Libint->vrr_classes[11][10] = int_stack + 89624;
 Libint->vrr_classes[11][11] = int_stack + 94772;
 Libint->vrr_classes[11][12] = int_stack + 100856;
 Libint->vrr_classes[11][13] = int_stack + 107954;
 Libint->vrr_classes[12][7] = int_stack + 116144;
 Libint->vrr_classes[12][8] = int_stack + 119420;
 Libint->vrr_classes[12][9] = int_stack + 123515;
 Libint->vrr_classes[12][10] = int_stack + 128520;
 Libint->vrr_classes[12][11] = int_stack + 134526;
 Libint->vrr_classes[12][12] = int_stack + 141624;
 Libint->vrr_classes[12][13] = int_stack + 149905;
 memset(int_stack,0,159460*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 159460;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgki(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+159460,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+164320,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+170395,int_stack+164320,int_stack+159460,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+180115,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+187540,int_stack+180115,int_stack+164320,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+199690,int_stack+187540,int_stack+170395,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159460,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+215890,int_stack+159460,int_stack+180115,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+230740,int_stack+215890,int_stack+187540,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+168370,int_stack+230740,int_stack+199690,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+192670,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+250990,int_stack+192670,int_stack+159460,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+268810,int_stack+250990,int_stack+215890,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+293560,int_stack+268810,int_stack+230740,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+203200,int_stack+293560,int_stack+168370,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+159460,int_stack+16695,int_stack+12600,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+159460,int_stack+192670,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+159460,int_stack+0,int_stack+250990,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+323935,int_stack+159460,int_stack+268810,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+159460,int_stack+323935,int_stack+293560,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+237220,int_stack+159460,int_stack+203200,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+159460,int_stack+23400,int_stack+21420,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+165400,int_stack+25875,int_stack+23400,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+172825,int_stack+165400,int_stack+159460,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+184705,int_stack+28900,int_stack+25875,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+193780,int_stack+184705,int_stack+165400,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+208630,int_stack+193780,int_stack+172825,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159460,int_stack+32530,int_stack+28900,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+159460,int_stack+184705,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+282580,int_stack+0,int_stack+193780,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+170350,int_stack+282580,int_stack+208630,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+200050,int_stack+36820,int_stack+32530,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+212920,int_stack+200050,int_stack+159460,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+307330,int_stack+212920,int_stack+0,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+337580,int_stack+307330,int_stack+282580,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+374705,int_stack+337580,int_stack+170350,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+282580,int_stack+41825,int_stack+36820,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+282580,int_stack+200050,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+159460,int_stack+0,int_stack+212920,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+159460,int_stack+307330,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+159460,int_stack+0,int_stack+337580,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+282580,int_stack+159460,int_stack+374705,55);
 /*--- compute (lp|ki) ---*/
 hrr1_build_lp(Libint->AB,int_stack+338020,int_stack+282580,int_stack+237220,1008);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+159460,int_stack+49976,int_stack+47600,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+166588,int_stack+52946,int_stack+49976,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+175498,int_stack+166588,int_stack+159460,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+189754,int_stack+56576,int_stack+52946,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+200644,int_stack+189754,int_stack+166588,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+218464,int_stack+200644,int_stack+175498,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159460,int_stack+60932,int_stack+56576,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+242224,int_stack+159460,int_stack+189754,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+242224,int_stack+200644,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+172528,int_stack+0,int_stack+218464,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+208168,int_stack+66080,int_stack+60932,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29700,int_stack+208168,int_stack+159460,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+474100,int_stack+29700,int_stack+242224,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+223612,int_stack+474100,int_stack+0,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+510400,int_stack+223612,int_stack+172528,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+72086,int_stack+66080,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+159460,int_stack+0,int_stack+208168,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+560296,int_stack+159460,int_stack+29700,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+159460,int_stack+560296,int_stack+474100,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+159460,int_stack+223612,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+159460,int_stack+0,int_stack+510400,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+474100,int_stack+159460,int_stack+282580,1008);
 /*--- compute (ld|ki) ---*/
 hrr1_build_ld(Libint->AB,int_stack+640420,int_stack+474100,int_stack+338020,1008);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+81824,int_stack+79016,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+85334,int_stack+81824,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35802,int_stack+89624,int_stack+85334,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+48672,int_stack+35802,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+225988,int_stack+48672,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+94772,int_stack+89624,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+254068,int_stack+0,int_stack+35802,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+279808,int_stack+254068,int_stack+48672,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+15444,int_stack+279808,int_stack+225988,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+225988,int_stack+100856,int_stack+94772,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+57564,int_stack+225988,int_stack+0,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+314908,int_stack+57564,int_stack+254068,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+357808,int_stack+314908,int_stack+279808,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+244240,int_stack+357808,int_stack+15444,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+107954,int_stack+100856,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+410458,int_stack+0,int_stack+225988,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+410458,int_stack+57564,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+51480,int_stack+0,int_stack+314908,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+912580,int_stack+51480,int_stack+357808,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+0,int_stack+912580,int_stack+244240,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+225988,int_stack+0,int_stack+159460,1008);
 /*--- compute (md|ki) ---*/
 hrr1_build_md(Libint->AB,int_stack+912580,int_stack+225988,int_stack+474100,1008);
 /*--- compute (lf|ki) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1245220,int_stack+912580,int_stack+640420,1008);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+159460,int_stack+119420,int_stack+116144,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+169288,int_stack+123515,int_stack+119420,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+181573,int_stack+169288,int_stack+159460,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201229,int_stack+128520,int_stack+123515,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+78624,int_stack+201229,int_stack+169288,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+425572,int_stack+78624,int_stack+181573,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159460,int_stack+134526,int_stack+128520,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+103194,int_stack+159460,int_stack+201229,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+177478,int_stack+103194,int_stack+78624,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+458332,int_stack+177478,int_stack+425572,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+425572,int_stack+141624,int_stack+134526,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+507472,int_stack+425572,int_stack+159460,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+543508,int_stack+507472,int_stack+103194,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+78624,int_stack+543508,int_stack+177478,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+593558,int_stack+78624,int_stack+458332,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+159460,int_stack+149905,int_stack+141624,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+446866,int_stack+159460,int_stack+425572,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+140049,int_stack+446866,int_stack+507472,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+425572,int_stack+140049,int_stack+543508,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+500647,int_stack+425572,int_stack+78624,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+78624,int_stack+500647,int_stack+593558,91);
 /*--- compute (op|ki) ---*/
 hrr1_build_op(Libint->AB,int_stack+425572,int_stack+78624,int_stack+0,1008);
 /*--- compute (nd|ki) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1698820,int_stack+425572,int_stack+225988,1008);
 /*--- compute (mf|ki) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+1698820,int_stack+912580,1008);
 /*--- compute (lg|ki) ---*/
 hrr1_build_lg(Libint->AB,int_stack+554400,int_stack+0,int_stack+1245220,1008);
 return int_stack+554400;}
