#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgmf(Libint_t*, prim_data*);

  /* Computes quartets of (lg|mf) integrals */

REALTYPE *hrr_order_lgmf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[9][9] = int_stack + 13050;
 Libint->vrr_classes[9][10] = int_stack + 16075;
 Libint->vrr_classes[9][11] = int_stack + 19705;
 Libint->vrr_classes[9][12] = int_stack + 23995;
 Libint->vrr_classes[10][9] = int_stack + 29000;
 Libint->vrr_classes[10][10] = int_stack + 32630;
 Libint->vrr_classes[10][11] = int_stack + 36986;
 Libint->vrr_classes[10][12] = int_stack + 42134;
 Libint->vrr_classes[11][9] = int_stack + 48140;
 Libint->vrr_classes[11][10] = int_stack + 52430;
 Libint->vrr_classes[11][11] = int_stack + 57578;
 Libint->vrr_classes[11][12] = int_stack + 63662;
 Libint->vrr_classes[12][9] = int_stack + 70760;
 Libint->vrr_classes[12][10] = int_stack + 75765;
 Libint->vrr_classes[12][11] = int_stack + 81771;
 Libint->vrr_classes[12][12] = int_stack + 88869;
 memset(int_stack,0,97150*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 97150;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgmf(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97150,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+104575,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+113485,int_stack+104575,int_stack+97150,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+128335,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+138865,int_stack+128335,int_stack+104575,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+156685,int_stack+138865,int_stack+113485,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97150,int_stack+16075,int_stack+13050,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+106225,int_stack+19705,int_stack+16075,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+117115,int_stack+106225,int_stack+97150,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+135265,int_stack+23995,int_stack+19705,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+135265,int_stack+106225,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+181435,int_stack+0,int_stack+117115,55);
 /*--- compute (lp|mf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+211685,int_stack+181435,int_stack+156685,550);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+32630,int_stack+29000,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+36986,int_stack+32630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+97150,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+118930,int_stack+42134,int_stack+36986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+134374,int_stack+118930,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+134374,int_stack+97150,66);
 /*--- compute (mp|mf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+285935,int_stack+0,int_stack+181435,550);
 /*--- compute (ld|mf) ---*/
 hrr1_build_ld(Libint->AB,int_stack+376685,int_stack+285935,int_stack+211685,550);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97150,int_stack+52430,int_stack+48140,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+110020,int_stack+57578,int_stack+52430,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+125464,int_stack+110020,int_stack+97150,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+151204,int_stack+63662,int_stack+57578,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+169456,int_stack+151204,int_stack+110020,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+200344,int_stack+169456,int_stack+125464,78);
 /*--- compute (np|mf) ---*/
 hrr1_build_np(Libint->AB,int_stack+525185,int_stack+200344,int_stack+0,550);
 /*--- compute (md|mf) ---*/
 hrr1_build_md(Libint->AB,int_stack+634085,int_stack+525185,int_stack+285935,550);
 /*--- compute (lf|mf) ---*/
 hrr1_build_lf(Libint->AB,int_stack+815585,int_stack+634085,int_stack+376685,550);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+75765,int_stack+70760,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15015,int_stack+81771,int_stack+75765,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33033,int_stack+15015,int_stack+0,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+97150,int_stack+88869,int_stack+81771,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+118444,int_stack+97150,int_stack+15015,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+63063,int_stack+118444,int_stack+33033,91);
 /*--- compute (op|mf) ---*/
 hrr1_build_op(Libint->AB,int_stack+243244,int_stack+63063,int_stack+200344,550);
 /*--- compute (nd|mf) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+243244,int_stack+525185,550);
 /*--- compute (mf|mf) ---*/
 hrr1_build_mf(Libint->AB,int_stack+217800,int_stack+0,int_stack+634085,550);
 /*--- compute (lg|mf) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1063085,int_stack+217800,int_stack+815585,550);
 return int_stack+1063085;}
