#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_linl(Libint_t*, prim_data*);

  /* Computes quartets of (li|nl) integrals */

REALTYPE *hrr_order_linl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[8][18] = int_stack + 41400;
 Libint->vrr_classes[9][10] = int_stack + 49950;
 Libint->vrr_classes[9][11] = int_stack + 53580;
 Libint->vrr_classes[9][12] = int_stack + 57870;
 Libint->vrr_classes[9][13] = int_stack + 62875;
 Libint->vrr_classes[9][14] = int_stack + 68650;
 Libint->vrr_classes[9][15] = int_stack + 75250;
 Libint->vrr_classes[9][16] = int_stack + 82730;
 Libint->vrr_classes[9][17] = int_stack + 91145;
 Libint->vrr_classes[9][18] = int_stack + 100550;
 Libint->vrr_classes[10][10] = int_stack + 111000;
 Libint->vrr_classes[10][11] = int_stack + 115356;
 Libint->vrr_classes[10][12] = int_stack + 120504;
 Libint->vrr_classes[10][13] = int_stack + 126510;
 Libint->vrr_classes[10][14] = int_stack + 133440;
 Libint->vrr_classes[10][15] = int_stack + 141360;
 Libint->vrr_classes[10][16] = int_stack + 150336;
 Libint->vrr_classes[10][17] = int_stack + 160434;
 Libint->vrr_classes[10][18] = int_stack + 171720;
 Libint->vrr_classes[11][10] = int_stack + 184260;
 Libint->vrr_classes[11][11] = int_stack + 189408;
 Libint->vrr_classes[11][12] = int_stack + 195492;
 Libint->vrr_classes[11][13] = int_stack + 202590;
 Libint->vrr_classes[11][14] = int_stack + 210780;
 Libint->vrr_classes[11][15] = int_stack + 220140;
 Libint->vrr_classes[11][16] = int_stack + 230748;
 Libint->vrr_classes[11][17] = int_stack + 242682;
 Libint->vrr_classes[11][18] = int_stack + 256020;
 Libint->vrr_classes[12][10] = int_stack + 270840;
 Libint->vrr_classes[12][11] = int_stack + 276846;
 Libint->vrr_classes[12][12] = int_stack + 283944;
 Libint->vrr_classes[12][13] = int_stack + 292225;
 Libint->vrr_classes[12][14] = int_stack + 301780;
 Libint->vrr_classes[12][15] = int_stack + 312700;
 Libint->vrr_classes[12][16] = int_stack + 325076;
 Libint->vrr_classes[12][17] = int_stack + 338999;
 Libint->vrr_classes[12][18] = int_stack + 354560;
 Libint->vrr_classes[13][10] = int_stack + 371850;
 Libint->vrr_classes[13][11] = int_stack + 378780;
 Libint->vrr_classes[13][12] = int_stack + 386970;
 Libint->vrr_classes[13][13] = int_stack + 396525;
 Libint->vrr_classes[13][14] = int_stack + 407550;
 Libint->vrr_classes[13][15] = int_stack + 420150;
 Libint->vrr_classes[13][16] = int_stack + 434430;
 Libint->vrr_classes[13][17] = int_stack + 450495;
 Libint->vrr_classes[13][18] = int_stack + 468450;
 Libint->vrr_classes[14][10] = int_stack + 488400;
 Libint->vrr_classes[14][11] = int_stack + 496320;
 Libint->vrr_classes[14][12] = int_stack + 505680;
 Libint->vrr_classes[14][13] = int_stack + 516600;
 Libint->vrr_classes[14][14] = int_stack + 529200;
 Libint->vrr_classes[14][15] = int_stack + 543600;
 Libint->vrr_classes[14][16] = int_stack + 559920;
 Libint->vrr_classes[14][17] = int_stack + 578280;
 Libint->vrr_classes[14][18] = int_stack + 598800;
 memset(int_stack,0,621600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 621600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_linl(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+621600,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+630510,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+641040,int_stack+630510,int_stack+621600,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+658860,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+671145,int_stack+658860,int_stack+630510,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+692205,int_stack+671145,int_stack+641040,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+621600,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+721905,int_stack+621600,int_stack+658860,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+635775,int_stack+721905,int_stack+671145,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+746475,int_stack+635775,int_stack+692205,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+670875,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+687075,int_stack+670875,int_stack+621600,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+791025,int_stack+687075,int_stack+721905,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+831975,int_stack+791025,int_stack+635775,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+884625,int_stack+831975,int_stack+746475,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+621600,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+715425,int_stack+621600,int_stack+670875,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+946995,int_stack+715425,int_stack+687075,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+639960,int_stack+946995,int_stack+791025,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+747825,int_stack+639960,int_stack+831975,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+994245,int_stack+747825,int_stack+884625,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+821535,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+842190,int_stack+821535,int_stack+621600,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+878910,int_stack+842190,int_stack+715425,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1077405,int_stack+878910,int_stack+946995,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1148280,int_stack+1077405,int_stack+639960,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+621600,int_stack+1148280,int_stack+747825,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1234275,int_stack+621600,int_stack+994245,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+719880,int_stack+41400,int_stack+33705,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+742965,int_stack+719880,int_stack+821535,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+932910,int_stack+742965,int_stack+842190,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+719880,int_stack+932910,int_stack+878910,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+800880,int_stack+719880,int_stack+1077405,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+900105,int_stack+800880,int_stack+1148280,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+719880,int_stack+900105,int_stack+621600,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+846240,int_stack+719880,int_stack+1234275,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+621600,int_stack+53580,int_stack+49950,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+632490,int_stack+57870,int_stack+53580,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+645360,int_stack+632490,int_stack+621600,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+667140,int_stack+62875,int_stack+57870,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+682155,int_stack+667140,int_stack+632490,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+707895,int_stack+682155,int_stack+645360,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+621600,int_stack+68650,int_stack+62875,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+744195,int_stack+621600,int_stack+667140,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+638925,int_stack+744195,int_stack+682155,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+774225,int_stack+638925,int_stack+707895,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+681825,int_stack+75250,int_stack+68650,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+701625,int_stack+681825,int_stack+621600,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+979890,int_stack+701625,int_stack+744195,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1029940,int_stack+979890,int_stack+638925,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1094290,int_stack+1029940,int_stack+774225,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+621600,int_stack+82730,int_stack+75250,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+736275,int_stack+621600,int_stack+681825,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+775875,int_stack+736275,int_stack+701625,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+644040,int_stack+775875,int_stack+979890,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1170520,int_stack+644040,int_stack+1029940,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+979890,int_stack+1170520,int_stack+1094290,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1081530,int_stack+91145,int_stack+82730,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1106775,int_stack+1081530,int_stack+621600,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1260610,int_stack+1106775,int_stack+736275,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1260610,int_stack+775875,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+719115,int_stack+0,int_stack+644040,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1326610,int_stack+719115,int_stack+1170520,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1446730,int_stack+1326610,int_stack+979890,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+979890,int_stack+100550,int_stack+91145,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1008105,int_stack+979890,int_stack+1081530,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+621600,int_stack+1008105,int_stack+1106775,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+979890,int_stack+621600,int_stack+1260610,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1078890,int_stack+979890,int_stack+0,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1577410,int_stack+1078890,int_stack+719115,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+979890,int_stack+1577410,int_stack+1326610,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1134330,int_stack+979890,int_stack+1446730,55);
 /*--- compute (lp|nl) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1297680,int_stack+1134330,int_stack+846240,2970);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+115356,int_stack+111000,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+120504,int_stack+115356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+126510,int_stack+120504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+621600,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+133440,int_stack+126510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+665160,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+665160,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+701196,int_stack+20790,int_stack+621600,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+621600,int_stack+141360,int_stack+133440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+72270,int_stack+621600,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+766536,int_stack+72270,int_stack+665160,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+826596,int_stack+766536,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+903816,int_stack+826596,int_stack+701196,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+150336,int_stack+141360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+645360,int_stack+0,int_stack+621600,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+692880,int_stack+645360,int_stack+72270,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+26928,int_stack+692880,int_stack+766536,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+995292,int_stack+26928,int_stack+826596,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+762180,int_stack+995292,int_stack+903816,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+117018,int_stack+160434,int_stack+150336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+884148,int_stack+117018,int_stack+0,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1698630,int_stack+884148,int_stack+645360,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1777830,int_stack+1698630,int_stack+692880,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+621600,int_stack+1777830,int_stack+26928,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1881780,int_stack+621600,int_stack+995292,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+938004,int_stack+1881780,int_stack+762180,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+171720,int_stack+160434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+33858,int_stack+0,int_stack+117018,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+94446,int_stack+33858,int_stack+884148,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+747726,int_stack+94446,int_stack+1698630,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+747726,int_stack+1777830,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+747726,int_stack+0,int_stack+621600,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2025924,int_stack+747726,int_stack+1881780,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+621600,int_stack+2025924,int_stack+938004,66);
 /*--- compute (mp|nl) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1698630,int_stack+621600,int_stack+1134330,2970);
 /*--- compute (ld|nl) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2188680,int_stack+1698630,int_stack+1297680,2970);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+817620,int_stack+189408,int_stack+184260,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+833064,int_stack+195492,int_stack+189408,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+851316,int_stack+833064,int_stack+817620,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+882204,int_stack+202590,int_stack+195492,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+903498,int_stack+882204,int_stack+833064,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+940002,int_stack+903498,int_stack+851316,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+817620,int_stack+210780,int_stack+202590,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+991482,int_stack+817620,int_stack+882204,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+842190,int_stack+991482,int_stack+903498,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1034070,int_stack+842190,int_stack+940002,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+903030,int_stack+220140,int_stack+210780,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+931110,int_stack+903030,int_stack+817620,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1111290,int_stack+931110,int_stack+991482,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1182270,int_stack+1111290,int_stack+842190,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1273530,int_stack+1182270,int_stack+1034070,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+817620,int_stack+230748,int_stack+220140,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+980250,int_stack+817620,int_stack+903030,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1381638,int_stack+980250,int_stack+931110,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+849444,int_stack+1381638,int_stack+1111290,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1036410,int_stack+849444,int_stack+1182270,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1463538,int_stack+1036410,int_stack+1273530,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1164174,int_stack+242682,int_stack+230748,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1199976,int_stack+1164174,int_stack+817620,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1263624,int_stack+1199976,int_stack+980250,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1263624,int_stack+1381638,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2990580,int_stack+0,int_stack+849444,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+817620,int_stack+2990580,int_stack+1036410,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3139638,int_stack+817620,int_stack+1463538,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+987972,int_stack+256020,int_stack+242682,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1027986,int_stack+987972,int_stack+1164174,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1357224,int_stack+1027986,int_stack+1199976,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+987972,int_stack+1357224,int_stack+1263624,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1128372,int_stack+987972,int_stack+0,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+1128372,int_stack+2990580,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+987972,int_stack+0,int_stack+817620,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+987972,int_stack+3139638,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+817620,int_stack+0,int_stack+621600,2970);
 /*--- compute (md|nl) ---*/
 hrr1_build_md(Libint->AB,int_stack+2990580,int_stack+817620,int_stack+1698630,2970);
 /*--- compute (lf|nl) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3970680,int_stack+2990580,int_stack+2188680,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+621600,int_stack+276846,int_stack+270840,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+639618,int_stack+283944,int_stack+276846,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+660912,int_stack+639618,int_stack+621600,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+696948,int_stack+292225,int_stack+283944,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+721791,int_stack+696948,int_stack+639618,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1405680,int_stack+721791,int_stack+660912,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+621600,int_stack+301780,int_stack+292225,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+764379,int_stack+621600,int_stack+696948,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+650265,int_stack+764379,int_stack+721791,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1465740,int_stack+650265,int_stack+1405680,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1405680,int_stack+312700,int_stack+301780,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1555830,int_stack+1405680,int_stack+621600,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1613160,int_stack+1555830,int_stack+764379,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1695970,int_stack+1613160,int_stack+650265,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+621600,int_stack+1695970,int_stack+1465740,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+747726,int_stack+325076,int_stack+312700,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1438440,int_stack+747726,int_stack+1405680,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1802440,int_stack+1438440,int_stack+1555830,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1897990,int_stack+1802440,int_stack+1613160,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1503960,int_stack+1897990,int_stack+1695970,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2022205,int_stack+1503960,int_stack+621600,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+621600,int_stack+338999,int_stack+325076,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+663369,int_stack+621600,int_stack+747726,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1653018,int_stack+663369,int_stack+1438440,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2190373,int_stack+1653018,int_stack+1802440,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2333698,int_stack+2190373,int_stack+1897990,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1762218,int_stack+2333698,int_stack+1503960,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1405680,int_stack+1762218,int_stack+2022205,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+737625,int_stack+354560,int_stack+338999,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1960962,int_stack+737625,int_stack+621600,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2044500,int_stack+1960962,int_stack+663369,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+621600,int_stack+2044500,int_stack+1653018,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1960962,int_stack+621600,int_stack+2190373,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2507599,int_stack+1960962,int_stack+2333698,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1960962,int_stack+2507599,int_stack+1762218,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2216490,int_stack+1960962,int_stack+1405680,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+1405680,int_stack+2216490,int_stack+0,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+5307180,int_stack+1405680,int_stack+817620,2970);
 /*--- compute (mf|nl) ---*/
 hrr1_build_mf(Libint->AB,int_stack+6483300,int_stack+5307180,int_stack+2990580,2970);
 /*--- compute (lg|nl) ---*/
 hrr1_build_lg(Libint->AB,int_stack+8116800,int_stack+6483300,int_stack+3970680,2970);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+378780,int_stack+371850,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20790,int_stack+386970,int_stack+378780,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45360,int_stack+20790,int_stack+0,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86940,int_stack+396525,int_stack+386970,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+115605,int_stack+86940,int_stack+20790,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+164745,int_stack+115605,int_stack+45360,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+407550,int_stack+396525,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+234045,int_stack+0,int_stack+86940,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+33075,int_stack+234045,int_stack+115605,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+291375,int_stack+33075,int_stack+164745,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+114975,int_stack+420150,int_stack+407550,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152775,int_stack+114975,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2100660,int_stack+152775,int_stack+234045,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2486760,int_stack+2100660,int_stack+33075,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2609610,int_stack+2486760,int_stack+291375,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+434430,int_stack+420150,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+218925,int_stack+0,int_stack+114975,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+294525,int_stack+218925,int_stack+152775,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+42840,int_stack+294525,int_stack+2100660,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2755140,int_stack+42840,int_stack+2486760,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2927130,int_stack+2755140,int_stack+2609610,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2486760,int_stack+450495,int_stack+434430,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2534955,int_stack+2486760,int_stack+0,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2620635,int_stack+2534955,int_stack+218925,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3121170,int_stack+2620635,int_stack+294525,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+186165,int_stack+3121170,int_stack+42840,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+3286545,int_stack+186165,int_stack+2755140,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3515865,int_stack+3286545,int_stack+2927130,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+468450,int_stack+450495,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+53865,int_stack+0,int_stack+2486760,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2746635,int_stack+53865,int_stack+2534955,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2889435,int_stack+2746635,int_stack+2620635,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2486760,int_stack+2889435,int_stack+3121170,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2718285,int_stack+2486760,int_stack+186165,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2985825,int_stack+2718285,int_stack+3286545,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2486760,int_stack+2985825,int_stack+3515865,105);
 /*--- compute (qp|nl) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2798610,int_stack+2486760,int_stack+2216490,2970);
 /*--- compute (od|nl) ---*/
 hrr1_build_od(Libint->AB,int_stack+3609420,int_stack+2798610,int_stack+1405680,2970);
 /*--- compute (nf|nl) ---*/
 hrr1_build_nf(Libint->AB,int_stack+10121550,int_stack+3609420,int_stack+5307180,2970);
 /*--- compute (mg|nl) ---*/
 hrr1_build_mg(Libint->AB,int_stack+12081750,int_stack+10121550,int_stack+6483300,2970);
 /*--- compute (lh|nl) ---*/
 hrr1_build_lh(Libint->AB,int_stack+4999380,int_stack+12081750,int_stack+8116800,2970);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7806030,int_stack+496320,int_stack+488400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7829790,int_stack+505680,int_stack+496320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+7857870,int_stack+7829790,int_stack+7806030,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+7905390,int_stack+516600,int_stack+505680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7938150,int_stack+7905390,int_stack+7829790,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+7994310,int_stack+7938150,int_stack+7857870,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7806030,int_stack+529200,int_stack+516600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+8073510,int_stack+7806030,int_stack+7905390,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+7843830,int_stack+8073510,int_stack+7938150,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+8139030,int_stack+7843830,int_stack+7994310,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+7937430,int_stack+543600,int_stack+529200,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+7980630,int_stack+7937430,int_stack+7806030,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+8257830,int_stack+7980630,int_stack+8073510,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+8367030,int_stack+8257830,int_stack+7843830,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+8507430,int_stack+8367030,int_stack+8139030,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+7806030,int_stack+559920,int_stack+543600,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+8056230,int_stack+7806030,int_stack+7937430,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+8673750,int_stack+8056230,int_stack+7980630,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+7854990,int_stack+8673750,int_stack+8257830,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+8142630,int_stack+7854990,int_stack+8367030,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+8799750,int_stack+8142630,int_stack+8507430,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+8339190,int_stack+578280,int_stack+559920,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+8394270,int_stack+8339190,int_stack+7806030,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+8492190,int_stack+8394270,int_stack+8056230,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+9021510,int_stack+8492190,int_stack+8673750,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+9210510,int_stack+9021510,int_stack+7854990,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+7806030,int_stack+9210510,int_stack+8142630,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+9439830,int_stack+7806030,int_stack+8799750,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+8068110,int_stack+598800,int_stack+578280,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+8129670,int_stack+8068110,int_stack+8339190,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+8636190,int_stack+8129670,int_stack+8394270,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+8068110,int_stack+8636190,int_stack+8492190,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+8284110,int_stack+8068110,int_stack+9021510,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+8548710,int_stack+8284110,int_stack+9210510,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+8068110,int_stack+8548710,int_stack+7806030,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8405070,int_stack+8068110,int_stack+9439830,120);
 /*--- compute (rp|nl) ---*/
 hrr1_build_rp(Libint->AB,int_stack+8761470,int_stack+8405070,int_stack+2486760,2970);
 /*--- compute (qd|nl) ---*/
 hrr1_build_qd(Libint->AB,int_stack+0,int_stack+8761470,int_stack+2798610,2970);
 /*--- compute (of|nl) ---*/
 hrr1_build_of(Libint->AB,int_stack+14532000,int_stack+0,int_stack+3609420,2970);
 /*--- compute (ng|nl) ---*/
 hrr1_build_ng(Libint->AB,int_stack+0,int_stack+14532000,int_stack+10121550,2970);
 /*--- compute (mh|nl) ---*/
 hrr1_build_mh(Libint->AB,int_stack+7806030,int_stack+0,int_stack+12081750,2970);
 /*--- compute (li|nl) ---*/
 hrr1_build_li(Libint->AB,int_stack+0,int_stack+7806030,int_stack+4999380,2970);
 return int_stack+0;}
