#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdkk(Libint_t*, prim_data*);

  /* Computes quartets of (md|kk) integrals */

REALTYPE *hrr_order_mdkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[9][12] = int_stack + 15400;
 Libint->vrr_classes[9][13] = int_stack + 20405;
 Libint->vrr_classes[9][14] = int_stack + 26180;
 Libint->vrr_classes[10][7] = int_stack + 32780;
 Libint->vrr_classes[10][8] = int_stack + 35156;
 Libint->vrr_classes[10][9] = int_stack + 38126;
 Libint->vrr_classes[10][10] = int_stack + 41756;
 Libint->vrr_classes[10][11] = int_stack + 46112;
 Libint->vrr_classes[10][12] = int_stack + 51260;
 Libint->vrr_classes[10][13] = int_stack + 57266;
 Libint->vrr_classes[10][14] = int_stack + 64196;
 Libint->vrr_classes[11][7] = int_stack + 72116;
 Libint->vrr_classes[11][8] = int_stack + 74924;
 Libint->vrr_classes[11][9] = int_stack + 78434;
 Libint->vrr_classes[11][10] = int_stack + 82724;
 Libint->vrr_classes[11][11] = int_stack + 87872;
 Libint->vrr_classes[11][12] = int_stack + 93956;
 Libint->vrr_classes[11][13] = int_stack + 101054;
 Libint->vrr_classes[11][14] = int_stack + 109244;
 memset(int_stack,0,118604*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 118604;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdkk(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+118604,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+124544,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+131969,int_stack+124544,int_stack+118604,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+143849,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+152924,int_stack+143849,int_stack+124544,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+167774,int_stack+152924,int_stack+131969,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+118604,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+187574,int_stack+118604,int_stack+143849,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+205724,int_stack+187574,int_stack+152924,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+129494,int_stack+205724,int_stack+167774,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+159194,int_stack+15400,int_stack+11110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+230474,int_stack+159194,int_stack+118604,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+252254,int_stack+230474,int_stack+187574,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+282504,int_stack+252254,int_stack+205724,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+172064,int_stack+282504,int_stack+129494,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118604,int_stack+20405,int_stack+15400,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+319629,int_stack+118604,int_stack+159194,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+133619,int_stack+319629,int_stack+230474,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+345369,int_stack+133619,int_stack+252254,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+213644,int_stack+345369,int_stack+282504,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+390744,int_stack+213644,int_stack+172064,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+169919,int_stack+26180,int_stack+20405,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+265619,int_stack+169919,int_stack+118604,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+169919,int_stack+265619,int_stack+319629,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+265619,int_stack+169919,int_stack+133619,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+118604,int_stack+265619,int_stack+345369,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+265619,int_stack+118604,int_stack+213644,55);
 /*--- compute (m0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+118604,int_stack+265619,int_stack+390744,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+189884,int_stack+35156,int_stack+32780,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+197012,int_stack+38126,int_stack+35156,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+205922,int_stack+197012,int_stack+189884,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+220178,int_stack+41756,int_stack+38126,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+231068,int_stack+220178,int_stack+197012,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+248888,int_stack+231068,int_stack+205922,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+189884,int_stack+46112,int_stack+41756,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+272648,int_stack+189884,int_stack+220178,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+294428,int_stack+272648,int_stack+231068,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+202952,int_stack+294428,int_stack+248888,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+238592,int_stack+51260,int_stack+46112,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+324128,int_stack+238592,int_stack+189884,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+350264,int_stack+324128,int_stack+272648,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+386564,int_stack+350264,int_stack+294428,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+254036,int_stack+386564,int_stack+202952,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+189884,int_stack+57266,int_stack+51260,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+189884,int_stack+238592,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+207902,int_stack+0,int_stack+324128,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+431114,int_stack+207902,int_stack+350264,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+303932,int_stack+431114,int_stack+386564,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+485564,int_stack+303932,int_stack+254036,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+251462,int_stack+64196,int_stack+57266,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+366302,int_stack+251462,int_stack+189884,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+251462,int_stack+366302,int_stack+0,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+251462,int_stack+207902,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+189884,int_stack+0,int_stack+431114,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+366302,int_stack+189884,int_stack+303932,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+189884,int_stack+366302,int_stack+485564,66);
 /*--- compute (mp|kk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+275420,int_stack+189884,int_stack+118604,1296);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+118604,int_stack+74924,int_stack+72116,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+127028,int_stack+78434,int_stack+74924,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+137558,int_stack+127028,int_stack+118604,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+154406,int_stack+82724,int_stack+78434,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+167276,int_stack+154406,int_stack+127028,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+489260,int_stack+167276,int_stack+137558,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+118604,int_stack+87872,int_stack+82724,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+517340,int_stack+118604,int_stack+154406,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+517340,int_stack+167276,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+134048,int_stack+0,int_stack+489260,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+489260,int_stack+93956,int_stack+87872,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+35100,int_stack+489260,int_stack+118604,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+543080,int_stack+35100,int_stack+517340,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+585980,int_stack+543080,int_stack+0,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+638630,int_stack+585980,int_stack+134048,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+101054,int_stack+93956,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+118604,int_stack+0,int_stack+489260,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+489260,int_stack+118604,int_stack+35100,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+489260,int_stack+543080,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+697598,int_stack+21294,int_stack+585980,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+540740,int_stack+697598,int_stack+638630,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+619364,int_stack+109244,int_stack+101054,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+643934,int_stack+619364,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+771308,int_stack+643934,int_stack+118604,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+619364,int_stack+771308,int_stack+489260,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+85644,int_stack+619364,int_stack+21294,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+771308,int_stack+85644,int_stack+697598,78);
 /*--- compute (o0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+619364,int_stack+771308,int_stack+540740,78);
 /*--- compute (np|kk) ---*/
 hrr1_build_np(Libint->AB,int_stack+720452,int_stack+619364,int_stack+189884,1296);
 /*--- compute (md|kk) ---*/
 hrr1_build_md(Libint->AB,int_stack+977060,int_stack+720452,int_stack+275420,1296);
 return int_stack+977060;}
