#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfki(Libint_t*, prim_data*);

  /* Computes quartets of (mf|ki) integrals */

REALTYPE *hrr_order_mfki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[9][12] = int_stack + 15400;
 Libint->vrr_classes[9][13] = int_stack + 20405;
 Libint->vrr_classes[10][7] = int_stack + 26180;
 Libint->vrr_classes[10][8] = int_stack + 28556;
 Libint->vrr_classes[10][9] = int_stack + 31526;
 Libint->vrr_classes[10][10] = int_stack + 35156;
 Libint->vrr_classes[10][11] = int_stack + 39512;
 Libint->vrr_classes[10][12] = int_stack + 44660;
 Libint->vrr_classes[10][13] = int_stack + 50666;
 Libint->vrr_classes[11][7] = int_stack + 57596;
 Libint->vrr_classes[11][8] = int_stack + 60404;
 Libint->vrr_classes[11][9] = int_stack + 63914;
 Libint->vrr_classes[11][10] = int_stack + 68204;
 Libint->vrr_classes[11][11] = int_stack + 73352;
 Libint->vrr_classes[11][12] = int_stack + 79436;
 Libint->vrr_classes[11][13] = int_stack + 86534;
 Libint->vrr_classes[12][7] = int_stack + 94724;
 Libint->vrr_classes[12][8] = int_stack + 98000;
 Libint->vrr_classes[12][9] = int_stack + 102095;
 Libint->vrr_classes[12][10] = int_stack + 107100;
 Libint->vrr_classes[12][11] = int_stack + 113106;
 Libint->vrr_classes[12][12] = int_stack + 120204;
 Libint->vrr_classes[12][13] = int_stack + 128485;
 memset(int_stack,0,138040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 138040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfki(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+138040,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+143980,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+151405,int_stack+143980,int_stack+138040,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163285,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+172360,int_stack+163285,int_stack+143980,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+187210,int_stack+172360,int_stack+151405,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+138040,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+207010,int_stack+138040,int_stack+163285,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+225160,int_stack+207010,int_stack+172360,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+148930,int_stack+225160,int_stack+187210,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+178630,int_stack+15400,int_stack+11110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+249910,int_stack+178630,int_stack+138040,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+271690,int_stack+249910,int_stack+207010,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+301940,int_stack+271690,int_stack+225160,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+191500,int_stack+301940,int_stack+148930,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+138040,int_stack+20405,int_stack+15400,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+138040,int_stack+178630,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+138040,int_stack+0,int_stack+249910,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+339065,int_stack+138040,int_stack+271690,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+138040,int_stack+339065,int_stack+301940,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+233080,int_stack+138040,int_stack+191500,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+138040,int_stack+28556,int_stack+26180,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+145168,int_stack+31526,int_stack+28556,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+154078,int_stack+145168,int_stack+138040,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168334,int_stack+35156,int_stack+31526,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+179224,int_stack+168334,int_stack+145168,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+197044,int_stack+179224,int_stack+154078,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+138040,int_stack+39512,int_stack+35156,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+138040,int_stack+168334,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+288520,int_stack+0,int_stack+179224,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+151108,int_stack+288520,int_stack+197044,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+186748,int_stack+44660,int_stack+39512,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+202192,int_stack+186748,int_stack+138040,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+318220,int_stack+202192,int_stack+0,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+318220,int_stack+288520,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+354520,int_stack+0,int_stack+151108,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+288520,int_stack+50666,int_stack+44660,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+138040,int_stack+288520,int_stack+186748,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+404416,int_stack+138040,int_stack+202192,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+138040,int_stack+404416,int_stack+318220,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+288520,int_stack+138040,int_stack+0,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+138040,int_stack+288520,int_stack+354520,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+288520,int_stack+138040,int_stack+233080,1008);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+60404,int_stack+57596,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+63914,int_stack+60404,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35802,int_stack+68204,int_stack+63914,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+204568,int_stack+35802,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+225628,int_stack+204568,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+73352,int_stack+68204,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+253708,int_stack+0,int_stack+35802,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+15444,int_stack+253708,int_stack+204568,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+454840,int_stack+15444,int_stack+225628,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+204568,int_stack+79436,int_stack+73352,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+222820,int_stack+204568,int_stack+0,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+496960,int_stack+222820,int_stack+253708,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+539860,int_stack+496960,int_stack+15444,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+539860,int_stack+454840,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+454840,int_stack+86534,int_stack+79436,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+592510,int_stack+454840,int_stack+204568,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+629014,int_stack+592510,int_stack+222820,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+204568,int_stack+629014,int_stack+496960,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+592510,int_stack+204568,int_stack+539860,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+204568,int_stack+592510,int_stack+0,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+454840,int_stack+204568,int_stack+138040,1008);
 /*--- compute (md|ki) ---*/
 hrr1_build_md(Libint->AB,int_stack+654424,int_stack+454840,int_stack+288520,1008);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+138040,int_stack+98000,int_stack+94724,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+147868,int_stack+102095,int_stack+98000,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+160153,int_stack+147868,int_stack+138040,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+179809,int_stack+107100,int_stack+102095,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+179809,int_stack+147868,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+24570,int_stack+0,int_stack+160153,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+138040,int_stack+113106,int_stack+107100,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+57330,int_stack+138040,int_stack+179809,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+156058,int_stack+57330,int_stack+0,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+283192,int_stack+156058,int_stack+24570,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+120204,int_stack+113106,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21294,int_stack+0,int_stack+138040,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+332332,int_stack+21294,int_stack+57330,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+57330,int_stack+332332,int_stack+156058,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+382382,int_stack+57330,int_stack+283192,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+283192,int_stack+128485,int_stack+120204,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+118755,int_stack+283192,int_stack+0,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+987064,int_stack+118755,int_stack+21294,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+118755,int_stack+987064,int_stack+332332,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+283192,int_stack+118755,int_stack+57330,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+0,int_stack+283192,int_stack+382382,91);
 /*--- compute (op|ki) ---*/
 hrr1_build_op(Libint->AB,int_stack+987064,int_stack+0,int_stack+204568,1008);
 /*--- compute (nd|ki) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+987064,int_stack+454840,1008);
 /*--- compute (mf|ki) ---*/
 hrr1_build_mf(Libint->AB,int_stack+987064,int_stack+0,int_stack+654424,1008);
 return int_stack+987064;}
