#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfll(Libint_t*, prim_data*);

  /* Computes quartets of (mf|ll) integrals */

REALTYPE *hrr_order_mfll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[9][14] = int_stack + 24200;
 Libint->vrr_classes[9][15] = int_stack + 30800;
 Libint->vrr_classes[9][16] = int_stack + 38280;
 Libint->vrr_classes[10][8] = int_stack + 46695;
 Libint->vrr_classes[10][9] = int_stack + 49665;
 Libint->vrr_classes[10][10] = int_stack + 53295;
 Libint->vrr_classes[10][11] = int_stack + 57651;
 Libint->vrr_classes[10][12] = int_stack + 62799;
 Libint->vrr_classes[10][13] = int_stack + 68805;
 Libint->vrr_classes[10][14] = int_stack + 75735;
 Libint->vrr_classes[10][15] = int_stack + 83655;
 Libint->vrr_classes[10][16] = int_stack + 92631;
 Libint->vrr_classes[11][8] = int_stack + 102729;
 Libint->vrr_classes[11][9] = int_stack + 106239;
 Libint->vrr_classes[11][10] = int_stack + 110529;
 Libint->vrr_classes[11][11] = int_stack + 115677;
 Libint->vrr_classes[11][12] = int_stack + 121761;
 Libint->vrr_classes[11][13] = int_stack + 128859;
 Libint->vrr_classes[11][14] = int_stack + 137049;
 Libint->vrr_classes[11][15] = int_stack + 146409;
 Libint->vrr_classes[11][16] = int_stack + 157017;
 Libint->vrr_classes[12][8] = int_stack + 168951;
 Libint->vrr_classes[12][9] = int_stack + 173046;
 Libint->vrr_classes[12][10] = int_stack + 178051;
 Libint->vrr_classes[12][11] = int_stack + 184057;
 Libint->vrr_classes[12][12] = int_stack + 191155;
 Libint->vrr_classes[12][13] = int_stack + 199436;
 Libint->vrr_classes[12][14] = int_stack + 208991;
 Libint->vrr_classes[12][15] = int_stack + 219911;
 Libint->vrr_classes[12][16] = int_stack + 232287;
 memset(int_stack,0,246210*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 246210;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfll(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+246210,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+253635,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+262710,int_stack+253635,int_stack+246210,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+277560,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+288450,int_stack+277560,int_stack+253635,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+306600,int_stack+288450,int_stack+262710,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+246210,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+331350,int_stack+246210,int_stack+277560,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+353130,int_stack+331350,int_stack+288450,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+259080,int_stack+353130,int_stack+306600,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+296205,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+383380,int_stack+296205,int_stack+246210,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+409120,int_stack+383380,int_stack+331350,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+445420,int_stack+409120,int_stack+353130,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+311220,int_stack+445420,int_stack+259080,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+246210,int_stack+24200,int_stack+18425,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+263535,int_stack+246210,int_stack+296205,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+490795,int_stack+263535,int_stack+383380,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+533695,int_stack+490795,int_stack+409120,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+363195,int_stack+533695,int_stack+445420,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+588145,int_stack+363195,int_stack+311220,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+293565,int_stack+30800,int_stack+24200,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+313365,int_stack+293565,int_stack+246210,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+426720,int_stack+313365,int_stack+263535,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+657445,int_stack+426720,int_stack+490795,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+721795,int_stack+657445,int_stack+533695,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+476770,int_stack+721795,int_stack+363195,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+798025,int_stack+476770,int_stack+588145,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+246210,int_stack+38280,int_stack+30800,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+348015,int_stack+246210,int_stack+293565,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+246210,int_stack+348015,int_stack+313365,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+303960,int_stack+246210,int_stack+426720,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+379035,int_stack+303960,int_stack+657445,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+246210,int_stack+379035,int_stack+721795,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+347850,int_stack+246210,int_stack+476770,55);
 /*--- compute (m0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+456750,int_stack+347850,int_stack+798025,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+246210,int_stack+49665,int_stack+46695,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+255120,int_stack+53295,int_stack+49665,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+266010,int_stack+255120,int_stack+246210,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+283830,int_stack+57651,int_stack+53295,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+296898,int_stack+283830,int_stack+255120,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+318678,int_stack+296898,int_stack+266010,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+246210,int_stack+62799,int_stack+57651,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+348378,int_stack+246210,int_stack+283830,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+374514,int_stack+348378,int_stack+296898,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+261654,int_stack+374514,int_stack+318678,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+306204,int_stack+68805,int_stack+62799,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+410814,int_stack+306204,int_stack+246210,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+568125,int_stack+410814,int_stack+348378,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+611685,int_stack+568125,int_stack+374514,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+324222,int_stack+611685,int_stack+261654,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+246210,int_stack+75735,int_stack+68805,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267000,int_stack+246210,int_stack+306204,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+666135,int_stack+267000,int_stack+410814,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+386592,int_stack+666135,int_stack+568125,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+717615,int_stack+386592,int_stack+611685,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+568125,int_stack+717615,int_stack+324222,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+303036,int_stack+83655,int_stack+75735,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+326796,int_stack+303036,int_stack+246210,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+793845,int_stack+326796,int_stack+267000,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+793845,int_stack+666135,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+853905,int_stack+0,int_stack+386592,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+945381,int_stack+853905,int_stack+717615,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+651285,int_stack+945381,int_stack+568125,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+568125,int_stack+92631,int_stack+83655,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+595053,int_stack+568125,int_stack+303036,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+246210,int_stack+595053,int_stack+326796,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+315510,int_stack+246210,int_stack+793845,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1047021,int_stack+315510,int_stack+0,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+246210,int_stack+1047021,int_stack+853905,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+758205,int_stack+246210,int_stack+945381,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+246210,int_stack+758205,int_stack+651285,66);
 /*--- compute (mp|ll) ---*/
 hrr1_build_mp(Libint->AB,int_stack+568125,int_stack+246210,int_stack+456750,2025);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+379860,int_stack+106239,int_stack+102729,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+390390,int_stack+110529,int_stack+106239,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+403260,int_stack+390390,int_stack+379860,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+424320,int_stack+115677,int_stack+110529,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+439764,int_stack+424320,int_stack+390390,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+465504,int_stack+439764,int_stack+403260,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+379860,int_stack+121761,int_stack+115677,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+500604,int_stack+379860,int_stack+424320,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+500604,int_stack+439764,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+398112,int_stack+0,int_stack+465504,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+450762,int_stack+128859,int_stack+121761,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+531492,int_stack+450762,int_stack+379860,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+42900,int_stack+531492,int_stack+500604,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+902250,int_stack+42900,int_stack+0,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+966600,int_stack+902250,int_stack+398112,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+137049,int_stack+128859,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+379860,int_stack+0,int_stack+450762,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+422448,int_stack+379860,int_stack+531492,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+483288,int_stack+422448,int_stack+42900,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+24570,int_stack+483288,int_stack+902250,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1040310,int_stack+24570,int_stack+966600,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+902250,int_stack+146409,int_stack+137049,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+930330,int_stack+902250,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1138590,int_stack+930330,int_stack+379860,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1209570,int_stack+1138590,int_stack+422448,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1300830,int_stack+1209570,int_stack+483288,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+379860,int_stack+1300830,int_stack+24570,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+379860,int_stack+1040310,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+499980,int_stack+157017,int_stack+146409,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+979470,int_stack+499980,int_stack+902250,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1035630,int_stack+979470,int_stack+930330,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+902250,int_stack+1035630,int_stack+1138590,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1008720,int_stack+902250,int_stack+1209570,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1136484,int_stack+1008720,int_stack+1300830,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+902250,int_stack+1136484,int_stack+379860,78);
 /*--- compute (o0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+379860,int_stack+902250,int_stack+0,78);
 /*--- compute (np|ll) ---*/
 hrr1_build_np(Libint->AB,int_stack+902250,int_stack+379860,int_stack+246210,2025);
 /*--- compute (md|ll) ---*/
 hrr1_build_md(Libint->AB,int_stack+1303200,int_stack+902250,int_stack+568125,2025);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+246210,int_stack+173046,int_stack+168951,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+258495,int_stack+178051,int_stack+173046,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+273510,int_stack+258495,int_stack+246210,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+298080,int_stack+184057,int_stack+178051,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+316098,int_stack+298080,int_stack+258495,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+316098,int_stack+273510,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+246210,int_stack+191155,int_stack+184057,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40950,int_stack+246210,int_stack+298080,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+76986,int_stack+40950,int_stack+316098,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+267504,int_stack+76986,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+199436,int_stack+191155,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+328929,int_stack+0,int_stack+246210,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+127036,int_stack+328929,int_stack+40950,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+537810,int_stack+127036,int_stack+76986,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+24843,int_stack+537810,int_stack+267504,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+246210,int_stack+208991,int_stack+199436,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+274875,int_stack+246210,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+612885,int_stack+274875,int_stack+328929,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+683865,int_stack+612885,int_stack+127036,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+773955,int_stack+683865,int_stack+537810,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1971450,int_stack+773955,int_stack+24843,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+537810,int_stack+219911,int_stack+208991,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+537810,int_stack+246210,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+57330,int_stack+0,int_stack+274875,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+246210,int_stack+57330,int_stack+612885,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2086110,int_stack+246210,int_stack+683865,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+570570,int_stack+2086110,int_stack+773955,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+710710,int_stack+570570,int_stack+1971450,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1971450,int_stack+232287,int_stack+219911,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2008578,int_stack+1971450,int_stack+537810,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+140140,int_stack+2008578,int_stack+0,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2212236,int_stack+140140,int_stack+57330,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+2212236,int_stack+246210,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+149058,int_stack+0,int_stack+2086110,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1971450,int_stack+149058,int_stack+570570,91);
 /*--- compute (q0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+1971450,int_stack+710710,91);
 /*--- compute (op|ll) ---*/
 hrr1_build_op(Libint->AB,int_stack+1971450,int_stack+0,int_stack+379860,2025);
 /*--- compute (nd|ll) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+1971450,int_stack+902250,2025);
 /*--- compute (mf|ll) ---*/
 hrr1_build_mf(Libint->AB,int_stack+1971450,int_stack+0,int_stack+1303200,2025);
 return int_stack+1971450;}
