#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfmk(Libint_t*, prim_data*);

  /* Computes quartets of (mf|mk) integrals */

REALTYPE *hrr_order_mfmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[9][16] = int_stack + 35805;
 Libint->vrr_classes[10][9] = int_stack + 44220;
 Libint->vrr_classes[10][10] = int_stack + 47850;
 Libint->vrr_classes[10][11] = int_stack + 52206;
 Libint->vrr_classes[10][12] = int_stack + 57354;
 Libint->vrr_classes[10][13] = int_stack + 63360;
 Libint->vrr_classes[10][14] = int_stack + 70290;
 Libint->vrr_classes[10][15] = int_stack + 78210;
 Libint->vrr_classes[10][16] = int_stack + 87186;
 Libint->vrr_classes[11][9] = int_stack + 97284;
 Libint->vrr_classes[11][10] = int_stack + 101574;
 Libint->vrr_classes[11][11] = int_stack + 106722;
 Libint->vrr_classes[11][12] = int_stack + 112806;
 Libint->vrr_classes[11][13] = int_stack + 119904;
 Libint->vrr_classes[11][14] = int_stack + 128094;
 Libint->vrr_classes[11][15] = int_stack + 137454;
 Libint->vrr_classes[11][16] = int_stack + 148062;
 Libint->vrr_classes[12][9] = int_stack + 159996;
 Libint->vrr_classes[12][10] = int_stack + 165001;
 Libint->vrr_classes[12][11] = int_stack + 171007;
 Libint->vrr_classes[12][12] = int_stack + 178105;
 Libint->vrr_classes[12][13] = int_stack + 186386;
 Libint->vrr_classes[12][14] = int_stack + 195941;
 Libint->vrr_classes[12][15] = int_stack + 206861;
 Libint->vrr_classes[12][16] = int_stack + 219237;
 memset(int_stack,0,233160*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 233160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfmk(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+233160,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+242235,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+253125,int_stack+242235,int_stack+233160,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+271275,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+284145,int_stack+271275,int_stack+242235,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+305925,int_stack+284145,int_stack+253125,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+233160,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+336175,int_stack+233160,int_stack+271275,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+361915,int_stack+336175,int_stack+284145,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+248175,int_stack+361915,int_stack+305925,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+293550,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+398215,int_stack+293550,int_stack+233160,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+428245,int_stack+398215,int_stack+336175,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+471145,int_stack+428245,int_stack+361915,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+310875,int_stack+471145,int_stack+248175,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+233160,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+252960,int_stack+233160,int_stack+293550,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+525595,int_stack+252960,int_stack+398215,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+575645,int_stack+525595,int_stack+428245,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+374400,int_stack+575645,int_stack+471145,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+639995,int_stack+374400,int_stack+310875,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+287610,int_stack+35805,int_stack+28325,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+310050,int_stack+287610,int_stack+233160,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+450630,int_stack+310050,int_stack+252960,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+233160,int_stack+450630,int_stack+525595,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+450630,int_stack+233160,int_stack+575645,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+233160,int_stack+450630,int_stack+374400,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+334800,int_stack+233160,int_stack+639995,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+233160,int_stack+47850,int_stack+44220,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+244050,int_stack+52206,int_stack+47850,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+257118,int_stack+244050,int_stack+233160,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+278898,int_stack+57354,int_stack+52206,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+294342,int_stack+278898,int_stack+244050,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+443700,int_stack+294342,int_stack+257118,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+233160,int_stack+63360,int_stack+57354,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+480000,int_stack+233160,int_stack+278898,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+510888,int_stack+480000,int_stack+294342,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+251178,int_stack+510888,int_stack+443700,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+443700,int_stack+70290,int_stack+63360,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+554448,int_stack+443700,int_stack+233160,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+590484,int_stack+554448,int_stack+480000,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+641964,int_stack+590484,int_stack+510888,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+464490,int_stack+641964,int_stack+251178,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+233160,int_stack+78210,int_stack+70290,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+256920,int_stack+233160,int_stack+443700,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+256920,int_stack+554448,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+707304,int_stack+0,int_stack+590484,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+540720,int_stack+707304,int_stack+641964,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+784524,int_stack+540720,int_stack+464490,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+443700,int_stack+87186,int_stack+78210,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+470628,int_stack+443700,int_stack+233160,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+632196,int_stack+470628,int_stack+256920,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+233160,int_stack+632196,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+886164,int_stack+233160,int_stack+707304,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+632196,int_stack+886164,int_stack+540720,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+443700,int_stack+632196,int_stack+784524,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+574380,int_stack+443700,int_stack+334800,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+233160,int_stack+101574,int_stack+97284,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+246030,int_stack+106722,int_stack+101574,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+261474,int_stack+246030,int_stack+233160,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+287214,int_stack+112806,int_stack+106722,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+305466,int_stack+287214,int_stack+246030,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+336354,int_stack+305466,int_stack+261474,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+233160,int_stack+119904,int_stack+112806,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+379254,int_stack+233160,int_stack+287214,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+379254,int_stack+305466,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+254454,int_stack+0,int_stack+336354,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+318804,int_stack+128094,int_stack+119904,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51480,int_stack+318804,int_stack+233160,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+901080,int_stack+51480,int_stack+379254,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+343374,int_stack+901080,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+961920,int_stack+343374,int_stack+254454,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+137454,int_stack+128094,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+233160,int_stack+0,int_stack+318804,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1052010,int_stack+233160,int_stack+51480,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+28080,int_stack+1052010,int_stack+901080,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1122990,int_stack+28080,int_stack+343374,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+282300,int_stack+1122990,int_stack+961920,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+901080,int_stack+148062,int_stack+137454,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+932904,int_stack+901080,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1231098,int_stack+932904,int_stack+233160,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+901080,int_stack+1231098,int_stack+1052010,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1231098,int_stack+901080,int_stack+28080,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+901080,int_stack+1231098,int_stack+1122990,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1045224,int_stack+901080,int_stack+282300,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1199664,int_stack+1045224,int_stack+443700,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1591704,int_stack+1199664,int_stack+574380,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+233160,int_stack+165001,int_stack+159996,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+248175,int_stack+171007,int_stack+165001,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+266193,int_stack+248175,int_stack+233160,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+296223,int_stack+178105,int_stack+171007,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+317517,int_stack+296223,int_stack+248175,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+353553,int_stack+317517,int_stack+266193,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+233160,int_stack+186386,int_stack+178105,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+403603,int_stack+233160,int_stack+296223,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+446191,int_stack+403603,int_stack+317517,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+258003,int_stack+446191,int_stack+353553,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+333078,int_stack+195941,int_stack+186386,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+506251,int_stack+333078,int_stack+233160,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+555937,int_stack+506251,int_stack+403603,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+626917,int_stack+555937,int_stack+446191,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+361743,int_stack+626917,int_stack+258003,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+233160,int_stack+206861,int_stack+195941,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+265920,int_stack+233160,int_stack+333078,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+717007,int_stack+265920,int_stack+506251,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+799817,int_stack+717007,int_stack+555937,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+466848,int_stack+799817,int_stack+626917,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+466848,int_stack+361743,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+323250,int_stack+219237,int_stack+206861,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+360378,int_stack+323250,int_stack+233160,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+592974,int_stack+360378,int_stack+265920,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+906287,int_stack+592974,int_stack+717007,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+592974,int_stack+906287,int_stack+799817,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+742032,int_stack+592974,int_stack+466848,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+140140,int_stack+742032,int_stack+0,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+320320,int_stack+140140,int_stack+1045224,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2245104,int_stack+320320,int_stack+1199664,1980);
 /*--- compute (mf|mk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+2245104,int_stack+1591704,1980);
 return int_stack+0;}
