#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mgmk(Libint_t*, prim_data*);

  /* Computes quartets of (mg|mk) integrals */

REALTYPE *hrr_order_mgmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[9][16] = int_stack + 35805;
 Libint->vrr_classes[10][9] = int_stack + 44220;
 Libint->vrr_classes[10][10] = int_stack + 47850;
 Libint->vrr_classes[10][11] = int_stack + 52206;
 Libint->vrr_classes[10][12] = int_stack + 57354;
 Libint->vrr_classes[10][13] = int_stack + 63360;
 Libint->vrr_classes[10][14] = int_stack + 70290;
 Libint->vrr_classes[10][15] = int_stack + 78210;
 Libint->vrr_classes[10][16] = int_stack + 87186;
 Libint->vrr_classes[11][9] = int_stack + 97284;
 Libint->vrr_classes[11][10] = int_stack + 101574;
 Libint->vrr_classes[11][11] = int_stack + 106722;
 Libint->vrr_classes[11][12] = int_stack + 112806;
 Libint->vrr_classes[11][13] = int_stack + 119904;
 Libint->vrr_classes[11][14] = int_stack + 128094;
 Libint->vrr_classes[11][15] = int_stack + 137454;
 Libint->vrr_classes[11][16] = int_stack + 148062;
 Libint->vrr_classes[12][9] = int_stack + 159996;
 Libint->vrr_classes[12][10] = int_stack + 165001;
 Libint->vrr_classes[12][11] = int_stack + 171007;
 Libint->vrr_classes[12][12] = int_stack + 178105;
 Libint->vrr_classes[12][13] = int_stack + 186386;
 Libint->vrr_classes[12][14] = int_stack + 195941;
 Libint->vrr_classes[12][15] = int_stack + 206861;
 Libint->vrr_classes[12][16] = int_stack + 219237;
 Libint->vrr_classes[13][9] = int_stack + 233160;
 Libint->vrr_classes[13][10] = int_stack + 238935;
 Libint->vrr_classes[13][11] = int_stack + 245865;
 Libint->vrr_classes[13][12] = int_stack + 254055;
 Libint->vrr_classes[13][13] = int_stack + 263610;
 Libint->vrr_classes[13][14] = int_stack + 274635;
 Libint->vrr_classes[13][15] = int_stack + 287235;
 Libint->vrr_classes[13][16] = int_stack + 301515;
 memset(int_stack,0,317580*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 317580;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mgmk(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+317580,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+326655,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+337545,int_stack+326655,int_stack+317580,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+355695,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+368565,int_stack+355695,int_stack+326655,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+390345,int_stack+368565,int_stack+337545,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+317580,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+420595,int_stack+317580,int_stack+355695,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+446335,int_stack+420595,int_stack+368565,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+332595,int_stack+446335,int_stack+390345,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+377970,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+482635,int_stack+377970,int_stack+317580,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+512665,int_stack+482635,int_stack+420595,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+555565,int_stack+512665,int_stack+446335,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+395295,int_stack+555565,int_stack+332595,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+317580,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+337380,int_stack+317580,int_stack+377970,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+610015,int_stack+337380,int_stack+482635,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+660065,int_stack+610015,int_stack+512665,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+458820,int_stack+660065,int_stack+555565,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+724415,int_stack+458820,int_stack+395295,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+372030,int_stack+35805,int_stack+28325,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+394470,int_stack+372030,int_stack+317580,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+535050,int_stack+394470,int_stack+337380,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+317580,int_stack+535050,int_stack+610015,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+535050,int_stack+317580,int_stack+660065,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+317580,int_stack+535050,int_stack+458820,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+419220,int_stack+317580,int_stack+724415,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+317580,int_stack+47850,int_stack+44220,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+328470,int_stack+52206,int_stack+47850,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+341538,int_stack+328470,int_stack+317580,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+363318,int_stack+57354,int_stack+52206,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+378762,int_stack+363318,int_stack+328470,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+528120,int_stack+378762,int_stack+341538,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+317580,int_stack+63360,int_stack+57354,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+564420,int_stack+317580,int_stack+363318,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+595308,int_stack+564420,int_stack+378762,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+335598,int_stack+595308,int_stack+528120,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+528120,int_stack+70290,int_stack+63360,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+638868,int_stack+528120,int_stack+317580,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+674904,int_stack+638868,int_stack+564420,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+726384,int_stack+674904,int_stack+595308,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+548910,int_stack+726384,int_stack+335598,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+317580,int_stack+78210,int_stack+70290,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+341340,int_stack+317580,int_stack+528120,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+341340,int_stack+638868,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+791724,int_stack+0,int_stack+674904,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+625140,int_stack+791724,int_stack+726384,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+868944,int_stack+625140,int_stack+548910,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+528120,int_stack+87186,int_stack+78210,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+555048,int_stack+528120,int_stack+317580,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+716616,int_stack+555048,int_stack+341340,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+317580,int_stack+716616,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+970584,int_stack+317580,int_stack+791724,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+716616,int_stack+970584,int_stack+625140,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+528120,int_stack+716616,int_stack+868944,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+658800,int_stack+528120,int_stack+419220,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+317580,int_stack+101574,int_stack+97284,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+330450,int_stack+106722,int_stack+101574,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+345894,int_stack+330450,int_stack+317580,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+371634,int_stack+112806,int_stack+106722,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+389886,int_stack+371634,int_stack+330450,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+420774,int_stack+389886,int_stack+345894,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+317580,int_stack+119904,int_stack+112806,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+463674,int_stack+317580,int_stack+371634,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+463674,int_stack+389886,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+338874,int_stack+0,int_stack+420774,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+403224,int_stack+128094,int_stack+119904,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51480,int_stack+403224,int_stack+317580,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+985500,int_stack+51480,int_stack+463674,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+427794,int_stack+985500,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1046340,int_stack+427794,int_stack+338874,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+137454,int_stack+128094,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+317580,int_stack+0,int_stack+403224,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1136430,int_stack+317580,int_stack+51480,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+28080,int_stack+1136430,int_stack+985500,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1207410,int_stack+28080,int_stack+427794,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+366720,int_stack+1207410,int_stack+1046340,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+985500,int_stack+148062,int_stack+137454,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1017324,int_stack+985500,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1315518,int_stack+1017324,int_stack+317580,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+985500,int_stack+1315518,int_stack+1136430,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1315518,int_stack+985500,int_stack+28080,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+985500,int_stack+1315518,int_stack+1207410,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1129644,int_stack+985500,int_stack+366720,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1284084,int_stack+1129644,int_stack+528120,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1676124,int_stack+1284084,int_stack+658800,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+317580,int_stack+165001,int_stack+159996,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+332595,int_stack+171007,int_stack+165001,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+350613,int_stack+332595,int_stack+317580,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+380643,int_stack+178105,int_stack+171007,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+401937,int_stack+380643,int_stack+332595,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+437973,int_stack+401937,int_stack+350613,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+317580,int_stack+186386,int_stack+178105,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+488023,int_stack+317580,int_stack+380643,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+530611,int_stack+488023,int_stack+401937,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+342423,int_stack+530611,int_stack+437973,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+417498,int_stack+195941,int_stack+186386,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+590671,int_stack+417498,int_stack+317580,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+640357,int_stack+590671,int_stack+488023,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+711337,int_stack+640357,int_stack+530611,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+446163,int_stack+711337,int_stack+342423,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+317580,int_stack+206861,int_stack+195941,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+350340,int_stack+317580,int_stack+417498,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+801427,int_stack+350340,int_stack+590671,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+884237,int_stack+801427,int_stack+640357,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+551268,int_stack+884237,int_stack+711337,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+551268,int_stack+446163,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+407670,int_stack+219237,int_stack+206861,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+444798,int_stack+407670,int_stack+317580,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+677394,int_stack+444798,int_stack+350340,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+317580,int_stack+677394,int_stack+801427,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+677394,int_stack+317580,int_stack+884237,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+317580,int_stack+677394,int_stack+551268,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+485748,int_stack+317580,int_stack+0,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+665928,int_stack+485748,int_stack+1129644,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2329524,int_stack+665928,int_stack+1284084,1980);
 /*--- compute (mf|mk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3113604,int_stack+2329524,int_stack+1676124,1980);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+238935,int_stack+233160,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+245865,int_stack+238935,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+254055,int_stack+245865,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+263610,int_stack+254055,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+317580,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+317580,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+274635,int_stack+263610,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+386880,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1129248,int_stack+386880,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+148365,int_stack+1129248,int_stack+317580,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1211148,int_stack+148365,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+317580,int_stack+287235,int_stack+274635,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+317580,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1332423,int_stack+0,int_stack+386880,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+355380,int_stack+1332423,int_stack+1129248,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1427973,int_stack+355380,int_stack+148365,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+66150,int_stack+1427973,int_stack+1211148,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1129248,int_stack+301515,int_stack+287235,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1172088,int_stack+1129248,int_stack+317580,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+227850,int_stack+1172088,int_stack+0,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1129248,int_stack+227850,int_stack+1332423,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1573503,int_stack+1129248,int_stack+355380,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1129248,int_stack+1573503,int_stack+1427973,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1323288,int_stack+1129248,int_stack+66150,105);
 /*--- compute (qp|mk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1531188,int_stack+1323288,int_stack+485748,1980);
 /*--- compute (od|mk) ---*/
 hrr1_build_od(Libint->AB,int_stack+4202604,int_stack+1531188,int_stack+665928,1980);
 /*--- compute (nf|mk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+4202604,int_stack+2329524,1980);
 /*--- compute (mg|mk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+1306800,int_stack+0,int_stack+3113604,1980);
 return int_stack+1306800;}
