#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpmi(Libint_t*, prim_data*);

  /* Computes quartets of (mp|mi) integrals */

REALTYPE *hrr_order_mpmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[10][9] = int_stack + 35805;
 Libint->vrr_classes[10][10] = int_stack + 39435;
 Libint->vrr_classes[10][11] = int_stack + 43791;
 Libint->vrr_classes[10][12] = int_stack + 48939;
 Libint->vrr_classes[10][13] = int_stack + 54945;
 Libint->vrr_classes[10][14] = int_stack + 61875;
 Libint->vrr_classes[10][15] = int_stack + 69795;
 memset(int_stack,0,78771*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 78771;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpmi(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+78771,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+87846,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+98736,int_stack+87846,int_stack+78771,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+116886,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+129756,int_stack+116886,int_stack+87846,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+151536,int_stack+129756,int_stack+98736,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+78771,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+181786,int_stack+78771,int_stack+116886,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+207526,int_stack+181786,int_stack+129756,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+93786,int_stack+207526,int_stack+151536,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+139161,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+243826,int_stack+139161,int_stack+78771,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+273856,int_stack+243826,int_stack+181786,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+316756,int_stack+273856,int_stack+207526,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+156486,int_stack+316756,int_stack+93786,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+78771,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+98571,int_stack+78771,int_stack+139161,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+371206,int_stack+98571,int_stack+243826,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+78771,int_stack+371206,int_stack+273856,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+220011,int_stack+78771,int_stack+316756,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+296241,int_stack+220011,int_stack+156486,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+78771,int_stack+39435,int_stack+35805,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+89661,int_stack+43791,int_stack+39435,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102729,int_stack+89661,int_stack+78771,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+124509,int_stack+48939,int_stack+43791,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139953,int_stack+124509,int_stack+89661,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+166089,int_stack+139953,int_stack+102729,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+78771,int_stack+54945,int_stack+48939,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+202389,int_stack+78771,int_stack+124509,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+233277,int_stack+202389,int_stack+139953,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+96789,int_stack+233277,int_stack+166089,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+151239,int_stack+61875,int_stack+54945,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+380941,int_stack+151239,int_stack+78771,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+380941,int_stack+202389,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+416977,int_stack+0,int_stack+233277,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+172029,int_stack+416977,int_stack+96789,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+78771,int_stack+69795,int_stack+61875,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+102531,int_stack+78771,int_stack+151239,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+482317,int_stack+102531,int_stack+380941,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+51480,int_stack+482317,int_stack+0,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+482317,int_stack+51480,int_stack+416977,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+482317,int_stack+172029,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+380941,int_stack+0,int_stack+296241,1540);
 return int_stack+380941;}
