#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_n0ld(Libint_t*, prim_data*);

  /* Computes quartets of (n0|ld) integrals */

REALTYPE *hrr_order_n0ld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 memset(int_stack,0,10956*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10956;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_n0ld(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10956,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19866,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+30756,int_stack+19866,int_stack+10956,66);
 return int_stack+30756;}
