#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfmi(Libint_t*, prim_data*);

  /* Computes quartets of (nf|mi) integrals */

REALTYPE *hrr_order_nfmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 Libint->vrr_classes[10][12] = int_stack + 13134;
 Libint->vrr_classes[10][13] = int_stack + 19140;
 Libint->vrr_classes[10][14] = int_stack + 26070;
 Libint->vrr_classes[10][15] = int_stack + 33990;
 Libint->vrr_classes[11][9] = int_stack + 42966;
 Libint->vrr_classes[11][10] = int_stack + 47256;
 Libint->vrr_classes[11][11] = int_stack + 52404;
 Libint->vrr_classes[11][12] = int_stack + 58488;
 Libint->vrr_classes[11][13] = int_stack + 65586;
 Libint->vrr_classes[11][14] = int_stack + 73776;
 Libint->vrr_classes[11][15] = int_stack + 83136;
 Libint->vrr_classes[12][9] = int_stack + 93744;
 Libint->vrr_classes[12][10] = int_stack + 98749;
 Libint->vrr_classes[12][11] = int_stack + 104755;
 Libint->vrr_classes[12][12] = int_stack + 111853;
 Libint->vrr_classes[12][13] = int_stack + 120134;
 Libint->vrr_classes[12][14] = int_stack + 129689;
 Libint->vrr_classes[12][15] = int_stack + 140609;
 Libint->vrr_classes[13][9] = int_stack + 152985;
 Libint->vrr_classes[13][10] = int_stack + 158760;
 Libint->vrr_classes[13][11] = int_stack + 165690;
 Libint->vrr_classes[13][12] = int_stack + 173880;
 Libint->vrr_classes[13][13] = int_stack + 183435;
 Libint->vrr_classes[13][14] = int_stack + 194460;
 Libint->vrr_classes[13][15] = int_stack + 207060;
 memset(int_stack,0,221340*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 221340;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfmi(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+221340,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+232230,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+245298,int_stack+232230,int_stack+221340,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+267078,int_stack+13134,int_stack+7986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+282522,int_stack+267078,int_stack+232230,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+308658,int_stack+282522,int_stack+245298,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+221340,int_stack+19140,int_stack+13134,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+344958,int_stack+221340,int_stack+267078,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+375846,int_stack+344958,int_stack+282522,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+239358,int_stack+375846,int_stack+308658,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+293808,int_stack+26070,int_stack+19140,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+419406,int_stack+293808,int_stack+221340,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+455442,int_stack+419406,int_stack+344958,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+506922,int_stack+455442,int_stack+375846,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+314598,int_stack+506922,int_stack+239358,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+221340,int_stack+33990,int_stack+26070,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+245100,int_stack+221340,int_stack+293808,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+572262,int_stack+245100,int_stack+419406,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+221340,int_stack+572262,int_stack+455442,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+390828,int_stack+221340,int_stack+506922,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+482304,int_stack+390828,int_stack+314598,66);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+221340,int_stack+47256,int_stack+42966,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+234210,int_stack+52404,int_stack+47256,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+249654,int_stack+234210,int_stack+221340,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+275394,int_stack+58488,int_stack+52404,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+293646,int_stack+275394,int_stack+234210,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+324534,int_stack+293646,int_stack+249654,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+221340,int_stack+65586,int_stack+58488,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+367434,int_stack+221340,int_stack+275394,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+403938,int_stack+367434,int_stack+293646,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+242634,int_stack+403938,int_stack+324534,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+306984,int_stack+73776,int_stack+65586,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+583944,int_stack+306984,int_stack+221340,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+583944,int_stack+367434,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+626532,int_stack+0,int_stack+403938,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+331554,int_stack+626532,int_stack+242634,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+221340,int_stack+83136,int_stack+73776,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+249420,int_stack+221340,int_stack+306984,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+703752,int_stack+249420,int_stack+583944,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+221340,int_stack+703752,int_stack+0,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+703752,int_stack+221340,int_stack+626532,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+811860,int_stack+703752,int_stack+331554,78);
 /*--- compute (np|mi) ---*/
 hrr1_build_np(Libint->AB,int_stack+931980,int_stack+811860,int_stack+482304,1540);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+221340,int_stack+98749,int_stack+93744,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+236355,int_stack+104755,int_stack+98749,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+254373,int_stack+236355,int_stack+221340,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+284403,int_stack+111853,int_stack+104755,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+305697,int_stack+284403,int_stack+236355,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+341733,int_stack+305697,int_stack+254373,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+221340,int_stack+120134,int_stack+111853,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+391783,int_stack+221340,int_stack+284403,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+434371,int_stack+391783,int_stack+305697,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+246183,int_stack+434371,int_stack+341733,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+321258,int_stack+129689,int_stack+120134,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+494431,int_stack+321258,int_stack+221340,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+544117,int_stack+494431,int_stack+391783,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+615097,int_stack+544117,int_stack+434371,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+349923,int_stack+615097,int_stack+246183,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+221340,int_stack+140609,int_stack+129689,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+254100,int_stack+221340,int_stack+321258,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+705187,int_stack+254100,int_stack+494431,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+221340,int_stack+705187,int_stack+544117,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+455028,int_stack+221340,int_stack+615097,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+581154,int_stack+455028,int_stack+349923,91);
 /*--- compute (op|mi) ---*/
 hrr1_build_op(Libint->AB,int_stack+1236900,int_stack+581154,int_stack+811860,1540);
 /*--- compute (nd|mi) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1597260,int_stack+1236900,int_stack+931980,1540);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+221340,int_stack+158760,int_stack+152985,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+238665,int_stack+165690,int_stack+158760,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+259455,int_stack+238665,int_stack+221340,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+294105,int_stack+173880,int_stack+165690,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+318675,int_stack+294105,int_stack+238665,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+360255,int_stack+318675,int_stack+259455,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+221340,int_stack+183435,int_stack+173880,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+418005,int_stack+221340,int_stack+294105,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+467145,int_stack+418005,int_stack+318675,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+250005,int_stack+467145,int_stack+360255,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+336630,int_stack+194460,int_stack+183435,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+721294,int_stack+336630,int_stack+221340,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+778624,int_stack+721294,int_stack+418005,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+860524,int_stack+778624,int_stack+467145,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+369705,int_stack+860524,int_stack+250005,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+221340,int_stack+207060,int_stack+194460,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+259140,int_stack+221340,int_stack+336630,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+964474,int_stack+259140,int_stack+721294,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1060024,int_stack+964474,int_stack+778624,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+1060024,int_stack+860524,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+721294,int_stack+0,int_stack+369705,105);
 /*--- compute (qp|mi) ---*/
 hrr1_build_qp(Libint->AB,int_stack+0,int_stack+721294,int_stack+581154,1540);
 /*--- compute (od|mi) ---*/
 hrr1_build_od(Libint->AB,int_stack+420420,int_stack+0,int_stack+1236900,1540);
 /*--- compute (nf|mi) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2207100,int_stack+420420,int_stack+1597260,1540);
 return int_stack+2207100;}
