#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfmk(Libint_t*, prim_data*);

  /* Computes quartets of (nf|mk) integrals */

REALTYPE *hrr_order_nfmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 Libint->vrr_classes[10][12] = int_stack + 13134;
 Libint->vrr_classes[10][13] = int_stack + 19140;
 Libint->vrr_classes[10][14] = int_stack + 26070;
 Libint->vrr_classes[10][15] = int_stack + 33990;
 Libint->vrr_classes[10][16] = int_stack + 42966;
 Libint->vrr_classes[11][9] = int_stack + 53064;
 Libint->vrr_classes[11][10] = int_stack + 57354;
 Libint->vrr_classes[11][11] = int_stack + 62502;
 Libint->vrr_classes[11][12] = int_stack + 68586;
 Libint->vrr_classes[11][13] = int_stack + 75684;
 Libint->vrr_classes[11][14] = int_stack + 83874;
 Libint->vrr_classes[11][15] = int_stack + 93234;
 Libint->vrr_classes[11][16] = int_stack + 103842;
 Libint->vrr_classes[12][9] = int_stack + 115776;
 Libint->vrr_classes[12][10] = int_stack + 120781;
 Libint->vrr_classes[12][11] = int_stack + 126787;
 Libint->vrr_classes[12][12] = int_stack + 133885;
 Libint->vrr_classes[12][13] = int_stack + 142166;
 Libint->vrr_classes[12][14] = int_stack + 151721;
 Libint->vrr_classes[12][15] = int_stack + 162641;
 Libint->vrr_classes[12][16] = int_stack + 175017;
 Libint->vrr_classes[13][9] = int_stack + 188940;
 Libint->vrr_classes[13][10] = int_stack + 194715;
 Libint->vrr_classes[13][11] = int_stack + 201645;
 Libint->vrr_classes[13][12] = int_stack + 209835;
 Libint->vrr_classes[13][13] = int_stack + 219390;
 Libint->vrr_classes[13][14] = int_stack + 230415;
 Libint->vrr_classes[13][15] = int_stack + 243015;
 Libint->vrr_classes[13][16] = int_stack + 257295;
 memset(int_stack,0,273360*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 273360;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfmk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273360,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+284250,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+297318,int_stack+284250,int_stack+273360,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+319098,int_stack+13134,int_stack+7986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+334542,int_stack+319098,int_stack+284250,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+360678,int_stack+334542,int_stack+297318,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273360,int_stack+19140,int_stack+13134,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+396978,int_stack+273360,int_stack+319098,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+427866,int_stack+396978,int_stack+334542,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+291378,int_stack+427866,int_stack+360678,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+345828,int_stack+26070,int_stack+19140,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+471426,int_stack+345828,int_stack+273360,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+507462,int_stack+471426,int_stack+396978,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+558942,int_stack+507462,int_stack+427866,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+366618,int_stack+558942,int_stack+291378,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273360,int_stack+33990,int_stack+26070,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+297120,int_stack+273360,int_stack+345828,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+624282,int_stack+297120,int_stack+471426,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+684342,int_stack+624282,int_stack+507462,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+442848,int_stack+684342,int_stack+558942,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+761562,int_stack+442848,int_stack+366618,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+338700,int_stack+42966,int_stack+33990,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+365628,int_stack+338700,int_stack+273360,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+534324,int_stack+365628,int_stack+297120,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+273360,int_stack+534324,int_stack+624282,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+534324,int_stack+273360,int_stack+684342,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+273360,int_stack+534324,int_stack+442848,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+395328,int_stack+273360,int_stack+761562,66);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273360,int_stack+57354,int_stack+53064,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+286230,int_stack+62502,int_stack+57354,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+301674,int_stack+286230,int_stack+273360,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+327414,int_stack+68586,int_stack+62502,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+345666,int_stack+327414,int_stack+286230,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+526008,int_stack+345666,int_stack+301674,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273360,int_stack+75684,int_stack+68586,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+568908,int_stack+273360,int_stack+327414,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+605412,int_stack+568908,int_stack+345666,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+294654,int_stack+605412,int_stack+526008,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+526008,int_stack+83874,int_stack+75684,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+656892,int_stack+526008,int_stack+273360,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+699480,int_stack+656892,int_stack+568908,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+760320,int_stack+699480,int_stack+605412,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+550578,int_stack+760320,int_stack+294654,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273360,int_stack+93234,int_stack+83874,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+301440,int_stack+273360,int_stack+526008,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+301440,int_stack+656892,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+837540,int_stack+0,int_stack+699480,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+640668,int_stack+837540,int_stack+760320,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+928800,int_stack+640668,int_stack+550578,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+526008,int_stack+103842,int_stack+93234,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+557832,int_stack+526008,int_stack+273360,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+748776,int_stack+557832,int_stack+301440,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+273360,int_stack+748776,int_stack+0,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1048920,int_stack+273360,int_stack+837540,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+748776,int_stack+1048920,int_stack+640668,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+526008,int_stack+748776,int_stack+928800,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+680448,int_stack+526008,int_stack+395328,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273360,int_stack+120781,int_stack+115776,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+288375,int_stack+126787,int_stack+120781,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+306393,int_stack+288375,int_stack+273360,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+336423,int_stack+133885,int_stack+126787,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+357717,int_stack+336423,int_stack+288375,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+393753,int_stack+357717,int_stack+306393,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273360,int_stack+142166,int_stack+133885,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+443803,int_stack+273360,int_stack+336423,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+443803,int_stack+357717,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+298203,int_stack+0,int_stack+393753,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+373278,int_stack+151721,int_stack+142166,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60060,int_stack+373278,int_stack+273360,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1072488,int_stack+60060,int_stack+443803,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+401943,int_stack+1072488,int_stack+0,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1143468,int_stack+401943,int_stack+298203,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+162641,int_stack+151721,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+273360,int_stack+0,int_stack+373278,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1248573,int_stack+273360,int_stack+60060,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+32760,int_stack+1248573,int_stack+1072488,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1331383,int_stack+32760,int_stack+401943,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+330690,int_stack+1331383,int_stack+1143468,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1072488,int_stack+175017,int_stack+162641,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1109616,int_stack+1072488,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1457509,int_stack+1109616,int_stack+273360,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1072488,int_stack+1457509,int_stack+1248573,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1457509,int_stack+1072488,int_stack+32760,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1072488,int_stack+1457509,int_stack+1331383,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1240656,int_stack+1072488,int_stack+330690,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1420836,int_stack+1240656,int_stack+526008,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1884156,int_stack+1420836,int_stack+680448,1980);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273360,int_stack+194715,int_stack+188940,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+290685,int_stack+201645,int_stack+194715,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+311475,int_stack+290685,int_stack+273360,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+346125,int_stack+209835,int_stack+201645,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+370695,int_stack+346125,int_stack+290685,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+412275,int_stack+370695,int_stack+311475,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+273360,int_stack+219390,int_stack+209835,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+470025,int_stack+273360,int_stack+346125,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+519165,int_stack+470025,int_stack+370695,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+302025,int_stack+519165,int_stack+412275,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+388650,int_stack+230415,int_stack+219390,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+588465,int_stack+388650,int_stack+273360,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+645795,int_stack+588465,int_stack+470025,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+727695,int_stack+645795,int_stack+519165,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+421725,int_stack+727695,int_stack+302025,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+273360,int_stack+243015,int_stack+230415,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+311160,int_stack+273360,int_stack+388650,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+831645,int_stack+311160,int_stack+588465,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+927195,int_stack+831645,int_stack+645795,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+543000,int_stack+927195,int_stack+727695,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1050045,int_stack+543000,int_stack+421725,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+377310,int_stack+257295,int_stack+243015,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+420150,int_stack+377310,int_stack+273360,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+688530,int_stack+420150,int_stack+311160,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+688530,int_stack+831645,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+688530,int_stack+0,int_stack+927195,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+688530,int_stack+543000,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+194040,int_stack+0,int_stack+1050045,105);
 /*--- compute (qp|mk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+401940,int_stack+194040,int_stack+1240656,1980);
 /*--- compute (od|mk) ---*/
 hrr1_build_od(Libint->AB,int_stack+2668236,int_stack+401940,int_stack+1420836,1980);
 /*--- compute (nf|mk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+2668236,int_stack+1884156,1980);
 return int_stack+0;}
