#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_npng(Libint_t*, prim_data*);

  /* Computes quartets of (np|ng) integrals */

REALTYPE *hrr_order_npng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[11][10] = int_stack + 30360;
 Libint->vrr_classes[11][11] = int_stack + 35508;
 Libint->vrr_classes[11][12] = int_stack + 41592;
 Libint->vrr_classes[11][13] = int_stack + 48690;
 Libint->vrr_classes[11][14] = int_stack + 56880;
 memset(int_stack,0,66240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 66240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_npng(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+66240,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+79308,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+94752,int_stack+79308,int_stack+66240,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+120888,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+138906,int_stack+120888,int_stack+79308,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+169794,int_stack+138906,int_stack+94752,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+66240,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+213354,int_stack+66240,int_stack+120888,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+66240,int_stack+213354,int_stack+138906,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+213354,int_stack+66240,int_stack+169794,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+66240,int_stack+35508,int_stack+30360,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+81684,int_stack+41592,int_stack+35508,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+99936,int_stack+81684,int_stack+66240,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+130824,int_stack+48690,int_stack+41592,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+152118,int_stack+130824,int_stack+81684,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+278694,int_stack+152118,int_stack+99936,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+66240,int_stack+56880,int_stack+48690,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+66240,int_stack+130824,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+42588,int_stack+0,int_stack+152118,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+103428,int_stack+42588,int_stack+278694,78);
 /*--- compute (np|ng) ---*/
 hrr1_build_np(Libint->AB,int_stack+278694,int_stack+103428,int_stack+213354,990);
 return int_stack+278694;}
