#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gghg(Libr12_t *, prim_data *);

  /* Computes (gg|hg) integrals for linear R12-methods */

void hrr_grt_order_gghg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->t2vrr_classes[4][9] = int_stack + 1950;
 Libr12->t2vrr_classes[5][5] = int_stack + 2775;
 Libr12->t2vrr_classes[5][6] = int_stack + 3216;
 Libr12->t2vrr_classes[5][7] = int_stack + 3804;
 Libr12->t2vrr_classes[5][8] = int_stack + 4560;
 Libr12->t2vrr_classes[5][9] = int_stack + 5505;
 Libr12->t2vrr_classes[6][5] = int_stack + 6660;
 Libr12->t2vrr_classes[6][6] = int_stack + 7248;
 Libr12->t2vrr_classes[6][7] = int_stack + 8032;
 Libr12->t2vrr_classes[6][8] = int_stack + 9040;
 Libr12->t2vrr_classes[6][9] = int_stack + 10300;
 Libr12->t2vrr_classes[7][5] = int_stack + 11840;
 Libr12->t2vrr_classes[7][6] = int_stack + 12596;
 Libr12->t2vrr_classes[7][7] = int_stack + 13604;
 Libr12->t2vrr_classes[7][8] = int_stack + 14900;
 Libr12->t2vrr_classes[7][9] = int_stack + 16520;
 Libr12->gvrr_classes[9][5] = int_stack + 18500;
 Libr12->t2vrr_classes[8][5] = int_stack + 19655;
 Libr12->gvrr_classes[9][6] = int_stack + 20600;
 Libr12->t2vrr_classes[8][6] = int_stack + 22140;
 Libr12->gvrr_classes[9][7] = int_stack + 23400;
 Libr12->t2vrr_classes[8][7] = int_stack + 25380;
 Libr12->gvrr_classes[9][8] = int_stack + 27000;
 Libr12->t2vrr_classes[8][8] = int_stack + 29475;
 Libr12->t2vrr_classes[8][9] = int_stack + 31500;
 Libr12->gvrr_classes[4][10] = int_stack + 33975;
 Libr12->t1vrr_classes[4][5] = int_stack + 34965;
 Libr12->t1vrr_classes[4][6] = int_stack + 35280;
 Libr12->t1vrr_classes[4][7] = int_stack + 35700;
 Libr12->t1vrr_classes[4][8] = int_stack + 36240;
 Libr12->t1vrr_classes[4][9] = int_stack + 36915;
 Libr12->gvrr_classes[5][10] = int_stack + 37740;
 Libr12->t1vrr_classes[5][5] = int_stack + 39126;
 Libr12->t1vrr_classes[5][6] = int_stack + 39567;
 Libr12->t1vrr_classes[5][7] = int_stack + 40155;
 Libr12->t1vrr_classes[5][8] = int_stack + 40911;
 Libr12->t1vrr_classes[5][9] = int_stack + 41856;
 Libr12->gvrr_classes[6][10] = int_stack + 43011;
 Libr12->t1vrr_classes[6][5] = int_stack + 44859;
 Libr12->t1vrr_classes[6][6] = int_stack + 45447;
 Libr12->t1vrr_classes[6][7] = int_stack + 46231;
 Libr12->t1vrr_classes[6][8] = int_stack + 47239;
 Libr12->t1vrr_classes[6][9] = int_stack + 48499;
 Libr12->gvrr_classes[7][10] = int_stack + 50039;
 Libr12->t1vrr_classes[7][5] = int_stack + 52415;
 Libr12->t1vrr_classes[7][6] = int_stack + 53171;
 Libr12->t1vrr_classes[7][7] = int_stack + 54179;
 Libr12->t1vrr_classes[7][8] = int_stack + 55475;
 Libr12->t1vrr_classes[7][9] = int_stack + 57095;
 Libr12->t1vrr_classes[8][5] = int_stack + 59075;
 Libr12->t1vrr_classes[8][6] = int_stack + 60020;
 Libr12->t1vrr_classes[8][7] = int_stack + 61280;
 Libr12->t1vrr_classes[8][8] = int_stack + 62900;
 Libr12->t1vrr_classes[8][9] = int_stack + 64925;
 Libr12->rvrr_classes[4][5] = int_stack + 67400;
 Libr12->rvrr_classes[4][6] = int_stack + 67715;
 Libr12->rvrr_classes[4][7] = int_stack + 68135;
 Libr12->rvrr_classes[4][8] = int_stack + 68675;
 Libr12->rvrr_classes[4][9] = int_stack + 69350;
 Libr12->rvrr_classes[5][5] = int_stack + 70175;
 Libr12->rvrr_classes[5][6] = int_stack + 70616;
 Libr12->rvrr_classes[5][7] = int_stack + 71204;
 Libr12->rvrr_classes[5][8] = int_stack + 71960;
 Libr12->rvrr_classes[5][9] = int_stack + 72905;
 Libr12->rvrr_classes[6][5] = int_stack + 74060;
 Libr12->rvrr_classes[6][6] = int_stack + 74648;
 Libr12->rvrr_classes[6][7] = int_stack + 75432;
 Libr12->rvrr_classes[6][8] = int_stack + 76440;
 Libr12->rvrr_classes[6][9] = int_stack + 77700;
 Libr12->rvrr_classes[7][5] = int_stack + 79240;
 Libr12->rvrr_classes[7][6] = int_stack + 79996;
 Libr12->rvrr_classes[7][7] = int_stack + 81004;
 Libr12->rvrr_classes[7][8] = int_stack + 82300;
 Libr12->rvrr_classes[7][9] = int_stack + 83920;
 Libr12->rvrr_classes[8][5] = int_stack + 85900;
 Libr12->rvrr_classes[8][6] = int_stack + 86845;
 Libr12->rvrr_classes[8][7] = int_stack + 88105;
 Libr12->rvrr_classes[8][8] = int_stack + 89725;
 Libr12->rvrr_classes[8][9] = int_stack + 91750;
 Libr12->gvrr_classes[4][5] = int_stack + 94225;
 Libr12->gvrr_classes[4][6] = int_stack + 94540;
 Libr12->gvrr_classes[4][7] = int_stack + 94960;
 Libr12->gvrr_classes[4][8] = int_stack + 95500;
 Libr12->gvrr_classes[4][9] = int_stack + 96175;
 Libr12->gvrr_classes[5][5] = int_stack + 97000;
 Libr12->gvrr_classes[5][6] = int_stack + 97441;
 Libr12->gvrr_classes[5][7] = int_stack + 98029;
 Libr12->gvrr_classes[5][8] = int_stack + 98785;
 Libr12->gvrr_classes[5][9] = int_stack + 99730;
 Libr12->gvrr_classes[6][5] = int_stack + 100885;
 Libr12->gvrr_classes[6][6] = int_stack + 101473;
 Libr12->gvrr_classes[6][7] = int_stack + 102257;
 Libr12->gvrr_classes[6][8] = int_stack + 103265;
 Libr12->gvrr_classes[6][9] = int_stack + 104525;
 Libr12->gvrr_classes[7][5] = int_stack + 106065;
 Libr12->gvrr_classes[7][6] = int_stack + 106821;
 Libr12->gvrr_classes[7][7] = int_stack + 107829;
 Libr12->gvrr_classes[7][8] = int_stack + 109125;
 Libr12->gvrr_classes[7][9] = int_stack + 110745;
 Libr12->gvrr_classes[8][5] = int_stack + 112725;
 Libr12->gvrr_classes[8][6] = int_stack + 113670;
 Libr12->gvrr_classes[8][7] = int_stack + 114930;
 Libr12->gvrr_classes[8][8] = int_stack + 116550;
 Libr12->gvrr_classes[8][9] = int_stack + 118575;
 memset(int_stack,0,121050*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 121050;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gghg(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+121050, int_stack+94540, int_stack+94225, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+121995, int_stack+94960, int_stack+94540, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+123255, int_stack+121995, int_stack+121050, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+125145, int_stack+95500, int_stack+94960, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+126765, int_stack+125145, int_stack+121995, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+129285, int_stack+126765, int_stack+123255, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+132435, int_stack+97441, int_stack+97000, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+133758, int_stack+98029, int_stack+97441, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+135522, int_stack+133758, int_stack+132435, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+138168, int_stack+98785, int_stack+98029, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+140436, int_stack+138168, int_stack+133758, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+143964, int_stack+140436, int_stack+135522, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+148374, int_stack+96175, int_stack+95500, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+150399, int_stack+148374, int_stack+125145, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+153639, int_stack+150399, int_stack+126765, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157839, int_stack+315, int_stack+0, int_stack+94540, int_stack+97000, int_stack+94225, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158784, int_stack+735, int_stack+315, int_stack+94960, int_stack+97441, int_stack+94540, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160044, int_stack+158784, int_stack+157839, int_stack+121995, int_stack+132435, int_stack+121050, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+161934, int_stack+1275, int_stack+735, int_stack+95500, int_stack+98029, int_stack+94960, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163554, int_stack+161934, int_stack+158784, int_stack+125145, int_stack+133758, int_stack+121995, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166074, int_stack+163554, int_stack+160044, int_stack+126765, int_stack+135522, int_stack+123255, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121050, int_stack+1950, int_stack+1275, int_stack+96175, int_stack+98785, int_stack+95500, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157839, int_stack+121050, int_stack+161934, int_stack+148374, int_stack+138168, int_stack+125145, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121050, int_stack+157839, int_stack+163554, int_stack+150399, int_stack+140436, int_stack+126765, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157839, int_stack+121050, int_stack+166074, int_stack+153639, int_stack+143964, int_stack+129285, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+121050, int_stack+101473, int_stack+100885, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+122814, int_stack+102257, int_stack+101473, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+125166, int_stack+122814, int_stack+121050, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+162564, int_stack+103265, int_stack+102257, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+165588, int_stack+162564, int_stack+122814, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+170292, int_stack+165588, int_stack+125166, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+176172, int_stack+99730, int_stack+98785, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+179007, int_stack+176172, int_stack+138168, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+183543, int_stack+179007, int_stack+140436, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94225, int_stack+3216, int_stack+2775, int_stack+97441, int_stack+100885, int_stack+97000, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3804, int_stack+3216, int_stack+98029, int_stack+101473, int_stack+97441, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189423, int_stack+0, int_stack+94225, int_stack+133758, int_stack+121050, int_stack+132435, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192069, int_stack+4560, int_stack+3804, int_stack+98785, int_stack+102257, int_stack+98029, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+194337, int_stack+192069, int_stack+0, int_stack+138168, int_stack+122814, int_stack+133758, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+194337, int_stack+189423, int_stack+140436, int_stack+125166, int_stack+135522, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132435, int_stack+5505, int_stack+4560, int_stack+99730, int_stack+103265, int_stack+98785, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197865, int_stack+132435, int_stack+192069, int_stack+176172, int_stack+162564, int_stack+138168, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132435, int_stack+197865, int_stack+194337, int_stack+179007, int_stack+165588, int_stack+140436, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189423, int_stack+132435, int_stack+0, int_stack+183543, int_stack+170292, int_stack+143964, 5, 0);
 /*--- compute (gp|[r12,T2]|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+196038, int_stack+189423, int_stack+157839, 315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+157839, int_stack+106821, int_stack+106065, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+107829, int_stack+106821, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+132435, int_stack+0, int_stack+157839, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+136971, int_stack+109125, int_stack+107829, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+210213, int_stack+136971, int_stack+0, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+216261, int_stack+210213, int_stack+132435, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+223821, int_stack+104525, int_stack+103265, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+227601, int_stack+223821, int_stack+162564, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+233649, int_stack+227601, int_stack+165588, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160107, int_stack+7248, int_stack+6660, int_stack+101473, int_stack+106065, int_stack+100885, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+8032, int_stack+7248, int_stack+102257, int_stack+106821, int_stack+101473, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241489, int_stack+3024, int_stack+160107, int_stack+122814, int_stack+157839, int_stack+121050, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140859, int_stack+9040, int_stack+8032, int_stack+103265, int_stack+107829, int_stack+102257, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245017, int_stack+140859, int_stack+3024, int_stack+162564, int_stack+0, int_stack+122814, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+245017, int_stack+241489, int_stack+165588, int_stack+132435, int_stack+125166, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121050, int_stack+10300, int_stack+9040, int_stack+104525, int_stack+109125, int_stack+103265, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+249721, int_stack+121050, int_stack+140859, int_stack+223821, int_stack+136971, int_stack+162564, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121050, int_stack+249721, int_stack+245017, int_stack+227601, int_stack+210213, int_stack+165588, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241489, int_stack+121050, int_stack+3024, int_stack+233649, int_stack+216261, int_stack+170292, 6, 0);
 /*--- compute (hp|[r12,T2]|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+250309, int_stack+241489, int_stack+189423, 315);
 /*--- compute (gd|[r12,T2]|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+270154, int_stack+250309, int_stack+196038, 315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+189423, int_stack+113670, int_stack+112725, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+192258, int_stack+114930, int_stack+113670, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+196038, int_stack+192258, int_stack+189423, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+201708, int_stack+116550, int_stack+114930, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+201708, int_stack+192258, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+160107, int_stack+3024, int_stack+196038, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+121050, int_stack+110745, int_stack+109125, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+298504, int_stack+121050, int_stack+136971, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+306280, int_stack+298504, int_stack+210213, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206568, int_stack+12596, int_stack+11840, int_stack+106821, int_stack+112725, int_stack+106065, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125910, int_stack+13604, int_stack+12596, int_stack+107829, int_stack+113670, int_stack+106821, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316360, int_stack+125910, int_stack+206568, int_stack+0, int_stack+189423, int_stack+157839, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320896, int_stack+14900, int_stack+13604, int_stack+109125, int_stack+114930, int_stack+107829, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+324784, int_stack+320896, int_stack+125910, int_stack+136971, int_stack+192258, int_stack+0, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330832, int_stack+324784, int_stack+316360, int_stack+210213, int_stack+196038, int_stack+132435, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+338392, int_stack+16520, int_stack+14900, int_stack+110745, int_stack+116550, int_stack+109125, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10584, int_stack+338392, int_stack+320896, int_stack+121050, int_stack+201708, int_stack+136971, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132435, int_stack+10584, int_stack+324784, int_stack+298504, int_stack+3024, int_stack+210213, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316360, int_stack+132435, int_stack+330832, int_stack+306280, int_stack+160107, int_stack+216261, 7, 0);
 /*--- compute (ip|[r12,T2]|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+327700, int_stack+316360, int_stack+241489, 315);
 /*--- compute (hd|[r12,T2]|hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+354160, int_stack+327700, int_stack+250309, 315);
 /*--- compute (gf|[r12,T2]|hg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+393850, int_stack+354160, int_stack+270154, 315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+241489, int_stack+20600, int_stack+18500, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+244954, int_stack+23400, int_stack+20600, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+249574, int_stack+244954, int_stack+241489, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+256504, int_stack+27000, int_stack+23400, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+262444, int_stack+256504, int_stack+244954, 55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+271684, int_stack+262444, int_stack+249574, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+283234, int_stack+118575, int_stack+116550, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+132435, int_stack+283234, int_stack+201708, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+441100, int_stack+132435, int_stack+3024, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+289309, int_stack+22140, int_stack+19655, int_stack+113670, int_stack+18500, int_stack+112725, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292144, int_stack+25380, int_stack+22140, int_stack+114930, int_stack+20600, int_stack+113670, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10584, int_stack+292144, int_stack+289309, int_stack+192258, int_stack+241489, int_stack+189423, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16254, int_stack+29475, int_stack+25380, int_stack+116550, int_stack+23400, int_stack+114930, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206568, int_stack+16254, int_stack+292144, int_stack+201708, int_stack+244954, int_stack+192258, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453700, int_stack+206568, int_stack+10584, int_stack+3024, int_stack+249574, int_stack+196038, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189423, int_stack+31500, int_stack+29475, int_stack+118575, int_stack+27000, int_stack+116550, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241489, int_stack+189423, int_stack+16254, int_stack+283234, int_stack+256504, int_stack+201708, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+283234, int_stack+241489, int_stack+206568, int_stack+132435, int_stack+262444, int_stack+3024, 8, 0);
 /*--- compute (l0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241489, int_stack+283234, int_stack+453700, int_stack+441100, int_stack+271684, int_stack+160107, 8, 0);
 /*--- compute (kp|[r12,T2]|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+255664, int_stack+241489, int_stack+316360, 315);
 /*--- compute (id|[r12,T2]|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+453700, int_stack+255664, int_stack+327700, 315);
 /*--- compute (hf|[r12,T2]|hg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+506620, int_stack+453700, int_stack+354160, 315);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+453700, int_stack+153639, int_stack+129285, 15);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+458425, int_stack+183543, int_stack+143964, 21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+465040, int_stack+458425, int_stack+453700, 315);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+479215, int_stack+233649, int_stack+170292, 28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+316360, int_stack+479215, int_stack+458425, 315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+336205, int_stack+316360, int_stack+465040, 315);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+488035, int_stack+306280, int_stack+216261, 36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+364555, int_stack+488035, int_stack+479215, 315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+241489, int_stack+364555, int_stack+316360, 315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+572770, int_stack+241489, int_stack+336205, 315);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+499375, int_stack+33975, int_stack+96175, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+501850, int_stack+499375, int_stack+148374, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+281179, int_stack+501850, int_stack+150399, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+499375, int_stack+281179, int_stack+153639, 15);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+281179, int_stack+37740, int_stack+99730, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+284644, int_stack+281179, int_stack+176172, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+290314, int_stack+284644, int_stack+179007, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+281179, int_stack+290314, int_stack+183543, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+281179, int_stack+499375, 420);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+289999, int_stack+43011, int_stack+104525, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+112725, int_stack+289999, int_stack+223821, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+112725, int_stack+227601, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+125910, int_stack+18900, int_stack+233649, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+169557, int_stack+125910, int_stack+281179, 420);
 /*--- compute (gd|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+196017, int_stack+169557, int_stack+0, 420);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+50039, int_stack+110745, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+24840, int_stack+18900, int_stack+121050, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+137670, int_stack+24840, int_stack+298504, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+137670, int_stack+306280, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+620020, int_stack+18900, int_stack+125910, 420);
 /*--- compute (hd|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+655300, int_stack+620020, int_stack+169557, 420);
 /*--- compute (gf|ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+708220, int_stack+655300, int_stack+196017, 420);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+137670, int_stack+441100, int_stack+160107, 45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+771220, int_stack+137670, int_stack+488035, 315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+805240, int_stack+771220, int_stack+364555, 315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+858160, int_stack+805240, int_stack+241489, 315);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+35280, int_stack+34965, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+441100, int_stack+35700, int_stack+35280, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+442360, int_stack+441100, int_stack+34020, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+36240, int_stack+35700, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+444250, int_stack+34020, int_stack+441100, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+446770, int_stack+444250, int_stack+442360, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+441100, int_stack+36915, int_stack+36240, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+35640, int_stack+441100, int_stack+34020, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+151845, int_stack+35640, int_stack+444250, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+151845, int_stack+446770, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+151845, int_stack+39567, int_stack+39126, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+153168, int_stack+40155, int_stack+39567, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+154932, int_stack+153168, int_stack+151845, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+157578, int_stack+40911, int_stack+40155, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+159846, int_stack+157578, int_stack+153168, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+163374, int_stack+159846, int_stack+154932, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+391015, int_stack+41856, int_stack+40911, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+151845, int_stack+391015, int_stack+157578, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+38745, int_stack+151845, int_stack+159846, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+151845, int_stack+38745, int_stack+163374, 21);
 /*--- compute (gp|[r12,T1]|hg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+289999, int_stack+151845, int_stack+34020, int_stack+458425, int_stack+499375, int_stack+453700, 5, 4);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+499375, int_stack+45447, int_stack+44859, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+501139, int_stack+46231, int_stack+45447, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+501139, int_stack+499375, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+503491, int_stack+47239, int_stack+46231, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+37548, int_stack+503491, int_stack+501139, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+158460, int_stack+37548, int_stack+34020, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+499375, int_stack+48499, int_stack+47239, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42252, int_stack+499375, int_stack+503491, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+441100, int_stack+42252, int_stack+37548, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+441100, int_stack+158460, 28);
 /*--- compute (hp|[r12,T1]|hg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+94225, int_stack+34020, int_stack+151845, int_stack+479215, int_stack+281179, int_stack+458425, 5, 4);
 /*--- compute (gd|[r12,T1]|hg) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+924310, int_stack+94225, int_stack+289999, int_stack+316360, int_stack+0, int_stack+465040, 5, 4);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53171, int_stack+52415, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+54179, int_stack+53171, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5292, int_stack+2268, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9828, int_stack+55475, int_stack+54179, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+281179, int_stack+9828, int_stack+2268, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+287227, int_stack+281179, int_stack+5292, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+57095, int_stack+55475, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+294787, int_stack+0, int_stack+9828, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+294787, int_stack+281179, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+294787, int_stack+0, int_stack+287227, 36);
 /*--- compute (ip|[r12,T1]|hg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+441100, int_stack+294787, int_stack+34020, int_stack+488035, int_stack+125910, int_stack+479215, 5, 4);
 /*--- compute (hd|[r12,T1]|hg) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+952660, int_stack+441100, int_stack+94225, int_stack+364555, int_stack+169557, int_stack+316360, 5, 4);
 /*--- compute (gf|[r12,T1]|hg) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+992350, int_stack+952660, int_stack+924310, int_stack+241489, int_stack+196017, int_stack+336205, 5, 4);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+391015, int_stack+60020, int_stack+59075, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+924310, int_stack+61280, int_stack+60020, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+928090, int_stack+924310, int_stack+391015, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+933760, int_stack+62900, int_stack+61280, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+938620, int_stack+933760, int_stack+924310, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+938620, int_stack+928090, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+924310, int_stack+64925, int_stack+62900, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+103675, int_stack+924310, int_stack+933760, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+924310, int_stack+103675, int_stack+938620, 45);
 /*--- compute (l0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+103675, int_stack+924310, int_stack+94225, 45);
 /*--- compute (kp|[r12,T1]|hg) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+306127, int_stack+103675, int_stack+294787, int_stack+137670, int_stack+18900, int_stack+488035, 5, 4);
 /*--- compute (id|[r12,T1]|hg) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+94225, int_stack+306127, int_stack+441100, int_stack+771220, int_stack+620020, int_stack+364555, 5, 4);
 /*--- compute (hf|[r12,T1]|hg) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+147145, int_stack+94225, int_stack+952660, int_stack+805240, int_stack+655300, int_stack+241489, 5, 4);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+67715, int_stack+67400, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95170, int_stack+68135, int_stack+67715, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+96430, int_stack+95170, int_stack+94225, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+98320, int_stack+68675, int_stack+68135, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+99940, int_stack+98320, int_stack+95170, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+102460, int_stack+99940, int_stack+96430, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+69350, int_stack+68675, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105610, int_stack+94225, int_stack+98320, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+105610, int_stack+99940, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+105610, int_stack+94225, int_stack+102460, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+70616, int_stack+70175, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95548, int_stack+71204, int_stack+70616, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+97312, int_stack+95548, int_stack+94225, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99958, int_stack+71960, int_stack+71204, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+110335, int_stack+99958, int_stack+95548, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+113863, int_stack+110335, int_stack+97312, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+72905, int_stack+71960, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+118273, int_stack+94225, int_stack+99958, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+118273, int_stack+110335, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+118273, int_stack+94225, int_stack+113863, 21);
 /*--- compute (gp||hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+124888, int_stack+118273, int_stack+105610, 315);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+74648, int_stack+74060, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95989, int_stack+75432, int_stack+74648, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+98341, int_stack+95989, int_stack+94225, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+101869, int_stack+76440, int_stack+75432, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+104893, int_stack+101869, int_stack+95989, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+109597, int_stack+104893, int_stack+98341, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+77700, int_stack+76440, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+139063, int_stack+94225, int_stack+101869, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+139063, int_stack+104893, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+620020, int_stack+94225, int_stack+109597, 28);
 /*--- compute (hp||hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+94225, int_stack+620020, int_stack+118273, 315);
 /*--- compute (gd||hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+628840, int_stack+94225, int_stack+124888, 315);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+114070, int_stack+79996, int_stack+79240, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+116338, int_stack+81004, int_stack+79996, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+119362, int_stack+116338, int_stack+114070, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+123898, int_stack+82300, int_stack+81004, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+127786, int_stack+123898, int_stack+116338, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+133834, int_stack+127786, int_stack+119362, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+114070, int_stack+83920, int_stack+82300, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+657190, int_stack+114070, int_stack+123898, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+114070, int_stack+657190, int_stack+127786, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+657190, int_stack+114070, int_stack+133834, 36);
 /*--- compute (ip||hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+114070, int_stack+657190, int_stack+620020, 315);
 /*--- compute (hd||hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+668530, int_stack+114070, int_stack+94225, 315);
 /*--- compute (gf||hg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+771220, int_stack+668530, int_stack+628840, 315);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+86845, int_stack+85900, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+97060, int_stack+88105, int_stack+86845, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+100840, int_stack+97060, int_stack+94225, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+106510, int_stack+89725, int_stack+88105, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+620020, int_stack+106510, int_stack+97060, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+627580, int_stack+620020, int_stack+100840, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94225, int_stack+91750, int_stack+89725, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+637030, int_stack+94225, int_stack+106510, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+818470, int_stack+637030, int_stack+620020, 45);
 /*--- compute (l0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+637030, int_stack+818470, int_stack+627580, 45);
 /*--- compute (kp||hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+818470, int_stack+637030, int_stack+657190, 315);
 /*--- compute (id||hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+441100, int_stack+818470, int_stack+114070, 315);
 /*--- compute (hf||hg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+213295, int_stack+441100, int_stack+668530, 315);
 /*--- compute (gg|[r12,T2]|hg) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+620020, int_stack+506620, int_stack+393850, 315);
     Libr12->te_ptr[3] = int_stack + 620020;
 /*--- compute (gg|[r12,T1]|hg) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+279445, int_stack+147145, int_stack+992350, int_stack+858160, int_stack+708220, int_stack+572770, 5, 4);
     Libr12->te_ptr[2] = int_stack + 279445;
 /*--- compute (gg||hg) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+690895, int_stack+213295, int_stack+771220, 315);
     Libr12->te_ptr[1] = int_stack + 690895;
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+761770, int_stack+858160, int_stack+572770, 315);
     Libr12->te_ptr[0] = int_stack + 761770;

}
